/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","rxjs","@grafana/runtime","lodash","react","@grafana/ui","@emotion/css","moment","redux","react-redux"],((e,t,r,n,o,i,a,l,s,u)=>(()=>{var c={8572:(e,t,r)=>{"use strict";r.r(t),r.d(t,{AND:()=>g,AS:()=>f,ASC:()=>c,BY:()=>s,COMPARISON_OPERATORS:()=>E,DESC:()=>u,EQUALS:()=>m,FROM:()=>o,GROUP:()=>a,LIMIT:()=>d,LOGICAL_OPERATORS:()=>y,NOT_EQUALS:()=>b,OR:()=>v,ORDER:()=>l,SCHEMA:()=>h,SELECT:()=>n,STD_OPERATORS:()=>O,WHERE:()=>i,WITH:()=>p,conf:()=>S,language:()=>T});const n="select",o="from",i="where",a="group",l="order",s="by",u="desc",c="asc",d="limit",p="with",f="as",h="schema",g="AND",v="OR",y=[g,v],m="=",b="!=",E=[m,b],O=[...E],S={comments:{lineComment:"--",blockComment:["/*","*/"]},brackets:[["{","}"],["[","]"],["(",")"]],autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}],surroundingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}]},T={defaultToken:"",tokenPostfix:".sql",ignoreCase:!0,brackets:[{open:"[",close:"]",token:"delimiter.square"},{open:"(",close:")",token:"delimiter.parenthesis"}],keywords:["ABORT","ABSOLUTE","ACTION","ADA","ADD","AFTER","ALL","ALLOCATE","ALTER","ALWAYS","ANALYZE","AND","ANY","ARE","AS","ASC","ASSERTION","AT","ATTACH","AUTHORIZATION","AUTOINCREMENT","AVG","BACKUP","BEFORE","BEGIN","BETWEEN","BIT","BIT_LENGTH","BOTH","BREAK","BROWSE","BULK","BY","CASCADE","CASCADED","CASE","CAST","CATALOG","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CHECKPOINT","CLOSE","CLUSTERED","COALESCE","COLLATE","COLLATION","COLUMN","COMMIT","COMPUTE","CONFLICT","CONNECT","CONNECTION","CONSTRAINT","CONSTRAINTS","CONTAINS","CONTAINSTABLE","CONTINUE","CONVERT","CORRESPONDING","COUNT","CREATE","CROSS","CURRENT","CURRENT_DATE","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_USER","CURSOR","DATABASE","DATE","DAY","DBCC","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFERRABLE","DEFERRED","DELETE","DENY","DESC","DESCRIBE","DESCRIPTOR","DETACH","DIAGNOSTICS","DISCONNECT","DISK","DISTINCT","DISTRIBUTED","DO","DOMAIN","DOUBLE","DROP","DUMP","EACH","ELSE","END","END-EXEC","ERRLVL","ESCAPE","EXCEPT","EXCEPTION","EXCLUDE","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXPLAIN","EXTERNAL","EXTRACT","FAIL","FALSE","FETCH","FILE","FILLFACTOR","FILTER","FIRST","FLOAT","FOLLOWING","FOR","FOREIGN","FORTRAN","FOUND","FREETEXT","FREETEXTTABLE","FROM","FULL","FUNCTION","GENERATED","GET","GLOB","GLOBAL","GO","GOTO","GRANT","GROUP","GROUPS","HAVING","HOLDLOCK","HOUR","IDENTITY","IDENTITYCOL","IDENTITY_INSERT","IF","IGNORE","IMMEDIATE","IN","INCLUDE","INDEX","INDEXED","INDICATOR","INITIALLY","INNER","INPUT","INSENSITIVE","INSERT","INSTEAD","INT","INTEGER","INTERSECT","INTERVAL","INTO","IS","ISNULL","ISOLATION","JOIN","KEY","KILL","LANGUAGE","LAST","LEADING","LEFT","LEVEL","LIKE","LIMIT","LINENO","LOAD","LOCAL","LOWER","MATCH","MATERIALIZED","MAX","MERGE","MIN","MINUTE","MODULE","MONTH","NAMES","NATIONAL","NATURAL","NCHAR","NEXT","NO","NOCHECK","NONCLUSTERED","NONE","NOT","NOTHING","NOTNULL","NULL","NULLIF","NULLS","NUMERIC","OCTET_LENGTH","OF","OFF","OFFSET","OFFSETS","ON","ONLY","OPEN","OPENDATASOURCE","OPENQUERY","OPENROWSET","OPENXML","OPTION","OR","ORDER","OTHERS","OUTER","OUTPUT","OVER","OVERLAPS","PAD","PARTIAL","PARTITION","PASCAL","PERCENT","PIVOT","PLAN","POSITION","PRAGMA","PRECEDING","PRECISION","PREPARE","PRESERVE","PRIMARY","PRINT","PRIOR","PRIVILEGES","PROC","PROCEDURE","PUBLIC","QUERY","RAISE","RAISERROR","RANGE","READ","READTEXT","REAL","RECONFIGURE","RECURSIVE","REFERENCES","REGEXP","REINDEX","RELATIVE","RELEASE","RENAME","REPLACE","REPLICATION","RESTORE","RESTRICT","RETURN","RETURNING","REVERT","REVOKE","RIGHT","ROLLBACK","ROW","ROWCOUNT","ROWGUIDCOL","ROWS","RULE","SAVE","SAVEPOINT","SCHEMA","SCROLL","SECOND","SECTION","SECURITYAUDIT","SELECT","SEMANTICKEYPHRASETABLE","SEMANTICSIMILARITYDETAILSTABLE","SEMANTICSIMILARITYTABLE","SESSION","SESSION_USER","SET","SETUSER","SHUTDOWN","SIZE","SMALLINT","SOME","SPACE","SQL","SQLCA","SQLCODE","SQLERROR","SQLSTATE","SQLWARNING","STATISTICS","SUBSTRING","SUM","SYSTEM_USER","TABLE","TABLESAMPLE","TEMP","TEMPORARY","TEXTSIZE","THEN","TIES","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TOP","TRAILING","TRAN","TRANSACTION","TRANSLATE","TRANSLATION","TRIGGER","TRIM","TRUE","TRUNCATE","TRY_CONVERT","TSEQUAL","UNBOUNDED","UNION","UNIQUE","UNKNOWN","UNPIVOT","UPDATE","UPDATETEXT","UPPER","USAGE","USE","USER","USING","VACUUM","VALUE","VALUES","VARCHAR","VARYING","VIEW","VIRTUAL","WAITFOR","WHEN","WHENEVER","WHERE","WHILE","WINDOW","WITH","WITHIN GROUP","WITHOUT","WORK","WRITE","WRITETEXT","YEAR","ZONE"],operators:["EXCEPT","INTERSECT","UNION","APPLY","CROSS","FULL","INNER","JOIN","LEFT","OUTER","RIGHT","CONTAINS","FREETEXT","IS","NULL","PIVOT","UNPIVOT","MATCHED"],logicalOperators:["ALL","AND","ANY","BETWEEN","EXISTS","IN","LIKE","NOT","OR","SOME"],comparisonOperators:["<>",">","<",">=","<=","=","!=","&","~","^","%"],builtinFunctions:["AVG","CHECKSUM_AGG","COUNT","COUNT_BIG","GROUPING","GROUPING_ID","MAX","MIN","SUM","STDEV","STDEVP","VAR","VARP","CUME_DIST","FIRST_VALUE","LAG","LAST_VALUE","LEAD","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","COLLATE","COLLATIONPROPERTY","TERTIARY_WEIGHTS","FEDERATION_FILTERING_VALUE","CAST","CONVERT","PARSE","TRY_CAST","TRY_CONVERT","TRY_PARSE","ASYMKEY_ID","ASYMKEYPROPERTY","CERTPROPERTY","CERT_ID","CRYPT_GEN_RANDOM","DECRYPTBYASYMKEY","DECRYPTBYCERT","DECRYPTBYKEY","DECRYPTBYKEYAUTOASYMKEY","DECRYPTBYKEYAUTOCERT","DECRYPTBYPASSPHRASE","ENCRYPTBYASYMKEY","ENCRYPTBYCERT","ENCRYPTBYKEY","ENCRYPTBYPASSPHRASE","HASHBYTES","IS_OBJECTSIGNED","KEY_GUID","KEY_ID","KEY_NAME","SIGNBYASYMKEY","SIGNBYCERT","SYMKEYPROPERTY","VERIFYSIGNEDBYCERT","VERIFYSIGNEDBYASYMKEY","CURSOR_STATUS","DATALENGTH","IDENT_CURRENT","IDENT_INCR","IDENT_SEED","IDENTITY","SQL_VARIANT_PROPERTY","CURRENT_TIMESTAMP","DATEADD","DATEDIFF","DATEFROMPARTS","DATENAME","DATEPART","DATETIME2FROMPARTS","DATETIMEFROMPARTS","DATETIMEOFFSETFROMPARTS","DAY","EOMONTH","GETDATE","GETUTCDATE","ISDATE","MONTH","SMALLDATETIMEFROMPARTS","SWITCHOFFSET","SYSDATETIME","SYSDATETIMEOFFSET","SYSUTCDATETIME","TIMEFROMPARTS","TODATETIMEOFFSET","YEAR","CHOOSE","COALESCE","IIF","NULLIF","ABS","ACOS","ASIN","ATAN","ATN2","CEILING","COS","COT","DEGREES","EXP","FLOOR","LOG","LOG10","PI","POWER","RADIANS","RAND","ROUND","SIGN","SIN","SQRT","SQUARE","TAN","APP_NAME","APPLOCK_MODE","APPLOCK_TEST","ASSEMBLYPROPERTY","COL_LENGTH","COL_NAME","COLUMNPROPERTY","DATABASE_PRINCIPAL_ID","DATABASEPROPERTYEX","DB_ID","DB_NAME","FILE_ID","FILE_IDEX","FILE_NAME","FILEGROUP_ID","FILEGROUP_NAME","FILEGROUPPROPERTY","FILEPROPERTY","FULLTEXTCATALOGPROPERTY","FULLTEXTSERVICEPROPERTY","INDEX_COL","INDEXKEY_PROPERTY","INDEXPROPERTY","OBJECT_DEFINITION","OBJECT_ID","OBJECT_NAME","OBJECT_SCHEMA_NAME","OBJECTPROPERTY","OBJECTPROPERTYEX","ORIGINAL_DB_NAME","PARSENAME","SCHEMA_ID","SCHEMA_NAME","SCOPE_IDENTITY","SERVERPROPERTY","STATS_DATE","TYPE_ID","TYPE_NAME","TYPEPROPERTY","DENSE_RANK","NTILE","RANK","ROW_NUMBER","PUBLISHINGSERVERNAME","OPENDATASOURCE","OPENQUERY","OPENROWSET","OPENXML","CERTENCODED","CERTPRIVATEKEY","CURRENT_USER","HAS_DBACCESS","HAS_PERMS_BY_NAME","IS_MEMBER","IS_ROLEMEMBER","IS_SRVROLEMEMBER","LOGINPROPERTY","ORIGINAL_LOGIN","PERMISSIONS","PWDENCRYPT","PWDCOMPARE","SESSION_USER","SESSIONPROPERTY","SUSER_ID","SUSER_NAME","SUSER_SID","SUSER_SNAME","SYSTEM_USER","USER","USER_ID","USER_NAME","ASCII","CHAR","CHARINDEX","CONCAT","DIFFERENCE","FORMAT","LEFT","LEN","LOWER","LTRIM","NCHAR","PATINDEX","QUOTENAME","REPLACE","REPLICATE","REVERSE","RIGHT","RTRIM","SOUNDEX","SPACE","STR","STUFF","SUBSTRING","UNICODE","UPPER","BINARY_CHECKSUM","CHECKSUM","CONNECTIONPROPERTY","CONTEXT_INFO","CURRENT_REQUEST_ID","ERROR_LINE","ERROR_NUMBER","ERROR_MESSAGE","ERROR_PROCEDURE","ERROR_SEVERITY","ERROR_STATE","FORMATMESSAGE","GETANSINULL","GET_FILESTREAM_TRANSACTION_CONTEXT","HOST_ID","HOST_NAME","ISNULL","ISNUMERIC","MIN_ACTIVE_ROWVERSION","NEWID","NEWSEQUENTIALID","ROWCOUNT_BIG","XACT_STATE","TEXTPTR","TEXTVALID","COLUMNS_UPDATED","EVENTDATA","TRIGGER_NESTLEVEL","UPDATE","CHANGETABLE","CHANGE_TRACKING_CONTEXT","CHANGE_TRACKING_CURRENT_VERSION","CHANGE_TRACKING_IS_COLUMN_IN_MASK","CHANGE_TRACKING_MIN_VALID_VERSION","CONTAINSTABLE","FREETEXTTABLE","SEMANTICKEYPHRASETABLE","SEMANTICSIMILARITYDETAILSTABLE","SEMANTICSIMILARITYTABLE","FILETABLEROOTPATH","GETFILENAMESPACEPATH","GETPATHLOCATOR","PATHNAME","GET_TRANSMISSION_STATUS"],builtinVariables:["@@DATEFIRST","@@DBTS","@@LANGID","@@LANGUAGE","@@LOCK_TIMEOUT","@@MAX_CONNECTIONS","@@MAX_PRECISION","@@NESTLEVEL","@@OPTIONS","@@REMSERVER","@@SERVERNAME","@@SERVICENAME","@@SPID","@@TEXTSIZE","@@VERSION","@@CURSOR_ROWS","@@FETCH_STATUS","@@DATEFIRST","@@PROCID","@@ERROR","@@IDENTITY","@@ROWCOUNT","@@TRANCOUNT","@@CONNECTIONS","@@CPU_BUSY","@@IDLE","@@IO_BUSY","@@PACKET_ERRORS","@@PACK_RECEIVED","@@PACK_SENT","@@TIMETICKS","@@TOTAL_ERRORS","@@TOTAL_READ","@@TOTAL_WRITE"],pseudoColumns:["$ACTION","$IDENTITY","$ROWGUID","$PARTITION"],tokenizer:{root:[{include:"@templateVariables"},{include:"@macros"},{include:"@comments"},{include:"@whitespace"},{include:"@pseudoColumns"},{include:"@numbers"},{include:"@strings"},{include:"@complexIdentifiers"},{include:"@scopes"},{include:"@schemaTable"},[/[;,.]/,"delimiter"],[/[()]/,"@brackets"],[/[\w@#$|<|>|=|!|%|&|+|\|-|*|/|~|^]+/,{cases:{"@operators":"operator","@comparisonOperators":"operator","@logicalOperators":"operator","@builtinVariables":"predefined","@builtinFunctions":"predefined","@keywords":"keyword","@default":"identifier"}}]],templateVariables:[[/\$[a-zA-Z0-9]+/,"variable"]],macros:[[/\$__[a-zA-Z0-9-_]+/,"type"]],schemaTable:[[/(\w+)\./,"identifier"],[/(\w+\.\w+)/,"identifier"]],whitespace:[[/\s+/,"white"]],comments:[[/--+.*/,"comment"],[/\/\*/,{token:"comment.quote",next:"@comment"}]],comment:[[/[^*/]+/,"comment"],[/\*\//,{token:"comment.quote",next:"@pop"}],[/./,"comment"]],pseudoColumns:[[/[$][A-Za-z_][\w@#$]*/,{cases:{"@pseudoColumns":"predefined","@default":"identifier"}}]],numbers:[[/0[xX][0-9a-fA-F]*/,"number"],[/[$][+-]*\d*(\.\d*)?/,"number"],[/((\d+(\.\d*)?)|(\.\d+))([eE][\-+]?\d+)?/,"number"]],strings:[[/N'/,{token:"string",next:"@string"}],[/'/,{token:"string",next:"@string"}]],string:[[/[^']+/,"string"],[/''/,"string"],[/'/,{token:"string",next:"@pop"}]],complexIdentifiers:[[/\[/,{token:"identifier.quote",next:"@bracketedIdentifier"}],[/"/,{token:"identifier.quote",next:"@quotedIdentifier"}]],bracketedIdentifier:[[/[^\]]+/,"identifier"],[/]]/,"identifier"],[/]/,{token:"identifier.quote",next:"@pop"}]],quotedIdentifier:[[/[^"]+/,"identifier"],[/""/,"identifier"],[/"/,{token:"identifier.quote",next:"@pop"}]],scopes:[[/BEGIN\s+(DISTRIBUTED\s+)?TRAN(SACTION)?\b/i,"keyword"],[/BEGIN\s+TRY\b/i,{token:"keyword.try"}],[/END\s+TRY\b/i,{token:"keyword.try"}],[/BEGIN\s+CATCH\b/i,{token:"keyword.catch"}],[/END\s+CATCH\b/i,{token:"keyword.catch"}],[/(BEGIN|CASE)\b/i,{token:"keyword.block"}],[/END\b/i,{token:"keyword.block"}],[/WHEN\b/i,{token:"keyword.choice"}],[/THEN\b/i,{token:"keyword.choice"}]]}}},3523:e=>{var t=function(){"use strict";function e(e,t){return null!=t&&e instanceof t}var t,r,n;try{t=Map}catch(e){t=function(){}}try{r=Set}catch(e){r=function(){}}try{n=Promise}catch(e){n=function(){}}function o(i,l,s,u,c){"object"==typeof l&&(s=l.depth,u=l.prototype,c=l.includeNonEnumerable,l=l.circular);var d=[],p=[],f="undefined"!=typeof Buffer;return void 0===l&&(l=!0),void 0===s&&(s=1/0),function i(s,h){if(null===s)return null;if(0===h)return s;var g,v;if("object"!=typeof s)return s;if(e(s,t))g=new t;else if(e(s,r))g=new r;else if(e(s,n))g=new n((function(e,t){s.then((function(t){e(i(t,h-1))}),(function(e){t(i(e,h-1))}))}));else if(o.__isArray(s))g=[];else if(o.__isRegExp(s))g=new RegExp(s.source,a(s)),s.lastIndex&&(g.lastIndex=s.lastIndex);else if(o.__isDate(s))g=new Date(s.getTime());else{if(f&&Buffer.isBuffer(s))return g=Buffer.allocUnsafe?Buffer.allocUnsafe(s.length):new Buffer(s.length),s.copy(g),g;e(s,Error)?g=Object.create(s):void 0===u?(v=Object.getPrototypeOf(s),g=Object.create(v)):(g=Object.create(u),v=u)}if(l){var y=d.indexOf(s);if(-1!=y)return p[y];d.push(s),p.push(g)}for(var m in e(s,t)&&s.forEach((function(e,t){var r=i(t,h-1),n=i(e,h-1);g.set(r,n)})),e(s,r)&&s.forEach((function(e){var t=i(e,h-1);g.add(t)})),s){var b;v&&(b=Object.getOwnPropertyDescriptor(v,m)),b&&null==b.set||(g[m]=i(s[m],h-1))}if(Object.getOwnPropertySymbols){var E=Object.getOwnPropertySymbols(s);for(m=0;m<E.length;m++){var O=E[m];(!(T=Object.getOwnPropertyDescriptor(s,O))||T.enumerable||c)&&(g[O]=i(s[O],h-1),T.enumerable||Object.defineProperty(g,O,{enumerable:!1}))}}if(c){var S=Object.getOwnPropertyNames(s);for(m=0;m<S.length;m++){var T,_=S[m];(T=Object.getOwnPropertyDescriptor(s,_))&&T.enumerable||(g[_]=i(s[_],h-1),Object.defineProperty(g,_,{enumerable:!1}))}}return g}(i,s)}function i(e){return Object.prototype.toString.call(e)}function a(e){var t="";return e.global&&(t+="g"),e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),t}return o.clonePrototype=function(e){if(null===e)return null;var t=function(){};return t.prototype=e,new t},o.__objToStr=i,o.__isDate=function(e){return"object"==typeof e&&"[object Date]"===i(e)},o.__isArray=function(e){return"object"==typeof e&&"[object Array]"===i(e)},o.__isRegExp=function(e){return"object"==typeof e&&"[object RegExp]"===i(e)},o.__getRegExpFlags=a,o}();e.exports&&(e.exports=t)},4221:(e,t,r)=>{"use strict";var n=r(1882),o={"text/plain":"Text","text/html":"Url",default:"Text"};e.exports=function(e,t){var r,i,a,l,s,u,c=!1;t||(t={}),r=t.debug||!1;try{if(a=n(),l=document.createRange(),s=document.getSelection(),(u=document.createElement("span")).textContent=e,u.style.all="unset",u.style.position="fixed",u.style.top=0,u.style.clip="rect(0, 0, 0, 0)",u.style.whiteSpace="pre",u.style.webkitUserSelect="text",u.style.MozUserSelect="text",u.style.msUserSelect="text",u.style.userSelect="text",u.addEventListener("copy",(function(n){if(n.stopPropagation(),t.format)if(n.preventDefault(),void 0===n.clipboardData){r&&console.warn("unable to use e.clipboardData"),r&&console.warn("trying IE specific stuff"),window.clipboardData.clearData();var i=o[t.format]||o.default;window.clipboardData.setData(i,e)}else n.clipboardData.clearData(),n.clipboardData.setData(t.format,e);t.onCopy&&(n.preventDefault(),t.onCopy(n.clipboardData))})),document.body.appendChild(u),l.selectNodeContents(u),s.addRange(l),!document.execCommand("copy"))throw new Error("copy command was unsuccessful");c=!0}catch(n){r&&console.error("unable to copy using execCommand: ",n),r&&console.warn("trying IE specific stuff");try{window.clipboardData.setData(t.format||"text",e),t.onCopy&&t.onCopy(window.clipboardData),c=!0}catch(n){r&&console.error("unable to copy using clipboardData: ",n),r&&console.error("falling back to prompt"),i=function(e){var t=(/mac os x/i.test(navigator.userAgent)?"⌘":"Ctrl")+"+C";return e.replace(/#{\s*key\s*}/g,t)}("message"in t?t.message:"Copy to clipboard: #{key}, Enter"),window.prompt(i,e)}}finally{s&&("function"==typeof s.removeRange?s.removeRange(l):s.removeAllRanges()),u&&document.body.removeChild(u),a()}return c}},9083:(e,t,r)=>{var n;!function(){"use strict";var o=!("undefined"==typeof window||!window.document||!window.document.createElement),i={canUseDOM:o,canUseWorkers:"undefined"!=typeof Worker,canUseEventListeners:o&&!(!window.addEventListener&&!window.attachEvent),canUseViewport:o&&!!window.screen};void 0===(n=function(){return i}.call(t,r,t,e))||(e.exports=n)}()},9874:(e,t,r)=>{"use strict";var n=r(300),o={childContextTypes:!0,contextType:!0,contextTypes:!0,defaultProps:!0,displayName:!0,getDefaultProps:!0,getDerivedStateFromError:!0,getDerivedStateFromProps:!0,mixins:!0,propTypes:!0,type:!0},i={name:!0,length:!0,prototype:!0,caller:!0,callee:!0,arguments:!0,arity:!0},a={$$typeof:!0,compare:!0,defaultProps:!0,displayName:!0,propTypes:!0,type:!0},l={};function s(e){return n.isMemo(e)?a:l[e.$$typeof]||o}l[n.ForwardRef]={$$typeof:!0,render:!0,defaultProps:!0,displayName:!0,propTypes:!0},l[n.Memo]=a;var u=Object.defineProperty,c=Object.getOwnPropertyNames,d=Object.getOwnPropertySymbols,p=Object.getOwnPropertyDescriptor,f=Object.getPrototypeOf,h=Object.prototype;e.exports=function e(t,r,n){if("string"!=typeof r){if(h){var o=f(r);o&&o!==h&&e(t,o,n)}var a=c(r);d&&(a=a.concat(d(r)));for(var l=s(t),g=s(r),v=0;v<a.length;++v){var y=a[v];if(!(i[y]||n&&n[y]||g&&g[y]||l&&l[y])){var m=p(r,y);try{u(t,y,m)}catch(e){}}}}return t}},3520:(e,t)=>{"use strict";var r="function"==typeof Symbol&&Symbol.for,n=r?Symbol.for("react.element"):60103,o=r?Symbol.for("react.portal"):60106,i=r?Symbol.for("react.fragment"):60107,a=r?Symbol.for("react.strict_mode"):60108,l=r?Symbol.for("react.profiler"):60114,s=r?Symbol.for("react.provider"):60109,u=r?Symbol.for("react.context"):60110,c=r?Symbol.for("react.async_mode"):60111,d=r?Symbol.for("react.concurrent_mode"):60111,p=r?Symbol.for("react.forward_ref"):60112,f=r?Symbol.for("react.suspense"):60113,h=r?Symbol.for("react.suspense_list"):60120,g=r?Symbol.for("react.memo"):60115,v=r?Symbol.for("react.lazy"):60116,y=r?Symbol.for("react.block"):60121,m=r?Symbol.for("react.fundamental"):60117,b=r?Symbol.for("react.responder"):60118,E=r?Symbol.for("react.scope"):60119;function O(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case c:case d:case i:case l:case a:case f:return e;default:switch(e=e&&e.$$typeof){case u:case p:case v:case g:case s:return e;default:return t}}case o:return t}}}function S(e){return O(e)===d}t.AsyncMode=c,t.ConcurrentMode=d,t.ContextConsumer=u,t.ContextProvider=s,t.Element=n,t.ForwardRef=p,t.Fragment=i,t.Lazy=v,t.Memo=g,t.Portal=o,t.Profiler=l,t.StrictMode=a,t.Suspense=f,t.isAsyncMode=function(e){return S(e)||O(e)===c},t.isConcurrentMode=S,t.isContextConsumer=function(e){return O(e)===u},t.isContextProvider=function(e){return O(e)===s},t.isElement=function(e){return"object"==typeof e&&null!==e&&e.$$typeof===n},t.isForwardRef=function(e){return O(e)===p},t.isFragment=function(e){return O(e)===i},t.isLazy=function(e){return O(e)===v},t.isMemo=function(e){return O(e)===g},t.isPortal=function(e){return O(e)===o},t.isProfiler=function(e){return O(e)===l},t.isStrictMode=function(e){return O(e)===a},t.isSuspense=function(e){return O(e)===f},t.isValidElementType=function(e){return"string"==typeof e||"function"==typeof e||e===i||e===d||e===l||e===a||e===f||e===h||"object"==typeof e&&null!==e&&(e.$$typeof===v||e.$$typeof===g||e.$$typeof===s||e.$$typeof===u||e.$$typeof===p||e.$$typeof===m||e.$$typeof===b||e.$$typeof===E||e.$$typeof===y)},t.typeOf=O},300:(e,t,r)=>{"use strict";e.exports=r(3520)},502:function(e,t,r){var n,o;n=function(){"use strict";Array.isArray||(Array.isArray=function(e){return"[object Array]"===Object.prototype.toString.call(e)});var e={},t={"==":function(e,t){return e==t},"===":function(e,t){return e===t},"!=":function(e,t){return e!=t},"!==":function(e,t){return e!==t},">":function(e,t){return e>t},">=":function(e,t){return e>=t},"<":function(e,t,r){return void 0===r?e<t:e<t&&t<r},"<=":function(e,t,r){return void 0===r?e<=t:e<=t&&t<=r},"!!":function(t){return e.truthy(t)},"!":function(t){return!e.truthy(t)},"%":function(e,t){return e%t},log:function(e){return console.log(e),e},in:function(e,t){return!(!t||void 0===t.indexOf)&&-1!==t.indexOf(e)},cat:function(){return Array.prototype.join.call(arguments,"")},substr:function(e,t,r){if(r<0){var n=String(e).substr(t);return n.substr(0,n.length+r)}return String(e).substr(t,r)},"+":function(){return Array.prototype.reduce.call(arguments,(function(e,t){return parseFloat(e,10)+parseFloat(t,10)}),0)},"*":function(){return Array.prototype.reduce.call(arguments,(function(e,t){return parseFloat(e,10)*parseFloat(t,10)}))},"-":function(e,t){return void 0===t?-e:e-t},"/":function(e,t){return e/t},min:function(){return Math.min.apply(this,arguments)},max:function(){return Math.max.apply(this,arguments)},merge:function(){return Array.prototype.reduce.call(arguments,(function(e,t){return e.concat(t)}),[])},var:function(e,t){var r=void 0===t?null:t,n=this;if(void 0===e||""===e||null===e)return n;for(var o=String(e).split("."),i=0;i<o.length;i++){if(null==n)return r;if(void 0===(n=n[o[i]]))return r}return n},missing:function(){for(var t=[],r=Array.isArray(arguments[0])?arguments[0]:arguments,n=0;n<r.length;n++){var o=r[n],i=e.apply({var:o},this);null!==i&&""!==i||t.push(o)}return t},missing_some:function(t,r){var n=e.apply({missing:r},this);return r.length-n.length>=t?[]:n}};return e.is_logic=function(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)&&1===Object.keys(e).length},e.truthy=function(e){return!(Array.isArray(e)&&0===e.length||!e)},e.get_operator=function(e){return Object.keys(e)[0]},e.get_values=function(t){return t[e.get_operator(t)]},e.apply=function(r,n){if(Array.isArray(r))return r.map((function(t){return e.apply(t,n)}));if(!e.is_logic(r))return r;var o,i,a,l,s,u=e.get_operator(r),c=r[u];if(Array.isArray(c)||(c=[c]),"if"===u||"?:"==u){for(o=0;o<c.length-1;o+=2)if(e.truthy(e.apply(c[o],n)))return e.apply(c[o+1],n);return c.length===o+1?e.apply(c[o],n):null}if("and"===u){for(o=0;o<c.length;o+=1)if(i=e.apply(c[o],n),!e.truthy(i))return i;return i}if("or"===u){for(o=0;o<c.length;o+=1)if(i=e.apply(c[o],n),e.truthy(i))return i;return i}if("filter"===u)return l=e.apply(c[0],n),a=c[1],Array.isArray(l)?l.filter((function(t){return e.truthy(e.apply(a,t))})):[];if("map"===u)return l=e.apply(c[0],n),a=c[1],Array.isArray(l)?l.map((function(t){return e.apply(a,t)})):[];if("reduce"===u)return l=e.apply(c[0],n),a=c[1],s=void 0!==c[2]?c[2]:null,Array.isArray(l)?l.reduce((function(t,r){return e.apply(a,{current:r,accumulator:t})}),s):s;if("all"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!1;for(o=0;o<l.length;o+=1)if(!e.truthy(e.apply(a,l[o])))return!1;return!0}if("none"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!0;for(o=0;o<l.length;o+=1)if(e.truthy(e.apply(a,l[o])))return!1;return!0}if("some"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!1;for(o=0;o<l.length;o+=1)if(e.truthy(e.apply(a,l[o])))return!0;return!1}if(c=c.map((function(t){return e.apply(t,n)})),t.hasOwnProperty(u)&&"function"==typeof t[u])return t[u].apply(n,c);if(u.indexOf(".")>0){var d=String(u).split("."),p=t;for(o=0;o<d.length;o++){if(!p.hasOwnProperty(d[o]))throw new Error("Unrecognized operation "+u+" (failed at "+d.slice(0,o+1).join(".")+")");p=p[d[o]]}return p.apply(n,c)}throw new Error("Unrecognized operation "+u)},e.uses_data=function(t){var r=[];if(e.is_logic(t)){var n=e.get_operator(t),o=t[n];Array.isArray(o)||(o=[o]),"var"===n?r.push(o[0]):o.forEach((function(t){r.push.apply(r,e.uses_data(t))}))}return function(e){for(var t=[],r=0,n=e.length;r<n;r++)-1===t.indexOf(e[r])&&t.push(e[r]);return t}(r)},e.add_operation=function(e,r){t[e]=r},e.rm_operation=function(e){delete t[e]},e.rule_like=function(t,r){if(r===t)return!0;if("@"===r)return!0;if("number"===r)return"number"==typeof t;if("string"===r)return"string"==typeof t;if("array"===r)return Array.isArray(t)&&!e.is_logic(t);if(e.is_logic(r)){if(e.is_logic(t)){var n=e.get_operator(r),o=e.get_operator(t);if("@"===n||n===o)return e.rule_like(e.get_values(t,!1),e.get_values(r,!1))}return!1}if(Array.isArray(r)){if(Array.isArray(t)){if(r.length!==t.length)return!1;for(var i=0;i<r.length;i+=1)if(!e.rule_like(t[i],r[i]))return!1;return!0}return!1}return!1},e},void 0===(o=n.call(t,r,t,e))||(e.exports=o)},5948:(e,t,r)=>{var n=r(2062)(r(9965),"DataView");e.exports=n},4845:(e,t,r)=>{var n=r(5504),o=r(5270),i=r(7150),a=r(2637),l=r(1077);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},1999:(e,t,r)=>{var n=r(7718),o=r(4272),i=r(5107),a=r(1055),l=r(4647);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},5455:(e,t,r)=>{var n=r(2062)(r(9965),"Map");e.exports=n},1549:(e,t,r)=>{var n=r(6400),o=r(7014),i=r(1793),a=r(6429),l=r(821);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},6420:(e,t,r)=>{var n=r(2062)(r(9965),"Promise");e.exports=n},2833:(e,t,r)=>{var n=r(2062)(r(9965),"Set");e.exports=n},8283:(e,t,r)=>{var n=r(1549),o=r(228),i=r(3683);function a(e){var t=-1,r=null==e?0:e.length;for(this.__data__=new n;++t<r;)this.add(e[t])}a.prototype.add=a.prototype.push=o,a.prototype.has=i,e.exports=a},8545:(e,t,r)=>{var n=r(1999),o=r(5052),i=r(4250),a=r(4773),l=r(6921),s=r(5745);function u(e){var t=this.__data__=new n(e);this.size=t.size}u.prototype.clear=o,u.prototype.delete=i,u.prototype.get=a,u.prototype.has=l,u.prototype.set=s,e.exports=u},2609:(e,t,r)=>{var n=r(9965).Symbol;e.exports=n},3604:(e,t,r)=>{var n=r(9965).Uint8Array;e.exports=n},8143:(e,t,r)=>{var n=r(2062)(r(9965),"WeakMap");e.exports=n},1929:e=>{e.exports=function(e,t,r){switch(r.length){case 0:return e.call(t);case 1:return e.call(t,r[0]);case 2:return e.call(t,r[0],r[1]);case 3:return e.call(t,r[0],r[1],r[2])}return e.apply(t,r)}},6433:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length;++r<n&&!1!==t(e[r],r,e););return e}},9386:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length,o=0,i=[];++r<n;){var a=e[r];t(a,r,e)&&(i[o++]=a)}return i}},6791:(e,t,r)=>{var n=r(2784),o=r(5196),i=r(4913),a=r(4264),l=r(6665),s=r(5087),u=Object.prototype.hasOwnProperty;e.exports=function(e,t){var r=i(e),c=!r&&o(e),d=!r&&!c&&a(e),p=!r&&!c&&!d&&s(e),f=r||c||d||p,h=f?n(e.length,String):[],g=h.length;for(var v in e)!t&&!u.call(e,v)||f&&("length"==v||d&&("offset"==v||"parent"==v)||p&&("buffer"==v||"byteLength"==v||"byteOffset"==v)||l(v,g))||h.push(v);return h}},1428:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length,o=Array(n);++r<n;)o[r]=t(e[r],r,e);return o}},8256:e=>{e.exports=function(e,t){for(var r=-1,n=t.length,o=e.length;++r<n;)e[o+r]=t[r];return e}},9272:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length;++r<n;)if(t(e[r],r,e))return!0;return!1}},237:(e,t,r)=>{var n=r(2464),o=r(6424);e.exports=function(e,t,r){(void 0!==r&&!o(e[t],r)||void 0===r&&!(t in e))&&n(e,t,r)}},8131:(e,t,r)=>{var n=r(2464),o=r(6424),i=Object.prototype.hasOwnProperty;e.exports=function(e,t,r){var a=e[t];i.call(e,t)&&o(a,r)&&(void 0!==r||t in e)||n(e,t,r)}},3481:(e,t,r)=>{var n=r(6424);e.exports=function(e,t){for(var r=e.length;r--;)if(n(e[r][0],t))return r;return-1}},4861:(e,t,r)=>{var n=r(4735),o=r(3790);e.exports=function(e,t){return e&&n(t,o(t),e)}},7838:(e,t,r)=>{var n=r(4735),o=r(5961);e.exports=function(e,t){return e&&n(t,o(t),e)}},2464:(e,t,r)=>{var n=r(9611);e.exports=function(e,t,r){"__proto__"==t&&n?n(e,t,{configurable:!0,enumerable:!0,value:r,writable:!0}):e[t]=r}},5725:e=>{e.exports=function(e,t,r){return e==e&&(void 0!==r&&(e=e<=r?e:r),void 0!==t&&(e=e>=t?e:t)),e}},6575:(e,t,r)=>{var n=r(8545),o=r(6433),i=r(8131),a=r(4861),l=r(7838),s=r(8986),u=r(1231),c=r(1711),d=r(1476),p=r(130),f=r(869),h=r(6053),g=r(509),v=r(1343),y=r(1225),m=r(4913),b=r(4264),E=r(146),O=r(7453),S=r(8696),T=r(3790),_=r(5961),w="[object Arguments]",R="[object Function]",A="[object Object]",I={};I[w]=I["[object Array]"]=I["[object ArrayBuffer]"]=I["[object DataView]"]=I["[object Boolean]"]=I["[object Date]"]=I["[object Float32Array]"]=I["[object Float64Array]"]=I["[object Int8Array]"]=I["[object Int16Array]"]=I["[object Int32Array]"]=I["[object Map]"]=I["[object Number]"]=I[A]=I["[object RegExp]"]=I["[object Set]"]=I["[object String]"]=I["[object Symbol]"]=I["[object Uint8Array]"]=I["[object Uint8ClampedArray]"]=I["[object Uint16Array]"]=I["[object Uint32Array]"]=!0,I["[object Error]"]=I[R]=I["[object WeakMap]"]=!1,e.exports=function e(t,r,C,N,L,P){var x,k=1&r,F=2&r,D=4&r;if(C&&(x=L?C(t,N,L,P):C(t)),void 0!==x)return x;if(!O(t))return t;var j=m(t);if(j){if(x=g(t),!k)return u(t,x)}else{var M=h(t),V=M==R||"[object GeneratorFunction]"==M;if(b(t))return s(t,k);if(M==A||M==w||V&&!L){if(x=F||V?{}:y(t),!k)return F?d(t,l(x,t)):c(t,a(x,t))}else{if(!I[M])return L?t:{};x=v(t,M,k)}}P||(P=new n);var U=P.get(t);if(U)return U;P.set(t,x),S(t)?t.forEach((function(n){x.add(e(n,r,C,n,t,P))})):E(t)&&t.forEach((function(n,o){x.set(o,e(n,r,C,o,t,P))}));var B=j?void 0:(D?F?f:p:F?_:T)(t);return o(B||t,(function(n,o){B&&(n=t[o=n]),i(x,o,e(n,r,C,o,t,P))})),x}},3088:(e,t,r)=>{var n=r(7453),o=Object.create,i=function(){function e(){}return function(t){if(!n(t))return{};if(o)return o(t);e.prototype=t;var r=new e;return e.prototype=void 0,r}}();e.exports=i},3323:e=>{e.exports=function(e,t,r,n){for(var o=e.length,i=r+(n?1:-1);n?i--:++i<o;)if(t(e[i],i,e))return i;return-1}},1360:(e,t,r)=>{var n=r(8256),o=r(5043);e.exports=function e(t,r,i,a,l){var s=-1,u=t.length;for(i||(i=o),l||(l=[]);++s<u;){var c=t[s];r>0&&i(c)?r>1?e(c,r-1,i,a,l):n(l,c):a||(l[l.length]=c)}return l}},6057:(e,t,r)=>{var n=r(5845)();e.exports=n},5473:(e,t,r)=>{var n=r(6057),o=r(3790);e.exports=function(e,t){return e&&n(e,t,o)}},2718:(e,t,r)=>{var n=r(2361),o=r(8197);e.exports=function(e,t){for(var r=0,i=(t=n(t,e)).length;null!=e&&r<i;)e=e[o(t[r++])];return r&&r==i?e:void 0}},8359:(e,t,r)=>{var n=r(8256),o=r(4913);e.exports=function(e,t,r){var i=t(e);return o(e)?i:n(i,r(e))}},9048:(e,t,r)=>{var n=r(2609),o=r(2899),i=r(7222),a=n?n.toStringTag:void 0;e.exports=function(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":a&&a in Object(e)?o(e):i(e)}},3613:e=>{e.exports=function(e,t){return null!=e&&t in Object(e)}},9555:(e,t,r)=>{var n=r(3323),o=r(8967),i=r(5951);e.exports=function(e,t,r){return t==t?i(e,t,r):n(e,o,r)}},3070:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return o(e)&&"[object Arguments]"==n(e)}},590:(e,t,r)=>{var n=r(9132),o=r(9466);e.exports=function e(t,r,i,a,l){return t===r||(null==t||null==r||!o(t)&&!o(r)?t!=t&&r!=r:n(t,r,i,a,e,l))}},9132:(e,t,r)=>{var n=r(8545),o=r(4807),i=r(898),a=r(3409),l=r(6053),s=r(4913),u=r(4264),c=r(5087),d="[object Arguments]",p="[object Array]",f="[object Object]",h=Object.prototype.hasOwnProperty;e.exports=function(e,t,r,g,v,y){var m=s(e),b=s(t),E=m?p:l(e),O=b?p:l(t),S=(E=E==d?f:E)==f,T=(O=O==d?f:O)==f,_=E==O;if(_&&u(e)){if(!u(t))return!1;m=!0,S=!1}if(_&&!S)return y||(y=new n),m||c(e)?o(e,t,r,g,v,y):i(e,t,E,r,g,v,y);if(!(1&r)){var w=S&&h.call(e,"__wrapped__"),R=T&&h.call(t,"__wrapped__");if(w||R){var A=w?e.value():e,I=R?t.value():t;return y||(y=new n),v(A,I,r,g,y)}}return!!_&&(y||(y=new n),a(e,t,r,g,v,y))}},2052:(e,t,r)=>{var n=r(6053),o=r(9466);e.exports=function(e){return o(e)&&"[object Map]"==n(e)}},7799:(e,t,r)=>{var n=r(8545),o=r(590);e.exports=function(e,t,r,i){var a=r.length,l=a,s=!i;if(null==e)return!l;for(e=Object(e);a--;){var u=r[a];if(s&&u[2]?u[1]!==e[u[0]]:!(u[0]in e))return!1}for(;++a<l;){var c=(u=r[a])[0],d=e[c],p=u[1];if(s&&u[2]){if(void 0===d&&!(c in e))return!1}else{var f=new n;if(i)var h=i(d,p,c,e,t,f);if(!(void 0===h?o(p,d,3,i,f):h))return!1}}return!0}},8967:e=>{e.exports=function(e){return e!=e}},4363:(e,t,r)=>{var n=r(1866),o=r(3248),i=r(7453),a=r(3761),l=/^\[object .+?Constructor\]$/,s=Function.prototype,u=Object.prototype,c=s.toString,d=u.hasOwnProperty,p=RegExp("^"+c.call(d).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");e.exports=function(e){return!(!i(e)||o(e))&&(n(e)?p:l).test(a(e))}},5206:(e,t,r)=>{var n=r(6053),o=r(9466);e.exports=function(e){return o(e)&&"[object Set]"==n(e)}},9653:(e,t,r)=>{var n=r(9048),o=r(582),i=r(9466),a={};a["[object Float32Array]"]=a["[object Float64Array]"]=a["[object Int8Array]"]=a["[object Int16Array]"]=a["[object Int32Array]"]=a["[object Uint8Array]"]=a["[object Uint8ClampedArray]"]=a["[object Uint16Array]"]=a["[object Uint32Array]"]=!0,a["[object Arguments]"]=a["[object Array]"]=a["[object ArrayBuffer]"]=a["[object Boolean]"]=a["[object DataView]"]=a["[object Date]"]=a["[object Error]"]=a["[object Function]"]=a["[object Map]"]=a["[object Number]"]=a["[object Object]"]=a["[object RegExp]"]=a["[object Set]"]=a["[object String]"]=a["[object WeakMap]"]=!1,e.exports=function(e){return i(e)&&o(e.length)&&!!a[n(e)]}},3245:(e,t,r)=>{var n=r(8271),o=r(4458),i=r(912),a=r(4913),l=r(6711);e.exports=function(e){return"function"==typeof e?e:null==e?i:"object"==typeof e?a(e)?o(e[0],e[1]):n(e):l(e)}},6504:(e,t,r)=>{var n=r(5735),o=r(9458),i=Object.prototype.hasOwnProperty;e.exports=function(e){if(!n(e))return o(e);var t=[];for(var r in Object(e))i.call(e,r)&&"constructor"!=r&&t.push(r);return t}},9399:(e,t,r)=>{var n=r(7453),o=r(5735),i=r(2693),a=Object.prototype.hasOwnProperty;e.exports=function(e){if(!n(e))return i(e);var t=o(e),r=[];for(var l in e)("constructor"!=l||!t&&a.call(e,l))&&r.push(l);return r}},8271:(e,t,r)=>{var n=r(7799),o=r(520),i=r(7405);e.exports=function(e){var t=o(e);return 1==t.length&&t[0][2]?i(t[0][0],t[0][1]):function(r){return r===e||n(r,e,t)}}},4458:(e,t,r)=>{var n=r(590),o=r(5612),i=r(4055),a=r(6394),l=r(2308),s=r(7405),u=r(8197);e.exports=function(e,t){return a(e)&&l(t)?s(u(e),t):function(r){var a=o(r,e);return void 0===a&&a===t?i(r,e):n(t,a,3)}}},9058:(e,t,r)=>{var n=r(8545),o=r(237),i=r(6057),a=r(8120),l=r(7453),s=r(5961),u=r(4302);e.exports=function e(t,r,c,d,p){t!==r&&i(r,(function(i,s){if(p||(p=new n),l(i))a(t,r,s,c,e,d,p);else{var f=d?d(u(t,s),i,s+"",t,r,p):void 0;void 0===f&&(f=i),o(t,s,f)}}),s)}},8120:(e,t,r)=>{var n=r(237),o=r(8986),i=r(7961),a=r(1231),l=r(1225),s=r(5196),u=r(4913),c=r(7965),d=r(4264),p=r(1866),f=r(7453),h=r(5219),g=r(5087),v=r(4302),y=r(5148);e.exports=function(e,t,r,m,b,E,O){var S=v(e,r),T=v(t,r),_=O.get(T);if(_)n(e,r,_);else{var w=E?E(S,T,r+"",e,t,O):void 0,R=void 0===w;if(R){var A=u(T),I=!A&&d(T),C=!A&&!I&&g(T);w=T,A||I||C?u(S)?w=S:c(S)?w=a(S):I?(R=!1,w=o(T,!0)):C?(R=!1,w=i(T,!0)):w=[]:h(T)||s(T)?(w=S,s(S)?w=y(S):f(S)&&!p(S)||(w=l(T))):R=!1}R&&(O.set(T,w),b(w,T,m,E,O),O.delete(T)),n(e,r,w)}}},1:(e,t,r)=>{var n=r(9916),o=r(4055);e.exports=function(e,t){return n(e,t,(function(t,r){return o(e,r)}))}},9916:(e,t,r)=>{var n=r(2718),o=r(3746),i=r(2361);e.exports=function(e,t,r){for(var a=-1,l=t.length,s={};++a<l;){var u=t[a],c=n(e,u);r(c,u)&&o(s,i(u,e),c)}return s}},645:e=>{e.exports=function(e){return function(t){return null==t?void 0:t[e]}}},5319:(e,t,r)=>{var n=r(2718);e.exports=function(e){return function(t){return n(t,e)}}},9383:e=>{var t=Math.ceil,r=Math.max;e.exports=function(e,n,o,i){for(var a=-1,l=r(t((n-e)/(o||1)),0),s=Array(l);l--;)s[i?l:++a]=e,e+=o;return s}},1459:e=>{var t=Math.floor;e.exports=function(e,r){var n="";if(!e||r<1||r>9007199254740991)return n;do{r%2&&(n+=e),(r=t(r/2))&&(e+=e)}while(r);return n}},1110:(e,t,r)=>{var n=r(912),o=r(709),i=r(7281);e.exports=function(e,t){return i(o(e,t,n),e+"")}},3746:(e,t,r)=>{var n=r(8131),o=r(2361),i=r(6665),a=r(7453),l=r(8197);e.exports=function(e,t,r,s){if(!a(e))return e;for(var u=-1,c=(t=o(t,e)).length,d=c-1,p=e;null!=p&&++u<c;){var f=l(t[u]),h=r;if("__proto__"===f||"constructor"===f||"prototype"===f)return e;if(u!=d){var g=p[f];void 0===(h=s?s(g,f,p):void 0)&&(h=a(g)?g:i(t[u+1])?[]:{})}n(p,f,h),p=p[f]}return e}},4450:(e,t,r)=>{var n=r(6534),o=r(9611),i=r(912),a=o?function(e,t){return o(e,"toString",{configurable:!0,enumerable:!1,value:n(t),writable:!0})}:i;e.exports=a},312:e=>{e.exports=function(e,t,r){var n=-1,o=e.length;t<0&&(t=-t>o?0:o+t),(r=r>o?o:r)<0&&(r+=o),o=t>r?0:r-t>>>0,t>>>=0;for(var i=Array(o);++n<o;)i[n]=e[n+t];return i}},2784:e=>{e.exports=function(e,t){for(var r=-1,n=Array(e);++r<e;)n[r]=t(r);return n}},9764:(e,t,r)=>{var n=r(2609),o=r(1428),i=r(4913),a=r(7386),l=n?n.prototype:void 0,s=l?l.toString:void 0;e.exports=function e(t){if("string"==typeof t)return t;if(i(t))return o(t,e)+"";if(a(t))return s?s.call(t):"";var r=t+"";return"0"==r&&1/t==-1/0?"-0":r}},7248:(e,t,r)=>{var n=r(1272),o=/^\s+/;e.exports=function(e){return e?e.slice(0,n(e)+1).replace(o,""):e}},277:e=>{e.exports=function(e){return function(t){return e(t)}}},6744:(e,t,r)=>{var n=r(2361),o=r(8906),i=r(2473),a=r(8197);e.exports=function(e,t){return t=n(t,e),null==(e=i(e,t))||delete e[a(o(t))]}},1282:(e,t,r)=>{var n=r(1428);e.exports=function(e,t){return n(t,(function(t){return e[t]}))}},3840:e=>{e.exports=function(e,t){return e.has(t)}},2361:(e,t,r)=>{var n=r(4913),o=r(6394),i=r(266),a=r(3158);e.exports=function(e,t){return n(e)?e:o(e,t)?[e]:i(a(e))}},7749:(e,t,r)=>{var n=r(3604);e.exports=function(e){var t=new e.constructor(e.byteLength);return new n(t).set(new n(e)),t}},8986:(e,t,r)=>{e=r.nmd(e);var n=r(9965),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o?n.Buffer:void 0,l=a?a.allocUnsafe:void 0;e.exports=function(e,t){if(t)return e.slice();var r=e.length,n=l?l(r):new e.constructor(r);return e.copy(n),n}},3081:(e,t,r)=>{var n=r(7749);e.exports=function(e,t){var r=t?n(e.buffer):e.buffer;return new e.constructor(r,e.byteOffset,e.byteLength)}},6945:e=>{var t=/\w*$/;e.exports=function(e){var r=new e.constructor(e.source,t.exec(e));return r.lastIndex=e.lastIndex,r}},6952:(e,t,r)=>{var n=r(2609),o=n?n.prototype:void 0,i=o?o.valueOf:void 0;e.exports=function(e){return i?Object(i.call(e)):{}}},7961:(e,t,r)=>{var n=r(7749);e.exports=function(e,t){var r=t?n(e.buffer):e.buffer;return new e.constructor(r,e.byteOffset,e.length)}},1231:e=>{e.exports=function(e,t){var r=-1,n=e.length;for(t||(t=Array(n));++r<n;)t[r]=e[r];return t}},4735:(e,t,r)=>{var n=r(8131),o=r(2464);e.exports=function(e,t,r,i){var a=!r;r||(r={});for(var l=-1,s=t.length;++l<s;){var u=t[l],c=i?i(r[u],e[u],u,r,e):void 0;void 0===c&&(c=e[u]),a?o(r,u,c):n(r,u,c)}return r}},1711:(e,t,r)=>{var n=r(4735),o=r(6600);e.exports=function(e,t){return n(e,o(e),t)}},1476:(e,t,r)=>{var n=r(4735),o=r(8455);e.exports=function(e,t){return n(e,o(e),t)}},2489:(e,t,r)=>{var n=r(9965)["__core-js_shared__"];e.exports=n},9511:(e,t,r)=>{var n=r(1110),o=r(3632);e.exports=function(e){return n((function(t,r){var n=-1,i=r.length,a=i>1?r[i-1]:void 0,l=i>2?r[2]:void 0;for(a=e.length>3&&"function"==typeof a?(i--,a):void 0,l&&o(r[0],r[1],l)&&(a=i<3?void 0:a,i=1),t=Object(t);++n<i;){var s=r[n];s&&e(t,s,n,a)}return t}))}},5845:e=>{e.exports=function(e){return function(t,r,n){for(var o=-1,i=Object(t),a=n(t),l=a.length;l--;){var s=a[e?l:++o];if(!1===r(i[s],s,i))break}return t}}},8580:(e,t,r)=>{var n=r(9383),o=r(3632),i=r(1144);e.exports=function(e){return function(t,r,a){return a&&"number"!=typeof a&&o(t,r,a)&&(r=a=void 0),t=i(t),void 0===r?(r=t,t=0):r=i(r),a=void 0===a?t<r?1:-1:i(a),n(t,r,a,e)}}},2050:(e,t,r)=>{var n=r(5219);e.exports=function(e){return n(e)?void 0:e}},9611:(e,t,r)=>{var n=r(2062),o=function(){try{var e=n(Object,"defineProperty");return e({},"",{}),e}catch(e){}}();e.exports=o},4807:(e,t,r)=>{var n=r(8283),o=r(9272),i=r(3840);e.exports=function(e,t,r,a,l,s){var u=1&r,c=e.length,d=t.length;if(c!=d&&!(u&&d>c))return!1;var p=s.get(e),f=s.get(t);if(p&&f)return p==t&&f==e;var h=-1,g=!0,v=2&r?new n:void 0;for(s.set(e,t),s.set(t,e);++h<c;){var y=e[h],m=t[h];if(a)var b=u?a(m,y,h,t,e,s):a(y,m,h,e,t,s);if(void 0!==b){if(b)continue;g=!1;break}if(v){if(!o(t,(function(e,t){if(!i(v,t)&&(y===e||l(y,e,r,a,s)))return v.push(t)}))){g=!1;break}}else if(y!==m&&!l(y,m,r,a,s)){g=!1;break}}return s.delete(e),s.delete(t),g}},898:(e,t,r)=>{var n=r(2609),o=r(3604),i=r(6424),a=r(4807),l=r(9885),s=r(6295),u=n?n.prototype:void 0,c=u?u.valueOf:void 0;e.exports=function(e,t,r,n,u,d,p){switch(r){case"[object DataView]":if(e.byteLength!=t.byteLength||e.byteOffset!=t.byteOffset)return!1;e=e.buffer,t=t.buffer;case"[object ArrayBuffer]":return!(e.byteLength!=t.byteLength||!d(new o(e),new o(t)));case"[object Boolean]":case"[object Date]":case"[object Number]":return i(+e,+t);case"[object Error]":return e.name==t.name&&e.message==t.message;case"[object RegExp]":case"[object String]":return e==t+"";case"[object Map]":var f=l;case"[object Set]":var h=1&n;if(f||(f=s),e.size!=t.size&&!h)return!1;var g=p.get(e);if(g)return g==t;n|=2,p.set(e,t);var v=a(f(e),f(t),n,u,d,p);return p.delete(e),v;case"[object Symbol]":if(c)return c.call(e)==c.call(t)}return!1}},3409:(e,t,r)=>{var n=r(130),o=Object.prototype.hasOwnProperty;e.exports=function(e,t,r,i,a,l){var s=1&r,u=n(e),c=u.length;if(c!=n(t).length&&!s)return!1;for(var d=c;d--;){var p=u[d];if(!(s?p in t:o.call(t,p)))return!1}var f=l.get(e),h=l.get(t);if(f&&h)return f==t&&h==e;var g=!0;l.set(e,t),l.set(t,e);for(var v=s;++d<c;){var y=e[p=u[d]],m=t[p];if(i)var b=s?i(m,y,p,t,e,l):i(y,m,p,e,t,l);if(!(void 0===b?y===m||a(y,m,r,i,l):b)){g=!1;break}v||(v="constructor"==p)}if(g&&!v){var E=e.constructor,O=t.constructor;E==O||!("constructor"in e)||!("constructor"in t)||"function"==typeof E&&E instanceof E&&"function"==typeof O&&O instanceof O||(g=!1)}return l.delete(e),l.delete(t),g}},8496:(e,t,r)=>{var n=r(9234),o=r(709),i=r(7281);e.exports=function(e){return i(o(e,void 0,n),e+"")}},6392:(e,t,r)=>{var n="object"==typeof r.g&&r.g&&r.g.Object===Object&&r.g;e.exports=n},130:(e,t,r)=>{var n=r(8359),o=r(6600),i=r(3790);e.exports=function(e){return n(e,i,o)}},869:(e,t,r)=>{var n=r(8359),o=r(8455),i=r(5961);e.exports=function(e){return n(e,i,o)}},3707:(e,t,r)=>{var n=r(9178);e.exports=function(e,t){var r=e.__data__;return n(t)?r["string"==typeof t?"string":"hash"]:r.map}},520:(e,t,r)=>{var n=r(2308),o=r(3790);e.exports=function(e){for(var t=o(e),r=t.length;r--;){var i=t[r],a=e[i];t[r]=[i,a,n(a)]}return t}},2062:(e,t,r)=>{var n=r(4363),o=r(5240);e.exports=function(e,t){var r=o(e,t);return n(r)?r:void 0}},6607:(e,t,r)=>{var n=r(8303)(Object.getPrototypeOf,Object);e.exports=n},2899:(e,t,r)=>{var n=r(2609),o=Object.prototype,i=o.hasOwnProperty,a=o.toString,l=n?n.toStringTag:void 0;e.exports=function(e){var t=i.call(e,l),r=e[l];try{e[l]=void 0;var n=!0}catch(e){}var o=a.call(e);return n&&(t?e[l]=r:delete e[l]),o}},6600:(e,t,r)=>{var n=r(9386),o=r(8721),i=Object.prototype.propertyIsEnumerable,a=Object.getOwnPropertySymbols,l=a?function(e){return null==e?[]:(e=Object(e),n(a(e),(function(t){return i.call(e,t)})))}:o;e.exports=l},8455:(e,t,r)=>{var n=r(8256),o=r(6607),i=r(6600),a=r(8721),l=Object.getOwnPropertySymbols?function(e){for(var t=[];e;)n(t,i(e)),e=o(e);return t}:a;e.exports=l},6053:(e,t,r)=>{var n=r(5948),o=r(5455),i=r(6420),a=r(2833),l=r(8143),s=r(9048),u=r(3761),c="[object Map]",d="[object Promise]",p="[object Set]",f="[object WeakMap]",h="[object DataView]",g=u(n),v=u(o),y=u(i),m=u(a),b=u(l),E=s;(n&&E(new n(new ArrayBuffer(1)))!=h||o&&E(new o)!=c||i&&E(i.resolve())!=d||a&&E(new a)!=p||l&&E(new l)!=f)&&(E=function(e){var t=s(e),r="[object Object]"==t?e.constructor:void 0,n=r?u(r):"";if(n)switch(n){case g:return h;case v:return c;case y:return d;case m:return p;case b:return f}return t}),e.exports=E},5240:e=>{e.exports=function(e,t){return null==e?void 0:e[t]}},1518:(e,t,r)=>{var n=r(2361),o=r(5196),i=r(4913),a=r(6665),l=r(582),s=r(8197);e.exports=function(e,t,r){for(var u=-1,c=(t=n(t,e)).length,d=!1;++u<c;){var p=s(t[u]);if(!(d=null!=e&&r(e,p)))break;e=e[p]}return d||++u!=c?d:!!(c=null==e?0:e.length)&&l(c)&&a(p,c)&&(i(e)||o(e))}},5504:(e,t,r)=>{var n=r(8034);e.exports=function(){this.__data__=n?n(null):{},this.size=0}},5270:e=>{e.exports=function(e){var t=this.has(e)&&delete this.__data__[e];return this.size-=t?1:0,t}},7150:(e,t,r)=>{var n=r(8034),o=Object.prototype.hasOwnProperty;e.exports=function(e){var t=this.__data__;if(n){var r=t[e];return"__lodash_hash_undefined__"===r?void 0:r}return o.call(t,e)?t[e]:void 0}},2637:(e,t,r)=>{var n=r(8034),o=Object.prototype.hasOwnProperty;e.exports=function(e){var t=this.__data__;return n?void 0!==t[e]:o.call(t,e)}},1077:(e,t,r)=>{var n=r(8034);e.exports=function(e,t){var r=this.__data__;return this.size+=this.has(e)?0:1,r[e]=n&&void 0===t?"__lodash_hash_undefined__":t,this}},509:e=>{var t=Object.prototype.hasOwnProperty;e.exports=function(e){var r=e.length,n=new e.constructor(r);return r&&"string"==typeof e[0]&&t.call(e,"index")&&(n.index=e.index,n.input=e.input),n}},1343:(e,t,r)=>{var n=r(7749),o=r(3081),i=r(6945),a=r(6952),l=r(7961);e.exports=function(e,t,r){var s=e.constructor;switch(t){case"[object ArrayBuffer]":return n(e);case"[object Boolean]":case"[object Date]":return new s(+e);case"[object DataView]":return o(e,r);case"[object Float32Array]":case"[object Float64Array]":case"[object Int8Array]":case"[object Int16Array]":case"[object Int32Array]":case"[object Uint8Array]":case"[object Uint8ClampedArray]":case"[object Uint16Array]":case"[object Uint32Array]":return l(e,r);case"[object Map]":case"[object Set]":return new s;case"[object Number]":case"[object String]":return new s(e);case"[object RegExp]":return i(e);case"[object Symbol]":return a(e)}}},1225:(e,t,r)=>{var n=r(3088),o=r(6607),i=r(5735);e.exports=function(e){return"function"!=typeof e.constructor||i(e)?{}:n(o(e))}},5043:(e,t,r)=>{var n=r(2609),o=r(5196),i=r(4913),a=n?n.isConcatSpreadable:void 0;e.exports=function(e){return i(e)||o(e)||!!(a&&e&&e[a])}},6665:e=>{var t=/^(?:0|[1-9]\d*)$/;e.exports=function(e,r){var n=typeof e;return!!(r=null==r?9007199254740991:r)&&("number"==n||"symbol"!=n&&t.test(e))&&e>-1&&e%1==0&&e<r}},3632:(e,t,r)=>{var n=r(6424),o=r(7134),i=r(6665),a=r(7453);e.exports=function(e,t,r){if(!a(r))return!1;var l=typeof t;return!!("number"==l?o(r)&&i(t,r.length):"string"==l&&t in r)&&n(r[t],e)}},6394:(e,t,r)=>{var n=r(4913),o=r(7386),i=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,a=/^\w*$/;e.exports=function(e,t){if(n(e))return!1;var r=typeof e;return!("number"!=r&&"symbol"!=r&&"boolean"!=r&&null!=e&&!o(e))||a.test(e)||!i.test(e)||null!=t&&e in Object(t)}},9178:e=>{e.exports=function(e){var t=typeof e;return"string"==t||"number"==t||"symbol"==t||"boolean"==t?"__proto__"!==e:null===e}},3248:(e,t,r)=>{var n,o=r(2489),i=(n=/[^.]+$/.exec(o&&o.keys&&o.keys.IE_PROTO||""))?"Symbol(src)_1."+n:"";e.exports=function(e){return!!i&&i in e}},5735:e=>{var t=Object.prototype;e.exports=function(e){var r=e&&e.constructor;return e===("function"==typeof r&&r.prototype||t)}},2308:(e,t,r)=>{var n=r(7453);e.exports=function(e){return e==e&&!n(e)}},7718:e=>{e.exports=function(){this.__data__=[],this.size=0}},4272:(e,t,r)=>{var n=r(3481),o=Array.prototype.splice;e.exports=function(e){var t=this.__data__,r=n(t,e);return!(r<0||(r==t.length-1?t.pop():o.call(t,r,1),--this.size,0))}},5107:(e,t,r)=>{var n=r(3481);e.exports=function(e){var t=this.__data__,r=n(t,e);return r<0?void 0:t[r][1]}},1055:(e,t,r)=>{var n=r(3481);e.exports=function(e){return n(this.__data__,e)>-1}},4647:(e,t,r)=>{var n=r(3481);e.exports=function(e,t){var r=this.__data__,o=n(r,e);return o<0?(++this.size,r.push([e,t])):r[o][1]=t,this}},6400:(e,t,r)=>{var n=r(4845),o=r(1999),i=r(5455);e.exports=function(){this.size=0,this.__data__={hash:new n,map:new(i||o),string:new n}}},7014:(e,t,r)=>{var n=r(3707);e.exports=function(e){var t=n(this,e).delete(e);return this.size-=t?1:0,t}},1793:(e,t,r)=>{var n=r(3707);e.exports=function(e){return n(this,e).get(e)}},6429:(e,t,r)=>{var n=r(3707);e.exports=function(e){return n(this,e).has(e)}},821:(e,t,r)=>{var n=r(3707);e.exports=function(e,t){var r=n(this,e),o=r.size;return r.set(e,t),this.size+=r.size==o?0:1,this}},9885:e=>{e.exports=function(e){var t=-1,r=Array(e.size);return e.forEach((function(e,n){r[++t]=[n,e]})),r}},7405:e=>{e.exports=function(e,t){return function(r){return null!=r&&r[e]===t&&(void 0!==t||e in Object(r))}}},2848:(e,t,r)=>{var n=r(3272);e.exports=function(e){var t=n(e,(function(e){return 500===r.size&&r.clear(),e})),r=t.cache;return t}},8034:(e,t,r)=>{var n=r(2062)(Object,"create");e.exports=n},9458:(e,t,r)=>{var n=r(8303)(Object.keys,Object);e.exports=n},2693:e=>{e.exports=function(e){var t=[];if(null!=e)for(var r in Object(e))t.push(r);return t}},1977:(e,t,r)=>{e=r.nmd(e);var n=r(6392),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o&&n.process,l=function(){try{return i&&i.require&&i.require("util").types||a&&a.binding&&a.binding("util")}catch(e){}}();e.exports=l},7222:e=>{var t=Object.prototype.toString;e.exports=function(e){return t.call(e)}},8303:e=>{e.exports=function(e,t){return function(r){return e(t(r))}}},709:(e,t,r)=>{var n=r(1929),o=Math.max;e.exports=function(e,t,r){return t=o(void 0===t?e.length-1:t,0),function(){for(var i=arguments,a=-1,l=o(i.length-t,0),s=Array(l);++a<l;)s[a]=i[t+a];a=-1;for(var u=Array(t+1);++a<t;)u[a]=i[a];return u[t]=r(s),n(e,this,u)}}},2473:(e,t,r)=>{var n=r(2718),o=r(312);e.exports=function(e,t){return t.length<2?e:n(e,o(t,0,-1))}},9965:(e,t,r)=>{var n=r(6392),o="object"==typeof self&&self&&self.Object===Object&&self,i=n||o||Function("return this")();e.exports=i},4302:e=>{e.exports=function(e,t){if(("constructor"!==t||"function"!=typeof e[t])&&"__proto__"!=t)return e[t]}},228:e=>{e.exports=function(e){return this.__data__.set(e,"__lodash_hash_undefined__"),this}},3683:e=>{e.exports=function(e){return this.__data__.has(e)}},6295:e=>{e.exports=function(e){var t=-1,r=Array(e.size);return e.forEach((function(e){r[++t]=e})),r}},7281:(e,t,r)=>{var n=r(4450),o=r(435)(n);e.exports=o},435:e=>{var t=Date.now;e.exports=function(e){var r=0,n=0;return function(){var o=t(),i=16-(o-n);if(n=o,i>0){if(++r>=800)return arguments[0]}else r=0;return e.apply(void 0,arguments)}}},5052:(e,t,r)=>{var n=r(1999);e.exports=function(){this.__data__=new n,this.size=0}},4250:e=>{e.exports=function(e){var t=this.__data__,r=t.delete(e);return this.size=t.size,r}},4773:e=>{e.exports=function(e){return this.__data__.get(e)}},6921:e=>{e.exports=function(e){return this.__data__.has(e)}},5745:(e,t,r)=>{var n=r(1999),o=r(5455),i=r(1549);e.exports=function(e,t){var r=this.__data__;if(r instanceof n){var a=r.__data__;if(!o||a.length<199)return a.push([e,t]),this.size=++r.size,this;r=this.__data__=new i(a)}return r.set(e,t),this.size=r.size,this}},5951:e=>{e.exports=function(e,t,r){for(var n=r-1,o=e.length;++n<o;)if(e[n]===t)return n;return-1}},266:(e,t,r)=>{var n=r(2848),o=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,i=/\\(\\)?/g,a=n((function(e){var t=[];return 46===e.charCodeAt(0)&&t.push(""),e.replace(o,(function(e,r,n,o){t.push(n?o.replace(i,"$1"):r||e)})),t}));e.exports=a},8197:(e,t,r)=>{var n=r(7386);e.exports=function(e){if("string"==typeof e||n(e))return e;var t=e+"";return"0"==t&&1/e==-1/0?"-0":t}},3761:e=>{var t=Function.prototype.toString;e.exports=function(e){if(null!=e){try{return t.call(e)}catch(e){}try{return e+""}catch(e){}}return""}},1272:e=>{var t=/\s/;e.exports=function(e){for(var r=e.length;r--&&t.test(e.charAt(r)););return r}},6534:e=>{e.exports=function(e){return function(){return e}}},9517:(e,t,r)=>{var n=r(7453),o=r(2220),i=r(3662),a=Math.max,l=Math.min;e.exports=function(e,t,r){var s,u,c,d,p,f,h=0,g=!1,v=!1,y=!0;if("function"!=typeof e)throw new TypeError("Expected a function");function m(t){var r=s,n=u;return s=u=void 0,h=t,d=e.apply(n,r)}function b(e){var r=e-f;return void 0===f||r>=t||r<0||v&&e-h>=c}function E(){var e=o();if(b(e))return O(e);p=setTimeout(E,function(e){var r=t-(e-f);return v?l(r,c-(e-h)):r}(e))}function O(e){return p=void 0,y&&s?m(e):(s=u=void 0,d)}function S(){var e=o(),r=b(e);if(s=arguments,u=this,f=e,r){if(void 0===p)return function(e){return h=e,p=setTimeout(E,t),g?m(e):d}(f);if(v)return clearTimeout(p),p=setTimeout(E,t),m(f)}return void 0===p&&(p=setTimeout(E,t)),d}return t=i(t)||0,n(r)&&(g=!!r.leading,c=(v="maxWait"in r)?a(i(r.maxWait)||0,t):c,y="trailing"in r?!!r.trailing:y),S.cancel=function(){void 0!==p&&clearTimeout(p),h=0,s=f=u=p=void 0},S.flush=function(){return void 0===p?d:O(o())},S}},6424:e=>{e.exports=function(e,t){return e===t||e!=e&&t!=t}},8472:(e,t,r)=>{var n=r(3158),o=/[\\^$.*+?()[\]{}|]/g,i=RegExp(o.source);e.exports=function(e){return(e=n(e))&&i.test(e)?e.replace(o,"\\$&"):e}},9234:(e,t,r)=>{var n=r(1360);e.exports=function(e){return null!=e&&e.length?n(e,1):[]}},5612:(e,t,r)=>{var n=r(2718);e.exports=function(e,t,r){var o=null==e?void 0:n(e,t);return void 0===o?r:o}},4055:(e,t,r)=>{var n=r(3613),o=r(1518);e.exports=function(e,t){return null!=e&&o(e,t,n)}},912:e=>{e.exports=function(e){return e}},1283:(e,t,r)=>{var n=r(9555),o=r(7134),i=r(8951),a=r(5729),l=r(1624),s=Math.max;e.exports=function(e,t,r,u){e=o(e)?e:l(e),r=r&&!u?a(r):0;var c=e.length;return r<0&&(r=s(c+r,0)),i(e)?r<=c&&e.indexOf(t,r)>-1:!!c&&n(e,t,r)>-1}},5196:(e,t,r)=>{var n=r(3070),o=r(9466),i=Object.prototype,a=i.hasOwnProperty,l=i.propertyIsEnumerable,s=n(function(){return arguments}())?n:function(e){return o(e)&&a.call(e,"callee")&&!l.call(e,"callee")};e.exports=s},4913:e=>{var t=Array.isArray;e.exports=t},7134:(e,t,r)=>{var n=r(1866),o=r(582);e.exports=function(e){return null!=e&&o(e.length)&&!n(e)}},7965:(e,t,r)=>{var n=r(7134),o=r(9466);e.exports=function(e){return o(e)&&n(e)}},4264:(e,t,r)=>{e=r.nmd(e);var n=r(9965),o=r(9375),i=t&&!t.nodeType&&t,a=i&&e&&!e.nodeType&&e,l=a&&a.exports===i?n.Buffer:void 0,s=(l?l.isBuffer:void 0)||o;e.exports=s},7969:(e,t,r)=>{var n=r(6504),o=r(6053),i=r(5196),a=r(4913),l=r(7134),s=r(4264),u=r(5735),c=r(5087),d=Object.prototype.hasOwnProperty;e.exports=function(e){if(null==e)return!0;if(l(e)&&(a(e)||"string"==typeof e||"function"==typeof e.splice||s(e)||c(e)||i(e)))return!e.length;var t=o(e);if("[object Map]"==t||"[object Set]"==t)return!e.size;if(u(e))return!n(e).length;for(var r in e)if(d.call(e,r))return!1;return!0}},1866:(e,t,r)=>{var n=r(9048),o=r(7453);e.exports=function(e){if(!o(e))return!1;var t=n(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t}},582:e=>{e.exports=function(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=9007199254740991}},146:(e,t,r)=>{var n=r(2052),o=r(277),i=r(1977),a=i&&i.isMap,l=a?o(a):n;e.exports=l},7453:e=>{e.exports=function(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)}},9466:e=>{e.exports=function(e){return null!=e&&"object"==typeof e}},5219:(e,t,r)=>{var n=r(9048),o=r(6607),i=r(9466),a=Function.prototype,l=Object.prototype,s=a.toString,u=l.hasOwnProperty,c=s.call(Object);e.exports=function(e){if(!i(e)||"[object Object]"!=n(e))return!1;var t=o(e);if(null===t)return!0;var r=u.call(t,"constructor")&&t.constructor;return"function"==typeof r&&r instanceof r&&s.call(r)==c}},8696:(e,t,r)=>{var n=r(5206),o=r(277),i=r(1977),a=i&&i.isSet,l=a?o(a):n;e.exports=l},8951:(e,t,r)=>{var n=r(9048),o=r(4913),i=r(9466);e.exports=function(e){return"string"==typeof e||!o(e)&&i(e)&&"[object String]"==n(e)}},7386:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return"symbol"==typeof e||o(e)&&"[object Symbol]"==n(e)}},5087:(e,t,r)=>{var n=r(9653),o=r(277),i=r(1977),a=i&&i.isTypedArray,l=a?o(a):n;e.exports=l},3790:(e,t,r)=>{var n=r(6791),o=r(6504),i=r(7134);e.exports=function(e){return i(e)?n(e):o(e)}},5961:(e,t,r)=>{var n=r(6791),o=r(9399),i=r(7134);e.exports=function(e){return i(e)?n(e,!0):o(e)}},8906:e=>{e.exports=function(e){var t=null==e?0:e.length;return t?e[t-1]:void 0}},1612:(e,t,r)=>{var n=r(2464),o=r(5473),i=r(3245);e.exports=function(e,t){var r={};return t=i(t,3),o(e,(function(e,o,i){n(r,o,t(e,o,i))})),r}},3272:(e,t,r)=>{var n=r(1549);function o(e,t){if("function"!=typeof e||null!=t&&"function"!=typeof t)throw new TypeError("Expected a function");var r=function(){var n=arguments,o=t?t.apply(this,n):n[0],i=r.cache;if(i.has(o))return i.get(o);var a=e.apply(this,n);return r.cache=i.set(o,a)||i,a};return r.cache=new(o.Cache||n),r}o.Cache=n,e.exports=o},4308:(e,t,r)=>{var n=r(9058),o=r(9511)((function(e,t,r){n(e,t,r)}));e.exports=o},2815:(e,t,r)=>{var n=r(9058),o=r(9511)((function(e,t,r,o){n(e,t,r,o)}));e.exports=o},2220:(e,t,r)=>{var n=r(9965);e.exports=function(){return n.Date.now()}},7027:(e,t,r)=>{var n=r(1428),o=r(6575),i=r(6744),a=r(2361),l=r(4735),s=r(2050),u=r(8496),c=r(869),d=u((function(e,t){var r={};if(null==e)return r;var u=!1;t=n(t,(function(t){return t=a(t,e),u||(u=t.length>1),t})),l(e,c(e),r),u&&(r=o(r,7,s));for(var d=t.length;d--;)i(r,t[d]);return r}));e.exports=d},8831:(e,t,r)=>{var n=r(1),o=r(8496)((function(e,t){return null==e?{}:n(e,t)}));e.exports=o},350:(e,t,r)=>{var n=r(1428),o=r(3245),i=r(9916),a=r(869);e.exports=function(e,t){if(null==e)return{};var r=n(a(e),(function(e){return[e]}));return t=o(t),i(e,r,(function(e,r){return t(e,r[0])}))}},6711:(e,t,r)=>{var n=r(645),o=r(5319),i=r(6394),a=r(8197);e.exports=function(e){return i(e)?n(a(e)):o(e)}},2285:(e,t,r)=>{var n=r(8580)();e.exports=n},9901:(e,t,r)=>{var n=r(1459),o=r(3632),i=r(5729),a=r(3158);e.exports=function(e,t,r){return t=(r?o(e,t,r):void 0===t)?1:i(t),n(a(e),t)}},3547:(e,t,r)=>{var n=r(5725),o=r(9764),i=r(5729),a=r(3158);e.exports=function(e,t,r){return e=a(e),r=null==r?0:n(i(r),0,e.length),t=o(t),e.slice(r,r+t.length)==t}},8721:e=>{e.exports=function(){return[]}},9375:e=>{e.exports=function(){return!1}},1144:(e,t,r)=>{var n=r(3662),o=1/0;e.exports=function(e){return e?(e=n(e))===o||e===-1/0?17976931348623157e292*(e<0?-1:1):e==e?e:0:0===e?e:0}},5729:(e,t,r)=>{var n=r(1144);e.exports=function(e){var t=n(e),r=t%1;return t==t?r?t-r:t:0}},3662:(e,t,r)=>{var n=r(7248),o=r(7453),i=r(7386),a=/^[-+]0x[0-9a-f]+$/i,l=/^0b[01]+$/i,s=/^0o[0-7]+$/i,u=parseInt;e.exports=function(e){if("number"==typeof e)return e;if(i(e))return NaN;if(o(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=o(t)?t+"":t}if("string"!=typeof e)return 0===e?e:+e;e=n(e);var r=l.test(e);return r||s.test(e)?u(e.slice(2),r?2:8):a.test(e)?NaN:+e}},5148:(e,t,r)=>{var n=r(4735),o=r(5961);e.exports=function(e){return n(e,o(e))}},3158:(e,t,r)=>{var n=r(9764);e.exports=function(e){return null==e?"":n(e)}},1624:(e,t,r)=>{var n=r(1282),o=r(3790);e.exports=function(e){return null==e?[]:n(e,o(e))}},3238:function(e){e.exports=function(){"use strict";var e={isEqual:!0,isMatchingKey:!0,isPromise:!0,maxSize:!0,onCacheAdd:!0,onCacheChange:!0,onCacheHit:!0,transformKey:!0},t=Array.prototype.slice;function r(e){var r=e.length;return r?1===r?[e[0]]:2===r?[e[0],e[1]]:3===r?[e[0],e[1],e[2]]:t.call(e,0):[]}function n(e,t){return e===t||e!=e&&t!=t}function o(e,t){var r={};for(var n in e)r[n]=e[n];for(var n in t)r[n]=t[n];return r}var i=function(){function e(e){this.keys=[],this.values=[],this.options=e;var t="function"==typeof e.isMatchingKey;t?this.getKeyIndex=this._getKeyIndexFromMatchingKey:e.maxSize>1?this.getKeyIndex=this._getKeyIndexForMany:this.getKeyIndex=this._getKeyIndexForSingle,this.canTransformKey="function"==typeof e.transformKey,this.shouldCloneArguments=this.canTransformKey||t,this.shouldUpdateOnAdd="function"==typeof e.onCacheAdd,this.shouldUpdateOnChange="function"==typeof e.onCacheChange,this.shouldUpdateOnHit="function"==typeof e.onCacheHit}return Object.defineProperty(e.prototype,"size",{get:function(){return this.keys.length},enumerable:!1,configurable:!0}),Object.defineProperty(e.prototype,"snapshot",{get:function(){return{keys:r(this.keys),size:this.size,values:r(this.values)}},enumerable:!1,configurable:!0}),e.prototype._getKeyIndexFromMatchingKey=function(e){var t=this.options,r=t.isMatchingKey,n=t.maxSize,o=this.keys,i=o.length;if(!i)return-1;if(r(o[0],e))return 0;if(n>1)for(var a=1;a<i;a++)if(r(o[a],e))return a;return-1},e.prototype._getKeyIndexForMany=function(e){var t=this.options.isEqual,r=this.keys,n=r.length;if(!n)return-1;if(1===n)return this._getKeyIndexForSingle(e);var o,i,a=e.length;if(a>1){for(var l=0;l<n;l++)if((o=r[l]).length===a){for(i=0;i<a&&t(o[i],e[i]);i++);if(i===a)return l}}else for(l=0;l<n;l++)if((o=r[l]).length===a&&t(o[0],e[0]))return l;return-1},e.prototype._getKeyIndexForSingle=function(e){var t=this.keys;if(!t.length)return-1;var r=t[0],n=r.length;if(e.length!==n)return-1;var o=this.options.isEqual;if(n>1){for(var i=0;i<n;i++)if(!o(r[i],e[i]))return-1;return 0}return o(r[0],e[0])?0:-1},e.prototype.orderByLru=function(e,t,r){for(var n=this.keys,o=this.values,i=n.length,a=r;a--;)n[a+1]=n[a],o[a+1]=o[a];n[0]=e,o[0]=t;var l=this.options.maxSize;i===l&&r===i?(n.pop(),o.pop()):r>=l&&(n.length=o.length=l)},e.prototype.updateAsyncCache=function(e){var t=this,r=this.options,n=r.onCacheChange,o=r.onCacheHit,i=this.keys[0],a=this.values[0];this.values[0]=a.then((function(r){return t.shouldUpdateOnHit&&o(t,t.options,e),t.shouldUpdateOnChange&&n(t,t.options,e),r}),(function(e){var r=t.getKeyIndex(i);throw-1!==r&&(t.keys.splice(r,1),t.values.splice(r,1)),e}))},e}();return function t(a,l){if(void 0===l&&(l={}),function(e){return"function"==typeof e&&e.isMemoized}(a))return t(a.fn,o(a.options,l));if("function"!=typeof a)throw new TypeError("You must pass a function to `memoize`.");var s=l.isEqual,u=void 0===s?n:s,c=l.isMatchingKey,d=l.isPromise,p=void 0!==d&&d,f=l.maxSize,h=void 0===f?1:f,g=l.onCacheAdd,v=l.onCacheChange,y=l.onCacheHit,m=l.transformKey,b=o({isEqual:u,isMatchingKey:c,isPromise:p,maxSize:h,onCacheAdd:g,onCacheChange:v,onCacheHit:y,transformKey:m},function(t){var r={};for(var n in t)e[n]||(r[n]=t[n]);return r}(l)),E=new i(b),O=E.keys,S=E.values,T=E.canTransformKey,_=E.shouldCloneArguments,w=E.shouldUpdateOnAdd,R=E.shouldUpdateOnChange,A=E.shouldUpdateOnHit,I=function(){var e=_?r(arguments):arguments;T&&(e=m(e));var t=O.length?E.getKeyIndex(e):-1;if(-1!==t)A&&y(E,b,I),t&&(E.orderByLru(O[t],S[t],t),R&&v(E,b,I));else{var n=a.apply(this,arguments),o=_?e:r(arguments);E.orderByLru(o,n,O.length),p&&E.updateAsyncCache(I),w&&g(E,b,I),R&&v(E,b,I)}return S[0]};return I.cache=E,I.fn=a,I.isMemoized=!0,I.options=b,I}}()},4790:(e,t,r)=>{"use strict";var n=r(4621);function o(){}function i(){}i.resetWarningCache=o,e.exports=function(){function e(e,t,r,o,i,a){if(a!==n){var l=new Error("Calling PropTypes validators directly is not supported by the `prop-types` package. Use PropTypes.checkPropTypes() to call them. Read more at http://fb.me/use-check-prop-types");throw l.name="Invariant Violation",l}}function t(){return e}e.isRequired=e;var r={array:e,bigint:e,bool:e,func:e,number:e,object:e,string:e,symbol:e,any:e,arrayOf:t,element:e,elementType:e,instanceOf:t,node:e,objectOf:t,oneOf:t,oneOfType:t,shape:t,exact:t,checkPropTypes:i,resetWarningCache:o};return r.PropTypes=r,r}},7028:(e,t,r)=>{e.exports=r(4790)()},4621:e=>{"use strict";e.exports="SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED"},6563:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isNavigator=t.isBrowser=t.off=t.on=t.noop=void 0,t.noop=function(){},t.on=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];e&&e.addEventListener&&e.addEventListener.apply(e,t)},t.off=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];e&&e.removeEventListener&&e.removeEventListener.apply(e,t)},t.isBrowser="undefined"!=typeof window,t.isNavigator="undefined"!=typeof navigator},1777:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(5053));t.A=function(e,t){void 0===t&&(t=[]);var r=i.default(e,t,{loading:!0}),n=r[0],a=r[1];return o.useEffect((function(){a()}),[a]),n}},5053:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(4769),o=r(5959),i=n.__importDefault(r(9812));t.default=function(e,t,r){void 0===t&&(t=[]),void 0===r&&(r={loading:!1});var a=o.useRef(0),l=i.default(),s=o.useState(r),u=s[0],c=s[1],d=o.useCallback((function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];var o=++a.current;return u.loading||c((function(e){return n.__assign(n.__assign({},e),{loading:!0})})),e.apply(void 0,t).then((function(e){return l()&&o===a.current&&c({value:e,loading:!1}),e}),(function(e){return l()&&o===a.current&&c({error:e,loading:!1}),e}))}),t);return[u,d]}},990:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(1854));t.A=function(e,t,r){void 0===t&&(t=0),void 0===r&&(r=[]);var n=i.default(e,t),a=n[0],l=n[1],s=n[2];return o.useEffect(s,r),[a,l]}},6943:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959),o=r(6563).isBrowser?n.useLayoutEffect:n.useEffect;t.default=o},8145:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(6943)),a=r(6563),l={x:0,y:0,width:0,height:0,top:0,left:0,bottom:0,right:0};t.A=a.isBrowser&&void 0!==window.ResizeObserver?function(){var e=o.useState(null),t=e[0],r=e[1],n=o.useState(l),a=n[0],s=n[1],u=o.useMemo((function(){return new window.ResizeObserver((function(e){if(e[0]){var t=e[0].contentRect,r=t.x,n=t.y,o=t.width,i=t.height,a=t.top,l=t.left,u=t.bottom,c=t.right;s({x:r,y:n,width:o,height:i,top:a,left:l,bottom:u,right:c})}}))}),[]);return i.default((function(){if(t)return u.observe(t),function(){u.disconnect()}}),[t]),[r,a]}:function(){return[a.noop,l]}},9812:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959);t.default=function(){var e=n.useRef(!1),t=n.useCallback((function(){return e.current}),[]);return n.useEffect((function(){return e.current=!0,function(){e.current=!1}}),[]),t}},1854:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959);t.default=function(e,t){void 0===t&&(t=0);var r=n.useRef(!1),o=n.useRef(),i=n.useRef(e),a=n.useCallback((function(){return r.current}),[]),l=n.useCallback((function(){r.current=!1,o.current&&clearTimeout(o.current),o.current=setTimeout((function(){r.current=!0,i.current()}),t)}),[t]),s=n.useCallback((function(){r.current=null,o.current&&clearTimeout(o.current)}),[]);return n.useEffect((function(){i.current=e}),[e]),n.useEffect((function(){return l(),s}),[t]),[a,s,l]}},138:function(e){var t;t=function(){return function(e){var t={};function r(n){if(t[n])return t[n].exports;var o=t[n]={i:n,l:!1,exports:{}};return e[n].call(o.exports,o,o.exports,r),o.l=!0,o.exports}return r.m=e,r.c=t,r.d=function(e,t,n){r.o(e,t)||Object.defineProperty(e,t,{configurable:!1,enumerable:!0,get:n})},r.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return r.d(t,"a",t),t},r.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},r.p="",r(r.s=3)}([function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelNode={create:function(e,t){var r,n={},o=e||"Abstract",i=[],a=null;if(n._type=o,n.getType=function(){return o},n.setType=function(e){o=e},n.getChildren=function(){return i},n.addChild=function(e){if(e){if(!e.setParent)throw{name:"Error",message:"Trying to add a child which is not a node: "+JSON.stringify(e)};e.setParent(n),i.push(e)}},n.getParent=function(){return a},n.setParent=function(e){a=e},n.getContext=function(e){return r||e.activeContext.peek()},n.setContext=function(e){r=e},n.getStartPosition=function(){return t>>16},n.getEndPosition=function(){return 65535&t},n.getValue=function(){throw{name:"MethodNotImplementedException",message:"SpelNode#getValue() must be overridden."}},n.toString=function(){var e="Kind: "+n.getType();e+=", Children: [";for(var t=0,r=n.getChildren().length;t<r;t+=1)e+="{"+n.getChildren()[t]+"}, ";return e+"]"},0===t)throw{name:"Error",message:"Position cannot be 0"};for(var l=arguments.length,s=Array(l>2?l-2:0),u=2;u<l;u++)s[u-2]=arguments[u];return s&&s.forEach((function(e){n.addChild(e)})),n}}},function(e,t,r){"use strict";function n(e){this.elements=e||[]}Object.defineProperty(t,"__esModule",{value:!0}),t.Stack=n,n.prototype.push=function(e){return this.elements.push(e),e},n.prototype.pop=function(){return this.elements.pop()},n.prototype.peek=function(){return this.elements[this.elements.length-1]},n.prototype.empty=function(){return this.elements.length>0},n.prototype.search=function(e){return this.elements.length-this.elements.indexOf(e)}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n={LITERAL_INT:1,LITERAL_LONG:2,LITERAL_HEXINT:3,LITERAL_HEXLONG:4,LITERAL_STRING:5,LITERAL_REAL:6,LITERAL_REAL_FLOAT:7,LPAREN:"(",RPAREN:")",COMMA:",",IDENTIFIER:0,COLON:":",HASH:"#",RSQUARE:"]",LSQUARE:"[",LCURLY:"{",RCURLY:"}",DOT:".",PLUS:"+",STAR:"*",MINUS:"-",SELECT_FIRST:"^[",SELECT_LAST:"$[",QMARK:"?",PROJECT:"![",DIV:"/",GE:">=",GT:">",LE:"<=",LT:"<",EQ:"==",NE:"!=",MOD:"%",NOT:"!",ASSIGN:"=",INSTANCEOF:"instanceof",MATCHES:"matches",BETWEEN:"between",SELECT:"?[",POWER:"^",ELVIS:"?:",SAFE_NAVI:"?.",BEAN_REF:"@",SYMBOLIC_OR:"||",SYMBOLIC_AND:"&&",INC:"++",DEC:"--"};function o(e){this.type=e,this.tokenChars=n[e],this._hasPayload="string"!=typeof n[e],"number"==typeof n[e]&&(this._ordinal=n[e])}for(var i in n)n.hasOwnProperty(i)&&(o[i]=new o(i));o.prototype.toString=function(){return this.type+(0!==this.tokenChars.length?"("+this.tokenChars+")":"")},o.prototype.getLength=function(){return this.tokenChars.length},o.prototype.hasPayload=function(){return this._hasPayload},o.prototype.valueOf=function(e){for(var t in n)if(n.hasOwnProperty(t)&&n[t]===e)return o[t]},o.prototype.ordinal=function(){return this._ordinal},t.TokenKind=o},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardContext=t.SpelExpressionEvaluator=void 0;var n=r(4),o=r(50);t.SpelExpressionEvaluator=n.SpelExpressionEvaluator,t.StandardContext=o.StandardContext},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelExpressionEvaluator=void 0;var n=r(5),o=r(1),i={compile:function(e){var t=(0,n.SpelExpressionParser)().parse(e);return{eval:function(e,r){return function(e,t,r){var n,i=new o.Stack;return t||(t={}),i.push(t),n={rootContext:t,activeContext:i,locals:r},e.getValue(n)}(t,e,r)},_compiledExpression:t}},eval:function(e,t,r){return i.compile(e).eval(t,r)}};t.SpelExpressionEvaluator=i},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelExpressionParser=void 0;var n=r(2),o=r(6),i=r(8),a=r(9),l=r(10),s=r(11),u=r(12),c=r(13),d=r(14),p=r(15),f=r(16),h=r(17),g=r(18),v=r(19),y=r(20),m=r(21),b=r(22),E=r(23),O=r(24),S=r(25),T=r(26),_=r(27),w=r(28),R=r(29),A=r(30),I=r(31),C=r(32),N=r(33),L=r(34),P=r(35),x=r(36),k=r(37),F=r(38),D=r(39),j=r(40),M=r(41),V=r(42),U=r(43),B=r(44),q=r(45),G=r(46),K=r(47),W=r(48),z=r(49);t.SpelExpressionParser=function(){var e,t,r,H,$=new RegExp("[\\p{L}\\p{N}_$]+"),Y=[];function Q(){var e=X();if(Se()){var t=_e();if(t.getKind()===n.TokenKind.ASSIGN){null===e&&(e=s.NullLiteral.create(Ce(t.startPos-1,t.endPos-1))),Te();var r=X();return g.Assign.create(Ie(t),e,r)}if(t.getKind()===n.TokenKind.ELVIS){null===e&&(e=s.NullLiteral.create(Ce(t.startPos-1,t.endPos-2))),Te();var o=Q();return null===o&&(o=s.NullLiteral.create(Ce(t.startPos+1,t.endPos+1))),F.Elvis.create(Ie(t),e,o)}if(t.getKind()===n.TokenKind.QMARK){null===e&&(e=s.NullLiteral.create(Ce(t.startPos-1,t.endPos-1))),Te();var i=Q();ye(n.TokenKind.COLON);var a=Q();return k.Ternary.create(Ie(t),e,i,a)}}return e}function X(){for(var e=J();Oe("or")||me(n.TokenKind.SYMBOLIC_OR);){var t=Te(),r=J();Re(t,e,r),e=P.OpOr.create(Ie(t),e,r)}return e}function J(){for(var e=Z();Oe("and")||me(n.TokenKind.SYMBOLIC_AND);){var t=Te(),r=Z();Re(t,e,r),e=L.OpAnd.create(Ie(t),e,r)}return e}function Z(){var e=ee(),t=function(){var e=_e();if(null===e)return null;if(e.isNumericRelationalOperator())return e;if(e.isIdentifier()){var t=e.stringValue();if("instanceof"===t.toLowerCase())return e.asInstanceOfToken();if("matches"===t.toLowerCase())return e.asMatchesToken();if("between"===t.toLowerCase())return e.asBetweenToken()}return null}();if(null!==t){var r=Te(),o=ee();Re(r,e,o);var i=t.kind;if(t.isNumericRelationalOperator()){var a=Ie(r);return i===n.TokenKind.GT?b.OpGT.create(a,e,o):i===n.TokenKind.LT?O.OpLT.create(a,e,o):i===n.TokenKind.LE?E.OpLE.create(a,e,o):i===n.TokenKind.GE?m.OpGE.create(a,e,o):i===n.TokenKind.EQ?v.OpEQ.create(a,e,o):y.OpNE.create(a,e,o)}return i===n.TokenKind.INSTANCEOF?U.OpInstanceof.create(Ie(r),e,o):i===n.TokenKind.MATCHES?x.OpMatches.create(Ie(r),e,o):B.OpBetween.create(Ie(r),e,o)}return e}function ee(){for(var e=te();Ee(n.TokenKind.PLUS,n.TokenKind.MINUS,n.TokenKind.INC);){var t=Te(),r=te();Ae(t,r),t.getKind()===n.TokenKind.PLUS?e=S.OpPlus.create(Ie(t),e,r):t.getKind()===n.TokenKind.MINUS&&(e=T.OpMinus.create(Ie(t),e,r))}return e}function te(){for(var e=re();Ee(n.TokenKind.STAR,n.TokenKind.DIV,n.TokenKind.MOD);){var t=Te(),r=re();Re(t,e,r),e=t.getKind()===n.TokenKind.STAR?_.OpMultiply.create(Ie(t),e,r):t.getKind()===n.TokenKind.DIV?w.OpDivide.create(Ie(t),e,r):R.OpModulus.create(Ie(t),e,r)}return e}function re(){var e,t=ne();if(me(n.TokenKind.POWER)){e=Te();var r=ne();return Ae(e,r),A.OpPower.create(Ie(e),t,r)}return null!==t&&Ee(n.TokenKind.INC,n.TokenKind.DEC)?(e=Te()).getKind()===n.TokenKind.INC?I.OpInc.create(Ie(e),!0,t):C.OpDec.create(Ie(e),!0,t):t}function ne(){var e,t;return Ee(n.TokenKind.PLUS,n.TokenKind.MINUS,n.TokenKind.NOT)?(e=Te(),t=ne(),e.getKind()===n.TokenKind.NOT?N.OpNot.create(Ie(e),t):e.getKind()===n.TokenKind.PLUS?S.OpPlus.create(Ie(e),t):T.OpMinus.create(Ie(e),t)):Ee(n.TokenKind.INC,n.TokenKind.DEC)?(e=Te(),t=ne(),e.getKind()===n.TokenKind.INC?I.OpInc.create(Ie(e),!1,t):C.OpDec.create(Ie(e),!1,t)):function(){var e=[],t=function(){var e=_e();if(null===e)return!1;if(e.getKind()===n.TokenKind.LITERAL_INT||e.getKind()===n.TokenKind.LITERAL_LONG)ge(a.NumberLiteral.create(parseInt(e.stringValue(),10),Ie(e)));else if(e.getKind()===n.TokenKind.LITERAL_REAL||e.getKind()===n.TokenKind.LITERAL_REAL_FLOAT)ge(a.NumberLiteral.create(parseFloat(e.stringValue()),Ie(e)));else if(e.getKind()===n.TokenKind.LITERAL_HEXINT||e.getKind()===n.TokenKind.LITERAL_HEXLONG)ge(a.NumberLiteral.create(parseInt(e.stringValue(),16),Ie(e)));else if(Oe("true"))ge(i.BooleanLiteral.create(!0,Ie(e)));else if(Oe("false"))ge(i.BooleanLiteral.create(!1,Ie(e)));else{if(e.getKind()!==n.TokenKind.LITERAL_STRING)return!1;ge(l.StringLiteral.create(e.stringValue(),Ie(e)))}return Te(),!0}()||function(){if(me(n.TokenKind.LPAREN)){Te();var e=Q();return ye(n.TokenKind.RPAREN),ge(e),!0}return!1}()||function(){if(me(n.TokenKind.IDENTIFIER)){var e=_e();if("T"!==e.stringValue())return!1;var t=Te();if(me(n.TokenKind.RSQUARE))return ge(d.PropertyReference.create(t.stringValue(),Ie(t))),!0;ye(n.TokenKind.LPAREN);for(var r=pe(),o=0;be(n.TokenKind.LSQUARE,!0);)ye(n.TokenKind.RSQUARE),o++;return ye(n.TokenKind.RPAREN),ge(q.TypeReference.create(Ie(e),r,o)),!0}return!1}()||function(){if(me(n.TokenKind.IDENTIFIER)){var e=_e();return"null"===e.stringValue().toLowerCase()&&(Te(),ge(s.NullLiteral.create(Ie(e))),!0)}return!1}()||function(){if(Oe("new")){var e=Te();if(me(n.TokenKind.RSQUARE))return ge(d.PropertyReference.create(e.stringValue(),Ie(e))),!0;var t=pe(),r=[];if(r.push(t),me(n.TokenKind.LSQUARE)){for(var o=[];be(n.TokenKind.LSQUARE,!0);)me(n.TokenKind.RSQUARE)?o.push(null):o.push(Q()),ye(n.TokenKind.RSQUARE);ue()&&r.push(ve()),ge(z.ConstructorReference.create(Ie(e),o,r))}else i=r,me(n.TokenKind.LPAREN)||we(Ie(_e()),"MISSING_CONSTRUCTOR_ARGS"),le(i),ye(n.TokenKind.RPAREN),ge(z.ConstructorReference.create(Ie(e),r));return!0}var i;return!1}()||he(!1)||ie()||function(){if(me(n.TokenKind.BEAN_REF)){var e=Te(),t=null,r=null;return me(n.TokenKind.IDENTIFIER)?r=(t=ye(n.TokenKind.IDENTIFIER)).data:me(n.TokenKind.LITERAL_STRING)?r=(r=(t=ye(n.TokenKind.LITERAL_STRING)).stringValue()).substring(1,r.length()-1):we(e.startPos,"INVALID_BEAN_REFERENCE"),ge(G.BeanReference.create(Ie(t),r)),!0}return!1}()||se(!1)||de(!1)||ce()||ue()?ve():null;for(e.push(t);oe();)e.push(ve());return 1===e.length?e[0]:f.CompoundExpression.create(Ce(t.getStartPosition(),e[e.length-1].getEndPosition()),e)}()}function oe(){var e,t,r;return null!==(r=Ee(n.TokenKind.DOT,n.TokenKind.SAFE_NAVI)?he(t=(e=Te()).getKind()===n.TokenKind.SAFE_NAVI)||ie()||se(t)||de(t)?ve():(null===_e()?we(e.startPos,"OOD"):we(e.startPos,"UNEXPECTED_DATA_AFTER_DOT",function(e){return e.getKind().hasPayload()?e.stringValue():e.getKind().toString().toLowerCase()}(_e())),null):me(n.TokenKind.LSQUARE)&&ce()?ve():null)&&(ge(r),!0)}function ie(){if(!me(n.TokenKind.HASH))return!1;var e=Te(),t=ye(n.TokenKind.IDENTIFIER),r=ae();return null===r?(ge(p.VariableReference.create(t.data,Ce(e.startPos,t.endPos))),!0):(ge(u.FunctionReference.create(t.data,Ce(e.startPos,t.endPos),r)),!0)}function ae(){if(!me(n.TokenKind.LPAREN))return null;var e=[];return le(e),ye(n.TokenKind.RPAREN),e}function le(e){var t,r=_e().startPos;do{Te();var o=_e();null===o&&we(r,"RUN_OUT_OF_ARGUMENTS"),o.getKind()!==n.TokenKind.RPAREN&&e.push(Q()),t=_e()}while(null!==t&&t.kind===n.TokenKind.COMMA);null===t&&we(r,"RUN_OUT_OF_ARGUMENTS")}function se(e){var t=_e();if(!be(n.TokenKind.PROJECT,!0))return!1;var r=Q();return ye(n.TokenKind.RSQUARE),ge(V.Projection.create(e,Ie(t),r)),!0}function ue(){var e=_e(),t=[];if(!be(n.TokenKind.LCURLY,!0))return!1;var r=null,o=_e();if(be(n.TokenKind.RCURLY,!0))r=D.InlineList.create(Ce(e.startPos,o.endPos));else if(be(n.TokenKind.COLON,!0))o=ye(n.TokenKind.RCURLY),r=j.InlineMap.create(Ce(e.startPos,o.endPos));else{var i=Q();if(me(n.TokenKind.RCURLY))t.push(i),o=ye(n.TokenKind.RCURLY),r=D.InlineList.create(Ce(e.startPos,o.endPos),t);else if(be(n.TokenKind.COMMA,!0)){t.push(i);do{t.push(Q())}while(be(n.TokenKind.COMMA,!0));o=ye(n.TokenKind.RCURLY),r=D.InlineList.create(Ie(e.startPos,o.endPos),t)}else if(be(n.TokenKind.COLON,!0)){var a=[];for(a.push(i),a.push(Q());be(n.TokenKind.COMMA,!0);)a.push(Q()),ye(n.TokenKind.COLON),a.push(Q());o=ye(n.TokenKind.RCURLY),r=j.InlineMap.create(Ce(e.startPos,o.endPos),a)}else we(e.startPos,"OOD")}return ge(r),!0}function ce(){var e=_e();if(!be(n.TokenKind.LSQUARE,!0))return!1;var t=Q();return ye(n.TokenKind.RSQUARE),ge(h.Indexer.create(Ie(e),t)),!0}function de(e){var t=_e();if(!function(){if(!Se())return!1;var e=_e();return e.getKind()===n.TokenKind.SELECT||e.getKind()===n.TokenKind.SELECT_FIRST||e.getKind()===n.TokenKind.SELECT_LAST}())return!1;Te();var r=Q();return null===r&&we(Ie(t),"MISSING_SELECTION_EXPRESSION"),ye(n.TokenKind.RSQUARE),t.getKind()===n.TokenKind.SELECT_FIRST?ge(M.Selection.create(e,M.Selection.FIRST,Ie(t),r)):t.getKind()===n.TokenKind.SELECT_LAST?ge(M.Selection.create(e,M.Selection.LAST,Ie(t),r)):ge(M.Selection.create(e,M.Selection.ALL,Ie(t),r)),!0}function pe(){for(var t=[],r=_e();fe(r);)Te(),r.kind!==n.TokenKind.DOT&&t.push(K.Identifier.create(r.stringValue(),Ie(r))),r=_e();t.length||(null===r&&we(e.length(),"OOD"),we(r.startPos,"NOT_EXPECTED_TOKEN","qualified ID",r.getKind().toString().toLowerCase()));var o=Ce(t[0].getStartPosition(),t[t.length-1].getEndPosition());return W.QualifiedIdentifier.create(o,t)}function fe(e){if(null===e||e.kind===n.TokenKind.LITERAL_STRING)return!1;if(e.kind===n.TokenKind.DOT||e.kind===n.TokenKind.IDENTIFIER)return!0;var t=e.stringValue();return t&&t.length&&$.test(t)}function he(e){if(me(n.TokenKind.IDENTIFIER)){var t=Te(),r=ae();return null===r?(ge(d.PropertyReference.create(e,t.stringValue(),Ie(t))),!0):(ge(c.MethodReference.create(e,t.stringValue(),Ie(t),r)),!0)}return!1}function ge(e){Y.push(e)}function ve(){return Y.pop()}function ye(t){var r=Te();return null===r&&we(e.length,"OOD"),r.getKind()!==t&&we(r.startPos,"NOT_EXPECTED_TOKEN",t.toString().toLowerCase(),r.getKind().toString().toLowerCase()),r}function me(e){return be(e,!1)}function be(e,t){if(!Se())return!1;var r=_e();return r.getKind()===e?(t&&H++,!0):e===n.TokenKind.IDENTIFIER&&r.getKind().ordinal()>=n.TokenKind.DIV.ordinal()&&r.getKind().ordinal()<=n.TokenKind.NOT.ordinal()&&null!==r.data}function Ee(){if(!Se())return!1;for(var e=_e(),t=Array.prototype.slice.call(arguments),r=0,n=t.length;r<n;r+=1)if(e.getKind()===t[r])return!0;return!1}function Oe(e){if(!Se())return!1;var t=_e();return t.getKind()===n.TokenKind.IDENTIFIER&&t.stringValue().toLowerCase()===e.toLowerCase()}function Se(){return H<t.length}function Te(){return H>=r?null:t[H++]}function _e(){return H>=r?null:t[H]}function we(t,r,n,o){throw n&&(r+="\nExpected: "+n),o&&(r+="\nActual: "+o),{name:"InternalParseException",message:"Error occurred while attempting to parse expression '"+e+"' at position "+t+". Message: "+r}}function Re(e,t,r){!function(e,t){null===t&&we(e.startPos,"LEFT_OPERAND_PROBLEM")}(e,t),Ae(e,r)}function Ae(e,t){null===t&&we(e.startPos,"RIGHT_OPERAND_PROBLEM")}function Ie(e){return(e.startPos<<16)+e.endPos}function Ce(e,t){return(e<<16)+t}return{setConfiguration:function(e){},parse:function(n,i){try{e=n,t=o.Tokenizer.tokenize(n),r=t.length,H=0,Y=[];var a=Q();return Se()&&we(_e().startPos,"MORE_INPUT",Te().toString()),a}catch(e){throw e.message}}}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Tokenizer=void 0;var n=r(7),o=r(2),i=["DIV","EQ","GE","GT","LE","LT","MOD","NE","NOT"],a=[];!function(){var e;for(e="0".charCodeAt(0);e<="9".charCodeAt(0);e+=1)a[e]|=3;for(e="A".charCodeAt(0);e<="F".charCodeAt(0);e+=1)a[e]|=2;for(e="a".charCodeAt(0);e<="f".charCodeAt(0);e+=1)a[e]|=2;for(e="A".charCodeAt(0);e<="Z".charCodeAt(0);e+=1)a[e]|=4;for(e="a".charCodeAt(0);e<="z".charCodeAt(0);e+=1)a[e]|=4}(),t.Tokenizer={tokenize:function(e){var t=e,r=e+"\0",l=r.length,s=0,u=[];function c(){for(var e,i=s,a=!1;!a;)if("'"===(e=r[s+=1])&&("'"===r[s+1]?s+=1:a=!0),0===e.charCodeAt(0))throw{name:"SpelParseException",message:"Non-terminating quoted string in expression ("+t+") at position "+s};s+=1,u.push(new n.Token(o.TokenKind.LITERAL_STRING,y(i,s),i,s))}function d(){for(var e,i=s,a=!1;!a;)if('"'===(e=r[s+=1])&&('"'===r[s+1]?s+=1:a=!0),0===e.charCodeAt(0))throw{name:"SpelParseException",message:"Non-terminating double-quoted string in expression ("+t+") at position "+s};s+=1,u.push(new n.Token(o.TokenKind.LITERAL_STRING,y(i,s),i,s))}function p(e){var n,o,i,a=!1,l=s,u=r[s+1];if(!e||"x"!==u&&"X"!==u){do{s+=1}while(_(r[s]));if("."===(u=r[s])){a=!0,n=s;do{s+=1}while(_(r[s]));if(s===n+1)return void h(y(l,s=n),!1,l,s)}if(o=s,O("L","l")){if(a)throw{name:"SpelParseException",message:"Real cannot be long in expression ("+t+") at position "+s};h(y(l,o),!0,l,o),s+=1}else if(function(e){return"e"===e||"E"===e}(r[s])){a=!0,function(e){return"+"===e||"-"===e}(r[s+=1])&&(s+=1);do{s+=1}while(_(r[s]));i=!1,S(r[s])?(i=!0,o=s+=1):T(r[s])&&(o=s+=1),v(y(l,s),i,l,s)}else i=!1,S(u=r[s])?(a=!0,i=!0,o=s+=1):T(u)&&(a=!0,o=s+=1),a?v(y(l,o),i,l,o):h(y(l,o),!1,l,o)}else{s+=1;do{s+=1}while(R(r[s]));O("L","l")?(g(y(l+2,s),!0,l,s),s+=1):g(y(l+2,s),!1,l,s)}}function f(){var e,t,a,l=s;do{s+=1}while(w(a=r[s])||_(a)||"_"===a||"$"===a);e=y(l,s),(s-l==2||s-l==3)&&(t=e.toUpperCase(),i.indexOf(t)>=0)?function(e,t,r){u.push(new n.Token(e,r,t,t+e.getLength()))}(o.TokenKind.valueOf(t),l,e):u.push(new n.Token(o.TokenKind.IDENTIFIER,e.replace("\0",""),l,s))}function h(e,t,r,i){t?u.push(new n.Token(o.TokenKind.LITERAL_LONG,e,r,i)):u.push(new n.Token(o.TokenKind.LITERAL_INT,e,r,i))}function g(e,r,i,a){if(0===e.length)throw r?{name:"SpelParseException",message:"Not a long in expression ("+t+") at position "+s}:{name:"SpelParseException",message:"Not an int in expression ("+t+") at position "+s};r?u.push(new n.Token(o.TokenKind.LITERAL_HEXLONG,e,i,a)):u.push(new n.Token(o.TokenKind.LITERAL_HEXINT,e,i,a))}function v(e,t,r,i){t?u.push(new n.Token(o.TokenKind.LITERAL_REAL_FLOAT,e,r,i)):u.push(new n.Token(o.TokenKind.LITERAL_REAL,e,r,i))}function y(e,t){return r.substring(e,t)}function m(e){return 2===e.tokenChars.length&&r[s]===e.tokenChars[0]&&r[s+1]===e.tokenChars[1]}function b(e){u.push(new n.Token(e,null,s,s+1)),s+=1}function E(e){u.push(new n.Token(e,null,s,s+2)),s+=2}function O(e,t){var n=r[s];return n===e||n===t}function S(e){return"f"===e||"F"===e}function T(e){return"d"===e||"D"===e}function _(e){return!(e.charCodeAt(0)>255||!(1&a[e.charCodeAt(0)]))}function w(e){return!(e.charCodeAt(0)>255||!(4&a[e.charCodeAt(0)]))}function R(e){return!(e.charCodeAt(0)>255||!(2&a[e.charCodeAt(0)]))}return function(){for(var e;s<l;)if(w(e=r[s]))f();else switch(e){case"+":m(o.TokenKind.INC)?E(o.TokenKind.INC):b(o.TokenKind.PLUS);break;case"_":f();break;case"-":m(o.TokenKind.DEC)?E(o.TokenKind.DEC):b(o.TokenKind.MINUS);break;case":":b(o.TokenKind.COLON);break;case".":b(o.TokenKind.DOT);break;case",":b(o.TokenKind.COMMA);break;case"*":b(o.TokenKind.STAR);break;case"/":b(o.TokenKind.DIV);break;case"%":b(o.TokenKind.MOD);break;case"(":b(o.TokenKind.LPAREN);break;case")":b(o.TokenKind.RPAREN);break;case"[":b(o.TokenKind.LSQUARE);break;case"#":b(o.TokenKind.HASH);break;case"]":b(o.TokenKind.RSQUARE);break;case"{":b(o.TokenKind.LCURLY);break;case"}":b(o.TokenKind.RCURLY);break;case"@":b(o.TokenKind.BEAN_REF);break;case"^":m(o.TokenKind.SELECT_FIRST)?E(o.TokenKind.SELECT_FIRST):b(o.TokenKind.POWER);break;case"!":m(o.TokenKind.NE)?E(o.TokenKind.NE):m(o.TokenKind.PROJECT)?E(o.TokenKind.PROJECT):b(o.TokenKind.NOT);break;case"=":m(o.TokenKind.EQ)?E(o.TokenKind.EQ):b(o.TokenKind.ASSIGN);break;case"&":if(!m(o.TokenKind.SYMBOLIC_AND))throw{name:"SpelParseException",message:"Missing character '&' in expression ("+t+") at position "+s};E(o.TokenKind.SYMBOLIC_AND);break;case"|":if(!m(o.TokenKind.SYMBOLIC_OR))throw{name:"SpelParseException",message:"Missing character '|' in expression ("+t+") at position "+s};E(o.TokenKind.SYMBOLIC_OR);break;case"?":m(o.TokenKind.SELECT)?E(o.TokenKind.SELECT):m(o.TokenKind.ELVIS)?E(o.TokenKind.ELVIS):m(o.TokenKind.SAFE_NAVI)?E(o.TokenKind.SAFE_NAVI):b(o.TokenKind.QMARK);break;case"$":m(o.TokenKind.SELECT_LAST)?E(o.TokenKind.SELECT_LAST):f();break;case">":m(o.TokenKind.GE)?E(o.TokenKind.GE):b(o.TokenKind.GT);break;case"<":m(o.TokenKind.LE)?E(o.TokenKind.LE):b(o.TokenKind.LT);break;case"0":case"1":case"2":case"3":case"4":case"5":case"6":case"7":case"8":case"9":p("0"===e);break;case" ":case"\t":case"\r":case"\n":case"\0":s+=1;break;case"'":c();break;case'"':d();break;case"\\":throw{name:"SpelParseException",message:"Unexpected escape character in expression ("+t+") at position "+s};default:throw{name:"SpelParseException",message:"Cannot handle character '"+e+"' in expression ("+t+") at position "+s}}}(),u}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Token=void 0;var n=r(2);function o(e,t,r,n){this.kind=e,this.startPos=r,this.endPos=n,t&&(this.data=t)}o.prototype.getKind=function(){return this.kind},o.prototype.toString=function(){var e="[";return e+=this.kind.toString(),this.kind.hasPayload()&&(e+=":"+this.data),(e+="]")+"("+this.startPos+","+this.endPos+")"},o.prototype.isIdentifier=function(){return this.kind===n.TokenKind.IDENTIFIER},o.prototype.isNumericRelationalOperator=function(){return this.kind===n.TokenKind.GT||this.kind===n.TokenKind.GE||this.kind===n.TokenKind.LT||this.kind===n.TokenKind.LE||this.kind===n.TokenKind.EQ||this.kind===n.TokenKind.NE},o.prototype.stringValue=function(){return this.data},o.prototype.asInstanceOfToken=function(){return new o(n.TokenKind.INSTANCEOF,this.startPos,this.endPos)},o.prototype.asMatchesToken=function(){return new o(n.TokenKind.MATCHES,this.startPos,this.endPos)},o.prototype.asBetweenToken=function(){return new o(n.TokenKind.BETWEEN,this.startPos,this.endPos)},o.prototype.getStartPosition=function(){return this.startPos},o.prototype.getEndPosition=function(){return this.endPos},t.Token=o},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BooleanLiteral=void 0;var n=r(0);t.BooleanLiteral={create:function(e,t){var r=n.SpelNode.create("boolean",t);return r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NumberLiteral=void 0;var n=r(0);t.NumberLiteral={create:function(e,t){var r=n.SpelNode.create("number",t);return r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringLiteral=void 0;var n=r(0);t.StringLiteral={create:function(e,t){var r=n.SpelNode.create("string",t);return e=function(e){return("'"===e[0]&&"'"===e[e.length-1]||'"'===e[0]&&'"'===e[e.length-1])&&(e=e.substring(1,e.length-1)),e.replace(/''/g,"'").replace(/""/g,'"')}(e),r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NullLiteral=void 0;var n=r(0);t.NullLiteral={create:function(e,t){var r=n.SpelNode.create("null",t);return r.getValue=function(){return null},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FunctionReference=void 0;var n=r(0),o=r(1);t.FunctionReference={create:function(e,t,r){var i=n.SpelNode.create("function",t);return i.getRaw=function(){return{functionName:e,args:r}},i.getValue=function(t){var n=t.locals||{},i=t.rootContext,a=[];if(r.forEach((function(e){var r=t.activeContext;t.activeContext=new o.Stack,t.activeContext.push(t.rootContext),a.push(e.getValue(t)),t.activeContext=r})),n[e])return n[e].apply(i,a);throw{name:"FunctionDoesNotExistException",message:"Function '"+e+"' does not exist."}},i}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MethodReference=void 0;var n=r(0),o=r(1);t.MethodReference={create:function(e,t,r,i){var a=n.SpelNode.create("method",r);return a.getRaw=function(){return{methodName:t,args:i}},a.getValue=function(r){var n,a=r.activeContext.peek(),l=[];if(!a)throw{name:"ContextDoesNotExistException",message:"Attempting to look up property '"+t+"' for an undefined context."};function s(r){if(null==r){if(e)return null;throw{name:"NullPointerException",message:"Method "+t+" does not exist."}}return r}if(i.forEach((function(e){var t=r.activeContext;r.activeContext=new o.Stack,r.activeContext.push(r.rootContext),l.push(e.getValue(r)),r.activeContext=t})),"get"===t.substr(0,3)&&!a[t])return s(a[t.charAt(3).toLowerCase()+t.substring(4)]);if("set"===t.substr(0,3)&&!a[t])return a[t.charAt(3).toLowerCase()+t.substring(4)]=l[0];if(Array.isArray(a)){if("size"===t)return a.length;if("contains"===t)return a.includes(l[0])}return(n=s(a[t]))?n.apply(a,l):null},a}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.PropertyReference=void 0;var n=r(0);t.PropertyReference={create:function(e,t,r){var o=n.SpelNode.create("property",r);return o.getRaw=function(){return t},o.getValue=function(r){var n=r.activeContext.peek();if(!n){if(e)return null;throw{name:"ContextDoesNotExistException",message:"Attempting to look up property '"+t+"' for an undefined context."}}if(void 0===n[t]||null===n[t]){if(e)return null;if("size"===t&&Array.isArray(n))return n.length;throw{name:"NullPointerException",message:"Property '"+t+"' does not exist."}}return n[t]},o.setValue=function(e,r){var n=r.activeContext.peek();if(!n)throw{name:"ContextDoesNotExistException",message:"Attempting to assign property '"+t+"' for an undefined context."};return n[t]=e},o.getName=function(){return t},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.VariableReference=void 0;var n=r(0);t.VariableReference={create:function(e,t){var r=n.SpelNode.create("variable",t);return r.getRaw=function(){return e},r.getValue=function(t){var r=t.activeContext.peek(),n=t.locals;if(!r)throw{name:"ContextDoesNotExistException",message:"Attempting to look up variable '"+e+"' for an undefined context."};return"this"===e?r:"root"===e?t.rootContext:n[e]},r.setValue=function(t,r){return r.locals[e]=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CompoundExpression=void 0;var n=r(0);t.CompoundExpression={create:function(e,t){var r=n.SpelNode.create.apply(null,["compound",e].concat(t));function o(e){var t,n=r.getChildren().length;for(t=0;t<n;t+=1)"indexer"===r.getChildren()[t].getType()?e.activeContext.push(e.activeContext.peek()[r.getChildren()[t].getValue(e)]):e.activeContext.push(r.getChildren()[t].getValue(e));return function(){for(t=0;t<n;t+=1)e.activeContext.pop()}}return r.getValue=function(e){var t;if(!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to evaluate compound expression with an undefined context."};var r=o(e);return t=e.activeContext.peek(),r(),t},r.setValue=function(e,t){var n=o(t),i=r.getChildren().length;return t.activeContext.pop(),e=r.getChildren()[i-1].setValue(e,t),t.activeContext.push(null),n(),e},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Indexer=void 0;var n=r(0),o=r(1);t.Indexer={create:function(e,t){var r=n.SpelNode.create.apply(null,["indexer",e].concat(t));return r.getValue=function(e){var t,n,i=e.activeContext,a=r.getChildren().length;if(e.activeContext=new o.Stack,e.activeContext.push(e.rootContext),!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to evaluate compound expression with an undefined context."};for(t=0;t<a;t+=1)e.activeContext.push(r.getChildren()[t].getValue(e));for(n=e.activeContext.peek(),t=0;t<a;t+=1)e.activeContext.pop();return e.activeContext=i,n},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Assign=void 0;var n=r(0);t.Assign={create:function(e,t,r){var o=n.SpelNode.create("assign",e,t,r);return o.getValue=function(e){if(!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to assign property '"+t.getValue(e)+"' for an undefined context."};return t.setValue(r.getValue(e),e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpEQ=void 0;var n=r(0);t.OpEQ={create:function(e,t,r){var o=n.SpelNode.create("op-eq",e,t,r);return o.getValue=function(e){return t.getValue(e)===r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpNE=void 0;var n=r(0);t.OpNE={create:function(e,t,r){var o=n.SpelNode.create("op-ne",e,t,r);return o.getValue=function(e){return t.getValue(e)!==r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpGE=void 0;var n=r(0);t.OpGE={create:function(e,t,r){var o=n.SpelNode.create("op-ge",e,t,r);return o.getValue=function(e){return t.getValue(e)>=r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpGT=void 0;var n=r(0);t.OpGT={create:function(e,t,r){var o=n.SpelNode.create("op-gt",e,t,r);return o.getValue=function(e){return t.getValue(e)>r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpLE=void 0;var n=r(0);t.OpLE={create:function(e,t,r){var o=n.SpelNode.create("op-le",e,t,r);return o.getValue=function(e){return t.getValue(e)<=r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpLT=void 0;var n=r(0);t.OpLT={create:function(e,t,r){var o=n.SpelNode.create("op-lt",e,t,r);return o.getValue=function(e){return t.getValue(e)<r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpPlus=void 0;var n=r(0);t.OpPlus={create:function(e,t,r){var o=n.SpelNode.create("op-plus",e,t,r);return o.getValue=function(e){return r?t.getValue(e)+r.getValue(e):+t.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMinus=void 0;var n=r(0);t.OpMinus={create:function(e,t,r){var o=n.SpelNode.create("op-minus",e,t,r);return o.getValue=function(e){return r?t.getValue(e)-r.getValue(e):-t.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMultiply=void 0;var n=r(0);t.OpMultiply={create:function(e,t,r){var o=n.SpelNode.create("op-multiply",e,t,r);return o.getValue=function(e){var n=t.getValue(e),o=r.getValue(e);if("number"==typeof n&&"number"==typeof o)return n*o;if("string"==typeof n&&"number"==typeof o){for(var i="",a=0;a<o;a+=1)i+=n;return i}return null},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpDivide=void 0;var n=r(0);t.OpDivide={create:function(e,t,r){var o=n.SpelNode.create("op-divide",e,t,r);return o.getValue=function(e){return t.getValue(e)/r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpModulus=void 0;var n=r(0);t.OpModulus={create:function(e,t,r){var o=n.SpelNode.create("op-modulus",e,t,r);return o.getValue=function(e){return t.getValue(e)%r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpPower=void 0;var n=r(0);t.OpPower={create:function(e,t,r){var o=n.SpelNode.create("op-power",e,t,r);return o.getValue=function(e){return Math.pow(t.getValue(e),r.getValue(e))},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpInc=void 0;var n=r(0);t.OpInc={create:function(e,t,r){var o=n.SpelNode.create("op-inc",e,r);return o.getValue=function(e){var n=r.getValue(e);return r.setValue(n+1,e),t?n:n+1},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpDec=void 0;var n=r(0);t.OpDec={create:function(e,t,r){var o=n.SpelNode.create("op-dec",e,r);return o.getValue=function(e){var n=r.getValue(e);return r.setValue(n-1,e),t?n:n-1},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpNot=void 0;var n=r(0);t.OpNot={create:function(e,t){var r=n.SpelNode.create("op-not",e,t);return r.getValue=function(e){return!t.getValue(e)},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpAnd=void 0;var n=r(0);t.OpAnd={create:function(e,t,r){var o=n.SpelNode.create("op-and",e,t,r);return o.getValue=function(e){return!!t.getValue(e)&&!!r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpOr=void 0;var n=r(0);t.OpOr={create:function(e,t,r){var o=n.SpelNode.create("op-or",e,t,r);return o.getValue=function(e){return!!t.getValue(e)||!!r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMatches=void 0;var n=r(0);t.OpMatches={create:function(e,t,r){var o=n.SpelNode.create("matches",e,t,r);return o.getValue=function(e){var n=t.getValue(e),o=r.getValue(e);try{return!!new RegExp(o).exec(n)}catch(e){throw{name:"EvaluationException",message:e.toString()}}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Ternary=void 0;var n=r(0);t.Ternary={create:function(e,t,r,o){var i=n.SpelNode.create("ternary",e,t,r,o);return i.getValue=function(e){return t.getValue(e)?r.getValue(e):o.getValue(e)},i}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Elvis=void 0;var n=r(0);t.Elvis={create:function(e,t,r){var o=n.SpelNode.create("elvis",e,t,r);return o.getValue=function(e){return null!==t.getValue(e)?t.getValue(e):r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InlineList=void 0;var n=r(0);t.InlineList={create:function(e,t){var r=n.SpelNode.create("list",e),o=[].concat(t||[]);return r.getRaw=function(){return o},r.getValue=function(e){return o.map((function(t){return t.getValue(e)}))},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InlineMap=void 0;var n=r(0);t.InlineMap={create:function(e,t){var r=n.SpelNode.create("map",e),o=[].concat(t||[]);return r.getValue=function(e){var t=!0,r=null,n={};return o.forEach((function(o){t?r="property"===o.getType()?o.getName():o.getValue(e):n[r]=o.getValue(e),t=!t})),n},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Selection=void 0;var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=r(0);function i(e,t,r){var n;return r.activeContext.push(e),n=t.getValue(r),r.activeContext.pop(),n}t.Selection={create:function(e,t,r,a){var l=o.SpelNode.create("selection",r,a);return l.getValue=function(e){var r=e.activeContext.peek();if(r){if(Array.isArray(r))return function(e,t,r,n){var o=e.filter((function(e){return i(e,r,n)}));switch(t){case"ALL":return o;case"FIRST":return o[0]||null;case"LAST":return o.length?o[o.length-1]:null}}(r,t,a,e);if("object"===(void 0===r?"undefined":n(r)))return function(e,t,r,n){var o,a,l={},s=[],u={};for(a in e)e.hasOwnProperty(a)&&i(o={key:a,value:e[a]},r,n)&&s.push(o);switch(t){case"ALL":return s.forEach((function(e){l[e.key]=e.value})),l;case"FIRST":return s.length?(u[s[0].key]=s[0].value,u):null;case"LAST":return s.length?(u[s[s.length-1].key]=s[s.length-1].value,u):null}s.forEach((function(e){l[e.key]=e.value}))}(r,t,a,e)}return null},l},FIRST:"FIRST",LAST:"LAST",ALL:"ALL"}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Projection=void 0;var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=r(0);function i(e,t,r){return e.map((function(e){var n;return r.activeContext.push(e),n=t.getValue(r),r.activeContext.pop(),n}))}t.Projection={create:function(e,t,r){var a=o.SpelNode.create("projection",t,r);return a.getValue=function(e){var t,o=e.activeContext.peek(),a=[];if(Array.isArray(o))return i(o,r,e);if("object"===(void 0===o?"undefined":n(o))){for(t in o)o.hasOwnProperty(t)&&a.push(o[t]);return i(a,r,e)}return null},a}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpInstanceof=void 0;var n=r(0);t.OpInstanceof={create:function(e,t,r){var o=n.SpelNode.create("instanceof",e,t,r);return o.getValue=function(e){throw{name:"MethodNotImplementedException",message:"OpInstanceOf: Not implemented"}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpBetween=void 0;var n=r(0);t.OpBetween={create:function(e,t,r){var o=n.SpelNode.create("between",e,t,r);return o.getValue=function(e){throw{name:"MethodNotImplementedException",message:"OpBetween: Not implemented"}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TypeReference=void 0;var n=r(0);t.TypeReference={create:function(e,t,r){return(t=n.SpelNode.create("typeref",e,t)).getValue=function(e){throw{name:"MethodNotImplementedException",message:"TypeReference: Not implemented"}},t}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BeanReference=void 0;var n=r(0);t.BeanReference={create:function(e,t){var r=n.SpelNode.create("beanref",e);return r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"BeanReference: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Identifier=void 0;var n=r(0);t.Identifier={create:function(e,t){var r=n.SpelNode.create("identifier",t);return r.getRaw=function(){return e},r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"Identifier: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.QualifiedIdentifier=void 0;var n=r(0);t.QualifiedIdentifier={create:function(e,t){var r=n.SpelNode.create.apply(n.SpelNode,["qualifiedidentifier",e].concat(function(e){if(Array.isArray(e)){for(var t=0,r=Array(e.length);t<e.length;t++)r[t]=e[t];return r}return Array.from(e)}(t)));return r.getRaw=function(){return t.map((function(e){return e.getRaw()}))},r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"QualifiedIdentifier: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ConstructorReference=void 0;var n=r(0),o=r(1);t.ConstructorReference={create:function(e,t,r){var i,a=void 0!==r;a?i=t.length&&t[0]&&"number"===t[0].getType()?t[0].getValue():null:(r=t,t=void 0);var l,s=(l=r,Array.isArray(l)?l:Array.from(l)),u=(s[0],s.slice(1)),c=n.SpelNode.create.apply(n.SpelNode,["constructorref",e].concat(function(e){if(Array.isArray(e)){for(var t=0,r=Array(e.length);t<e.length;t++)r[t]=e[t];return r}return Array.from(e)}(r)));return c.getRaw=function(){return i},c.getValue=function(e){if(a&&u.length<=1){var t=[];return u.forEach((function(r){var n=e.activeContext;e.activeContext=new o.Stack,e.activeContext.push(e.rootContext),t.push(r.getValue(e)),e.activeContext=n})),1===u.length?t[0]:i?new Array(i):[]}throw{name:"MethodNotImplementedException",message:"ConstructorReference: Not implemented"}},c}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardContext={create:function(e,t){var r={};return r.authentication=e||{},r.principal=t||{},r.hasRole=function(e){var t=!1;return!!e&&!(!r.authentication&&!Array.isArray(r.authentication.authorities))&&(r.authentication.authorities.forEach((function(r){r.authority.toLowerCase()===e.toLowerCase()&&(t=!0)})),t)},r.hasPermission=function(){var e=Array.prototype.slice.call(arguments);if(1===e.length)return r.hasRole(e[0])},r}}}])},e.exports=t()},9157:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=s(r(1283)),o=s(r(1025)),i=s(r(2520)),a=s(r(9137)),l=s(r(9429));function s(e){return e&&e.__esModule?e:{default:e}}function u(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var c=function(e){return e.replace(/[\t ]+$/,"")},d=function(){function e(t,r,n){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t||{},this.indentation=new i.default(this.cfg.indent),this.inlineBlock=new a.default,this.params=new l.default(this.cfg.params),this.tokenizer=r,this.tokenOverride=n,this.previousReservedWord={},this.tokens=[],this.index=0}var t,r;return t=e,r=[{key:"format",value:function(e){return this.tokens=this.tokenizer.tokenize(e),this.getFormattedQueryFromTokens().trim()}},{key:"getFormattedQueryFromTokens",value:function(){var e=this,t="";return this.tokens.forEach((function(r,n){e.index=n,e.tokenOverride&&(r=e.tokenOverride(r,e.previousReservedWord)||r),r.type===o.default.WHITESPACE||(r.type===o.default.LINE_COMMENT?t=e.formatLineComment(r,t):r.type===o.default.BLOCK_COMMENT?t=e.formatBlockComment(r,t):r.type===o.default.RESERVED_TOP_LEVEL?(t=e.formatTopLevelReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_TOP_LEVEL_NO_INDENT?(t=e.formatTopLevelReservedWordNoIndent(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_NEWLINE?(t=e.formatNewlineReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED?(t=e.formatWithSpaces(r,t),e.previousReservedWord=r):t=r.type===o.default.OPEN_PAREN?e.formatOpeningParentheses(r,t):r.type===o.default.CLOSE_PAREN?e.formatClosingParentheses(r,t):r.type===o.default.PLACEHOLDER?e.formatPlaceholder(r,t):","===r.value?e.formatComma(r,t):":"===r.value?e.formatWithSpaceAfter(r,t):"."===r.value?e.formatWithoutSpaces(r,t):";"===r.value?e.formatQuerySeparator(r,t):e.formatWithSpaces(r,t))})),t}},{key:"formatLineComment",value:function(e,t){return this.addNewline(t+e.value)}},{key:"formatBlockComment",value:function(e,t){return this.addNewline(this.addNewline(t)+this.indentComment(e.value))}},{key:"indentComment",value:function(e){return e.replace(/\n[\t ]*/g,"\n"+this.indentation.getIndent()+" ")}},{key:"formatTopLevelReservedWordNoIndent",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatTopLevelReservedWord",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t),this.indentation.increaseTopLevel(),t+=this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatNewlineReservedWord",value:function(e,t){return this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value))+" "}},{key:"equalizeWhitespace",value:function(e){return e.replace(/[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+/g," ")}},{key:"formatOpeningParentheses",value:function(e,t){var r=[o.default.WHITESPACE,o.default.OPEN_PAREN,o.default.LINE_COMMENT];return(0,n.default)(r,this.previousToken().type)||(t=c(t)),t+=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.beginIfPossible(this.tokens,this.index),this.inlineBlock.isActive()||(this.indentation.increaseBlockLevel(),t=this.addNewline(t)),t}},{key:"formatClosingParentheses",value:function(e,t){return e.value=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.isActive()?(this.inlineBlock.end(),this.formatWithSpaceAfter(e,t)):(this.indentation.decreaseBlockLevel(),this.formatWithSpaces(e,this.addNewline(t)))}},{key:"formatPlaceholder",value:function(e,t){return t+this.params.get(e)+" "}},{key:"formatComma",value:function(e,t){return t=c(t)+e.value+" ",this.inlineBlock.isActive()||/^LIMIT$/i.test(this.previousReservedWord.value)?t:this.addNewline(t)}},{key:"formatWithSpaceAfter",value:function(e,t){return c(t)+e.value+" "}},{key:"formatWithoutSpaces",value:function(e,t){return c(t)+e.value}},{key:"formatWithSpaces",value:function(e,t){return t+("reserved"===e.type?this.formatReservedWord(e.value):e.value)+" "}},{key:"formatReservedWord",value:function(e){return this.cfg.uppercase?e.toUpperCase():e}},{key:"formatQuerySeparator",value:function(e,t){return this.indentation.resetIndentation(),c(t)+e.value+"\n".repeat(this.cfg.linesBetweenQueries||1)}},{key:"addNewline",value:function(e){return(e=c(e)).endsWith("\n")||(e+="\n"),e+this.indentation.getIndent()}},{key:"previousToken",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;return this.tokens[this.index-e]||{}}}],r&&u(t.prototype,r),e}();t.default=d,e.exports=t.default},2520:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9901)),o=i(r(8906));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l="top-level",s=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.indent=t||"  ",this.indentTypes=[]}var t,r;return t=e,(r=[{key:"getIndent",value:function(){return(0,n.default)(this.indent,this.indentTypes.length)}},{key:"increaseTopLevel",value:function(){this.indentTypes.push(l)}},{key:"increaseBlockLevel",value:function(){this.indentTypes.push("block-level")}},{key:"decreaseTopLevel",value:function(){(0,o.default)(this.indentTypes)===l&&this.indentTypes.pop()}},{key:"decreaseBlockLevel",value:function(){for(;this.indentTypes.length>0&&this.indentTypes.pop()===l;);}},{key:"resetIndentation",value:function(){this.indentTypes=[]}}])&&a(t.prototype,r),e}();t.default=s,e.exports=t.default},9137:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n,o=(n=r(1025))&&n.__esModule?n:{default:n};function i(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var a=function(){function e(){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.level=0}var t,r;return t=e,(r=[{key:"beginIfPossible",value:function(e,t){0===this.level&&this.isInlineBlock(e,t)?this.level=1:this.level>0?this.level++:this.level=0}},{key:"end",value:function(){this.level--}},{key:"isActive",value:function(){return this.level>0}},{key:"isInlineBlock",value:function(e,t){for(var r=0,n=0,i=t;i<e.length;i++){var a=e[i];if((r+=a.value.length)>50)return!1;if(a.type===o.default.OPEN_PAREN)n++;else if(a.type===o.default.CLOSE_PAREN&&0==--n)return!0;if(this.isForbiddenToken(a))return!1}return!1}},{key:"isForbiddenToken",value:function(e){var t=e.type,r=e.value;return t===o.default.RESERVED_TOP_LEVEL||t===o.default.RESERVED_NEWLINE||t===o.default.COMMENT||t===o.default.BLOCK_COMMENT||";"===r}}])&&i(t.prototype,r),e}();t.default=a,e.exports=t.default},9429:(e,t)=>{"use strict";function r(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.params=t,this.index=0}var t,n;return t=e,(n=[{key:"get",value:function(e){var t=e.key,r=e.value;return this.params?t?this.params[t]:this.params[this.index++]:r}}])&&r(t.prototype,n),e}();t.default=n,e.exports=t.default},3202:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(7969)),o=a(r(8472)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function l(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.WHITESPACE_REGEX=/^([\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+)/,this.NUMBER_REGEX=/^((\x2D[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]*)?[0-9]+(\.[0-9]+)?|0x[0-9A-Fa-f]+|0b[01]+)\b/,this.OPERATOR_REGEX=/^(!=|<>|==|<=|>=|!<|!>|\|\||::|\x2D>>|\x2D>|~~\*|~~|!~~\*|!~~|~\*|!~\*|!~|:=|(?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]))/,this.BLOCK_COMMENT_REGEX=/^(\/\*(?:[\0-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?(?:\*\/|$))/,this.LINE_COMMENT_REGEX=this.createLineCommentRegex(t.lineCommentTypes),this.RESERVED_TOP_LEVEL_REGEX=this.createReservedWordRegex(t.reservedTopLevelWords),this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX=this.createReservedWordRegex(t.reservedTopLevelWordsNoIndent),this.RESERVED_NEWLINE_REGEX=this.createReservedWordRegex(t.reservedNewlineWords),this.RESERVED_PLAIN_REGEX=this.createReservedWordRegex(t.reservedWords),this.WORD_REGEX=this.createWordRegex(t.specialWordChars),this.STRING_REGEX=this.createStringRegex(t.stringTypes),this.OPEN_PAREN_REGEX=this.createParenRegex(t.openParens),this.CLOSE_PAREN_REGEX=this.createParenRegex(t.closeParens),this.INDEXED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.indexedPlaceholderTypes,"[0-9]*"),this.IDENT_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,"[a-zA-Z0-9._$]+"),this.STRING_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,this.createStringPattern(t.stringTypes))}var t,r;return t=e,r=[{key:"createLineCommentRegex",value:function(e){return new RegExp("^((?:".concat(e.map((function(e){return(0,o.default)(e)})).join("|"),").*?(?:\r\n|\r|\n|$))"),"u")}},{key:"createReservedWordRegex",value:function(e){var t=e.join("|").replace(/ /g,"\\s+");return new RegExp("^(".concat(t,")\\b"),"iu")}},{key:"createWordRegex",value:function(){return new RegExp("^([\\p{Alphabetic}\\p{Mark}\\p{Decimal_Number}\\p{Connector_Punctuation}\\p{Join_Control}".concat((arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).join(""),"]+)"),"u")}},{key:"createStringRegex",value:function(e){return new RegExp("^("+this.createStringPattern(e)+")","u")}},{key:"createStringPattern",value:function(e){var t={"``":"((`[^`]*($|`))+)","[]":"((\\[[^\\]]*($|\\]))(\\][^\\]]*($|\\]))*)",'""':'(("[^"\\\\]*(?:\\\\.[^"\\\\]*)*("|$))+)',"''":"(('[^'\\\\]*(?:\\\\.[^'\\\\]*)*('|$))+)","N''":"((N'[^N'\\\\]*(?:\\\\.[^N'\\\\]*)*('|$))+)"};return e.map((function(e){return t[e]})).join("|")}},{key:"createParenRegex",value:function(e){var t=this;return new RegExp("^("+e.map((function(e){return t.escapeParen(e)})).join("|")+")","iu")}},{key:"escapeParen",value:function(e){return 1===e.length?(0,o.default)(e):"\\b"+e+"\\b"}},{key:"createPlaceholderRegex",value:function(e,t){if((0,n.default)(e))return!1;var r=e.map(o.default).join("|");return new RegExp("^((?:".concat(r,")(?:").concat(t,"))"),"u")}},{key:"tokenize",value:function(e){if(!e)return[];for(var t,r=[];e.length;)t=this.getNextToken(e,t),e=e.substring(t.value.length),r.push(t);return r}},{key:"getNextToken",value:function(e,t){return this.getWhitespaceToken(e)||this.getCommentToken(e)||this.getStringToken(e)||this.getOpenParenToken(e)||this.getCloseParenToken(e)||this.getPlaceholderToken(e)||this.getNumberToken(e)||this.getReservedWordToken(e,t)||this.getWordToken(e)||this.getOperatorToken(e)}},{key:"getWhitespaceToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WHITESPACE,regex:this.WHITESPACE_REGEX})}},{key:"getCommentToken",value:function(e){return this.getLineCommentToken(e)||this.getBlockCommentToken(e)}},{key:"getLineCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.LINE_COMMENT,regex:this.LINE_COMMENT_REGEX})}},{key:"getBlockCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.BLOCK_COMMENT,regex:this.BLOCK_COMMENT_REGEX})}},{key:"getStringToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.STRING,regex:this.STRING_REGEX})}},{key:"getOpenParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPEN_PAREN,regex:this.OPEN_PAREN_REGEX})}},{key:"getCloseParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.CLOSE_PAREN,regex:this.CLOSE_PAREN_REGEX})}},{key:"getPlaceholderToken",value:function(e){return this.getIdentNamedPlaceholderToken(e)||this.getStringNamedPlaceholderToken(e)||this.getIndexedPlaceholderToken(e)}},{key:"getIdentNamedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.IDENT_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getStringNamedPlaceholderToken",value:function(e){var t=this;return this.getPlaceholderTokenWithKey({input:e,regex:this.STRING_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return t.getEscapedPlaceholderKey({key:e.slice(2,-1),quoteChar:e.slice(-1)})}})}},{key:"getIndexedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.INDEXED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getPlaceholderTokenWithKey",value:function(e){var t=e.input,r=e.regex,n=e.parseKey,o=this.getTokenOnFirstMatch({input:t,regex:r,type:i.default.PLACEHOLDER});return o&&(o.key=n(o.value)),o}},{key:"getEscapedPlaceholderKey",value:function(e){var t=e.key,r=e.quoteChar;return t.replace(new RegExp((0,o.default)("\\"+r),"gu"),r)}},{key:"getNumberToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.NUMBER,regex:this.NUMBER_REGEX})}},{key:"getOperatorToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPERATOR,regex:this.OPERATOR_REGEX})}},{key:"getReservedWordToken",value:function(e,t){if(!t||!t.value||"."!==t.value)return this.getTopLevelReservedToken(e)||this.getNewlineReservedToken(e)||this.getTopLevelReservedTokenNoIndent(e)||this.getPlainReservedToken(e)}},{key:"getTopLevelReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL,regex:this.RESERVED_TOP_LEVEL_REGEX})}},{key:"getNewlineReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_NEWLINE,regex:this.RESERVED_NEWLINE_REGEX})}},{key:"getTopLevelReservedTokenNoIndent",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL_NO_INDENT,regex:this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX})}},{key:"getPlainReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED,regex:this.RESERVED_PLAIN_REGEX})}},{key:"getWordToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WORD,regex:this.WORD_REGEX})}},{key:"getTokenOnFirstMatch",value:function(e){var t=e.input,r=e.type,n=e.regex,o=t.match(n);if(o)return{type:r,value:o[1]}}}],r&&l(t.prototype,r),e}();t.default=s,e.exports=t.default},1025:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0,t.default={WHITESPACE:"whitespace",WORD:"word",STRING:"string",RESERVED:"reserved",RESERVED_TOP_LEVEL:"reserved-top-level",RESERVED_TOP_LEVEL_NO_INDENT:"reserved-top-level-no-indent",RESERVED_NEWLINE:"reserved-newline",OPERATOR:"operator",OPEN_PAREN:"open-paren",CLOSE_PAREN:"close-paren",LINE_COMMENT:"line-comment",BLOCK_COMMENT:"block-comment",NUMBER:"number",PLACEHOLDER:"placeholder"},e.exports=t.default},4377:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ABS","ACTIVATE","ALIAS","ALL","ALLOCATE","ALLOW","ALTER","ANY","ARE","ARRAY","AS","ASC","ASENSITIVE","ASSOCIATE","ASUTIME","ASYMMETRIC","AT","ATOMIC","ATTRIBUTES","AUDIT","AUTHORIZATION","AUX","AUXILIARY","AVG","BEFORE","BEGIN","BETWEEN","BIGINT","BINARY","BLOB","BOOLEAN","BOTH","BUFFERPOOL","BY","CACHE","CALL","CALLED","CAPTURE","CARDINALITY","CASCADED","CASE","CAST","CCSID","CEIL","CEILING","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CLOB","CLONE","CLOSE","CLUSTER","COALESCE","COLLATE","COLLECT","COLLECTION","COLLID","COLUMN","COMMENT","COMMIT","CONCAT","CONDITION","CONNECT","CONNECTION","CONSTRAINT","CONTAINS","CONTINUE","CONVERT","CORR","CORRESPONDING","COUNT","COUNT_BIG","COVAR_POP","COVAR_SAMP","CREATE","CROSS","CUBE","CUME_DIST","CURRENT","CURRENT_DATE","CURRENT_DEFAULT_TRANSFORM_GROUP","CURRENT_LC_CTYPE","CURRENT_PATH","CURRENT_ROLE","CURRENT_SCHEMA","CURRENT_SERVER","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_TIMEZONE","CURRENT_TRANSFORM_GROUP_FOR_TYPE","CURRENT_USER","CURSOR","CYCLE","DATA","DATABASE","DATAPARTITIONNAME","DATAPARTITIONNUM","DATE","DAY","DAYS","DB2GENERAL","DB2GENRL","DB2SQL","DBINFO","DBPARTITIONNAME","DBPARTITIONNUM","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFAULTS","DEFINITION","DELETE","DENSERANK","DENSE_RANK","DEREF","DESCRIBE","DESCRIPTOR","DETERMINISTIC","DIAGNOSTICS","DISABLE","DISALLOW","DISCONNECT","DISTINCT","DO","DOCUMENT","DOUBLE","DROP","DSSIZE","DYNAMIC","EACH","EDITPROC","ELEMENT","ELSE","ELSEIF","ENABLE","ENCODING","ENCRYPTION","END","END-EXEC","ENDING","ERASE","ESCAPE","EVERY","EXCEPTION","EXCLUDING","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXP","EXPLAIN","EXTENDED","EXTERNAL","EXTRACT","FALSE","FENCED","FETCH","FIELDPROC","FILE","FILTER","FINAL","FIRST","FLOAT","FLOOR","FOR","FOREIGN","FREE","FULL","FUNCTION","FUSION","GENERAL","GENERATED","GET","GLOBAL","GOTO","GRANT","GRAPHIC","GROUP","GROUPING","HANDLER","HASH","HASHED_VALUE","HINT","HOLD","HOUR","HOURS","IDENTITY","IF","IMMEDIATE","IN","INCLUDING","INCLUSIVE","INCREMENT","INDEX","INDICATOR","INDICATORS","INF","INFINITY","INHERIT","INNER","INOUT","INSENSITIVE","INSERT","INT","INTEGER","INTEGRITY","INTERSECTION","INTERVAL","INTO","IS","ISOBID","ISOLATION","ITERATE","JAR","JAVA","KEEP","KEY","LABEL","LANGUAGE","LARGE","LATERAL","LC_CTYPE","LEADING","LEAVE","LEFT","LIKE","LINKTYPE","LN","LOCAL","LOCALDATE","LOCALE","LOCALTIME","LOCALTIMESTAMP","LOCATOR","LOCATORS","LOCK","LOCKMAX","LOCKSIZE","LONG","LOOP","LOWER","MAINTAINED","MATCH","MATERIALIZED","MAX","MAXVALUE","MEMBER","MERGE","METHOD","MICROSECOND","MICROSECONDS","MIN","MINUTE","MINUTES","MINVALUE","MOD","MODE","MODIFIES","MODULE","MONTH","MONTHS","MULTISET","NAN","NATIONAL","NATURAL","NCHAR","NCLOB","NEW","NEW_TABLE","NEXTVAL","NO","NOCACHE","NOCYCLE","NODENAME","NODENUMBER","NOMAXVALUE","NOMINVALUE","NONE","NOORDER","NORMALIZE","NORMALIZED","NOT","NULL","NULLIF","NULLS","NUMERIC","NUMPARTS","OBID","OCTET_LENGTH","OF","OFFSET","OLD","OLD_TABLE","ON","ONLY","OPEN","OPTIMIZATION","OPTIMIZE","OPTION","ORDER","OUT","OUTER","OVER","OVERLAPS","OVERLAY","OVERRIDING","PACKAGE","PADDED","PAGESIZE","PARAMETER","PART","PARTITION","PARTITIONED","PARTITIONING","PARTITIONS","PASSWORD","PATH","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","PIECESIZE","PLAN","POSITION","POWER","PRECISION","PREPARE","PREVVAL","PRIMARY","PRIQTY","PRIVILEGES","PROCEDURE","PROGRAM","PSID","PUBLIC","QUERY","QUERYNO","RANGE","RANK","READ","READS","REAL","RECOVERY","RECURSIVE","REF","REFERENCES","REFERENCING","REFRESH","REGR_AVGX","REGR_AVGY","REGR_COUNT","REGR_INTERCEPT","REGR_R2","REGR_SLOPE","REGR_SXX","REGR_SXY","REGR_SYY","RELEASE","RENAME","REPEAT","RESET","RESIGNAL","RESTART","RESTRICT","RESULT","RESULT_SET_LOCATOR","RETURN","RETURNS","REVOKE","RIGHT","ROLE","ROLLBACK","ROLLUP","ROUND_CEILING","ROUND_DOWN","ROUND_FLOOR","ROUND_HALF_DOWN","ROUND_HALF_EVEN","ROUND_HALF_UP","ROUND_UP","ROUTINE","ROW","ROWNUMBER","ROWS","ROWSET","ROW_NUMBER","RRN","RUN","SAVEPOINT","SCHEMA","SCOPE","SCRATCHPAD","SCROLL","SEARCH","SECOND","SECONDS","SECQTY","SECURITY","SENSITIVE","SEQUENCE","SESSION","SESSION_USER","SIGNAL","SIMILAR","SIMPLE","SMALLINT","SNAN","SOME","SOURCE","SPECIFIC","SPECIFICTYPE","SQL","SQLEXCEPTION","SQLID","SQLSTATE","SQLWARNING","SQRT","STACKED","STANDARD","START","STARTING","STATEMENT","STATIC","STATMENT","STAY","STDDEV_POP","STDDEV_SAMP","STOGROUP","STORES","STYLE","SUBMULTISET","SUBSTRING","SUM","SUMMARY","SYMMETRIC","SYNONYM","SYSFUN","SYSIBM","SYSPROC","SYSTEM","SYSTEM_USER","TABLE","TABLESAMPLE","TABLESPACE","THEN","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TRAILING","TRANSACTION","TRANSLATE","TRANSLATION","TREAT","TRIGGER","TRIM","TRUE","TRUNCATE","TYPE","UESCAPE","UNDO","UNIQUE","UNKNOWN","UNNEST","UNTIL","UPPER","USAGE","USER","USING","VALIDPROC","VALUE","VARCHAR","VARIABLE","VARIANT","VARYING","VAR_POP","VAR_SAMP","VCAT","VERSION","VIEW","VOLATILE","VOLUMES","WHEN","WHENEVER","WHILE","WIDTH_BUCKET","WINDOW","WITH","WITHIN","WITHOUT","WLM","WRITE","XMLELEMENT","XMLEXISTS","XMLNAMESPACES","YEAR","YEARS"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INTERSECT","LIMIT","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS JOIN","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"''","``","[]"],openParens:["("],closeParens:[")"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["#","@"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},9445:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ALL","ALTER","ANALYZE","AND","ANY","ARRAY","AS","ASC","BEGIN","BETWEEN","BINARY","BOOLEAN","BREAK","BUCKET","BUILD","BY","CALL","CASE","CAST","CLUSTER","COLLATE","COLLECTION","COMMIT","CONNECT","CONTINUE","CORRELATE","COVER","CREATE","DATABASE","DATASET","DATASTORE","DECLARE","DECREMENT","DELETE","DERIVED","DESC","DESCRIBE","DISTINCT","DO","DROP","EACH","ELEMENT","ELSE","END","EVERY","EXCEPT","EXCLUDE","EXECUTE","EXISTS","EXPLAIN","FALSE","FETCH","FIRST","FLATTEN","FOR","FORCE","FROM","FUNCTION","GRANT","GROUP","GSI","HAVING","IF","IGNORE","ILIKE","IN","INCLUDE","INCREMENT","INDEX","INFER","INLINE","INNER","INSERT","INTERSECT","INTO","IS","JOIN","KEY","KEYS","KEYSPACE","KNOWN","LAST","LEFT","LET","LETTING","LIKE","LIMIT","LSM","MAP","MAPPING","MATCHED","MATERIALIZED","MERGE","MISSING","NAMESPACE","NEST","NOT","NULL","NUMBER","OBJECT","OFFSET","ON","OPTION","OR","ORDER","OUTER","OVER","PARSE","PARTITION","PASSWORD","PATH","POOL","PREPARE","PRIMARY","PRIVATE","PRIVILEGE","PROCEDURE","PUBLIC","RAW","REALM","REDUCE","RENAME","RETURN","RETURNING","REVOKE","RIGHT","ROLE","ROLLBACK","SATISFIES","SCHEMA","SELECT","SELF","SEMI","SET","SHOW","SOME","START","STATISTICS","STRING","SYSTEM","THEN","TO","TRANSACTION","TRIGGER","TRUE","TRUNCATE","UNDER","UNION","UNIQUE","UNKNOWN","UNNEST","UNSET","UPDATE","UPSERT","USE","USER","USING","VALIDATE","VALUE","VALUED","VALUES","VIA","VIEW","WHEN","WHERE","WHILE","WITH","WITHIN","WORK","XOR"],u=["DELETE FROM","EXCEPT ALL","EXCEPT","EXPLAIN DELETE FROM","EXPLAIN UPDATE","EXPLAIN UPSERT","FROM","GROUP BY","HAVING","INFER","INSERT INTO","LET","LIMIT","MERGE","NEST","ORDER BY","PREPARE","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UNNEST","UPDATE","UPSERT","USE KEYS","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","XOR"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"''","``"],openParens:["(","[","{"],closeParens:[")","]","}"],namedPlaceholderTypes:["$"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},7881:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(9157)),o=a(r(3202)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function l(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,u=["A","ACCESSIBLE","AGENT","AGGREGATE","ALL","ALTER","ANY","ARRAY","AS","ASC","AT","ATTRIBUTE","AUTHID","AVG","BETWEEN","BFILE_BASE","BINARY_INTEGER","BINARY","BLOB_BASE","BLOCK","BODY","BOOLEAN","BOTH","BOUND","BREADTH","BULK","BY","BYTE","C","CALL","CALLING","CASCADE","CASE","CHAR_BASE","CHAR","CHARACTER","CHARSET","CHARSETFORM","CHARSETID","CHECK","CLOB_BASE","CLONE","CLOSE","CLUSTER","CLUSTERS","COALESCE","COLAUTH","COLLECT","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPILED","COMPRESS","CONNECT","CONSTANT","CONSTRUCTOR","CONTEXT","CONTINUE","CONVERT","COUNT","CRASH","CREATE","CREDENTIAL","CURRENT","CURRVAL","CURSOR","CUSTOMDATUM","DANGLING","DATA","DATE_BASE","DATE","DAY","DECIMAL","DEFAULT","DEFINE","DELETE","DEPTH","DESC","DETERMINISTIC","DIRECTORY","DISTINCT","DO","DOUBLE","DROP","DURATION","ELEMENT","ELSIF","EMPTY","END","ESCAPE","EXCEPTIONS","EXCLUSIVE","EXECUTE","EXISTS","EXIT","EXTENDS","EXTERNAL","EXTRACT","FALSE","FETCH","FINAL","FIRST","FIXED","FLOAT","FOR","FORALL","FORCE","FROM","FUNCTION","GENERAL","GOTO","GRANT","GROUP","HASH","HEAP","HIDDEN","HOUR","IDENTIFIED","IF","IMMEDIATE","IN","INCLUDING","INDEX","INDEXES","INDICATOR","INDICES","INFINITE","INSTANTIABLE","INT","INTEGER","INTERFACE","INTERVAL","INTO","INVALIDATE","IS","ISOLATION","JAVA","LANGUAGE","LARGE","LEADING","LENGTH","LEVEL","LIBRARY","LIKE","LIKE2","LIKE4","LIKEC","LIMITED","LOCAL","LOCK","LONG","MAP","MAX","MAXLEN","MEMBER","MERGE","MIN","MINUTE","MLSLABEL","MOD","MODE","MONTH","MULTISET","NAME","NAN","NATIONAL","NATIVE","NATURAL","NATURALN","NCHAR","NEW","NEXTVAL","NOCOMPRESS","NOCOPY","NOT","NOWAIT","NULL","NULLIF","NUMBER_BASE","NUMBER","OBJECT","OCICOLL","OCIDATE","OCIDATETIME","OCIDURATION","OCIINTERVAL","OCILOBLOCATOR","OCINUMBER","OCIRAW","OCIREF","OCIREFCURSOR","OCIROWID","OCISTRING","OCITYPE","OF","OLD","ON","ONLY","OPAQUE","OPEN","OPERATOR","OPTION","ORACLE","ORADATA","ORDER","ORGANIZATION","ORLANY","ORLVARY","OTHERS","OUT","OVERLAPS","OVERRIDING","PACKAGE","PARALLEL_ENABLE","PARAMETER","PARAMETERS","PARENT","PARTITION","PASCAL","PCTFREE","PIPE","PIPELINED","PLS_INTEGER","PLUGGABLE","POSITIVE","POSITIVEN","PRAGMA","PRECISION","PRIOR","PRIVATE","PROCEDURE","PUBLIC","RAISE","RANGE","RAW","READ","REAL","RECORD","REF","REFERENCE","RELEASE","RELIES_ON","REM","REMAINDER","RENAME","RESOURCE","RESULT_CACHE","RESULT","RETURN","RETURNING","REVERSE","REVOKE","ROLLBACK","ROW","ROWID","ROWNUM","ROWTYPE","SAMPLE","SAVE","SAVEPOINT","SB1","SB2","SB4","SEARCH","SECOND","SEGMENT","SELF","SEPARATE","SEQUENCE","SERIALIZABLE","SHARE","SHORT","SIZE_T","SIZE","SMALLINT","SOME","SPACE","SPARSE","SQL","SQLCODE","SQLDATA","SQLERRM","SQLNAME","SQLSTATE","STANDARD","START","STATIC","STDDEV","STORED","STRING","STRUCT","STYLE","SUBMULTISET","SUBPARTITION","SUBSTITUTABLE","SUBTYPE","SUCCESSFUL","SUM","SYNONYM","SYSDATE","TABAUTH","TABLE","TDO","THE","THEN","TIME","TIMESTAMP","TIMEZONE_ABBR","TIMEZONE_HOUR","TIMEZONE_MINUTE","TIMEZONE_REGION","TO","TRAILING","TRANSACTION","TRANSACTIONAL","TRIGGER","TRUE","TRUSTED","TYPE","UB1","UB2","UB4","UID","UNDER","UNIQUE","UNPLUG","UNSIGNED","UNTRUSTED","USE","USER","USING","VALIDATE","VALIST","VALUE","VARCHAR","VARCHAR2","VARIABLE","VARIANCE","VARRAY","VARYING","VIEW","VIEWS","VOID","WHENEVER","WHILE","WITH","WORK","WRAPPED","WRITE","YEAR","ZONE"],c=["ADD","ALTER COLUMN","ALTER TABLE","BEGIN","CONNECT BY","DECLARE","DELETE FROM","DELETE","END","EXCEPT","EXCEPTION","FETCH FIRST","FROM","GROUP BY","HAVING","INSERT INTO","INSERT","LIMIT","LOOP","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","START WITH","UPDATE","VALUES","WHERE"],d=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],p=["AND","CROSS APPLY","CROSS JOIN","ELSE","END","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],f=function(e,t){if(e.type===i.default.RESERVED_TOP_LEVEL&&"SET"===e.value&&"BY"===t.value)return e.type=i.default.RESERVED,e},h=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:u,reservedTopLevelWords:c,reservedNewlineWords:p,reservedTopLevelWordsNoIndent:d,stringTypes:['""',"N''","''","``"],openParens:["(","CASE","BEGIN"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["_","$","#",".","@"]})),new n.default(this.cfg,s,f).format(e)}}])&&l(t.prototype,r),e}();t.default=h,e.exports=t.default},1432:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ACCESSIBLE","ACTION","AGAINST","AGGREGATE","ALGORITHM","ALL","ALTER","ANALYSE","ANALYZE","AS","ASC","AUTOCOMMIT","AUTO_INCREMENT","BACKUP","BEGIN","BETWEEN","BINLOG","BOTH","CASCADE","CASE","CHANGE","CHANGED","CHARACTER SET","CHARSET","CHECK","CHECKSUM","COLLATE","COLLATION","COLUMN","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPRESSED","CONCURRENT","CONSTRAINT","CONTAINS","CONVERT","CREATE","CROSS","CURRENT_TIMESTAMP","DATABASE","DATABASES","DAY","DAY_HOUR","DAY_MINUTE","DAY_SECOND","DEFAULT","DEFINER","DELAYED","DELETE","DESC","DESCRIBE","DETERMINISTIC","DISTINCT","DISTINCTROW","DIV","DO","DROP","DUMPFILE","DUPLICATE","DYNAMIC","ELSE","ENCLOSED","END","ENGINE","ENGINES","ENGINE_TYPE","ESCAPE","ESCAPED","EVENTS","EXEC","EXECUTE","EXISTS","EXPLAIN","EXTENDED","FAST","FETCH","FIELDS","FILE","FIRST","FIXED","FLUSH","FOR","FORCE","FOREIGN","FULL","FULLTEXT","FUNCTION","GLOBAL","GRANT","GRANTS","GROUP_CONCAT","HEAP","HIGH_PRIORITY","HOSTS","HOUR","HOUR_MINUTE","HOUR_SECOND","IDENTIFIED","IF","IFNULL","IGNORE","IN","INDEX","INDEXES","INFILE","INSERT","INSERT_ID","INSERT_METHOD","INTERVAL","INTO","INVOKER","IS","ISOLATION","KEY","KEYS","KILL","LAST_INSERT_ID","LEADING","LEVEL","LIKE","LINEAR","LINES","LOAD","LOCAL","LOCK","LOCKS","LOGS","LOW_PRIORITY","MARIA","MASTER","MASTER_CONNECT_RETRY","MASTER_HOST","MASTER_LOG_FILE","MATCH","MAX_CONNECTIONS_PER_HOUR","MAX_QUERIES_PER_HOUR","MAX_ROWS","MAX_UPDATES_PER_HOUR","MAX_USER_CONNECTIONS","MEDIUM","MERGE","MINUTE","MINUTE_SECOND","MIN_ROWS","MODE","MODIFY","MONTH","MRG_MYISAM","MYISAM","NAMES","NATURAL","NOT","NOW()","NULL","OFFSET","ON DELETE","ON UPDATE","ON","ONLY","OPEN","OPTIMIZE","OPTION","OPTIONALLY","OUTFILE","PACK_KEYS","PAGE","PARTIAL","PARTITION","PARTITIONS","PASSWORD","PRIMARY","PRIVILEGES","PROCEDURE","PROCESS","PROCESSLIST","PURGE","QUICK","RAID0","RAID_CHUNKS","RAID_CHUNKSIZE","RAID_TYPE","RANGE","READ","READ_ONLY","READ_WRITE","REFERENCES","REGEXP","RELOAD","RENAME","REPAIR","REPEATABLE","REPLACE","REPLICATION","RESET","RESTORE","RESTRICT","RETURN","RETURNS","REVOKE","RLIKE","ROLLBACK","ROW","ROWS","ROW_FORMAT","SECOND","SECURITY","SEPARATOR","SERIALIZABLE","SESSION","SHARE","SHOW","SHUTDOWN","SLAVE","SONAME","SOUNDS","SQL","SQL_AUTO_IS_NULL","SQL_BIG_RESULT","SQL_BIG_SELECTS","SQL_BIG_TABLES","SQL_BUFFER_RESULT","SQL_CACHE","SQL_CALC_FOUND_ROWS","SQL_LOG_BIN","SQL_LOG_OFF","SQL_LOG_UPDATE","SQL_LOW_PRIORITY_UPDATES","SQL_MAX_JOIN_SIZE","SQL_NO_CACHE","SQL_QUOTE_SHOW_CREATE","SQL_SAFE_UPDATES","SQL_SELECT_LIMIT","SQL_SLAVE_SKIP_COUNTER","SQL_SMALL_RESULT","SQL_WARNINGS","START","STARTING","STATUS","STOP","STORAGE","STRAIGHT_JOIN","STRING","STRIPED","SUPER","TABLE","TABLES","TEMPORARY","TERMINATED","THEN","TO","TRAILING","TRANSACTIONAL","TRUE","TRUNCATE","TYPE","TYPES","UNCOMMITTED","UNIQUE","UNLOCK","UNSIGNED","USAGE","USE","USING","VARIABLES","VIEW","WHEN","WITH","WORK","WRITE","YEAR_MONTH"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INSERT","LIMIT","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS APPLY","CROSS JOIN","ELSE","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"N''","''","``","[]"],openParens:["(","CASE"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:["@",":"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},7409:(e,t,r)=>{"use strict";t.Ay=void 0;var n=l(r(4377)),o=l(r(9445)),i=l(r(7881)),a=l(r(1432));function l(e){return e&&e.__esModule?e:{default:e}}var s={format:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};switch(t.language){case"db2":return new n.default(t).format(e);case"n1ql":return new o.default(t).format(e);case"pl/sql":return new i.default(t).format(e);case"sql":case void 0:return new a.default(t).format(e);default:throw Error("Unsupported SQL dialect: ".concat(t.language))}}};t.Ay=s},358:(e,t,r)=>{e.exports=r(3231)},3231:(e,t)=>{var r=t,n=/`/g,o=/\./g,i=/[\0\b\t\n\r\x1a\"\'\\]/g,a={"\0":"\\0","\b":"\\b","\t":"\\t","\n":"\\n","\r":"\\r","":"\\Z",'"':'\\"',"'":"\\'","\\":"\\\\"};function l(e){for(var t,r=i.lastIndex=0,n="";t=i.exec(e);)n+=e.slice(r,t.index)+a[t[0]],r=i.lastIndex;return 0===r?"'"+e+"'":r<e.length?"'"+n+e.slice(r)+"'":"'"+n+"'"}function s(e,t){for(e=e.toString();e.length<t;)e="0"+e;return e}r.escapeId=function(e,t){if(Array.isArray(e)){for(var i="",a=0;a<e.length;a++)i+=(0===a?"":", ")+r.escapeId(e[a],t);return i}return t?"`"+String(e).replace(n,"``")+"`":"`"+String(e).replace(n,"``").replace(o,"`.`")+"`"},r.escape=function(e,t,n){if(null==e)return"NULL";switch(typeof e){case"boolean":return e?"true":"false";case"number":return e+"";case"object":return"[object Date]"===Object.prototype.toString.call(e)?r.dateToString(e,n||"local"):Array.isArray(e)?r.arrayToList(e,n):Buffer.isBuffer(e)?r.bufferToString(e):"function"==typeof e.toSqlString?String(e.toSqlString()):t?l(e.toString()):r.objectToValues(e,n);default:return l(e)}},r.arrayToList=function(e,t){for(var n="",o=0;o<e.length;o++){var i=e[o];Array.isArray(i)?n+=(0===o?"":", ")+"("+r.arrayToList(i,t)+")":n+=(0===o?"":", ")+r.escape(i,!0,t)}return n},r.format=function(e,t,n,o){if(null==t)return e;Array.isArray(t)||(t=[t]);for(var i,a=0,l=/\?+/g,s="",u=0;u<t.length&&(i=l.exec(e));){var c=i[0].length;if(!(c>2)){var d=2===c?r.escapeId(t[u]):r.escape(t[u],n,o);s+=e.slice(a,i.index)+d,a=l.lastIndex,u++}}return 0===a?e:a<e.length?s+e.slice(a):s},r.dateToString=function(e,t){var r,n,o,i,a,u,c,d=new Date(e);if(isNaN(d.getTime()))return"NULL";if("local"===t)r=d.getFullYear(),n=d.getMonth()+1,o=d.getDate(),i=d.getHours(),a=d.getMinutes(),u=d.getSeconds(),c=d.getMilliseconds();else{var p=function(e){if("Z"===e)return 0;var t=e.match(/([\+\-\s])(\d\d):?(\d\d)?/);return!!t&&("-"===t[1]?-1:1)*(parseInt(t[2],10)+(t[3]?parseInt(t[3],10):0)/60)*60}(t);!1!==p&&0!==p&&d.setTime(d.getTime()+6e4*p),r=d.getUTCFullYear(),n=d.getUTCMonth()+1,o=d.getUTCDate(),i=d.getUTCHours(),a=d.getUTCMinutes(),u=d.getUTCSeconds(),c=d.getUTCMilliseconds()}return l(s(r,4)+"-"+s(n,2)+"-"+s(o,2)+" "+s(i,2)+":"+s(a,2)+":"+s(u,2)+"."+s(c,3))},r.bufferToString=function(e){return"X"+l(e.toString("hex"))},r.objectToValues=function(e,t){var n="";for(var o in e){var i=e[o];"function"!=typeof i&&(n+=(0===n.length?"":", ")+r.escapeId(o)+" = "+r.escape(i,!0,t))}return n},r.raw=function(e){if("string"!=typeof e)throw new TypeError("argument sql must be a string");return{toSqlString:function(){return e}}}},1882:e=>{e.exports=function(){var e=document.getSelection();if(!e.rangeCount)return function(){};for(var t=document.activeElement,r=[],n=0;n<e.rangeCount;n++)r.push(e.getRangeAt(n));switch(t.tagName.toUpperCase()){case"INPUT":case"TEXTAREA":t.blur();break;default:t=null}return e.removeAllRanges(),function(){"Caret"===e.type&&e.removeAllRanges(),e.rangeCount||r.forEach((function(t){e.addRange(t)})),t&&t.focus()}}},627:e=>{e.exports={area:!0,base:!0,br:!0,col:!0,embed:!0,hr:!0,img:!0,input:!0,link:!0,meta:!0,param:!0,source:!0,track:!0,wbr:!0}},6089:e=>{"use strict";e.exports=a},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=r},2007:e=>{"use strict";e.exports=i},3241:e=>{"use strict";e.exports=n},2468:e=>{"use strict";e.exports=l},5959:e=>{"use strict";e.exports=o},200:e=>{"use strict";e.exports=u},7694:e=>{"use strict";e.exports=s},1269:e=>{"use strict";e.exports=t},8911:(e,t,r)=>{var n=r(5992).default;function o(){"use strict";e.exports=o=function(){return r},e.exports.__esModule=!0,e.exports.default=e.exports;var t,r={},i=Object.prototype,a=i.hasOwnProperty,l=Object.defineProperty||function(e,t,r){e[t]=r.value},s="function"==typeof Symbol?Symbol:{},u=s.iterator||"@@iterator",c=s.asyncIterator||"@@asyncIterator",d=s.toStringTag||"@@toStringTag";function p(e,t,r){return Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}),e[t]}try{p({},"")}catch(t){p=function(e,t,r){return e[t]=r}}function f(e,t,r,n){var o=t&&t.prototype instanceof E?t:E,i=Object.create(o.prototype),a=new x(n||[]);return l(i,"_invoke",{value:C(e,r,a)}),i}function h(e,t,r){try{return{type:"normal",arg:e.call(t,r)}}catch(e){return{type:"throw",arg:e}}}r.wrap=f;var g="suspendedStart",v="suspendedYield",y="executing",m="completed",b={};function E(){}function O(){}function S(){}var T={};p(T,u,(function(){return this}));var _=Object.getPrototypeOf,w=_&&_(_(k([])));w&&w!==i&&a.call(w,u)&&(T=w);var R=S.prototype=E.prototype=Object.create(T);function A(e){["next","throw","return"].forEach((function(t){p(e,t,(function(e){return this._invoke(t,e)}))}))}function I(e,t){function r(o,i,l,s){var u=h(e[o],e,i);if("throw"!==u.type){var c=u.arg,d=c.value;return d&&"object"==n(d)&&a.call(d,"__await")?t.resolve(d.__await).then((function(e){r("next",e,l,s)}),(function(e){r("throw",e,l,s)})):t.resolve(d).then((function(e){c.value=e,l(c)}),(function(e){return r("throw",e,l,s)}))}s(u.arg)}var o;l(this,"_invoke",{value:function(e,n){function i(){return new t((function(t,o){r(e,n,t,o)}))}return o=o?o.then(i,i):i()}})}function C(e,r,n){var o=g;return function(i,a){if(o===y)throw Error("Generator is already running");if(o===m){if("throw"===i)throw a;return{value:t,done:!0}}for(n.method=i,n.arg=a;;){var l=n.delegate;if(l){var s=N(l,n);if(s){if(s===b)continue;return s}}if("next"===n.method)n.sent=n._sent=n.arg;else if("throw"===n.method){if(o===g)throw o=m,n.arg;n.dispatchException(n.arg)}else"return"===n.method&&n.abrupt("return",n.arg);o=y;var u=h(e,r,n);if("normal"===u.type){if(o=n.done?m:v,u.arg===b)continue;return{value:u.arg,done:n.done}}"throw"===u.type&&(o=m,n.method="throw",n.arg=u.arg)}}}function N(e,r){var n=r.method,o=e.iterator[n];if(o===t)return r.delegate=null,"throw"===n&&e.iterator.return&&(r.method="return",r.arg=t,N(e,r),"throw"===r.method)||"return"!==n&&(r.method="throw",r.arg=new TypeError("The iterator does not provide a '"+n+"' method")),b;var i=h(o,e.iterator,r.arg);if("throw"===i.type)return r.method="throw",r.arg=i.arg,r.delegate=null,b;var a=i.arg;return a?a.done?(r[e.resultName]=a.value,r.next=e.nextLoc,"return"!==r.method&&(r.method="next",r.arg=t),r.delegate=null,b):a:(r.method="throw",r.arg=new TypeError("iterator result is not an object"),r.delegate=null,b)}function L(e){var t={tryLoc:e[0]};1 in e&&(t.catchLoc=e[1]),2 in e&&(t.finallyLoc=e[2],t.afterLoc=e[3]),this.tryEntries.push(t)}function P(e){var t=e.completion||{};t.type="normal",delete t.arg,e.completion=t}function x(e){this.tryEntries=[{tryLoc:"root"}],e.forEach(L,this),this.reset(!0)}function k(e){if(e||""===e){var r=e[u];if(r)return r.call(e);if("function"==typeof e.next)return e;if(!isNaN(e.length)){var o=-1,i=function r(){for(;++o<e.length;)if(a.call(e,o))return r.value=e[o],r.done=!1,r;return r.value=t,r.done=!0,r};return i.next=i}}throw new TypeError(n(e)+" is not iterable")}return O.prototype=S,l(R,"constructor",{value:S,configurable:!0}),l(S,"constructor",{value:O,configurable:!0}),O.displayName=p(S,d,"GeneratorFunction"),r.isGeneratorFunction=function(e){var t="function"==typeof e&&e.constructor;return!!t&&(t===O||"GeneratorFunction"===(t.displayName||t.name))},r.mark=function(e){return Object.setPrototypeOf?Object.setPrototypeOf(e,S):(e.__proto__=S,p(e,d,"GeneratorFunction")),e.prototype=Object.create(R),e},r.awrap=function(e){return{__await:e}},A(I.prototype),p(I.prototype,c,(function(){return this})),r.AsyncIterator=I,r.async=function(e,t,n,o,i){void 0===i&&(i=Promise);var a=new I(f(e,t,n,o),i);return r.isGeneratorFunction(t)?a:a.next().then((function(e){return e.done?e.value:a.next()}))},A(R),p(R,d,"Generator"),p(R,u,(function(){return this})),p(R,"toString",(function(){return"[object Generator]"})),r.keys=function(e){var t=Object(e),r=[];for(var n in t)r.push(n);return r.reverse(),function e(){for(;r.length;){var n=r.pop();if(n in t)return e.value=n,e.done=!1,e}return e.done=!0,e}},r.values=k,x.prototype={constructor:x,reset:function(e){if(this.prev=0,this.next=0,this.sent=this._sent=t,this.done=!1,this.delegate=null,this.method="next",this.arg=t,this.tryEntries.forEach(P),!e)for(var r in this)"t"===r.charAt(0)&&a.call(this,r)&&!isNaN(+r.slice(1))&&(this[r]=t)},stop:function(){this.done=!0;var e=this.tryEntries[0].completion;if("throw"===e.type)throw e.arg;return this.rval},dispatchException:function(e){if(this.done)throw e;var r=this;function n(n,o){return l.type="throw",l.arg=e,r.next=n,o&&(r.method="next",r.arg=t),!!o}for(var o=this.tryEntries.length-1;o>=0;--o){var i=this.tryEntries[o],l=i.completion;if("root"===i.tryLoc)return n("end");if(i.tryLoc<=this.prev){var s=a.call(i,"catchLoc"),u=a.call(i,"finallyLoc");if(s&&u){if(this.prev<i.catchLoc)return n(i.catchLoc,!0);if(this.prev<i.finallyLoc)return n(i.finallyLoc)}else if(s){if(this.prev<i.catchLoc)return n(i.catchLoc,!0)}else{if(!u)throw Error("try statement without catch or finally");if(this.prev<i.finallyLoc)return n(i.finallyLoc)}}}},abrupt:function(e,t){for(var r=this.tryEntries.length-1;r>=0;--r){var n=this.tryEntries[r];if(n.tryLoc<=this.prev&&a.call(n,"finallyLoc")&&this.prev<n.finallyLoc){var o=n;break}}o&&("break"===e||"continue"===e)&&o.tryLoc<=t&&t<=o.finallyLoc&&(o=null);var i=o?o.completion:{};return i.type=e,i.arg=t,o?(this.method="next",this.next=o.finallyLoc,b):this.complete(i)},complete:function(e,t){if("throw"===e.type)throw e.arg;return"break"===e.type||"continue"===e.type?this.next=e.arg:"return"===e.type?(this.rval=this.arg=e.arg,this.method="return",this.next="end"):"normal"===e.type&&t&&(this.next=t),b},finish:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var r=this.tryEntries[t];if(r.finallyLoc===e)return this.complete(r.completion,r.afterLoc),P(r),b}},catch:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var r=this.tryEntries[t];if(r.tryLoc===e){var n=r.completion;if("throw"===n.type){var o=n.arg;P(r)}return o}}throw Error("illegal catch attempt")},delegateYield:function(e,r,n){return this.delegate={iterator:k(e),resultName:r,nextLoc:n},"next"===this.method&&(this.arg=t),b}},r}e.exports=o,e.exports.__esModule=!0,e.exports.default=e.exports},5992:e=>{function t(r){return e.exports=t="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},e.exports.__esModule=!0,e.exports.default=e.exports,t(r)}e.exports=t,e.exports.__esModule=!0,e.exports.default=e.exports},6834:(e,t,r)=>{var n=r(8911)();e.exports=n;try{regeneratorRuntime=n}catch(e){"object"==typeof globalThis?globalThis.regeneratorRuntime=n:Function("r","regeneratorRuntime = r")(n)}},2584:(e,t)=>{var r;!function(){"use strict";var n={}.hasOwnProperty;function o(){for(var e="",t=0;t<arguments.length;t++){var r=arguments[t];r&&(e=a(e,i(r)))}return e}function i(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return o.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var r in e)n.call(e,r)&&e[r]&&(t=a(t,r));return t}function a(e,t){return t?e?e+" "+t:e+t:e}e.exports?(o.default=o,e.exports=o):void 0===(r=function(){return o}.apply(t,[]))||(e.exports=r)}()},4769:(e,t,r)=>{"use strict";r.r(t),r.d(t,{__addDisposableResource:()=>k,__assign:()=>i,__asyncDelegator:()=>w,__asyncGenerator:()=>_,__asyncValues:()=>R,__await:()=>T,__awaiter:()=>h,__classPrivateFieldGet:()=>L,__classPrivateFieldIn:()=>x,__classPrivateFieldSet:()=>P,__createBinding:()=>v,__decorate:()=>l,__disposeResources:()=>D,__esDecorate:()=>u,__exportStar:()=>y,__extends:()=>o,__generator:()=>g,__importDefault:()=>N,__importStar:()=>C,__makeTemplateObject:()=>A,__metadata:()=>f,__param:()=>s,__propKey:()=>d,__read:()=>b,__rest:()=>a,__runInitializers:()=>c,__setFunctionName:()=>p,__spread:()=>E,__spreadArray:()=>S,__spreadArrays:()=>O,__values:()=>m,default:()=>j});var n=function(e,t){return n=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])},n(e,t)};function o(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function r(){this.constructor=e}n(e,t),e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)}var i=function(){return i=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},i.apply(this,arguments)};function a(e,t){var r={};for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var o=0;for(n=Object.getOwnPropertySymbols(e);o<n.length;o++)t.indexOf(n[o])<0&&Object.prototype.propertyIsEnumerable.call(e,n[o])&&(r[n[o]]=e[n[o]])}return r}function l(e,t,r,n){var o,i=arguments.length,a=i<3?t:null===n?n=Object.getOwnPropertyDescriptor(t,r):n;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(e,t,r,n);else for(var l=e.length-1;l>=0;l--)(o=e[l])&&(a=(i<3?o(a):i>3?o(t,r,a):o(t,r))||a);return i>3&&a&&Object.defineProperty(t,r,a),a}function s(e,t){return function(r,n){t(r,n,e)}}function u(e,t,r,n,o,i){function a(e){if(void 0!==e&&"function"!=typeof e)throw new TypeError("Function expected");return e}for(var l,s=n.kind,u="getter"===s?"get":"setter"===s?"set":"value",c=!t&&e?n.static?e:e.prototype:null,d=t||(c?Object.getOwnPropertyDescriptor(c,n.name):{}),p=!1,f=r.length-1;f>=0;f--){var h={};for(var g in n)h[g]="access"===g?{}:n[g];for(var g in n.access)h.access[g]=n.access[g];h.addInitializer=function(e){if(p)throw new TypeError("Cannot add initializers after decoration has completed");i.push(a(e||null))};var v=(0,r[f])("accessor"===s?{get:d.get,set:d.set}:d[u],h);if("accessor"===s){if(void 0===v)continue;if(null===v||"object"!=typeof v)throw new TypeError("Object expected");(l=a(v.get))&&(d.get=l),(l=a(v.set))&&(d.set=l),(l=a(v.init))&&o.unshift(l)}else(l=a(v))&&("field"===s?o.unshift(l):d[u]=l)}c&&Object.defineProperty(c,n.name,d),p=!0}function c(e,t,r){for(var n=arguments.length>2,o=0;o<t.length;o++)r=n?t[o].call(e,r):t[o].call(e);return n?r:void 0}function d(e){return"symbol"==typeof e?e:"".concat(e)}function p(e,t,r){return"symbol"==typeof t&&(t=t.description?"[".concat(t.description,"]"):""),Object.defineProperty(e,"name",{configurable:!0,value:r?"".concat(r," ",t):t})}function f(e,t){if("object"==typeof Reflect&&"function"==typeof Reflect.metadata)return Reflect.metadata(e,t)}function h(e,t,r,n){return new(r||(r=Promise))((function(o,i){function a(e){try{s(n.next(e))}catch(e){i(e)}}function l(e){try{s(n.throw(e))}catch(e){i(e)}}function s(e){var t;e.done?o(e.value):(t=e.value,t instanceof r?t:new r((function(e){e(t)}))).then(a,l)}s((n=n.apply(e,t||[])).next())}))}function g(e,t){var r,n,o,i,a={label:0,sent:function(){if(1&o[0])throw o[1];return o[1]},trys:[],ops:[]};return i={next:l(0),throw:l(1),return:l(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function l(l){return function(s){return function(l){if(r)throw new TypeError("Generator is already executing.");for(;i&&(i=0,l[0]&&(a=0)),a;)try{if(r=1,n&&(o=2&l[0]?n.return:l[0]?n.throw||((o=n.return)&&o.call(n),0):n.next)&&!(o=o.call(n,l[1])).done)return o;switch(n=0,o&&(l=[2&l[0],o.value]),l[0]){case 0:case 1:o=l;break;case 4:return a.label++,{value:l[1],done:!1};case 5:a.label++,n=l[1],l=[0];continue;case 7:l=a.ops.pop(),a.trys.pop();continue;default:if(!((o=(o=a.trys).length>0&&o[o.length-1])||6!==l[0]&&2!==l[0])){a=0;continue}if(3===l[0]&&(!o||l[1]>o[0]&&l[1]<o[3])){a.label=l[1];break}if(6===l[0]&&a.label<o[1]){a.label=o[1],o=l;break}if(o&&a.label<o[2]){a.label=o[2],a.ops.push(l);break}o[2]&&a.ops.pop(),a.trys.pop();continue}l=t.call(e,a)}catch(e){l=[6,e],n=0}finally{r=o=0}if(5&l[0])throw l[1];return{value:l[0]?l[1]:void 0,done:!0}}([l,s])}}}var v=Object.create?function(e,t,r,n){void 0===n&&(n=r);var o=Object.getOwnPropertyDescriptor(t,r);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[r]}}),Object.defineProperty(e,n,o)}:function(e,t,r,n){void 0===n&&(n=r),e[n]=t[r]};function y(e,t){for(var r in e)"default"===r||Object.prototype.hasOwnProperty.call(t,r)||v(t,e,r)}function m(e){var t="function"==typeof Symbol&&Symbol.iterator,r=t&&e[t],n=0;if(r)return r.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&n>=e.length&&(e=void 0),{value:e&&e[n++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function b(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a}function E(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(b(arguments[t]));return e}function O(){for(var e=0,t=0,r=arguments.length;t<r;t++)e+=arguments[t].length;var n=Array(e),o=0;for(t=0;t<r;t++)for(var i=arguments[t],a=0,l=i.length;a<l;a++,o++)n[o]=i[a];return n}function S(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))}function T(e){return this instanceof T?(this.v=e,this):new T(e)}function _(e,t,r){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var n,o=r.apply(e,t||[]),i=[];return n={},a("next"),a("throw"),a("return",(function(e){return function(t){return Promise.resolve(t).then(e,u)}})),n[Symbol.asyncIterator]=function(){return this},n;function a(e,t){o[e]&&(n[e]=function(t){return new Promise((function(r,n){i.push([e,t,r,n])>1||l(e,t)}))},t&&(n[e]=t(n[e])))}function l(e,t){try{(r=o[e](t)).value instanceof T?Promise.resolve(r.value.v).then(s,u):c(i[0][2],r)}catch(e){c(i[0][3],e)}var r}function s(e){l("next",e)}function u(e){l("throw",e)}function c(e,t){e(t),i.shift(),i.length&&l(i[0][0],i[0][1])}}function w(e){var t,r;return t={},n("next"),n("throw",(function(e){throw e})),n("return"),t[Symbol.iterator]=function(){return this},t;function n(n,o){t[n]=e[n]?function(t){return(r=!r)?{value:T(e[n](t)),done:!1}:o?o(t):t}:o}}function R(e){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var t,r=e[Symbol.asyncIterator];return r?r.call(e):(e=m(e),t={},n("next"),n("throw"),n("return"),t[Symbol.asyncIterator]=function(){return this},t);function n(r){t[r]=e[r]&&function(t){return new Promise((function(n,o){!function(e,t,r,n){Promise.resolve(n).then((function(t){e({value:t,done:r})}),t)}(n,o,(t=e[r](t)).done,t.value)}))}}}function A(e,t){return Object.defineProperty?Object.defineProperty(e,"raw",{value:t}):e.raw=t,e}var I=Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t};function C(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var r in e)"default"!==r&&Object.prototype.hasOwnProperty.call(e,r)&&v(t,e,r);return I(t,e),t}function N(e){return e&&e.__esModule?e:{default:e}}function L(e,t,r,n){if("a"===r&&!n)throw new TypeError("Private accessor was defined without a getter");if("function"==typeof t?e!==t||!n:!t.has(e))throw new TypeError("Cannot read private member from an object whose class did not declare it");return"m"===r?n:"a"===r?n.call(e):n?n.value:t.get(e)}function P(e,t,r,n,o){if("m"===n)throw new TypeError("Private method is not writable");if("a"===n&&!o)throw new TypeError("Private accessor was defined without a setter");if("function"==typeof t?e!==t||!o:!t.has(e))throw new TypeError("Cannot write private member to an object whose class did not declare it");return"a"===n?o.call(e,r):o?o.value=r:t.set(e,r),r}function x(e,t){if(null===t||"object"!=typeof t&&"function"!=typeof t)throw new TypeError("Cannot use 'in' operator on non-object");return"function"==typeof e?t===e:e.has(t)}function k(e,t,r){if(null!=t){if("object"!=typeof t&&"function"!=typeof t)throw new TypeError("Object expected.");var n,o;if(r){if(!Symbol.asyncDispose)throw new TypeError("Symbol.asyncDispose is not defined.");n=t[Symbol.asyncDispose]}if(void 0===n){if(!Symbol.dispose)throw new TypeError("Symbol.dispose is not defined.");n=t[Symbol.dispose],r&&(o=n)}if("function"!=typeof n)throw new TypeError("Object not disposable.");o&&(n=function(){try{o.call(this)}catch(e){return Promise.reject(e)}}),e.stack.push({value:t,dispose:n,async:r})}else r&&e.stack.push({async:!0});return t}var F="function"==typeof SuppressedError?SuppressedError:function(e,t,r){var n=new Error(r);return n.name="SuppressedError",n.error=e,n.suppressed=t,n};function D(e){function t(t){e.error=e.hasError?new F(t,e.error,"An error was suppressed during disposal."):t,e.hasError=!0}return function r(){for(;e.stack.length;){var n=e.stack.pop();try{var o=n.dispose&&n.dispose.call(n.value);if(n.async)return Promise.resolve(o).then(r,(function(e){return t(e),r()}))}catch(e){t(e)}}if(e.hasError)throw e.error}()}const j={__extends:o,__assign:i,__rest:a,__decorate:l,__param:s,__metadata:f,__awaiter:h,__generator:g,__createBinding:v,__exportStar:y,__values:m,__read:b,__spread:E,__spreadArrays:O,__spreadArray:S,__await:T,__asyncGenerator:_,__asyncDelegator:w,__asyncValues:R,__makeTemplateObject:A,__importStar:C,__importDefault:N,__classPrivateFieldGet:L,__classPrivateFieldSet:P,__classPrivateFieldIn:x,__addDisposableResource:k,__disposeResources:D}}},d={};function p(e){var t=d[e];if(void 0!==t)return t.exports;var r=d[e]={id:e,loaded:!1,exports:{}};return c[e].call(r.exports,r,r.exports,p),r.loaded=!0,r.exports}p.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return p.d(t,{a:t}),t},p.d=(e,t)=>{for(var r in t)p.o(t,r)&&!p.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},p.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),p.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),p.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},p.nmd=e=>(e.paths=[],e.children||(e.children=[]),e);var f={};return(()=>{"use strict";p.r(f),p.d(f,{plugin:()=>TR});var e={};p.r(e),p.d(e,{applyToJS:()=>ws,cleanJSX:()=>Is,deepEqual:()=>Os,deepFreeze:()=>ks,escapeRegExp:()=>Rs,getFirstDefined:()=>js,getLogger:()=>Ds,getOpCardinality:()=>Es,isDirtyJSX:()=>Cs,isImmutable:()=>Ts,isJSX:()=>Ns,isJsonCompatible:()=>Fs,isJsonLogic:()=>Ls,logger:()=>Ms,mergeArraysSmart:()=>xs,mergeCustomizerNoArrays:()=>As,opDefKeysToOmit:()=>bs,shallowEqual:()=>Ss,sleep:()=>Ps,toImmutableList:()=>_s,uuid:()=>vs,widgetDefKeysToOmit:()=>ms});var t={};p.r(t),p.d(t,{getItemInListValues:()=>ru,getListValue:()=>lu,getTitleInListValues:()=>nu,getValueInListValues:()=>ou,listValuesToArray:()=>tu,makeCustomListValue:()=>eu,mapListValues:()=>iu,searchListValue:()=>au,toListValue:()=>Zs});var r={};p.r(r),p.d(r,{_fixImmutableValue:()=>Ou,expandTreePath:()=>su,expandTreeSubpath:()=>uu,fixEmptyGroupsInTree:()=>fu,fixPathsInTree:()=>pu,getFlatTree:()=>hu,getItemByPath:()=>cu,getLightTree:()=>yu,getSwitchValues:()=>mu,getTotalReordableNodesCountInTree:()=>gu,getTotalRulesCountInTree:()=>vu,getTreeBadFields:()=>ef,hasChildren:()=>Eu,immutableToJs:()=>ws,isEmptyTree:()=>bu,isImmutable:()=>Ts,jsToImmutable:()=>Ru,removeIsLockedInTree:()=>du,toImmutableList:()=>_s});var n={};p.r(n),p.d(n,{SqlString:()=>$u,mongoEmptyValue:()=>Qu,spelEscape:()=>Ju,spelFixList:()=>Xu,spelFormatConcat:()=>Zu,spelImportConcat:()=>ec,sqlEmptyValue:()=>Yu,stringifyForDisplay:()=>tc});var o={};p.r(o),p.d(o,{_loadFromJsonLogic:()=>Du,_loadFromSpel:()=>Nc,checkTree:()=>tf,getTree:()=>Su,isImmutableTree:()=>_u,isJsonLogic:()=>Ls,isTree:()=>wu,isValidTree:()=>Zp,jsToImmutable:()=>Ru,loadFromJsonLogic:()=>Fu,loadFromSpel:()=>Cc,loadTree:()=>Tu});var i={};p.r(i),p.d(i,{createListFromArray:()=>cd,defaultConjunction:()=>id,defaultGroupConjunction:()=>od,defaultGroupProperties:()=>ad,defaultItemProperties:()=>ld,defaultOperatorOptions:()=>rd,defaultRoot:()=>ud,defaultRule:()=>sd,defaultRuleProperties:()=>nd,emptyProperties:()=>dd,getDefaultField:()=>Jc,getDefaultFieldSrc:()=>ed,getDefaultOperator:()=>td,getDefaultSubField:()=>Zc});var a={};p.r(a),p.d(a,{_validateTree:()=>af,checkTree:()=>tf,getNewValueForFieldOp:()=>vf,getTreeBadFields:()=>ef,isValidTree:()=>Zp,sanitizeTree:()=>nf,translateValidation:()=>$p,validateAndFixTree:()=>of,validateRange:()=>gf,validateTree:()=>rf,validateValue:()=>df});var l={};p.r(l),p.d(l,{completeFuncValue:()=>mf,getCompatibleArgsOnFuncChange:()=>wf,setArgValue:()=>Tf,setArgValueSrc:()=>_f,setFunc:()=>bf,setFuncDefaultArg:()=>Of});var s={};p.r(s),p.d(s,{calculateValueType:()=>Nf,completeValue:()=>Qf,filterValueSourcesForField:()=>jf,formatFieldName:()=>Uf,getFieldPartsConfigs:()=>xf,getFieldPathLabels:()=>Pf,getFirstOperator:()=>Cf,getFuncPathLabels:()=>Lf,getOperatorsForField:()=>If,getOperatorsForType:()=>Af,getValueLabel:()=>kf,getValueSourcesForFieldOp:()=>Mf,getWidgetForFieldOp:()=>Vf,getWidgetsForFieldOp:()=>Df,isEmptyGroupChildren:()=>Wf,isEmptyItem:()=>Bf,isEmptyRuleGroupExtPropertiesAndChildren:()=>Gf,isEmptyRuleProperties:()=>Hf,selectTypes:()=>Rf,whatRulePropertiesAreCompleted:()=>$f});var u={};p.r(u),p.d(u,{_widgetDefKeysToOmit:()=>kh,applyJsonLogic:()=>nh,cleanJSX:()=>Is,compileConfig:()=>bh,compressConfig:()=>yh,configKeys:()=>ch,decompressConfig:()=>mh,extendConfig:()=>Ah,getFieldConfig:()=>$h,getFieldParts:()=>Wh,getFieldPath:()=>Kh,getFieldPathParts:()=>zh,getFieldRawConfig:()=>Mh,getFieldSrc:()=>Hh,getFieldWidgetConfig:()=>Qh,getFirstField:()=>Xh,getFuncArgConfig:()=>qh,getFuncConfig:()=>Bh,getFuncSignature:()=>Uh,getOperatorConfig:()=>Yh,isDirtyJSX:()=>Cs,isFieldDescendantOfField:()=>Gh,isJSX:()=>Ns,iterateFields:()=>Dh,iterateFuncs:()=>Fh,normalizeField:()=>Vh});var c={};p.r(c),p.d(c,{_mongodbFormat:()=>Tg,_spelFormat:()=>uc,_sqlFormat:()=>Fg,elasticSearchFormat:()=>Hg,jsonLogicFormat:()=>sg,mongodbFormat:()=>Sg,queryBuilderFormat:()=>eg,queryString:()=>vd,spelFormat:()=>sc,sqlFormat:()=>kg});var d={};p.r(d),p.d(d,{fixListValuesGroupOrder:()=>iv,getListValue:()=>lu,listValueToOption:()=>ov,mergeListValues:()=>tv,optionToListValue:()=>rv,optionsToListValues:()=>nv,simulateAsyncFetch:()=>ev});var h={};p.r(h),p.d(h,{Autocomplete:()=>d,ConfigUtils:()=>u,DefaultUtils:()=>i,ExportUtils:()=>n,FuncUtils:()=>l,ListUtils:()=>t,OtherUtils:()=>e,RuleUtils:()=>s,TreeUtils:()=>r,Validation:()=>a,checkTree:()=>tf,clone:()=>Jf(),compressConfig:()=>yh,decompressConfig:()=>mh,getSwitchValues:()=>mu,i18n:()=>Yp,isValidTree:()=>Zp,moment:()=>Cu(),sanitizeTree:()=>nf,uuid:()=>vs,validateAndFixTree:()=>of,validateTree:()=>rf});var g={};p.r(g),p.d(g,{LINEAR_REGRESSION:()=>cv,LOWER:()=>sv,NOW:()=>av,RELATIVE_DATETIME:()=>lv,UPPER:()=>uv});var v={};p.r(v),p.d(v,{addCaseGroup:()=>vy,addDefaultCaseGroup:()=>gy,addGroup:()=>yy,addRule:()=>fy,moveItem:()=>by,removeGroup:()=>my,removeRule:()=>hy,setTree:()=>py});var y={};p.r(y),p.d(y,{setConjunction:()=>Ey,setLock:()=>Sy,setNot:()=>Oy});var m={};p.r(m),p.d(m,{setField:()=>Ty,setFieldSrc:()=>_y,setFuncValue:()=>Iy,setOperator:()=>wy,setOperatorOption:()=>Cy,setValue:()=>Ry,setValueSrc:()=>Ay});var b={};p.r(b),p.d(b,{bindActionCreators:()=>dm,isUsingLegacyReactDomRender:()=>lm,liteShouldComponentUpdate:()=>sm,pureShouldComponentUpdate:()=>um,useOnPropsChanged:()=>cm});var E={};p.r(E),p.d(E,{FuncWidget:()=>eE,ValueFieldWidget:()=>rS,VanillaBooleanWidget:()=>nS,VanillaButton:()=>bS,VanillaButtonGroup:()=>OS,VanillaConjs:()=>yS,VanillaDateTimeWidget:()=>uS,VanillaDateWidget:()=>aS,VanillaFieldSelect:()=>vS,VanillaIcon:()=>ES,VanillaMultiSelectWidget:()=>dS,VanillaNumberWidget:()=>hS,VanillaProvider:()=>wS,VanillaSelectWidget:()=>fS,VanillaSliderWidget:()=>gS,VanillaSwitch:()=>TS,VanillaTextAreaWidget:()=>iS,VanillaTextWidget:()=>oS,VanillaTimeWidget:()=>lS,VanillaValueSources:()=>SS,vanillaConfirm:()=>_S});var O={};p.r(O),p.d(O,{ProximityOperator:()=>IS});var S,T=p(7781);!function(e){e.Timeseries="time_series",e.Table="table"}(S||(S={}));const _=[{label:"Time series",value:"time_series"},{label:"Table",value:"table"}],w=null!==T.toOption&&void 0!==T.toOption?T.toOption:e=>({label:e,value:e});var R=p(1269);function A(e){return"function"==typeof e}var I,C,N=p(4769),L=(I=function(e){return function(t){e(this),this.message=t?t.length+" errors occurred during unsubscription:\n"+t.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=t}},C=I((function(e){Error.call(e),e.stack=(new Error).stack})),C.prototype=Object.create(Error.prototype),C.prototype.constructor=C,C);function P(e,t){if(e){var r=e.indexOf(t);0<=r&&e.splice(r,1)}}var x=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._finalizers=null}var t;return e.prototype.unsubscribe=function(){var e,t,r,n,o;if(!this.closed){this.closed=!0;var i=this._parentage;if(i)if(this._parentage=null,Array.isArray(i))try{for(var a=(0,N.__values)(i),l=a.next();!l.done;l=a.next())l.value.remove(this)}catch(t){e={error:t}}finally{try{l&&!l.done&&(t=a.return)&&t.call(a)}finally{if(e)throw e.error}}else i.remove(this);var s=this.initialTeardown;if(A(s))try{s()}catch(e){o=e instanceof L?e.errors:[e]}var u=this._finalizers;if(u){this._finalizers=null;try{for(var c=(0,N.__values)(u),d=c.next();!d.done;d=c.next()){var p=d.value;try{k(p)}catch(e){o=null!=o?o:[],e instanceof L?o=(0,N.__spreadArray)((0,N.__spreadArray)([],(0,N.__read)(o)),(0,N.__read)(e.errors)):o.push(e)}}}catch(e){r={error:e}}finally{try{d&&!d.done&&(n=c.return)&&n.call(c)}finally{if(r)throw r.error}}}if(o)throw new L(o)}},e.prototype.add=function(t){var r;if(t&&t!==this)if(this.closed)k(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._finalizers=null!==(r=this._finalizers)&&void 0!==r?r:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&P(t,e)},e.prototype.remove=function(t){var r=this._finalizers;r&&P(r,t),t instanceof e&&t._removeParent(this)},e.EMPTY=((t=new e).closed=!0,t),e}();function k(e){A(e)?e():e.unsubscribe()}x.EMPTY;var F=null,D=null,j=!1,M=!1,V={setTimeout:function(e,t){for(var r=[],n=2;n<arguments.length;n++)r[n-2]=arguments[n];var o=V.delegate;return(null==o?void 0:o.setTimeout)?o.setTimeout.apply(o,(0,N.__spreadArray)([e,t],(0,N.__read)(r))):setTimeout.apply(void 0,(0,N.__spreadArray)([e,t],(0,N.__read)(r)))},clearTimeout:function(e){var t=V.delegate;return((null==t?void 0:t.clearTimeout)||clearTimeout)(e)},delegate:void 0};function U(){}var B=q("C",void 0,void 0);function q(e,t,r){return{kind:e,value:t,error:r}}var G=function(e){function t(t){var r,n=e.call(this)||this;return n.isStopped=!1,t?(n.destination=t,((r=t)instanceof x||r&&"closed"in r&&A(r.remove)&&A(r.add)&&A(r.unsubscribe))&&t.add(n)):n.destination=Q,n}return(0,N.__extends)(t,e),t.create=function(e,t,r){return new H(e,t,r)},t.prototype.next=function(e){this.isStopped?Y(function(e){return q("N",e,void 0)}(e),this):this._next(e)},t.prototype.error=function(e){this.isStopped?Y(q("E",void 0,e),this):(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped?Y(B,this):(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(x),K=Function.prototype.bind;function W(e,t){return K.call(e,t)}var z=function(){function e(e){this.partialObserver=e}return e.prototype.next=function(e){var t=this.partialObserver;if(t.next)try{t.next(e)}catch(e){$(e)}},e.prototype.error=function(e){var t=this.partialObserver;if(t.error)try{t.error(e)}catch(e){$(e)}else $(e)},e.prototype.complete=function(){var e=this.partialObserver;if(e.complete)try{e.complete()}catch(e){$(e)}},e}(),H=function(e){function t(t,r,n){var o,i,a=e.call(this)||this;return A(t)||!t?o={next:null!=t?t:void 0,error:null!=r?r:void 0,complete:null!=n?n:void 0}:a&&M?((i=Object.create(t)).unsubscribe=function(){return a.unsubscribe()},o={next:t.next&&W(t.next,i),error:t.error&&W(t.error,i),complete:t.complete&&W(t.complete,i)}):o=t,a.destination=new z(o),a}return(0,N.__extends)(t,e),t}(G);function $(e){j||function(e){V.setTimeout((function(){if(!F)throw e;F(e)}))}(e)}function Y(e,t){var r=D;r&&V.setTimeout((function(){return r(e,t)}))}var Q={closed:!0,next:U,error:function(e){throw e},complete:U},X=function(e){function t(t,r,n,o,i,a){var l=e.call(this,t)||this;return l.onFinalize=i,l.shouldUnsubscribe=a,l._next=r?function(e){try{r(e)}catch(e){t.error(e)}}:e.prototype._next,l._error=o?function(e){try{o(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,l._complete=n?function(){try{n()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,l}return(0,N.__extends)(t,e),t.prototype.unsubscribe=function(){var t;if(!this.shouldUnsubscribe||this.shouldUnsubscribe()){var r=this.closed;e.prototype.unsubscribe.call(this),!r&&(null===(t=this.onFinalize)||void 0===t||t.call(this))}},t}(G);function J(e,t){return r=function(r,n){var o=0;r.subscribe(new X(n,(function(r){n.next(e.call(t,r,o++))}),void 0,void 0,void 0))},function(e){if(function(e){return A(null==e?void 0:e.lift)}(e))return e.lift((function(e){try{return r(e,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")};var r}var Z=(e=>(e[e.Comparison=0]="Comparison",e[e.Logical=1]="Logical",e))(Z||{}),ee=(e=>(e[e.Value=0]="Value",e[e.Filter=1]="Filter",e[e.Group=2]="Group",e[e.Column=3]="Column",e[e.Table=4]="Table",e))(ee||{}),te=(e=>(e.Parenthesis="delimiter.parenthesis.sql",e.Whitespace="white.sql",e.Keyword="keyword.sql",e.Delimiter="delimiter.sql",e.Operator="operator.sql",e.Identifier="identifier.sql",e.IdentifierQuote="identifier.quote.sql",e.Type="type.sql",e.Function="predefined.sql",e.Number="number.sql",e.String="string.sql",e.Variable="variable.sql",e))(te||{}),re=(e=>(e.Unknown="unknown",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.AfterSelectKeyword="afterSelectKeyword",e.AfterSelectArguments="afterSelectArguments",e.AfterSelectFuncFirstArgument="afterSelectFuncFirstArgument",e.SelectAlias="selectAlias",e.AfterFromKeyword="afterFromKeyword",e.AfterTable="afterTable",e.SchemaFuncFirstArgument="schemaFuncFirstArgument",e.SchemaFuncExtraArgument="schemaFuncExtraArgument",e.FromKeyword="fromKeyword",e.AfterFrom="afterFrom",e.WhereKeyword="whereKeyword",e.WhereComparisonOperator="whereComparisonOperator",e.WhereValue="whereValue",e.AfterWhereFunctionArgument="afterWhereFunctionArgument",e.AfterGroupByFunctionArgument="afterGroupByFunctionArgument",e.AfterWhereValue="afterWhereValue",e.AfterGroupByKeywords="afterGroupByKeywords",e.AfterGroupBy="afterGroupBy",e.AfterOrderByKeywords="afterOrderByKeywords",e.AfterOrderByFunction="afterOrderByFunction",e.AfterOrderByDirection="afterOrderByDirection",e.AfterIsOperator="afterIsOperator",e.AfterIsNotOperator="afterIsNotOperator",e.AfterSchema="afterSchema",e))(re||{}),ne=(e=>(e.Schemas="schemas",e.Tables="tables",e.Columns="columns",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.FunctionsWithArguments="functionsWithArguments",e.FromKeyword="fromKeyword",e.WhereKeyword="whereKeyword",e.GroupByKeywords="groupByKeywords",e.OrderByKeywords="orderByKeywords",e.FunctionsWithoutArguments="functionsWithoutArguments",e.LimitKeyword="limitKeyword",e.SortOrderDirectionKeyword="sortOrderDirectionKeyword",e.ComparisonOperators="comparisonOperators",e.LogicalOperators="logicalOperators",e.SelectMacro="selectMacro",e.TableMacro="tableMacro",e.FilterMacro="filterMacro",e.GroupMacro="groupMacro",e.BoolValues="boolValues",e.NullValue="nullValue",e.NotKeyword="notKeyword",e.TemplateVariables="templateVariables",e.StarWildCard="starWildCard",e))(ne||{}),oe=(e=>(e.High="a",e.MediumHigh="d",e.Medium="g",e.MediumLow="k",e.Low="q",e))(oe||{}),ie=(e=>(e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet",e))(ie||{}),ae=(e=>(e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet",e))(ae||{}),le=(e=>(e.Builder="builder",e.Code="code",e))(le||{}),se=p(8531),ue=p(3241);class ce{transformMetricFindResponse(e){const t=[],r=e.fields.find((e=>"__text"===e.name)),n=e.fields.find((e=>"__value"===e.name));if(r&&n)for(let e=0;e<r.values.length;e++)t.push({text:""+r.values[e],value:""+n.values[e]});else for(const r of e.fields)for(const e of r.values)t.push({text:e});return(0,ue.uniqBy)(t,"text")}}var de=p(5959),pe=p.n(de);function fe(){var e=(0,de.useRef)(!1),t=(0,de.useCallback)((function(){return e.current}),[]);return(0,de.useEffect)((function(){return e.current=!0,function(){e.current=!1}}),[]),t}function he(e,t,r){void 0===t&&(t=[]),void 0===r&&(r={loading:!1});var n=(0,de.useRef)(0),o=fe(),i=(0,de.useState)(r),a=i[0],l=i[1],s=(0,de.useCallback)((function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];var i=++n.current;return a.loading||l((function(e){return(0,N.__assign)((0,N.__assign)({},e),{loading:!0})})),e.apply(void 0,t).then((function(e){return o()&&i===n.current&&l({value:e,loading:!1}),e}),(function(e){return o()&&i===n.current&&l({error:e,loading:!1}),e}))}),t);return[a,s]}function ge(e,t){void 0===t&&(t=[]);var r=he(e,t,{loading:!0}),n=r[0],o=r[1];return(0,de.useEffect)((function(){o()}),[o]),n}var ve,ye,me=p(2007);!function(e){e.String="string"}(ve||(ve={})),function(e){e.Property="property",e.Operator="operator",e.Or="or",e.And="and",e.GroupBy="groupBy",e.Function="function",e.FunctionParameter="functionParameter"}(ye||(ye={}));const be=e=>{if(!e)return!1;const t=e.some((e=>{var t,r;return(null===(t=e.parameters)||void 0===t?void 0:t.length)||(null===(r=e.parameters)||void 0===r?void 0:r.some((e=>e.name)))})),r=e.some((e=>e.name));return t||r};function Ee(e){return{type:ye.GroupBy,property:{type:ve.String,name:e}}}function Oe(e){return{type:ye.Function,name:e,parameters:[]}}function Se(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Te(e){let t=(null==e?void 0:e.editorMode)||le.Builder;var r;void 0===(null==e?void 0:e.editorMode)&&void 0!==(null==e?void 0:e.rawSql)&&(t=le.Code);const n=(o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Se(e,t,r[t])}))}return e}({},e),i=null!=(i={refId:(null==e?void 0:e.refId)||"A",format:void 0!==(null==e?void 0:e.format)?e.format:S.Table,rawSql:(null==e?void 0:e.rawSql)||"",editorMode:t,sql:null!==(r=null==e?void 0:e.sql)&&void 0!==r?r:{columns:[Oe()],groupBy:[Ee()],limit:50}})?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o);var o,i;return n}var _e=p(4221),we=p.n(_e);const Re=function(){var e=fe(),t=function(e){void 0===e&&(e={});var t=(0,de.useState)(e),r=t[0],n=t[1];return[r,(0,de.useCallback)((function(e){n((function(t){return Object.assign({},t,e instanceof Function?e(t):e)}))}),[])]}({value:void 0,error:void 0,noUserInteraction:!0}),r=t[0],n=t[1];return[r,(0,de.useCallback)((function(t){var r,o;if(e())try{if("string"!=typeof t&&"number"!=typeof t){var i=new Error("Cannot copy typeof "+typeof t+" to clipboard, must be a string");return void n({value:t,error:i,noUserInteraction:!0})}if(""===t)return i=new Error("Cannot copy empty string to clipboard."),void n({value:t,error:i,noUserInteraction:!0});o=t.toString(),r=we()(o),n({value:o,error:void 0,noUserInteraction:r})}catch(i){n({value:o,error:i,noUserInteraction:r})}}),[])]},Ae={RadioButton:{container:"data-testid radio-button"},Breadcrumbs:{breadcrumb:e=>`data-testid ${e} breadcrumb`},TimePicker:{openButton:"data-testid TimePicker Open Button",overlayContent:"data-testid TimePicker Overlay Content",fromField:"data-testid Time Range from field",toField:"data-testid Time Range to field",applyTimeRange:"data-testid TimePicker submit button",copyTimeRange:"data-testid TimePicker copy button",pasteTimeRange:"data-testid TimePicker paste button",calendar:{label:"data-testid Time Range calendar",openButton:"data-testid Open time range calendar",closeButton:"data-testid Close time range Calendar"},absoluteTimeRangeTitle:"data-testid-absolute-time-range-narrow"},DataSourcePermissions:{form:()=>'form[name="addPermission"]',roleType:"Role to add new permission to",rolePicker:"Built-in role picker",permissionLevel:"Permission Level"},DateTimePicker:{input:"data-testid date-time-input"},DataSource:{TestData:{QueryTab:{scenarioSelectContainer:"Test Data Query scenario select container",scenarioSelect:"Test Data Query scenario select",max:"TestData max",min:"TestData min",noise:"TestData noise",seriesCount:"TestData series count",spread:"TestData spread",startValue:"TestData start value",drop:"TestData drop values"}},DataSourceHttpSettings:{urlInput:"data-testid Datasource HTTP settings url"},Jaeger:{traceIDInput:"Trace ID"},Prometheus:{configPage:{connectionSettings:"Data source connection URL",manageAlerts:"prometheus-alerts-manager",scrapeInterval:"data-testid scrape interval",queryTimeout:"data-testid query timeout",defaultEditor:"data-testid default editor",disableMetricLookup:"disable-metric-lookup",prometheusType:"data-testid prometheus type",prometheusVersion:"data-testid prometheus version",cacheLevel:"data-testid cache level",incrementalQuerying:"prometheus-incremental-querying",queryOverlapWindow:"data-testid query overlap window",disableRecordingRules:"disable-recording-rules",customQueryParameters:"data-testid custom query parameters",httpMethod:"data-testid http method",exemplarsAddButton:"data-testid Add exemplar config button",internalLinkSwitch:"data-testid Internal link switch",codeModeMetricNamesSuggestionLimit:"data-testid code mode metric names suggestion limit"},queryEditor:{explain:"data-testid prometheus explain switch wrapper",editorToggle:"data-testid QueryEditorModeToggle",options:"data-testid prometheus options",legend:"data-testid prometheus legend wrapper",format:"data-testid prometheus format",step:"prometheus-step",type:"data-testid prometheus type",exemplars:"prometheus-exemplars",builder:{metricSelect:"data-testid metric select",hints:"data-testid prometheus hints",metricsExplorer:"data-testid metrics explorer",queryAdvisor:"data-testid query advisor"},code:{queryField:"data-testid prometheus query field",metricsCountInfo:"data-testid metrics count disclaimer",metricsBrowser:{openButton:"data-testid open metrics browser",selectMetric:"data-testid select a metric",metricList:"data-testid metric list",labelNamesFilter:"data-testid label names filter",labelValuesFilter:"data-testid label values filter",useQuery:"data-testid use query",useAsRateQuery:"data-testid use as rate query",validateSelector:"data-testid validate selector",clear:"data-testid clear"}}},exemplarMarker:"data-testid Exemplar marker",variableQueryEditor:{queryType:"data-testid query type",labelnames:{metricRegex:"data-testid label names metric regex"},labelValues:{labelSelect:"data-testid label values label select"},metricNames:{metricRegex:"data-testid metric names metric regex"},varQueryResult:"data-testid variable query result",seriesQuery:"data-testid prometheus series query",classicQuery:"data-testid prometheus classic query"},annotations:{minStep:"prometheus-annotation-min-step",title:"data-testid prometheus annotation title",tags:"data-testid prometheus annotation tags",text:"data-testid prometheus annotation text",seriesValueAsTimestamp:"data-testid prometheus annotation series value as timestamp"}}},Menu:{MenuComponent:e=>`${e} menu`,MenuGroup:e=>`${e} menu group`,MenuItem:e=>`${e} menu item`,SubMenu:{container:"data-testid SubMenu container",icon:"data-testid SubMenu icon"}},Panels:{Panel:{title:e=>`data-testid Panel header ${e}`,content:"data-testid panel content",headerItems:e=>`data-testid Panel header item ${e}`,menuItems:e=>`data-testid Panel menu item ${e}`,menu:e=>`data-testid Panel menu ${e}`,containerByTitle:e=>`${e} panel`,headerCornerInfo:e=>`Panel header ${e}`,status:e=>`data-testid Panel status ${e}`,loadingBar:()=>"Panel loading bar",HoverWidget:{container:"data-testid hover-header-container",dragIcon:"data-testid drag-icon"},PanelDataErrorMessage:"data-testid Panel data error message"},Visualization:{Graph:{container:"Graph container",VisualizationTab:{legendSection:"Legend section"},Legend:{legendItemAlias:e=>`gpl alias ${e}`,showLegendSwitch:"gpl show legend"},xAxis:{labels:()=>"div.flot-x-axis > div.flot-tick-label"}},BarGauge:{value:"Bar gauge value",valueV2:"data-testid Bar gauge value"},PieChart:{svgSlice:"data testid Pie Chart Slice"},Text:{container:()=>".markdown-html"},Table:{header:"table header",footer:"table-footer",body:"data-testid table body"}}},VizLegend:{seriesName:e=>`data-testid VizLegend series ${e}`},Drawer:{General:{title:e=>`Drawer title ${e}`,expand:"Drawer expand",contract:"Drawer contract",close:"data-testid Drawer close",rcContentWrapper:()=>".rc-drawer-content-wrapper",subtitle:"data-testid drawer subtitle"},DashboardSaveDrawer:{saveButton:"data-testid Save dashboard drawer button",saveAsButton:"data-testid Save as dashboard drawer button",saveAsTitleInput:"Save dashboard title field"}},PanelEditor:{General:{content:"data-testid Panel editor content"},OptionsPane:{content:"data-testid Panel editor option pane content",select:"Panel editor option pane select",fieldLabel:e=>`${e} field property editor`,fieldInput:e=>`data-testid Panel editor option pane field input ${e}`},DataPane:{content:"data-testid Panel editor data pane content"},applyButton:"data-testid Apply changes and go back to dashboard",toggleVizPicker:"data-testid toggle-viz-picker",toggleVizOptions:"data-testid toggle-viz-options",toggleTableView:"data-testid toggle-table-view",showZoomField:"Map controls Show zoom control field property editor",showAttributionField:"Map controls Show attribution field property editor",showScaleField:"Map controls Show scale field property editor",showMeasureField:"Map controls Show measure tools field property editor",showDebugField:"Map controls Show debug field property editor",measureButton:"show measure tools"},PanelInspector:{Data:{content:"Panel inspector Data content"},Stats:{content:"Panel inspector Stats content"},Json:{content:"data-testid Panel inspector Json content"},Query:{content:"Panel inspector Query content",refreshButton:"Panel inspector Query refresh button",jsonObjectKeys:()=>".json-formatter-key"}},Tab:{title:e=>`Tab ${e}`,active:()=>'[class*="-activeTabStyle"]'},RefreshPicker:{runButton:"RefreshPicker run button",intervalButton:"RefreshPicker interval button",runButtonV2:"data-testid RefreshPicker run button",intervalButtonV2:"data-testid RefreshPicker interval button"},QueryTab:{content:"Query editor tab content",queryInspectorButton:"Query inspector button",queryHistoryButton:"data-testid query-history-button",addQuery:"data-testid query-tab-add-query",queryGroupTopSection:"data-testid query group top section",addExpression:"data-testid query-tab-add-expression"},QueryHistory:{queryText:"Query text"},QueryEditorRows:{rows:"Query editor row"},QueryEditorRow:{actionButton:e=>`data-testid ${e}`,title:e=>`Query editor row title ${e}`,container:e=>`Query editor row ${e}`},AlertTab:{content:"data-testid Alert editor tab content"},AlertRules:{groupToggle:"data-testid group-collapse-toggle",toggle:"data-testid collapse-toggle",expandedContent:"data-testid expanded-content",previewButton:"data-testid alert-rule preview-button",ruleNameField:"data-testid alert-rule name-field",newFolderButton:"data-testid alert-rule new-folder-button",newFolderNameField:"data-testid alert-rule name-folder-name-field",newFolderNameCreateButton:"data-testid alert-rule name-folder-name-create-button",newEvaluationGroupButton:"data-testid alert-rule new-evaluation-group-button",newEvaluationGroupName:"data-testid alert-rule new-evaluation-group-name",newEvaluationGroupInterval:"data-testid alert-rule new-evaluation-group-interval",newEvaluationGroupCreate:"data-testid alert-rule new-evaluation-group-create-button"},Alert:{alert:e=>`Alert ${e}`,alertV2:e=>`data-testid Alert ${e}`},TransformTab:{content:"data-testid Transform editor tab content",newTransform:e=>`data-testid New transform ${e}`,transformationEditor:e=>`data-testid Transformation editor ${e}`,transformationEditorDebugger:e=>`data-testid Transformation editor debugger ${e}`},Transforms:{card:e=>`data-testid New transform ${e}`,disableTransformationButton:"data-testid Disable transformation button",Reduce:{modeLabel:"data-testid Transform mode label",calculationsLabel:"data-testid Transform calculations label"},SpatialOperations:{actionLabel:"root Action field property editor",locationLabel:"root Location Mode field property editor",location:{autoOption:"Auto location option",coords:{option:"Coords location option",latitudeFieldLabel:"root Latitude field field property editor",longitudeFieldLabel:"root Longitude field field property editor"},geohash:{option:"Geohash location option",geohashFieldLabel:"root Geohash field field property editor"},lookup:{option:"Lookup location option",lookupFieldLabel:"root Lookup field field property editor",gazetteerFieldLabel:"root Gazetteer field property editor"}}},searchInput:"data-testid search transformations",noTransformationsMessage:"data-testid no transformations message",addTransformationButton:"data-testid add transformation button",removeAllTransformationsButton:"data-testid remove all transformations button"},NavBar:{Configuration:{button:"Configuration"},Toggle:{button:"data-testid Toggle menu"},Reporting:{button:"Reporting"}},NavMenu:{Menu:"data-testid navigation mega-menu",item:"data-testid Nav menu item"},NavToolbar:{container:"data-testid Nav toolbar",shareDashboard:"data-testid Share dashboard",markAsFavorite:"data-testid Mark as favorite",editDashboard:{editButton:"data-testid Edit dashboard button",saveButton:"data-testid Save dashboard button",exitButton:"data-testid Exit edit mode button",settingsButton:"data-testid Dashboard settings",addRowButton:"data-testid Add row button",addLibraryPanelButton:"data-testid Add a panel from the panel library button",addVisualizationButton:"data-testid Add new visualization menu item",pastePanelButton:"data-testid Paste panel button",discardChangesButton:"data-testid Discard changes button",discardLibraryPanelButton:"data-testid Discard library panel button",unlinkLibraryPanelButton:"data-testid Unlink library panel button",saveLibraryPanelButton:"data-testid Save library panel button",backToDashboardButton:"data-testid Back to dashboard button"}},PageToolbar:{container:()=>".page-toolbar",item:e=>`${e}`,itemButton:e=>`data-testid ${e}`},QueryEditorToolbarItem:{button:e=>`QueryEditor toolbar item button ${e}`},BackButton:{backArrow:"data-testid Go Back"},OptionsGroup:{group:e=>e?`data-testid Options group ${e}`:"data-testid Options group",toggle:e=>e?`data-testid Options group ${e} toggle`:"data-testid Options group toggle"},PluginVisualization:{item:e=>`Plugin visualization item ${e}`,current:()=>'[class*="-currentVisualizationItem"]'},Select:{option:"data-testid Select option",input:()=>'input[id*="time-options-input"]',singleValue:()=>'div[class*="-singleValue"]'},FieldConfigEditor:{content:"Field config editor content"},OverridesConfigEditor:{content:"Field overrides editor content"},FolderPicker:{container:"Folder picker select container",containerV2:"data-testid Folder picker select container",input:"data-testid folder-picker-input"},ReadonlyFolderPicker:{container:"data-testid Readonly folder picker select container"},DataSourcePicker:{container:"data-testid Data source picker select container",input:()=>'input[id="data-source-picker"]',inputV2:"data-testid Select a data source",dataSourceList:"data-testid Data source list dropdown",advancedModal:{dataSourceList:"data-testid Data source list",builtInDataSourceList:"data-testid Built in data source list"}},TimeZonePicker:{container:"Time zone picker select container",containerV2:"data-testid Time zone picker select container",changeTimeSettingsButton:"data-testid Time zone picker Change time settings button"},WeekStartPicker:{container:"Choose starting day of the week",containerV2:"data-testid Choose starting day of the week",placeholder:"Choose starting day of the week"},TraceViewer:{spanBar:"data-testid SpanBar--wrapper"},QueryField:{container:"data-testid Query field"},QueryBuilder:{queryPatterns:"data-testid Query patterns",labelSelect:"data-testid Select label",inputSelect:"data-testid Select label-input",valueSelect:"data-testid Select value",matchOperatorSelect:"data-testid Select match operator"},ValuePicker:{button:e=>`data-testid Value picker button ${e}`,select:e=>`data-testid Value picker select ${e}`},Search:{section:"Search section",sectionV2:"data-testid Search section",items:"Search items",itemsV2:"data-testid Search items",cards:"data-testid Search cards",collapseFolder:e=>`data-testid Collapse folder ${e}`,expandFolder:e=>`data-testid Expand folder ${e}`,dashboardItem:e=>`${Ae.Search.dashboardItems} ${e}`,dashboardCard:e=>`data-testid Search card ${e}`,folderHeader:e=>`data-testid Folder header ${e}`,folderContent:e=>`data-testid Folder content ${e}`,dashboardItems:"data-testid Dashboard search item"},DashboardLinks:{container:"data-testid Dashboard link container",dropDown:"data-testid Dashboard link dropdown",link:"data-testid Dashboard link"},LoadingIndicator:{icon:"data-testid Loading indicator"},CallToActionCard:{button:e=>`Call to action button ${e}`,buttonV2:e=>`data-testid Call to action button ${e}`},DataLinksContextMenu:{singleLink:"data-testid Data link"},CodeEditor:{container:"data-testid Code editor container"},ReactMonacoEditor:{editorLazy:"data-testid ReactMonacoEditor editorLazy"},DashboardImportPage:{textarea:"data-testid-import-dashboard-textarea",submit:"data-testid-load-dashboard"},ImportDashboardForm:{name:"data-testid-import-dashboard-title",submit:"data-testid-import-dashboard-submit"},PanelAlertTabContent:{content:"data-testid Unified alert editor tab content"},VisualizationPreview:{card:e=>`data-testid suggestion-${e}`},ColorSwatch:{name:"data-testid-colorswatch"},DashboardRow:{title:e=>`data-testid dashboard-row-title-${e}`},UserProfile:{profileSaveButton:"data-testid-user-profile-save",preferencesSaveButton:"data-testid-shared-prefs-save",orgsTable:"data-testid-user-orgs-table",sessionsTable:"data-testid-user-sessions-table",extensionPointTabs:"data-testid-extension-point-tabs",extensionPointTab:e=>`data-testid-extension-point-tab-${e}`},FileUpload:{inputField:"data-testid-file-upload-input-field",fileNameSpan:"data-testid-file-upload-file-name"},DebugOverlay:{wrapper:"debug-overlay"},OrgRolePicker:{input:"Role"},AnalyticsToolbarButton:{button:"Dashboard insights"},Variables:{variableOption:"data-testid variable-option"},Annotations:{annotationsTypeInput:"data-testid annotations-type-input",annotationsChoosePanelInput:"data-testid choose-panels-input",editor:{testButton:"data-testid annotations-test-button",resultContainer:"data-testid annotations-query-result-container"}},Tooltip:{container:"data-testid tooltip"},ReturnToPrevious:{buttonGroup:"data-testid dismissable button group",backButton:"data-testid back",dismissButton:"data-testid dismiss"},SQLQueryEditor:{selectColumn:"data-testid select-column",selectAggregation:"data-testid select-aggregation",selectAlias:"data-testid select-alias",filterConjunction:"data-testid filter-conjunction",filterField:"data-testid filter-field",filterOperator:"data-testid filter-operator",headerTableSelector:"data-testid header-table-selector",headerFilterSwitch:"data-testid header-filter-switch",headerGroupSwitch:"data-testid header-group-switch",headerOrderSwitch:"data-testid header-order-switch",headerPreviewSwitch:"data-testid header-preview-switch"}},Ie={pages:{Login:{url:"/login",username:"data-testid Username input field",password:"data-testid Password input field",submit:"data-testid Login button",skip:"data-testid Skip change password button"},Home:{url:"/"},DataSource:{name:"data-testid Data source settings page name input field",delete:"Data source settings page Delete button",readOnly:"data-testid Data source settings page read only message",saveAndTest:"data-testid Data source settings page Save and Test button",alert:"data-testid Data source settings page Alert"},DataSources:{url:"/datasources",dataSources:e=>`Data source list item ${e}`},EditDataSource:{url:e=>`/datasources/edit/${e}`,settings:"Datasource settings page basic settings"},AddDataSource:{url:"/datasources/new",dataSourcePlugins:e=>`Data source plugin item ${e}`,dataSourcePluginsV2:e=>`Add new data source ${e}`},ConfirmModal:{delete:"data-testid Confirm Modal Danger Button"},AddDashboard:{url:"/dashboard/new",itemButton:e=>`data-testid ${e}`,addNewPanel:"data-testid Add new panel",addNewRow:"data-testid Add new row",addNewPanelLibrary:"data-testid Add new panel from panel library"},Dashboard:{url:e=>`/d/${e}`,DashNav:{nav:"Dashboard navigation",navV2:"data-testid Dashboard navigation",publicDashboardTag:"data-testid public dashboard tag",shareButton:"data-testid share-button",scrollContainer:"data-testid Dashboard canvas scroll container",newShareButton:{container:"data-testid new share button",shareLink:"data-testid new share link-button",arrowMenu:"data-testid new share button arrow menu",menu:{container:"data-testid new share button menu",shareInternally:"data-testid new share button share internally"}},playlistControls:{prev:"data-testid playlist previous dashboard button",stop:"data-testid playlist stop dashboard button",next:"data-testid playlist next dashboard button"}},Controls:"data-testid dashboard controls",SubMenu:{submenu:"Dashboard submenu",submenuItem:"data-testid template variable",submenuItemLabels:e=>`data-testid Dashboard template variables submenu Label ${e}`,submenuItemValueDropDownValueLinkTexts:e=>`data-testid Dashboard template variables Variable Value DropDown value link text ${e}`,submenuItemValueDropDownDropDown:"Variable options",submenuItemValueDropDownOptionTexts:e=>`data-testid Dashboard template variables Variable Value DropDown option text ${e}`,Annotations:{annotationsWrapper:"data-testid annotation-wrapper",annotationLabel:e=>`data-testid Dashboard annotations submenu Label ${e}`,annotationToggle:e=>`data-testid Dashboard annotations submenu Toggle ${e}`}},Settings:{Actions:{close:"data-testid dashboard-settings-close"},General:{deleteDashBoard:"data-testid Dashboard settings page delete dashboard button",sectionItems:e=>`Dashboard settings section item ${e}`,saveDashBoard:"Dashboard settings aside actions Save button",saveAsDashBoard:"Dashboard settings aside actions Save As button",timezone:"Time zone picker select container",title:"Tab General"},Annotations:{List:{addAnnotationCTA:Ae.CallToActionCard.button("Add annotation query"),addAnnotationCTAV2:Ae.CallToActionCard.buttonV2("Add annotation query"),annotations:"data-testid list-annotations"},Settings:{name:"data-testid Annotations settings name input"},NewAnnotation:{panelFilterSelect:"data-testid annotations-panel-filter",showInLabel:"data-testid show-in-label",previewInDashboard:"data-testid annotations-preview",delete:"data-testid annotations-delete",apply:"data-testid annotations-apply",enable:"data-testid annotation-enable",hide:"data-testid annotation-hide"}},Variables:{List:{addVariableCTA:Ae.CallToActionCard.button("Add variable"),addVariableCTAV2:Ae.CallToActionCard.buttonV2("Add variable"),newButton:"Variable editor New variable button",table:"Variable editor Table",tableRowNameFields:e=>`Variable editor Table Name field ${e}`,tableRowDefinitionFields:e=>`Variable editor Table Definition field ${e}`,tableRowArrowUpButtons:e=>`Variable editor Table ArrowUp button ${e}`,tableRowArrowDownButtons:e=>`Variable editor Table ArrowDown button ${e}`,tableRowDuplicateButtons:e=>`Variable editor Table Duplicate button ${e}`,tableRowRemoveButtons:e=>`Variable editor Table Remove button ${e}`},Edit:{General:{headerLink:"Variable editor Header link",modeLabelNew:"Variable editor Header mode New",modeLabelEdit:"Variable editor Header mode Edit",generalNameInput:"Variable editor Form Name field",generalNameInputV2:"data-testid Variable editor Form Name field",generalTypeSelect:"Variable editor Form Type select",generalTypeSelectV2:"data-testid Variable editor Form Type select",generalLabelInput:"Variable editor Form Label field",generalLabelInputV2:"data-testid Variable editor Form Label field",generalHideSelect:"Variable editor Form Hide select",generalHideSelectV2:"data-testid Variable editor Form Hide select",selectionOptionsMultiSwitch:"data-testid Variable editor Form Multi switch",selectionOptionsIncludeAllSwitch:"data-testid Variable editor Form IncludeAll switch",selectionOptionsCustomAllInput:"data-testid Variable editor Form IncludeAll field",previewOfValuesOption:"data-testid Variable editor Preview of Values option",submitButton:"data-testid Variable editor Run Query button",applyButton:"data-testid Variable editor Apply button"},QueryVariable:{queryOptionsDataSourceSelect:Ae.DataSourcePicker.inputV2,queryOptionsRefreshSelect:"Variable editor Form Query Refresh select",queryOptionsRefreshSelectV2:"data-testid Variable editor Form Query Refresh select",queryOptionsRegExInput:"Variable editor Form Query RegEx field",queryOptionsRegExInputV2:"data-testid Variable editor Form Query RegEx field",queryOptionsSortSelect:"Variable editor Form Query Sort select",queryOptionsSortSelectV2:"data-testid Variable editor Form Query Sort select",queryOptionsQueryInput:"data-testid Variable editor Form Default Variable Query Editor textarea",valueGroupsTagsEnabledSwitch:"Variable editor Form Query UseTags switch",valueGroupsTagsTagsQueryInput:"Variable editor Form Query TagsQuery field",valueGroupsTagsTagsValuesQueryInput:"Variable editor Form Query TagsValuesQuery field"},ConstantVariable:{constantOptionsQueryInput:"Variable editor Form Constant Query field",constantOptionsQueryInputV2:"data-testid Variable editor Form Constant Query field"},DatasourceVariable:{datasourceSelect:"data-testid datasource variable datasource type"},TextBoxVariable:{textBoxOptionsQueryInput:"Variable editor Form TextBox Query field",textBoxOptionsQueryInputV2:"data-testid Variable editor Form TextBox Query field"},CustomVariable:{customValueInput:"data-testid custom-variable-input"},IntervalVariable:{intervalsValueInput:"data-testid interval variable intervals input",autoEnabledCheckbox:"data-testid interval variable auto value checkbox",stepCountIntervalSelect:"data-testid interval variable step count input",minIntervalInput:"data-testid interval variable mininum interval input"},GroupByVariable:{dataSourceSelect:Ae.DataSourcePicker.inputV2,infoText:"data-testid group by variable info text",modeToggle:"data-testid group by variable mode toggle"},AdHocFiltersVariable:{datasourceSelect:Ae.DataSourcePicker.inputV2,infoText:"data-testid ad-hoc filters variable info text",modeToggle:"data-testid ad-hoc filters variable mode toggle"}}}},Annotations:{marker:"data-testid annotation-marker"},Rows:{Repeated:{ConfigSection:{warningMessage:"data-testid Repeated rows warning message"}}}},Dashboards:{url:"/dashboards",dashboards:e=>`Dashboard search item ${e}`},SaveDashboardAsModal:{newName:"Save dashboard title field",save:"Save dashboard button"},SaveDashboardModal:{save:"Dashboard settings Save Dashboard Modal Save button",saveVariables:"Dashboard settings Save Dashboard Modal Save variables checkbox",saveTimerange:"Dashboard settings Save Dashboard Modal Save timerange checkbox",saveRefresh:"Dashboard settings Save Dashboard Modal Save refresh checkbox"},SharePanelModal:{linkToRenderedImage:"Link to rendered image"},ShareDashboardModal:{PublicDashboard:{Tab:"Tab Public dashboard",WillBePublicCheckbox:"data-testid public dashboard will be public checkbox",LimitedDSCheckbox:"data-testid public dashboard limited datasources checkbox",CostIncreaseCheckbox:"data-testid public dashboard cost may increase checkbox",PauseSwitch:"data-testid public dashboard pause switch",EnableAnnotationsSwitch:"data-testid public dashboard on off switch for annotations",CreateButton:"data-testid public dashboard create button",DeleteButton:"data-testid public dashboard delete button",CopyUrlInput:"data-testid public dashboard copy url input",CopyUrlButton:"data-testid public dashboard copy url button",SettingsDropdown:"data-testid public dashboard settings dropdown",TemplateVariablesWarningAlert:"data-testid public dashboard disabled template variables alert",UnsupportedDataSourcesWarningAlert:"data-testid public dashboard unsupported data sources alert",NoUpsertPermissionsWarningAlert:"data-testid public dashboard no upsert permissions alert",EnableTimeRangeSwitch:"data-testid public dashboard on off switch for time range",EmailSharingConfiguration:{Container:"data-testid email sharing config container",ShareType:"data-testid public dashboard share type",EmailSharingInput:"data-testid public dashboard email sharing input",EmailSharingInviteButton:"data-testid public dashboard email sharing invite button",EmailSharingList:"data-testid public dashboard email sharing list",DeleteEmail:"data-testid public dashboard delete email button",ReshareLink:"data-testid public dashboard reshare link button"}},PublicDashboardScene:{Tab:"Tab Public Dashboard"},SnapshotScene:{url:e=>`/dashboard/snapshot/${e}`,Tab:"Tab Snapshot",PublishSnapshot:"data-testid publish snapshot button",CopyUrlButton:"data-testid snapshot copy url button",CopyUrlInput:"data-testid snapshot copy url input"}},PublicDashboard:{page:"public-dashboard-page",NotAvailable:{container:"public-dashboard-not-available",title:"public-dashboard-title",pausedDescription:"public-dashboard-paused-description"},footer:"public-dashboard-footer"},PublicDashboardScene:{loadingPage:"public-dashboard-scene-loading-page",page:"public-dashboard-scene-page",controls:"public-dashboard-controls"},RequestViewAccess:{form:"request-view-access-form",recipientInput:"request-view-access-recipient-input",submitButton:"request-view-access-submit-button"},PublicDashboardConfirmAccess:{submitButton:"data-testid confirm-access-submit-button"},Explore:{url:"/explore",General:{container:"data-testid Explore",graph:"Explore Graph",table:"Explore Table",scrollView:"data-testid explorer scroll view"},QueryHistory:{container:"data-testid QueryHistory"}},SoloPanel:{url:e=>`/d-solo/${e}`},PluginsList:{page:"Plugins list page",list:"Plugins list",listItem:"Plugins list item",signatureErrorNotice:"data-testid Unsigned plugins notice"},PluginPage:{page:"Plugin page",signatureInfo:"data-testid Plugin signature info",disabledInfo:"data-testid Plugin disabled info"},PlaylistForm:{name:"Playlist name",interval:"Playlist interval",itemDelete:"data-testid playlist-form-delete-item"},BrowseDashboards:{table:{body:"data-testid browse-dashboards-table",row:e=>`data-testid browse dashboards row ${e}`,checkbox:e=>`data-testid ${e} checkbox`},NewFolderForm:{form:"data-testid new folder form",nameInput:"data-testid new-folder-name-input",createButton:"data-testid new-folder-create-button"}},Search:{url:"/?search=openn",FolderView:{url:"/?search=open&layout=folders"}},PublicDashboards:{ListItem:{linkButton:"public-dashboard-link-button",configButton:"public-dashboard-configuration-button",trashcanButton:"public-dashboard-remove-button",pauseSwitch:"data-testid public dashboard pause switch"}},UserListPage:{tabs:{allUsers:"data-testid all-users-tab",orgUsers:"data-testid org-users-tab",anonUserDevices:"data-testid anon-user-devices-tab",publicDashboardsUsers:"data-testid public-dashboards-users-tab",users:"data-testid users-tab"},org:{url:"/org/users"},admin:{url:"/admin/users"},publicDashboards:{container:"data-testid public-dashboards-users-list"},UserListAdminPage:{container:"data-testid user-list-admin-page"},UsersListPage:{container:"data-testid users-list-page"},UserAnonListPage:{container:"data-testid user-anon-list-page"},UsersListPublicDashboardsPage:{container:"data-testid users-list-public-dashboards-page",DashboardsListModal:{listItem:e=>`data-testid dashboards-list-item-${e}`}}},ProfilePage:{url:"/profile"}},components:Ae};var Ce=p(6089);const Ne=({children:e})=>{const t=(0,me.useStyles2)(Le);return pe().createElement("div",{className:t.root},e)},Le=e=>({root:(0,Ce.css)({display:"flex",flexWrap:"wrap",alignItems:"center",gap:e.spacing(3),minHeight:e.spacing(4)})});var Pe=Object.defineProperty,xe=Object.defineProperties,ke=Object.getOwnPropertyDescriptors,Fe=Object.getOwnPropertySymbols,De=Object.prototype.hasOwnProperty,je=Object.prototype.propertyIsEnumerable,Me=(e,t,r)=>t in e?Pe(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Ve=(e,t)=>{for(var r in t||(t={}))De.call(t,r)&&Me(e,r,t[r]);if(Fe)for(var r of Fe(t))je.call(t,r)&&Me(e,r,t[r]);return e},Ue=(e,t)=>xe(e,ke(t)),Be=(e,t)=>{var r={};for(var n in e)De.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&Fe)for(var n of Fe(e))t.indexOf(n)<0&&je.call(e,n)&&(r[n]=e[n]);return r};function qe(e){var t=e,{label:r}=t,n=Be(t,["label"]);const o=(0,me.useStyles2)(We),[i]=(0,de.useState)((()=>Math.random().toString(16).slice(2))),a={SelectContainer:Ge,ValueContainer:Ke,SingleValue:Ke};return pe().createElement("div",{className:o.root},r&&pe().createElement("label",{className:o.label,htmlFor:i},r,":"," "),pe().createElement(me.Select,Ue(Ve({openMenuOnFocus:!0,inputId:i},n),{components:a})))}const Ge=e=>{const{children:t}=e,r=(0,me.useStyles2)(We);return pe().createElement(me.SelectContainer,Ue(Ve({},e),{className:(0,Ce.cx)(e.className,r.container)}),t)},Ke=e=>{const{className:t,children:r}=e,n=(0,me.useStyles2)(We);return pe().createElement("div",{className:(0,Ce.cx)(t,n.valueContainer)},r)},We=e=>({root:(0,Ce.css)({display:"flex",fontSize:12,alignItems:"center"}),label:(0,Ce.css)({color:e.colors.text.secondary,whiteSpace:"nowrap"}),container:(0,Ce.css)({background:"none",borderColor:"transparent"}),valueContainer:(0,Ce.css)({display:"flex",alignItems:"center",flex:"initial",color:e.colors.text.secondary,fontSize:12})}),ze=({grow:e,shrink:t})=>pe().createElement("div",{style:{display:"block",flexGrow:e,flexShrink:t}});var He=Object.getOwnPropertySymbols,$e=Object.prototype.hasOwnProperty,Ye=Object.prototype.propertyIsEnumerable;const Qe=e=>{var t=e,{children:r}=t,n=((e,t)=>{var r={};for(var n in e)$e.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&He)for(var n of He(e))t.indexOf(n)<0&&Ye.call(e,n)&&(r[n]=e[n]);return r})(t,["children"]);const o=(0,me.useStyles2)((0,de.useCallback)((e=>Xe(e,n)),[n]));return pe().createElement("div",{className:o.root},r)},Xe=(e,t)=>{var r,n,o;return{root:(0,Ce.css)({display:"flex",flexDirection:null!=(r=t.direction)?r:"row",flexWrap:null==(n=t.wrap)||n?"wrap":void 0,alignItems:t.alignItems,gap:e.spacing(null!=(o=t.gap)?o:2),flexGrow:t.flexGrow})}},Je=({children:e})=>{const t=(0,me.useStyles2)(Ze);return pe().createElement("div",{className:t.root},pe().createElement(Qe,{gap:2},e))},Ze=e=>({root:(0,Ce.css)({padding:e.spacing(1),backgroundColor:e.colors.background.secondary,borderRadius:e.shape.borderRadius(1)})}),et=({v:e=0,h:t=0,layout:r="block"})=>{const n=(0,me.useStyles2)((0,de.useCallback)((n=>tt(n,{v:e,h:t,layout:r})),[e,t,r]));return pe().createElement("span",{className:(0,Ce.cx)(n.wrapper)})},tt=(e,t)=>{var r,n;return{wrapper:(0,Ce.css)([{paddingRight:e.spacing(null!=(r=t.h)?r:0),paddingBottom:e.spacing(null!=(n=t.v)?n:0)},"inline"===t.layout&&{display:"inline-block"},"block"===t.layout&&{display:"block"}])}};var rt=Object.defineProperty,nt=Object.getOwnPropertySymbols,ot=Object.prototype.hasOwnProperty,it=Object.prototype.propertyIsEnumerable,at=(e,t,r)=>t in e?rt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const lt=e=>{var t;const r=e,{label:n,optional:o,tooltip:i,tooltipInteractive:a,children:l,width:s}=r,u=((e,t)=>{var r={};for(var n in e)ot.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&nt)for(var n of nt(e))t.indexOf(n)<0&&it.call(e,n)&&(r[n]=e[n]);return r})(r,["label","optional","tooltip","tooltipInteractive","children","width"]),c=(0,me.useStyles2)((0,de.useCallback)((e=>st(e,s)),[s])),d=(null==u?void 0:u.htmlFor)||(null==(t=me.ReactUtils)?void 0:t.getChildId(l)),p=pe().createElement(pe().Fragment,null,pe().createElement("label",{className:c.label,htmlFor:d},n,o&&pe().createElement("span",{className:c.optional}," - optional"),i&&pe().createElement(me.Tooltip,{placement:"top",content:i,theme:"info",interactive:a},pe().createElement(me.Icon,{tabIndex:0,name:"info-circle",size:"sm",className:c.icon}))),pe().createElement(et,{v:.5}));return pe().createElement("div",{className:c.root},pe().createElement(me.Field,((e,t)=>{for(var r in t||(t={}))ot.call(t,r)&&at(e,r,t[r]);if(nt)for(var r of nt(t))it.call(t,r)&&at(e,r,t[r]);return e})({className:c.field,label:p},u),l))},st=(e,t)=>({root:(0,Ce.css)({minWidth:e.spacing(null!=t?t:0)}),label:(0,Ce.css)({fontSize:12,fontWeight:e.typography.fontWeightMedium}),optional:(0,Ce.css)({fontStyle:"italic",color:e.colors.text.secondary}),field:(0,Ce.css)({marginBottom:0}),icon:(0,Ce.css)({color:e.colors.text.secondary,marginLeft:e.spacing(1),":hover":{color:e.colors.text.primary}})});function ut({isOpen:e,onCancel:t,onDiscard:r,onCopy:n}){const o=(0,de.useRef)(null);return(0,de.useEffect)((()=>{var t;e&&(null===(t=o.current)||void 0===t||t.focus())}),[e]),pe().createElement(me.Modal,{title:pe().createElement("div",{className:"modal-header-title"},pe().createElement(me.Icon,{name:"exclamation-triangle",size:"lg"}),pe().createElement("span",{className:"p-l-1"},"Warning")),onDismiss:t,isOpen:e},pe().createElement("p",null,"Builder mode does not display changes made in code. The query builder will display the last changes you made in builder mode."),pe().createElement("p",null,"Do you want to copy your code to the clipboard?"),pe().createElement(me.Modal.ButtonRow,null,pe().createElement(me.Button,{type:"button",variant:"secondary",onClick:t,fill:"outline"},"Cancel"),pe().createElement(me.Button,{variant:"destructive",type:"button",onClick:r,ref:o},"Discard code and switch"),pe().createElement(me.Button,{variant:"primary",onClick:n},"Copy code and switch")))}const ct=()=>!!se.config.featureToggles.sqlDatasourceDatabaseSelection;function dt(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function pt(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){dt(i,n,o,a,l,"next",e)}function l(e){dt(i,n,o,a,l,"throw",e)}a(void 0)}))}}const ft=({dataset:e,db:t,dialect:r,onChange:n,inputId:o,preconfiguredDataset:i})=>{const a=!!i||"postgres"===r,l=ge(pt((function*(){return ct()&&a?(n(w(i)),[w(i)]):(e&&n(w(e)),(yield t.datasets()).map(w))})),[]);return(0,de.useEffect)((()=>{ct()||(e?l.value&&void 0===l.value.find((t=>t.value===e))&&l.value.length>0&&n(l.value[0]):l.value&&l.value[0]&&n(l.value[0]))}),[l.value,n,e]),pe().createElement(me.Select,{"aria-label":"Dataset selector",inputId:o,value:e,options:l.value,onChange:n,disabled:l.loading,isLoading:l.loading,menuShouldPortal:!0})};function ht(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function gt(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){ht(i,n,o,a,l,"next",e)}function l(e){ht(i,n,o,a,l,"throw",e)}a(void 0)}))}}const vt=({db:e,dataset:t,table:r,className:n,onChange:o,inputId:i})=>{const a=ge(gt((function*(){return t?(yield e.tables(t)).map(T.toOption):[]})),[t]);return pe().createElement(me.Select,{className:n,disabled:a.loading,"aria-label":"Table selector",inputId:i,"data-testid":Ie.components.SQLQueryEditor.headerTableSelector,value:r,options:a.value,onChange:o,isLoading:a.loading,menuShouldPortal:!0,placeholder:a.loading?"Loading tables":"Select table"})};function yt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function mt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){yt(e,t,r[t])}))}return e}function bt(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const Et=[{label:"Builder",value:le.Builder},{label:"Code",value:le.Code}];function Ot({db:e,dialect:t,isQueryRunnable:r,onChange:n,onQueryRowChange:o,onRunQuery:i,preconfiguredDataset:a,query:l,queryRowFilter:s}){const{editorMode:u}=l,[c,d]=Re(),[p,f]=(0,de.useState)(!1),h=e.toRawSql,g=(0,de.useId)(),v=(0,de.useCallback)((e=>{var t;e===le.Code&&(0,se.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,selectedEditorMode:le.Code}),u!==le.Code?n(bt(mt({},l),{editorMode:e})):f(!0)}),[u,n,l]);return pe().createElement(pe().Fragment,null,pe().createElement(Ne,null,pe().createElement(qe,{label:"Format",value:l.format,placeholder:"Select format",menuShouldPortal:!0,onChange:e=>{var t;const r=bt(mt({},l),{format:void 0!==e.value?e.value:S.Table});(0,se.reportInteraction)("grafana_sql_format_changed",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,selectedFormat:r.format}),n(r)},options:_}),u===le.Builder&&pe().createElement(pe().Fragment,null,pe().createElement(me.InlineSwitch,{id:`sql-filter-${g}`,label:"Filter","data-testid":Ie.components.SQLQueryEditor.headerFilterSwitch,transparent:!0,showLabel:!0,value:s.filter,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,se.reportInteraction)("grafana_sql_filter_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(bt(mt({},s),{filter:e.target.checked})))}}),pe().createElement(me.InlineSwitch,{id:`sql-group-${g}`,label:"Group","data-testid":Ie.components.SQLQueryEditor.headerGroupSwitch,transparent:!0,showLabel:!0,value:s.group,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,se.reportInteraction)("grafana_sql_group_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(bt(mt({},s),{group:e.target.checked})))}}),pe().createElement(me.InlineSwitch,{id:`sql-order-${g}`,label:"Order","data-testid":Ie.components.SQLQueryEditor.headerOrderSwitch,transparent:!0,showLabel:!0,value:s.order,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,se.reportInteraction)("grafana_sql_order_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(bt(mt({},s),{order:e.target.checked})))}}),pe().createElement(me.InlineSwitch,{id:`sql-preview-${g}`,label:"Preview","data-testid":Ie.components.SQLQueryEditor.headerPreviewSwitch,transparent:!0,showLabel:!0,value:s.preview,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,se.reportInteraction)("grafana_sql_preview_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(bt(mt({},s),{preview:e.target.checked})))}})),pe().createElement(ze,{grow:1}),r?pe().createElement(me.Button,{icon:"play",variant:"primary",size:"sm",onClick:()=>i()},"Run query"):pe().createElement(me.Tooltip,{theme:"error",content:pe().createElement(pe().Fragment,null,"Your query is invalid. Check below for details. ",pe().createElement("br",null),"However, you can still run this query."),placement:"top"},pe().createElement(me.Button,{icon:"exclamation-triangle",variant:"secondary",size:"sm",onClick:()=>i()},"Run query")),pe().createElement(me.RadioButtonGroup,{options:Et,size:"sm",value:u,onChange:v}),pe().createElement(ut,{isOpen:p,onCopy:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:le.Builder,type:"copy"}),f(!1),d(l.rawSql),n(bt(mt({},l),{rawSql:h(l),editorMode:le.Builder}))},onDiscard:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:le.Builder,type:"discard"}),f(!1),n(bt(mt({},l),{rawSql:h(l),editorMode:le.Builder}))},onCancel:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:le.Builder,type:"cancel"}),f(!1)}})),u===le.Builder&&pe().createElement(pe().Fragment,null,pe().createElement(me.Space,{v:.5}),pe().createElement(Je,null,"influx"!==t&&!(!ct()&&"postgres"===t)&&pe().createElement(lt,{label:"Dataset",width:25},pe().createElement(ft,{db:e,inputId:`sql-dataset-${g}`,dataset:l.dataset,dialect:t,preconfiguredDataset:a,onChange:e=>{if(e.value===l.dataset)return;const t=bt(mt({},l),{dataset:e.value,table:void 0,sql:void 0,rawSql:""});n(t)}})),pe().createElement(lt,{label:"Table",width:25},pe().createElement(vt,{db:e,inputId:`sql-tableselect-${g}`,dataset:l.dataset||a,table:l.table,onChange:e=>{if(e.value===l.table)return;const t=bt(mt({},l),{table:e.value,sql:void 0,rawSql:""});n(t)}})))))}var St=function(){},Tt="undefined"!=typeof window;const _t=Tt?de.useLayoutEffect:de.useEffect;var wt={x:0,y:0,width:0,height:0,top:0,left:0,bottom:0,right:0};const Rt=Tt&&void 0!==window.ResizeObserver?function(){var e=(0,de.useState)(null),t=e[0],r=e[1],n=(0,de.useState)(wt),o=n[0],i=n[1],a=(0,de.useMemo)((function(){return new window.ResizeObserver((function(e){if(e[0]){var t=e[0].contentRect,r=t.x,n=t.y,o=t.width,a=t.height,l=t.top,s=t.left,u=t.bottom,c=t.right;i({x:r,y:n,width:o,height:a,top:l,left:s,bottom:u,right:c})}}))}),[]);return _t((function(){if(t)return a.observe(t),function(){a.disconnect()}}),[t]),[r,o]}:function(){return[St,wt]};let At;At="undefined"!=typeof window?window:"undefined"!=typeof self?self:p.g;let It=null,Ct=null;const Nt=At.clearTimeout,Lt=At.setTimeout,Pt=At.cancelAnimationFrame||At.mozCancelAnimationFrame||At.webkitCancelAnimationFrame,xt=At.requestAnimationFrame||At.mozRequestAnimationFrame||At.webkitRequestAnimationFrame;null==Pt||null==xt?(It=Nt,Ct=function(e){return Lt(e,20)}):(It=function([e,t]){Pt(e),Nt(t)},Ct=function(e){const t=xt((function(){Nt(r),e()})),r=Lt((function(){Pt(t),e()}),20);return[t,r]});class kt extends de.Component{constructor(...e){super(...e),this.state={height:this.props.defaultHeight||0,scaledHeight:this.props.defaultHeight||0,scaledWidth:this.props.defaultWidth||0,width:this.props.defaultWidth||0},this._autoSizer=null,this._detectElementResize=null,this._parentNode=null,this._resizeObserver=null,this._timeoutId=null,this._onResize=()=>{this._timeoutId=null;const{disableHeight:e,disableWidth:t,onResize:r}=this.props;if(this._parentNode){const n=window.getComputedStyle(this._parentNode)||{},o=parseFloat(n.paddingLeft||"0"),i=parseFloat(n.paddingRight||"0"),a=parseFloat(n.paddingTop||"0"),l=parseFloat(n.paddingBottom||"0"),s=this._parentNode.getBoundingClientRect(),u=s.height-a-l,c=s.width-o-i,d=this._parentNode.offsetHeight-a-l,p=this._parentNode.offsetWidth-o-i;(e||this.state.height===d&&this.state.scaledHeight===u)&&(t||this.state.width===p&&this.state.scaledWidth===c)||(this.setState({height:d,width:p,scaledHeight:u,scaledWidth:c}),"function"==typeof r&&r({height:d,scaledHeight:u,scaledWidth:c,width:p}))}},this._setRef=e=>{this._autoSizer=e}}componentDidMount(){const{nonce:e}=this.props,t=this._autoSizer?this._autoSizer.parentNode:null;if(null!=t&&t.ownerDocument&&t.ownerDocument.defaultView&&t instanceof t.ownerDocument.defaultView.HTMLElement){this._parentNode=t;const r=t.ownerDocument.defaultView.ResizeObserver;null!=r?(this._resizeObserver=new r((()=>{this._timeoutId=setTimeout(this._onResize,0)})),this._resizeObserver.observe(t)):(this._detectElementResize=function(e){let t,r,n,o,i,a,l;const s="undefined"!=typeof document&&document.attachEvent;if(!s){a=function(e){const t=e.__resizeTriggers__,r=t.firstElementChild,n=t.lastElementChild,o=r.firstElementChild;n.scrollLeft=n.scrollWidth,n.scrollTop=n.scrollHeight,o.style.width=r.offsetWidth+1+"px",o.style.height=r.offsetHeight+1+"px",r.scrollLeft=r.scrollWidth,r.scrollTop=r.scrollHeight},i=function(e){return e.offsetWidth!==e.__resizeLast__.width||e.offsetHeight!==e.__resizeLast__.height},l=function(e){if(e.target.className&&"function"==typeof e.target.className.indexOf&&e.target.className.indexOf("contract-trigger")<0&&e.target.className.indexOf("expand-trigger")<0)return;const t=this;a(this),this.__resizeRAF__&&It(this.__resizeRAF__),this.__resizeRAF__=Ct((function(){i(t)&&(t.__resizeLast__.width=t.offsetWidth,t.__resizeLast__.height=t.offsetHeight,t.__resizeListeners__.forEach((function(r){r.call(t,e)})))}))};let e=!1,s="";n="animationstart";const u="Webkit Moz O ms".split(" ");let c="webkitAnimationStart animationstart oAnimationStart MSAnimationStart".split(" "),d="";{const t=document.createElement("fakeelement");if(void 0!==t.style.animationName&&(e=!0),!1===e)for(let r=0;r<u.length;r++)if(void 0!==t.style[u[r]+"AnimationName"]){d=u[r],s="-"+d.toLowerCase()+"-",n=c[r],e=!0;break}}r="resizeanim",t="@"+s+"keyframes "+r+" { from { opacity: 0; } to { opacity: 0; } } ",o=s+"animation: 1ms "+r+"; "}return{addResizeListener:function(i,u){if(s)i.attachEvent("onresize",u);else{if(!i.__resizeTriggers__){const s=i.ownerDocument,u=At.getComputedStyle(i);u&&"static"===u.position&&(i.style.position="relative"),function(r){if(!r.getElementById("detectElementResize")){const n=(t||"")+".resize-triggers { "+(o||"")+'visibility: hidden; opacity: 0; } .resize-triggers, .resize-triggers > div, .contract-trigger:before { content: " "; display: block; position: absolute; top: 0; left: 0; height: 100%; width: 100%; overflow: hidden; z-index: -1; } .resize-triggers > div { background: #eee; overflow: auto; } .contract-trigger:before { width: 200%; height: 200%; }',i=r.head||r.getElementsByTagName("head")[0],a=r.createElement("style");a.id="detectElementResize",a.type="text/css",null!=e&&a.setAttribute("nonce",e),a.styleSheet?a.styleSheet.cssText=n:a.appendChild(r.createTextNode(n)),i.appendChild(a)}}(s),i.__resizeLast__={},i.__resizeListeners__=[],(i.__resizeTriggers__=s.createElement("div")).className="resize-triggers";const c=s.createElement("div");c.className="expand-trigger",c.appendChild(s.createElement("div"));const d=s.createElement("div");d.className="contract-trigger",i.__resizeTriggers__.appendChild(c),i.__resizeTriggers__.appendChild(d),i.appendChild(i.__resizeTriggers__),a(i),i.addEventListener("scroll",l,!0),n&&(i.__resizeTriggers__.__animationListener__=function(e){e.animationName===r&&a(i)},i.__resizeTriggers__.addEventListener(n,i.__resizeTriggers__.__animationListener__))}i.__resizeListeners__.push(u)}},removeResizeListener:function(e,t){if(s)e.detachEvent("onresize",t);else if(e.__resizeListeners__.splice(e.__resizeListeners__.indexOf(t),1),!e.__resizeListeners__.length){e.removeEventListener("scroll",l,!0),e.__resizeTriggers__.__animationListener__&&(e.__resizeTriggers__.removeEventListener(n,e.__resizeTriggers__.__animationListener__),e.__resizeTriggers__.__animationListener__=null);try{e.__resizeTriggers__=!e.removeChild(e.__resizeTriggers__)}catch(e){}}}}}(e),this._detectElementResize.addResizeListener(t,this._onResize)),this._onResize()}}componentWillUnmount(){this._parentNode&&(this._detectElementResize&&this._detectElementResize.removeResizeListener(this._parentNode,this._onResize),null!==this._timeoutId&&clearTimeout(this._timeoutId),this._resizeObserver&&this._resizeObserver.disconnect())}render(){const{children:e,defaultHeight:t,defaultWidth:r,disableHeight:n=!1,disableWidth:o=!1,doNotBailOutOnEmptyChildren:i=!1,nonce:a,onResize:l,style:s={},tagName:u="div",...c}=this.props,{height:d,scaledHeight:p,scaledWidth:f,width:h}=this.state,g={overflow:"visible"},v={};let y=!1;return n||(0===d&&(y=!0),g.height=0,v.height=d,v.scaledHeight=p),o||(0===h&&(y=!0),g.width=0,v.width=h,v.scaledWidth=f),i&&(y=!1),(0,de.createElement)(u,{ref:this._setRef,style:{...g,...s},...c},!y&&e(v))}}var Ft=Object.defineProperty,Dt=Object.getOwnPropertySymbols,jt=Object.prototype.hasOwnProperty,Mt=Object.prototype.propertyIsEnumerable,Vt=(e,t,r)=>t in e?Ft(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const Ut=(e,t,r={})=>((e,t)=>{for(var r in t||(t={}))jt.call(t,r)&&Vt(e,r,t[r]);if(Dt)for(var r of Dt(t))Mt.call(t,r)&&Vt(e,r,t[r]);return e})({label:e,insertText:e,kind:ie.Field,sortText:oe.Medium,range:t},r);var Bt=Object.defineProperty,qt=Object.defineProperties,Gt=Object.getOwnPropertyDescriptors,Kt=Object.getOwnPropertySymbols,Wt=Object.prototype.hasOwnProperty,zt=Object.prototype.propertyIsEnumerable,Ht=(e,t,r)=>t in e?Bt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,$t=(e,t)=>{for(var r in t||(t={}))Wt.call(t,r)&&Ht(e,r,t[r]);if(Kt)for(var r of Kt(t))zt.call(t,r)&&Ht(e,r,t[r]);return e};const Yt=()=>[{id:re.SelectKeyword,name:re.SelectKeyword,kind:[ne.SelectKeyword]},{id:re.WithKeyword,name:re.WithKeyword,kind:[ne.WithKeyword]},{id:re.AfterSelectKeyword,name:re.AfterSelectKeyword,kind:[ne.StarWildCard,ne.FunctionsWithArguments,ne.Columns,ne.SelectMacro]},{id:re.AfterSelectFuncFirstArgument,name:re.AfterSelectFuncFirstArgument,kind:[ne.Columns]},{id:re.AfterGroupByFunctionArgument,name:re.AfterGroupByFunctionArgument,kind:[ne.Columns]},{id:re.AfterWhereFunctionArgument,name:re.AfterWhereFunctionArgument,kind:[ne.Columns]},{id:re.AfterSelectArguments,name:re.AfterSelectArguments,kind:[ne.Columns]},{id:re.AfterFromKeyword,name:re.AfterFromKeyword,kind:[ne.Schemas,ne.Tables,ne.TableMacro]},{id:re.AfterSchema,name:re.AfterSchema,kind:[ne.Tables,ne.TableMacro]},{id:re.SelectAlias,name:re.SelectAlias,kind:[ne.Columns,ne.FunctionsWithArguments]},{id:re.FromKeyword,name:re.FromKeyword,kind:[ne.FromKeyword]},{id:re.AfterFrom,name:re.AfterFrom,kind:[ne.WhereKeyword,ne.GroupByKeywords,ne.OrderByKeywords,ne.LimitKeyword]},{id:re.AfterTable,name:re.AfterTable,kind:[ne.WhereKeyword,ne.GroupByKeywords,ne.OrderByKeywords,ne.LimitKeyword]},{id:re.WhereKeyword,name:re.WhereKeyword,kind:[ne.Columns,ne.FilterMacro,ne.TemplateVariables]},{id:re.WhereComparisonOperator,name:re.WhereComparisonOperator,kind:[ne.ComparisonOperators]},{id:re.WhereValue,name:re.WhereValue,kind:[ne.FilterMacro,ne.TemplateVariables]},{id:re.AfterWhereValue,name:re.AfterWhereValue,kind:[ne.LogicalOperators,ne.GroupByKeywords,ne.OrderByKeywords,ne.LimitKeyword,ne.Columns,ne.TemplateVariables]},{id:re.AfterGroupByKeywords,name:re.AfterGroupByKeywords,kind:[ne.GroupMacro,ne.Columns]},{id:re.AfterGroupBy,name:re.AfterGroupBy,kind:[ne.OrderByKeywords,ne.LimitKeyword]},{id:re.AfterOrderByKeywords,name:re.AfterOrderByKeywords,kind:[ne.Columns]},{id:re.AfterOrderByFunction,name:re.AfterOrderByFunction,kind:[ne.SortOrderDirectionKeyword,ne.LimitKeyword]},{id:re.AfterOrderByDirection,name:re.AfterOrderByDirection,kind:[ne.LimitKeyword]},{id:re.AfterIsOperator,name:re.AfterOrderByDirection,kind:[ne.NotKeyword,ne.NullValue,ne.BoolValues]},{id:re.AfterIsNotOperator,name:re.AfterOrderByDirection,kind:[ne.NullValue,ne.BoolValues]}];class Qt{constructor(e,t,r,n,o){this.type=e,this.value=t,this.range=r,this.previous=n,this.next=o}isKeyword(){return this.type===te.Keyword}isWhiteSpace(){return this.type===te.Whitespace}isParenthesis(){return this.type===te.Parenthesis}isIdentifier(){return this.type===te.Identifier}isString(){return this.type===te.String}isNumber(){return this.type===te.Number}isDoubleQuotedString(){return this.type===te.Type}isVariable(){return this.type===te.Variable}isFunction(){return this.type===te.Function}isOperator(){return this.type===te.Operator}isTemplateVariable(){return this.type===te.Variable}is(e,t){const r=this.type===e;return void 0!==t?r&&Xt(e,this,t):r}getPreviousNonWhiteSpaceToken(){let e=this.previous;for(;null!=e;){if(!e.isWhiteSpace())return e;e=e.previous}return null}getPreviousOfType(e,t){let r=this.previous;for(;null!=r;){const n=r.type===e;if(void 0!==t?n&&Xt(e,r,t):n)return r;r=r.previous}return null}getPreviousUntil(e,t,r){let n=[],o=this.previous;for(;null!=o;){if(t.some((e=>e===(null==o?void 0:o.type)))){o=o.previous;continue}const i=o.type===e;if(void 0!==r?i&&Xt(e,o,r):i)return n;o.isWhiteSpace()||n.push(o),o=o.previous}return n}getNextUntil(e,t,r){let n=[],o=this.next;for(;null!=o;){if(t.some((e=>e===(null==o?void 0:o.type)))){o=o.next;continue}const i=o.type===e;if(void 0!==r?i&&Xt(e,o,r):i)return n;o.isWhiteSpace()||n.push(o),o=o.next}return n}getPreviousKeyword(){let e=this.previous;for(;null!=e;){if(e.isKeyword())return e;e=e.previous}return null}getNextNonWhiteSpaceToken(){let e=this.next;for(;null!=e;){if(!e.isWhiteSpace())return e;e=e.next}return null}getNextOfType(e,t){let r=this.next;for(;null!=r;){const n=r.type===e;if(void 0!==t?n&&Xt(e,r,t):n)return r;r=r.next}return null}}function Xt(e,t,r){return e===te.Keyword||e===te.Operator?t.value.toLowerCase()===r.toString().toLowerCase():t.value===r}var Jt=p(8572);const Zt=e=>{var t;const r=(e=>{const t=(e=>{var t;return null!=(t=null==e?void 0:e.getPreviousOfType(te.Keyword,Jt.SELECT))?t:null})(e);return null==t?void 0:t.getNextOfType(te.Keyword,Jt.FROM)})(e),n=null==r?void 0:r.getNextNonWhiteSpaceToken();return(null==n?void 0:n.isVariable())||(null==n?void 0:n.isKeyword())&&(null==(t=n.next)?void 0:t.is(te.Parenthesis,"("))?null:n},er=e=>{const t=null==e?void 0:e.value.split(".");return 1===(null==t?void 0:t.length)?{table:t[0]}:2===(null==t?void 0:t.length)?{schema:t[0],table:t[1]}:null},tr={id:"editor.action.triggerSuggest",title:""};var rr,nr=new Uint8Array(16);function or(){if(!rr&&!(rr="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)||"undefined"!=typeof msCrypto&&"function"==typeof msCrypto.getRandomValues&&msCrypto.getRandomValues.bind(msCrypto)))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return rr(nr)}const ir=/^(?:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|00000000-0000-0000-0000-000000000000)$/i;for(var ar=[],lr=0;lr<256;++lr)ar.push((lr+256).toString(16).substr(1));const sr=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=(ar[e[t+0]]+ar[e[t+1]]+ar[e[t+2]]+ar[e[t+3]]+"-"+ar[e[t+4]]+ar[e[t+5]]+"-"+ar[e[t+6]]+ar[e[t+7]]+"-"+ar[e[t+8]]+ar[e[t+9]]+"-"+ar[e[t+10]]+ar[e[t+11]]+ar[e[t+12]]+ar[e[t+13]]+ar[e[t+14]]+ar[e[t+15]]).toLowerCase();if(!function(e){return"string"==typeof e&&ir.test(e)}(r))throw TypeError("Stringified UUID is invalid");return r},ur=function(e,t,r){var n=(e=e||{}).random||(e.rng||or)();if(n[6]=15&n[6]|64,n[8]=63&n[8]|128,t){r=r||0;for(var o=0;o<16;++o)t[r+o]=n[o];return t}return sr(n)},cr=(e,t,r)=>()=>[{id:ne.SelectKeyword,name:ne.SelectKeyword,suggestions:(e,t)=>Promise.resolve([{label:"SELECT <column>",insertText:"SELECT $0",insertTextRules:ae.InsertAsSnippet,kind:ie.Snippet,command:tr,sortText:oe.Medium},{label:"SELECT <column> FROM <table>",insertText:"SELECT $2 FROM $1",insertTextRules:ae.InsertAsSnippet,kind:ie.Snippet,command:tr,sortText:oe.Medium}])},{id:ne.TemplateVariables,name:ne.TemplateVariables,suggestions:(e,t)=>{const r=(0,se.getTemplateSrv)();return r?Promise.resolve(r.getVariables().map((e=>{const t=`$${e.name}`,n=r.replace(t);return{label:t,detail:`(Template Variable) ${n}`,kind:ie.Snippet,documentation:`(Template Variable) ${n}`,insertText:`\\$${e.name} `,insertTextRules:ae.InsertAsSnippet,command:tr,sortText:oe.Low}}))):Promise.resolve([])}},{id:ne.SelectMacro,name:ne.SelectMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===ee.Value||e.type===ee.Column)).map(dr)])},{id:ne.TableMacro,name:ne.TableMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===ee.Table)).map(dr)])},{id:ne.GroupMacro,name:ne.GroupMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===ee.Group)).map(dr)])},{id:ne.FilterMacro,name:ne.FilterMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===ee.Filter)).map(dr)])},{id:ne.WithKeyword,name:ne.WithKeyword,suggestions:(e,t)=>Promise.resolve([{label:"WITH <alias> AS ( ... )",insertText:"WITH $1  AS ( $2 )",insertTextRules:ae.InsertAsSnippet,kind:ie.Snippet,command:tr,sortText:oe.Medium}])},{id:ne.StarWildCard,name:ne.StarWildCard,suggestions:(e,t)=>Promise.resolve([{label:"*",insertText:"* $0",insertTextRules:ae.InsertAsSnippet,kind:ie.Field,command:tr,sortText:oe.High}])},{id:ne.FunctionsWithArguments,name:ne.FunctionsWithArguments,suggestions:(t,r)=>Promise.resolve([...e.list().map((e=>({label:e.name,insertText:`${e.name}($0)`,documentation:e.description,insertTextRules:ae.InsertAsSnippet,kind:ie.Function,command:tr,sortText:oe.MediumLow})))])},{id:ne.FunctionsWithoutArguments,name:ne.FunctionsWithoutArguments,suggestions:(t,r)=>Promise.resolve([...e.list().map((e=>({label:e.name,insertText:`${e.name}()`,documentation:e.description,insertTextRules:ae.InsertAsSnippet,kind:ie.Function,command:tr,sortText:oe.MediumHigh})))])},{id:ne.FromKeyword,name:ne.FromKeyword,suggestions:(e,t)=>Promise.resolve([{label:"FROM",insertText:"FROM $0",command:tr,insertTextRules:ae.InsertAsSnippet,kind:ie.Keyword}])},{id:ne.Schemas,name:ne.Schemas,suggestions:(e,t)=>Promise.resolve([])},{id:ne.Tables,name:ne.Tables,suggestions:(e,t)=>Promise.resolve([])},{id:ne.Columns,name:ne.Columns,suggestions:(e,t)=>Promise.resolve([])},{id:ne.LogicalOperators,name:ne.LogicalOperators,suggestions:(e,r)=>Promise.resolve(t.list().filter((e=>e.type===Z.Logical)).map((e=>({label:e.operator,insertText:`${e.operator} `,documentation:e.description,command:tr,sortText:oe.MediumHigh,kind:ie.Operator}))))},{id:ne.WhereKeyword,name:ne.WhereKeyword,suggestions:(e,t)=>Promise.resolve([{label:"WHERE",insertText:"WHERE ",command:tr,sortText:oe.MediumHigh,kind:ie.Keyword}])},{id:ne.ComparisonOperators,name:ne.ComparisonOperators,suggestions:(e,r)=>Promise.resolve([...t.list().filter((e=>e.type===Z.Comparison)).map((e=>({label:e.operator,insertText:`${e.operator} `,documentation:e.description,command:tr,sortText:oe.MediumHigh,kind:ie.Operator}))),{label:"IN (...)",insertText:"IN ( $0 )",command:tr,sortText:oe.Medium,kind:ie.Operator,insertTextRules:ae.InsertAsSnippet},{label:"NOT IN (...)",insertText:"NOT IN ( $0 )",command:tr,sortText:oe.Medium,kind:ie.Operator,insertTextRules:ae.InsertAsSnippet},{label:"IS",insertText:"IS",command:tr,sortText:oe.Medium,kind:ie.Operator},{label:"IS NOT",insertText:"IS NOT",command:tr,sortText:oe.Medium,kind:ie.Operator}])},{id:ne.GroupByKeywords,name:ne.GroupByKeywords,suggestions:(e,t)=>Promise.resolve([{label:"GROUP BY",insertText:"GROUP BY ",command:tr,sortText:oe.MediumHigh,kind:ie.Keyword}])},{id:ne.OrderByKeywords,name:ne.OrderByKeywords,suggestions:(e,t)=>Promise.resolve([{label:"ORDER BY",insertText:"ORDER BY ",command:tr,sortText:oe.Medium,kind:ie.Keyword},{label:"ORDER BY(ascending)",insertText:"ORDER BY $1 ASC ",command:tr,sortText:oe.MediumLow,kind:ie.Snippet,insertTextRules:ae.InsertAsSnippet},{label:"ORDER BY(descending)",insertText:"ORDER BY $1 DESC",command:tr,sortText:oe.MediumLow,kind:ie.Snippet,insertTextRules:ae.InsertAsSnippet}])},{id:ne.LimitKeyword,name:ne.LimitKeyword,suggestions:(e,t)=>Promise.resolve([{label:"LIMIT",insertText:"LIMIT ",command:tr,sortText:oe.MediumLow,kind:ie.Keyword}])},{id:ne.SortOrderDirectionKeyword,name:ne.SortOrderDirectionKeyword,suggestions:(e,t)=>Promise.resolve([Jt.ASC,Jt.DESC].map((e=>({label:e,insertText:`${e} `,command:tr,kind:ie.Keyword}))))},{id:ne.NotKeyword,name:ne.NotKeyword,suggestions:()=>Promise.resolve([{label:"NOT",insertText:"NOT",command:tr,kind:ie.Keyword,sortText:oe.High}])},{id:ne.BoolValues,name:ne.BoolValues,suggestions:()=>Promise.resolve(["TRUE","FALSE"].map((e=>({label:e,insertText:`${e}`,command:tr,kind:ie.Keyword,sortText:oe.Medium}))))},{id:ne.NullValue,name:ne.NullValue,suggestions:()=>Promise.resolve(["NULL"].map((e=>({label:e,insertText:`${e}`,command:tr,kind:ie.Keyword,sortText:oe.Low}))))}];function dr(e){return{label:e.name,insertText:`${"\\"+e.text}${t=e.args,t?"(".concat(t.map(((e,t)=>`\${${t}:${e}}`)).join(", ")).concat(")"):"()"} `,insertTextRules:ae.InsertAsSnippet,kind:ie.Snippet,documentation:e.description,command:tr};var t}function pr(){return[{id:re.SelectKeyword,name:re.SelectKeyword,resolve:(e,t,r,n)=>Boolean(null===e||e.isWhiteSpace()&&null===e.previous||e.is(te.Keyword,Jt.SELECT)||e.is(te.Keyword,Jt.SELECT)&&null===e.previous||n||e.isIdentifier()&&(n||null===(null==e?void 0:e.previous))||e.isIdentifier()&&Jt.SELECT.startsWith(e.value.toLowerCase()))},{id:re.WithKeyword,name:re.WithKeyword,resolve:(e,t,r,n)=>Boolean(null===e||e.isWhiteSpace()&&null===e.previous||e.is(te.Keyword,Jt.WITH)&&null===e.previous||e.isIdentifier()&&Jt.WITH.toLowerCase().startsWith(e.value.toLowerCase()))},{id:re.AfterSelectKeyword,name:re.AfterSelectKeyword,resolve:(e,t,r,n)=>Boolean((null==r?void 0:r.value.toLowerCase())===Jt.SELECT)},{id:re.AfterSelectArguments,name:re.AfterSelectArguments,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Jt.SELECT&&","===(null==r?void 0:r.value))},{id:re.AfterSelectFuncFirstArgument,name:re.AfterSelectFuncFirstArgument,resolve:(e,t,r,n)=>Boolean(((null==t?void 0:t.value.toLowerCase())===Jt.SELECT||(null==t?void 0:t.value.toLowerCase())===Jt.AS)&&((null==r?void 0:r.is(te.Parenthesis,"("))||(null==e?void 0:e.is(te.Parenthesis,"()"))))},{id:re.AfterWhereFunctionArgument,name:re.AfterWhereFunctionArgument,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.is(te.Keyword,Jt.WHERE))&&((null==r?void 0:r.is(te.Parenthesis,"("))||(null==e?void 0:e.is(te.Parenthesis,"()"))))},{id:re.AfterGroupBy,name:re.AfterGroupBy,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(te.Keyword,Jt.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(te.Keyword,Jt.GROUP))&&((null==r?void 0:r.isIdentifier())||(null==r?void 0:r.isDoubleQuotedString())||(null==r?void 0:r.is(te.Parenthesis,")"))||(null==r?void 0:r.is(te.Parenthesis,"()"))))}},{id:re.SelectAlias,name:re.SelectAlias,resolve:(e,t,r,n)=>","===(null==r?void 0:r.value)&&(null==t?void 0:t.value.toLowerCase())===Jt.AS},{id:re.FromKeyword,name:re.FromKeyword,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Jt.SELECT&&","!==(null==r?void 0:r.value)||((null==e?void 0:e.isKeyword())||(null==e?void 0:e.isIdentifier()))&&Jt.FROM.toLowerCase().startsWith(e.value.toLowerCase()))},{id:re.AfterFromKeyword,name:re.AfterFromKeyword,resolve:(e,t,r,n)=>Boolean(!(null==e?void 0:e.value.includes("."))&&(null==r?void 0:r.value.toLowerCase())===Jt.FROM)},{id:re.AfterSchema,name:re.AfterSchema,resolve:(e,t,r,n)=>((null==e?void 0:e.isWhiteSpace())&&(null==e?void 0:e.next)&&(r=(e=null==e?void 0:e.previous).getPreviousNonWhiteSpaceToken()),Boolean((null==e?void 0:e.isIdentifier())&&(null==e?void 0:e.value.endsWith("."))&&(null==r?void 0:r.value.toLowerCase())===Jt.FROM))},{id:re.AfterFrom,name:re.AfterFrom,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Jt.FROM&&(null==r?void 0:r.isDoubleQuotedString())||(null==t?void 0:t.value.toLowerCase())===Jt.FROM&&(null==r?void 0:r.isIdentifier())||(null==t?void 0:t.value.toLowerCase())===Jt.FROM&&(null==r?void 0:r.isVariable()))},{id:re.AfterTable,name:re.AfterTable,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Jt.FROM&&((null==r?void 0:r.isVariable())||""!==(null==r?void 0:r.value)&&(null==r?void 0:r.value.toLowerCase())!==Jt.FROM))},{id:re.WhereKeyword,name:re.WhereKeyword,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Jt.WHERE&&((null==r?void 0:r.isKeyword())||(null==r?void 0:r.is(te.Parenthesis,"("))||(null==r?void 0:r.is(te.Operator,Jt.AND))))},{id:re.WhereComparisonOperator,name:re.WhereComparisonOperator,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.value.toLowerCase())===Jt.WHERE&&!(null==(o=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:o.isOperator())&&!(null==e?void 0:e.is(te.Delimiter,"."))&&!(null==e?void 0:e.isParenthesis())&&((null==r?void 0:r.isIdentifier())||(null==r?void 0:r.isDoubleQuotedString())))}},{id:re.WhereValue,name:re.WhereValue,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Jt.WHERE&&(null==r?void 0:r.isOperator()))},{id:re.AfterWhereValue,name:re.AfterWhereValue,resolve:(e,t,r,n)=>{var o,i,a;return Boolean((null==t?void 0:t.value.toLowerCase())===Jt.WHERE&&((null==r?void 0:r.is(te.Operator,"and"))||(null==r?void 0:r.is(te.Operator,"or"))||(null==r?void 0:r.isString())||(null==r?void 0:r.isNumber())||(null==r?void 0:r.is(te.Parenthesis,")"))||(null==r?void 0:r.is(te.Parenthesis,"()"))||(null==r?void 0:r.isTemplateVariable())||(null==r?void 0:r.is(te.IdentifierQuote))&&(null==(o=r.getPreviousNonWhiteSpaceToken())?void 0:o.is(te.Identifier))&&(null==(a=null==(i=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:i.getPreviousNonWhiteSpaceToken())?void 0:a.is(te.IdentifierQuote))))}},{id:re.AfterGroupByKeywords,name:re.AfterGroupByKeywords,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(te.Keyword,Jt.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(te.Keyword,Jt.GROUP))&&((null==r?void 0:r.is(te.Keyword,Jt.BY))||(null==r?void 0:r.is(te.Delimiter,","))))}},{id:re.AfterGroupByFunctionArgument,name:re.AfterGroupByFunctionArgument,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(te.Keyword,Jt.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(te.Keyword,Jt.GROUP))&&((null==r?void 0:r.is(te.Parenthesis,"("))||(null==e?void 0:e.is(te.Parenthesis,"()"))))}},{id:re.AfterOrderByKeywords,name:re.AfterOrderByKeywords,resolve:(e,t,r,n)=>{var o;return Boolean((null==r?void 0:r.is(te.Keyword,Jt.BY))&&(null==(o=null==r?void 0:r.getPreviousKeyword())?void 0:o.is(te.Keyword,Jt.ORDER)))}},{id:re.AfterOrderByFunction,name:re.AfterOrderByFunction,resolve:(e,t,r,n)=>{var o,i;return Boolean((null==t?void 0:t.is(te.Keyword,Jt.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(te.Keyword,Jt.ORDER))&&(null==r?void 0:r.is(te.Parenthesis))&&(null==(i=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:i.is(te.Function)))}},{id:re.AfterOrderByDirection,name:re.AfterOrderByDirection,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.is(te.Keyword,Jt.DESC))||(null==t?void 0:t.is(te.Keyword,Jt.ASC)))},{id:re.AfterIsOperator,name:re.AfterIsOperator,resolve:(e,t,r,n)=>Boolean(null==r?void 0:r.is(te.Operator,"IS"))},{id:re.AfterIsNotOperator,name:re.AfterIsNotOperator,resolve:(e,t,r,n)=>{var o;return Boolean((null==r?void 0:r.is(te.Operator,"NOT"))&&(null==(o=r.getPreviousNonWhiteSpaceToken())?void 0:o.is(te.Operator,"IS")))}}]}let fr={logger:()=>{}},hr=()=>{};me.attachDebugger&&me.createLogger&&(fr=(0,me.createLogger)("SQLEditor"),hr=fr.logger,(0,me.attachDebugger)("sqleditor",void 0,fr));const gr="column",vr=[{id:"$__timeFilter(dateColumn)",name:"$__timeFilter(dateColumn)",text:"$__timeFilter",args:[gr],type:ee.Filter,description:"Will be replaced by a time range filter using the specified column name. For example, dateColumn BETWEEN FROM_UNIXTIME(1494410783) AND FROM_UNIXTIME(1494410983)"},{id:"$__timeFrom()",name:"$__timeFrom()",text:"$__timeFrom",args:[],type:ee.Filter,description:"Will be replaced by the start of the currently active time selection. For example, FROM_UNIXTIME(1494410783)"},{id:"$__timeTo()",name:"$__timeTo()",text:"$__timeTo",args:[],type:ee.Filter,description:"Will be replaced by the end of the currently active time selection. For example, FROM_UNIXTIME(1494410983)"},{id:"$__timeGroup(dateColumn, '5m')",name:"$__timeGroup(dateColumn, '5m')",text:"$__timeGroup",args:[gr,"'5m'"],type:ee.Value,description:"Will be replaced by an expression usable in GROUP BY clause. For example, *cast(cast(UNIX_TIMESTAMP(dateColumn)/(300) as signed)*300 as signed),*"},{id:"$__table",name:"$__table",text:"$__table",args:[],type:ee.Table,description:"Will be replaced by the query table."},{id:"$__column",name:"$__column",text:"$__column",args:[],type:ee.Column,description:"Will be replaced by the query column."}];function yr(e,t){var r,n,o;const i={triggerCharacters:["."," ","$",",","(","'"]};t&&Array.isArray(t.builtinFunctions)&&(i.supportedFunctions=()=>t.builtinFunctions.map((e=>({id:e,name:e}))));const a=[];return(null==(r=null==t?void 0:t.comparisonOperators)?void 0:r.length)&&a.push(...t.comparisonOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:Z.Comparison})))),t.logicalOperators=null!=(n=t.logicalOperators)?n:t.operators,(null==(o=null==t?void 0:t.logicalOperators)?void 0:o.length)&&a.push(...t.logicalOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:Z.Logical})))),i.supportedOperators=()=>a,i.supportedMacros=()=>vr,i}const mr={id:"standardSql",extensions:[".sql"],aliases:["sql"],mimetypes:[],loader:()=>Promise.resolve().then(p.bind(p,8572)),completionProvider:yr};var br=Object.defineProperty,Er=Object.defineProperties,Or=Object.getOwnPropertyDescriptors,Sr=Object.getOwnPropertySymbols,Tr=Object.prototype.hasOwnProperty,_r=Object.prototype.propertyIsEnumerable,wr=(e,t,r)=>t in e?br(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Rr=(e,t)=>{for(var r in t||(t={}))Tr.call(t,r)&&wr(e,r,t[r]);if(Sr)for(var r of Sr(t))_r.call(t,r)&&wr(e,r,t[r]);return e},Ar=(e,t)=>Er(e,Or(t));const Ir=new Map,Cr=new Map,Nr=({children:e,onBlur:t,onChange:r,query:n,language:o={id:"sql"},width:i,height:a})=>{const l=(0,de.useRef)(null),s=(0,de.useRef)(),u=(0,de.useMemo)((()=>{const e=ur(),t=`${o.id}-${e}`;return s.current=t,t}),[o.id]);(0,de.useEffect)((()=>()=>{s.current&&Cr.delete(s.current),hr(`Removing instance cache ${s.current}`,!1,Cr)}),[]);const c=(0,de.useCallback)((()=>{l.current&&l.current.getAction("editor.action.formatDocument").run()}),[]);return pe().createElement("div",{style:{width:i}},pe().createElement(me.CodeEditor,{height:a||"240px",width:i?i-2+"px":void 0,language:u,value:n,onBlur:e=>{r&&r(e,!1),t&&t(e)},showMiniMap:!1,showLineNumbers:!0,onEditorDidMount:(e,t)=>{l.current=e,e.onDidChangeModelContent((t=>{const n=e.getValue();r&&r(n,!1)})),e.addCommand(t.KeyMod.CtrlCmd|t.KeyCode.Enter,(()=>{const t=e.getValue();r&&r(t,!0)})),e.onKeyUp((t=>{84===t.keyCode&&e.trigger(tr.id,tr.id,{})})),Lr(t,o,u)}}),e&&e({formatQuery:c}))},Lr=async(e,t,r)=>{const n=((e,t)=>{if("sql"!==(null==t?void 0:t.id)&&!t.loader){hr(`Loading language '${null==t?void 0:t.id}' from Monaco registry`,!1);const r=e.languages.getLanguages().find((({id:e})=>e===(null==t?void 0:t.id)));if(!r)throw Error(`Unknown Monaco language ${null==t?void 0:t.id}`);return Rr(Rr({completionProvider:yr},r),t)}return Rr(Rr({},mr),t)})(e,t);if(!n.loader)return;const{language:o,conf:i}=await n.loader(e);if(e.languages.register({id:r}),e.languages.setMonarchTokensProvider(r,Rr({},o)),e.languages.setLanguageConfiguration(r,Rr({},i)),n.formatter&&e.languages.registerDocumentFormattingEditProvider(r,{provideDocumentFormattingEdits:e=>{var r;const n=null==(r=t.formatter)?void 0:r.call(t,e.getValue());return[{range:e.getFullModelRange(),text:n||""}]}}),n.completionProvider){const i=n.completionProvider(e,o);!function(e,t,r){var n;Ir.has(e)||function(e){Ir.has(e)||Ir.set(e,{functions:new T.Registry,operators:new T.Registry,suggestionKinds:new T.Registry(Yt),positionResolvers:new T.Registry(pr),macros:new T.Registry}),Ir.get(e)}(e);const o=Ir.get(e);Cr.has(t)||Cr.set(t,new T.Registry(cr(o.functions,o.operators,o.macros)));const i=Cr.get(t);if(r.supportedFunctions)for(const e of r.supportedFunctions())o.functions.getIfExists(e.id)||o.functions.register(e);if(r.supportedOperators)for(const e of r.supportedOperators())o.operators.getIfExists(e.id)||o.operators.register(Ar(Rr({},e),{name:e.id}));if(r.supportedMacros)for(const e of r.supportedMacros())o.macros.getIfExists(e.id)||o.macros.register(Ar(Rr({},e),{name:e.id}));if(r.customStatementPlacement)for(const e of r.customStatementPlacement()){const t=o.positionResolvers.getIfExists(e.id);if(t){const r=t.resolve;t.resolve=(...t)=>{const n=e.resolve(...t);return e.overrideDefault?n:r(...t)||n}}else o.positionResolvers.register(Ar(Rr({},e),{id:e.id,name:e.id})),o.suggestionKinds.register({id:e.id,name:e.id,kind:[]})}if(r.customSuggestionKinds)for(const e of r.customSuggestionKinds()){if(null==(n=e.applyTo)||n.forEach((t=>{const r=o.suggestionKinds.getIfExists(t);r&&-1===r.kind.indexOf(e.id)&&r.kind.push(e.id)})),e.overrideDefault){const t=i.get(e.id);if(void 0!==t){t.suggestions=e.suggestionsResolver;continue}}i.register({id:e.id,name:e.id,suggestions:e.suggestionsResolver})}if(r.schemas){const e=i.get(ne.Schemas),t=e.suggestions;e.suggestions=async(e,n)=>{const o=await t(e,n);if(!r.schemas)return[...o];const i=(await r.schemas.resolve()).map((e=>{var t;return{label:e.name,insertText:`${null!=(t=e.completion)?t:e.name}.`,command:tr,kind:ie.Module,sortText:oe.High}}));return[...o,...i]}}if(r.tables){const e=i.get(ne.Tables),t=e.suggestions;e.suggestions=async(e,n)=>{var o,i,a,l,s;const u=await t(e,n),c=Zt(e.currentToken),d=(null!=(i=null==(o=r.tables)?void 0:o.parseName)?i:er)(c);return[...u,...(null!=(s=await(null==(l=null==(a=r.tables)?void 0:a.resolve)?void 0:l.call(a,d)))?s:[]).map((e=>{var t;return{label:e.name,insertText:`${null!=(t=e.completion)?t:e.name}${e.completion===e.name?" $0":""}`,insertTextRules:ae.InsertAsSnippet,command:tr,kind:ie.Field,sortText:oe.MediumHigh}}))]}}if(r.columns){const e=i.get(ne.Columns),t=e.suggestions;e.suggestions=async(e,n)=>{var o,i,a;const l=await t(e,n),s=Zt(e.currentToken);let u;const c=null!=(i=null==(o=r.tables)?void 0:o.parseName)?i:er;s&&s.value&&(u=c(s));let d=[];if(u){const e=await(null==(a=r.columns)?void 0:a.resolve(u));d=e?e.map((e=>{var t;return{label:e.name,insertText:null!=(t=e.completion)?t:e.name,kind:ie.Field,sortText:oe.High,detail:e.type,documentation:e.description}})):[]}return[...l,...d]}}}(t.id,r,i);const a=Ir.get(t.id),l=Cr.get(r),s=async(t,n,o,i)=>{const s=function(e,t,r,n="sql"){var o;let i=null,a=null;const l=e.editor.tokenize(null!=(o=t.getValue())?o:"",n);for(let o=0;o<l.length;o++){const s=l[o];if(!s.length&&a){const e={offset:0,type:te.Whitespace,language:n,_tokenBrand:void 0};s.push(e)}for(let n=0;n<s.length;n++){const l=s[n];let u=s.length>n+1?s[n+1].offset+1:t.getLineLength(o+1)+1;const c={startLineNumber:o+1,startColumn:0===l.offset?0:l.offset+1,endLineNumber:o+1,endColumn:u},d=t.getValueInRange(c),p=new Qt(l.type,d,c,a,null);e.Range.containsPosition(c,r)&&(i=p),a&&(a.next=p),a=p}}return i}(e,t,n,r),u=function(e,t){var r;const n=null==e?void 0:e.getPreviousNonWhiteSpaceToken(),o=null==e?void 0:e.getPreviousKeyword(),i=null==(r=null==e?void 0:e.getPreviousNonWhiteSpaceToken())?void 0:r.is(te.Operator,"/"),a=t.list(),l=[];for(const t of a)t.resolve(e,null!=o?o:null,null!=n?n:null,Boolean(i))&&l.push(t.id);return 0===l.length?[re.Unknown]:l}(s,a.positionResolvers),c=function(e,t){let r=[];for(let n=0;n<e.length;n++){const o=t.getIfExists(e[n]);o&&(r=r.concat(o.kind))}return r}(u,a.suggestionKinds);hr("Statement position",!1,u),hr("Suggestion kinds",!1,c);const d={position:n,currentToken:s,statementPosition:u,kind:c,range:e.Range.fromPositions(n)},p=await(async(e,t,r,n,o)=>{let i=[];const a=(null==t?void 0:t.isWhiteSpace())||(null==t?void 0:t.isParenthesis())||(null==t?void 0:t.isIdentifier())&&t.value.endsWith(".")||!(null==t?void 0:t.range)?e.Range.fromPositions(n.position):null==t?void 0:t.range;for(const t of[...new Set(r)]){const r=o.getIfExists(t);if(r){const t=await r.suggestions((l=$t({},n),s={range:a},qt(l,Gt(s))),e);i=[...i,...t.map((e=>Ut(e.label,a,$t({kind:e.kind},e))))]}}var l,s;return Promise.resolve(i)})(e,s,c,d,l);return{suggestions:p}};e.languages.registerCompletionItemProvider(r,Ar(Rr({},i),{provideCompletionItems:s}))}};function Pr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function xr({children:e,onChange:t,query:r,width:n,height:o,editorLanguageDefinition:i}){const a=(0,de.useRef)(r);(0,de.useEffect)((()=>{a.current=r}),[r]);const l=(0,de.useCallback)(((e,r)=>{const n=(o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Pr(e,t,r[t])}))}return e}({},a.current),i=null!=(i={rawQuery:!0,rawSql:e})?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o);var o,i;t(n,r)}),[t]);return pe().createElement(Nr,{width:n,height:o,query:r.rawSql,onChange:l,language:i},e)}var kr=p(990);function Fr(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function Dr(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){Fr(i,n,o,a,l,"next",e)}function l(e){Fr(i,n,o,a,l,"throw",e)}a(void 0)}))}}function jr({db:e,query:t,onValidate:r,range:n}){var o;const[i,a]=(0,de.useState)(),l=(0,me.useTheme2)(),s=(0,de.useMemo)((()=>(0,T.getValueFormat)("bytes")),[]),u=(0,de.useMemo)((()=>({error:(0,Ce.css)({color:l.colors.error.text,fontSize:l.typography.bodySmall.fontSize,fontFamily:l.typography.fontFamilyMonospace}),valid:(0,Ce.css)({color:l.colors.success.text}),info:(0,Ce.css)({color:l.colors.text.secondary})})),[l]),[c,d]=he((p=Dr((function*(t){var r;return""===(null===(r=t.rawSql)||void 0===r?void 0:r.trim())?null:yield e.validateQuery(t,n)})),function(e){return p.apply(this,arguments)}),[e]);var p;const[]=(0,kr.A)(Dr((function*(){const e=yield d(t);return e&&a(e),null})),1e3,[t,d]);if((0,de.useEffect)((()=>{(null==i?void 0:i.isError)&&r(!1),(null==i?void 0:i.isValid)&&r(!0)}),[i,r]),!c.value&&!c.loading)return null;const f=(null===(o=c.value)||void 0===o?void 0:o.error)?function(e){const t=e.split(":");return t.length>2?t.slice(2).join(":"):e}(c.value.error):"";return pe().createElement(pe().Fragment,null,c.loading&&pe().createElement("div",{className:u.info},pe().createElement(me.Spinner,{inline:!0,size:"xs"})," Validating query..."),!c.loading&&c.value&&pe().createElement(pe().Fragment,null,pe().createElement(pe().Fragment,null,c.value.isValid&&c.value.statistics&&pe().createElement("div",{className:u.valid},pe().createElement(me.Icon,{name:"check"})," This query will process"," ",pe().createElement("strong",null,(0,T.formattedValueToString)(s(c.value.statistics.TotalBytesProcessed)))," ","when run.")),pe().createElement(pe().Fragment,null,c.value.isError&&pe().createElement("div",{className:u.error},f))))}function Mr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Vr(e){var{showTools:t,onFormatCode:r,onExpand:n,isExpanded:o}=e,i=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["showTools","onFormatCode","onExpand","isExpanded"]);const a=(0,me.useTheme2)(),[l,s]=(0,de.useState)(),u=(0,de.useMemo)((()=>({container:(0,Ce.css)({border:`1px solid ${a.colors.border.medium}`,borderTop:"none",padding:a.spacing(.5,.5,.5,.5),display:"flex",flexGrow:1,justifyContent:"space-between",fontSize:a.typography.bodySmall.fontSize}),error:(0,Ce.css)({color:a.colors.error.text,fontSize:a.typography.bodySmall.fontSize,fontFamily:a.typography.fontFamilyMonospace}),valid:(0,Ce.css)({color:a.colors.success.text}),info:(0,Ce.css)({color:a.colors.text.secondary}),hint:(0,Ce.css)({color:a.colors.text.disabled,whiteSpace:"nowrap",cursor:"help"})})),[a]);let c={};return t||void 0!==l||(c={height:0,padding:0,visibility:"hidden"}),pe().createElement("div",{className:u.container,style:c},pe().createElement("div",null,i.onValidate&&pe().createElement(jr,(d=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Mr(e,t,r[t])}))}return e}({},i),p=null!=(p={onValidate:e=>{s(e),i.onValidate(e)}})?p:{},Object.getOwnPropertyDescriptors?Object.defineProperties(d,Object.getOwnPropertyDescriptors(p)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(p)).forEach((function(e){Object.defineProperty(d,e,Object.getOwnPropertyDescriptor(p,e))})),d))),t&&pe().createElement("div",null,pe().createElement(me.HorizontalGroup,{spacing:"sm"},r&&pe().createElement(me.IconButton,{onClick:()=>{var e;(0,se.reportInteraction)("grafana_sql_query_formatted",{datasource:null===(e=i.query.datasource)||void 0===e?void 0:e.type}),r()},name:"brackets-curly",size:"xs",tooltip:"Format query"}),n&&pe().createElement(me.IconButton,{onClick:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_expand",{datasource:null===(e=i.query.datasource)||void 0===e?void 0:e.type,expanded:!o}),n(!o)},name:o?"angle-up":"angle-down",size:"xs",tooltip:o?"Collapse editor":"Expand editor"}),pe().createElement(me.Tooltip,{content:"Hit CTRL/CMD+Return to run query"},pe().createElement(me.Icon,{className:u.hint,name:"keyboard"})))));var d,p}function Ur({db:e,query:t,onChange:r,onRunQuery:n,onValidate:o,queryToValidate:i,range:a}){const l=(0,me.useTheme2)(),s=(0,me.useStyles2)(Br),[u,c]=(0,de.useState)(!1),[d,p]=Rt(),[f,h]=Rt(),g=(0,de.useMemo)((()=>e.getEditorLanguageDefinition()),[e]),v=(n,l)=>pe().createElement(xr,{editorLanguageDefinition:g,query:t,width:n,height:l?l-p.height:void 0,onChange:r},(({formatQuery:t})=>pe().createElement("div",{ref:d},pe().createElement(Vr,{db:e,query:i,onValidate:o,onFormatCode:t,showTools:!0,range:a,onExpand:c,isExpanded:u})))),y=(e=!1)=>e?pe().createElement(kt,null,(({width:e,height:t})=>v(e,t))):pe().createElement("div",{ref:f},v());return pe().createElement(pe().Fragment,null,u?pe().createElement("div",{style:{width:h.width,height:h.height,background:l.colors.background.primary,display:"flex",alignItems:"center",justifyContent:"center"}},"Editing in expanded code editor"):y(),u&&pe().createElement(me.Modal,{title:`Query ${t.refId}`,closeOnBackdropClick:!1,closeOnEscape:!1,className:s.modal,contentClassName:s.modalContent,isOpen:u,onDismiss:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_expand",{datasource:null===(e=t.datasource)||void 0===e?void 0:e.type,expanded:!1}),c(!1)}},y(!0)))}function Br(e){return{modal:(0,Ce.css)({width:"95vw",height:"95vh"}),modalContent:(0,Ce.css)({height:"100%",paddingTop:0})}}const qr=({children:e})=>pe().createElement(Qe,{gap:.5,direction:"column"},e);var Gr=p(7409);function Kr(e){return Gr.Ay.format(e).replace(/(\$ \{ .* \})|(\$ __)|(\$ \w+)/g,(e=>e.replace(/\s/g,"")))}function Wr({rawSql:e,datasourceType:t}){const[r,n]=Re(),o=(0,me.useStyles2)(zr),i=pe().createElement("div",{className:o.labelWrapper},pe().createElement("span",{className:o.label},"Preview"),pe().createElement(me.IconButton,{tooltip:"Copy to clipboard",onClick:()=>(e=>{n(e),(0,se.reportInteraction)("grafana_sql_preview_copied",{datasource:t})})(e),name:"copy"}));return pe().createElement(me.Field,{label:i,className:o.grow},pe().createElement(me.CodeEditor,{language:"sql",height:80,value:Kr(e),monacoOptions:{scrollbar:{vertical:"hidden"},scrollBeyondLastLine:!1},readOnly:!0,showMiniMap:!1}))}function zr(e){return{grow:(0,Ce.css)({flexGrow:1}),label:(0,Ce.css)({fontSize:12,fontWeight:e.typography.fontWeightMedium}),labelWrapper:(0,Ce.css)({display:"flex",justifyContent:"space-between",paddingBottom:e.spacing(.5)})}}function Hr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function $r({query:e,onQueryChange:t,db:r}){const n=(0,de.useCallback)((n=>{const o=(0,r.toRawSql)({sql:n,dataset:e.dataset,table:e.table,refId:e.refId}),i=(a=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Hr(e,t,r[t])}))}return e}({},e),l=null!=(l={sql:n,rawSql:o})?l:{},Object.getOwnPropertyDescriptors?Object.defineProperties(a,Object.getOwnPropertyDescriptors(l)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(l)).forEach((function(e){Object.defineProperty(a,e,Object.getOwnPropertyDescriptor(l,e))})),a);var a,l;t(i)}),[r,t,e]);return{onSqlChange:n}}const Yr=pe().forwardRef((function({items:e,renderItem:t,onChange:r},n){return pe().createElement(Qe,null,e.map(((n,o)=>pe().createElement("div",{key:o},t(n,(t=>((t,n)=>{const o=[...e];o[t]=n,r(o)})(o,t)),(()=>(t=>{const n=[...e];n.splice(t,1),r(n)})(o)))))),pe().createElement(me.Button,{ref:n,onClick:()=>{const t=[...e,{}];r(t)},variant:"secondary",size:"md",icon:"plus","aria-label":"Add",type:"button"}))})),Qr=({children:e})=>{const t=(0,me.useStyles2)(Jr),r=de.Children.map(e,(e=>(0,de.isValidElement)(e)&&e.props.invalid?(0,de.cloneElement)(e,{className:(0,Ce.cx)(e.props.className,t.invalidChild)}):e));return pe().createElement("div",{className:t.root},r)},Xr=["","base","hovered","invalid","focused"],Jr=()=>({root:(0,Ce.css)({display:"flex","> *":{"&:not(:first-child)":{marginLeft:-1},"&:first-child":{borderTopRightRadius:0,borderBottomRightRadius:0},"&:last-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0},"&:not(:first-child):not(:last-child)":{borderRadius:0},position:"relative",zIndex:Xr.indexOf("base"),"&:hover":{zIndex:Xr.indexOf("hovered")},"&:focus-within":{zIndex:Xr.indexOf("focused")}}}),invalidChild:(0,Ce.css)({zIndex:Xr.indexOf("invalid")})});var Zr=Object.defineProperty,en=Object.defineProperties,tn=Object.getOwnPropertyDescriptors,rn=Object.getOwnPropertySymbols,nn=Object.prototype.hasOwnProperty,on=Object.prototype.propertyIsEnumerable,an=(e,t,r)=>t in e?Zr(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const ln=e=>{var t=e,{className:r}=t,n=((e,t)=>{var r={};for(var n in e)nn.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&rn)for(var n of rn(e))t.indexOf(n)<0&&on.call(e,n)&&(r[n]=e[n]);return r})(t,["className"]);const o=(0,me.useStyles2)(sn);return pe().createElement(me.Button,(i=((e,t)=>{for(var r in t||(t={}))nn.call(t,r)&&an(e,r,t[r]);if(rn)for(var r of rn(t))on.call(t,r)&&an(e,r,t[r]);return e})({},n),a={className:(0,Ce.cx)(r,o.button)},en(i,tn(a))));var i,a},sn=e=>({button:(0,Ce.css)({paddingLeft:e.spacing(1.5),paddingRight:e.spacing(1.5)})});function un(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function cn({sql:e,columns:t,onSqlChange:r}){const n=(0,de.useCallback)((t=>{const n=t.map((e=>{var t;return Ee(null===(t=e.property)||void 0===t?void 0:t.name)})),o=(i=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){un(e,t,r[t])}))}return e}({},e),a=null!=(a={groupBy:n})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;r(o)}),[r,e]);return pe().createElement(Yr,{items:e.groupBy,onChange:n,renderItem:dn({options:t})})}function dn({options:e}){return function(t,r,n){var o;return pe().createElement(Qr,null,pe().createElement(me.Select,{value:(null===(o=t.property)||void 0===o?void 0:o.name)?(0,T.toOption)(t.property.name):null,"aria-label":"Group by",options:e,menuShouldPortal:!0,onChange:({value:e})=>e&&r(Ee(e))}),pe().createElement(ln,{title:"Remove group by column",icon:"times",variant:"secondary",onClick:n}))}}function pn({fields:e,query:t,onQueryChange:r,db:n}){const{onSqlChange:o}=$r({query:t,onQueryChange:r,db:n});return pe().createElement(cn,{columns:e,sql:t.sql,onSqlChange:o})}function fn(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function hn(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){fn(e,t,r[t])}))}return e}function gn(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const vn=[{description:"Sort by ascending",value:"ASC",icon:"sort-amount-up"},{description:"Sort by descending",value:"DESC",icon:"sort-amount-down"}];function yn({sql:e,onSqlChange:t,columns:r,showOffset:n}){var o,i;const a=(0,de.useCallback)((r=>{const n=gn(hn({},e),{orderByDirection:r});t(n)}),[t,e]),l=(0,de.useCallback)((r=>{const n=gn(hn({},e),{limit:Number.parseInt(r.currentTarget.value,10)});t(n)}),[t,e]),s=(0,de.useCallback)((r=>{const n=gn(hn({},e),{offset:Number.parseInt(r.currentTarget.value,10)});t(n)}),[t,e]),u=(0,de.useCallback)((r=>{const n=gn(hn({},e),{orderBy:(o=null==r?void 0:r.value,{type:ye.Property,property:{type:ve.String,name:o}})});var o;null===r&&(n.orderByDirection=void 0),t(n)}),[t,e]);return pe().createElement(pe().Fragment,null,pe().createElement(lt,{label:"Order by",width:25},pe().createElement(Qr,null,pe().createElement(me.Select,{"aria-label":"Order by",options:r,value:(null===(o=e.orderBy)||void 0===o?void 0:o.property.name)?(0,T.toOption)(e.orderBy.property.name):null,isClearable:!0,menuShouldPortal:!0,onChange:u}),pe().createElement(me.Space,{h:1.5}),pe().createElement(me.RadioButtonGroup,{options:vn,disabled:!(null==e||null===(i=e.orderBy)||void 0===i?void 0:i.property.name),value:e.orderByDirection,onChange:a}))),pe().createElement(lt,{label:"Limit",optional:!0,width:25},pe().createElement(me.Input,{type:"number",min:0,id:(0,ue.uniqueId)("limit-"),value:e.limit||"",onChange:l})),n&&pe().createElement(lt,{label:"Offset",optional:!0,width:25},pe().createElement(me.Input,{type:"number",id:(0,ue.uniqueId)("offset-"),value:e.offset||"",onChange:s})))}function mn({fields:e,query:t,onQueryChange:r,db:n}){const{onSqlChange:o}=$r({query:t,onQueryChange:r,db:n});let i=[];if(e){var a,l;const r=null===(l=t.sql)||void 0===l||null===(a=l.columns)||void 0===a?void 0:a.map(((e,t)=>{var r,n;const o=e.name?`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>e.name))})`:null===(n=e.parameters)||void 0===n?void 0:n.map((e=>e.name));return{value:o,label:`${t+1} - ${o}`}}));i=[{value:"",label:"Selected columns",options:r,expanded:!0},...e]}return pe().createElement(yn,{sql:t.sql,onSqlChange:o,columns:i})}const bn=["AVG","COUNT","MAX","MIN","SUM"],En=["$__time","$__timeEpoch","$__timeFilter","$__timeFrom","$__timeTo","$__timeGroup","$__timeGroupAlias","$__unixEpochFilter","$__unixEpochNanoFilter","$__unixEpochNanoFrom","$__unixEpochNanoTo","$__unixEpochGroup","$__unixEpochGroupAlias"];function On(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Sn(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){On(e,t,r[t])}))}return e}function Tn(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const _n={label:"*",value:"*"};function wn({sql:e,format:t,columns:r,onSqlChange:n,functions:o}){var i;const a=(0,me.useStyles2)(Rn),l=[_n,...r||[]],s=[];t===S.Timeseries&&(s.push({label:"time",value:"time"}),s.push({label:"value",value:"value"}));const u=(0,de.useCallback)(((t,r)=>o=>{var i,a;let l=Sn({},t);(null===(i=t.parameters)||void 0===i?void 0:i.length)?l.parameters=t.parameters.map((e=>e.type===ye.FunctionParameter?Tn(Sn({},e),{name:o.value}):e)):l.parameters=[{type:ye.FunctionParameter,name:o.value}];const s=Tn(Sn({},e),{columns:null===(a=e.columns)||void 0===a?void 0:a.map(((e,t)=>t===r?l:e))});n(s)}),[n,e]),c=(0,de.useCallback)(((t,r)=>o=>{var i;const a=Tn(Sn({},t),{name:null==o?void 0:o.value}),l=Tn(Sn({},e),{columns:null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>t===r?a:e))});n(l)}),[n,e]),d=(0,de.useCallback)(((t,r)=>o=>{var i;let a=Sn({},t);var l;null!==o?a=Tn(Sn({},t),{alias:`"${null==o||null===(l=o.value)||void 0===l?void 0:l.trim()}"`}):delete a.alias;const s=Tn(Sn({},e),{columns:null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>t===r?a:e))});n(s)}),[n,e]),p=(0,de.useCallback)((t=>()=>{const r=[...e.columns];r.splice(t,1);const o=Tn(Sn({},e),{columns:r});n(o)}),[n,e]),f=(0,de.useCallback)((()=>{const t=Tn(Sn({},e),{columns:[...e.columns,Oe()]});n(t)}),[n,e]);return pe().createElement(Qe,{gap:2,wrap:!0,direction:"column"},null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>pe().createElement("div",{key:t},pe().createElement(Qe,{gap:2,alignItems:"end"},pe().createElement(lt,{label:"Column",width:25},pe().createElement(me.Select,{value:An(e),"data-testid":Ie.components.SQLQueryEditor.selectColumn,options:l,inputId:`select-column-${t}-${(0,ue.uniqueId)()}`,menuShouldPortal:!0,allowCustomValue:!0,onChange:u(e,t)})),pe().createElement(lt,{label:"Aggregation",optional:!0,width:25},pe().createElement(me.Select,{value:e.name?(0,T.toOption)(e.name):null,inputId:`select-aggregation-${t}-${(0,ue.uniqueId)()}`,"data-testid":Ie.components.SQLQueryEditor.selectAggregation,isClearable:!0,menuShouldPortal:!0,allowCustomValue:!0,options:o,onChange:c(e,t)})),pe().createElement(lt,{label:"Alias",optional:!0,width:15},pe().createElement(me.Select,{value:e.alias?(0,T.toOption)(e.alias):null,inputId:`select-alias-${t}-${(0,ue.uniqueId)()}`,"data-testid":Ie.components.SQLQueryEditor.selectAlias,options:s,onChange:d(e,t),isClearable:!0,menuShouldPortal:!0,allowCustomValue:!0})),pe().createElement(me.Button,{title:"Remove column",type:"button",icon:"trash-alt",variant:"secondary",size:"md",onClick:p(t)}))))),pe().createElement(me.Button,{type:"button",onClick:f,variant:"secondary",title:"Add column",size:"md",icon:"plus",className:a.addButton}))}const Rn=()=>({addButton:(0,Ce.css)({alignSelf:"flex-start"})});function An({parameters:e}){const t=null==e?void 0:e.find((e=>e.type===ye.FunctionParameter));return(null==t?void 0:t.name)?(0,T.toOption)(t.name):null}function In({fields:e,query:t,onQueryChange:r,db:n}){var o;const{onSqlChange:i}=$r({query:t,onQueryChange:r,db:n}),a=[...bn,...(null===(o=n.functions)||void 0===o?void 0:o.call(n))||[]].map(T.toOption);return pe().createElement(wn,{columns:e,sql:t.sql,format:t.format,functions:a,onSqlChange:i})}var Cn=p(1777);function Nn(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function Ln(e){return Ln="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},Ln(e)}function Pn(e){var t=function(e,t){if("object"!=Ln(e)||!e)return e;var r=e[Symbol.toPrimitive];if(void 0!==r){var n=r.call(e,"string");if("object"!=Ln(n))return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==Ln(t)?t:t+""}function xn(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,Pn(n.key),n)}}function kn(e,t,r){return t&&xn(e.prototype,t),r&&xn(e,r),Object.defineProperty(e,"prototype",{writable:!1}),e}function Fn(e,t){if(t&&("object"==Ln(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return function(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}(e)}function Dn(e){return Dn=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},Dn(e)}function jn(e,t){return jn=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},jn(e,t)}function Mn(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&jn(e,t)}function Vn(e,t,r){return(t=Pn(t))in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Un(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=Array(t);r<t;r++)n[r]=e[r];return n}function Bn(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}function qn(e,t){if(e){if("string"==typeof e)return Un(e,t);var r={}.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Un(e,t):void 0}}function Gn(e){return function(e){if(Array.isArray(e))return Un(e)}(e)||Bn(e)||qn(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function Kn(e){if(Array.isArray(e))return e}function Wn(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function zn(e,t){return Kn(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=r){var n,o,i,a,l=[],s=!0,u=!1;try{if(i=(r=r.call(e)).next,0===t){if(Object(r)!==r)return;s=!1}else for(;!(s=(n=i.call(r)).done)&&(l.push(n.value),l.length!==t);s=!0);}catch(e){u=!0,o=e}finally{try{if(!s&&null!=r.return&&(a=r.return(),Object(a)!==a))return}finally{if(u)throw o}}return l}}(e,t)||qn(e,t)||Wn()}var Hn="delete",$n=5,Yn=1<<$n,Qn=Yn-1,Xn={};function Jn(e){e&&(e.value=!0)}function Zn(){}function eo(e){return void 0===e.size&&(e.size=e.__iterate(ro)),e.size}function to(e,t){if("number"!=typeof t){var r=t>>>0;if(""+r!==t||4294967295===r)return NaN;t=r}return t<0?eo(e)+t:t}function ro(){return!0}function no(e,t,r){return(0===e&&!lo(e)||void 0!==r&&e<=-r)&&(void 0===t||void 0!==r&&t>=r)}function oo(e,t){return ao(e,t,0)}function io(e,t){return ao(e,t,t)}function ao(e,t,r){return void 0===e?r:lo(e)?t===1/0?t:0|Math.max(0,t+e):void 0===t||t===e?e:0|Math.min(t,e)}function lo(e){return e<0||0===e&&1/e==-1/0}var so="@@__IMMUTABLE_ITERABLE__@@";function uo(e){return Boolean(e&&e[so])}var co="@@__IMMUTABLE_KEYED__@@";function po(e){return Boolean(e&&e[co])}var fo="@@__IMMUTABLE_INDEXED__@@";function ho(e){return Boolean(e&&e[fo])}function go(e){return po(e)||ho(e)}var vo=function(e){return uo(e)?e:qo(e)},yo=function(e){function t(e){return po(e)?e:Go(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(vo),mo=function(e){function t(e){return ho(e)?e:Ko(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(vo),bo=function(e){function t(e){return uo(e)&&!go(e)?e:Wo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(vo);vo.Keyed=yo,vo.Indexed=mo,vo.Set=bo;var Eo="@@__IMMUTABLE_SEQ__@@";function Oo(e){return Boolean(e&&e[Eo])}var So="@@__IMMUTABLE_RECORD__@@";function To(e){return Boolean(e&&e[So])}function _o(e){return uo(e)||To(e)}var wo="@@__IMMUTABLE_ORDERED__@@";function Ro(e){return Boolean(e&&e[wo])}var Ao=0,Io=1,Co=2,No="function"==typeof Symbol&&Symbol.iterator,Lo="@@iterator",Po=No||Lo,xo=function(e){this.next=e};function ko(e,t,r,n){var o=0===e?t:1===e?r:[t,r];return n?n.value=o:n={value:o,done:!1},n}function Fo(){return{value:void 0,done:!0}}function Do(e){return!!Array.isArray(e)||!!Vo(e)}function jo(e){return e&&"function"==typeof e.next}function Mo(e){var t=Vo(e);return t&&t.call(e)}function Vo(e){var t=e&&(No&&e[No]||e[Lo]);if("function"==typeof t)return t}xo.prototype.toString=function(){return"[Iterator]"},xo.KEYS=Ao,xo.VALUES=Io,xo.ENTRIES=Co,xo.prototype.inspect=xo.prototype.toSource=function(){return this.toString()},xo.prototype[Po]=function(){return this};var Uo=Object.prototype.hasOwnProperty;function Bo(e){return!(!Array.isArray(e)&&"string"!=typeof e)||e&&"object"==typeof e&&Number.isInteger(e.length)&&e.length>=0&&(0===e.length?1===Object.keys(e).length:e.hasOwnProperty(e.length-1))}var qo=function(e){function t(e){return null==e?Qo():_o(e)?e.toSeq():function(e){var t,r,n=Zo(e);if(n)return(r=Vo(t=e))&&r===t.entries?n.fromEntrySeq():function(e){var t=Vo(e);return t&&t===e.keys}(e)?n.toSetSeq():n;if("object"==typeof e)return new Ho(e);throw new TypeError("Expected Array or collection object of values, or keyed object: "+e)}(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toSeq=function(){return this},t.prototype.toString=function(){return this.__toString("Seq {","}")},t.prototype.cacheResult=function(){return!this._cache&&this.__iterateUncached&&(this._cache=this.entrySeq().toArray(),this.size=this._cache.length),this},t.prototype.__iterate=function(e,t){var r=this._cache;if(r){for(var n=r.length,o=0;o!==n;){var i=r[t?n-++o:o++];if(!1===e(i[1],i[0],this))break}return o}return this.__iterateUncached(e,t)},t.prototype.__iterator=function(e,t){var r=this._cache;if(r){var n=r.length,o=0;return new xo((function(){if(o===n)return{value:void 0,done:!0};var i=r[t?n-++o:o++];return ko(e,i[0],i[1])}))}return this.__iteratorUncached(e,t)},t}(vo),Go=function(e){function t(e){return null==e?Qo().toKeyedSeq():uo(e)?po(e)?e.toSeq():e.fromEntrySeq():To(e)?e.toSeq():Xo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toKeyedSeq=function(){return this},t}(qo),Ko=function(e){function t(e){return null==e?Qo():uo(e)?po(e)?e.entrySeq():e.toIndexedSeq():To(e)?e.toSeq().entrySeq():Jo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return t(arguments)},t.prototype.toIndexedSeq=function(){return this},t.prototype.toString=function(){return this.__toString("Seq [","]")},t}(qo),Wo=function(e){function t(e){return(uo(e)&&!go(e)?e:Ko(e)).toSetSeq()}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return t(arguments)},t.prototype.toSetSeq=function(){return this},t}(qo);qo.isSeq=Oo,qo.Keyed=Go,qo.Set=Wo,qo.Indexed=Ko,qo.prototype[Eo]=!0;var zo=function(e){function t(e){this._array=e,this.size=e.length}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return this.has(e)?this._array[to(this,e)]:t},t.prototype.__iterate=function(e,t){for(var r=this._array,n=r.length,o=0;o!==n;){var i=t?n-++o:o++;if(!1===e(r[i],i,this))break}return o},t.prototype.__iterator=function(e,t){var r=this._array,n=r.length,o=0;return new xo((function(){if(o===n)return{value:void 0,done:!0};var i=t?n-++o:o++;return ko(e,i,r[i])}))},t}(Ko),Ho=function(e){function t(e){var t=Object.keys(e).concat(Object.getOwnPropertySymbols?Object.getOwnPropertySymbols(e):[]);this._object=e,this._keys=t,this.size=t.length}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return void 0===t||this.has(e)?this._object[e]:t},t.prototype.has=function(e){return Uo.call(this._object,e)},t.prototype.__iterate=function(e,t){for(var r=this._object,n=this._keys,o=n.length,i=0;i!==o;){var a=n[t?o-++i:i++];if(!1===e(r[a],a,this))break}return i},t.prototype.__iterator=function(e,t){var r=this._object,n=this._keys,o=n.length,i=0;return new xo((function(){if(i===o)return{value:void 0,done:!0};var a=n[t?o-++i:i++];return ko(e,a,r[a])}))},t}(Go);Ho.prototype[wo]=!0;var $o,Yo=function(e){function t(e){this._collection=e,this.size=e.length||e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.__iterateUncached=function(e,t){if(t)return this.cacheResult().__iterate(e,t);var r=Mo(this._collection),n=0;if(jo(r))for(var o;!(o=r.next()).done&&!1!==e(o.value,n++,this););return n},t.prototype.__iteratorUncached=function(e,t){if(t)return this.cacheResult().__iterator(e,t);var r=Mo(this._collection);if(!jo(r))return new xo(Fo);var n=0;return new xo((function(){var t=r.next();return t.done?t:ko(e,n++,t.value)}))},t}(Ko);function Qo(){return $o||($o=new zo([]))}function Xo(e){var t=Zo(e);if(t)return t.fromEntrySeq();if("object"==typeof e)return new Ho(e);throw new TypeError("Expected Array or collection object of [k, v] entries, or keyed object: "+e)}function Jo(e){var t=Zo(e);if(t)return t;throw new TypeError("Expected Array or collection object of values: "+e)}function Zo(e){return Bo(e)?new zo(e):Do(e)?new Yo(e):void 0}var ei="@@__IMMUTABLE_MAP__@@";function ti(e){return Boolean(e&&e[ei])}function ri(e){return ti(e)&&Ro(e)}function ni(e){return Boolean(e&&"function"==typeof e.equals&&"function"==typeof e.hashCode)}function oi(e,t){if(e===t||e!=e&&t!=t)return!0;if(!e||!t)return!1;if("function"==typeof e.valueOf&&"function"==typeof t.valueOf){if((e=e.valueOf())===(t=t.valueOf())||e!=e&&t!=t)return!0;if(!e||!t)return!1}return!!(ni(e)&&ni(t)&&e.equals(t))}var ii="function"==typeof Math.imul&&-2===Math.imul(4294967295,2)?Math.imul:function(e,t){var r=65535&(e|=0),n=65535&(t|=0);return r*n+((e>>>16)*n+r*(t>>>16)<<16>>>0)|0};function ai(e){return e>>>1&1073741824|3221225471&e}var li=Object.prototype.valueOf;function si(e){if(null==e)return ui(e);if("function"==typeof e.hashCode)return ai(e.hashCode(e));var t,r,n,o=(t=e).valueOf!==li&&"function"==typeof t.valueOf?t.valueOf(t):t;if(null==o)return ui(o);switch(typeof o){case"boolean":return o?1108378657:1108378656;case"number":return function(e){if(e!=e||e===1/0)return 0;var t=0|e;for(t!==e&&(t^=4294967295*e);e>4294967295;)t^=e/=4294967295;return ai(t)}(o);case"string":return o.length>bi?(void 0===(n=Si[r=o])&&(n=ci(r),Oi===Ei&&(Oi=0,Si={}),Oi++,Si[r]=n),n):ci(o);case"object":case"function":return function(e){var t;if(gi&&void 0!==(t=hi.get(e)))return t;if(void 0!==(t=e[mi]))return t;if(!pi){if(void 0!==(t=e.propertyIsEnumerable&&e.propertyIsEnumerable[mi]))return t;if(void 0!==(t=function(e){if(e&&e.nodeType>0)switch(e.nodeType){case 1:return e.uniqueID;case 9:return e.documentElement&&e.documentElement.uniqueID}}(e)))return t}if(t=fi(),gi)hi.set(e,t);else{if(void 0!==di&&!1===di(e))throw new Error("Non-extensible objects are not allowed as keys.");if(pi)Object.defineProperty(e,mi,{enumerable:!1,configurable:!1,writable:!1,value:t});else if(void 0!==e.propertyIsEnumerable&&e.propertyIsEnumerable===e.constructor.prototype.propertyIsEnumerable)e.propertyIsEnumerable=function(){return this.constructor.prototype.propertyIsEnumerable.apply(this,arguments)},e.propertyIsEnumerable[mi]=t;else{if(void 0===e.nodeType)throw new Error("Unable to set a non-enumerable property on object.");e[mi]=t}}return t}(o);case"symbol":return function(e){var t=vi[e];return void 0!==t||(t=fi(),vi[e]=t),t}(o);default:if("function"==typeof o.toString)return ci(o.toString());throw new Error("Value type "+typeof o+" cannot be hashed.")}}function ui(e){return null===e?1108378658:1108378659}function ci(e){for(var t=0,r=0;r<e.length;r++)t=31*t+e.charCodeAt(r)|0;return ai(t)}var di=Object.isExtensible,pi=function(){try{return Object.defineProperty({},"@",{}),!0}catch(e){return!1}}();function fi(){var e=++yi;return 1073741824&yi&&(yi=0),e}var hi,gi="function"==typeof WeakMap;gi&&(hi=new WeakMap);var vi=Object.create(null),yi=0,mi="__immutablehash__";"function"==typeof Symbol&&(mi=Symbol(mi));var bi=16,Ei=255,Oi=0,Si={},Ti=function(e){function t(e,t){this._iter=e,this._useKeys=t,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return this._iter.get(e,t)},t.prototype.has=function(e){return this._iter.has(e)},t.prototype.valueSeq=function(){return this._iter.valueSeq()},t.prototype.reverse=function(){var e=this,t=Ci(this,!0);return this._useKeys||(t.valueSeq=function(){return e._iter.toSeq().reverse()}),t},t.prototype.map=function(e,t){var r=this,n=Ii(this,e,t);return this._useKeys||(n.valueSeq=function(){return r._iter.toSeq().map(e,t)}),n},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t,n){return e(t,n,r)}),t)},t.prototype.__iterator=function(e,t){return this._iter.__iterator(e,t)},t}(Go);Ti.prototype[wo]=!0;var _i=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.includes=function(e){return this._iter.includes(e)},t.prototype.__iterate=function(e,t){var r=this,n=0;return t&&eo(this),this._iter.__iterate((function(o){return e(o,t?r.size-++n:n++,r)}),t)},t.prototype.__iterator=function(e,t){var r=this,n=this._iter.__iterator(Io,t),o=0;return t&&eo(this),new xo((function(){var i=n.next();return i.done?i:ko(e,t?r.size-++o:o++,i.value,i)}))},t}(Ko),wi=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.has=function(e){return this._iter.includes(e)},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t){return e(t,t,r)}),t)},t.prototype.__iterator=function(e,t){var r=this._iter.__iterator(Io,t);return new xo((function(){var t=r.next();return t.done?t:ko(e,t.value,t.value,t)}))},t}(Wo),Ri=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.entrySeq=function(){return this._iter.toSeq()},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t){if(t){Vi(t);var n=uo(t);return e(n?t.get(1):t[1],n?t.get(0):t[0],r)}}),t)},t.prototype.__iterator=function(e,t){var r=this._iter.__iterator(Io,t);return new xo((function(){for(;;){var t=r.next();if(t.done)return t;var n=t.value;if(n){Vi(n);var o=uo(n);return ko(e,o?n.get(0):n[0],o?n.get(1):n[1],t)}}}))},t}(Go);function Ai(e){var t=Bi(e);return t._iter=e,t.size=e.size,t.flip=function(){return e},t.reverse=function(){var t=e.reverse.apply(this);return t.flip=function(){return e.reverse()},t},t.has=function(t){return e.includes(t)},t.includes=function(t){return e.has(t)},t.cacheResult=qi,t.__iterateUncached=function(t,r){var n=this;return e.__iterate((function(e,r){return!1!==t(r,e,n)}),r)},t.__iteratorUncached=function(t,r){if(t===Co){var n=e.__iterator(t,r);return new xo((function(){var e=n.next();if(!e.done){var t=e.value[0];e.value[0]=e.value[1],e.value[1]=t}return e}))}return e.__iterator(t===Io?Ao:Io,r)},t}function Ii(e,t,r){var n=Bi(e);return n.size=e.size,n.has=function(t){return e.has(t)},n.get=function(n,o){var i=e.get(n,Xn);return i===Xn?o:t.call(r,i,n,e)},n.__iterateUncached=function(n,o){var i=this;return e.__iterate((function(e,o,a){return!1!==n(t.call(r,e,o,a),o,i)}),o)},n.__iteratorUncached=function(n,o){var i=e.__iterator(Co,o);return new xo((function(){var o=i.next();if(o.done)return o;var a=o.value,l=a[0];return ko(n,l,t.call(r,a[1],l,e),o)}))},n}function Ci(e,t){var r=this,n=Bi(e);return n._iter=e,n.size=e.size,n.reverse=function(){return e},e.flip&&(n.flip=function(){var t=Ai(e);return t.reverse=function(){return e.flip()},t}),n.get=function(r,n){return e.get(t?r:-1-r,n)},n.has=function(r){return e.has(t?r:-1-r)},n.includes=function(t){return e.includes(t)},n.cacheResult=qi,n.__iterate=function(r,n){var o=this,i=0;return n&&eo(e),e.__iterate((function(e,a){return r(e,t?a:n?o.size-++i:i++,o)}),!n)},n.__iterator=function(n,o){var i=0;o&&eo(e);var a=e.__iterator(Co,!o);return new xo((function(){var e=a.next();if(e.done)return e;var l=e.value;return ko(n,t?l[0]:o?r.size-++i:i++,l[1],e)}))},n}function Ni(e,t,r,n){var o=Bi(e);return n&&(o.has=function(n){var o=e.get(n,Xn);return o!==Xn&&!!t.call(r,o,n,e)},o.get=function(n,o){var i=e.get(n,Xn);return i!==Xn&&t.call(r,i,n,e)?i:o}),o.__iterateUncached=function(o,i){var a=this,l=0;return e.__iterate((function(e,i,s){if(t.call(r,e,i,s))return l++,o(e,n?i:l-1,a)}),i),l},o.__iteratorUncached=function(o,i){var a=e.__iterator(Co,i),l=0;return new xo((function(){for(;;){var i=a.next();if(i.done)return i;var s=i.value,u=s[0],c=s[1];if(t.call(r,c,u,e))return ko(o,n?u:l++,c,i)}}))},o}function Li(e,t,r,n){var o=e.size;if(no(t,r,o))return e;var i=oo(t,o),a=io(r,o);if(i!=i||a!=a)return Li(e.toSeq().cacheResult(),t,r,n);var l,s=a-i;s==s&&(l=s<0?0:s);var u=Bi(e);return u.size=0===l?l:e.size&&l||void 0,!n&&Oo(e)&&l>=0&&(u.get=function(t,r){return(t=to(this,t))>=0&&t<l?e.get(t+i,r):r}),u.__iterateUncached=function(t,r){var o=this;if(0===l)return 0;if(r)return this.cacheResult().__iterate(t,r);var a=0,s=!0,u=0;return e.__iterate((function(e,r){if(!s||!(s=a++<i))return u++,!1!==t(e,n?r:u-1,o)&&u!==l})),u},u.__iteratorUncached=function(t,r){if(0!==l&&r)return this.cacheResult().__iterator(t,r);if(0===l)return new xo(Fo);var o=e.__iterator(t,r),a=0,s=0;return new xo((function(){for(;a++<i;)o.next();if(++s>l)return{value:void 0,done:!0};var e=o.next();return n||t===Io||e.done?e:ko(t,s-1,t===Ao?void 0:e.value[1],e)}))},u}function Pi(e,t,r,n){var o=Bi(e);return o.__iterateUncached=function(o,i){var a=this;if(i)return this.cacheResult().__iterate(o,i);var l=!0,s=0;return e.__iterate((function(e,i,u){if(!l||!(l=t.call(r,e,i,u)))return s++,o(e,n?i:s-1,a)})),s},o.__iteratorUncached=function(o,i){var a=this;if(i)return this.cacheResult().__iterator(o,i);var l=e.__iterator(Co,i),s=!0,u=0;return new xo((function(){var e,i,c;do{if((e=l.next()).done)return n||o===Io?e:ko(o,u++,o===Ao?void 0:e.value[1],e);var d=e.value;i=d[0],c=d[1],s&&(s=t.call(r,c,i,a))}while(s);return o===Co?e:ko(o,i,c,e)}))},o}function xi(e,t,r){var n=Bi(e);return n.__iterateUncached=function(o,i){if(i)return this.cacheResult().__iterate(o,i);var a=0,l=!1;return function e(s,u){s.__iterate((function(i,s){return(!t||u<t)&&uo(i)?e(i,u+1):(a++,!1===o(i,r?s:a-1,n)&&(l=!0)),!l}),i)}(e,0),a},n.__iteratorUncached=function(n,o){if(o)return this.cacheResult().__iterator(n,o);var i=e.__iterator(n,o),a=[],l=0;return new xo((function(){for(;i;){var e=i.next();if(!1===e.done){var s=e.value;if(n===Co&&(s=s[1]),t&&!(a.length<t)||!uo(s))return r?e:ko(n,l++,s,e);a.push(i),i=s.__iterator(n,o)}else i=a.pop()}return{value:void 0,done:!0}}))},n}function ki(e,t,r){t||(t=Gi);var n=po(e),o=0,i=e.toSeq().map((function(t,n){return[n,t,o++,r?r(t,n,e):t]})).valueSeq().toArray();return i.sort((function(e,r){return t(e[3],r[3])||e[2]-r[2]})).forEach(n?function(e,t){i[t].length=2}:function(e,t){i[t]=e[1]}),n?Go(i):ho(e)?Ko(i):Wo(i)}function Fi(e,t,r){if(t||(t=Gi),r){var n=e.toSeq().map((function(t,n){return[t,r(t,n,e)]})).reduce((function(e,r){return Di(t,e[1],r[1])?r:e}));return n&&n[0]}return e.reduce((function(e,r){return Di(t,e,r)?r:e}))}function Di(e,t,r){var n=e(r,t);return 0===n&&r!==t&&(null==r||r!=r)||n>0}function ji(e,t,r,n){var o=Bi(e),i=new zo(r).map((function(e){return e.size}));return o.size=n?i.max():i.min(),o.__iterate=function(e,t){for(var r,n=this.__iterator(Io,t),o=0;!(r=n.next()).done&&!1!==e(r.value,o++,this););return o},o.__iteratorUncached=function(e,o){var i=r.map((function(e){return e=vo(e),Mo(o?e.reverse():e)})),a=0,l=!1;return new xo((function(){var r;return l||(r=i.map((function(e){return e.next()})),l=n?r.every((function(e){return e.done})):r.some((function(e){return e.done}))),l?{value:void 0,done:!0}:ko(e,a++,t.apply(null,r.map((function(e){return e.value}))))}))},o}function Mi(e,t){return e===t?e:Oo(e)?t:e.constructor(t)}function Vi(e){if(e!==Object(e))throw new TypeError("Expected [K, V] tuple: "+e)}function Ui(e){return po(e)?yo:ho(e)?mo:bo}function Bi(e){return Object.create((po(e)?Go:ho(e)?Ko:Wo).prototype)}function qi(){return this._iter.cacheResult?(this._iter.cacheResult(),this.size=this._iter.size,this):qo.prototype.cacheResult.call(this)}function Gi(e,t){return void 0===e&&void 0===t?0:void 0===e?1:void 0===t?-1:e>t?1:e<t?-1:0}function Ki(e,t){t=t||0;for(var r=Math.max(0,e.length-t),n=new Array(r),o=0;o<r;o++)n[o]=e[o+t];return n}function Wi(e,t){if(!e)throw new Error(t)}function zi(e){Wi(e!==1/0,"Cannot perform this action with an infinite size.")}function Hi(e){if(Bo(e)&&"string"!=typeof e)return e;if(Ro(e))return e.toArray();throw new TypeError("Invalid keyPath: expected Ordered Collection or Array: "+e)}_i.prototype.cacheResult=Ti.prototype.cacheResult=wi.prototype.cacheResult=Ri.prototype.cacheResult=qi;var $i=Object.prototype.toString;function Yi(e){if(!e||"object"!=typeof e||"[object Object]"!==$i.call(e))return!1;var t=Object.getPrototypeOf(e);if(null===t)return!0;for(var r=t,n=Object.getPrototypeOf(t);null!==n;)r=n,n=Object.getPrototypeOf(r);return r===t}function Qi(e){return"object"==typeof e&&(_o(e)||Array.isArray(e)||Yi(e))}function Xi(e){try{return"string"==typeof e?JSON.stringify(e):String(e)}catch(t){return JSON.stringify(e)}}function Ji(e,t){return _o(e)?e.has(t):Qi(e)&&Uo.call(e,t)}function Zi(e,t,r){return _o(e)?e.get(t,r):Ji(e,t)?"function"==typeof e.get?e.get(t):e[t]:r}function ea(e){if(Array.isArray(e))return Ki(e);var t={};for(var r in e)Uo.call(e,r)&&(t[r]=e[r]);return t}function ta(e,t){if(!Qi(e))throw new TypeError("Cannot update non-data-structure value: "+e);if(_o(e)){if(!e.remove)throw new TypeError("Cannot update immutable value without .remove() method: "+e);return e.remove(t)}if(!Uo.call(e,t))return e;var r=ea(e);return Array.isArray(r)?r.splice(t,1):delete r[t],r}function ra(e,t,r){if(!Qi(e))throw new TypeError("Cannot update non-data-structure value: "+e);if(_o(e)){if(!e.set)throw new TypeError("Cannot update immutable value without .set() method: "+e);return e.set(t,r)}if(Uo.call(e,t)&&r===e[t])return e;var n=ea(e);return n[t]=r,n}function na(e,t,r,n){n||(n=r,r=void 0);var o=oa(_o(e),e,Hi(t),0,r,n);return o===Xn?r:o}function oa(e,t,r,n,o,i){var a=t===Xn;if(n===r.length){var l=a?o:t,s=i(l);return s===l?t:s}if(!a&&!Qi(t))throw new TypeError("Cannot update within non-data-structure value in path ["+r.slice(0,n).map(Xi)+"]: "+t);var u=r[n],c=a?Xn:Zi(t,u,Xn),d=oa(c===Xn?e:_o(c),c,r,n+1,o,i);return d===c?t:d===Xn?ta(t,u):ra(a?e?ja():{}:t,u,d)}function ia(e,t,r){return na(e,t,Xn,(function(){return r}))}function aa(e,t){return ia(this,e,t)}function la(e,t){return na(e,t,(function(){return Xn}))}function sa(e){return la(this,e)}function ua(e,t,r,n){return na(e,[t],r,n)}function ca(e,t,r){return 1===arguments.length?e(this):ua(this,e,t,r)}function da(e,t,r){return na(this,e,t,r)}function pa(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return ha(this,e)}function fa(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];if("function"!=typeof e)throw new TypeError("Invalid merger function: "+e);return ha(this,t,e)}function ha(e,t,r){for(var n=[],o=0;o<t.length;o++){var i=yo(t[o]);0!==i.size&&n.push(i)}return 0===n.length?e:0!==e.toSeq().size||e.__ownerID||1!==n.length?e.withMutations((function(e){for(var t=r?function(t,n){ua(e,n,Xn,(function(e){return e===Xn?t:r(e,t,n)}))}:function(t,r){e.set(r,t)},o=0;o<n.length;o++)n[o].forEach(t)})):e.constructor(n[0])}function ga(e,t,r){return va(e,t,function(e){return function t(r,n,o){return Qi(r)&&Qi(n)&&(i=n,a=qo(r),l=qo(i),ho(a)===ho(l)&&po(a)===po(l))?va(r,[n],t):e?e(r,n,o):n;var i,a,l}}(r))}function va(e,t,r){if(!Qi(e))throw new TypeError("Cannot merge into non-data-structure value: "+e);if(_o(e))return"function"==typeof r&&e.mergeWith?e.mergeWith.apply(e,[r].concat(t)):e.merge?e.merge.apply(e,t):e.concat.apply(e,t);for(var n=Array.isArray(e),o=e,i=n?mo:yo,a=n?function(t){o===e&&(o=ea(o)),o.push(t)}:function(t,n){var i=Uo.call(o,n),a=i&&r?r(o[n],t,n):t;i&&a===o[n]||(o===e&&(o=ea(o)),o[n]=a)},l=0;l<t.length;l++)i(t[l]).forEach(a);return o}function ya(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return ga(this,e)}function ma(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return ga(this,t,e)}function ba(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return na(this,e,ja(),(function(e){return va(e,t)}))}function Ea(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return na(this,e,ja(),(function(e){return ga(e,t)}))}function Oa(e){var t=this.asMutable();return e(t),t.wasAltered()?t.__ensureOwner(this.__ownerID):this}function Sa(){return this.__ownerID?this:this.__ensureOwner(new Zn)}function Ta(){return this.__ensureOwner()}function _a(){return this.__altered}var wa=function(e){function t(t){return null==t?ja():ti(t)&&!Ro(t)?t:ja().withMutations((function(r){var n=e(t);zi(n.size),n.forEach((function(e,t){return r.set(t,e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return ja().withMutations((function(t){for(var r=0;r<e.length;r+=2){if(r+1>=e.length)throw new Error("Missing value for key: "+e[r]);t.set(e[r],e[r+1])}}))},t.prototype.toString=function(){return this.__toString("Map {","}")},t.prototype.get=function(e,t){return this._root?this._root.get(0,void 0,e,t):t},t.prototype.set=function(e,t){return Ma(this,e,t)},t.prototype.remove=function(e){return Ma(this,e,Xn)},t.prototype.deleteAll=function(e){var t=vo(e);return 0===t.size?this:this.withMutations((function(e){t.forEach((function(t){return e.remove(t)}))}))},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._root=null,this.__hash=void 0,this.__altered=!0,this):ja()},t.prototype.sort=function(e){return ul(ki(this,e))},t.prototype.sortBy=function(e,t){return ul(ki(this,t,e))},t.prototype.map=function(e,t){var r=this;return this.withMutations((function(n){n.forEach((function(o,i){n.set(i,e.call(t,o,i,r))}))}))},t.prototype.__iterator=function(e,t){return new xa(this,e,t)},t.prototype.__iterate=function(e,t){var r=this,n=0;return this._root&&this._root.iterate((function(t){return n++,e(t[1],t[0],r)}),t),n},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?Da(this.size,this._root,e,this.__hash):0===this.size?ja():(this.__ownerID=e,this.__altered=!1,this)},t}(yo);wa.isMap=ti;var Ra=wa.prototype;Ra[ei]=!0,Ra[Hn]=Ra.remove,Ra.removeAll=Ra.deleteAll,Ra.setIn=aa,Ra.removeIn=Ra.deleteIn=sa,Ra.update=ca,Ra.updateIn=da,Ra.merge=Ra.concat=pa,Ra.mergeWith=fa,Ra.mergeDeep=ya,Ra.mergeDeepWith=ma,Ra.mergeIn=ba,Ra.mergeDeepIn=Ea,Ra.withMutations=Oa,Ra.wasAltered=_a,Ra.asImmutable=Ta,Ra["@@transducer/init"]=Ra.asMutable=Sa,Ra["@@transducer/step"]=function(e,t){return e.set(t[0],t[1])},Ra["@@transducer/result"]=function(e){return e.asImmutable()};var Aa=function(e,t){this.ownerID=e,this.entries=t};Aa.prototype.get=function(e,t,r,n){for(var o=this.entries,i=0,a=o.length;i<a;i++)if(oi(r,o[i][0]))return o[i][1];return n},Aa.prototype.update=function(e,t,r,n,o,i,a){for(var l=o===Xn,s=this.entries,u=0,c=s.length;u<c&&!oi(n,s[u][0]);u++);var d=u<c;if(d?s[u][1]===o:l)return this;if(Jn(a),(l||!d)&&Jn(i),!l||1!==s.length){if(!d&&!l&&s.length>=Ka)return function(e,t,r,n){e||(e=new Zn);for(var o=new La(e,si(r),[r,n]),i=0;i<t.length;i++){var a=t[i];o=o.update(e,0,void 0,a[0],a[1])}return o}(e,s,n,o);var p=e&&e===this.ownerID,f=p?s:Ki(s);return d?l?u===c-1?f.pop():f[u]=f.pop():f[u]=[n,o]:f.push([n,o]),p?(this.entries=f,this):new Aa(e,f)}};var Ia=function(e,t,r){this.ownerID=e,this.bitmap=t,this.nodes=r};Ia.prototype.get=function(e,t,r,n){void 0===t&&(t=si(r));var o=1<<((0===e?t:t>>>e)&Qn),i=this.bitmap;return i&o?this.nodes[qa(i&o-1)].get(e+$n,t,r,n):n},Ia.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=si(n));var l=(0===t?r:r>>>t)&Qn,s=1<<l,u=this.bitmap,c=!!(u&s);if(!c&&o===Xn)return this;var d=qa(u&s-1),p=this.nodes,f=c?p[d]:void 0,h=Va(f,e,t+$n,r,n,o,i,a);if(h===f)return this;if(!c&&h&&p.length>=Wa)return function(e,t,r,n,o){for(var i=0,a=new Array(Yn),l=0;0!==r;l++,r>>>=1)a[l]=1&r?t[i++]:void 0;return a[n]=o,new Ca(e,i+1,a)}(e,p,u,l,h);if(c&&!h&&2===p.length&&Ua(p[1^d]))return p[1^d];if(c&&h&&1===p.length&&Ua(h))return h;var g=e&&e===this.ownerID,v=c?h?u:u^s:u|s,y=c?h?Ga(p,d,h,g):function(e,t,r){var n=e.length-1;if(r&&t===n)return e.pop(),e;for(var o=new Array(n),i=0,a=0;a<n;a++)a===t&&(i=1),o[a]=e[a+i];return o}(p,d,g):function(e,t,r,n){var o=e.length+1;if(n&&t+1===o)return e[t]=r,e;for(var i=new Array(o),a=0,l=0;l<o;l++)l===t?(i[l]=r,a=-1):i[l]=e[l+a];return i}(p,d,h,g);return g?(this.bitmap=v,this.nodes=y,this):new Ia(e,v,y)};var Ca=function(e,t,r){this.ownerID=e,this.count=t,this.nodes=r};Ca.prototype.get=function(e,t,r,n){void 0===t&&(t=si(r));var o=(0===e?t:t>>>e)&Qn,i=this.nodes[o];return i?i.get(e+$n,t,r,n):n},Ca.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=si(n));var l=(0===t?r:r>>>t)&Qn,s=o===Xn,u=this.nodes,c=u[l];if(s&&!c)return this;var d=Va(c,e,t+$n,r,n,o,i,a);if(d===c)return this;var p=this.count;if(c){if(!d&&--p<za)return function(e,t,r,n){for(var o=0,i=0,a=new Array(r),l=0,s=1,u=t.length;l<u;l++,s<<=1){var c=t[l];void 0!==c&&l!==n&&(o|=s,a[i++]=c)}return new Ia(e,o,a)}(e,u,p,l)}else p++;var f=e&&e===this.ownerID,h=Ga(u,l,d,f);return f?(this.count=p,this.nodes=h,this):new Ca(e,p,h)};var Na=function(e,t,r){this.ownerID=e,this.keyHash=t,this.entries=r};Na.prototype.get=function(e,t,r,n){for(var o=this.entries,i=0,a=o.length;i<a;i++)if(oi(r,o[i][0]))return o[i][1];return n},Na.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=si(n));var l=o===Xn;if(r!==this.keyHash)return l?this:(Jn(a),Jn(i),Ba(this,e,t,r,[n,o]));for(var s=this.entries,u=0,c=s.length;u<c&&!oi(n,s[u][0]);u++);var d=u<c;if(d?s[u][1]===o:l)return this;if(Jn(a),(l||!d)&&Jn(i),l&&2===c)return new La(e,this.keyHash,s[1^u]);var p=e&&e===this.ownerID,f=p?s:Ki(s);return d?l?u===c-1?f.pop():f[u]=f.pop():f[u]=[n,o]:f.push([n,o]),p?(this.entries=f,this):new Na(e,this.keyHash,f)};var La=function(e,t,r){this.ownerID=e,this.keyHash=t,this.entry=r};La.prototype.get=function(e,t,r,n){return oi(r,this.entry[0])?this.entry[1]:n},La.prototype.update=function(e,t,r,n,o,i,a){var l=o===Xn,s=oi(n,this.entry[0]);return(s?o===this.entry[1]:l)?this:(Jn(a),l?void Jn(i):s?e&&e===this.ownerID?(this.entry[1]=o,this):new La(e,this.keyHash,[n,o]):(Jn(i),Ba(this,e,t,si(n),[n,o])))},Aa.prototype.iterate=Na.prototype.iterate=function(e,t){for(var r=this.entries,n=0,o=r.length-1;n<=o;n++)if(!1===e(r[t?o-n:n]))return!1},Ia.prototype.iterate=Ca.prototype.iterate=function(e,t){for(var r=this.nodes,n=0,o=r.length-1;n<=o;n++){var i=r[t?o-n:n];if(i&&!1===i.iterate(e,t))return!1}},La.prototype.iterate=function(e,t){return e(this.entry)};var Pa,xa=function(e){function t(e,t,r){this._type=t,this._reverse=r,this._stack=e._root&&Fa(e._root)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.next=function(){for(var e=this._type,t=this._stack;t;){var r=t.node,n=t.index++,o=void 0;if(r.entry){if(0===n)return ka(e,r.entry)}else if(r.entries){if(n<=(o=r.entries.length-1))return ka(e,r.entries[this._reverse?o-n:n])}else if(n<=(o=r.nodes.length-1)){var i=r.nodes[this._reverse?o-n:n];if(i){if(i.entry)return ka(e,i.entry);t=this._stack=Fa(i,t)}continue}t=this._stack=this._stack.__prev}return{value:void 0,done:!0}},t}(xo);function ka(e,t){return ko(e,t[0],t[1])}function Fa(e,t){return{node:e,index:0,__prev:t}}function Da(e,t,r,n){var o=Object.create(Ra);return o.size=e,o._root=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function ja(){return Pa||(Pa=Da(0))}function Ma(e,t,r){var n,o;if(e._root){var i={value:!1},a={value:!1};if(n=Va(e._root,e.__ownerID,0,void 0,t,r,i,a),!a.value)return e;o=e.size+(i.value?r===Xn?-1:1:0)}else{if(r===Xn)return e;o=1,n=new Aa(e.__ownerID,[[t,r]])}return e.__ownerID?(e.size=o,e._root=n,e.__hash=void 0,e.__altered=!0,e):n?Da(o,n):ja()}function Va(e,t,r,n,o,i,a,l){return e?e.update(t,r,n,o,i,a,l):i===Xn?e:(Jn(l),Jn(a),new La(t,n,[o,i]))}function Ua(e){return e.constructor===La||e.constructor===Na}function Ba(e,t,r,n,o){if(e.keyHash===n)return new Na(t,n,[e.entry,o]);var i,a=(0===r?e.keyHash:e.keyHash>>>r)&Qn,l=(0===r?n:n>>>r)&Qn,s=a===l?[Ba(e,t,r+$n,n,o)]:(i=new La(t,n,o),a<l?[e,i]:[i,e]);return new Ia(t,1<<a|1<<l,s)}function qa(e){return e=(e=(858993459&(e-=e>>1&1431655765))+(e>>2&858993459))+(e>>4)&252645135,127&(e+=e>>8)+(e>>16)}function Ga(e,t,r,n){var o=n?e:Ki(e);return o[t]=r,o}var Ka=Yn/4,Wa=Yn/2,za=Yn/4,Ha="@@__IMMUTABLE_LIST__@@";function $a(e){return Boolean(e&&e[Ha])}var Ya=function(e){function t(t){var r=rl();if(null==t)return r;if($a(t))return t;var n=e(t),o=n.size;return 0===o?r:(zi(o),o>0&&o<Yn?tl(0,o,$n,null,new Xa(n.toArray())):r.withMutations((function(e){e.setSize(o),n.forEach((function(t,r){return e.set(r,t)}))})))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("List [","]")},t.prototype.get=function(e,t){if((e=to(this,e))>=0&&e<this.size){var r=il(this,e+=this._origin);return r&&r.array[e&Qn]}return t},t.prototype.set=function(e,t){return function(e,t,r){if((t=to(e,t))!=t)return e;if(t>=e.size||t<0)return e.withMutations((function(e){t<0?al(e,t).set(0,r):al(e,0,t+1).set(t,r)}));t+=e._origin;var n=e._tail,o=e._root,i={value:!1};return t>=ll(e._capacity)?n=nl(n,e.__ownerID,0,t,r,i):o=nl(o,e.__ownerID,e._level,t,r,i),i.value?e.__ownerID?(e._root=o,e._tail=n,e.__hash=void 0,e.__altered=!0,e):tl(e._origin,e._capacity,e._level,o,n):e}(this,e,t)},t.prototype.remove=function(e){return this.has(e)?0===e?this.shift():e===this.size-1?this.pop():this.splice(e,1):this},t.prototype.insert=function(e,t){return this.splice(e,0,t)},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=this._origin=this._capacity=0,this._level=$n,this._root=this._tail=this.__hash=void 0,this.__altered=!0,this):rl()},t.prototype.push=function(){var e=arguments,t=this.size;return this.withMutations((function(r){al(r,0,t+e.length);for(var n=0;n<e.length;n++)r.set(t+n,e[n])}))},t.prototype.pop=function(){return al(this,0,-1)},t.prototype.unshift=function(){var e=arguments;return this.withMutations((function(t){al(t,-e.length);for(var r=0;r<e.length;r++)t.set(r,e[r])}))},t.prototype.shift=function(){return al(this,1)},t.prototype.concat=function(){for(var t=arguments,r=[],n=0;n<arguments.length;n++){var o=t[n],i=e("string"!=typeof o&&Do(o)?o:[o]);0!==i.size&&r.push(i)}return 0===r.length?this:0!==this.size||this.__ownerID||1!==r.length?this.withMutations((function(e){r.forEach((function(t){return t.forEach((function(t){return e.push(t)}))}))})):this.constructor(r[0])},t.prototype.setSize=function(e){return al(this,0,e)},t.prototype.map=function(e,t){var r=this;return this.withMutations((function(n){for(var o=0;o<r.size;o++)n.set(o,e.call(t,n.get(o),o,r))}))},t.prototype.slice=function(e,t){var r=this.size;return no(e,t,r)?this:al(this,oo(e,r),io(t,r))},t.prototype.__iterator=function(e,t){var r=t?this.size:0,n=el(this,t);return new xo((function(){var o=n();return o===Za?{value:void 0,done:!0}:ko(e,t?--r:r++,o)}))},t.prototype.__iterate=function(e,t){for(var r,n=t?this.size:0,o=el(this,t);(r=o())!==Za&&!1!==e(r,t?--n:n++,this););return n},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?tl(this._origin,this._capacity,this._level,this._root,this._tail,e,this.__hash):0===this.size?rl():(this.__ownerID=e,this.__altered=!1,this)},t}(mo);Ya.isList=$a;var Qa=Ya.prototype;Qa[Ha]=!0,Qa[Hn]=Qa.remove,Qa.merge=Qa.concat,Qa.setIn=aa,Qa.deleteIn=Qa.removeIn=sa,Qa.update=ca,Qa.updateIn=da,Qa.mergeIn=ba,Qa.mergeDeepIn=Ea,Qa.withMutations=Oa,Qa.wasAltered=_a,Qa.asImmutable=Ta,Qa["@@transducer/init"]=Qa.asMutable=Sa,Qa["@@transducer/step"]=function(e,t){return e.push(t)},Qa["@@transducer/result"]=function(e){return e.asImmutable()};var Xa=function(e,t){this.array=e,this.ownerID=t};Xa.prototype.removeBefore=function(e,t,r){if(r===t?1<<t:0===this.array.length)return this;var n=r>>>t&Qn;if(n>=this.array.length)return new Xa([],e);var o,i=0===n;if(t>0){var a=this.array[n];if((o=a&&a.removeBefore(e,t-$n,r))===a&&i)return this}if(i&&!o)return this;var l=ol(this,e);if(!i)for(var s=0;s<n;s++)l.array[s]=void 0;return o&&(l.array[n]=o),l},Xa.prototype.removeAfter=function(e,t,r){if(r===(t?1<<t:0)||0===this.array.length)return this;var n,o=r-1>>>t&Qn;if(o>=this.array.length)return this;if(t>0){var i=this.array[o];if((n=i&&i.removeAfter(e,t-$n,r))===i&&o===this.array.length-1)return this}var a=ol(this,e);return a.array.splice(o+1),n&&(a.array[o]=n),a};var Ja,Za={};function el(e,t){var r=e._origin,n=e._capacity,o=ll(n),i=e._tail;return function e(a,l,s){return 0===l?function(e,a){var l=a===o?i&&i.array:e&&e.array,s=a>r?0:r-a,u=n-a;return u>Yn&&(u=Yn),function(){if(s===u)return Za;var e=t?--u:s++;return l&&l[e]}}(a,s):function(o,i,a){var l,s=o&&o.array,u=a>r?0:r-a>>i,c=1+(n-a>>i);return c>Yn&&(c=Yn),function(){for(;;){if(l){var r=l();if(r!==Za)return r;l=null}if(u===c)return Za;var n=t?--c:u++;l=e(s&&s[n],i-$n,a+(n<<i))}}}(a,l,s)}(e._root,e._level,0)}function tl(e,t,r,n,o,i,a){var l=Object.create(Qa);return l.size=t-e,l._origin=e,l._capacity=t,l._level=r,l._root=n,l._tail=o,l.__ownerID=i,l.__hash=a,l.__altered=!1,l}function rl(){return Ja||(Ja=tl(0,0,$n))}function nl(e,t,r,n,o,i){var a,l=n>>>r&Qn,s=e&&l<e.array.length;if(!s&&void 0===o)return e;if(r>0){var u=e&&e.array[l],c=nl(u,t,r-$n,n,o,i);return c===u?e:((a=ol(e,t)).array[l]=c,a)}return s&&e.array[l]===o?e:(i&&Jn(i),a=ol(e,t),void 0===o&&l===a.array.length-1?a.array.pop():a.array[l]=o,a)}function ol(e,t){return t&&e&&t===e.ownerID?e:new Xa(e?e.array.slice():[],t)}function il(e,t){if(t>=ll(e._capacity))return e._tail;if(t<1<<e._level+$n){for(var r=e._root,n=e._level;r&&n>0;)r=r.array[t>>>n&Qn],n-=$n;return r}}function al(e,t,r){void 0!==t&&(t|=0),void 0!==r&&(r|=0);var n=e.__ownerID||new Zn,o=e._origin,i=e._capacity,a=o+t,l=void 0===r?i:r<0?i+r:o+r;if(a===o&&l===i)return e;if(a>=l)return e.clear();for(var s=e._level,u=e._root,c=0;a+c<0;)u=new Xa(u&&u.array.length?[void 0,u]:[],n),c+=1<<(s+=$n);c&&(a+=c,o+=c,l+=c,i+=c);for(var d=ll(i),p=ll(l);p>=1<<s+$n;)u=new Xa(u&&u.array.length?[u]:[],n),s+=$n;var f=e._tail,h=p<d?il(e,l-1):p>d?new Xa([],n):f;if(f&&p>d&&a<i&&f.array.length){for(var g=u=ol(u,n),v=s;v>$n;v-=$n){var y=d>>>v&Qn;g=g.array[y]=ol(g.array[y],n)}g.array[d>>>$n&Qn]=f}if(l<i&&(h=h&&h.removeAfter(n,0,l)),a>=p)a-=p,l-=p,s=$n,u=null,h=h&&h.removeBefore(n,0,a);else if(a>o||p<d){for(c=0;u;){var m=a>>>s&Qn;if(m!==p>>>s&Qn)break;m&&(c+=(1<<s)*m),s-=$n,u=u.array[m]}u&&a>o&&(u=u.removeBefore(n,s,a-c)),u&&p<d&&(u=u.removeAfter(n,s,p-c)),c&&(a-=c,l-=c)}return e.__ownerID?(e.size=l-a,e._origin=a,e._capacity=l,e._level=s,e._root=u,e._tail=h,e.__hash=void 0,e.__altered=!0,e):tl(a,l,s,u,h)}function ll(e){return e<Yn?0:e-1>>>$n<<$n}var sl,ul=function(e){function t(e){return null==e?dl():ri(e)?e:dl().withMutations((function(t){var r=yo(e);zi(r.size),r.forEach((function(e,r){return t.set(r,e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("OrderedMap {","}")},t.prototype.get=function(e,t){var r=this._map.get(e);return void 0!==r?this._list.get(r)[1]:t},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._map.clear(),this._list.clear(),this.__altered=!0,this):dl()},t.prototype.set=function(e,t){return pl(this,e,t)},t.prototype.remove=function(e){return pl(this,e,Xn)},t.prototype.__iterate=function(e,t){var r=this;return this._list.__iterate((function(t){return t&&e(t[1],t[0],r)}),t)},t.prototype.__iterator=function(e,t){return this._list.fromEntrySeq().__iterator(e,t)},t.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._map.__ensureOwner(e),r=this._list.__ensureOwner(e);return e?cl(t,r,e,this.__hash):0===this.size?dl():(this.__ownerID=e,this.__altered=!1,this._map=t,this._list=r,this)},t}(wa);function cl(e,t,r,n){var o=Object.create(ul.prototype);return o.size=e?e.size:0,o._map=e,o._list=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function dl(){return sl||(sl=cl(ja(),rl()))}function pl(e,t,r){var n,o,i=e._map,a=e._list,l=i.get(t),s=void 0!==l;if(r===Xn){if(!s)return e;a.size>=Yn&&a.size>=2*i.size?(n=(o=a.filter((function(e,t){return void 0!==e&&l!==t}))).toKeyedSeq().map((function(e){return e[0]})).flip().toMap(),e.__ownerID&&(n.__ownerID=o.__ownerID=e.__ownerID)):(n=i.remove(t),o=l===a.size-1?a.pop():a.set(l,void 0))}else if(s){if(r===a.get(l)[1])return e;n=i,o=a.set(l,[t,r])}else n=i.set(t,a.size),o=a.set(a.size,[t,r]);return e.__ownerID?(e.size=n.size,e._map=n,e._list=o,e.__hash=void 0,e.__altered=!0,e):cl(n,o)}ul.isOrderedMap=ri,ul.prototype[wo]=!0,ul.prototype[Hn]=ul.prototype.remove;var fl="@@__IMMUTABLE_STACK__@@";function hl(e){return Boolean(e&&e[fl])}var gl=function(e){function t(e){return null==e?bl():hl(e)?e:bl().pushAll(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("Stack [","]")},t.prototype.get=function(e,t){var r=this._head;for(e=to(this,e);r&&e--;)r=r.next;return r?r.value:t},t.prototype.peek=function(){return this._head&&this._head.value},t.prototype.push=function(){var e=arguments;if(0===arguments.length)return this;for(var t=this.size+arguments.length,r=this._head,n=arguments.length-1;n>=0;n--)r={value:e[n],next:r};return this.__ownerID?(this.size=t,this._head=r,this.__hash=void 0,this.__altered=!0,this):ml(t,r)},t.prototype.pushAll=function(t){if(0===(t=e(t)).size)return this;if(0===this.size&&hl(t))return t;zi(t.size);var r=this.size,n=this._head;return t.__iterate((function(e){r++,n={value:e,next:n}}),!0),this.__ownerID?(this.size=r,this._head=n,this.__hash=void 0,this.__altered=!0,this):ml(r,n)},t.prototype.pop=function(){return this.slice(1)},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._head=void 0,this.__hash=void 0,this.__altered=!0,this):bl()},t.prototype.slice=function(t,r){if(no(t,r,this.size))return this;var n=oo(t,this.size);if(io(r,this.size)!==this.size)return e.prototype.slice.call(this,t,r);for(var o=this.size-n,i=this._head;n--;)i=i.next;return this.__ownerID?(this.size=o,this._head=i,this.__hash=void 0,this.__altered=!0,this):ml(o,i)},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?ml(this.size,this._head,e,this.__hash):0===this.size?bl():(this.__ownerID=e,this.__altered=!1,this)},t.prototype.__iterate=function(e,t){var r=this;if(t)return new zo(this.toArray()).__iterate((function(t,n){return e(t,n,r)}),t);for(var n=0,o=this._head;o&&!1!==e(o.value,n++,this);)o=o.next;return n},t.prototype.__iterator=function(e,t){if(t)return new zo(this.toArray()).__iterator(e,t);var r=0,n=this._head;return new xo((function(){if(n){var t=n.value;return n=n.next,ko(e,r++,t)}return{value:void 0,done:!0}}))},t}(mo);gl.isStack=hl;var vl,yl=gl.prototype;function ml(e,t,r,n){var o=Object.create(yl);return o.size=e,o._head=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function bl(){return vl||(vl=ml(0))}yl[fl]=!0,yl.shift=yl.pop,yl.unshift=yl.push,yl.unshiftAll=yl.pushAll,yl.withMutations=Oa,yl.wasAltered=_a,yl.asImmutable=Ta,yl["@@transducer/init"]=yl.asMutable=Sa,yl["@@transducer/step"]=function(e,t){return e.unshift(t)},yl["@@transducer/result"]=function(e){return e.asImmutable()};var El="@@__IMMUTABLE_SET__@@";function Ol(e){return Boolean(e&&e[El])}function Sl(e){return Ol(e)&&Ro(e)}function Tl(e,t){if(e===t)return!0;if(!uo(t)||void 0!==e.size&&void 0!==t.size&&e.size!==t.size||void 0!==e.__hash&&void 0!==t.__hash&&e.__hash!==t.__hash||po(e)!==po(t)||ho(e)!==ho(t)||Ro(e)!==Ro(t))return!1;if(0===e.size&&0===t.size)return!0;var r=!go(e);if(Ro(e)){var n=e.entries();return t.every((function(e,t){var o=n.next().value;return o&&oi(o[1],e)&&(r||oi(o[0],t))}))&&n.next().done}var o=!1;if(void 0===e.size)if(void 0===t.size)"function"==typeof e.cacheResult&&e.cacheResult();else{o=!0;var i=e;e=t,t=i}var a=!0,l=t.__iterate((function(t,n){if(r?!e.has(t):o?!oi(t,e.get(n,Xn)):!oi(e.get(n,Xn),t))return a=!1,!1}));return a&&e.size===l}function _l(e,t){var r=function(r){e.prototype[r]=t[r]};return Object.keys(t).forEach(r),Object.getOwnPropertySymbols&&Object.getOwnPropertySymbols(t).forEach(r),e}function wl(e){if(!e||"object"!=typeof e)return e;if(!uo(e)){if(!Qi(e))return e;e=qo(e)}if(po(e)){var t={};return e.__iterate((function(e,r){t[r]=wl(e)})),t}var r=[];return e.__iterate((function(e){r.push(wl(e))})),r}var Rl=function(e){function t(t){return null==t?Ll():Ol(t)&&!Ro(t)?t:Ll().withMutations((function(r){var n=e(t);zi(n.size),n.forEach((function(e){return r.add(e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.fromKeys=function(e){return this(yo(e).keySeq())},t.intersect=function(e){return(e=vo(e).toArray()).length?Il.intersect.apply(t(e.pop()),e):Ll()},t.union=function(e){return(e=vo(e).toArray()).length?Il.union.apply(t(e.pop()),e):Ll()},t.prototype.toString=function(){return this.__toString("Set {","}")},t.prototype.has=function(e){return this._map.has(e)},t.prototype.add=function(e){return Cl(this,this._map.set(e,e))},t.prototype.remove=function(e){return Cl(this,this._map.remove(e))},t.prototype.clear=function(){return Cl(this,this._map.clear())},t.prototype.map=function(e,t){var r=this,n=!1,o=Cl(this,this._map.mapEntries((function(o){var i=o[1],a=e.call(t,i,i,r);return a!==i&&(n=!0),[a,a]}),t));return n?o:this},t.prototype.union=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];return 0===(t=t.filter((function(e){return 0!==e.size}))).length?this:0!==this.size||this.__ownerID||1!==t.length?this.withMutations((function(r){for(var n=0;n<t.length;n++)"string"==typeof t[n]?r.add(t[n]):e(t[n]).forEach((function(e){return r.add(e)}))})):this.constructor(t[0])},t.prototype.intersect=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];if(0===t.length)return this;t=t.map((function(t){return e(t)}));var n=[];return this.forEach((function(e){t.every((function(t){return t.includes(e)}))||n.push(e)})),this.withMutations((function(e){n.forEach((function(t){e.remove(t)}))}))},t.prototype.subtract=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];if(0===t.length)return this;t=t.map((function(t){return e(t)}));var n=[];return this.forEach((function(e){t.some((function(t){return t.includes(e)}))&&n.push(e)})),this.withMutations((function(e){n.forEach((function(t){e.remove(t)}))}))},t.prototype.sort=function(e){return Ql(ki(this,e))},t.prototype.sortBy=function(e,t){return Ql(ki(this,t,e))},t.prototype.wasAltered=function(){return this._map.wasAltered()},t.prototype.__iterate=function(e,t){var r=this;return this._map.__iterate((function(t){return e(t,t,r)}),t)},t.prototype.__iterator=function(e,t){return this._map.__iterator(e,t)},t.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._map.__ensureOwner(e);return e?this.__make(t,e):0===this.size?this.__empty():(this.__ownerID=e,this._map=t,this)},t}(bo);Rl.isSet=Ol;var Al,Il=Rl.prototype;function Cl(e,t){return e.__ownerID?(e.size=t.size,e._map=t,e):t===e._map?e:0===t.size?e.__empty():e.__make(t)}function Nl(e,t){var r=Object.create(Il);return r.size=e?e.size:0,r._map=e,r.__ownerID=t,r}function Ll(){return Al||(Al=Nl(ja()))}Il[El]=!0,Il[Hn]=Il.remove,Il.merge=Il.concat=Il.union,Il.withMutations=Oa,Il.asImmutable=Ta,Il["@@transducer/init"]=Il.asMutable=Sa,Il["@@transducer/step"]=function(e,t){return e.add(t)},Il["@@transducer/result"]=function(e){return e.asImmutable()},Il.__empty=Ll,Il.__make=Nl;var Pl,xl=function(e){function t(e,r,n){if(!(this instanceof t))return new t(e,r,n);if(Wi(0!==n,"Cannot step a Range by 0"),e=e||0,void 0===r&&(r=1/0),n=void 0===n?1:Math.abs(n),r<e&&(n=-n),this._start=e,this._end=r,this._step=n,this.size=Math.max(0,Math.ceil((r-e)/n-1)+1),0===this.size){if(Pl)return Pl;Pl=this}}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toString=function(){return 0===this.size?"Range []":"Range [ "+this._start+"..."+this._end+(1!==this._step?" by "+this._step:"")+" ]"},t.prototype.get=function(e,t){return this.has(e)?this._start+to(this,e)*this._step:t},t.prototype.includes=function(e){var t=(e-this._start)/this._step;return t>=0&&t<this.size&&t===Math.floor(t)},t.prototype.slice=function(e,r){return no(e,r,this.size)?this:(e=oo(e,this.size),(r=io(r,this.size))<=e?new t(0,0):new t(this.get(e,this._end),this.get(r,this._end),this._step))},t.prototype.indexOf=function(e){var t=e-this._start;if(t%this._step==0){var r=t/this._step;if(r>=0&&r<this.size)return r}return-1},t.prototype.lastIndexOf=function(e){return this.indexOf(e)},t.prototype.__iterate=function(e,t){for(var r=this.size,n=this._step,o=t?this._start+(r-1)*n:this._start,i=0;i!==r&&!1!==e(o,t?r-++i:i++,this);)o+=t?-n:n;return i},t.prototype.__iterator=function(e,t){var r=this.size,n=this._step,o=t?this._start+(r-1)*n:this._start,i=0;return new xo((function(){if(i===r)return{value:void 0,done:!0};var a=o;return o+=t?-n:n,ko(e,t?r-++i:i++,a)}))},t.prototype.equals=function(e){return e instanceof t?this._start===e._start&&this._end===e._end&&this._step===e._step:Tl(this,e)},t}(Ko);function kl(e,t,r){for(var n=Hi(t),o=0;o!==n.length;)if((e=Zi(e,n[o++],Xn))===Xn)return r;return e}function Fl(e,t){return kl(this,e,t)}function Dl(e,t){return kl(e,t,Xn)!==Xn}function jl(){zi(this.size);var e={};return this.__iterate((function(t,r){e[r]=t})),e}vo.isIterable=uo,vo.isKeyed=po,vo.isIndexed=ho,vo.isAssociative=go,vo.isOrdered=Ro,vo.Iterator=xo,_l(vo,{toArray:function(){zi(this.size);var e=new Array(this.size||0),t=po(this),r=0;return this.__iterate((function(n,o){e[r++]=t?[o,n]:n})),e},toIndexedSeq:function(){return new _i(this)},toJS:function(){return wl(this)},toKeyedSeq:function(){return new Ti(this,!0)},toMap:function(){return wa(this.toKeyedSeq())},toObject:jl,toOrderedMap:function(){return ul(this.toKeyedSeq())},toOrderedSet:function(){return Ql(po(this)?this.valueSeq():this)},toSet:function(){return Rl(po(this)?this.valueSeq():this)},toSetSeq:function(){return new wi(this)},toSeq:function(){return ho(this)?this.toIndexedSeq():po(this)?this.toKeyedSeq():this.toSetSeq()},toStack:function(){return gl(po(this)?this.valueSeq():this)},toList:function(){return Ya(po(this)?this.valueSeq():this)},toString:function(){return"[Collection]"},__toString:function(e,t){return 0===this.size?e+t:e+" "+this.toSeq().map(this.__toStringMapper).join(", ")+" "+t},concat:function(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return Mi(this,function(e,t){var r=po(e),n=[e].concat(t).map((function(e){return uo(e)?r&&(e=yo(e)):e=r?Xo(e):Jo(Array.isArray(e)?e:[e]),e})).filter((function(e){return 0!==e.size}));if(0===n.length)return e;if(1===n.length){var o=n[0];if(o===e||r&&po(o)||ho(e)&&ho(o))return o}var i=new zo(n);return r?i=i.toKeyedSeq():ho(e)||(i=i.toSetSeq()),(i=i.flatten(!0)).size=n.reduce((function(e,t){if(void 0!==e){var r=t.size;if(void 0!==r)return e+r}}),0),i}(this,e))},includes:function(e){return this.some((function(t){return oi(t,e)}))},entries:function(){return this.__iterator(Co)},every:function(e,t){zi(this.size);var r=!0;return this.__iterate((function(n,o,i){if(!e.call(t,n,o,i))return r=!1,!1})),r},filter:function(e,t){return Mi(this,Ni(this,e,t,!0))},partition:function(e,t){return function(e,t,r){var n=po(e),o=[[],[]];e.__iterate((function(i,a){o[t.call(r,i,a,e)?1:0].push(n?[a,i]:i)}));var i=Ui(e);return o.map((function(t){return Mi(e,i(t))}))}(this,e,t)},find:function(e,t,r){var n=this.findEntry(e,t);return n?n[1]:r},forEach:function(e,t){return zi(this.size),this.__iterate(t?e.bind(t):e)},join:function(e){zi(this.size),e=void 0!==e?""+e:",";var t="",r=!0;return this.__iterate((function(n){r?r=!1:t+=e,t+=null!=n?n.toString():""})),t},keys:function(){return this.__iterator(Ao)},map:function(e,t){return Mi(this,Ii(this,e,t))},reduce:function(e,t,r){return ql(this,e,t,r,arguments.length<2,!1)},reduceRight:function(e,t,r){return ql(this,e,t,r,arguments.length<2,!0)},reverse:function(){return Mi(this,Ci(this,!0))},slice:function(e,t){return Mi(this,Li(this,e,t,!0))},some:function(e,t){zi(this.size);var r=!1;return this.__iterate((function(n,o,i){if(e.call(t,n,o,i))return r=!0,!1})),r},sort:function(e){return Mi(this,ki(this,e))},values:function(){return this.__iterator(Io)},butLast:function(){return this.slice(0,-1)},isEmpty:function(){return void 0!==this.size?0===this.size:!this.some((function(){return!0}))},count:function(e,t){return eo(e?this.toSeq().filter(e,t):this)},countBy:function(e,t){return function(e,t,r){var n=wa().asMutable();return e.__iterate((function(o,i){n.update(t.call(r,o,i,e),0,(function(e){return e+1}))})),n.asImmutable()}(this,e,t)},equals:function(e){return Tl(this,e)},entrySeq:function(){var e=this;if(e._cache)return new zo(e._cache);var t=e.toSeq().map(Kl).toIndexedSeq();return t.fromEntrySeq=function(){return e.toSeq()},t},filterNot:function(e,t){return this.filter(Wl(e),t)},findEntry:function(e,t,r){var n=r;return this.__iterate((function(r,o,i){if(e.call(t,r,o,i))return n=[o,r],!1})),n},findKey:function(e,t){var r=this.findEntry(e,t);return r&&r[0]},findLast:function(e,t,r){return this.toKeyedSeq().reverse().find(e,t,r)},findLastEntry:function(e,t,r){return this.toKeyedSeq().reverse().findEntry(e,t,r)},findLastKey:function(e,t){return this.toKeyedSeq().reverse().findKey(e,t)},first:function(e){return this.find(ro,null,e)},flatMap:function(e,t){return Mi(this,function(e,t,r){var n=Ui(e);return e.toSeq().map((function(o,i){return n(t.call(r,o,i,e))})).flatten(!0)}(this,e,t))},flatten:function(e){return Mi(this,xi(this,e,!0))},fromEntrySeq:function(){return new Ri(this)},get:function(e,t){return this.find((function(t,r){return oi(r,e)}),void 0,t)},getIn:Fl,groupBy:function(e,t){return function(e,t,r){var n=po(e),o=(Ro(e)?ul():wa()).asMutable();e.__iterate((function(i,a){o.update(t.call(r,i,a,e),(function(e){return(e=e||[]).push(n?[a,i]:i),e}))}));var i=Ui(e);return o.map((function(t){return Mi(e,i(t))})).asImmutable()}(this,e,t)},has:function(e){return this.get(e,Xn)!==Xn},hasIn:function(e){return Dl(this,e)},isSubset:function(e){return e="function"==typeof e.includes?e:vo(e),this.every((function(t){return e.includes(t)}))},isSuperset:function(e){return(e="function"==typeof e.isSubset?e:vo(e)).isSubset(this)},keyOf:function(e){return this.findKey((function(t){return oi(t,e)}))},keySeq:function(){return this.toSeq().map(Gl).toIndexedSeq()},last:function(e){return this.toSeq().reverse().first(e)},lastKeyOf:function(e){return this.toKeyedSeq().reverse().keyOf(e)},max:function(e){return Fi(this,e)},maxBy:function(e,t){return Fi(this,t,e)},min:function(e){return Fi(this,e?zl(e):$l)},minBy:function(e,t){return Fi(this,t?zl(t):$l,e)},rest:function(){return this.slice(1)},skip:function(e){return 0===e?this:this.slice(Math.max(0,e))},skipLast:function(e){return 0===e?this:this.slice(0,-Math.max(0,e))},skipWhile:function(e,t){return Mi(this,Pi(this,e,t,!0))},skipUntil:function(e,t){return this.skipWhile(Wl(e),t)},sortBy:function(e,t){return Mi(this,ki(this,t,e))},take:function(e){return this.slice(0,Math.max(0,e))},takeLast:function(e){return this.slice(-Math.max(0,e))},takeWhile:function(e,t){return Mi(this,function(e,t,r){var n=Bi(e);return n.__iterateUncached=function(n,o){var i=this;if(o)return this.cacheResult().__iterate(n,o);var a=0;return e.__iterate((function(e,o,l){return t.call(r,e,o,l)&&++a&&n(e,o,i)})),a},n.__iteratorUncached=function(n,o){var i=this;if(o)return this.cacheResult().__iterator(n,o);var a=e.__iterator(Co,o),l=!0;return new xo((function(){if(!l)return{value:void 0,done:!0};var e=a.next();if(e.done)return e;var o=e.value,s=o[0],u=o[1];return t.call(r,u,s,i)?n===Co?e:ko(n,s,u,e):(l=!1,{value:void 0,done:!0})}))},n}(this,e,t))},takeUntil:function(e,t){return this.takeWhile(Wl(e),t)},update:function(e){return e(this)},valueSeq:function(){return this.toIndexedSeq()},hashCode:function(){return this.__hash||(this.__hash=function(e){if(e.size===1/0)return 0;var t=Ro(e),r=po(e),n=t?1:0;return function(e,t){return t=ii(t,3432918353),t=ii(t<<15|t>>>-15,461845907),t=ii(t<<13|t>>>-13,5),t=ii((t=t+3864292196^e)^t>>>16,2246822507),t=ai((t=ii(t^t>>>13,3266489909))^t>>>16)}(e.__iterate(r?t?function(e,t){n=31*n+Yl(si(e),si(t))|0}:function(e,t){n=n+Yl(si(e),si(t))|0}:t?function(e){n=31*n+si(e)|0}:function(e){n=n+si(e)|0}),n)}(this))}});var Ml=vo.prototype;Ml[so]=!0,Ml[Po]=Ml.values,Ml.toJSON=Ml.toArray,Ml.__toStringMapper=Xi,Ml.inspect=Ml.toSource=function(){return this.toString()},Ml.chain=Ml.flatMap,Ml.contains=Ml.includes,_l(yo,{flip:function(){return Mi(this,Ai(this))},mapEntries:function(e,t){var r=this,n=0;return Mi(this,this.toSeq().map((function(o,i){return e.call(t,[i,o],n++,r)})).fromEntrySeq())},mapKeys:function(e,t){var r=this;return Mi(this,this.toSeq().flip().map((function(n,o){return e.call(t,n,o,r)})).flip())}});var Vl=yo.prototype;Vl[co]=!0,Vl[Po]=Ml.entries,Vl.toJSON=jl,Vl.__toStringMapper=function(e,t){return Xi(t)+": "+Xi(e)},_l(mo,{toKeyedSeq:function(){return new Ti(this,!1)},filter:function(e,t){return Mi(this,Ni(this,e,t,!1))},findIndex:function(e,t){var r=this.findEntry(e,t);return r?r[0]:-1},indexOf:function(e){var t=this.keyOf(e);return void 0===t?-1:t},lastIndexOf:function(e){var t=this.lastKeyOf(e);return void 0===t?-1:t},reverse:function(){return Mi(this,Ci(this,!1))},slice:function(e,t){return Mi(this,Li(this,e,t,!1))},splice:function(e,t){var r=arguments.length;if(t=Math.max(t||0,0),0===r||2===r&&!t)return this;e=oo(e,e<0?this.count():this.size);var n=this.slice(0,e);return Mi(this,1===r?n:n.concat(Ki(arguments,2),this.slice(e+t)))},findLastIndex:function(e,t){var r=this.findLastEntry(e,t);return r?r[0]:-1},first:function(e){return this.get(0,e)},flatten:function(e){return Mi(this,xi(this,e,!1))},get:function(e,t){return(e=to(this,e))<0||this.size===1/0||void 0!==this.size&&e>this.size?t:this.find((function(t,r){return r===e}),void 0,t)},has:function(e){return(e=to(this,e))>=0&&(void 0!==this.size?this.size===1/0||e<this.size:-1!==this.indexOf(e))},interpose:function(e){return Mi(this,function(e,t){var r=Bi(e);return r.size=e.size&&2*e.size-1,r.__iterateUncached=function(r,n){var o=this,i=0;return e.__iterate((function(e){return(!i||!1!==r(t,i++,o))&&!1!==r(e,i++,o)}),n),i},r.__iteratorUncached=function(r,n){var o,i=e.__iterator(Io,n),a=0;return new xo((function(){return(!o||a%2)&&(o=i.next()).done?o:a%2?ko(r,a++,t):ko(r,a++,o.value,o)}))},r}(this,e))},interleave:function(){var e=[this].concat(Ki(arguments)),t=ji(this.toSeq(),Ko.of,e),r=t.flatten(!0);return t.size&&(r.size=t.size*e.length),Mi(this,r)},keySeq:function(){return xl(0,this.size)},last:function(e){return this.get(-1,e)},skipWhile:function(e,t){return Mi(this,Pi(this,e,t,!1))},zip:function(){return Mi(this,ji(this,Hl,[this].concat(Ki(arguments))))},zipAll:function(){return Mi(this,ji(this,Hl,[this].concat(Ki(arguments)),!0))},zipWith:function(e){var t=Ki(arguments);return t[0]=this,Mi(this,ji(this,e,t))}});var Ul=mo.prototype;Ul[fo]=!0,Ul[wo]=!0,_l(bo,{get:function(e,t){return this.has(e)?e:t},includes:function(e){return this.has(e)},keySeq:function(){return this.valueSeq()}});var Bl=bo.prototype;function ql(e,t,r,n,o,i){return zi(e.size),e.__iterate((function(e,i,a){o?(o=!1,r=e):r=t.call(n,r,e,i,a)}),i),r}function Gl(e,t){return t}function Kl(e,t){return[t,e]}function Wl(e){return function(){return!e.apply(this,arguments)}}function zl(e){return function(){return-e.apply(this,arguments)}}function Hl(){return Ki(arguments)}function $l(e,t){return e<t?1:e>t?-1:0}function Yl(e,t){return e^t+2654435769+(e<<6)+(e>>2)}Bl.has=Ml.includes,Bl.contains=Bl.includes,Bl.keys=Bl.values,_l(Go,Vl),_l(Ko,Ul),_l(Wo,Bl);var Ql=function(e){function t(e){return null==e?es():Sl(e)?e:es().withMutations((function(t){var r=bo(e);zi(r.size),r.forEach((function(e){return t.add(e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.fromKeys=function(e){return this(yo(e).keySeq())},t.prototype.toString=function(){return this.__toString("OrderedSet {","}")},t}(Rl);Ql.isOrderedSet=Sl;var Xl,Jl=Ql.prototype;function Zl(e,t){var r=Object.create(Jl);return r.size=e?e.size:0,r._map=e,r.__ownerID=t,r}function es(){return Xl||(Xl=Zl(dl()))}Jl[wo]=!0,Jl.zip=Ul.zip,Jl.zipWith=Ul.zipWith,Jl.zipAll=Ul.zipAll,Jl.__empty=es,Jl.__make=Zl;var ts=function(e,t){var r;!function(e){if(To(e))throw new Error("Can not call `Record` with an immutable Record as default values. Use a plain javascript object instead.");if(_o(e))throw new Error("Can not call `Record` with an immutable Collection as default values. Use a plain javascript object instead.");if(null===e||"object"!=typeof e)throw new Error("Can not call `Record` with a non-object as default values. Use a plain javascript object instead.")}(e);var n=function(i){var a=this;if(i instanceof n)return i;if(!(this instanceof n))return new n(i);if(!r){r=!0;var l=Object.keys(e),s=o._indices={};o._name=t,o._keys=l,o._defaultValues=e;for(var u=0;u<l.length;u++){var c=l[u];s[c]=u,o[c]?"object"==typeof console&&console.warn&&console.warn("Cannot define "+os(this)+' with property "'+c+'" since that property name is part of the Record API.'):as(o,c)}}return this.__ownerID=void 0,this._values=Ya().withMutations((function(e){e.setSize(a._keys.length),yo(i).forEach((function(t,r){e.set(a._indices[r],t===a._defaultValues[r]?void 0:t)}))})),this},o=n.prototype=Object.create(rs);return o.constructor=n,t&&(n.displayName=t),n};ts.prototype.toString=function(){for(var e,t=os(this)+" { ",r=this._keys,n=0,o=r.length;n!==o;n++)t+=(n?", ":"")+(e=r[n])+": "+Xi(this.get(e));return t+" }"},ts.prototype.equals=function(e){return this===e||To(e)&&is(this).equals(is(e))},ts.prototype.hashCode=function(){return is(this).hashCode()},ts.prototype.has=function(e){return this._indices.hasOwnProperty(e)},ts.prototype.get=function(e,t){if(!this.has(e))return t;var r=this._indices[e],n=this._values.get(r);return void 0===n?this._defaultValues[e]:n},ts.prototype.set=function(e,t){if(this.has(e)){var r=this._values.set(this._indices[e],t===this._defaultValues[e]?void 0:t);if(r!==this._values&&!this.__ownerID)return ns(this,r)}return this},ts.prototype.remove=function(e){return this.set(e)},ts.prototype.clear=function(){var e=this._values.clear().setSize(this._keys.length);return this.__ownerID?this:ns(this,e)},ts.prototype.wasAltered=function(){return this._values.wasAltered()},ts.prototype.toSeq=function(){return is(this)},ts.prototype.toJS=function(){return wl(this)},ts.prototype.entries=function(){return this.__iterator(Co)},ts.prototype.__iterator=function(e,t){return is(this).__iterator(e,t)},ts.prototype.__iterate=function(e,t){return is(this).__iterate(e,t)},ts.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._values.__ensureOwner(e);return e?ns(this,t,e):(this.__ownerID=e,this._values=t,this)},ts.isRecord=To,ts.getDescriptiveName=os;var rs=ts.prototype;function ns(e,t,r){var n=Object.create(Object.getPrototypeOf(e));return n._values=t,n.__ownerID=r,n}function os(e){return e.constructor.displayName||e.constructor.name||"Record"}function is(e){return Xo(e._keys.map((function(t){return[t,e.get(t)]})))}function as(e,t){try{Object.defineProperty(e,t,{get:function(){return this.get(t)},set:function(e){Wi(this.__ownerID,"Cannot set on an immutable record."),this.set(t,e)}})}catch(e){}}rs[So]=!0,rs[Hn]=rs.remove,rs.deleteIn=rs.removeIn=sa,rs.getIn=Fl,rs.hasIn=Ml.hasIn,rs.merge=pa,rs.mergeWith=fa,rs.mergeIn=ba,rs.mergeDeep=ya,rs.mergeDeepWith=ma,rs.mergeDeepIn=Ea,rs.setIn=aa,rs.update=ca,rs.updateIn=da,rs.withMutations=Oa,rs.asMutable=Sa,rs.asImmutable=Ta,rs[Po]=rs.entries,rs.toJSON=rs.toObject=Ml.toObject,rs.inspect=rs.toSource=function(){return this.toString()};var ls,ss=function(e){function t(e,r){if(!(this instanceof t))return new t(e,r);if(this._value=e,this.size=void 0===r?1/0:Math.max(0,r),0===this.size){if(ls)return ls;ls=this}}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toString=function(){return 0===this.size?"Repeat []":"Repeat [ "+this._value+" "+this.size+" times ]"},t.prototype.get=function(e,t){return this.has(e)?this._value:t},t.prototype.includes=function(e){return oi(this._value,e)},t.prototype.slice=function(e,r){var n=this.size;return no(e,r,n)?this:new t(this._value,io(r,n)-oo(e,n))},t.prototype.reverse=function(){return this},t.prototype.indexOf=function(e){return oi(this._value,e)?0:-1},t.prototype.lastIndexOf=function(e){return oi(this._value,e)?this.size:-1},t.prototype.__iterate=function(e,t){for(var r=this.size,n=0;n!==r&&!1!==e(this._value,t?r-++n:n++,this););return n},t.prototype.__iterator=function(e,t){var r=this,n=this.size,o=0;return new xo((function(){return o===n?{value:void 0,done:!0}:ko(e,t?n-++o:o++,r._value)}))},t.prototype.equals=function(e){return e instanceof t?oi(this._value,e._value):Tl(this,e)},t}(Ko);function us(e,t){return cs([],t||ds,e,"",t&&t.length>2?[]:void 0,{"":e})}function cs(e,t,r,n,o,i){if("string"!=typeof r&&!_o(r)&&(Bo(r)||Do(r)||Yi(r))){if(~e.indexOf(r))throw new TypeError("Cannot convert circular structure to Immutable");e.push(r),o&&""!==n&&o.push(n);var a=t.call(i,n,qo(r).map((function(n,i){return cs(e,t,n,i,o,r)})),o&&o.slice());return e.pop(),o&&o.pop(),a}return r}function ds(e,t){return ho(t)?t.toList():po(t)?t.toMap():t.toSet()}const ps={version:"4.3.6",Collection:vo,Iterable:vo,Seq:qo,Map:wa,OrderedMap:ul,List:Ya,Stack:gl,Set:Rl,OrderedSet:Ql,PairSorting:{LeftThenRight:-1,RightThenLeft:1},Record:ts,Range:xl,Repeat:ss,is:oi,fromJS:us,hash:si,isImmutable:_o,isCollection:uo,isKeyed:po,isIndexed:ho,isAssociative:go,isOrdered:Ro,isValueObject:ni,isPlainObject:Yi,isSeq:Oo,isList:$a,isMap:ti,isOrderedMap:ri,isStack:hl,isSet:Ol,isOrderedSet:Sl,isRecord:To,get:Zi,getIn:kl,has:Ji,hasIn:Dl,merge:function(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return va(e,t)},mergeDeep:function(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return ga(e,t)},mergeWith:function(e,t){for(var r=[],n=arguments.length-2;n-- >0;)r[n]=arguments[n+2];return va(t,r,e)},mergeDeepWith:function(e,t){for(var r=[],n=arguments.length-2;n-- >0;)r[n]=arguments[n+2];return ga(t,r,e)},remove:ta,removeIn:la,set:ra,setIn:ia,update:ua,updateIn:na};var fs=p(7027),hs=p.n(fs),gs=0;const vs=function(){var e=((new Date).getTime().toString(16)+"FF").substr(0,11);return"ssssssss-xxxx-4xxx-yxxx-x".replace(/[xys]/g,(function(e){var t="s"===e?Math.floor(16*Math.random()):15&gs++;return("x"===e?t:3&t|8).toString(16)}))+e};var ys=function(e){return"object"==Ln(e)&&null!==e&&!Array.isArray(e)},ms=["formatValue","mongoFormatValue","sqlFormatValue","jsonLogic","elasticSearchFormatValue","spelFormatValue","spelImportFuncs","spelImportValue"],bs=["formatOp","mongoFormatOp","sqlFormatOp","jsonLogic","spelFormatOp"],Es=function(e){var t;return null!==(t=null==e?void 0:e.cardinality)&&void 0!==t?t:1},Os=function(e,t){return e===t||(wa.isMap(e)?e.equals(t):JSON.stringify(e)==JSON.stringify(t))},Ss=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return e===t||(Array.isArray(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=e.length;if(t.length!==n)return!1;for(var o=0;o<n;o++)if(!(r?Ss(e[o],t[o],r):e[o]===t[o]))return!1;return!0}(e,t,r):wa.isMap(e)?e.equals(t):"object"==Ln(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=Object.keys(e),o=Object.keys(t),i=n.length;if(o.length!==i)return!1;for(var a=0;a<i;a++){var l=n[a];if(!(r?Ss(e[l],t[l],r):e[l]===t[l]))return!1}return!0}(e,t,r):e===t)};var Ts=function(e){return"object"===Ln(e)&&null!==e&&"function"==typeof e.toJS};function _s(e){return Ts(e)?e:new ps.List(e)}function ws(e){return Ts(e)?e.toJS():e}var Rs=function(e){return e.replace(/[.*+?^${}()|[\]\\/]/g,"\\$&")},As=function(e,t,r,n,o,i){if(Array.isArray(e))return t},Is=function e(t){var r;if(t instanceof Array)return t.map((function(t,r){return e(t)}));if("object"===Ln(t)&&null!==t&&Cs(t)){var n,o=hs()(t,["$$typeof","_owner","_store","ref","key"]);return o.type&&(o.type="string"==typeof(r=o.type)?r:"function"==typeof r?r.name:r),null!=o&&null!==(n=o.props)&&void 0!==n&&n.children&&(o.props.children=e(o.props.children)),o}return t},Cs=function(e){return"object"===Ln(e)&&null!==e&&!Array.isArray(e)&&Object.keys(e).includes("type")&&Object.keys(e).includes("props")&&Object.keys(e).includes("key")&&Object.keys(e).includes("ref")&&Object.keys(e).includes("$$typeof")},Ns=function(e){return"object"===Ln(e)&&null!==e&&!Array.isArray(e)&&"string"==typeof e.type&&Object.keys(e).includes("props")},Ls=function(e){return"object"===Ln(e)&&null!==e&&!Array.isArray(e)&&1===Object.keys(e).length};function Ps(e){return new Promise((function(t){setTimeout(t,e)}))}function xs(e,t){return e||(e=[]),t||(t=[]),t.map((function(t){return[t,e.indexOf(t)]})).map((function(e,t,r){var n=zn(e,2),o=n[0];if(-1==n[1]){var i=r.slice(t+1),a=r.slice(0,t).reverse().find((function(e){var t=zn(e,2);return t[0],-1!=t[1]})),l=i.find((function(e){var t=zn(e,2);return t[0],-1!=t[1]}));return l?[o,"before",l[0]]:a?[o,"after",a[0]]:[o,"append",null]}return null})).filter((function(e){return null!==e})).reduce((function(e,t){var r=zn(t,3),n=r[0],o=r[1],i=r[2],a=e.indexOf(i);return-1==e.indexOf(n)&&(a>-1?e.splice(a+("after"==o?1:0),0,n):e.splice("append"==o?1/0:0,0,n)),e}),e.slice())}var ks=function e(t){"object"===Ln(t)&&null!==t&&(Object.keys(t).forEach((function(r){e(t[r])})),Object.freeze(t))},Fs=function e(t,r){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:[];if(ys(t)){if(t.var)return n[t.var]=r,!0;if(!ys(r))return!1;for(var i in t)if(!e(t[i],r[i],n,[].concat(Gn(o),[i])))return!1;return!0}if(Array.isArray(t)){if(!Array.isArray(r))return!1;for(var a=0;a<t.length;a++)if(!e(t[a],r[a],n,[].concat(Gn(o),[a])))return!1;return!0}return t===r},Ds=function(){var e=arguments.length>0&&void 0!==arguments[0]&&arguments[0];return(null!=e?e:("undefined"!=typeof process&&process.env,0))?console:{error:function(){},log:function(){},warn:function(){},debug:function(){},info:function(){}}},js=function(){for(var e,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],r=0;r<t.length;r++){var n=t[r];if(void 0!==n){e=n;break}}return e},Ms=Ds(),Vs=p(6834),Us=p.n(Vs),Bs=p(4308),qs=p.n(Bs),Gs=p(8831),Ks=p.n(Gs),Ws=p(2815),zs=p.n(Ws),Hs=p(8906),$s=p.n(Hs);function Ys(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Qs(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Xs(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Qs(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Qs(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Js=function(e){return"object"==Ln(e)&&null!==e&&!Array.isArray(e)},Zs=function(e,t){return null==e||""==e?void 0:Js(e)?Xs(Xs({},e),{},{title:e.title||e.value}):{value:e,title:void 0!==t?t:""+e}},eu=function(e){var t=Zs(e);return Js(t)?Xs(Xs({},Zs(e)),{},{isCustom:!0}):t},tu=function(e){if(Array.isArray(e))return e.map((function(e){return Zs(e)}));if(!Js(e))return e;var t=[];for(var r in e){var n=e[r];t.push(Zs(r,n))}return t},ru=function(e,t){return Array.isArray(e)?e.map((function(e){return Zs(e)})).find((function(e){return""+e.value==""+t})):void 0!==e[t]?Zs(t,e[t]):void 0},nu=function(e,t){if(null==e)return t;var r=ru(e,t);return void 0!==r?r.title:t},ou=function(e,t){if(null==e)return t;var r=ru(e,t);return void 0!==r?r.value:t},iu=function(e,t){var r=[];if(Array.isArray(e)){var n,o=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Ys(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Ys(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(e);try{for(o.s();!(n=o.n()).done;){var i=n.value,a=t(Zs(i));null!=a&&r.push(a)}}catch(e){o.e(e)}finally{o.f()}}else for(var l in e){var s=t(Zs(l,e[l]));null!=s&&r.push(s)}return r},au=function(e,t){return iu(t,(function(t){return-1!="".concat(t.value).indexOf(e)||-1!=t.title.indexOf(e)?t:null})).filter((function(e){return null!==e})).shift()},lu=function(e,t){return iu(t,(function(t){return""+t.value==""+e?t:null})).filter((function(e){return null!==e})).shift()},su=function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];return e.interpose("children1").withMutations((function(e){return e.skip(1),e.push.apply(e,r),e}))},uu=function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];return e.interpose("children1").withMutations((function(e){return e.push.apply(e,r),e}))},cu=function(e,t){var r=new ps.OrderedMap(Vn({},e.get("id"),e)),n=e;return t.forEach((function(e){var t;n=r.get(e),r=null===(t=n)||void 0===t?void 0:t.get("children1")})),n},du=function(e){var t=e;return function e(r,n){var o=arguments.length>2&&void 0!==arguments[2]&&arguments[2],i=n.push(r.get("id")),a=r.getIn(["properties","isLocked"]);o&&a&&(t=t.deleteIn(su(i,"properties","isLocked")));var l=r.get("children1");l&&l.map((function(t,r){e(t,i,a||o)}))}(e,new ps.List),t},pu=function(e){var t=e;return function e(r,n,o,i){if(r){var a=r.get("path"),l=r.get("id"),s=l||i||vs(),u=n.push(s);a&&a.equals(u)||(t=t.setIn(su(u,"path"),u)),l||(t=t.setIn(su(u,"id"),s));var c=r.get("children1");c&&("Map"===c.constructor.name&&(t=t.setIn(su(u,"children1"),new ps.OrderedMap(c))),c.map((function(t,r){e(t,u,o+1,r)})))}}(e,new ps.List,0),t},fu=function(e){var t=e;return function e(r,n,o,i){if(!r)return!1;var a=r.get("id")||i,l=n.push(a),s=r.get("children1");if(s){var u=s.map((function(t,r){return e(t,l,o+1,r)})).reduce((function(e,t){return e&&t}),!0);if((0==s.size||u)&&o>0)return t=t.deleteIn(su(l)),!0}return!1}(e,new ps.List,0),t},hu=function(e){var t=[],r={},n=[],o=0,i=0,a=0,l={};!function s(u,c,d,p,f,h,g,v){var y=u===e,m=u.get("type"),b=u.get("collapsed"),E=u.get("id"),O=u.get("children1"),S=u.getIn(["properties","isLocked"]),T=O?O.map((function(e,t){return t})).valueSeq().toArray():null,_="rule_group"===m,w="rule"===m,R="group"===m,A="case_group"===m,I=!f&&(!O||_),C=(null==T?void 0:T.length)>0,N=c.length?c[c.length-1]:null,L=A?E:g;A&&(n.push(E),i=0,a=0,l={});var P,x=L?n.indexOf(L):null,k=t.length,F=o;y||((P={}).caseNo=x,P.globalNoByType=l[m]||0,P.indexPath=[].concat(Gn(c.slice(1).map((function(e){return r[e].childNo}))),[v]),w?P.globalLeafNo=i:R&&(P.globalGroupNo=a)),t.push(E),r[E]={node:u,index:k,id:E,type:m,parent:N,parentType:N?r[N].type:null,children:T,childNo:v,caseId:L,caseNo:x,path:c.concat(E),lev:h,isLeaf:!O,isAtomicRule:I,isLocked:S||p,top:d?null:F,isDefaultCase:A?!O:void 0,atomicRulesCountInCase:A?0:void 0,position:P,collapsed:b,_top:k,leaf:!O};var D=0,j=0;d||(o+=1,D+=1,!C||b||_||(j+=1),y||A||(R&&a++,w&&i++,l[m]=(l[m]||0)+1)),g&&I&&r[g].atomicRulesCountInCase++;var M=0,V=0;if(C){var U=0;O.map((function(e,t){if(e){s(e,c.concat(E),d||b,p||S,f||_,h+1,L,U);var n=r[t];M=Math.max(M,n.depth||0),V+=n.height,U++}}))}D+=V,j+=M;var B=t.length-k,q=d?null:F+D;Object.assign(r[E],{depth:O?j:void 0,_height:B,height:D,bottom:q})}(e,[],!1,!1,!1,0,null,null);for(var s=0;s<t.length;s++){var u=s>0?t[s-1]:null,c=s<t.length-1?t[s+1]:null,d=r[t[s]];d.prev=u,d.next=c}return{flat:t,items:r,cases:n}},gu=function(e){if(!e)return-1;var t=0;return function e(r,n,o){var i,a,l;"function"==typeof r.get?(i=r.get("id"),a=r.get("children1"),l=r.get("type")):(i=r.id,a=r.children1,l=r.type),t++,a&&"rule_group"!=l&&a.map((function(t,r){t&&e(t,n.concat(i),o+1)}))}(e,[],0),t-1},vu=function(e){if(!e)return-1;var t=0;return function e(r,n,o){var i,a,l;"function"==typeof r.get?(i=r.get("id"),a=r.get("children1"),l=r.get("type")):(i=r.id,a=r.children1,l=r.type),"rule"==l||"rule_group"==l?t++:a&&a.map((function(t,r){t&&e(t,n.concat(i),o+1)}))}(e,[],0),t},yu=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=e;return function e(n,o){t&&n.path&&delete n.path,t&&!r&&o&&delete n.id;var i=n.properties;i&&null==i.operatorOptions&&delete i.operatorOptions;var a=n.children1;if(a){for(var l in a)a[l]&&e(a[l],l);r&&(n.children1=Object.values(a))}}(e,null),n},mu=function(e){var t=[],r=e.get("children1");return r&&r.map((function(e){var r,n=e.getIn(["properties","value"]);n&&1==n.size?(r=n.get(0),Array.isArray(r)&&0==r.length&&(r=null)):r=null,t=[].concat(Gn(t),[r])})),t},bu=function(e){return!e.get("children1")||0==e.get("children1").size},Eu=function(e,t){return e.getIn(su(t,"children1")).size>0},Ou=function(e){if(null!=e&&e.toJS){var t,r=null==e||null===(t=e.toJS)||void 0===t?void 0:t.call(e);return null!=r&&r.func?e.toOrderedMap():r}return e},Su=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2];if(e){var n=e;return n=n.toJS(),yu(n,t,r)}},Tu=function(e){if(_u(e))return e;if(wu(e))return pu(Ru(e));if("string"==typeof e&&e.startsWith('["~#iM"'))throw new Error("You are trying to load query in obsolete serialization format (Immutable string) which is not supported in versions starting from 2.1.17");if("string"==typeof e)return pu(Ru(JSON.parse(e)));throw new Error("Can't load tree!")},_u=function(e){return wa.isMap(e)},wu=function(e){return"object"==Ln(e)&&("group"==e.type||"switch_group"==e.type)};function Ru(e){var t=us(e,(function(e,t,r){var n,o=r&&r.length>3&&"value"===r[r.length-1]&&"args"===r[r.length-3],i=r&&r.length>3&&"value"===r[r.length-1]&&"properties"===r[r.length-2];if("properties"==e){n=t.toOrderedMap();for(var a=0;a<2;a++){var l,s,u;null===(null===(l=n.get("value"))||void 0===l||null===(s=(u=l).get)||void 0===s?void 0:s.call(u,a))&&(n=n.setIn(["value",a],void 0))}}else n=o?Ou(t):(r?i:"value"==e)&&ps.Iterable.isIndexed(t)?t.map(Ou).toList():"asyncListValues"==e?t.toJS():"children1"==e&&ps.Iterable.isIndexed(t)?new ps.OrderedMap(t.map((function(e){return[(null==e?void 0:e.get("id"))||vs(),e]}))):ps.Iterable.isIndexed(t)?t.toList():t.toOrderedMap();return n}));return t}function Au(e){return Kn(e)||Bn(e)||qn(e)||Wn()}var Iu=p(2468),Cu=p.n(Iu);function Nu(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Lu(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Lu(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Lu(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Pu(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function xu(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Pu(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Pu(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var ku=function(e){return{errors:[],settings:null==e?void 0:e.settings}},Fu=function(e,t){return Du(e,t,!1)},Du=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=ku();n.settings={allowUnknownFields:!1,returnErrors:r};var o=Ah(t,void 0,!1),i=ju(o),a=e?Mu(e,i,o,"rule",n):void 0;a&&"group"!=a.type&&(a=Gu(a,o));var l=a?Tu(a):void 0;return r?[l,n.errors]:(n.errors.length&&console.warn("Errors while importing from JsonLogic:",n.errors),l)},ju=function(e){var t={};for(var r in e.operators){var n=e.operators[r];if("string"==typeof n.jsonLogic){var o=(n._jsonLogicIsRevArgs?"#":"")+n.jsonLogic+"/"+Es(n);t[o]||(t[o]=[]),t[o].push(r)}else if("string"==typeof n.jsonLogic2){var i=n.jsonLogic2+"/"+Es(n);t[i]||(t[i]=[]),t[i].push(r)}}var a={};for(var l in e.conjunctions)a[e.conjunctions[l].jsonLogicConj||l.toLowerCase()]=l;var s,u={},c=Nu(Fh(e));try{for(c.s();!(s=c.n()).done;){var d=zn(s.value,2),p=d[0],f=d[1],h=void 0;f.jsonLogicIsMethod?h="#"+f.jsonLogic:"string"==typeof f.jsonLogic&&(h=f.jsonLogic),h&&(u[h]||(u[h]=[]),u[h].push(p))}}catch(e){c.e(e)}finally{c.f()}var g=e.settings.jsonLogic;return{operators:t,conjunctions:a,funcs:u,varKeys:["var",g.groupVarKey,g.altVarKey]}},Mu=function e(t,r,n,o,i){var a,l,s,u=arguments.length>5&&void 0!==arguments[5]&&arguments[5],c=arguments.length>6?arguments[6]:void 0,d=arguments.length>7?arguments[7]:void 0,p=arguments.length>8&&void 0!==arguments[8]?arguments[8]:null;Ls(t)&&(l=t[a=Object.keys(t)[0]],Array.isArray(l)||(l=[l]));var f=i.errors.length,h=n.settings.jsonLogic.lockedOp,g="!"==a&&1==l.length&&l[0]&&Ls(l[0])&&r.varKeys.includes(Object.keys(l[0])[0]),v="!"==a&&!g,y=h&&a==h;y?s=e(l[0],r,n,o,i,u,c,d,p,!0):v?s=e(l[0],r,n,o,i,!u,c,d,p):"val"==o?s=Uu(a,l,r,n,u,i,p)||Bu(a,l,r,n,u,c,i,p)||Vu(t,c,d,n,i):"rule"==o&&(s=qu(a,l,r,n,u,i,p,!1)||Wu(a,l,r,n,u,i,p));var m=i.errors.length;return"!"!=a&&void 0===s&&m==f&&i.errors.push("Can't parse logic ".concat(JSON.stringify(t))),y&&(s.properties.isLocked=!0),s},Vu=function(e,t,r,n,o){var i;if(void 0===e&&(e=null==t?void 0:t.defaultValue),void 0!==e){var a=n.widgets[r||(null==t?void 0:t.mainWidget)],l=null==t?void 0:t.type;if(!l||a){if(!Ls(e)){if("time"==l&&"number"==typeof e){var s=Math.floor(e/60/60)%24,u=Math.floor(e/60)%60,c=e%60,d=a.valueFormat;if(d){var p=new Date(e);p.setMilliseconds(0),p.setHours(s),p.setMinutes(u),p.setSeconds(c),e=Cu()(p).format(d)}else e="".concat(s,":").concat(u,":").concat(c)}if(["date","datetime"].includes(l)&&e&&!(e instanceof Date))try{var f=new Date(e);f instanceof Date&&f.toISOString()===e&&(e=f)}catch(t){o.errors.push("Can't convert value ".concat(e," as Date")),e=void 0}if(e instanceof Date&&t){var h=a.valueFormat;h&&(e=Cu()(e).format(h))}var g;return e&&null!=t&&null!==(i=t.fieldSettings)&&void 0!==i&&i.asyncFetch&&(g=Array.isArray(e)?e:[e]),{valueSrc:"value",value:e,valueType:null==a?void 0:a.type,asyncListValues:g}}o.errors.push("Unexpected logic in value: ".concat(JSON.stringify(e)))}else o.errors.push("No widget for type ".concat(l))}},Uu=function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if(r.varKeys.includes(e)&&"string"==typeof t[0]){var l,s=Vh(n,t[0],a),u=$h(n,s);return u||null!==(l=i.settings)&&void 0!==l&&l.allowUnknownFields?{valueSrc:"field",value:s,valueType:null==u?void 0:u.type}:void i.errors.push("No config for field ".concat(s))}},Bu=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=arguments.length>6?arguments[6]:void 0,l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null;if(e){var s,u,c,d="method"==e;if(d){var p,f,h=Au(t);p=h[0],s=h[1],f=h.slice(2),u=[p].concat(Gn(f))}else s=e,u=t;var g=(d?"#":"")+s,v=(null==i?void 0:i.type)||(null==i?void 0:i.returnType),y=(r.funcs[g]||[]).filter((function(e){return!i||Bh(n,e).returnType==v}));if(y.length)c=y[0];else{var m,b=Vn({},e,t),E=Nu(Fh(n));try{for(E.s();!(m=E.n()).done;){var O=zn(m.value,2),S=O[0],T=O[1];if(T.jsonLogicImport&&(!v||T.returnType==v)){var _=void 0;try{_=T.jsonLogicImport(b)}catch(e){}_&&(c=S,u=_)}}}catch(e){E.e(e)}finally{E.f()}}if(c&&c){var w=Bh(n,c),R=Object.keys(w.args||{}),A=u.reduce((function(e,t,o){var i,s=R[o],u=w.args[s];return u&&(i=Mu(t,r,n,"val",a,!1,u,null,l)),void 0!==i?xu(xu({},e),{},Vn({},s,i)):e}),{});for(var I in w.args){var C,N=w.args[I],L=A[I];if(void 0===L)if(void 0!==(L=null==N?void 0:N.defaultValue)&&(L={value:L,valueSrc:null!==(C=L)&&void 0!==C&&C.func?"func":"value",valueType:N.type}),void 0===L){if(null==N||!N.isOptional)return void a.errors.push("No value for arg ".concat(I," of func ").concat(c))}else A[I]=L}return{valueSrc:"func",value:{func:c,args:A},valueType:w.returnType}}}},qu=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,s=r.conjunctions[e],u=n.settings.fieldSeparator;if(s){var c=t.map((function(e){return Mu(e,r,n,"rule",i,!1,null,null,l)})).filter((function(e){return void 0!==e})).reduce((function(e,t){return xu(xu({},e),{},Vn({},t.id,t))}),{}),d=Object.values(c).map((function(e){var t,r;return"field"==(null==e||null===(t=e.properties)||void 0===t?void 0:t.fieldSrc)&&(null==e||null===(r=e.properties)||void 0===r?void 0:r.field)})).filter((function(e){var t;return null==e||null===(t=e.includes)||void 0===t?void 0:t.call(e,u)})),p=Object.fromEntries((a=d,Array.from(new Set(a))).map((function(e){var t=e.split(u),r=Object.fromEntries(t.slice(0,-1).map((function(e,t,r){return[].concat(Gn(r.slice(0,t)),[e])})).map((function(e){return[e.join(u),$h(n,e)]})).filter((function(e){var t=zn(e,2),r=(t[0],t[1]);return"!group"==(null==r?void 0:r.type)})));return[e,Object.keys(r)]}))),f={conjunction:s,not:o},h=vs(),g={},v={};return Object.entries(c).map((function(e){var t=zn(e,2),r=t[0],o=t[1];if("group"==(null==o?void 0:o.type)||"rule_group"==(null==o?void 0:o.type))g[r]=o;else{var i,a=null==o||null===(i=o.properties)||void 0===i?void 0:i.field,c=p[a]||[],d=c[c.length-1];if(d){var f=g,h=Wh(l,n),y=Wh(d,n);Ss(h,y.slice(0,h.length))||(h=[]);var m=d.split(u).slice(h.length).map((function(e,t,r){return[].concat(Gn(h),Gn(r.slice(0,t)),[e]).join(u)})).map((function(e){return{f:e,fc:$h(n,e)||{}}})).filter((function(e){return"!struct"!=e.fc.type}));m.map((function(e,t){var r=e.f,n=e.fc,o=v[r];o||(o=vs(),v[r]=o,f[o]={type:"rule_group",id:o,children1:{},properties:{conjunction:s,not:!1,field:r,fieldSrc:"field",mode:n.mode}}),f=f[o].children1})),f[r]=o}else o&&(g[r]=o)}})),{type:"group",id:h,children1:g,properties:f}}},Gu=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return{type:"group",id:vs(),children1:Vn({},e.id,e),properties:{conjunction:id(t),not:r}}},Ku=function(e,t,r,n,o,i,a,l){var s,u,c=!(("all"==e||"some"==e)&&Ls(r[1])&&"in"==Object.keys(r[1])[0]&&""===(null===(s=r[1].in[0])||void 0===s?void 0:s.var))&&i.settings.groupOperators.includes(e),d=c?0:t-1;c?d=0:["==","!="].includes(e)&&1==d&&null===r[1]&&(t=1,d=0,r=[r[0]]);var p=e+"/"+d,f=o.operators[(a?"#":"")+p];if(f){var h,g=[];if(["<","<=",">",">="].includes(e)&&3==t)h=r[1],g=[r[0],r[2]];else if(a)h=r[1],g=[r[0]];else{var v=Au(r);h=v[0],g=v.slice(1)}if(Ls(h)){var y=function(e,t,r,n,o){var i,a,l,s,u=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,c=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,d=arguments.length>7?arguments[7]:void 0,p=arguments.length>8&&void 0!==arguments[8]?arguments[8]:null,f=Object.keys(t)[0],h=Object.values(t)[0],g=function(e,t){return function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;Array.isArray(t)||(t=[t]);var l=Uu(e,t,r,n,o,i,a);if(l)return{fieldSrc:"field",field:l.value}}(e,t,n,o,u,d,p)||function(e,t,r,n,o){var i=Bu(e,t,r,n,o,arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,arguments.length>6?arguments[6]:void 0,arguments.length>7&&void 0!==arguments[7]?arguments[7]:null);if(i)return{fieldSrc:"func",field:i.value}}(e,t,n,o,u,c,d,p)},v=d.errors.length,y=g(f,h);if(y&&(i=y.field,a=y.fieldSrc),e&&(s=!0,l=r[0],r=[]),"reduce"==f&&Array.isArray(h)&&3==h.length){var m=zn(h,3),b=m[0],E=m[1],O=m[2];if(Ls(b)&&0==O&&Ls(E)&&Array.isArray(E["+"])&&1==E["+"][0]&&Ls(E["+"][1])&&"accumulator"==E["+"][1].var)if(f=Object.keys(b)[0],h=Object.values(b)[0],"filter"==f){var S=zn(h,2),T=S[0],_=S[1];if(Ls(T)){var w=g(f=Object.keys(T)[0],h=Object.values(T)[0]);w&&(i=w.field,a=w.fieldSrc,l=_,s=!0)}}else{var R=g(f,h);R&&(i=R.field,a=R.fieldSrc,s=!0)}}var A=d.errors.length;if(i||A!=v||d.errors.push("Unknown LHS ".concat(JSON.stringify(t))),i)return{field:i,fieldSrc:a,having:l,isGroup:s,args:r}}(c,h,g,o,i,null,null,l,n);if(y){var m=y.field,b=y.fieldSrc,E=y.having,O=(y.isGroup,y.args),S=$h(i,m);if(S||null!==(u=l.settings)&&void 0!==u&&u.allowUnknownFields){var T=f[0];if(f.length>1&&S&&S.operators){if(0==(f=f.filter((function(e){return S.operators.includes(e)}))).length)return void l.errors.push("No corresponding ops for LHS ".concat(m));T=f[0]}return{field:m,fieldSrc:b,fieldConfig:S,opKey:T,args:O,having:E}}l.errors.push("No config for LHS ".concat(m))}}else l.errors.push("Incorrect operands for ".concat(e,": ").concat(JSON.stringify(r)))}},Wu=function e(t,r,n,o,i,a){var l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if(t){var s=r.length;if(("all"==t||"some"==t)&&Ls(r[1])){var u,c=Object.keys(r[1])[0],d=""===(null===(u=r[1][c][0])||void 0===u?void 0:u.var);"in"==c&&d&&(r=[r[0],r[1][c][1]],t=t+"-"+c)}var p=function(e,t,r,n,o,i,a){var l=ku(a),s=Ku(e,t,r,n,o,i,!1,l);if(s||(s=Ku(e,t,r,n,o,i,!0,ku(a))),s)return s;a.errors.push(l.errors.join("; ")||"Unknown op ".concat(e,"/").concat(t))}(t,s,r,l,n,o,a);if(p){var f,h,g=p.field,v=p.fieldSrc,y=p.fieldConfig,m=p.opKey,b=p.args,E=p.having,O=o.operators[m],S=(void 0!==(null==y?void 0:y.showNot)?y.showNot:o.settings.showNot,!1);if("!group"==(null==y?void 0:y.type)&&E){h=E[f=Object.keys(E)[0]],Array.isArray(h)||(h=[h]);var T="!"==f&&1==h.length&&h[0]&&Ls(h[0])&&n.varKeys.includes(Object.keys(h[0])[0]);"!"!=f||T||(S=!0,h=(E=E["!"])[f=Object.keys(E)[0]],Array.isArray(h)||(h=[h]))}i&&O.reversedOp&&(i=!1,m=O.reversedOp,O=o.operators[m]);var _=Vf(o,g,m,null),w=b.map((function(e){return Mu(e,n,o,"val",a,!1,y,_,l)}));if(!w.filter((function(e){return void 0===e})).length){var R,A=null==y?void 0:y.type;if("!group"!==A&&"!struct"!==A||(A=null),"!group"==(null==y?void 0:y.type)&&E){if(void 0!==n.conjunctions[f])R=qu(f,h,n,o,S,a,g,!0),S=!1;else{var I=e(f,h,n,o,S,a,g);S=!1,R=function(e,t,r,n,o){if(e)return{type:"rule_group",id:vs(),children1:Vn({},e.id,e),properties:{conjunction:o||od(n,r),not:!1,field:t}}}(I,g,y,o,n.conjunctions.and)}if(!R)return;R.type="rule_group",Object.assign(R.properties,{field:g,mode:y.mode,operator:m}),"array"==y.mode&&Object.assign(R.properties,{value:w.map((function(e){return e.value})),valueSrc:w.map((function(e){return e.valueSrc})),valueType:w.map((function(e){return e.valueType}))}),i&&(R=Gu(R,o,i))}else if("!group"!=(null==y?void 0:y.type)||E){var C=w.map((function(e){return e.asyncListValues})).filter((function(e){return null!=e})),N=C.length?C[0]:void 0;R={type:"rule",id:vs(),properties:xu({field:g,fieldSrc:v,operator:m,value:w.map((function(e){return e.value})),valueSrc:w.map((function(e){return e.valueSrc})),valueType:w.map((function(e){return e.valueType}))},N?{asyncListValues:N}:{})},i&&(R=Gu(R,o,i))}else R={type:"rule_group",id:vs(),children1:{},properties:{conjunction:od(o,y),not:i,mode:y.mode,field:g,operator:m}},"array"==y.mode&&Object.assign(R.properties,{value:w.map((function(e){return e.value})),valueSrc:w.map((function(e){return e.valueSrc})),valueType:w.map((function(e){return e.valueType}))});return R}}}},zu=p(138),Hu=p(358),$u=p.n(Hu)();$u.trim=function(e){return"'"==e.charAt(0)?e.substring(1,e.length-1):e},$u.escapeLike=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=$u.escape(e);return"'"+(n=(t?"%":"")+(n=(n=$u.trim(n)).replace(/[%_]/g,"\\$&"))+(r?"%":""))+"'"};var Yu=function(e){var t="''",r=null==e?void 0:e.type;return"date"==r?t="'0000-00-00'":"datetime"==r?t="'0000-00-00 00:00'":"time"==r?t="'00:00'":"number"==r&&(t="0"),t},Qu=function(e){var t="";return"number"==(null==e?void 0:e.type)&&(t=0),t},Xu=function(e){return"".concat(e,".?[true]")},Ju=function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1],r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(null==e)return"null";switch(Ln(e)){case"boolean":return e?"true":"false";case"number":if(!Number.isFinite(e)||isNaN(e))return;return e+(!Number.isInteger(e)||t?"f":"");case"object":if(Array.isArray(e))return function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]&&arguments[1],i=["int","float"];return e.map((function(e){if(null!=e){if("string"==typeof e)r="String";else{if("number"!=typeof e)throw new Error("spelEscape: Can't use value ".concat(e," in array"));r=Number.isInteger(e)?"int":"float"}if(t){if(t!=r){if(!i.includes(t)||!i.includes(r))throw new Error("spelEscape: Can't use different types in array: found ".concat(t," and ").concat(r));t="float"}}else t=r}})),t||(t="String"),n="float"==t?e.map((function(e){return Ju(e,!0)})):e.map((function(e){return Ju(e)})),o?"new ".concat(t,"[]{").concat(n.join(", "),"}"):"{".concat(n.join(", "),"}")}(e,r);throw new Error("spelEscape: Object is not supported");default:return function(e){return"'"+e.replace(/'/g,"''")+"'"}(e)}},Zu=function(e){return e&&Array.isArray(e)&&e.length?e.map((function(e){return"const"==e.type?Ju(e.value):"property"==e.type?""+e.value:"variable"==e.type?"#"+e.value:void 0})).filter((function(e){return null!=e})).join(" + "):"null"},ec=function(e){if(null==e)return[void 0,[]];var t=[];return[("case_value"==e.valueType?e.value:[e]).map((function(e){return"value"==e.valueSrc?null===e.value?void 0:{type:"const",value:e.value}:"field"==e.valueSrc?{type:e.isVariable?"variable":"property",value:e.value}:void t.push("Unsupported valueSrc ".concat(e.valueSrc," in concatenation"))})).filter((function(e){return null!=e})),t]},tc=function(e){return null==e?"NULL":e.toString()};function rc(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return nc(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?nc(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function nc(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function oc(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ic(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?oc(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):oc(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var ac="${0}.compareTo(${1})",lc={datetime:!0,time:!0,date:!0},sc=function(e,t){return uc(e,t,!1)},uc=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=Ah(t,void 0,!1),i=cc(e,o,n,null);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to SpEL:",n.errors),i)},cc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(e){var o=e.get("type");return"group"===o||"rule_group"===o?fc(e,t,r,n):"rule"===o?vc(e,t,r,n):"switch_group"==o?pc(e,t,r,n):"case_group"==o?dc(e,t,r,n):void 0}},dc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("type");if("case_group"==o){var i=e.get("properties")||new wa,a=zn(mc(t,i,r,null,n,"!case_value"),3),l=a[0];return a[1],a[2],[fc(e,t,r,n),l]}r.errors.push("Unexpected child of type ".concat(o," inside switch"))},pc=function(e,t,r){e.get("properties")||new wa;var n=e.get("children1");if(n){var o=n.map((function(e){return dc(e,t,r,null)})).filter((function(e){return void 0!==e})).valueSeq().toArray();if(o.length){if(1==o.length&&!o[0][0])return o[0][1];for(var i=[],a=0;a<o.length;a++)a==o.length-1||o[a][0]?(i.push(o[a]),a==o.length-1&&o[a][0]&&i.push([void 0,null])):r.errors.push("No condition for case ".concat(a));for(var l="",s="",u=0;u<i.length;u++){var c=zn(i[u],2),d=c[0],p=c[1];null==p&&(p="null"),null==d&&(d="true"),u!=i.length-1?(l+="(".concat(d," ? ").concat(p," : "),s+=")"):l+="".concat(p)}return l+s}}},fc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("type"),i=e.get("properties")||new wa,a=i.get("mode"),l=e.get("children1")||new Ya,s=i.get("field"),u=i.get("conjunction");u||(u=id(t));var c=t.conjunctions[u],d=i.get("not"),p="rule_group"===o,f=p&&"struct"!=a,h=f?s:n,g=($h(t,h)||{}).isSpelArray,v=t.settings.fieldSeparator,y=i.get("operator");y||a&&"some"!=a||(y="some");var m=gc(t,y,s),b=m!=y,E=y&&Yh(t,m,s)||null,O=p&&(!m||0==E.cardinality),S=zn(mc(t,i,r,m,n,null),3),T=S[0],_=S[1],w=S[2],R=l.map((function(e){return cc(e,t,r,h)})).filter((function(e){return void 0!==e}));if(f&&!O){if(null==T)return}else if(!R.size)return;var A,I=p,C=R.size?c.spelFormatConj(R,u,d,I):null;if(f){var N=Ec(r,t,s,n),L=(v||".")+(g?"length":"size()"),P="".concat(N).concat(L),x=C?"".concat(N,".?[").concat(C,"]").concat(L):P;A=hc(r,t,i,x,O?P:T,m,_,w,b)}else A=C;return A},hc=function(e,t,r,n,o,i,a,l){var s=arguments.length>8&&void 0!==arguments[8]&&arguments[8],u=r.get("field"),c=Yh(t,i,u)||{},d=$h(t,u)||{},p=r.get("operatorOptions"),f=c.spelFormatOp||function(e,t,r){var n=t.spelOp;if(n){var o,i=n.includes("${0}"),a=lc[r],l=n,s=Es(t);return a?o=function(e,t,r,n,o,i,a,u){var c=ac.replace(/\${(\w+)}/g,(function(t,n){return 0==n?e:s>1?r[n-1]:r}));return"".concat(c," ").concat(l," 0")}:i?o=function(e,t,r,o,i,a,l,u){return n.replace(/\${(\w+)}/g,(function(t,n){return 0==n?e:s>1?r[n-1]:r}))}:0==s?o=function(e,t,r,n,o,i,a,s){return"".concat(e," ").concat(l)}:1==s&&(o=function(e,t,r,n,o,i,a,s){return"".concat(e," ").concat(l," ").concat(r)}),o}}(0,c,l);if(f){var h,g=[n,i,o,a,l,hs()(c,bs),p,d];return h=f.call.apply(f,[t.ctx].concat(g)),s&&(h=t.settings.spelFormatReverse(h)),void 0===h&&e.errors.push("Operator ".concat(i," is not supported for value source ").concat(a)),h}e.errors.push("Operator ".concat(i," is not supported"))},gc=function(e,t,r){if(t){var n=Yh(e,t,r)||{},o=n.reversedOp,i=Yh(e,o,r)||{},a=n.spelOp||n.spelFormatOp,l=i.spelOp||i.spelFormatOp;if(a||l){if(!a&&l){var s=[o,t];t=s[0],o=s[1];var u=[i,n];n=u[0],i=u[1]}return t}}},vc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("properties")||new wa,i=o.get("field"),a=o.get("fieldSrc"),l=o.get("operator");if(null!=i&&null!=l){var s=gc(t,l,i);if(s){var u=s!=l,c=zn(mc(t,o,r,s,n,null),3),d=c[0],p=c[1],f=c[2];if(void 0!==d){var h=yc(r,t,i,a,n);if(void 0!==h)return hc(r,t,o,h,d,s,p,f,u)}}else r.errors.push("Operator ".concat(l," is not supported"))}},yc=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;return"func"===n?Oc(e,t,r,o):Ec(e,t,r,o)},mc=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=t.get("field"),l=t.get("valueSrc"),s=t.get("valueType");("!case_value"==i||s&&"case_value"==s.get(0))&&(a="!case_value");var u,c=$h(e,a)||{},d=Yh(e,n,a)||{},p=Es(d),f=t.get("value"),h=t.get("asyncListValues"),g=[],v=[];if(null!=f){var y=f.map((function(t,i){var u=l?l.get(i):null,p=s?s.get(i):null,f=Qf(t,u,e),y=Vf(e,a,n,u),m=hs()(Qh(e,a,n,y,u),["factory"]),b=bc(r,e,f,u,p,m,c,n,d,o,h);return void 0!==b&&(g.push(u),v.push(p)),b})),m=y.filter((function(e){return void 0===e})).size>0;y.size<p||m||(u=p>1?y.toArray():1==p?y.first():null)}return[u,g.length>1?g:g[0],v.length>1?v:v[0]]},bc=function(e,t,r,n,o,i,a,l,s){var u=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,c=arguments.length>10?arguments[10]:void 0;if(void 0!==r){var d;if("field"===n)d=Ec(e,t,r,u);else if("func"===n)d=Oc(e,t,r,u);else if("function"==typeof i.spelFormatValue){var p=i.spelFormatValue,f=[r,ic(ic({},Ks()(a,["fieldSettings","listValues"])),{},{asyncListValues:c}),hs()(i,ms)];if(l&&(f.push(l),f.push(s)),"field"==n){var h=$h(t,r)||{};f.push(h)}d=p.call.apply(p,[t.ctx].concat(f))}else d=Ju(r);return d}},Ec=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(r){var o=t.settings.fieldSeparator,i=$h(t,r)||{},a=Wh(r,t),l=xf(r,t,n),s=t.settings.formatSpelField,u=Uf(r,t,e,n),c=l.map((function(e){var t,r=zn(e,3),n=r[0],i=r[1],a=r[2];return a&&(t="!struct"==a.type||"!group"==a.type&&"struct"==a.mode?i.isSpelMap?"map":"class":"!group"==a.type?i.isSpelItemMap?"[map]":"[class]":"class"),{key:n,parent:t,isSpelVariable:null==i?void 0:i.isSpelVariable,fieldSeparator:o}}));return s.call(t.ctx,u,n,a,c,i,t)}},Oc=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),l=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),s=Bh(t,a);if(s){var u={},c=[],d=[];for(var p in s.args){var f,h,g=s.args[p],v=$h(t,g),y=g.defaultValue,m=g.isOptional,b=null!=y&&y.func?"func":"value",E=l?l.get(p):void 0,O=E?E.get("value"):void 0,S=E?E.get("valueSrc"):void 0;"func"!==S&&null!==(f=O)&&void 0!==f&&f.toJS&&(O=O.toJS());var T=E?E.get("asyncListValues"):void 0,_=null===(h=g.spelEscapeForFormat)||void 0===h||h,w=null,R=Vf(t,g,w,S),A=hs()(Qh(t,g,w,R,S),["factory"]),I=bc(e,t,O,S,g.type,A,v,null,null,i,T);if(null!=O&&void 0===I)return void("func"!=S&&e.errors.push("Can't format value of arg ".concat(p," for func ").concat(a)));var C=void 0;if(void 0===I&&!m&&null!=y){var N=Vf(t,g,w,b),L=hs()(Qh(t,g,w,N,b),["factory"]);if(void 0===(C=bc(e,t,y,b,g.type,L,v,null,null,i,T)))return void("func"!=b&&e.errors.push("Can't format default value of arg ".concat(p," for func ").concat(a)))}var P=null!=I?I:C;if(void 0!==P){var x;if(c.length){var k,F=rc(c);try{for(F.s();!(k=F.n()).done;){var D=k.value;u[D]=void 0}}catch(e){F.e(e)}finally{F.f()}c=[]}u[p]=_?P:null!==(x=O)&&void 0!==x?x:y}else m||d.push(p),c.push(p)}if(!d.length){var j;if("function"==typeof s.spelFormatFunc){var M=s.spelFormatFunc,V=[u];j=M.call.apply(M,[t.ctx].concat(V))}else if(s.spelFunc){j=s.spelFunc.replace(/\${(\w+)}/g,(function(e,t){var r;return null!==(r=u[t])&&void 0!==r?r:e}));var U,B=Object.keys(s.args||{}).reverse().filter((function(e){return!!s.args[e].isOptional})),q=rc(B);try{for(q.s();!(U=q.n()).done;){var G=U.value;if(null!=u[G])break;j=j.replace(new RegExp("(, )?\\${"+G+"}","g"),"")}}catch(e){q.e(e)}finally{q.f()}j=j.replace(/\${(\w+)}/g,"null")}else e.errors.push("Func ".concat(a," is not supported"));return j}}else e.errors.push("Func ".concat(a," is not defined in config"))};function Sc(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Tc(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Tc(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Tc(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function _c(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function wc(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?_c(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):_c(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Rc={number:"number",string:"text",boolean:"boolean",null:"null"},Ac={String:"text"},Ic=function(e){return"object"==Ln(e)&&null!==e&&!Array.isArray(e)},Cc=function(e,t){return Nc(e,t,!0)},Nc=function(e,t){var r,n,o=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],i={errors:[]},a=Ah(t,void 0,!1),l=xc(a),s=void 0;try{r=zu.SpelExpressionEvaluator.compile(e)._compiledExpression}catch(e){i.errors.push(e)}r&&(n=Lc(r,i),Ms.debug("convertedObj:",n,i),(s=kc(n,l,a,i))&&"group"!=s.type&&"switch_group"!=s.type&&(s=Yc(s,a,n.not)),Ms.debug("jsTree:",s));var u=s?Tu(s):void 0;return o?[u,i.errors]:(i.errors.length&&console.warn("Errors while importing from SpEL:",i.errors),u)},Lc=function e(t,r){var n,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,i=t.getType(),a=t.getChildren().map((function(n){return e(n,r,t)}));if("op-or"!=i&&"op-and"!=i||(a=a.reduce((function(e,t){var r=t.type!=i||t.not?[t]:t.children;return[].concat(Gn(e),Gn(r))}),[])),"op-not"==i)return 1!=a.length&&r.errors.push("Operator NOT should have 1 child, but got ".concat(a.length,"}")),wc(wc({},a[0]),{},{not:!a[0].not});if("compound"==i){var l=(a=a.filter((function(e){return!("selection"==e.type&&1==e.children.length&&"boolean"==e.children[0].type&&1==e.children[0].val)}))).find((function(e){return"selection"==e.type}));l&&1!=l.children.length&&r.errors.push("Selection should have 1 child, but got ".concat(l.children.length));var s=l?l.children[0]:null,u=a[a.length-1],c="method"==u.type&&"size"==u.val.methodName||"!func"==u.type&&"size"==u.methodName,d="property"==u.type&&"length"==u.val,p=a.filter((function(e){return e!==l&&e!==u})),f={type:"compound",children:p};if((c||d)&&null!=Dc(p))return{type:"!aggr",filter:s,source:f};if(a=(a=a.filter((function(e){var t="variable"==e.type&&"this"==e.val,r="variable"==e.type&&"root"==e.val;return!(t||r)}))).map((function(e){return"indexer"==e.type&&1==e.children.length?{type:"indexer",val:e.children[0].val,itype:e.children[0].type}:e})),"!func"==u.type){var h={},g=h;do{var v,y;Object.assign(g,u),a=a.filter((function(e){return e!==u})),"!func"==(null===(y=u=a[a.length-1])||void 0===y?void 0:y.type)?(g.obj={},g=g.obj):a.length>1?g.obj={type:"compound",children:a}:g.obj=u}while("!func"==(null===(v=u)||void 0===v?void 0:v.type));return h}}try{t.getRaw?n=t.getRaw():0==t.getValue.length&&(n=t.getValue())}catch(e){Ms.error("[spel2js] Error in getValue()",e)}if("ternary"==i&&(n=Pc(a)),"object"===Ln(n)&&null!==n&&(n.methodName||n.functionName)&&(n.args=n.args.map((function(n){return e(n,r,t)}))),"list"==i&&(n=n.map((function(n){return e(n,r,t)})),!o&&1==n.length))return n[0];if("constructorref"==i){var m=a.find((function(e){return"qualifiedidentifier"==e.type})),b=null==m?void 0:m.val;return b?{type:"!new",cls:b,args:a.filter((function(e){return"qualifiedidentifier"!=e.type}))}:void r.errors.push("Can't find qualifiedidentifier in constructorref children: ".concat(JSON.stringify(a)))}if("typeref"==i){var E=a.find((function(e){return"qualifiedidentifier"==e.type})),O=null==E?void 0:E.val;return O?(a.filter((function(e){return"qualifiedidentifier"!=e.type})),{type:"!type",cls:O}):void r.errors.push("Can't find qualifiedidentifier in typeref children: ".concat(JSON.stringify(a)))}if("function"==i||"method"==i){var S=n,T=S.functionName,_=S.methodName,w=S.args;return{type:"!func",methodName:T||_,isVar:"function"==i,args:w}}return{type:i,children:a,val:n}},Pc=function(e){var t=[];return function e(r){var n=zn(r,3),o=n[0],i=n[1],a=n[2];t.push([o,i]),"ternary"==(null==a?void 0:a.type)?e(a.children):t.push([void 0,a])}(e),t},xc=function(e){var t={},r=function(r){var n=e.operators[r];if(n.spelOps)n.spelOps.forEach((function(e){var n=e;t[n]||(t[n]=[]),t[n].push(r)}));else if(n.spelOp){var o=n.spelOp;t[o]||(t[o]=[]),t[o].push(r)}else Ms.log("[spel] No spelOp for operator ".concat(r))};for(var n in e.operators)r(n);var o={};for(var i in e.conjunctions)o[e.conjunctions[i].spelConj||i.toLowerCase()]=i;var a,l={},s=Sc(Fh(e));try{var u=function(){var e=zn(a.value,2),t=e[0],r=e[1],n=[],o=r.spelFunc;if("string"==typeof o){var i=Object.keys(r.args||{}).reverse().filter((function(e){return!!r.args[e].isOptional||null!=r.args[e].defaultValue})),s=o.replace(/\${(\w+)}/g,(function(e,t){return"?"})),u=i.reduce((function(e,t){return[].concat(Gn(e),[[t].concat(Gn(e[e.length-1]||[]))])}),[]).map((function(e){return o.replace(/(?:, )?\${(\w+)}/g,(function(t,r){return e.includes(r)?"":t})).replace(/\${(\w+)}/g,(function(e,t){return"?"}))}));n=[s].concat(Gn(u))}var c,d=Sc(n);try{for(d.s();!(c=d.n()).done;){var p=c.value;l[p]||(l[p]=[]),l[p].push(t)}}catch(e){d.e(e)}finally{d.f()}};for(s.s();!(a=s.n()).done;)u()}catch(e){s.e(e)}finally{s.f()}var c={};for(var d in e.widgets){var p=e.widgets[d],f=p.spelImportFuncs;if(p.type,f){var h,g=Sc(f);try{for(g.s();!(h=g.n()).done;){var v=h.value;if("string"==typeof v){var y=v.replace(/\${(\w+)}/g,(function(e,t){return"?"})),m=Gn(v.matchAll(/\${(\w+)}/g)).map((function(e){var t=zn(e,2);return t[0],t[1]}));c[y]||(c[y]=[]),c[y].push({w:d,argsOrder:m})}}}catch(e){g.e(e)}finally{g.f()}}}var b={};for(var E in e.operators){var O=e.operators[E].spelOp;if(null!=O&&O.includes("${0}")){var S=O.replace(/\${(\w+)}/g,(function(e,t){return"?"})),T=Gn(O.matchAll(/\${(\w+)}/g)).map((function(e){var t=zn(e,2);return t[0],t[1]}));b[S]||(b[S]=[]),b[S].push({op:E,argsOrder:T})}}return b[ac.replace(/\${(\w+)}/g,(function(e,t){return"?"}))]=[{op:"!compare",argsOrder:["0","1"]}],{operators:t,conjunctions:o,funcs:l,valueFuncs:c,opFuncs:b}},kc=function e(t,r,n,o){var i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(t){var a,l=!0;if(0===t.type.indexOf("op-")||"matches"===t.type)a=Fc(t,r,n,o,i);else if("!aggr"==t.type){var s,u=e(t.source,r,n,o,wc(wc({},t),{},{_groupField:null==i?void 0:i._groupField})),c=e(t.filter,r,n,o,wc(wc({},t),{},{_groupField:null==u?void 0:u.value}));"rule"==(null===(s=c)||void 0===s?void 0:s.type)&&(c=Yc(c,n,t.filter.not)),a={groupFilter:c,groupFieldValue:u},i||(a=void 0,o.errors.push("Unexpected !aggr in root"),l=!1)}else if("ternary"==t.type){var d={};t.val.forEach((function(e){var i=zn(e,2),a=i[0],l=i[1],s=zc(a,l,r,n,o,t);s&&(d[s.id]=s)})),a={type:"switch_group",id:vs(),children1:d,properties:{}}}if(!a&&l&&(a=jc(t,r,n,o,i)),a&&!a.type&&!i){var p=Wc(t,r,n,o);p?a=p:(a=void 0,o.errors.push("Can't convert rule of type ".concat(t.type,", it looks like var/literal")))}return a}},Fc=function e(t,r,n,o){var i,a=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,l=t.type.startsWith("op-")?t.type.slice(3):t.type;if(("minus"==l||"plus"==l)&&1==t.children.length)return t.isUnary=!0,e(t.children[0],r,n,o,t);var s="and"==l&&2==t.children.length&&"op-ge"==t.children[0].type&&"op-le"==t.children[1].type,u="or"==l&&2==t.children.length&&"op-lt"==t.children[0].type&&"op-gt"==t.children[1].type;if(s||u){var c=zn(t.children[0].children,2),d=c[0],p=c[1],f=zn(t.children[1].children,2),h=f[0],g=f[1];if(Kc(d,h,t,r,n,o,a))return p.val,g.val,e({type:"op-between",children:[d,p,g],not:u},r,n,o,a)}var v=r.operators[l];"eq"==l&&"null"==t.children[1].type?v=["is_null"]:"ne"==l&&"null"==t.children[1].type?v=["is_not_null"]:"le"==l&&"string"==t.children[1].type&&""==t.children[1].val?v=["is_empty"]:"gt"==l&&"string"==t.children[1].type&&""==t.children[1].val?v=["is_not_empty"]:"between"==l&&(v=["between"]);var y=function(){var e,i=t.children.map((function(e){return kc(e,r,n,o,wc(wc({},t),{},{_groupField:null==a?void 0:a._groupField}))}));return i.length>=2&&"!compare"==(null===(e=i)||void 0===e||null===(e=e[0])||void 0===e?void 0:e.type)&&(i=i[0].children),i};if("and"==l||"or"==l){var m={};y().forEach((function(e){if(e){var t=vs();e.id=t,null!=e.type?m[t]=e:o.errors.push("Bad item in AND/OR: ".concat(JSON.stringify(e)))}})),i={type:"group",id:vs(),children1:m,properties:{conjunction:r.conjunctions[l],not:t.not}}}else if(v){var b,E,O=y(),S=O[0],T=O.slice(1),_=null==S||null===(b=S.groupFieldValue)||void 0===b?void 0:b.value,w=null===(E=T)||void 0===E?void 0:E[0],R=v[0];if(v.length>1){var A,I,C=(null===(A=O[0])||void 0===A?void 0:A.valueType)||(null===(I=O[1])||void 0===I?void 0:I.valueType),N=null==S?void 0:S.value,L=v.map((function(e){return{op:e,widget:Vf(n,N,e)}}));if(Ms.warn("[spel] Spel operator ".concat(l," can be mapped to ").concat(v,"."),"widgets:",L,"vals:",O,"valueType=",C),"eq"==l||"ne"==l){var P=L.find((function(e){e.op;var t=e.widget;return t&&"field"!=t}));P&&(R=P.op)}}null!=S&&S.groupFieldValue&&(w&&w.groupFieldValue&&"field"==w.groupFieldValue.valueSrc&&w.groupFieldValue.value==_?(R="all",T=[]):"equal"==R&&"value"==w.valueSrc&&"number"==w.valueType&&0==w.value?(R="none",T=[]):"greater"==R&&"value"==w.valueSrc&&"number"==w.valueType&&0==w.value&&(R="some",T=[]));var x=!1;if(t.not){var k=n.operators[R];k.reversedOp?(R=k.reversedOp,t.not=!1):x=!0}if(S)if(S.groupFieldValue)"field"!=S.groupFieldValue.valueSrc&&o.errors.push("Expected group field ".concat(JSON.stringify(S))),i=Gc(S,R,T,n,o);else{"field"!=S.valueSrc&&"func"!=S.valueSrc&&o.errors.push("Expected field/func at LHS, but got ".concat(JSON.stringify(S)));var F=S.value;i=qc(n,o,F,R,T)}x&&("group"!==i.type?i=Yc(i,n,t.not):i.properties.not=!i.properties.not)}else a||(i=Wc(t,r,n,o));return i},Dc=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},r=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=!1,o=e.map((function(e){if("variable"==e.type||"property"==e.type||"indexer"==e.type&&"string"==e.itype)return e.val;var o,i;n=!0,r&&(null==t||null===(o=t.errors)||void 0===o||null===(i=o.push)||void 0===i||i.call(o,"Unexpected item in field path compound: ".concat(JSON.stringify(e))))}));return n?void 0:o},jc=function e(t,r,n,o,i){if(null!=t){var a=n.settings.fieldSeparator;if("variable"==t.type||"property"==t.type){var l=Vh(n,t.val,null==i?void 0:i._groupField),s=$h(n,l),u="variable"==t.type;return{valueSrc:"field",valueType:null==s?void 0:s.type,isVariable:u,value:l}}if("compound"==t.type){var c=Dc(t.children,o);if(c){var d,p=Vh(n,c.join(a),null==i?void 0:i._groupField),f=$h(n,p),h="variable"==(null===(d=t.children)||void 0===d||null===(d=d[0])||void 0===d?void 0:d.type);return{valueSrc:"field",valueType:null==f?void 0:f.type,isVariable:h,value:p}}}else{if(Rc[t.type]){var g=t.val,v=Rc[t.type];return null!=i&&i.isUnary&&(g=-g),{valueSrc:"value",valueType:v,value:g}}if("!new"==t.type&&Ac[t.cls.at(-1)]){var y=t.args.map((function(i){return e(i,r,n,o,t)})),m=null==y?void 0:y[0],b=Ac[t.cls.at(-1)];return wc(wc({},m),{},{valueType:b})}if("list"==t.type){var E,O=t.val.map((function(i){return e(i,r,n,o,t)}));return O.length&&(null===(E=O[0])||void 0===E||E.valueType),{valueSrc:"value",valueType:"multiselect",value:O.map((function(e){return null==e?void 0:e.value}))}}if("op-plus"==t.type&&"ternary"==(null==i?void 0:i.type))return Hc(t,r,n,o)}var S=Vc(t,r,n,o,i);if(void 0!==S)return S;o.errors.push("Can't convert arg of type ".concat(t.type))}},Mc=function e(t,r){var n,o=[],i="",a=t.type,l=t.methodName,s=(t.val,t.obj),u=t.args,c=t.isVar,d=t.cls,p=t.children,f=null==p?void 0:p[p.length-1],h=r[r.length-1];if("!func"===a){for(var g=s;g;){var v,y=zn(e(wc(wc({},g),{},{obj:null}),[{}]),2),m=y[0],b=y[1];if("?"!==m){var E={s:h.s,params:Gn(h.params),objs:Gn(h.objs)};h.objs.unshift("?"),h.params.unshift(g),r.push(E),h=r[r.length-1]}h.objs.unshift(m),(v=h.params).unshift.apply(v,Gn(b)),g="!func"===g.type?g.obj:null}var O,S=Sc(r);try{for(S.s();!(O=S.n()).done;){var T,_=O.value;o=[].concat(Gn((null==_?void 0:_.params)||[]),Gn(u||[])),i="",null!=_&&null!==(T=_.objs)&&void 0!==T&&T.length&&(i+=_.objs.join(".")+"."),i+=(c?"#":"")+l,i+="("+(u||[]).map((function(e){return"?"})).join(", ")+")",_.s=i,_.params=o}}catch(e){S.e(e)}finally{S.f()}}else"!new"===a?(o=u||[],i="new ".concat(d.join("."),"(").concat(o.map((function(e){return"?"})).join(", "),")")):"!type"===a?i="T(".concat(d.join("."),")"):"compound"===a&&"property"===f.type&&(n=f.val,["length"].includes(n))?i=p.map((function(t){var r;if(t===f)return t.val;var n=zn(e(wc(wc({},t),{},{obj:null}),[{}]),2),i=n[0],a=n[1];return(r=o).push.apply(r,Gn(a)),i})).join("."):(o=[t],i="?");return h&&(h.s=i,h.params=o),[i,o]},Vc=function(e,t,r,n,o){var i,a=function(i){return jc(i,t,r,n,wc(wc({},e),{},{_groupField:null==o?void 0:o._groupField}))},l=function(e){var t=[{s:"",params:[],objs:[]}];return Mc(e,t),t.map((function(e){return{s:e.s,params:e.params}})).reverse().filter((function(e){var t=e.s;return""!==t&&"?"!==t}))}(e),s=null==l||null===(i=l[0])||void 0===i?void 0:i.s;l.length&&Ms.debug("Signatures for ",e,":",s,l);var u=Uc(e,t,r,n,o,l,a);if(void 0!==u)return u;var c,d,p,f=Bc(e,t,r,n,o,l,a);if(void 0!==f)return f;var h,g=Sc(l);try{var v=function(){var e=h.value,n=e.s,o=e.params,i=t.funcs[n];if(i){c=i[0];var l=(d=Bh(r,c)).spelFunc,s=o.map(a),u=Gn(l.matchAll(/\${(\w+)}/g)).map((function(e){var t=zn(e,2);return t[0],t[1]}));return p=Object.fromEntries(u.map((function(e,t){return[e,s[t]]}))),1}};for(g.s();!(h=g.n()).done&&!v(););}catch(e){g.e(e)}finally{g.f()}if(!c){var y,m=Sc(Fh(r));try{for(m.s();!(y=m.n()).done;){var b=zn(y.value,2),E=b[0],O=b[1];if(O.spelImport){var S=void 0;try{S=O.spelImport(e)}catch(e){}if(S)for(var T in d=Bh(r,c=E),p={},S)p[T]=a(S[T])}}}catch(e){m.e(e)}finally{m.f()}}if(c){var _={};for(var w in d.args){var R,A=d.args[w],I=p[w];if(void 0===I)if(void 0===(I=null==A?void 0:A.defaultValue)){if(null==A||!A.isOptional)return void n.errors.push("No value for arg ".concat(w," of func ").concat(c))}else I={value:I,valueSrc:null!==(R=I)&&void 0!==R&&R.func?"func":"value",valueType:A.type};I&&(_[w]=I)}return{valueSrc:"func",value:{func:c,args:_},valueType:d.returnType}}e.methodName&&n.errors.push("Signature ".concat(s," - failed to convert"))},Uc=function(e,t,r,n,o,i,a){var l,s,u,c=[];for(var d in r.widgets){var p=r.widgets[d].spelImportFuncs;if(p)for(var f=0;f<p.length;f++){var h=p[f];if(Ic(h)){var g={};if(Fs(h,e,g)){for(var v in g)g[v]=a(g[v]);c.push({s:"widgets.".concat(d,".spelImportFuncs[").concat(f,"]"),w:d,argsObj:g})}}}}var y,m=Sc(i);try{for(m.s();!(y=m.n()).done;){var b,E=y.value,O=E.s,S=E.params,T=Sc(t.valueFuncs[O]||[]);try{var _=function(){var e=b.value,t=e.w,r=e.argsOrder,n=S.map(a),o=Object.fromEntries(r.map((function(e,t){return[e,n[t]]})));c.push({s:O,w:t,argsObj:o})};for(T.s();!(b=T.n()).done;)_()}catch(e){T.e(e)}finally{T.f()}}}catch(e){m.e(e)}finally{m.f()}for(var w=0,R=c;w<R.length;w++){var A=R[w],I=A.s,C=A.w,N=A.argsObj,L=r.widgets[C],P=L.spelImportValue,x=L.type;for(var k in u=C,s=I,l=[],N)["value"].includes(N[k].valueSrc)||l.push("".concat(k," has unsupported value src ").concat(N[k].valueSrc));var F=N.v.value;if(P&&!l.length){var D=zn(P.call(r.ctx,N.v,L,N),2);F=D[0],(l=D[1])&&!Array.isArray(l)&&(l=[l])}if(!l.length)return{valueSrc:"value",valueType:x,value:F}}u&&l.length&&n.errors.push("Signature ".concat(s," - looks like convertable to ").concat(u,", but: ").concat(l.join("; ")))},Bc=function(e,t,r,n,o,i,a){var l,s,u,c,d=Sc(i);try{for(d.s();!(c=d.n()).done;){var p,f=c.value,h=f.s,g=f.params,v=Sc(t.opFuncs[h]||[]);try{var y,m=function(){var t,i=p.value,c=i.op,d=i.argsOrder,f=g.map(a);if(s=c,"!compare"===c){if(o.type.startsWith("op-")&&2==o.children.length&&"number"==o.children[1].type&&0===o.children[1].val)return{v:{type:"!compare",children:f}};l.push("Result of compareTo() should be compared to 0")}u=h,l=[];var v=r.operators[s],y=(v.spelOp,v.valueTypes),m=Object.fromEntries(d.map((function(e,t){return[e,f[t]]}))),b=m[0],E=Object.keys(m).filter((function(e){return parseInt(e)>0})).map((function(e){return m[e]})),O=null===(t=f.filter((function(e){return!!e})).find((function(e){return"value"===e.valueSrc})))||void 0===t?void 0:t.valueType;if(y&&O&&!y.includes(O)&&l.push("Op supports types ".concat(y,", but got ").concat(O)),!l.length)return{v:qc(r,n,b,s,E,e)}};for(v.s();!(p=v.n()).done;)if(y=m())return y.v}catch(e){v.e(e)}finally{v.f()}}}catch(e){d.e(e)}finally{d.f()}s&&l.length&&n.errors.push("Signature ".concat(u," - looks like convertable to ").concat(s,", but: ").concat(l.join("; ")))},qc=function(e,t,r,n,o,i){var a;if(!o.filter((function(e){return void 0===e})).length){var l=null!==(a=r)&&void 0!==a&&a.func?"func":"field";Ic(r)&&r.valueSrc&&(l=r.valueSrc,r=r.value);var s=$h(e,r);if(s){var u=!1;if(null!=i&&i.not){var c=e.operators[n];c.reversedOp?(n=c.reversedOp,i.not=!1):u=!0}var d=Vf(e,r,n),p=e.widgets[d||s.mainWidget],f=o.map((function(e){return e.asyncListValues})).filter((function(e){return null!=e})),h=f.length?f[0]:void 0,g={type:"rule",id:vs(),properties:wc({field:r,fieldSrc:l,operator:n,value:o.map((function(e){return e.value})),valueSrc:o.map((function(e){return e.valueSrc})),valueType:o.map((function(e){return"value"==e.valueSrc&&((null==p?void 0:p.type)||(null==s?void 0:s.type))||e.valueType}))},h?{asyncListValues:h}:{})};return u&&(g=Yc(g,e,null==i?void 0:i.not),null!=i&&i.not&&(i.not=!1)),g}t.errors.push("No config for field ".concat(r))}},Gc=function(e,t,r,n,o){var i=e.groupFilter,a=e.groupFieldValue;if("field"!=a.valueSrc)throw"Bad groupFieldValue: ".concat(JSON.stringify(a));var l=a.value,s=qc(n,o,l,t,r);if(s){var u,c=$h(n,l),d=null==c?void 0:c.mode;return(u="group"===(null==i?void 0:i.type)?wc(wc({},i||{}),{},{type:"rule_group",properties:wc(wc(wc({},s.properties),(null==i?void 0:i.properties)||{}),{},{mode:d})}):wc(wc({},s||{}),{},i?{type:"rule_group",children1:[i],properties:wc(wc({},s.properties),{},{mode:d})}:{type:"rule_group",properties:wc(wc({},s.properties),{},{mode:d})})).id||(u.id=vs()),u}},Kc=function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if(e.type==t.type){if("!aggr"==e.type){var l=zn([e.source,t.source].map((function(e){return jc(e,n,o,i,wc(wc({},r),{},{_groupField:null==a?void 0:a._groupField}))})),2),s=l[0],u=l[1];return s.value==u.value}var c=zn([e,t].map((function(e){return jc(e,n,o,i,wc(wc({},r),{},{_groupField:null==a?void 0:a._groupField}))})),2),d=c[0],p=c[1];return d.value==p.value}return!1},Wc=function(e,t,r,n){var o={},i=zc(null,e,t,r,n);return i&&(o[i.id]=i),{type:"switch_group",id:vs(),children1:o,properties:{}}},zc=function(e,t,r,n,o){var i,a=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,l=$c(n,o,r,t,a);return e?(i=kc(e,r,n,o,a))&&i.type?("group"!=i.type&&(i=Yc(i,n)),i.type="case_group"):(o.errors.push("Unexpected case: ".concat(JSON.stringify(i))),i=void 0):i={id:vs(),type:"case_group",properties:{}},i&&(i.properties=wc(wc({},i.properties),l)),i},Hc=function(e,t,r,n){var o=[];return function i(a){a.map((function(a){if("op-plus"==a.type)i(a.children);else{var l=jc(a,t,r,n,e);l?o.push(l):n.errors.push("Can't convert ".concat(a.type," in concatenation"))}}))}(e.children),{valueSrc:"value",valueType:"case_value",value:o}},$c=function(e,t,r,n){var o,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,a={};o="op-plus"==(null==n?void 0:n.type)?Hc(n,r,e,t):jc(n,r,e,t,i);var l=e.widgets.case_value,s=null==l?void 0:l.spelImportValue;if(s){var u=zn(s(o),2),c=u[0];u[1].map((function(e){return t.errors.push(e)})),c&&(a={value:[c],valueSrc:["value"],valueType:["case_value"]})}else t.errors.push("No fucntion to import case value");return a},Yc=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return{type:"group",id:vs(),children1:Vn({},e.id,e),properties:{conjunction:id(t),not:r||!1}}};function Qc(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Xc(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Qc(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Qc(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Jc=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=e.settings.defaultField,o=(r?Zc(e,r):n)||t&&Xh(e,r)||null;return null==o||"string"==typeof o||Ts(o)||(o=Ru(o)),o},Zc=function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(!r)return null;var n=(null==e||null===(t=e.settings)||void 0===t?void 0:t.fieldSeparator)||".",o=$h(e,r),i=null==o?void 0:o.defaultField;return i&&(i=[].concat(Gn(Wh(r)),[i]).join(n)),i},ed=function(e){var t;return(!(arguments.length>1&&void 0!==arguments[1])||arguments[1])&&(null===(t=e.settings.fieldSources)||void 0===t?void 0:t[0])||"field"},td=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=e.settings.defaultOperator,o=$h(e,t),i=(null==o?void 0:o.operators)||[];n&&!i.includes(n)&&(n=null);var a=null==o?void 0:o.defaultOperator;return a&&!i.includes(a)&&(a=null),!a&&r&&(a=Cf(e,t)),(null==o?void 0:o._origDefaultOperator)&&a||n||a},rd=function(e,t,r){var n=t?Yh(e,t,r):null;return n&&n.options?new ps.Map(n.options&&n.options.defaults||{}):null},nd=function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,a=!(arguments.length>3&&void 0!==arguments[3])||arguments[3],l=arguments.length>4&&void 0!==arguments[4]&&arguments[4],s=null,u=null,c=null,d=e.settings.showErrorMessage;i?(c=null==i||null===(t=i.properties)||void 0===t?void 0:t.fieldSrc,s=null==i||null===(r=i.properties)||void 0===r?void 0:r.field,u=null==i||null===(n=i.properties)||void 0===n?void 0:n.operator):a?(c=(s=Jc(e,l,o))?Ts(s)?"func":"field":ed(e),u=td(e,s,!0)):c=ed(e);var p=new ps.Map({fieldSrc:c,field:s,operator:u,value:new ps.List,valueSrc:new ps.List,operatorOptions:rd(e,u,s)});if(d&&(p=p.set("valueError",new ps.List)),s&&u){var f=vf(e,e,p,s,u,"operator",!1),h=f.newValue,g=f.newValueSrc,v=f.newValueType,y=f.newValueError,m=f.newFieldError;p=p.set("value",h).set("valueSrc",g).set("valueType",v),d&&(p=p.set("valueError",y).set("fieldError",m))}return p},od=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=(t=$h(e,t))&&t.conjunctions||Object.keys(e.conjunctions);return 1==r.length?r[0]:e.settings.defaultGroupConjunction||e.settings.defaultConjunction||r[0]},id=function(e){return e.settings.defaultConjunction||Object.keys(e.conjunctions)[0]},ad=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;return new ps.Map({conjunction:od(e,t),not:!1})},ld=function(e,t){var r;return t&&"group"==t.type?ad(e,null==t||null===(r=t.properties)||void 0===r?void 0:r.field):nd(e,null,t)},sd=function(e,t){return Vn({},e,new ps.Map({type:"rule",id:e,properties:nd(t)}))},ud=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];return new ps.Map({type:"group",id:vs(),children1:new ps.OrderedMap(t?Xc({},sd(vs(),e)):{}),properties:ad(e)})},cd=function(e){return new ps.List(e)},dd=function(){return new ps.Map};function pd(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return fd(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?fd(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function fd(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function hd(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function gd(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?hd(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):hd(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var vd=function(e,t){var r={errors:[],settings:{isForDisplay:arguments.length>2&&void 0!==arguments[2]&&arguments[2],isDebugMode:arguments.length>3&&void 0!==arguments[3]&&arguments[3]}},n=Ah(t,void 0,!1),o=yd(e,n,r,null);return r.errors.length&&console.warn("Errors while exporting to string:",r.errors),o},yd=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(e){var o=e.get("type");return e.get("children1"),"group"===o||"rule_group"===o?md(e,t,r,n):"rule"===o?bd(e,t,r,n):void 0}},md=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=r.settings,l=a.isForDisplay,s=a.isDebugMode,u=e.get("type"),c=e.get("properties")||new wa,d=c.get("mode"),p=e.get("children1")||new Ya,f="rule_group"===u,h=f&&"array"==d?c.get("field"):null,g="rule_group"===u?c.get("operator"):null,v=g?null!==(n=null===(o=t.operators[g])||void 0===o?void 0:o.cardinality)&&void 0!==n?n:1:void 0,y=f&&"array"===d&&v>=1,m=c.get("not"),b=p.map((function(e){return yd(e,t,r,h)})).filter((function(e){return void 0!==e}));if(y||b.size||s){var E=c.get("conjunction");E||(E=id(t));var O,S=t.conjunctions[E],T=b.size?S.formatConj(b,E,m,l):null;if(h){var _=bd(e,t,r,i,!0);if(_){var w,R=_.pop(),A=[T].concat(Gn(_));O=(w=t.settings).formatAggr.apply(w,Gn(A)),R&&(O=t.settings.formatReverse(O,null,null,null,null,l))}}else O=T;return s&&null==O&&(O="?"),O}},bd=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=r.settings,a=i.isForDisplay,l=i.isDebugMode,s=e.get("properties")||new wa,u=s.get("field"),c=s.get("fieldSrc"),d=s.get("operator"),p=s.get("operatorOptions");if(null!=u&&null!=d||l){var f=$h(t,u)||{},h=Yh(t,d,u)||{},g=h.reversedOp,v=Yh(t,g,u)||{},y=!1,m=h.formatOp;if(!m&&g&&(m=v.formatOp)){y=!0;var b=[g,d];d=b[0],g=b[1];var E=[v,h];h=E[0],v=E[1]}if(l&&!d&&(d="?"),m||(m=function(e,t,r){var n,o=r.settings.isDebugMode,i=(null==t?void 0:t.labelForFormat)||e,a=Es(t);return 0==a?n=function(e,t,r,n,o,a,l,s){return"".concat(e," ").concat(i)}:1==a?n=function(e,t,r,n,a,l,s,u){return o&&"?"===t&&"?"===r?e&&"?"!==e?"".concat(e," ?"):"?":"".concat(e," ").concat(i," ").concat(r)}:2==a&&(n=function(e,t,r,n,o,a,l,s){var u,c,d=null==r||null===(u=r.first)||void 0===u?void 0:u.call(r),p=null==r||null===(c=r.get)||void 0===c?void 0:c.call(r,1);return"".concat(e," ").concat(i," ").concat(d," AND ").concat(p)}),n}(d,h,r)),m){var O="func"===c?Sd(t,r,u,n):Od(t,r,u,n);if(null!=O){var S=function(e,t,r,n,o){var i,a,l=r.settings,s=(l.isForDisplay,l.isDebugMode),u=t.get("field"),c=t.get("valueSrc"),d=t.get("valueType"),p=$h(e,u)||{},f=n||t.get("operator"),h=Yh(e,f,u)||{},g=Es(h),v=t.get("value"),y=t.get("asyncListValues"),m=[],b=[];return null!=v&&!((a=v.map((function(t,n){var i=c?c.get(n):null,a=d?d.get(n):null,l=s?t:Qf(t,i,e),g=Vf(e,u,f,i),v=hs()(Qh(e,u,f,g,i),["factory"]),E=Ed(e,r,l,i,a,v,p,f,h,o,y);return void 0!==E&&(m.push(i),b.push(a)),E}))).filter((function(e){return void 0===e})).size>0)&&a.size===g&&(i=1==g?a.first():a),s&&!i&&(i=g>1?new Ya(Array.from({length:g}).map((function(e,t){var r,n;return null!==(r=null===(n=a)||void 0===n?void 0:n.get(t))&&void 0!==r?r:"?"}))):"?"),[i,m.length>1?m:m[0],b.length>1?b:b[0]]}(t,s,r,d,n),T=zn(S,3),_=T[0],w=T[1],R=T[2];if(void 0!==_){var A=[O,d,_,w,R,hs()(h,bs),p,a,f,y];if(o)return A;var I,C=(I=m).call.apply(I,[t.ctx].concat(A));return y&&(C=t.settings.formatReverse(C,d,g,h,v,a)),C}}}}},Ed=function(e,t,r,n,o,i,a,l,s){var u,c=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,d=arguments.length>10?arguments[10]:void 0,p=t.settings,f=p.isForDisplay,h=p.isDebugMode;if(void 0===r)return h?"array"===(null==i?void 0:i.jsType)?[]:"?":void 0;if("field"==n)u=Od(e,t,r,c);else if("func"==n)u=Sd(e,t,r,c);else if("function"==typeof i.formatValue){var g=i.formatValue,v=[r,gd(gd({},Ks()(a,["fieldSettings","listValues"])),{},{asyncListValues:d}),hs()(i,ms),f];if(l&&(v.push(l),v.push(s)),"field"==n){var y=$h(e,r)||{};v.push(y)}u=g.call.apply(g,[e.ctx].concat(v))}else u=r;return u},Od=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=!(arguments.length>4&&void 0!==arguments[4])||arguments[4],i=t.settings,a=i.isForDisplay,l=i.isDebugMode,s=e.settings,u=(s.fieldSeparator,s.fieldSeparatorDisplay),c=null;if(r){var d=$h(e,r)||{},p=Wh(r,e),f=Pf(r,e,o?n:null),h=f?f.join(u):null,g=d.label2||h;c=(0,e.settings.formatField)(Uf(r,e,t,o?n:null,{useTableName:!0}),p,g,d,e,a)}else l&&(c="?");return c},Sd=function(e,t,r){var n,o,i,a=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,l=t.settings,s=l.isForDisplay,u=l.isDebugMode,c=null==r||null===(n=r.get)||void 0===n?void 0:n.call(r,"func");if(!c)return u?"?()":void 0;var d=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),p=Bh(e,c);if(p||u){var f,h=Wh(c,e),g=h[h.length-1],v=s&&(null==p?void 0:p.label)||g,y={},m=[],b=[],E={},O=pd(p?Object.keys(p.args||{}):(null==d||null===(i=d.keySeq)||void 0===i?void 0:i.call(d).toArray())||[]);try{for(O.s();!(f=O.n()).done;){var S,T=f.value,_=null==p?void 0:p.args[T],w=$h(e,_),R=_||{},A=R.defaultValue,I=R.isOptional,C=null!=A&&A.func?"func":"value",N=s&&(null==_?void 0:_.label)||T,L=d?d.get(T):void 0,P=L?L.get("value"):void 0,x=L?L.get("valueSrc"):void 0;"func"!==x&&null!==(S=P)&&void 0!==S&&S.toJS&&(P=P.toJS());var k=L?L.get("asyncListValues"):void 0,F=Ed(e,t,P,x,null==_?void 0:_.type,w,_,null,null,a,k);null!=P&&void 0===F&&"func"!=x&&t.errors.push("Can't format value of arg ".concat(T," for func ").concat(c));var D=void 0;if(void 0===F&&!I&&null!=A&&void 0===(D=Ed(e,t,A,C,null==_?void 0:_.type,w,_,null,null,a,k)))return void("func"!=C&&t.errors.push("Can't format default value of arg ".concat(T," for func ").concat(c)));var j=null!=F?F:D;if(void 0!==j){if(m.length){var M,V=pd(T);try{for(V.s();!(M=V.n()).done;){var U=zn(M.value,2),B=U[0];U[1],y[B]=void 0}}catch(e){V.e(e)}finally{V.f()}m=[]}y[T]=j,E[N]=j}else I||b.push(T),m.push([T,N])}}catch(e){O.e(e)}finally{O.f()}if(!b.length||u){var q=null;if("function"==typeof(null==p?void 0:p.formatFunc)){var G=p.formatFunc,K=[y,s];q=G.call.apply(G,[e.ctx].concat(K))}else{var W=Object.entries(s?E:y).map((function(e){var t=zn(e,2),r=t[0],n=t[1];return s?"".concat(r,": ").concat(n):"".concat(n)})).join(", ");q="".concat(v,"(").concat(W,")")}return q}}else t.errors.push("Func ".concat(c," is not defined in config"))},Td="EMPTY_GROUP",_d="EMPTY_RULE_GROUP",wd="EMPTY_QUERY",Rd="EMPTY_CASE",Ad="NO_CONFIG_FOR_FIELD",Id="NO_CONFIG_FOR_OPERATOR",Cd="NO_CONFIG_FOR_FUNCTION",Nd="INVALID_VALUE",Ld="INVALID_FUNC_ARG_VALUE",Pd="UNSUPPORTED_FIELD_TYPE",xd="UNSUPPORTED_OPERATOR_FOR_FIELD",kd="INVALID_VALUE_SRC",Fd="INCOMPLETE_RULE",Dd="INCOMPLETE_LHS",jd="INCOMPLETE_RHS",Md="BAD_MULTISELECT_VALUES",Vd="BAD_SELECT_VALUE",Ud="INCORRECT_VALUE_TYPE",Bd="INCORRECT_VALUE_JS_TYPE",qd="VALUE_LENGTH_CONSTRAINT_FAIL",Gd="VALUE_MIN_CONSTRAINT_FAIL",Kd="VALUE_MAX_CONSTRAINT_FAIL",Wd="NO_CONFIG_FOR_FIELD_VALUE",zd="CANT_COMPARE_FIELD_WITH_ITSELF",Hd="CANT_COMPARE_FIELD_WITH_FIELD",$d="INCORRECT_FIELD_TYPE",Yd="UNSUPPORTED_FUNCTION_FOR_FIELD",Qd="REQUIRED_FUNCTION_ARG",Xd="INCORRECT_FUNCTION_RETURN_TYPE",Jd="INVALID_RANGE",Zd="ITEM_POSITION",ep="ITEM_POSITION_ROOT",tp="ITEM_POSITION_WITH_INDEX_PATH",rp="ITEM_POSITION_IN_CASE";const np={type:"logger",log(e){this.output("log",e)},warn(e){this.output("warn",e)},error(e){this.output("error",e)},output(e,t){console&&console[e]&&console[e].apply(console,t)}};class op{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.init(e,t)}init(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.prefix=t.prefix||"i18next:",this.logger=e||np,this.options=t,this.debug=t.debug}log(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"log","",!0)}warn(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"warn","",!0)}error(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"error","")}deprecate(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"warn","WARNING DEPRECATED: ",!0)}forward(e,t,r,n){return n&&!this.debug?null:("string"==typeof e[0]&&(e[0]=`${r}${this.prefix} ${e[0]}`),this.logger[t](e))}create(e){return new op(this.logger,{prefix:`${this.prefix}:${e}:`,...this.options})}clone(e){return(e=e||this.options).prefix=e.prefix||this.prefix,new op(this.logger,e)}}var ip=new op;class ap{constructor(){this.observers={}}on(e,t){return e.split(" ").forEach((e=>{this.observers[e]||(this.observers[e]=new Map);const r=this.observers[e].get(t)||0;this.observers[e].set(t,r+1)})),this}off(e,t){this.observers[e]&&(t?this.observers[e].delete(t):delete this.observers[e])}emit(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];this.observers[e]&&Array.from(this.observers[e].entries()).forEach((e=>{let[t,n]=e;for(let e=0;e<n;e++)t(...r)})),this.observers["*"]&&Array.from(this.observers["*"].entries()).forEach((t=>{let[n,o]=t;for(let t=0;t<o;t++)n.apply(n,[e,...r])}))}}function lp(){let e,t;const r=new Promise(((r,n)=>{e=r,t=n}));return r.resolve=e,r.reject=t,r}function sp(e){return null==e?"":""+e}const up=/###/g;function cp(e,t,r){function n(e){return e&&e.indexOf("###")>-1?e.replace(up,"."):e}function o(){return!e||"string"==typeof e}const i="string"!=typeof t?t:t.split(".");let a=0;for(;a<i.length-1;){if(o())return{};const t=n(i[a]);!e[t]&&r&&(e[t]=new r),e=Object.prototype.hasOwnProperty.call(e,t)?e[t]:{},++a}return o()?{}:{obj:e,k:n(i[a])}}function dp(e,t,r){const{obj:n,k:o}=cp(e,t,Object);if(void 0!==n||1===t.length)return void(n[o]=r);let i=t[t.length-1],a=t.slice(0,t.length-1),l=cp(e,a,Object);for(;void 0===l.obj&&a.length;)i=`${a[a.length-1]}.${i}`,a=a.slice(0,a.length-1),l=cp(e,a,Object),l&&l.obj&&void 0!==l.obj[`${l.k}.${i}`]&&(l.obj=void 0);l.obj[`${l.k}.${i}`]=r}function pp(e,t){const{obj:r,k:n}=cp(e,t);if(r)return r[n]}function fp(e,t,r){for(const n in t)"__proto__"!==n&&"constructor"!==n&&(n in e?"string"==typeof e[n]||e[n]instanceof String||"string"==typeof t[n]||t[n]instanceof String?r&&(e[n]=t[n]):fp(e[n],t[n],r):e[n]=t[n]);return e}function hp(e){return e.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")}var gp={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"};function vp(e){return"string"==typeof e?e.replace(/[&<>"'\/]/g,(e=>gp[e])):e}const yp=[" ",",","?","!",";"],mp=new class{constructor(e){this.capacity=e,this.regExpMap=new Map,this.regExpQueue=[]}getRegExp(e){const t=this.regExpMap.get(e);if(void 0!==t)return t;const r=new RegExp(e);return this.regExpQueue.length===this.capacity&&this.regExpMap.delete(this.regExpQueue.shift()),this.regExpMap.set(e,r),this.regExpQueue.push(e),r}}(20);function bp(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:".";if(!e)return;if(e[t])return e[t];const n=t.split(r);let o=e;for(let e=0;e<n.length;){if(!o||"object"!=typeof o)return;let t,i="";for(let a=e;a<n.length;++a)if(a!==e&&(i+=r),i+=n[a],t=o[i],void 0!==t){if(["string","number","boolean"].indexOf(typeof t)>-1&&a<n.length-1)continue;e+=a-e+1;break}o=t}return o}function Ep(e){return e&&e.indexOf("_")>0?e.replace("_","-"):e}class Op extends ap{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{ns:["translation"],defaultNS:"translation"};super(),this.data=e||{},this.options=t,void 0===this.options.keySeparator&&(this.options.keySeparator="."),void 0===this.options.ignoreJSONStructure&&(this.options.ignoreJSONStructure=!0)}addNamespaces(e){this.options.ns.indexOf(e)<0&&this.options.ns.push(e)}removeNamespaces(e){const t=this.options.ns.indexOf(e);t>-1&&this.options.ns.splice(t,1)}getResource(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};const o=void 0!==n.keySeparator?n.keySeparator:this.options.keySeparator,i=void 0!==n.ignoreJSONStructure?n.ignoreJSONStructure:this.options.ignoreJSONStructure;let a;e.indexOf(".")>-1?a=e.split("."):(a=[e,t],r&&(Array.isArray(r)?a.push(...r):"string"==typeof r&&o?a.push(...r.split(o)):a.push(r)));const l=pp(this.data,a);return!l&&!t&&!r&&e.indexOf(".")>-1&&(e=a[0],t=a[1],r=a.slice(2).join(".")),l||!i||"string"!=typeof r?l:bp(this.data&&this.data[e]&&this.data[e][t],r,o)}addResource(e,t,r,n){let o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{silent:!1};const i=void 0!==o.keySeparator?o.keySeparator:this.options.keySeparator;let a=[e,t];r&&(a=a.concat(i?r.split(i):r)),e.indexOf(".")>-1&&(a=e.split("."),n=t,t=a[1]),this.addNamespaces(t),dp(this.data,a,n),o.silent||this.emit("added",e,t,r,n)}addResources(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{silent:!1};for(const n in r)("string"==typeof r[n]||Array.isArray(r[n]))&&this.addResource(e,t,n,r[n],{silent:!0});n.silent||this.emit("added",e,t,r)}addResourceBundle(e,t,r,n,o){let i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{silent:!1,skipCopy:!1},a=[e,t];e.indexOf(".")>-1&&(a=e.split("."),n=r,r=t,t=a[1]),this.addNamespaces(t);let l=pp(this.data,a)||{};i.skipCopy||(r=JSON.parse(JSON.stringify(r))),n?fp(l,r,o):l={...l,...r},dp(this.data,a,l),i.silent||this.emit("added",e,t,r)}removeResourceBundle(e,t){this.hasResourceBundle(e,t)&&delete this.data[e][t],this.removeNamespaces(t),this.emit("removed",e,t)}hasResourceBundle(e,t){return void 0!==this.getResource(e,t)}getResourceBundle(e,t){return t||(t=this.options.defaultNS),"v1"===this.options.compatibilityAPI?{...this.getResource(e,t)}:this.getResource(e,t)}getDataByLanguage(e){return this.data[e]}hasLanguageSomeTranslations(e){const t=this.getDataByLanguage(e);return!!(t&&Object.keys(t)||[]).find((e=>t[e]&&Object.keys(t[e]).length>0))}toJSON(){return this.data}}var Sp={processors:{},addPostProcessor(e){this.processors[e.name]=e},handle(e,t,r,n,o){return e.forEach((e=>{this.processors[e]&&(t=this.processors[e].process(t,r,n,o))})),t}};const Tp={};class _p extends ap{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};var r,n;super(),r=e,n=this,["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector","i18nFormat","utils"].forEach((e=>{r[e]&&(n[e]=r[e])})),this.options=t,void 0===this.options.keySeparator&&(this.options.keySeparator="."),this.logger=ip.create("translator")}changeLanguage(e){e&&(this.language=e)}exists(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}};if(null==e)return!1;const r=this.resolve(e,t);return r&&void 0!==r.res}extractFromKey(e,t){let r=void 0!==t.nsSeparator?t.nsSeparator:this.options.nsSeparator;void 0===r&&(r=":");const n=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator;let o=t.ns||this.options.defaultNS||[];const i=r&&e.indexOf(r)>-1,a=!(this.options.userDefinedKeySeparator||t.keySeparator||this.options.userDefinedNsSeparator||t.nsSeparator||function(e,t,r){t=t||"",r=r||"";const n=yp.filter((e=>t.indexOf(e)<0&&r.indexOf(e)<0));if(0===n.length)return!0;const o=mp.getRegExp(`(${n.map((e=>"?"===e?"\\?":e)).join("|")})`);let i=!o.test(e);if(!i){const t=e.indexOf(r);t>0&&!o.test(e.substring(0,t))&&(i=!0)}return i}(e,r,n));if(i&&!a){const t=e.match(this.interpolator.nestingRegexp);if(t&&t.length>0)return{key:e,namespaces:o};const i=e.split(r);(r!==n||r===n&&this.options.ns.indexOf(i[0])>-1)&&(o=i.shift()),e=i.join(n)}return"string"==typeof o&&(o=[o]),{key:e,namespaces:o}}translate(e,t,r){if("object"!=typeof t&&this.options.overloadTranslationOptionHandler&&(t=this.options.overloadTranslationOptionHandler(arguments)),"object"==typeof t&&(t={...t}),t||(t={}),null==e)return"";Array.isArray(e)||(e=[String(e)]);const n=void 0!==t.returnDetails?t.returnDetails:this.options.returnDetails,o=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator,{key:i,namespaces:a}=this.extractFromKey(e[e.length-1],t),l=a[a.length-1],s=t.lng||this.language,u=t.appendNamespaceToCIMode||this.options.appendNamespaceToCIMode;if(s&&"cimode"===s.toLowerCase()){if(u){const e=t.nsSeparator||this.options.nsSeparator;return n?{res:`${l}${e}${i}`,usedKey:i,exactUsedKey:i,usedLng:s,usedNS:l,usedParams:this.getUsedParamsDetails(t)}:`${l}${e}${i}`}return n?{res:i,usedKey:i,exactUsedKey:i,usedLng:s,usedNS:l,usedParams:this.getUsedParamsDetails(t)}:i}const c=this.resolve(e,t);let d=c&&c.res;const p=c&&c.usedKey||i,f=c&&c.exactUsedKey||i,h=Object.prototype.toString.apply(d),g=void 0!==t.joinArrays?t.joinArrays:this.options.joinArrays,v=!this.i18nFormat||this.i18nFormat.handleAsObject;if(v&&d&&"string"!=typeof d&&"boolean"!=typeof d&&"number"!=typeof d&&["[object Number]","[object Function]","[object RegExp]"].indexOf(h)<0&&("string"!=typeof g||!Array.isArray(d))){if(!t.returnObjects&&!this.options.returnObjects){this.options.returnedObjectHandler||this.logger.warn("accessing an object - but returnObjects options is not enabled!");const e=this.options.returnedObjectHandler?this.options.returnedObjectHandler(p,d,{...t,ns:a}):`key '${i} (${this.language})' returned an object instead of string.`;return n?(c.res=e,c.usedParams=this.getUsedParamsDetails(t),c):e}if(o){const e=Array.isArray(d),r=e?[]:{},n=e?f:p;for(const e in d)if(Object.prototype.hasOwnProperty.call(d,e)){const i=`${n}${o}${e}`;r[e]=this.translate(i,{...t,joinArrays:!1,ns:a}),r[e]===i&&(r[e]=d[e])}d=r}}else if(v&&"string"==typeof g&&Array.isArray(d))d=d.join(g),d&&(d=this.extendTranslation(d,e,t,r));else{let n=!1,a=!1;const u=void 0!==t.count&&"string"!=typeof t.count,p=_p.hasDefaultValue(t),f=u?this.pluralResolver.getSuffix(s,t.count,t):"",h=t.ordinal&&u?this.pluralResolver.getSuffix(s,t.count,{ordinal:!1}):"",g=u&&!t.ordinal&&0===t.count&&this.pluralResolver.shouldUseIntlApi(),v=g&&t[`defaultValue${this.options.pluralSeparator}zero`]||t[`defaultValue${f}`]||t[`defaultValue${h}`]||t.defaultValue;!this.isValidLookup(d)&&p&&(n=!0,d=v),this.isValidLookup(d)||(a=!0,d=i);const y=(t.missingKeyNoValueFallbackToKey||this.options.missingKeyNoValueFallbackToKey)&&a?void 0:d,m=p&&v!==d&&this.options.updateMissing;if(a||n||m){if(this.logger.log(m?"updateKey":"missingKey",s,l,i,m?v:d),o){const e=this.resolve(i,{...t,keySeparator:!1});e&&e.res&&this.logger.warn("Seems the loaded translations were in flat JSON format instead of nested. Either set keySeparator: false on init or make sure your translations are published in nested format.")}let e=[];const r=this.languageUtils.getFallbackCodes(this.options.fallbackLng,t.lng||this.language);if("fallback"===this.options.saveMissingTo&&r&&r[0])for(let t=0;t<r.length;t++)e.push(r[t]);else"all"===this.options.saveMissingTo?e=this.languageUtils.toResolveHierarchy(t.lng||this.language):e.push(t.lng||this.language);const n=(e,r,n)=>{const o=p&&n!==d?n:y;this.options.missingKeyHandler?this.options.missingKeyHandler(e,l,r,o,m,t):this.backendConnector&&this.backendConnector.saveMissing&&this.backendConnector.saveMissing(e,l,r,o,m,t),this.emit("missingKey",e,l,r,d)};this.options.saveMissing&&(this.options.saveMissingPlurals&&u?e.forEach((e=>{const r=this.pluralResolver.getSuffixes(e,t);g&&t[`defaultValue${this.options.pluralSeparator}zero`]&&r.indexOf(`${this.options.pluralSeparator}zero`)<0&&r.push(`${this.options.pluralSeparator}zero`),r.forEach((r=>{n([e],i+r,t[`defaultValue${r}`]||v)}))})):n(e,i,v))}d=this.extendTranslation(d,e,t,c,r),a&&d===i&&this.options.appendNamespaceToMissingKey&&(d=`${l}:${i}`),(a||n)&&this.options.parseMissingKeyHandler&&(d="v1"!==this.options.compatibilityAPI?this.options.parseMissingKeyHandler(this.options.appendNamespaceToMissingKey?`${l}:${i}`:i,n?d:void 0):this.options.parseMissingKeyHandler(d))}return n?(c.res=d,c.usedParams=this.getUsedParamsDetails(t),c):d}extendTranslation(e,t,r,n,o){var i=this;if(this.i18nFormat&&this.i18nFormat.parse)e=this.i18nFormat.parse(e,{...this.options.interpolation.defaultVariables,...r},r.lng||this.language||n.usedLng,n.usedNS,n.usedKey,{resolved:n});else if(!r.skipInterpolation){r.interpolation&&this.interpolator.init({...r,interpolation:{...this.options.interpolation,...r.interpolation}});const a="string"==typeof e&&(r&&r.interpolation&&void 0!==r.interpolation.skipOnVariables?r.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables);let l;if(a){const t=e.match(this.interpolator.nestingRegexp);l=t&&t.length}let s=r.replace&&"string"!=typeof r.replace?r.replace:r;if(this.options.interpolation.defaultVariables&&(s={...this.options.interpolation.defaultVariables,...s}),e=this.interpolator.interpolate(e,s,r.lng||this.language,r),a){const t=e.match(this.interpolator.nestingRegexp);l<(t&&t.length)&&(r.nest=!1)}!r.lng&&"v1"!==this.options.compatibilityAPI&&n&&n.res&&(r.lng=n.usedLng),!1!==r.nest&&(e=this.interpolator.nest(e,(function(){for(var e=arguments.length,n=new Array(e),a=0;a<e;a++)n[a]=arguments[a];return o&&o[0]===n[0]&&!r.context?(i.logger.warn(`It seems you are nesting recursively key: ${n[0]} in key: ${t[0]}`),null):i.translate(...n,t)}),r)),r.interpolation&&this.interpolator.reset()}const a=r.postProcess||this.options.postProcess,l="string"==typeof a?[a]:a;return null!=e&&l&&l.length&&!1!==r.applyPostProcessor&&(e=Sp.handle(l,e,t,this.options&&this.options.postProcessPassResolved?{i18nResolved:{...n,usedParams:this.getUsedParamsDetails(r)},...r}:r,this)),e}resolve(e){let t,r,n,o,i,a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return"string"==typeof e&&(e=[e]),e.forEach((e=>{if(this.isValidLookup(t))return;const l=this.extractFromKey(e,a),s=l.key;r=s;let u=l.namespaces;this.options.fallbackNS&&(u=u.concat(this.options.fallbackNS));const c=void 0!==a.count&&"string"!=typeof a.count,d=c&&!a.ordinal&&0===a.count&&this.pluralResolver.shouldUseIntlApi(),p=void 0!==a.context&&("string"==typeof a.context||"number"==typeof a.context)&&""!==a.context,f=a.lngs?a.lngs:this.languageUtils.toResolveHierarchy(a.lng||this.language,a.fallbackLng);u.forEach((e=>{this.isValidLookup(t)||(i=e,!Tp[`${f[0]}-${e}`]&&this.utils&&this.utils.hasLoadedNamespace&&!this.utils.hasLoadedNamespace(i)&&(Tp[`${f[0]}-${e}`]=!0,this.logger.warn(`key "${r}" for languages "${f.join(", ")}" won't get resolved as namespace "${i}" was not yet loaded`,"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!")),f.forEach((r=>{if(this.isValidLookup(t))return;o=r;const i=[s];if(this.i18nFormat&&this.i18nFormat.addLookupKeys)this.i18nFormat.addLookupKeys(i,s,r,e,a);else{let e;c&&(e=this.pluralResolver.getSuffix(r,a.count,a));const t=`${this.options.pluralSeparator}zero`,n=`${this.options.pluralSeparator}ordinal${this.options.pluralSeparator}`;if(c&&(i.push(s+e),a.ordinal&&0===e.indexOf(n)&&i.push(s+e.replace(n,this.options.pluralSeparator)),d&&i.push(s+t)),p){const r=`${s}${this.options.contextSeparator}${a.context}`;i.push(r),c&&(i.push(r+e),a.ordinal&&0===e.indexOf(n)&&i.push(r+e.replace(n,this.options.pluralSeparator)),d&&i.push(r+t))}}let l;for(;l=i.pop();)this.isValidLookup(t)||(n=l,t=this.getResource(r,e,l,a))})))}))})),{res:t,usedKey:r,exactUsedKey:n,usedLng:o,usedNS:i}}isValidLookup(e){return!(void 0===e||!this.options.returnNull&&null===e||!this.options.returnEmptyString&&""===e)}getResource(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return this.i18nFormat&&this.i18nFormat.getResource?this.i18nFormat.getResource(e,t,r,n):this.resourceStore.getResource(e,t,r,n)}getUsedParamsDetails(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};const t=["defaultValue","ordinal","context","replace","lng","lngs","fallbackLng","ns","keySeparator","nsSeparator","returnObjects","returnDetails","joinArrays","postProcess","interpolation"],r=e.replace&&"string"!=typeof e.replace;let n=r?e.replace:e;if(r&&void 0!==e.count&&(n.count=e.count),this.options.interpolation.defaultVariables&&(n={...this.options.interpolation.defaultVariables,...n}),!r){n={...n};for(const e of t)delete n[e]}return n}static hasDefaultValue(e){for(const t in e)if(Object.prototype.hasOwnProperty.call(e,t)&&"defaultValue"===t.substring(0,12)&&void 0!==e[t])return!0;return!1}}function wp(e){return e.charAt(0).toUpperCase()+e.slice(1)}class Rp{constructor(e){this.options=e,this.supportedLngs=this.options.supportedLngs||!1,this.logger=ip.create("languageUtils")}getScriptPartFromCode(e){if(!(e=Ep(e))||e.indexOf("-")<0)return null;const t=e.split("-");return 2===t.length?null:(t.pop(),"x"===t[t.length-1].toLowerCase()?null:this.formatLanguageCode(t.join("-")))}getLanguagePartFromCode(e){if(!(e=Ep(e))||e.indexOf("-")<0)return e;const t=e.split("-");return this.formatLanguageCode(t[0])}formatLanguageCode(e){if("string"==typeof e&&e.indexOf("-")>-1){const t=["hans","hant","latn","cyrl","cans","mong","arab"];let r=e.split("-");return this.options.lowerCaseLng?r=r.map((e=>e.toLowerCase())):2===r.length?(r[0]=r[0].toLowerCase(),r[1]=r[1].toUpperCase(),t.indexOf(r[1].toLowerCase())>-1&&(r[1]=wp(r[1].toLowerCase()))):3===r.length&&(r[0]=r[0].toLowerCase(),2===r[1].length&&(r[1]=r[1].toUpperCase()),"sgn"!==r[0]&&2===r[2].length&&(r[2]=r[2].toUpperCase()),t.indexOf(r[1].toLowerCase())>-1&&(r[1]=wp(r[1].toLowerCase())),t.indexOf(r[2].toLowerCase())>-1&&(r[2]=wp(r[2].toLowerCase()))),r.join("-")}return this.options.cleanCode||this.options.lowerCaseLng?e.toLowerCase():e}isSupportedCode(e){return("languageOnly"===this.options.load||this.options.nonExplicitSupportedLngs)&&(e=this.getLanguagePartFromCode(e)),!this.supportedLngs||!this.supportedLngs.length||this.supportedLngs.indexOf(e)>-1}getBestMatchFromCodes(e){if(!e)return null;let t;return e.forEach((e=>{if(t)return;const r=this.formatLanguageCode(e);this.options.supportedLngs&&!this.isSupportedCode(r)||(t=r)})),!t&&this.options.supportedLngs&&e.forEach((e=>{if(t)return;const r=this.getLanguagePartFromCode(e);if(this.isSupportedCode(r))return t=r;t=this.options.supportedLngs.find((e=>e===r?e:e.indexOf("-")<0&&r.indexOf("-")<0?void 0:e.indexOf("-")>0&&r.indexOf("-")<0&&e.substring(0,e.indexOf("-"))===r||0===e.indexOf(r)&&r.length>1?e:void 0))})),t||(t=this.getFallbackCodes(this.options.fallbackLng)[0]),t}getFallbackCodes(e,t){if(!e)return[];if("function"==typeof e&&(e=e(t)),"string"==typeof e&&(e=[e]),Array.isArray(e))return e;if(!t)return e.default||[];let r=e[t];return r||(r=e[this.getScriptPartFromCode(t)]),r||(r=e[this.formatLanguageCode(t)]),r||(r=e[this.getLanguagePartFromCode(t)]),r||(r=e.default),r||[]}toResolveHierarchy(e,t){const r=this.getFallbackCodes(t||this.options.fallbackLng||[],e),n=[],o=e=>{e&&(this.isSupportedCode(e)?n.push(e):this.logger.warn(`rejecting language code not found in supportedLngs: ${e}`))};return"string"==typeof e&&(e.indexOf("-")>-1||e.indexOf("_")>-1)?("languageOnly"!==this.options.load&&o(this.formatLanguageCode(e)),"languageOnly"!==this.options.load&&"currentOnly"!==this.options.load&&o(this.getScriptPartFromCode(e)),"currentOnly"!==this.options.load&&o(this.getLanguagePartFromCode(e))):"string"==typeof e&&o(this.formatLanguageCode(e)),r.forEach((e=>{n.indexOf(e)<0&&o(this.formatLanguageCode(e))})),n}}let Ap=[{lngs:["ach","ak","am","arn","br","fil","gun","ln","mfe","mg","mi","oc","pt","pt-BR","tg","tl","ti","tr","uz","wa"],nr:[1,2],fc:1},{lngs:["af","an","ast","az","bg","bn","ca","da","de","dev","el","en","eo","es","et","eu","fi","fo","fur","fy","gl","gu","ha","hi","hu","hy","ia","it","kk","kn","ku","lb","mai","ml","mn","mr","nah","nap","nb","ne","nl","nn","no","nso","pa","pap","pms","ps","pt-PT","rm","sco","se","si","so","son","sq","sv","sw","ta","te","tk","ur","yo"],nr:[1,2],fc:2},{lngs:["ay","bo","cgg","fa","ht","id","ja","jbo","ka","km","ko","ky","lo","ms","sah","su","th","tt","ug","vi","wo","zh"],nr:[1],fc:3},{lngs:["be","bs","cnr","dz","hr","ru","sr","uk"],nr:[1,2,5],fc:4},{lngs:["ar"],nr:[0,1,2,3,11,100],fc:5},{lngs:["cs","sk"],nr:[1,2,5],fc:6},{lngs:["csb","pl"],nr:[1,2,5],fc:7},{lngs:["cy"],nr:[1,2,3,8],fc:8},{lngs:["fr"],nr:[1,2],fc:9},{lngs:["ga"],nr:[1,2,3,7,11],fc:10},{lngs:["gd"],nr:[1,2,3,20],fc:11},{lngs:["is"],nr:[1,2],fc:12},{lngs:["jv"],nr:[0,1],fc:13},{lngs:["kw"],nr:[1,2,3,4],fc:14},{lngs:["lt"],nr:[1,2,10],fc:15},{lngs:["lv"],nr:[1,2,0],fc:16},{lngs:["mk"],nr:[1,2],fc:17},{lngs:["mnk"],nr:[0,1,2],fc:18},{lngs:["mt"],nr:[1,2,11,20],fc:19},{lngs:["or"],nr:[2,1],fc:2},{lngs:["ro"],nr:[1,2,20],fc:20},{lngs:["sl"],nr:[5,1,2,3],fc:21},{lngs:["he","iw"],nr:[1,2,20,21],fc:22}],Ip={1:function(e){return Number(e>1)},2:function(e){return Number(1!=e)},3:function(e){return 0},4:function(e){return Number(e%10==1&&e%100!=11?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2)},5:function(e){return Number(0==e?0:1==e?1:2==e?2:e%100>=3&&e%100<=10?3:e%100>=11?4:5)},6:function(e){return Number(1==e?0:e>=2&&e<=4?1:2)},7:function(e){return Number(1==e?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2)},8:function(e){return Number(1==e?0:2==e?1:8!=e&&11!=e?2:3)},9:function(e){return Number(e>=2)},10:function(e){return Number(1==e?0:2==e?1:e<7?2:e<11?3:4)},11:function(e){return Number(1==e||11==e?0:2==e||12==e?1:e>2&&e<20?2:3)},12:function(e){return Number(e%10!=1||e%100==11)},13:function(e){return Number(0!==e)},14:function(e){return Number(1==e?0:2==e?1:3==e?2:3)},15:function(e){return Number(e%10==1&&e%100!=11?0:e%10>=2&&(e%100<10||e%100>=20)?1:2)},16:function(e){return Number(e%10==1&&e%100!=11?0:0!==e?1:2)},17:function(e){return Number(1==e||e%10==1&&e%100!=11?0:1)},18:function(e){return Number(0==e?0:1==e?1:2)},19:function(e){return Number(1==e?0:0==e||e%100>1&&e%100<11?1:e%100>10&&e%100<20?2:3)},20:function(e){return Number(1==e?0:0==e||e%100>0&&e%100<20?1:2)},21:function(e){return Number(e%100==1?1:e%100==2?2:e%100==3||e%100==4?3:0)},22:function(e){return Number(1==e?0:2==e?1:(e<0||e>10)&&e%10==0?2:3)}};const Cp=["v1","v2","v3"],Np=["v4"],Lp={zero:0,one:1,two:2,few:3,many:4,other:5};class Pp{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.languageUtils=e,this.options=t,this.logger=ip.create("pluralResolver"),this.options.compatibilityJSON&&!Np.includes(this.options.compatibilityJSON)||"undefined"!=typeof Intl&&Intl.PluralRules||(this.options.compatibilityJSON="v3",this.logger.error("Your environment seems not to be Intl API compatible, use an Intl.PluralRules polyfill. Will fallback to the compatibilityJSON v3 format handling.")),this.rules=function(){const e={};return Ap.forEach((t=>{t.lngs.forEach((r=>{e[r]={numbers:t.nr,plurals:Ip[t.fc]}}))})),e}()}addRule(e,t){this.rules[e]=t}getRule(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(this.shouldUseIntlApi())try{return new Intl.PluralRules(Ep("dev"===e?"en":e),{type:t.ordinal?"ordinal":"cardinal"})}catch(e){return}return this.rules[e]||this.rules[this.languageUtils.getLanguagePartFromCode(e)]}needsPlural(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};const r=this.getRule(e,t);return this.shouldUseIntlApi()?r&&r.resolvedOptions().pluralCategories.length>1:r&&r.numbers.length>1}getPluralFormsOfKey(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return this.getSuffixes(e,r).map((e=>`${t}${e}`))}getSuffixes(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};const r=this.getRule(e,t);return r?this.shouldUseIntlApi()?r.resolvedOptions().pluralCategories.sort(((e,t)=>Lp[e]-Lp[t])).map((e=>`${this.options.prepend}${t.ordinal?`ordinal${this.options.prepend}`:""}${e}`)):r.numbers.map((r=>this.getSuffix(e,r,t))):[]}getSuffix(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};const n=this.getRule(e,r);return n?this.shouldUseIntlApi()?`${this.options.prepend}${r.ordinal?`ordinal${this.options.prepend}`:""}${n.select(t)}`:this.getSuffixRetroCompatible(n,t):(this.logger.warn(`no plural rule found for: ${e}`),"")}getSuffixRetroCompatible(e,t){const r=e.noAbs?e.plurals(t):e.plurals(Math.abs(t));let n=e.numbers[r];this.options.simplifyPluralSuffix&&2===e.numbers.length&&1===e.numbers[0]&&(2===n?n="plural":1===n&&(n=""));const o=()=>this.options.prepend&&n.toString()?this.options.prepend+n.toString():n.toString();return"v1"===this.options.compatibilityJSON?1===n?"":"number"==typeof n?`_plural_${n.toString()}`:o():"v2"===this.options.compatibilityJSON||this.options.simplifyPluralSuffix&&2===e.numbers.length&&1===e.numbers[0]?o():this.options.prepend&&r.toString()?this.options.prepend+r.toString():r.toString()}shouldUseIntlApi(){return!Cp.includes(this.options.compatibilityJSON)}}function xp(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:".",o=!(arguments.length>4&&void 0!==arguments[4])||arguments[4],i=function(e,t,r){const n=pp(e,r);return void 0!==n?n:pp(t,r)}(e,t,r);return!i&&o&&"string"==typeof r&&(i=bp(e,r,n),void 0===i&&(i=bp(t,r,n))),i}class kp{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.logger=ip.create("interpolator"),this.options=e,this.format=e.interpolation&&e.interpolation.format||(e=>e),this.init(e)}init(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e.interpolation||(e.interpolation={escapeValue:!0});const{escape:t,escapeValue:r,useRawValueToEscape:n,prefix:o,prefixEscaped:i,suffix:a,suffixEscaped:l,formatSeparator:s,unescapeSuffix:u,unescapePrefix:c,nestingPrefix:d,nestingPrefixEscaped:p,nestingSuffix:f,nestingSuffixEscaped:h,nestingOptionsSeparator:g,maxReplaces:v,alwaysFormat:y}=e.interpolation;this.escape=void 0!==t?t:vp,this.escapeValue=void 0===r||r,this.useRawValueToEscape=void 0!==n&&n,this.prefix=o?hp(o):i||"{{",this.suffix=a?hp(a):l||"}}",this.formatSeparator=s||",",this.unescapePrefix=u?"":c||"-",this.unescapeSuffix=this.unescapePrefix?"":u||"",this.nestingPrefix=d?hp(d):p||hp("$t("),this.nestingSuffix=f?hp(f):h||hp(")"),this.nestingOptionsSeparator=g||",",this.maxReplaces=v||1e3,this.alwaysFormat=void 0!==y&&y,this.resetRegExp()}reset(){this.options&&this.init(this.options)}resetRegExp(){const e=(e,t)=>e&&e.source===t?(e.lastIndex=0,e):new RegExp(t,"g");this.regexp=e(this.regexp,`${this.prefix}(.+?)${this.suffix}`),this.regexpUnescape=e(this.regexpUnescape,`${this.prefix}${this.unescapePrefix}(.+?)${this.unescapeSuffix}${this.suffix}`),this.nestingRegexp=e(this.nestingRegexp,`${this.nestingPrefix}(.+?)${this.nestingSuffix}`)}interpolate(e,t,r,n){let o,i,a;const l=this.options&&this.options.interpolation&&this.options.interpolation.defaultVariables||{};function s(e){return e.replace(/\$/g,"$$$$")}const u=e=>{if(e.indexOf(this.formatSeparator)<0){const o=xp(t,l,e,this.options.keySeparator,this.options.ignoreJSONStructure);return this.alwaysFormat?this.format(o,void 0,r,{...n,...t,interpolationkey:e}):o}const o=e.split(this.formatSeparator),i=o.shift().trim(),a=o.join(this.formatSeparator).trim();return this.format(xp(t,l,i,this.options.keySeparator,this.options.ignoreJSONStructure),a,r,{...n,...t,interpolationkey:i})};this.resetRegExp();const c=n&&n.missingInterpolationHandler||this.options.missingInterpolationHandler,d=n&&n.interpolation&&void 0!==n.interpolation.skipOnVariables?n.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables;return[{regex:this.regexpUnescape,safeValue:e=>s(e)},{regex:this.regexp,safeValue:e=>this.escapeValue?s(this.escape(e)):s(e)}].forEach((t=>{for(a=0;o=t.regex.exec(e);){const r=o[1].trim();if(i=u(r),void 0===i)if("function"==typeof c){const t=c(e,o,n);i="string"==typeof t?t:""}else if(n&&Object.prototype.hasOwnProperty.call(n,r))i="";else{if(d){i=o[0];continue}this.logger.warn(`missed to pass in variable ${r} for interpolating ${e}`),i=""}else"string"==typeof i||this.useRawValueToEscape||(i=sp(i));const l=t.safeValue(i);if(e=e.replace(o[0],l),d?(t.regex.lastIndex+=i.length,t.regex.lastIndex-=o[0].length):t.regex.lastIndex=0,a++,a>=this.maxReplaces)break}})),e}nest(e,t){let r,n,o,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};function a(e,t){const r=this.nestingOptionsSeparator;if(e.indexOf(r)<0)return e;const n=e.split(new RegExp(`${r}[ ]*{`));let i=`{${n[1]}`;e=n[0],i=this.interpolate(i,o);const a=i.match(/'/g),l=i.match(/"/g);(a&&a.length%2==0&&!l||l.length%2!=0)&&(i=i.replace(/'/g,'"'));try{o=JSON.parse(i),t&&(o={...t,...o})}catch(t){return this.logger.warn(`failed parsing options string in nesting for key ${e}`,t),`${e}${r}${i}`}return o.defaultValue&&o.defaultValue.indexOf(this.prefix)>-1&&delete o.defaultValue,e}for(;r=this.nestingRegexp.exec(e);){let l=[];o={...i},o=o.replace&&"string"!=typeof o.replace?o.replace:o,o.applyPostProcessor=!1,delete o.defaultValue;let s=!1;if(-1!==r[0].indexOf(this.formatSeparator)&&!/{.*}/.test(r[1])){const e=r[1].split(this.formatSeparator).map((e=>e.trim()));r[1]=e.shift(),l=e,s=!0}if(n=t(a.call(this,r[1].trim(),o),o),n&&r[0]===e&&"string"!=typeof n)return n;"string"!=typeof n&&(n=sp(n)),n||(this.logger.warn(`missed to resolve ${r[1]} for nesting ${e}`),n=""),s&&(n=l.reduce(((e,t)=>this.format(e,t,i.lng,{...i,interpolationkey:r[1].trim()})),n.trim())),e=e.replace(r[0],n),this.regexp.lastIndex=0}return e}}function Fp(e){const t={};return function(r,n,o){const i=n+JSON.stringify(o);let a=t[i];return a||(a=e(Ep(n),o),t[i]=a),a(r)}}class Dp{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.logger=ip.create("formatter"),this.options=e,this.formats={number:Fp(((e,t)=>{const r=new Intl.NumberFormat(e,{...t});return e=>r.format(e)})),currency:Fp(((e,t)=>{const r=new Intl.NumberFormat(e,{...t,style:"currency"});return e=>r.format(e)})),datetime:Fp(((e,t)=>{const r=new Intl.DateTimeFormat(e,{...t});return e=>r.format(e)})),relativetime:Fp(((e,t)=>{const r=new Intl.RelativeTimeFormat(e,{...t});return e=>r.format(e,t.range||"day")})),list:Fp(((e,t)=>{const r=new Intl.ListFormat(e,{...t});return e=>r.format(e)}))},this.init(e)}init(e){const t=(arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}}).interpolation;this.formatSeparator=t.formatSeparator?t.formatSeparator:t.formatSeparator||","}add(e,t){this.formats[e.toLowerCase().trim()]=t}addCached(e,t){this.formats[e.toLowerCase().trim()]=Fp(t)}format(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return t.split(this.formatSeparator).reduce(((e,t)=>{const{formatName:o,formatOptions:i}=function(e){let t=e.toLowerCase().trim();const r={};if(e.indexOf("(")>-1){const n=e.split("(");t=n[0].toLowerCase().trim();const o=n[1].substring(0,n[1].length-1);"currency"===t&&o.indexOf(":")<0?r.currency||(r.currency=o.trim()):"relativetime"===t&&o.indexOf(":")<0?r.range||(r.range=o.trim()):o.split(";").forEach((e=>{if(e){const[t,...n]=e.split(":"),o=n.join(":").trim().replace(/^'+|'+$/g,""),i=t.trim();r[i]||(r[i]=o),"false"===o&&(r[i]=!1),"true"===o&&(r[i]=!0),isNaN(o)||(r[i]=parseInt(o,10))}}))}return{formatName:t,formatOptions:r}}(t);if(this.formats[o]){let t=e;try{const a=n&&n.formatParams&&n.formatParams[n.interpolationkey]||{},l=a.locale||a.lng||n.locale||n.lng||r;t=this.formats[o](e,l,{...i,...n,...a})}catch(e){this.logger.warn(e)}return t}return this.logger.warn(`there was no format function for ${o}`),e}),e)}}class jp extends ap{constructor(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};super(),this.backend=e,this.store=t,this.services=r,this.languageUtils=r.languageUtils,this.options=n,this.logger=ip.create("backendConnector"),this.waitingReads=[],this.maxParallelReads=n.maxParallelReads||10,this.readingCalls=0,this.maxRetries=n.maxRetries>=0?n.maxRetries:5,this.retryTimeout=n.retryTimeout>=1?n.retryTimeout:350,this.state={},this.queue=[],this.backend&&this.backend.init&&this.backend.init(r,n.backend,n)}queueLoad(e,t,r,n){const o={},i={},a={},l={};return e.forEach((e=>{let n=!0;t.forEach((t=>{const a=`${e}|${t}`;!r.reload&&this.store.hasResourceBundle(e,t)?this.state[a]=2:this.state[a]<0||(1===this.state[a]?void 0===i[a]&&(i[a]=!0):(this.state[a]=1,n=!1,void 0===i[a]&&(i[a]=!0),void 0===o[a]&&(o[a]=!0),void 0===l[t]&&(l[t]=!0)))})),n||(a[e]=!0)})),(Object.keys(o).length||Object.keys(i).length)&&this.queue.push({pending:i,pendingCount:Object.keys(i).length,loaded:{},errors:[],callback:n}),{toLoad:Object.keys(o),pending:Object.keys(i),toLoadLanguages:Object.keys(a),toLoadNamespaces:Object.keys(l)}}loaded(e,t,r){const n=e.split("|"),o=n[0],i=n[1];t&&this.emit("failedLoading",o,i,t),r&&this.store.addResourceBundle(o,i,r,void 0,void 0,{skipCopy:!0}),this.state[e]=t?-1:2;const a={};this.queue.forEach((r=>{!function(e,t,r,n){const{obj:o,k:i}=cp(e,t,Object);o[i]=o[i]||[],o[i].push(r)}(r.loaded,[o],i),function(e,t){void 0!==e.pending[t]&&(delete e.pending[t],e.pendingCount--)}(r,e),t&&r.errors.push(t),0!==r.pendingCount||r.done||(Object.keys(r.loaded).forEach((e=>{a[e]||(a[e]={});const t=r.loaded[e];t.length&&t.forEach((t=>{void 0===a[e][t]&&(a[e][t]=!0)}))})),r.done=!0,r.errors.length?r.callback(r.errors):r.callback())})),this.emit("loaded",a),this.queue=this.queue.filter((e=>!e.done))}read(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:0,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:this.retryTimeout,i=arguments.length>5?arguments[5]:void 0;if(!e.length)return i(null,{});if(this.readingCalls>=this.maxParallelReads)return void this.waitingReads.push({lng:e,ns:t,fcName:r,tried:n,wait:o,callback:i});this.readingCalls++;const a=(a,l)=>{if(this.readingCalls--,this.waitingReads.length>0){const e=this.waitingReads.shift();this.read(e.lng,e.ns,e.fcName,e.tried,e.wait,e.callback)}a&&l&&n<this.maxRetries?setTimeout((()=>{this.read.call(this,e,t,r,n+1,2*o,i)}),o):i(a,l)},l=this.backend[r].bind(this.backend);if(2!==l.length)return l(e,t,a);try{const r=l(e,t);r&&"function"==typeof r.then?r.then((e=>a(null,e))).catch(a):a(null,r)}catch(e){a(e)}}prepareLoading(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=arguments.length>3?arguments[3]:void 0;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),n&&n();"string"==typeof e&&(e=this.languageUtils.toResolveHierarchy(e)),"string"==typeof t&&(t=[t]);const o=this.queueLoad(e,t,r,n);if(!o.toLoad.length)return o.pending.length||n(),null;o.toLoad.forEach((e=>{this.loadOne(e)}))}load(e,t,r){this.prepareLoading(e,t,{},r)}reload(e,t,r){this.prepareLoading(e,t,{reload:!0},r)}loadOne(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"";const r=e.split("|"),n=r[0],o=r[1];this.read(n,o,"read",void 0,void 0,((r,i)=>{r&&this.logger.warn(`${t}loading namespace ${o} for language ${n} failed`,r),!r&&i&&this.logger.log(`${t}loaded namespace ${o} for language ${n}`,i),this.loaded(e,r,i)}))}saveMissing(e,t,r,n,o){let i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{},a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:()=>{};if(this.services.utils&&this.services.utils.hasLoadedNamespace&&!this.services.utils.hasLoadedNamespace(t))this.logger.warn(`did not save key "${r}" as the namespace "${t}" was not yet loaded`,"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!");else if(null!=r&&""!==r){if(this.backend&&this.backend.create){const l={...i,isUpdate:o},s=this.backend.create.bind(this.backend);if(s.length<6)try{let o;o=5===s.length?s(e,t,r,n,l):s(e,t,r,n),o&&"function"==typeof o.then?o.then((e=>a(null,e))).catch(a):a(null,o)}catch(e){a(e)}else s(e,t,r,n,a,l)}e&&e[0]&&this.store.addResource(e[0],t,r,n)}}}function Mp(){return{debug:!1,initImmediate:!0,ns:["translation"],defaultNS:["translation"],fallbackLng:["dev"],fallbackNS:!1,supportedLngs:!1,nonExplicitSupportedLngs:!1,load:"all",preload:!1,simplifyPluralSuffix:!0,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",partialBundledLanguages:!1,saveMissing:!1,updateMissing:!1,saveMissingTo:"fallback",saveMissingPlurals:!0,missingKeyHandler:!1,missingInterpolationHandler:!1,postProcess:!1,postProcessPassResolved:!1,returnNull:!1,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:!1,parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,appendNamespaceToCIMode:!1,overloadTranslationOptionHandler:function(e){let t={};if("object"==typeof e[1]&&(t=e[1]),"string"==typeof e[1]&&(t.defaultValue=e[1]),"string"==typeof e[2]&&(t.tDescription=e[2]),"object"==typeof e[2]||"object"==typeof e[3]){const r=e[3]||e[2];Object.keys(r).forEach((e=>{t[e]=r[e]}))}return t},interpolation:{escapeValue:!0,format:e=>e,prefix:"{{",suffix:"}}",formatSeparator:",",unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",nestingOptionsSeparator:",",maxReplaces:1e3,skipOnVariables:!0}}}function Vp(e){return"string"==typeof e.ns&&(e.ns=[e.ns]),"string"==typeof e.fallbackLng&&(e.fallbackLng=[e.fallbackLng]),"string"==typeof e.fallbackNS&&(e.fallbackNS=[e.fallbackNS]),e.supportedLngs&&e.supportedLngs.indexOf("cimode")<0&&(e.supportedLngs=e.supportedLngs.concat(["cimode"])),e}function Up(){}class Bp extends ap{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1?arguments[1]:void 0;var r;if(super(),this.options=Vp(e),this.services={},this.logger=ip,this.modules={external:[]},r=this,Object.getOwnPropertyNames(Object.getPrototypeOf(r)).forEach((e=>{"function"==typeof r[e]&&(r[e]=r[e].bind(r))})),t&&!this.isInitialized&&!e.isClone){if(!this.options.initImmediate)return this.init(e,t),this;setTimeout((()=>{this.init(e,t)}),0)}}init(){var e=this;let t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},r=arguments.length>1?arguments[1]:void 0;this.isInitializing=!0,"function"==typeof t&&(r=t,t={}),!t.defaultNS&&!1!==t.defaultNS&&t.ns&&("string"==typeof t.ns?t.defaultNS=t.ns:t.ns.indexOf("translation")<0&&(t.defaultNS=t.ns[0]));const n=Mp();function o(e){return e?"function"==typeof e?new e:e:null}if(this.options={...n,...this.options,...Vp(t)},"v1"!==this.options.compatibilityAPI&&(this.options.interpolation={...n.interpolation,...this.options.interpolation}),void 0!==t.keySeparator&&(this.options.userDefinedKeySeparator=t.keySeparator),void 0!==t.nsSeparator&&(this.options.userDefinedNsSeparator=t.nsSeparator),!this.options.isClone){let t;this.modules.logger?ip.init(o(this.modules.logger),this.options):ip.init(null,this.options),this.modules.formatter?t=this.modules.formatter:"undefined"!=typeof Intl&&(t=Dp);const r=new Rp(this.options);this.store=new Op(this.options.resources,this.options);const i=this.services;i.logger=ip,i.resourceStore=this.store,i.languageUtils=r,i.pluralResolver=new Pp(r,{prepend:this.options.pluralSeparator,compatibilityJSON:this.options.compatibilityJSON,simplifyPluralSuffix:this.options.simplifyPluralSuffix}),!t||this.options.interpolation.format&&this.options.interpolation.format!==n.interpolation.format||(i.formatter=o(t),i.formatter.init(i,this.options),this.options.interpolation.format=i.formatter.format.bind(i.formatter)),i.interpolator=new kp(this.options),i.utils={hasLoadedNamespace:this.hasLoadedNamespace.bind(this)},i.backendConnector=new jp(o(this.modules.backend),i.resourceStore,i,this.options),i.backendConnector.on("*",(function(t){for(var r=arguments.length,n=new Array(r>1?r-1:0),o=1;o<r;o++)n[o-1]=arguments[o];e.emit(t,...n)})),this.modules.languageDetector&&(i.languageDetector=o(this.modules.languageDetector),i.languageDetector.init&&i.languageDetector.init(i,this.options.detection,this.options)),this.modules.i18nFormat&&(i.i18nFormat=o(this.modules.i18nFormat),i.i18nFormat.init&&i.i18nFormat.init(this)),this.translator=new _p(this.services,this.options),this.translator.on("*",(function(t){for(var r=arguments.length,n=new Array(r>1?r-1:0),o=1;o<r;o++)n[o-1]=arguments[o];e.emit(t,...n)})),this.modules.external.forEach((e=>{e.init&&e.init(this)}))}if(this.format=this.options.interpolation.format,r||(r=Up),this.options.fallbackLng&&!this.services.languageDetector&&!this.options.lng){const e=this.services.languageUtils.getFallbackCodes(this.options.fallbackLng);e.length>0&&"dev"!==e[0]&&(this.options.lng=e[0])}this.services.languageDetector||this.options.lng||this.logger.warn("init: no languageDetector is used and no lng is defined"),["getResource","hasResourceBundle","getResourceBundle","getDataByLanguage"].forEach((t=>{this[t]=function(){return e.store[t](...arguments)}})),["addResource","addResources","addResourceBundle","removeResourceBundle"].forEach((t=>{this[t]=function(){return e.store[t](...arguments),e}}));const i=lp(),a=()=>{const e=(e,t)=>{this.isInitializing=!1,this.isInitialized&&!this.initializedStoreOnce&&this.logger.warn("init: i18next is already initialized. You should call init just once!"),this.isInitialized=!0,this.options.isClone||this.logger.log("initialized",this.options),this.emit("initialized",this.options),i.resolve(t),r(e,t)};if(this.languages&&"v1"!==this.options.compatibilityAPI&&!this.isInitialized)return e(null,this.t.bind(this));this.changeLanguage(this.options.lng,e)};return this.options.resources||!this.options.initImmediate?a():setTimeout(a,0),i}loadResources(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:Up;const r="string"==typeof e?e:this.language;if("function"==typeof e&&(t=e),!this.options.resources||this.options.partialBundledLanguages){if(r&&"cimode"===r.toLowerCase()&&(!this.options.preload||0===this.options.preload.length))return t();const e=[],n=t=>{t&&"cimode"!==t&&this.services.languageUtils.toResolveHierarchy(t).forEach((t=>{"cimode"!==t&&e.indexOf(t)<0&&e.push(t)}))};r?n(r):this.services.languageUtils.getFallbackCodes(this.options.fallbackLng).forEach((e=>n(e))),this.options.preload&&this.options.preload.forEach((e=>n(e))),this.services.backendConnector.load(e,this.options.ns,(e=>{e||this.resolvedLanguage||!this.language||this.setResolvedLanguage(this.language),t(e)}))}else t(null)}reloadResources(e,t,r){const n=lp();return e||(e=this.languages),t||(t=this.options.ns),r||(r=Up),this.services.backendConnector.reload(e,t,(e=>{n.resolve(),r(e)})),n}use(e){if(!e)throw new Error("You are passing an undefined module! Please check the object you are passing to i18next.use()");if(!e.type)throw new Error("You are passing a wrong module! Please check the object you are passing to i18next.use()");return"backend"===e.type&&(this.modules.backend=e),("logger"===e.type||e.log&&e.warn&&e.error)&&(this.modules.logger=e),"languageDetector"===e.type&&(this.modules.languageDetector=e),"i18nFormat"===e.type&&(this.modules.i18nFormat=e),"postProcessor"===e.type&&Sp.addPostProcessor(e),"formatter"===e.type&&(this.modules.formatter=e),"3rdParty"===e.type&&this.modules.external.push(e),this}setResolvedLanguage(e){if(e&&this.languages&&!(["cimode","dev"].indexOf(e)>-1))for(let e=0;e<this.languages.length;e++){const t=this.languages[e];if(!(["cimode","dev"].indexOf(t)>-1)&&this.store.hasLanguageSomeTranslations(t)){this.resolvedLanguage=t;break}}}changeLanguage(e,t){var r=this;this.isLanguageChangingTo=e;const n=lp();this.emit("languageChanging",e);const o=e=>{this.language=e,this.languages=this.services.languageUtils.toResolveHierarchy(e),this.resolvedLanguage=void 0,this.setResolvedLanguage(e)},i=(e,i)=>{i?(o(i),this.translator.changeLanguage(i),this.isLanguageChangingTo=void 0,this.emit("languageChanged",i),this.logger.log("languageChanged",i)):this.isLanguageChangingTo=void 0,n.resolve((function(){return r.t(...arguments)})),t&&t(e,(function(){return r.t(...arguments)}))},a=t=>{e||t||!this.services.languageDetector||(t=[]);const r="string"==typeof t?t:this.services.languageUtils.getBestMatchFromCodes(t);r&&(this.language||o(r),this.translator.language||this.translator.changeLanguage(r),this.services.languageDetector&&this.services.languageDetector.cacheUserLanguage&&this.services.languageDetector.cacheUserLanguage(r)),this.loadResources(r,(e=>{i(e,r)}))};return e||!this.services.languageDetector||this.services.languageDetector.async?!e&&this.services.languageDetector&&this.services.languageDetector.async?0===this.services.languageDetector.detect.length?this.services.languageDetector.detect().then(a):this.services.languageDetector.detect(a):a(e):a(this.services.languageDetector.detect()),n}getFixedT(e,t,r){var n=this;const o=function(e,t){let i;if("object"!=typeof t){for(var a=arguments.length,l=new Array(a>2?a-2:0),s=2;s<a;s++)l[s-2]=arguments[s];i=n.options.overloadTranslationOptionHandler([e,t].concat(l))}else i={...t};i.lng=i.lng||o.lng,i.lngs=i.lngs||o.lngs,i.ns=i.ns||o.ns,i.keyPrefix=i.keyPrefix||r||o.keyPrefix;const u=n.options.keySeparator||".";let c;return c=i.keyPrefix&&Array.isArray(e)?e.map((e=>`${i.keyPrefix}${u}${e}`)):i.keyPrefix?`${i.keyPrefix}${u}${e}`:e,n.t(c,i)};return"string"==typeof e?o.lng=e:o.lngs=e,o.ns=t,o.keyPrefix=r,o}t(){return this.translator&&this.translator.translate(...arguments)}exists(){return this.translator&&this.translator.exists(...arguments)}setDefaultNamespace(e){this.options.defaultNS=e}hasLoadedNamespace(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!this.isInitialized)return this.logger.warn("hasLoadedNamespace: i18next was not initialized",this.languages),!1;if(!this.languages||!this.languages.length)return this.logger.warn("hasLoadedNamespace: i18n.languages were undefined or empty",this.languages),!1;const r=t.lng||this.resolvedLanguage||this.languages[0],n=!!this.options&&this.options.fallbackLng,o=this.languages[this.languages.length-1];if("cimode"===r.toLowerCase())return!0;const i=(e,t)=>{const r=this.services.backendConnector.state[`${e}|${t}`];return-1===r||2===r};if(t.precheck){const e=t.precheck(this,i);if(void 0!==e)return e}return!(!this.hasResourceBundle(r,e)&&this.services.backendConnector.backend&&(!this.options.resources||this.options.partialBundledLanguages)&&(!i(r,e)||n&&!i(o,e)))}loadNamespaces(e,t){const r=lp();return this.options.ns?("string"==typeof e&&(e=[e]),e.forEach((e=>{this.options.ns.indexOf(e)<0&&this.options.ns.push(e)})),this.loadResources((e=>{r.resolve(),t&&t(e)})),r):(t&&t(),Promise.resolve())}loadLanguages(e,t){const r=lp();"string"==typeof e&&(e=[e]);const n=this.options.preload||[],o=e.filter((e=>n.indexOf(e)<0&&this.services.languageUtils.isSupportedCode(e)));return o.length?(this.options.preload=n.concat(o),this.loadResources((e=>{r.resolve(),t&&t(e)})),r):(t&&t(),Promise.resolve())}dir(e){if(e||(e=this.resolvedLanguage||(this.languages&&this.languages.length>0?this.languages[0]:this.language)),!e)return"rtl";const t=this.services&&this.services.languageUtils||new Rp(Mp());return["ar","shu","sqr","ssh","xaa","yhd","yud","aao","abh","abv","acm","acq","acw","acx","acy","adf","ads","aeb","aec","afb","ajp","apc","apd","arb","arq","ars","ary","arz","auz","avl","ayh","ayl","ayn","ayp","bbz","pga","he","iw","ps","pbt","pbu","pst","prp","prd","ug","ur","ydd","yds","yih","ji","yi","hbo","men","xmn","fa","jpr","peo","pes","prs","dv","sam","ckb"].indexOf(t.getLanguagePartFromCode(e))>-1||e.toLowerCase().indexOf("-arab")>1?"rtl":"ltr"}static createInstance(){return new Bp(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},arguments.length>1?arguments[1]:void 0)}cloneInstance(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:Up;const r=e.forkResourceStore;r&&delete e.forkResourceStore;const n={...this.options,...e,isClone:!0},o=new Bp(n);return void 0===e.debug&&void 0===e.prefix||(o.logger=o.logger.clone(e)),["store","services","language"].forEach((e=>{o[e]=this[e]})),o.services={...this.services},o.services.utils={hasLoadedNamespace:o.hasLoadedNamespace.bind(o)},r&&(o.store=new Op(this.store.data,n),o.services.resourceStore=o.store),o.translator=new _p(o.services,n),o.translator.on("*",(function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];o.emit(e,...r)})),o.init(n,t),o.translator.options=n,o.translator.backendConnector.services.utils={hasLoadedNamespace:o.hasLoadedNamespace.bind(o)},o}toJSON(){return{options:this.options,store:this.store,language:this.language,languages:this.languages,resolvedLanguage:this.resolvedLanguage}}}const qp=Bp.createInstance();qp.createInstance=Bp.createInstance,qp.createInstance,qp.dir,qp.init,qp.loadResources,qp.reloadResources,qp.use,qp.changeLanguage,qp.getFixedT,qp.t,qp.exists,qp.setDefaultNamespace,qp.hasLoadedNamespace,qp.loadNamespaces,qp.loadLanguages;var Gp,Kp=(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Gp={},Td,"Empty group"),_d,"No conditions for group field {{field}}"),wd,"Empty query"),Rd,"Empty case"),Ad,"No config for field {{field}}"),"FIXED_OPERATOR","Fixed operator {{from}} to {{to}} for field {{field}}"),Id,"No config for operator {{operator}}"),Cd,"No config for function {{funcKey}}"),Nd,"Invalid value"),Ld,"Invalid value of arg {{argName}} for func {{funcName}}: {{argValidationError}}"),Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Gp,Pd,"Type of field {{field}} is not supported"),xd,"Operator {{operator}} is not supported for field {{field}}"),Fd,"Incomplete rule"),Dd,"Incomplete LHS"),jd,"Incomplete RHS"),kd,"Invalid value src {{valueSrcs, list}}"),Md+"_one","Value {{badValues, list}} is not in the list of allowed values"),Md+"_other","Values {{badValues, list}} are not in the list of allowed values"),Vd,"Value {{value}} is not in the list of allowed values"),Ud,"Value should have type {{wType}}, but got value of type {{valueType}}"),Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Gp,Bd,"Value should have JS type {{jsType}}, but got value of type {{valueTypeof}}"),qd,"Value {{value}} should have max length {{fieldSettings.maxLength}} but got {{length}}"),Gd,"Value {{value}} should be from {{fieldSettings.min}} to {{fieldSettings.max}}"),Kd,"Value {{value}} should be from {{fieldSettings.min}} to {{fieldSettings.max}}"),Wd,"No config for field {{field}}"),zd,"Can't compare field {{field}} with itself"),Hd,"Can't compare field {{leftField}} with {{rightField}}"),$d,"Field {{field}} is of type {{type}}, but expected {{expected}}"),Yd,"Unsupported function {{funcKey}} for field {{field}}"),Qd,"Value of arg {{argName}} for func {{funcName}} is required"),Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Vn(Gp,Xd,"Function {{funcKey}} should return value of type {{returnType}}, but got {{valueType}}"),Jd,"Invalid range"),ep,"Root"),Zd+"__rule","Leaf #{{globalLeafNo}}"),Zd+"__group","Group #{{globalGroupNo}}"),Zd+"__rule_group","Rule-group #{{globalNoByType}}"),Zd+"__case_group","Case #{{globalNoByType}}"),Zd+"__rule__deleted","Deleted leaf #{{globalLeafNo}}"),Zd+"__group__deleted","Deleted group #{{globalGroupNo}}"),Zd+"__rule_group__deleted","Deleted rule-group #{{globalNoByType}}"),Vn(Vn(Vn(Gp,Zd+"__case_group__deleted","Deleted case #{{globalNoByType}}"),rp,"{{str}} in case #{{caseNo}}"),tp,"{{str}} (index path: {{indexPath, list}})")),Wp="raqbvalidation",zp="".concat(Wp,":"),Hp=qp.createInstance();Hp.init({fallbackLng:"en"}),Hp.addResources("en",Wp,Kp);var $p=function e(t,r){return null!=t&&t.str?t.str:null!=t&&t.key?e(t.key,t.args):null===r?t:Hp.t(t.includes(":")?t:zp+t,r)};const Yp=Hp;function Qp(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Xp(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Qp(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Qp(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Jp=function(e){return"object"===Ln(e)&&null!==e&&Array.isArray(e)?"array":Ln(e)},Zp=function(e,t){return 0===ef(e,t).length},ef=function(e,t){var r=t.settings.showErrorMessage,n=[];return e&&function e(t,o,i){var a,l,s=t.get("id"),u=t.get("children1"),c=t.getIn(["properties","valueError"]),d=t.getIn(["properties","fieldError"]),p=t.getIn(["properties","field"]),f=null!==(a=null==p||null===(l=p.get)||void 0===l?void 0:l.call(p,"func"))&&void 0!==a?a:p;((null==c?void 0:c.size)>0&&c.filter((function(e){return null!=e})).size>0||!!d)&&r&&n.push(f),u&&u.map((function(t,r){t&&e(t,o.concat(s),i+1)}))}(e,[],0),Array.from(new Set(n))},tf=function(e,t){var r=Ah(t,void 0,!0),n={removeEmptyGroups:t.settings.removeEmptyGroupsOnLoad,removeIncompleteRules:t.settings.removeIncompleteRulesOnLoad,removeEmptyRules:t.settings.removeEmptyRulesOnLoad,forceFix:!1},o=af(e,null,r,r,n),i=o.fixedTree,a=o.allErrors;return o.isSanitized&&a.length&&console.warn("Tree check errors: ",a),i},rf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=Ah(t,void 0,!0),o=Xp(Xp({},r),{},{removeEmptyGroups:!1,removeEmptyRules:!1,removeIncompleteRules:!1,forceFix:!1});return af(e,null,n,n,o).allErrors},nf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=Ah(t,void 0,!0),o=Xp({removeEmptyGroups:!0,removeEmptyRules:!0,removeIncompleteRules:!0,forceFix:!1},r),i=af(e,null,n,n,o);return{fixedTree:i.fixedTree,fixedErrors:i.fixedErrors,nonFixedErrors:i.nonFixedErrors,allErrors:i.allErrors}},of=function(e,t,r,n,o,i,a){void 0===o&&(o=r.settings.removeEmptyGroupsOnLoad),void 0===i&&(i=r.settings.removeEmptyRulesOnLoad),void 0===a&&(a=r.settings.removeIncompleteRulesOnLoad);var l=af(e,t,r,n,{removeEmptyGroups:o,removeEmptyRules:i,removeIncompleteRules:a,forceFix:!1}),s=l.fixedTree,u=(l.allErrors,l.fixedErrors);return l.nonFixedErrors,l.isSanitized&&u.length&&console.warn("Fixed tree errors: ",u),pu(s)},af=function(e,t,r,n,o){if(!e)return{fixedTree:e,allErrors:[],fixedErrors:[],nonFixedErrors:[],isSanitized:!1};var i,a,l=o||{},s=l.removeEmptyGroups,u=l.removeEmptyRules,c=l.removeIncompleteRules,d=l.forceFix,p=l.translateErrors,f=void 0===p||p,h=l.includeStringifiedItems,g=void 0===h||h,v=l.stringifyFixedItems,y=void 0!==v&&v,m=l.stringifyItemsUserFriendly,b=void 0===m||m,E=l.includeItemsPositions,O=void 0===E||E,S={errors:{}},T=uf(e,[],null,S,{config:r,oldConfig:n,removeEmptyGroups:s,removeEmptyRules:u,removeIncompleteRules:c,forceFix:d}),_=S.sanitized,w=[];for(var R in O&&(i=hu(T).items),S.errors){var A=S.errors[R],I=A.path,C=A.errors;f&&(C=C.map((function(e){return Xp(Xp({},e),{},{str:$p(e)})})));var N={path:I,errors:C};if(g){var L=cu(y?T:e,I);if(1!==I.length&&"group"!==L.get("type")){var P=vd(L,r,b,!0);N.itemStr=P}}if(O){var x=i[R],k=!x;if(k&&(a||(a=hu(e).items),x=a[R]),x){var F=Xp(Xp({},x.position),{},{index:x.index,type:x.type,isDeleted:k});N.itemPosition=F;var D=x.index?Zd+"__"+x.type+(k?"__deleted":""):ep,j=Xp({},F);if(b){for(var M,V=0,U=["caseNo","globalLeafNo","globalGroupNo","globalNoByType"];V<U.length;V++){var B=U[V];null!=j[B]&&(j[B]=j[B]+1)}j.indexPath=null===(M=F.indexPath)||void 0===M?void 0:M.map((function(e){return e+1}))}N.itemPositionStr=$p(D,j),x.index&&(x.caseId&&"case_group"!==x.type&&(N.itemPositionStr=$p(rp,Xp(Xp({},j),{},{str:N.itemPositionStr}))),N.itemPositionStr=$p(tp,Xp(Xp({},j),{},{str:N.itemPositionStr})))}}w.push(N)}for(var q=[],G=[],K=0,W=w;K<W.length;K++){var z=W[K],H=z.errors.filter((function(e){return!!e.fixed})),$=z.errors.filter((function(e){return!e.fixed&&"EMPTY_QUERY"!==e.key}));H.length&&q.push(Xp(Xp({},z),{},{errors:H})),$.length&&G.push(Xp(Xp({},z),{},{errors:$}))}return{fixedTree:T,allErrors:w,fixedErrors:q,nonFixedErrors:G,isSanitized:_}};function lf(e,t,r,n){var o=t.get("id");e.errors[o]||(e.errors[o]={path:[].concat(Gn(r),[o]),errors:[]}),e.errors[o].errors.push(n)}function sf(e,t){var r=t.get("id");e.errors[r]&&e.errors[r].errors.map((function(e){e.fixed=!0}))}function uf(e,t,r,n,o){var i=null==e?void 0:e.get("type");return"group"===i||"rule_group"===i||"case_group"==i||"switch_group"==i?function(e,t,r,n,o){var i,a,l,s,u,c,d=o.removeEmptyGroups,p=o.removeIncompleteRules,f=(o.forceFix,o.config),h=(f.settings.showErrorMessage,e.get("id")),g=e.get("children1"),v=!t.length,y=g,m=e.get("type"),b=e.get("properties"),E=null==b?void 0:b.get("field"),O=null==b?void 0:b.get("mode"),S=null==b||null===(i=b.get)||void 0===i?void 0:i.call(b,"operator"),T="rule_group"===m&&"array"===O,_="case_group"===m,w=_&&null==g,R=S?null!==(a=null===(l=f.operators[S])||void 0===l?void 0:l.cardinality)&&void 0!==a?a:1:void 0,A=_?!w:!T||0==R;!h&&r&&(h=r,e=e.set("id",h),n.sanitized=!0),T&&(e=cf(e,t,r,n,o));var I={errors:{}},C=null===(u=g=null===(s=g)||void 0===s?void 0:s.map((function(e,r){return uf(e,t.concat(h),r,I,o)})))||void 0===u?void 0:u.filter((function(e){return null!=e}));d&&(g=C);var N=I.sanitized||(null==y?void 0:y.size)!=(null===(c=g)||void 0===c?void 0:c.size),L=d&&!v;return T&&E&&(L=p),!(null!=C&&C.size)&&A&&(lf(n,e,t,{key:v?wd:_?Rd:T?_d:Td,args:{field:E},fixed:L}),L&&(sf(n,e),e=void 0)),N&&(n.sanitized=!0),N&&e&&(e=e.set("children1",g)),n.errors=Xp(Xp({},n.errors),(null==I?void 0:I.errors)||{}),e}(e,t,r,n,o):"rule"===i?cf(e,t,r,n,o):e}function cf(e,t,r,n,o){var i=o.removeIncompleteRules,a=o.removeEmptyRules,l=o.forceFix,s=o.config,u=o.oldConfig,c=s.settings.showErrorMessage,d=!c||l,p=e.get("id"),f=e.get("properties");if(f){var h=f.get("field")||null,g=f.get("fieldSrc")||null,v=f.get("operator")||null,y=f.get("operatorOptions"),m=f.get("valueSrc"),b=f.get("value"),E=f.get("valueError"),O=f.get("fieldError"),S=function(){var e,t;return{field:(null===(e=h)||void 0===e||null===(t=e.toJS)||void 0===t?void 0:t.call(e))||h,fieldSrc:g,operator:v,operatorOptions:y?y.toJS():{},valueSrc:m?m.toJS():null,value:b?b.toJS():null,valueError:E?E.toJS():null,fieldError:O||null}},T=S();!p&&r&&(p=r,e=e.set("id",p),n.sanitized=!0);var _=h?$h(s,h):null;h&&!_&&(lf(n,e,t,{key:Ad,args:{field:h},side:"lhs",fixed:i||a}),h=null),null==h&&(f=["operator","operatorOptions","valueSrc","value","valueError","fieldError","field"].reduce((function(e,t){return e.delete(t)}),f),v=null),g||(g=Hh(h),f=f.set("fieldSrc",g)),"range_between"!==v&&"range_not_between"!==v||(v="range_between"===v?"between":"not_between",f=f.set("operator",v));var w=v?Yh(s,v,h):null;v&&!w&&(lf(n,e,t,{key:Id,args:{operator:v},side:"op",fixed:i||a}),v=null);var R=h?If(s,h):[];h&&(null!=R&&R.length?v&&-1==R.indexOf(v)&&("is_empty"===v||"is_not_empty"===v?(v="is_empty"===v?"is_null":"is_not_null",f=f.set("operator",v)):(lf(n,e,t,{key:xd,args:{operator:v,field:h},side:"lhs",fixed:i||a}),v=null)):(lf(n,e,t,{key:Pd,args:{field:h},side:"lhs",fixed:i||a}),v=null)),null==v&&(f=["operatorOptions","valueSrc","value","valueError"].reduce((function(e,t){return e.delete(t)}),f)),y=f.get("operatorOptions"),!v||y&&!w.options?(y=null,f=f.delete("operatorOptions")):v&&!y&&w.options&&(y=rd(s,v,h),f=f.set("operatorOptions",y)),m=f.get("valueSrc"),b=f.get("value");var A=vf(s,u,f,h,v,null,d,!0),I=A.newValue,C=A.newValueSrc,N=A.newValueError,L=A.validationErrors,P=A.newFieldError,x=A.fixedField;b=I,m=C,E=N,O=P,h=x,f=(f=(f=f.set("field",h)).set("value",b)).set("valueSrc",m),f=c?f.set("valueError",E).set("fieldError",O):f.delete("valueError").delete("fieldError");var k=S(),F=!Os(T,k),D=$f(f.toObject(),s),j=D.score>=3;if(F&&(n.sanitized=!0,e=e.set("properties",f)),null==L||L.map((function(r){return lf(n,e,t,r)})),!j){var M=D.score?i:a,V={key:Fd,args:{}};if(D.parts.field){if(!D.parts.value){var U,B,q,G;V.key=jd,V.side="rhs",null!==(U=k.valueSrc)&&void 0!==U&&U[0]&&(null===(B=k.valueSrc)||void 0===B?void 0:B[0])!=(null===(q=T.valueSrc)||void 0===q?void 0:q[0])&&null!=(null===(G=k.value)||void 0===G?void 0:G[0])&&(V.key=kd,V.args={valueSrcs:k.valueSrc})}}else V.key=Dd,V.side="lhs";V.fixed=M,lf(n,e,t,V),M&&(sf(n,e),e=void 0)}return e}lf(n,e,t,{key:Fd,args:{},fixed:i||a})}var df=function(e,t,r,n,o,i,a,l){var s=arguments.length>8&&void 0!==arguments[8]&&arguments[8],u=arguments.length>9&&void 0!==arguments[9]&&arguments[9],c=arguments.length>10&&void 0!==arguments[10]&&arguments[10],d=[],p=o;if(null!=o){var f,h,g,v;if("field"===a){var y=zn(ff(t,r,o,a,i,l,e,n,s,u),2);p=y[0],d=y[1]}else if("func"===a){var m=zn(hf(t,r,o,a,i,l,e,n,s,u,c),2);p=m[0],d=m[1]}else if("value"===a||!a){var b=zn(pf(r,o,a,i,l,e,n,s,u),2);p=b[0],d=b[1]}var E=!(null!==(f=d)&&void 0!==f&&f.find((function(e){return!e.fixed})));if(r&&!["field","func"].includes(a)&&(null===(h=d)||void 0===h||!h.length||E)){var O=Vf(e,r,n,a),S=n?Yh(e,n,r):null,T=hs()(Qh(e,r,n,O,a),["factory"]),_="field"===a?$h(e,o):null,w=T,R=T.validateValue;if("function"==typeof R){var A=[p,w,n,S];"field"===a&&A.push(_);var I,C,N=R.call.apply(R,[e.ctx].concat(A));"object"!==Ln(N)||null===N||Array.isArray(N)?"boolean"==typeof N?0==N&&d.push({key:Nd,args:{}}):"string"==typeof N&&d.push({key:N,args:null}):(C=null!==(I=N.error)&&void 0!==I&&I.key?Xp({},N.error):{key:N.error,args:null},void 0!==N.fixedValue&&s&&(C.fixed=!0,C.fixedFrom=p,C.fixedTo=N.fixedValue,p=N.fixedValue),d.push(C))}}if(E=!(null!==(g=d)&&void 0!==g&&g.find((function(e){return!e.fixed}))),null!==(v=d)&&void 0!==v&&v.length&&!E&&s){var L=$h(e,r),P=null==L?void 0:L.fieldSettings,x=null==P?void 0:P.defaultValue;if(void 0!==x){var k=d[d.length-1];k.fixed=!0,k.fixedFrom=p,k.fixedTo=x,p=x,d.map((function(e){e.fixed=!0}))}}}return[p,d]},pf=function(e,t,r,n,o,i){var a,l,s=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,u=arguments.length>7&&void 0!==arguments[7]&&arguments[7],c=[],d=t;if(e){var p=$h(i,e),f=Vf(i,e,s,r),h=i.widgets[f],g=null==h?void 0:h.type,v=null==h?void 0:h.jsType,y=null==p?void 0:p.fieldSettings,m=(null==y?void 0:y.treeValues)||(null==y?void 0:y.listValues),b=!(null==y||!y.asyncFetch),E=m||b;if(n&&g&&n!=g)return c.push({key:Ud,args:{wType:g,valueType:n}}),[t,c];if(v&&(l=v,Jp(a=t)!==l&&("number"!==l||isNaN(a)))&&!E)return c.push({key:Bd,args:{jsType:v,valueTypeof:Jp(t)}}),[t,c];if(y){var O=o||m;if(O&&!y.allowCustomValues){var S=function(e,t,r,n,o){var i=ps.List.isList(e)?e.toJS():e instanceof Array?Gn(e):void 0,a=e,l=[];if(i){var s=i.reduce((function(e,r){var n=zn(e,2),o=n[0],i=n[1],a=ru(t,r);return null==a?[o,[].concat(Gn(i),[r])]:[[].concat(Gn(o),[a.value]),i]}),[[],[]]),u=zn(s,2),c=u[0],d=u[1],p=d.length>0;if(a=(r=r||!0===o)&&p?c:e,d.length){var f=r&&p;l.push({key:Md,args:{badValues:d,count:d.length},fixed:f,fixedFrom:f?i:void 0,fixedTo:f?a:void 0})}return[a,l]}var h=ru(t,e);return null==h?(a=r?null:e,l.push({key:Vd,args:{value:e},fixed:r,fixedFrom:r?e:void 0,fixedTo:r?a:void 0})):a=h.value,[a,l]}(t,O,u,0,i.settings.removeInvalidMultiSelectValuesOnLoad),T=zn(S,2);d=T[0],c=T[1]}y.maxLength>0&&null!=t&&String(t).length>y.maxLength&&(d=u?String(t).substring(0,y.maxLength):t,c.push({key:qd,args:{value:t,length:String(t).length,fieldSettings:y},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0})),null!=y.min&&t<y.min&&(d=u?y.min:t,c.push({key:Gd,args:{value:t,fieldSettings:y},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0})),null!=y.max&&t>y.max&&(d=u?y.max:t,c.push({key:Kd,args:{value:t,fieldSettings:y},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0}))}}return[d,c]},ff=function(e,t,r,n,o,i,a){var l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null,s=[],u=a.settings,c=u.fieldSeparator,d=u.canCompareFieldWithField,p="object"==Ln(t)&&(null==t?void 0:t._isFuncArg),f=Array.isArray(e)?e.join(c):e,h=$h(a,e),g=Array.isArray(r)?r.join(c):r,v=$h(a,r);return v?e&&g===f&&!p?(s.push({key:zd,args:{field:f}}),[r,s]):o&&o!=v.type?(s.push({key:$d,args:{field:g,type:v.type,expected:o}}),[r,s]):e&&!p&&d&&!d(f,h,g,v,l)?(s.push({key:Hd,args:{leftField:f,rightField:g}}),[r,s]):[r]:(s.push({key:Wd,args:{field:g}}),[r,s])},hf=function(e,t,r,n,o,i,a){var l,s,u=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null,c=arguments.length>8&&void 0!==arguments[8]&&arguments[8],d=arguments.length>9&&void 0!==arguments[9]&&arguments[9],p=arguments.length>10&&void 0!==arguments[10]&&arguments[10],f=r,h=[];if(!r)return[r];var g=null===(l=r.get)||void 0===l?void 0:l.call(r,"func");if(!g)return[r];var v=$h(a,t);if(null!=v&&v.funcs&&!v.funcs.includes(g))return h.push({key:Yd,args:{funcKey:g,field:t}}),[r,h];var y=Bh(a,g);if(!y)return h.push({key:Cd,args:{funcKey:g}}),[r,h];var m=null!==(s=y.label)&&void 0!==s?s:g;if(o&&y.returnType!=o)return h.push({key:Xd,args:{funcKey:g,funcName:m,returnType:y.returnType,valueType:o}}),[r,h];for(var b in c=c||p,y.args){var E,O=y.args[b],S=f.get("args"),T=S?S.get(b):void 0,_=$h(a,O),w=null!==(E=null==_?void 0:_.label)&&void 0!==E?E:b,R=T?T.get("value"):void 0,A=T?T.get("valueSrc"):void 0;if(void 0!==R){var I=zn(df(a,e,_,u,R,O.type,A,i,c,d,p),2),C=I[0],N=I[1],L=!(null!=N&&N.length),P=c&&C!==R,x=c&&!L&&!P&&(d||p);if(P&&(f=f.setIn(["args",b,"value"],C)),x&&(f=f.deleteIn(["args",b]),f=Of(a,f,y,b)),!L){var k,F,D=null!==(k=null!==(F=N.find((function(e){return!e.fixed&&!e.ignore})))&&void 0!==F?F:N.find((function(e){return!e.fixed})))&&void 0!==k?k:N[0],j=P||x,M=0===N.filter((function(e){return!e.ignore})).length;if(D){var V=$p(D);h.push({key:Ld,args:{funcKey:g,funcName:m,argKey:b,argName:w,argValidationError:V,argErrors:N},ignore:M,fixed:j,fixedFrom:j?R:void 0,fixedTo:j?P?C:O.defaultValue:void 0})}}}else if(!O.isOptional&&(d||p)){var U=c&&void 0!==O.defaultValue&&(d||p);d&&h.push({key:Qd,args:{funcKey:g,funcName:m,argKey:b,argName:w},fixed:U,fixedTo:U?O.defaultValue:void 0,ignore:!U}),U&&(f=f.deleteIn(["args",b]),f=Of(a,f,y,b))}}return[f,h]},gf=function(e,t,r,n,o){var i,a=Yh(e,r,t),l=r?Es(a):null,s=o.toJS?o.toJS():o,u=n.toJS?n.toJS():n,c=s.filter((function(e){return"value"==e||null==e})).length==l;if(null!=a&&a.validateValues&&c){var d=s[0],p=Vf(e,t,r,d),f=Qh(e,t,r,p,d),h=null!=f&&f.toJS?u.map((function(t){var r=f.toJS.call(e.ctx,t,f);return r instanceof Date&&(r=r.getTime()),r})):u,g=a.validateValues(h);"boolean"==typeof g&&0==g&&(i={key:Jd,args:{jsValues:h,values:u}})}return i},vf=function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,i=arguments.length>2?arguments[2]:void 0,a=arguments.length>3?arguments[3]:void 0,l=arguments.length>4?arguments[4]:void 0,s=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,u=arguments.length>6&&void 0!==arguments[6]&&arguments[6],c=arguments.length>7&&void 0!==arguments[7]&&arguments[7],d=arguments.length>8&&void 0!==arguments[8]&&arguments[8];o||(o=e);var p,f=e.settings,h=f.keepInputOnChangeFieldSrc,g=f.convertableWidgets,v=f.clearValueOnChangeField,y=f.clearValueOnChangeOp,m=i.get("field"),b=i.get("fieldType"),E=i.get("fieldSrc"),O=i.get("operator"),S=i.get("value"),T=i.get("valueSrc",new ps.List),_=i.get("valueType",new ps.List),w=i.get("asyncListValues"),R=Yh(o,O),A=Yh(e,l,a),I=O?Es(R):null,C=l?Es(A):null,N=$h(o,m),L=$h(e,a),P=!m&&b&&h,x=(null==N?void 0:N.type)||b,k=(null==L?void 0:L.type)||!a&&P&&x,F=null==N?void 0:N.listValuesType,D=null==L?void 0:L.listValuesType,j=(null==m||null===(t=m.get)||void 0===t?void 0:t.call(m,"func"))||m,M=((null===(r=a)||void 0===r||null===(n=r.get)||void 0===n?void 0:n.call(r,"func"))||a)!=j,V=[],U=(m||P)&&O&&l&&null!=S;if((!x||!k||x!=k||"field"===s&&M&&v||"operator"===s&&y)&&(U=!1),M&&Rf.includes(k)&&(D&&D===F||(U=!1)),"func"===E&&a){var B=zn(df(e,null,null,l,a,k,E,w,u,c,d),2),q=B[0],G=B[1],K=!(null!=G&&G.length),W=q!==a,z=!K&&W&&!G.find((function(e){return!e.fixed})),H=u&&!K&&!z&&!!s&&a!==m;if(H?a=m:W&&(a=q),!K){var $=!K&&!z&&!H,Y=G.find((function(e){return!e.fixed&&!e.ignore}));$&&Y&&(p=$p(Y)),G.map((function(e){return V.push(Xp(Xp({side:"lhs"},e),{},{fixed:e.fixed||H||false}))}))}}for(var Q=0;Q<C;Q++){var X=T.get(Q)||null,J=Vf(o,m,O,X),Z=Vf(e,a,l,X),ee="value"===X?J:Vf(o,m,O,"value"),te="value"===X?Z:Vf(e,a,l,"value");te==ee||(g[ee]||[]).includes(te)||!ee&&P||(U=!1)}O!=l&&[O,l].includes("proximity")&&(U=!1);var re=T.first(),ne=Qh(e,a,l,null,re),oe=Mf(e,a,l,null);!a&&P&&(oe=Object.keys(e.settings.valueSourcesInfo));var ie,ae=oe[0];1==C&&ne&&void 0!==ne.type?ie=ne.type:1==C&&L&&void 0!==L.type&&(ie="!group"===L.type?"number":L.type);var le=U&&"operator"===s&&1===I&&2===C,se=[],ue=[],ce=[],de=Array.from({length:C},(function(){return null}));if(U)for(var pe=function(t){var r=S.get(t),n=_.get(t)||null,o=T.get(t)||null;le&&1===t&&(r=void 0!==se[0]?se[0]:S.get(0),se[t]=r,n=_.get(0)||null,o=T.get(0)||null);var i=!o||void 0!==oe.find((function(e){return e==o})),s=zn(df(e,a,a,l,r,n,o,w,u,c,d),2),p=s[0],f=s[1],h=!(null!=f&&f.length),g=p!==r,v=!h&&g&&!(null!=f&&f.find((function(e){return!e.fixed}))),y=!(null!=f&&f.find((function(e){return!e.fixed&&!e.ignore}))),m=!i||u&&!h&&!v&&(!y||M);h||null==f||f.map((function(e){return V.push(Xp(Xp({side:"rhs",delta:t},e),{},{fixed:e.fixed||m}))})),m&&(se[t]=null,0===t&&delete se[1]);var b=!h&&!g,E=null==f?void 0:f.find((function(e){return!e.fixed&&!e.ignore}));b&&E&&(de[t]=$p(E)),g&&(se[t]=p),!le||0!==t||h||g||(le=!1),le&&0===t&&["func","field"].includes(o)&&(le=!1)},fe=0;fe<C;fe++)pe(fe);if(!U)for(var he=0;he<C;he++)if(1===C){var ge,ve=js([null==L?void 0:L.defaultValue,null==L||null===(ge=L.fieldSettings)||void 0===ge?void 0:ge.defaultValue,null==ne?void 0:ne.defaultValue]);se[he]=ve,null!=ve&&ve.func&&(ue[he]="func")}for(var ye=0;ye<C;ye++){var me,be,Ee=U&&T.get(ye)||null,Oe=U&&_.get(ye)||null;U&&le&&1===ye&&(Ee=null!==(me=ue[ye])&&void 0!==me?me:T.get(0),Oe=null!==(be=ce[ye])&&void 0!==be?be:_.get(0),ue[ye]=Ee,ce[ye]=Oe),oe.includes(Ee)||(ue[ye]=ae),Oe||(ce[ye]=ie)}var Se=new ps.List(Array.from({length:C},(function(e,t){return void 0!==se[t]?se[t]:U?S.get(t):void 0}))),Te=new ps.List(Array.from({length:C},(function(e,t){var r;return null!==(r=ue[t])&&void 0!==r?r:U&&T.get(t)||null}))),_e=new ps.List(Array.from({length:C},(function(e,t){var r;return null!==(r=ce[t])&&void 0!==r?r:U&&_.get(t)||null}))),we=gf(e,a,l,Se,Te);if(we){var Re=$p(we),Ae=u&&C>=2,Ie=Se;Ae&&(se[1]=Se.get(0),Se=Se.set(1,se[1]),de[1]=de[0]),!Ae&&de.push(Re),V.push(Xp(Xp({side:"rhs",delta:-1},we),{},{fixed:Ae,fixedFrom:Ae?[Ie.get(0),Ie.get(1)]:void 0,fixedTo:Ae?[Se.get(0),Se.get(1)]:void 0}))}var Ce=new ps.List(de);return{canReuseValue:U,newValue:Se,newValueSrc:Te,newValueType:_e,operatorCardinality:C,fixedField:a,newValueError:Ce,newFieldError:p,validationErrors:V}},yf=function(e){return"object"==Ln(e)&&null!==e&&!Array.isArray(e)},mf=function(e,t){if(e){var r=e.get("func"),n=r&&Bh(t,r);if(n){var o=e,i=!1;for(var a in n.args){var l=n.args[a],s=l.valueSources,u=l.isOptional,c=l.defaultValue,d=jf(t,s,l),p=o.get("args"),f=1==d.length?d[0]:void 0,h=p?p.get(a):void 0,g=h?h.get("value"):void 0,v=(h?h.get("valueSrc"):void 0)||f;if(void 0!==g){var y=Qf(g,v,t);if(void 0===y)return;if(y!==g&&(o=o.setIn(["args",a,"value"],y)),i)return}else if(void 0===c||yf(c)){if(!u)return;i=!0}else o=(o=o.setIn(["args",a,"value"],Sf(l))).setIn(["args",a,"valueSrc"],"value")}return o}}},bf=function(e,t,r,n){var o=r.settings.fieldSeparator;e=e||new ps.Map,Array.isArray(t)&&(t=t.join(o));var i=e.get("func"),a=e.get("args");e=e.set("func",t);var l=t&&Bh(r,t),s=t&&Uh(r,t),u=i&&Uh(r,i),c=wf(u,s,a,r,n);return e=c.length?Object.keys(s.args).filter((function(e){return!c.includes(e)})).reduce((function(e,t){return e.deleteIn(["args",t])}),e):e.set("args",new ps.Map),Ef(r,e,l)},Ef=function(e,t,r){if(r)for(var n in r.args)t=Of(e,t,r,n);return t},Of=function(e,t,r,n){var o=r.args[n],i=o.valueSources,a=o.defaultValue,l=jf(e,i,o),s=l.length?l[0]:void 0,u=(a?yf(a)&&a.func?"func":"value":void 0)||s;return t.getIn(["args",n])||(void 0!==a&&(t=t.setIn(["args",n,"value"],Sf(o))),u&&(t=t.setIn(["args",n,"valueSrc"],u))),t},Sf=function(e){var t=e.defaultValue;return yf(t)&&!ps.Map.isMap(t)&&t.func?ps.fromJS(t,(function(e,t){return ps.Iterable.isIndexed(t)?t.toList():t.toOrderedMap()})):t},Tf=function(e,t,r,n,o){if(e&&e.get("func")){var i=(e=e.setIn(["args",t,"value"],r)).getIn(["args",t,"valueSrc"]),a=n.valueSources,l=jf(o,a,n),s=1==l.length?l[0]:void 0;!s&&l.includes("value")&&(s="value"),!i&&s&&(e=e.setIn(["args",t,"valueSrc"],s))}return e},_f=function(e,t,r,n,o){return e&&e.get("func")&&(e=e.setIn(["args",t],new ps.Map({valueSrc:r}))),e},wf=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]&&arguments[4];return(null==e?void 0:e.returnType)!=(null==t?void 0:t.returnType)?[]:Object.keys(t.args).filter((function(i,a){var l=t.args[i],s=e.args[i];if(Object.keys(e.args).indexOf(i),!s&&(void 0!==l.defaultValue||l.isOptional))return!0;if((null==s?void 0:s.type)!=l.type)return!1;if(Rf.includes(l.type)&&(!s.listValuesType||s.listValuesType!==l.listValuesType))return!1;if(r){var u,c=r.get(i),d=null==c?void 0:c.get("value"),p=null==c?void 0:c.get("valueSrc");if(p&&l.valueSources&&!l.valueSources.includes(p))return!1;var f=zn(df(n,null,l,null,d,l.type,p,null,o,!0),2),h=(f[0],f[1]);if(null!=h&&null!==(u=h.filter((function(e){return!e.fixed})))&&void 0!==u&&u.length)return!1}return!0}))},Rf=["select","multiselect","treeselect","treemultiselect"],Af=function(e,t){var r;return(null===(r=e.types[t])||void 0===r?void 0:r.operators)||null},If=function(e,t){var r=$h(e,t);return r?r.operators:[]},Cf=function(e,t){var r,n=If(e,t);return null!==(r=null==n?void 0:n[0])&&void 0!==r?r:null},Nf=function(e,t,r){var n=null;if(e)if("field"===t){var o=$h(r,e);o&&(n=o.type)}else if("func"===t){var i=e.get("func");if(i){var a=Bh(r,i);a&&(n=a.returnType||a.type)}}return n},Lf=function(e,t){return Pf(e,t,arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,"funcs","subfields")},Pf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"fields",o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:"subfields";if(!e)return null;var i=t.settings.fieldSeparator,a=Wh(e,t),l=Wh(r,t);return a.slice(l.length).map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return[].concat(Gn(l),Gn(e)).join(i)})).map((function(e){var r=Mh(t,e,n,o);return r&&r.label||$s()(e.split(i))})).filter((function(e){return null!=e}))},xf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!e)return null;var n=r&&Mh(t,r)||null,o=t.settings.fieldSeparator,i=Wh(e,t),a=Gh(e,r,t)?Wh(r,t):[];return i.slice(a.length).map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return{part:[].concat(Gn(a),Gn(e)).join(o),key:e[e.length-1]}})).map((function(e){var r=e.part;return{key:e.key,cnf:Mh(t,r)}})).map((function(e,t,r){return[e.key,e.cnf,t>0?r[t-1].cnf:n]}))},kf=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,i=arguments.length>5&&void 0!==arguments[5]&&arguments[5],a=t&&"object"==Ln(t)&&!!t.func&&!!t.arg,l=e.settings.showLabels,s=$h(e,t),u=Qh(e,t,r,null,o)||{},c=Yh(e,r,t)||{},d=null;if((i?1:c.cardinality)>1){var p=u.valueLabels||c.valueLabels;p&&(d=p[n]),d&&"object"!=Ln(d)&&(d={label:d,placeholder:d}),d||(d={label:e.settings.valueLabel+" "+(n+1),placeholder:e.settings.valuePlaceholder+" "+(n+1)})}else{var f=u.valueLabel,h=u.valuePlaceholder;a&&(f||(f=s.label||t.arg),h||l||(h=s.label||t.arg)),d={label:f||e.settings.valueLabel,placeholder:h||e.settings.valuePlaceholder}}return d};function Ff(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=[],i=[];if(!t)return{widgets:o,valueSrcs:i};var a="object"===Ln(t)&&(!!t.func&&!!t.arg||t._isFuncArg),l=$h(e,t),s=r?e.operators[r]:null;if(null!=l&&l.widgets){var u=function(){var u=l.widgets[c];if(!e.widgets[c])return 1;var d=e.widgets[c].valueSrc||"value",p=!0;if("field"==c&&(p=p&&jf(e,["field"],l).length>0),"func"==c&&(p=p&&jf(e,["func"],l).length>0),"value"!=n||u.operators||a||"!case_value"==t||(p=!1),u.operators&&r&&(p=p&&-1!=u.operators.indexOf(r)),n&&n!=d&&"const"!=n&&(p=!1),s&&0==s.cardinality&&"value"!=d&&(p=!1),p){var f,h;o.push(c);var g=-1!=(null===(f=l.valueSources)||void 0===f?void 0:f.indexOf(d));-1==(null==s||null===(h=s.valueSources)||void 0===h?void 0:h.indexOf(d))&&(g=!1),g&&!i.find((function(e){return e==d}))&&i.push(d)}};for(var c in l.widgets)u()}var d=function(e){var t=0;return l.preferWidgets?l.preferWidgets.includes(e)&&(t+=10-l.preferWidgets.indexOf(e)):e==l.mainWidget&&(t+=100),"field"==e&&(t-=1),"func"==e&&(t-=2),t};return o.sort((function(e,t){return d(t)-d(e)})),{widgets:o,valueSrcs:i}}var Df=function(e,t,r){return Ff(e,t,r,arguments.length>3&&void 0!==arguments[3]?arguments[3]:null).widgets},jf=function(e,t,r){var n;if(!r)return t;var o=null!==(n=r.type)&&void 0!==n?n:r.returnType;return t||(t=Object.keys(e.settings.valueSourcesInfo)),t.filter((function(t){var n=!0;if("field"==t&&e.__fieldsCntByType){var i=r._isFuncArg?0:1;n=n&&e.__fieldsCntByType[o]>i}return"func"==t&&(e.__funcsCntByType&&(n=n&&!!e.__funcsCntByType[o]),r.funcs&&(n=n&&r.funcs.length>0)),n}))},Mf=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=Ff(e,t,r,null).valueSrcs;return jf(e,o,n)},Vf=function(e,t,r){var n=Ff(e,t,r,arguments.length>3&&void 0!==arguments[3]?arguments[3]:null).widgets,o=null;return n.length&&(o=n[0]),o},Uf=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{};if(e){var i=$h(t,e)||{},a=t.settings.fieldSeparator,l=Wh(e,t),s=Array.isArray(e)?e.join(a):e;if(null!=o&&o.useTableName&&i.tableName){var u=Gn(l);u[0]=i.tableName,s=u.join(a)}if(i.fieldName&&(s=i.fieldName),n){$h(t,n);var c=n;0==s.indexOf(c+a)?s=s.slice((c+a).length):i.fieldName||r.errors.push("Can't cut group ".concat(c," from field ").concat(s))}return s}},Bf=function(e,t){var r=e.get("type"),n=e.getIn(["properties","mode"]);return"rule_group"==r&&"array"==n?qf(e,t):"group"==r||"rule_group"==r?Kf(e,t):zf(e,t)},qf=function(e,t){var r=e.get("children1"),n=e.get("properties");return Gf(n.toObject(),r,t)},Gf=function(e,t,r){var n,o,i=e.operator,a=0==(null!==(n=null===(o=r.operators[i])||void 0===o?void 0:o.cardinality)&&void 0!==n?n:1),l=!Hf(e,r),s=!Wf(t,r);return!(l&&(!a||s))},Kf=function(e,t){var r=e.get("children1");return Wf(r,t)},Wf=function(e,t){return!((null==e?void 0:e.size)>0&&e.filter((function(e){return!Bf(e,t)})).size>0)},zf=function(e,t){var r=e.get("properties");return Hf((null==r?void 0:r.toObject())||{},t)},Hf=function(e,t){return!($f(e,t,!0).score>=3)},$f=function(e,t){var r,n,o,i=e.field,a=e.fieldSrc,l=(e.fieldType,e.operator),s=e.value,u=e.valueSrc,c=(e.valueType,arguments.length>2&&void 0!==arguments[2]&&arguments[2]),d=null!==(r=null===(n=t.operators[l])||void 0===n?void 0:n.cardinality)&&void 0!==r?r:1,p=null!=u&&u.get?u.toJS():u,f={parts:{},score:0};if(f.parts.field=c?null!=i:Yf(i,a,t),f.parts.operator=!!l,f.parts.value=(null==s||null===(o=s.filter((function(e,r){return Yf(e,null==p?void 0:p[r],t,c)})))||void 0===o?void 0:o.size)>=(c?Math.min(d,1):d),f.score=Object.keys(f.parts).filter((function(e){return!!f.parts[e]})).length,c&&f.score<3){var h=!0;!f.parts.value&&"func"===a&&Yf(i,a,t,!1,h)&&f.score++,f.parts.field||null==s||s.map((function(e,r){"func"===(null==p?void 0:p[r])&&Yf(e,null==p?void 0:p[r],t,!1,h)&&f.score++}))}return f},Yf=function e(t,r,n){var o=arguments.length>3&&void 0!==arguments[3]&&arguments[3],i=!(arguments.length>4&&void 0!==arguments[4])||arguments[4];if(!o&&"func"==r&&t){var a,l=null===(a=t.get)||void 0===a?void 0:a.call(t,"func"),s=Bh(n,l);if(s){var u=t.get("args");for(var c in s.args){var d=s.args[c],p=u?u.get(c):void 0,f=p?p.get("value"):void 0,h=p?p.get("valueSrc"):void 0;if(null==f&&void 0===(null==d?void 0:d.defaultValue)&&(null==d||!d.isOptional))return!1;if(null!=f&&!e(f,h,n,!i||o))return!1}return!0}}return null!=t},Qf=function(e,t,r){return"func"==t?mf(e,r):e},Xf=p(3523),Jf=p.n(Xf),Zf=p(502),eh=p.n(Zf);function th(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function rh(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?th(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):th(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function nh(e,t){return eh().apply(e,t)}var oh={CALL:function(e,t){for(var r=arguments.length,n=new Array(r>2?r-2:0),o=2;o<r;o++)n[o-2]=arguments[o];return e.call.apply(e,[t].concat(n))},JSX:function(e,t){return{type:e,props:t}},mergeObjects:function(e,t){return rh(rh({},e),t)},fromEntries:function(e){return Object.fromEntries(e)},strlen:function(e){return(null==e?void 0:e.length)||0},regexTest:function(e,t,r){return null!=(null==e?void 0:e.match(new RegExp(t,r)))},now:function(){return new Date},date_add:function(e,t,r){return Cu()(e).add(t,r).toDate()},toLowerCase:function(e){return e.toLowerCase()},toUpperCase:function(e){return e.toUpperCase()}};function ih(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function ah(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function lh(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?ah(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):ah(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function sh(e,t,r){var n;try{n=eh().apply(e,t)}catch(e){throw e.message="".concat(r.join(".")," :: ").concat(e.message),e}return n}function uh(e,t,r,n){var o;try{o=t.call.apply(t,[e].concat(Gn(r)))}catch(e){throw e.message="".concat(n.join(".")," :: ").concat(e.message),e}return o}!function(){for(var e in oh)t=e,r=oh[e],eh().add_operation(t,r);var t,r}();var ch=["conjunctions","fields","types","operators","widgets","settings","funcs","ctx"],dh={asyncFetch:{type:"f",args:["search","offset"]},labelYes:{type:"r"},labelNo:{type:"r"},marks:{type:"r",isArr:!0},validateValue:{type:"f",args:["val","fieldSettings","op","opDef","rightFieldDef"]}},ph=lh(lh({},dh),{},{factory:{type:"rf"},formatValue:{type:"f",args:["val","fieldDef","wgtDef","isForDisplay","op","opDef","rightFieldDef"]},sqlFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef","rightFieldDef"]},spelFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef","rightFieldDef"]},spelImportValue:{type:"f",args:["val","wgtDef","args"]},mongoFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef"]},elasticSearchFormatValue:{type:"f",args:["queryType","val","op","field","config"]},jsonLogic:{type:"f",args:["val","fieldDef","wgtDef","op","opDef"]},validateValue:{type:"f",args:["val","fieldSettings","op","opDef","rightFieldDef"]},toJS:{type:"f",args:["val"]}}),fh={options:{factory:{type:"rf"}},formatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","isForDisplay","fieldDef"]},mongoFormatOp:{type:"f",args:["field","op","vals","useExpr","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},sqlFormatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},spelFormatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},jsonLogic:{type:"f",ignore:"string",args:["field","op","vals","opDef","operatorOptions","fieldDef"]},elasticSearchQueryType:{type:"f",ignore:"string",args:["valueType"]},textSeparators:{type:"r",isArr:!0}},hh={widgetProps:ph,opProps:fh},gh={fields:{x:{fieldSettings:dh,widgets:{x:hh},mainWidgetProps:ph}},widgets:{x:ph},conjunctions:{x:{formatConj:{type:"f",args:["children","conj","not","isForDisplay"]},sqlFormatConj:{type:"f",args:["children","conj","not"]},spelFormatConj:{type:"f",args:["children","conj","not","omitBrackets"]}}},operators:{x:fh},types:{x:{widgets:{x:hh}}},funcs:{x:lh(lh(lh({},{renderBrackets:{type:"r",isArr:!0},renderSeps:{type:"r",isArr:!0},jsonLogic:{type:"f",ignore:"string",args:["formattedArgs"]},jsonLogicImport:{type:"f",args:["val"]},spelImport:{type:"f",args:["spel"]},formatFunc:{type:"f",args:["formattedArgs","isForDisplay"]},sqlFormatFunc:{type:"f",args:["formattedArgs"]},mongoFormatFunc:{type:"f",args:["formattedArgs"]},spelFormatFunc:{type:"f",args:["formattedArgs"]}}),dh),{},{fieldSettings:dh,args:{x:lh(lh({},dh),{},{fieldSettings:dh})}})},settings:{locale:{mui:{type:"f",args:[],invokeWith:[],ignore:"jl"}},canCompareFieldWithField:{type:"f",args:["leftField","leftFieldConfig","rightField","rightFieldConfig","op"]},formatReverse:{type:"f",args:["q","op","reversedOp","operatorDefinition","revOperatorDefinition","isForDisplay"]},sqlFormatReverse:{type:"f",args:["q"]},spelFormatReverse:{type:"f",args:["q"]},formatField:{type:"f",args:["field","parts","label2","fieldDefinition","config","isForDisplay"]},formatSpelField:{type:"f",args:["field","parentField","parts","partsExt","fieldDefinition","config"]},formatAggr:{type:"f",args:["whereStr","aggrField","operator","value","valueSrc","valueType","opDef","operatorOptions","isForDisplay","aggrFieldDef"]},normalizeListValues:{type:"f",args:["listValues","type","fieldSettings"]},renderConfirm:{type:"f",args:["props"]},useConfirm:{type:"f",args:[]},renderField:{type:"rf"},renderOperator:{type:"rf"},renderFunc:{type:"rf"},renderConjs:{type:"rf"},renderButton:{type:"rf"},renderIcon:{type:"rf"},renderButtonGroup:{type:"rf"},renderValueSources:{type:"rf"},renderFieldSources:{type:"rf"},renderProvider:{type:"rf"},renderSwitch:{type:"rf"},renderSwitchPrefix:{type:"r"},renderItem:{type:"rf"},renderBeforeWidget:{type:"rf"},renderAfterWidget:{type:"rf"},renderBeforeActions:{type:"rf"},renderAfterActions:{type:"rf"},renderRuleError:{type:"rf"}}},vh=function(e){return"object"==Ln(e)&&null!==e&&!Array.isArray(e)},yh=function(e,t){if(e.__fieldNames)throw new Error("Don't apply `compressConfig()` to extended config");var r=Ks()(e,ch);delete r.ctx;for(var n=function e(t,r,n,o){if(vh(t)){if(Cs(t)&&(t=Is(t)),"funcs"===n[0]&&!r){var i=n[n.length-1];(r=Mh({funcs:o.BasicFuncs},i,"funcs","subfields")||void 0)&&(t.$$key=i)}if(void 0!==r&&vh(r))for(var a in r)Object.prototype.hasOwnProperty.call(r,a)&&(!Object.keys(t).includes(a)||void 0===t[a]&&void 0!==r[a]?t[a]="$$deleted":(t[a]=e(t[a],r[a],[].concat(Gn(n),[a]),o),void 0===t[a]&&delete t[a]));for(var l in t)if(Object.prototype.hasOwnProperty.call(t,l)){var s;r&&Object.keys(r).includes(l)||(t[l]=e(t[l],null===(s=r)||void 0===s?void 0:s[l],[].concat(Gn(n),[l]),o)),void 0===t[l]&&delete t[l]}0===Object.keys(t).length&&(t=void 0)}else Array.isArray(t)&&t.forEach((function(r,i){t[i]=e(t[i],void 0,[].concat(Gn(n),[i]),o)}));if(void 0===r||!Ss(t,r,!0)){if("function"==typeof t)throw new Error("compressConfig: function at ".concat(n.join(".")," should be converted to JsonLogic"));return t}},o=0,i=ch;o<i.length;o++){var a=i[o];if("ctx"===a);else if("fields"===a)r[a]=Jf()(r[a]),n(r[a],{},[a]);else if("funcs"===a)for(var l in r[a]=Jf()(r[a]||{}),r[a])n(r[a][l],null,[a,l],{BasicFuncs:g});else r[a]=Jf()(r[a]),n(r[a],t[a],[a])}return r},mh=function(e,t,r){if(!e.settings.useConfigCompress)throw new Error("Please enable `useConfigCompress` in config settings to use decompressConfig()");for(var n={},o=function e(t,r,n){if(vh(r))for(var o in vh(t)||(t={}),r)Object.prototype.hasOwnProperty.call(r,o)&&("$$deleted"===r[o]?delete t[o]:t[o]=e(t[o],r[o],[].concat(Gn(n),[o])));else t=Array.isArray(r)?Jf()(r):r;return t},i=function e(t,r,n){var i=!1;if(vh(t)&&Object.prototype.hasOwnProperty.call(t,"$$key")&&t.$$key){var a=Mh({funcs:n.BasicFuncs},t.$$key,"funcs","subfields");if(!a)throw new Error("decompressConfig: basic function not found by key ".concat(t.$$key," at ").concat(r.join(".")));delete t.$$key,t=o(Jf()(a),t,r),i=!0}if(!i)if(vh(t))for(var l in t)Object.prototype.hasOwnProperty.call(t,l)&&(t[l]=e(t[l],[].concat(Gn(r),[l]),n));else if(Array.isArray(t)){var s,u=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return ih(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?ih(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(t);try{for(u.s();!(s=u.n()).done;){var c=s.value;t[c]=e(t[c],[].concat(Gn(r),[c]),n)}}catch(e){u.e(e)}finally{u.f()}}return t},a=0,l=ch;a<l.length;a++){var s=l[a];"ctx"===s?n[s]=qs()({},t.ctx||{},r||{}):"funcs"===s?(n[s]=Jf()(e[s]||{}),i(n[s],[s],{BasicFuncs:g})):"fields"===s?n[s]=Jf()(e[s]||{}):(n[s]=Jf()(t[s]||{}),o(n[s],e[s]||{},[s]))}return n},bh=function(e){return e.__compliled||(Eh(e=Jf()(e),e,{ctx:e.ctx},gh,[]),Object.defineProperty(e,"__compliled",{enumerable:!1,writable:!1,value:!0})),e};function Eh(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:[];if(t)for(var a in i.length,n){var l=n[a],s="x"===a?i:[].concat(Gn(i),[a]);if("r"===l.type){var u=t,c=u[a];if(l.isArr)for(var d in c){var p=Th(c[d],r,[].concat(Gn(s),[d]));p!==c[d]&&(o.push("Compiled ".concat(s.join("."),"[").concat(d,"]")),c[d]=p)}else{var f=Th(c,r,s,void 0);f!==c&&(o.push("Compiled R ".concat(s.join("."))),u[a]=f)}}else if("rf"===l.type){var h=t,g=h[a],v=Oh(g,r,s,l.ignore);v!==g&&(o.push("Compiled JL-RF ".concat(s.join("."))),h[a]=v)}else if("f"===l.type){var y,m=t,b=m[a],E=Sh(b,r,s,l.args,l.ignore);l.invokeWith&&E&&"function"==typeof E&&(E=(y=E).call.apply(y,[null].concat(Gn(l.invokeWith)))),E!==b&&(o.push("Compiled JL-F ".concat(s.join("."))),m[a]=E)}else if("x"===a)for(var O in t){s=[].concat(Gn(i),[O]);var S=t[O];Eh(e,S,r,l,o,s),S.subfields&&Eh(e,S.subfields,r,n,o,s)}else Eh(e,t[a],r,l,o,s)}}function Oh(e,t,r){return Ls(e)?function(n,o){o=o||(null==t?void 0:t.ctx);var i=sh(e,{props:n,ctx:o},r);return"string"==typeof i&&(i={type:i,props:n}),Th(i,{ctx:o},r)}:"string"==typeof e?function(n,o){o=o||(null==t?void 0:t.ctx);var i=e.split(".").reduce((function(e,t){return null==e?void 0:e[t]}),o);return i?uh(this,i,[n,o],r):Th({type:e,props:n},{ctx:o},r)}:e}function Sh(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:void 0;return Ls(e)&&"jl"!==o?function(){for(var o=arguments.length,i=new Array(o),a=0;a<o;a++)i[a]=arguments[a];var l=this||(null==t?void 0:t.ctx),s=(n||[]).reduce((function(e,t,r){return lh(lh({},e),{},Vn({},t,i[r]))}),{args:i,ctx:l});return sh(e,s,r)}.bind(null==t?void 0:t.ctx):"string"==typeof e&&"string"!==o?function(){var n=this||(null==t?void 0:t.ctx),o=e.split(".").reduce((function(e,t){return null==e?void 0:e[t]}),n);if(o){for(var i=arguments.length,a=new Array(i),l=0;l<i;l++)a[l]=arguments[l];return uh(this,o,a,r)}throw new Error("".concat(r.join(".")," :: Function ").concat(e," is not found in ctx"))}.bind(null==t?void 0:t.ctx):e}function Th(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:void 0;if(Ns(e)){var o,i=e.type,a=e.props;if("string"!=typeof i)throw new Error("renderReactElement for ".concat(r.join("."),": type should be string"));var l,s=function(e,t){var r;return(null==t||null===(r=t.components)||void 0===r?void 0:r[e])||t.W[e]||t.O[e]}(i,t.ctx)||i.toLowerCase();return void 0!==n&&(a=lh(lh({},a),{},{key:n})),null!==(o=a)&&void 0!==o&&o.children&&(l=Th(a.children,t,r),a=lh(lh({},a),{},{children:l})),t.ctx.RCE(s,a)}return e instanceof Array?e.map((function(e,n){return Th(e,t,r,""+n)})):e}var _h={formatField:function(e,t,r,n,o,i){return i?r:e},fieldSources:["field"],keepInputOnChangeFieldSrc:!0,fieldItemKeysForSearch:["label","path","altLabel","grouplabel"],listKeysForSearch:["title","value"],valueSourcesInfo:{value:{}},fieldSeparator:".",fieldSeparatorDisplay:".",canReorder:!0,canRegroup:!0,canDeleteLocked:!1,canLeaveEmptyGroup:!0,shouldCreateEmptyGroup:!1,canShortMongoQuery:!0,removeEmptyGroupsOnLoad:!0,removeEmptyRulesOnLoad:!0,removeIncompleteRulesOnLoad:!1,removeInvalidMultiSelectValuesOnLoad:!0,optimizeRenderWithInternals:!1,showErrorMessage:!1,setOpOnChangeField:["keep","default"],groupOperators:["some","all","none"],defaultGroupConjunction:"AND",locale:{moment:"en"},valueLabel:"Value",valuePlaceholder:"Value",fieldLabel:"Field",operatorLabel:"Operator",funcLabel:"Function",fieldPlaceholder:"Select field",funcPlaceholder:"Select function",operatorPlaceholder:"Select operator",lockLabel:"Lock",lockedLabel:"Locked",deleteLabel:"Delete",addGroupLabel:"Add group",addCaseLabel:"Add condition",addDefaultCaseLabel:"Add default condition",defaultCaseLabel:"Default:",addRuleLabel:"Add rule",addSubRuleLabel:"Add sub rule",delGroupLabel:"Delete",notLabel:"Not",fieldSourcesPopupTitle:"Select source",valueSourcesPopupTitle:"Select value source",removeRuleConfirmOptions:null,removeGroupConfirmOptions:null};function wh(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Rh(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Rh(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Rh(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var Ah=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2];if(e.__configId)return e;(e=r&&e.settings.useConfigCompress?e.__compliled?Jf()(e):bh(e):Jf()(e)).settings=zs()({},_h,e.settings,As),e.__fieldsCntByType={},e.__funcsCntByType={},e.__fieldNames={},function(e,t){for(var r in e)Ih(0,e[r],t)}(e.types,e),Ch(e.fields,e),Nh(e.funcs,e);var n=e.settings.locale.moment;return n&&Cu().locale(n),Object.defineProperty(e,"__configId",{enumerable:!1,writable:!1,value:t||vs()}),ks(e),e};function Ih(e,t,r){var n=null,o=null;for(var i in t.mainWidget=t.mainWidget||Object.keys(t.widgets).filter((function(e){return"field"!=e&&"func"!=e}))[0],t.widgets){var a=t.widgets[i];if(a.operators){var l=a.operators;t.excludeOperators&&(l=l.filter((function(e){return!t.excludeOperators.includes(e)}))),n=xs(n,l)}a.defaultOperator&&(o=a.defaultOperator),i==t.mainWidget&&(a=qs()({},{widgetProps:t.mainWidgetProps||{}},a)),t.widgets[i]=a}t.valueSources||(t.valueSources=Object.keys(r.settings.valueSourcesInfo));var s,u=wh(t.valueSources);try{for(u.s();!(s=u.n()).done;){var c=s.value;"value"==c||t.widgets[c]||(t.widgets[c]={})}}catch(e){u.e(e)}finally{u.f()}!t.operators&&n&&(t.operators=Array.from(new Set(n))),!t.defaultOperator&&o&&(t.defaultOperator=o)}function Ch(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[];for(var n in e)Lh(e[n],t,[].concat(Gn(r),[n])),e[n].subfields&&Ch(e[n].subfields,t,[].concat(Gn(r),[n]))}function Nh(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[];if(e){var o=(null==t||null===(r=t.settings)||void 0===r?void 0:r.fieldSeparator)||".";for(var i in e){var a=[].concat(Gn(n),[i]).join(o),l=e[i];if(l.returnType&&(t.__funcsCntByType[l.returnType]||(t.__funcsCntByType[l.returnType]=0),t.__funcsCntByType[l.returnType]++),Lh(l,t,null,!1),l.args){for(var s in l.args)Lh(l.args[s],t,null,!0);var u,c=!0,d=wh(Object.keys(l.args).reverse());try{for(d.s();!(u=d.n()).done;){var p=u.value,f=l.args[p];!c&&f.isOptional&&(Ms.info("Arg ".concat(p," for func ").concat(a," can't be optional")),delete f.isOptional),f.isOptional||(c=!1)}}catch(e){d.e(e)}finally{d.f()}}l.subfields&&Nh(l.subfields,t,[].concat(Gn(n),[i]))}}}function Lh(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=arguments.length>3&&void 0!==arguments[3]&&arguments[3],o=null,i=null,a=t.types[e.type||e.returnType],l=!!e.returnType,s=e.excludeOperators||[];if("!struct"!=e.type&&"!group"!=e.type){e.fieldSettings||(e.fieldSettings={});for(var u=0,c=["listValues","treeValues","allowCustomValues","validateValue"];u<c.length;u++){var d=c[u];e[d]&&(e.fieldSettings[d]=e[d],delete e[d])}if(e.fieldSettings.listValues&&t.settings.normalizeListValues&&(e.fieldSettings.listValues=t.settings.normalizeListValues.call(t.ctx,e.fieldSettings.listValues,e.type,e.fieldSettings)),e.fieldSettings.treeValues&&t.settings.normalizeListValues&&(e.fieldSettings.treeValues=t.settings.normalizeListValues.call(t.ctx,e.fieldSettings.treeValues,e.type,e.fieldSettings)),!a)return void(e.disabled=!0);if(n||l||(t.__fieldsCntByType[e.type]||(t.__fieldsCntByType[e.type]=0),t.__fieldsCntByType[e.type]++),n&&(e._isFuncArg=!0),!l){e.mainWidget=e.mainWidget||a.mainWidget,e.valueSources=e.valueSources||a.valueSources;var p=a.excludeOperators||[];e.widgets||(e.widgets={});var f=function(){var t=e.widgets[h]||{},r=a.widgets[h]||{};if(!n){var l=[].concat(Gn(s),Gn(p)),u=e.preferWidgets&&("field"==h||e.preferWidgets.includes(h))||l.length>0;if(t.operators){var c=t.operators.filter((function(e){return!l.includes(e)}));o=[].concat(Gn(o||[]),Gn(c))}else if(u&&r.operators){var d=r.operators.filter((function(e){return!l.includes(e)}));o=[].concat(Gn(o||[]),Gn(d))}t.defaultOperator&&(i=t.defaultOperator)}h==e.mainWidget&&(t=qs()({},{widgetProps:e.mainWidgetProps||{}},t)),e.widgets[h]=t};for(var h in a.widgets)f()}n||(!e.operators&&o&&(e.operators=Array.from(new Set(o))),e._origDefaultOperator=e.defaultOperator,!e.defaultOperator&&i&&(e.defaultOperator=i))}var g=function(e,t){if(!t)return{};var r=e.settings.fieldSeparator,n=Gn(t).reduce((function(t,n,o,i){var a=t.computedPath,l=t.computed,s=t.inGroup,u=[].concat(Gn(i.slice(0,o)),[n]),c=Mh(e,u);return"!group"===(null==c?void 0:c.type)&&o<i.length-1?(s=u.join(r),a=[]):null!=c&&c.fieldName?(l=!0,a=[c.fieldName]):a=[].concat(Gn(a),[n]),{computedPath:a,computed:l,inGroup:s}}),{computedPath:[],computed:!1,inGroup:void 0}),o=n.computedPath,i=n.computed,a=n.inGroup;return i?{fieldName:o.join(r),inGroup:a}:{}}(t,r),v=g.fieldName,y=g.inGroup;v&&(e.fieldName=v,t.__fieldNames[v]||(t.__fieldNames[v]=[]),t.__fieldNames[v].push({fullPath:r,inGroup:y}))}var Ph=Us().mark(Fh),xh=Us().mark(Dh),kh=ms;function Fh(e){return Us().wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return t.delegateYield(jh(e,e.funcs||{},[]),"t0",1);case 1:case"end":return t.stop()}}),Ph)}function Dh(e){return Us().wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return t.delegateYield(jh(e,e.fields||{},[]),"t0",1);case 1:case"end":return t.stop()}}),xh)}function jh(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"subfields";return Us().mark((function o(i){var a,l,s;return Us().wrap((function(o){for(;;)switch(o.prev=o.next){case 0:a=(null==e||null===(i=e.settings)||void 0===i?void 0:i.fieldSeparator)||".",o.t0=Us().keys(t);case 2:if((o.t1=o.t0()).done){o.next=13;break}if(l=o.t1.value,!(s=t[l])[n]){o.next=9;break}return o.delegateYield(jh(e,s[n],[].concat(Gn(r),[l]),n),"t2",7);case 7:o.next=11;break;case 9:return o.next=11,[[].concat(Gn(r),[l]).join(a),s];case 11:o.next=2;break;case 13:case"end":return o.stop()}}),o)}))()}var Mh=function(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"fields",o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"subfields";if(!t)return null;if("!case_value"==t)return{type:"case_value",mainWidget:"case_value",widgets:{case_value:e.widgets.case_value}};var i=(null==e||null===(r=e.settings)||void 0===r?void 0:r.fieldSeparator)||".",a=Wh(t,e),l=e[n];if(!l)return null;for(var s=l,u=null,c=[],d=0;d<a.length;d++){var p=a[d];c.push(p),u=s[c.join(i)],d<a.length-1&&(u&&u[o]?(s=u[o],c=[]):u=null)}return u},Vh=function(e,t){var r,n,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,i=e.settings.fieldSeparator,a=[o].concat(Gn(t.split(i))).filter((function(e){return null!=e})),l=t;return((null===(r=e.__fieldNames[l])||void 0===r||null===(n=r.find)||void 0===n||null===(n=n.call(r,(function(e){var t=e.inGroup;return!t||(null==o?void 0:o.startsWith(t))})))||void 0===n?void 0:n.fullPath)||a).join(i)},Uh=function(e,t){if(!t)return null;var r=Mh(e,t,"funcs","subfields");if(!r)return null;var n=r.returnType,o=r.args;return{returnType:n,args:Object.fromEntries(Object.entries(o||{}).map((function(e){var t=zn(e,2),r=t[0],n=t[1];return[r,Ks()(n,["type","valueSources","defaultValue","fieldSettings","isOptional"])]})))}},Bh=function(e,t){if(!t)return null;var r=Mh(e,t,"funcs","subfields");if(!r)return null;var n=e.types[r.returnType]||{},o=zs()({},n,r,As);return o.type=r.returnType||r.type,o},qh=function(e,t,r){var n=Bh(e,t);if(!n)return null;var o=n.args&&n.args[r]||null;if(!o)return null;var i=e.types[o.type]||{};return zs()({},i,o||{},As)},Gh=function(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!t)return!1;var o=(null==n||null===(r=n.settings)||void 0===r?void 0:r.fieldSeparator)||".",i=Kh(e,n),a=Kh(t,n);return i.startsWith(a+o)},Kh=function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if("string"==typeof e)return e;var n=(null==r||null===(t=r.settings)||void 0===t?void 0:t.fieldSeparator)||".";return Wh(e,r).join(n)},Wh=function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(!e)return[];if(Array.isArray(e))return e;var i,a=(null==o||null===(t=o.settings)||void 0===t?void 0:t.fieldSeparator)||".";return null!=e&&e.func?Array.isArray(e.func)?e.func:e.func.split(a):null!=e&&null!==(r=e.get)&&void 0!==r&&r.call(e,"func")?null==e||null===(i=e.get)||void 0===i?void 0:i.call(e,"func").split(a):(null==e||null===(n=e.split)||void 0===n?void 0:n.call(e,a))||[]},zh=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(!e)return null;var n=t.settings.fieldSeparator,o=Wh(e,t);return r?o:o.map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return e.join(n)}))},Hh=function(e){var t;if(!e)return null;if("object"==Ln(e)){if(!e.func&&e.type)return"field";if(e.func)return e.func&&e.arg?null:"func"}return null!=e&&null!==(t=e.get)&&void 0!==t&&t.call(e,"func")?null!=e&&e.get("arg")?null:"func":"field"},$h=function(e,t){var r;if(!t)return null;if("object"==Ln(t)){if(!t.func&&t.type)return t;if(t.func)return t.func&&t.arg?qh(e,t.func,t.arg):Bh(e,t.func)}if(null!=t&&null!==(r=t.get)&&void 0!==r&&r.call(t,"func"))return null!=t&&t.get("arg")?qh(e,t.get("func"),t.get("arg")):Bh(e,t.get("func"));var n=Mh(e,t);if(!n)return null;var o=e.types[n.type]||{};return zs()({},o,n||{},As)},Yh=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!t)return null;var n=e.operators[t];if(r){var o=$h(e,r),i=Vf(e,r,t,null),a=e.widgets[i]||{},l=(o&&o.widgets?o.widgets[i]:{})||{},s=(a.opProps||{})[t],u=(l.opProps||{})[t];return qs()({},n,s,u)}return n},Qh=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!t)return null;if(!r&&!n&&"const"!==o&&"!case_value"!==t)return null;var i=$h(e,t);n||(n=Vf(e,t,r,o));var a=e.widgets[n]||{},l=((i&&i.widgets?i.widgets[n]:{})||{}).widgetProps||{},s=("value"===o||!o)&&(null==i?void 0:i.fieldSettings)||{};return qs()({},a,l,s)},Xh=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=e.settings.fieldSeparator,n=Wh(t,e),o=t?Mh(e,t):e,i=null,a=[];do{var l,s=o===e?e.fields:null===(l=o)||void 0===l?void 0:l.subfields;if(!s||!Object.keys(s).length){o=i=null;break}i=Object.keys(s)[0],a.push(i),o=s[i]}while("!struct"==o.type||"!group"==o.type);return(n||[]).concat(a).join(r)};function Jh(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Zh(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Jh(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Jh(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var eg=function(e,t){var r={usedFields:[]},n=tg(e,t,r);if(n)return Zh(Zh({},n),r)},tg=function(e,t,r){if(e){var n=e.get("type"),o=e.get("children1");return("group"===n||"rule_group"===n)&&o&&o.size?rg(e,t,r):"rule"===n?ng(e,t,r):void 0}},rg=function(e,t,r){var n=e.get("properties")||new wa,o=e.get("children1"),i=e.get("id"),a=o.map((function(e){return tg(e,t,r)})).filter((function(e){return void 0!==e}));if(a.size){var l=n.get("conjunction");l||(l=id(t));var s=n.get("not");return{id:i,rules:a.toList(),condition:l.toUpperCase(),not:s}}},ng=function(e,t,r){var n,o=e.get("properties")||new wa,i=e.get("id"),a=o.get("operator"),l=o.get("operatorOptions"),s=o.get("field"),u=o.get("value"),c=o.get("valueSrc"),d=o.get("valueType"),p=u.filter((function(e){return void 0===e})).size>0;if(null!=s&&null!=a&&!p){var f=$h(t,s)||{},h=Yh(t,a,s)||{},g=f.type||"undefined",v=Es(h),y=t.types[f.type]||{},m=Uf(s,t,r);if(!(u.size<v)){-1==r.usedFields.indexOf(s)&&r.usedFields.push(s),u=u.toArray(),c=c.toArray(),d=(null===(n=d)||void 0===n?void 0:n.toArray())||[];for(var b=[],E=0;E<u.length;E++){var O={type:d[E],value:u[E]};if(b.push(O),"field"==c[E]){var S=u[E];-1==r.usedFields.indexOf(S)&&r.usedFields.push(S)}}var T=l?l.toJS():null;T&&!Object.keys(T).length&&(T=null);var _={id:i,fieldName:m,type:g,input:y.mainWidget,operator:a};return T&&(_.operatorOptions=T),_.values=b,_}}};function og(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ig(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?og(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):og(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function ag(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return lg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?lg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function lg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var sg=function(e,t){var r,n={usedFields:[],errors:[]},o=Ah(t,void 0,!1),i=ug(e,o,n,!0),a=n.errors,l=n.usedFields,s=(o.settings.fieldSeparator,{}),u=ag(l);try{for(u.s();!(r=u.n()).done;)for(var c=r.value,d=Wh(c,t),p=($h(o,c),s),f=0;f<d.length;f++){var h=d[f],g=$h(o,d.slice(0,f+1))||{};f!=d.length-1?"!group"==g.type&&"struct"!=g.mode?(p[h]||(p[h]=[{}]),p=p[h][0]):(p[h]||(p[h]={}),p=p[h]):p[h]||(p[h]=null)}}catch(e){u.e(e)}finally{u.f()}return{errors:a,logic:i,data:s}},ug=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(e){var i,a=e.get("type"),l=(e.get("properties")||new wa).get("isLocked"),s=t.settings.jsonLogic.lockedOp;return"group"===a||"rule_group"===a?i=cg(e,t,r,n,o):"rule"===a&&(i=dg(e,t,r,o)),l&&i&&s&&(i=Vn({},s,i)),i}},cg=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,i=e.get("type"),a=e.get("properties")||new wa,l=a.get("mode"),s=e.get("children1")||new Ya,u=a.get("field"),c=a.get("conjunction");c||(c=id(t));var d=t.conjunctions[c].jsonLogicConj||c.toLowerCase(),p=a.get("not"),f="rule_group"===i&&!n,h=f&&"struct"!=l?u:o,g=a.get("operator"),v=g&&Yh(t,g,u)||null,y=pg(t,a,r,g,o),m=f&&(!g||0==v.cardinality),b=s.map((function(e){return ug(e,t,r,!1,h)})).filter((function(e){return void 0!==e}));if(f&&"struct"!=l&&!m){if(null==y)return}else if(!b.size)return;var E={};if(1!=b.size||n?E[d]=b.toList().toJS():E=b.first(),p&&(E={"!":E}),f&&"struct"!=l){var O=gg(r,t,u,o);if(m)E=Vn({},g||"some",[O,E]);else{var S=b.size?{filter:[O,E]}:O;E=vg(t,a,{reduce:[S,{"+":[1,{var:"accumulator"}]},0]},y,g)}}return E},dg=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("properties")||new wa,i=o.get("field"),a=o.get("fieldSrc"),l=o.get("operator"),s=o.get("operatorOptions");if((s=s?s.toJS():null)&&!Object.keys(s).length&&(s=null),null!=i&&null!=l){var u=$h(t,i)||{},c=Yh(t,l,i)||{},d=c.reversedOp,p=Yh(t,d,i)||{},f=!1;if(c.jsonLogic||p.jsonLogic){if(!c.jsonLogic&&p.jsonLogic){f=!0;var h=[d,l];l=h[0],d=h[1];var g=[p,c];c=g[0],p=g[1]}var v=pg(t,o,r,l,n);if(void 0!==v){var y="func"===a?hg(r,t,i,n):gg(r,t,i,n);if(void 0!==y)return vg(t,o,y,v,l,s,u,f)}}else r.errors.push("Operator ".concat(l," is not supported"))}},pg=function(e,t,r,n,o){var i=t.get("field"),a=t.get("valueSrc"),l=t.get("valueType"),s=$h(e,i)||{},u=Yh(e,n,i)||{},c=Es(u),d=t.get("value"),p=t.get("asyncListValues");if(null!=d){var f=[],h=[],g=r.usedFields,v=d.map((function(t,c){var d=a?a.get(c):null,g=l?l.get(c):null,v=Qf(t,d,e),y=Vf(e,i,n,d),m=hs()(Qh(e,i,n,y,d),["factory"]),b=fg(r,e,v,d,g,m,s,n,u,o,p);return void 0!==b&&(f.push(d),h.push(g)),b})),y=v.filter((function(e){return void 0===e})).size>0;if(!(v.size<c||y))return c>1?v.toArray():1==c?v.first():null;r.usedFields=g}},fg=function(e,t,r,n,o,i,a,l,s){var u=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,c=arguments.length>10?arguments[10]:void 0;if(void 0!==r){var d;if("field"==n)d=gg(e,t,r,u);else if("func"==n)d=hg(e,t,r,u);else if("function"==typeof i.jsonLogic){var p=i.jsonLogic,f=[r,ig(ig({},Ks()(a,["fieldSettings","listValues"])),{},{asyncListValues:c}),hs()(i,ms)];l&&(f.push(l),f.push(s)),d=p.call.apply(p,[t.ctx].concat(f))}else d=r;return d}},hg=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),l=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),s=Bh(t,a),u=Wh(a,t),c=u[u.length-1];if(s)if(null!=s&&s.jsonLogic){var d={},p=[],f=[];for(var h in s.args){var g,v=s.args[h],y=$h(t,v),m=v.defaultValue,b=v.isOptional,E=null!=m&&m.func?"func":"value",O=l?l.get(h):void 0,S=O?O.get("value"):void 0,T=O?O.get("valueSrc"):void 0;"func"!==T&&null!==(g=S)&&void 0!==g&&g.toJS&&(S=S.toJS());var _=null,w=Vf(t,v,_,T),R=hs()(Qh(t,v,_,w,T),["factory"]),A=fg(e,t,S,T,v.type,R,y,null,null,i);if(null!=S&&void 0===A)return void("func"!=T&&e.errors.push("Can't format value of arg ".concat(h," for func ").concat(a)));var I=void 0;if(void 0===A&&!b&&null!=m){var C=Vf(t,v,_,E),N=hs()(Qh(t,v,_,C,E),["factory"]);if(void 0===(I=fg(e,t,m,E,v.type,N,y,null,null,i)))return void("func"!=E&&e.errors.push("Can't format default value of arg ".concat(h," for func ").concat(a)))}var L=null!=A?A:I;if(void 0!==L){if(p.length){var P,x=ag(p);try{for(x.s();!(P=x.n()).done;)d[P.value]=void 0}catch(e){x.e(e)}finally{x.f()}p=[]}d[h]=L}else b||f.push(h),p.push(h)}if(!f.length){var k,F=Object.values(d);if("function"==typeof s.jsonLogic){var D=s.jsonLogic,j=[d];k=D.call.apply(D,[t.ctx].concat(j))}else{var M=s.jsonLogic||c;if(s.jsonLogicIsMethod){var V=F[0],U=F.slice(1);k=U.length?{method:[V,M,U]}:{method:[V,M]}}else k=Vn({},M,F)}return k}}else e.errors.push("Func ".concat(a," is not supported"));else e.errors.push("Func ".concat(a," is not defined in config"))},gg=function(e,t,r){var n,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=t.settings,a=i.fieldSeparator,l=i.jsonLogic;if(r){Array.isArray(r)&&(r=r.join(a));var s=$h(t,r)||{},u=Uf(r,t,e,o);n=Vn({},s.jsonLogicVar||("!group"==s.type?l.groupVarKey:"var"),u),-1==e.usedFields.indexOf(r)&&e.usedFields.push(r)}return n},vg=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,l=arguments.length>7&&void 0!==arguments[7]&&arguments[7],s=t.get("field"),u=Yh(e,o,s)||{},c="function"==typeof u.jsonLogic?u.jsonLogic:function(e,t,r,n){var o,i=e,a=Es(t),l=null!==(o=t._jsonLogicIsRevArgs)&&void 0!==o&&o;"string"==typeof t.jsonLogic&&(i=t.jsonLogic);var s=["<","<=",">",">="],u=["==","!="];return function(e,t,o,c,d){return 0==a&&u.includes(i)?Vn({},i,[r,null]):0==a?Vn({},i,r):1==a&&l?Vn({},i,[n,r]):1==a?Vn({},i,[r,n]):2==a&&s.includes(i)?Vn({},i,[n[0],r,n[1]]):Vn({},i,[r].concat(Gn(n)))}}(o,u,r,n),d=[r,o,n,hs()(u,bs),i,a],p=c.call.apply(c,[e.ctx].concat(d));return l&&(p={"!":p}),p};function yg(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return mg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?mg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function mg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function bg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Eg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?bg(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):bg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Og=function(e){return"object"==Ln(e)&&null!==e&&!Array.isArray(e)},Sg=function(e,t){return Tg(e,t,!1)},Tg=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=Ah(t,void 0,!1),i=_g([],e,o,n);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to MongoDb:",n.errors),i)},_g=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=!(arguments.length>5&&void 0!==arguments[5])||arguments[5],a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:void 0,l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:void 0;if(t){var s=t.get("type");return"group"===s||"rule_group"===s?wg(e,t,r,n,o,i,a,l):"rule"===s?Rg(e,t,r,n,o,i,a,l):void 0}},wg=function(e,t,r,n){var o,i,a=arguments.length>4&&void 0!==arguments[4]&&arguments[4],l=t.get("type"),s=t.get("properties")||new wa,u=t.get("children1")||new Ya,c=r.settings,d=c.canShortMongoQuery,p=c.fieldSeparator,f=e.filter((function(e){return"rule_group"==e.get("type")})).length>0,h=e.filter((function(e){return"rule_group"==e.get("type")})).map((function(e){return e.get("properties").get("field")})).slice(-1).pop(),g=f&&h,v="rule_group"===l?s.get("field"):null,y="rule_group"===l?s.get("operator"):null,m=y?null!==(o=null===(i=r.operators[y])||void 0===i?void 0:i.cardinality)&&void 0!==o?o:1:void 0,b=Uf(v,r,n,g),E=($h(r,v)||{}).mode,O=v&&"array"===E&&m>=1,S=a?!s.get("not"):s.get("not"),T=u.map((function(o){return _g([].concat(Gn(e),[t]),o,r,n,S,"array"!=E,"array"==E?function(e){return"$$el".concat(p).concat(e)}:void 0)})).filter((function(e){return void 0!==e}));if(O||T.size){var _=s.get("conjunction");_||(_=id(r));var w=r.conjunctions[_],R=w.reversedConj;if(S&&R&&(_=R,w=r.conjunctions[_]),w){var A,I=w.mongoConj;if(1==T.size)A=T.first();else if(T.size>1){var C=T.toList().toJS();d&&"$and"==I&&(A=C.reduce((function(e,t){if(e){for(var r in t){if("$"==r[0]){e=void 0;break}if(null==e[r])e[r]=t[r];else{var n=e[r],o=t[r];if(Og(n)||(n={$eq:n}),Og(o)||(o={$eq:o}),Object.keys(n)[0]==Object.keys(o)[0]){e=void 0;break}e[r]=Object.assign({},n,o)}}return e}}),{})),A||(A=Vn({},I,C))}if(v)if("array"==E){var N={$size:{$ifNull:["$"+b,[]]}},L=A?{$size:{$ifNull:[{$filter:{input:"$"+b,as:"el",cond:A}},[]]}}:N;A={$expr:A=_g(e,t.set("type","rule"),r,n,!1,!1,(function(e){return L}),N)}}else A=Vn({},b,{$elemMatch:A});return A}}},Rg=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=!(arguments.length>5&&void 0!==arguments[5])||arguments[5],a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:void 0,l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:void 0,s=t.get("properties")||new wa,u=e.filter((function(e){return"rule_group"==e.get("type")})).length>0,c=e.filter((function(e){return"rule_group"==e.get("type")})).map((function(e){return e.get("properties").get("field")})).slice(-1).pop(),d=u&&c,p=s.get("operator"),f=s.get("operatorOptions"),h=s.get("field"),g=s.get("fieldSrc"),v=s.get("value"),y=s.get("valueSrc"),m=s.get("valueType"),b=s.get("asyncListValues");if(null!=h&&null!=p&&void 0!==v){var E,O=$h(r,h)||{},S=Yh(r,p,h)||{},T=S.reversedOp,_=Yh(r,T,h)||{},w=Es(S),R=o;if(R&&T){var A=[T,p];p=A[0],T=A[1];var I=[_,S];S=I[0],_=I[1],R=!1}var C=!1;if("func"==g){var N=zn(Cg(n,r,h,d),2);E=N[0],C=N[1]}else E=Uf(h,r,n,d),a&&(C=!0,E=a(E));if(null!=E){var L,P=[],x=[];if(null!=v){var k=v.map((function(e,t){var o=y?y.get(t):null,i=m?m.get(t):null,a=Qf(e,o,r),l=Vf(r,h,p,o),s=hs()(Qh(r,h,p,l,o),["factory"]),u=zn(Ag(n,r,a,o,i,s,O,d,p,S,b),2),c=u[0],f=u[1];return void 0!==c&&(C=C||f,P.push(o),x.push(i)),c})),F=k.filter((function(e){return void 0===e})).size>0;if(k.size<w||F)return;L=w>1?k.toArray():1==w?k.first():null}var D=C&&i,j=S.mongoFormatOp;if(j){var M=[E,p,void 0!==l&&null==L?l:L,C,P.length>1?P:P[0],x.length>1?x:x[0],hs()(S,bs),f,O],V=j.call.apply(j,[r.ctx].concat(M));return D&&(V={$expr:V}),R&&(V={$not:V}),V}n.errors.push("Operator ".concat(p," is not supported"))}}},Ag=function(e,t,r,n,o,i,a,l,s,u,c){if(void 0===r)return[void 0,!1];var d,p=!1;if("field"==n){var f=zn(Ig(e,t,r,l),2);d=f[0],p=f[1]}else if("func"==n){var h=zn(Cg(e,t,r,l),2);d=h[0],p=h[1]}else if("function"==typeof i.mongoFormatValue){var g=i.mongoFormatValue,v=[r,Eg(Eg({},Ks()(a,["fieldSettings","listValues"])),{},{asyncListValues:c}),hs()(i,ms)];s&&(v.push(s),v.push(u)),d=g.call.apply(g,[t.ctx].concat(v))}else d=r;return[d,p]},Ig=function(e,t,r,n){var o,i=t.settings.fieldSeparator;if(r){var a=$h(t,r)||{},l=Wh(r,t),s=Pf(r,t),u=s?s.join(i):null;o="$"+(0,t.settings.formatField)(Uf(r,t,e,n),l,u,a,t,!1)}return[o,!0]},Cg=function(e,t,r,n){var o,i,a,l=null===(o=r.get)||void 0===o?void 0:o.call(r,"func"),s=null===(i=r.get)||void 0===i?void 0:i.call(r,"args"),u=Bh(t,l);if(!u)return e.errors.push("Func ".concat(l," is not defined in config")),[void 0,!1];var c=Wh(l,t),d=c[c.length-1],p=u.mongoFunc||d,f=u.mongoArgsAsObject,h={},g=0,v=void 0,y=[],m=[];for(var b in u.args){var E;g++;var O=u.args[b],S=$h(t,O),T=O.defaultValue,_=O.isOptional,w=null!=T&&T.func?"func":"value",R=s?s.get(b):void 0,A=R?R.get("value"):void 0,I=R?R.get("valueSrc"):void 0;"func"!==I&&null!==(E=A)&&void 0!==E&&E.toJS&&(A=A.toJS());var C=R?R.get("asyncListValues"):void 0,N=null,L=Vf(t,O,N,I),P=hs()(Qh(t,O,N,L,I),["factory"]),x=zn(Ag(e,t,A,I,O.type,P,S,n,null,null,C),2),k=x[0];if(x[1],null!=A&&void 0===k)return"func"!=I&&e.errors.push("Can't format value of arg ".concat(b," for func ").concat(l)),[void 0,!1];var F=void 0;if(void 0===k&&!_&&null!=T){var D=Vf(t,O,N,w),j=hs()(Qh(t,O,N,D,w),["factory"]),M=zn(Ag(e,t,T,w,O.type,j,S,n,null,null,C),2);if(F=M[0],M[1],void 0===F)return"func"!=w&&e.errors.push("Can't format default value of arg ".concat(b," for func ").concat(l)),[void 0,!1]}var V=null!=k?k:F;if(void 0!==V){if(y.length){var U,B=yg(y);try{for(B.s();!(U=B.n()).done;)h[U.value]=void 0}catch(e){B.e(e)}finally{B.f()}y=[]}h[b]=V,v=V}else _||m.push(b),y.push(b)}if(m.length)return[void 0,!1];if("function"==typeof u.mongoFormatFunc){var q=u.mongoFormatFunc,G=[h];a=q.call.apply(q,[t.ctx].concat(G))}else{if(null===u.mongoFormatFunc)return e.errors.push("Functon ".concat(p," is not supported")),[void 0,!1];a=Vn({},p,f?h:1==g&&void 0!==v?v:Object.values(h))}return[a,!0]};function Ng(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Lg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Lg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Lg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Pg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function xg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Pg(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Pg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var kg=function(e,t){return Fg(e,t,!1)},Fg=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=Ah(t,void 0,!1),i=Dg(e,o,n);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to SQL:",n.errors),i)},Dg=function(e,t,r){if(e){var n=e.get("type");return e.get("children1"),"group"===n||"rule_group"===n?jg(e,t,r):"rule"===n?Mg(e,t,r):void 0}},jg=function(e,t,r){var n=e.get("type"),o=e.get("properties")||new wa,i=e.get("children1")||new Ya,a="rule_group"===n?o.get("field"):null;"array"==($h(t,a)||{}).mode&&r.errors.push("Aggregation is not supported for ".concat(a));var l=o.get("not"),s=i.map((function(e){return Dg(e,t,r)})).filter((function(e){return void 0!==e}));if(s.size){var u=o.get("conjunction");return u||(u=id(t)),t.conjunctions[u].sqlFormatConj(s,u,l)}},Mg=function(e,t,r){var n=e.get("properties")||new wa,o=n.get("field"),i=n.get("fieldSrc"),a=n.get("operator"),l=n.get("operatorOptions"),s=n.get("valueSrc"),u=n.get("valueType"),c=n.get("value"),d=n.get("asyncListValues");if(null!=o&&null!=a){var p=$h(t,o)||{},f=Yh(t,a,o)||{},h=f.reversedOp,g=Yh(t,h,o)||{},v=Es(f),y=!1,m=f.sqlOp||f.sqlFormatOp,b=g.sqlOp||g.sqlFormatOp;if(m||b){if(!m&&b){y=!0;var E=[h,a];a=E[0],h=E[1];var O=[g,f];f=O[0],g=O[1]}var S,T=[],_=[];if(null!=c){var w=c.map((function(e,n){var i=s?s.get(n):null,l=u?u.get(n):null,c=Qf(e,i,t),h=Vf(t,o,a,i),g=hs()(Qh(t,o,a,h,i),["factory"]),v=Vg(r,t,c,i,l,g,p,a,f,d);return void 0!==v&&(T.push(i),_.push(l)),v}));if(w.filter((function(e){return void 0===e})).size>0||w.size<v)return;S=1==v?w.first():w}var R=f.sqlFormatOp||function(e,t){var r,n=t.sqlOp||e,o=Es(t);return 0==o?r=function(e,t,r,o,i,a,l,s){return"".concat(e," ").concat(n)}:1==o?r=function(e,t,r,o,i,a,l,s){return"".concat(e," ").concat(n," ").concat(r)}:2==o&&(r=function(e,t,r,o,i,a,l,s){var u,c,d=null==r||null===(u=r.first)||void 0===u?void 0:u.call(r),p=null==r||null===(c=r.get)||void 0===c?void 0:c.call(r,1);return"".concat(e," ").concat(n," ").concat(d," AND ").concat(p)}),r}(a,f);if(R){var A="func"==i?Bg(r,t,o):Ug(r,t,o);if(null!=A){var I,C=[A,a,S,T.length>1?T:T[0],_.length>1?_:_[0],hs()(f,bs),l,p];if(I=R.call.apply(R,[t.ctx].concat(C)),y&&(I=t.settings.sqlFormatReverse(I)),void 0!==I)return I;r.errors.push("Operator ".concat(a," is not supported for value source ").concat(T.join(", ")))}}else r.errors.push("Operator ".concat(a," is not supported"))}else r.errors.push("Operator ".concat(a," is not supported"))}},Vg=function(e,t,r,n,o,i,a,l,s,u){if(void 0!==r){var c;if("field"==n)c=Ug(e,t,r);else if("func"==n)c=Bg(e,t,r);else if("function"==typeof i.sqlFormatValue){var d=i.sqlFormatValue,p=[r,xg(xg({},Ks()(a,["fieldSettings","listValues"])),{},{asyncListValues:u}),hs()(i,ms)];if(l&&(p.push(l),p.push(s)),"field"==n){var f=$h(t,r)||{};p.push(f)}c=d.call.apply(d,[t.ctx].concat(p))}else c=Array.isArray(r)?r.map((function(e){return $u.escape(e)})):$u.escape(r);return c}},Ug=function(e,t,r){if(r){var n=t.settings.fieldSeparator,o=$h(t,r)||{},i=Wh(r,t),a=Pf(r,t),l=a?a.join(n):null;return(0,t.settings.formatField)(Uf(r,t,e,null,{useTableName:!0}),i,l,o,t)}},Bg=function(e,t,r){var n,o,i=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),a=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),l=Bh(t,i);if(l){var s=Wh(i,t),u=s[s.length-1],c=l.sqlFunc||u,d={},p=[],f=[];for(var h in l.args){var g,v=l.args[h],y=$h(t,v),m=v.defaultValue,b=v.isOptional,E=null!=m&&m.func?"func":"value",O=a?a.get(h):void 0,S=O?O.get("value"):void 0,T=O?O.get("valueSrc"):void 0;"func"!==T&&null!==(g=S)&&void 0!==g&&g.toJS&&(S=S.toJS());var _=O?O.get("asyncListValues"):void 0,w=Vg(e,t,S,T,v.type,y,v,null,null,_);if(null!=S&&void 0===w)return void("func"!=T&&e.errors.push("Can't format value of arg ".concat(h," for func ").concat(i)));var R=void 0;if(void 0===w&&!b&&null!=m&&void 0===(R=Vg(e,t,m,E,v.type,y,v,null,null,_)))return void("func"!=E&&e.errors.push("Can't format default value of arg ".concat(h," for func ").concat(i)));var A=null!=w?w:R;if(void 0!==A){if(p.length){var I,C=Ng(h);try{for(C.s();!(I=C.n()).done;)d[I.value]=void 0}catch(e){C.e(e)}finally{C.f()}p=[]}d[h]=A}else b||f.push(h),p.push(h)}if(!f.length){var N;if("function"==typeof l.sqlFormatFunc){var L=l.sqlFormatFunc,P=[d];N=L.call.apply(L,[t.ctx].concat(P))}else{var x=Object.entries(d).map((function(e){var t=zn(e,2);return t[0],t[1]})).join(", ");N="".concat(c,"(").concat(x,")")}return N}}else e.errors.push("Func ".concat(i," is not defined in config"))};function qg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Gg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?qg(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):qg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function Kg(e,t,r,n,o,i){if(e&&r&&null!=t){var a=r,l=n.operators[a];if(l){var s=l.elasticSearchQueryType,u=!1;!s&&l.reversedOp&&(u=!0,a=l.reversedOp,s=(l=n.operators[a]).elasticSearchQueryType);var c=Vf(n,e,a,o),d=n.widgets[c];if(d){var p,f,h=d.elasticSearchFormatValue;if(p="function"==typeof s?s(c):s)return f="function"==typeof h?h(p,t,a,e,n):function(e,t,r,n,o,i){var a=function(e,t){return e}(n);switch(e){case"filter":return{script:o.operators[r].elasticSearchScript(n,t)};case"exists":return{field:n};case"match":return Vn({},a,t[0]);case"term":return Vn({},n,i===Wg?{value:t[0]}:t[0]);case"geo_bounding_box":return Vn({},n,function(e){if(null==e)return null;var t=e.split(",").map(Number);return{top_left:{lat:t[0],lon:t[1]},bottom_right:{lat:t[2],lon:t[3]}}}(t[0]));case"range":return Vn({},n,function(e,t){if(e.length>1)return{gte:"".concat(e[0]),lte:"".concat(e[1])};var r=e[0];switch(t){case"on_date":case"not_on_date":case"equal":case"select_equals":case"not_equal":return{gte:"".concat(r,"||/d"),lte:"".concat(r,"||+1d")};case"less_or_equal":return{lte:"".concat(r)};case"greater_or_equal":return{gte:"".concat(r)};case"less":return{lt:"".concat(r)};case"greater":return{gt:"".concat(r)};default:return}}(t,r));case"wildcard":return Vn({},n,function(e){return{value:"*"+e+"*"}}(t[0]));case"regexp":return Vn({},n,function(e){return{value:e}}(t[0]));default:return}}(p,t,a,e,n,i),u?{bool:{must_not:Vn({},p,Gg({},f))}}:Vn({},p,Gg({},f))}}}}var Wg="ES_7_SYNTAX",zg="ES_6_SYNTAX";function Hg(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:zg;if(e){var n=e.get("type"),o=e.get("properties")||new Map;if("rule"===n&&o.get("field")){var i,a,l,s=o.get("operator"),u=o.get("field"),c=o.get("fieldSrc"),d=null===(i=o.get("value"))||void 0===i?void 0:i.toJS(),p=(null===(a=o.get("valueType"))||void 0===a||a.get(0),null===(l=o.get("valueSrc"))||void 0===l?void 0:l.get(0));if("func"===p||"func"==c)return;return d&&Array.isArray(d[0])?d[0].map((function(e){return Kg(u,[e],s,t,p,r)})):Kg(u,d,s,t,p,r)}if("group"===n||"rule_group"===n){var f=o.get("not"),h=o.get("conjunction");return h||(h=id(t)),function(e,t,r,n,o,i){if(e&&e.size){var a=e.valueSeq().toArray(),l=function(e,t){switch(e){case"AND":return t?"must_not":"must";case"OR":return t?"should_not":"should";case"NOT":return t?"must":"must_not";default:return}}(t,r),s=a.map((function(e){return n(e,o,i)})).filter((function(e){return void 0!==e}));if(s.length)return{bool:Vn({},l,s.flat(1/0))}}}(e.get("children1"),h,f,Hg,t,r)}}}function $g(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r={};for(var n in e)if({}.hasOwnProperty.call(e,n)){if(t.indexOf(n)>=0)continue;r[n]=e[n]}return r}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||{}.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}function Yg(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}var Qg=["title","value","disabled","groupTitle","grouplabel","renderTitle","children","label","isCustom","isHidden"];function Xg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Jg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Zg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Jg(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Jg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var ev=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1e3;return function(){var n,o=(n=Us().mark((function n(o,i,a){var l,s,u,c,d,p;return Us().wrap((function(n){for(;;)switch(n.prev=n.next){case 0:if(l=null!=(null==a?void 0:a.pageSize)?a.pageSize:t,s=tu(e).filter((function(e){var t=e.title,r=e.value;return null==o||-1!=t.toUpperCase().indexOf(o.toUpperCase())||-1!="".concat(r).toUpperCase().indexOf(o.toUpperCase())})),l&&Math.ceil(s.length/l),u=i||0,l&&Math.ceil(u/l),c=l?s.slice(u,u+l):s,d=l?u+c.length:null,p=!!l&&d<s.length,!r){n.next=11;break}return n.next=11,Ps(r);case 11:return n.abrupt("return",{values:c,hasMore:p});case 12:case"end":return n.stop()}}),n)})),function(){var e=this,t=arguments;return new Promise((function(r,o){var i=n.apply(e,t);function a(e){Yg(i,r,o,a,l,"next",e)}function l(e){Yg(i,r,o,a,l,"throw",e)}a(void 0)}))});return function(e,t,r){return o.apply(this,arguments)}}()},tv=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(!t)return e;var o=e||[],i=t.filter((function(e){return null==o.find((function(t){return""+t.value==""+e.value}))})).map((function(e){return n?Zg(Zg({},e),{},{isHidden:!0}):e}));return r?[].concat(Gn(i),Gn(o)):[].concat(Gn(o),Gn(i))},rv=function(e,t,r){var n,o=null==e||""==e?void 0:null!==(n=null==e?void 0:e.value)&&void 0!==n?n:e,i=lu(o,t),a=r&&!i?eu(o):void 0,l=i||a;return[o,l?[l]:void 0]},nv=function(e,t,r){var n=e.map((function(e,n){var o,i=null==e||""==e?void 0:null!==(o=null==e?void 0:e.value)&&void 0!==o?o:e,a=lu(i,t),l=r&&!a?eu(i):void 0;return a||l})).filter((function(e){return null!=e})),o=n.map((function(e){var t;return null!==(t=null==e?void 0:e.value)&&void 0!==t?t:e}));return o.length||(o=void 0),[o,n]},ov=function(e){if(null==e)return null;var t=e.title,r=e.value,n=e.disabled,o=e.groupTitle,i=e.grouplabel,a=e.renderTitle,l=e.children,s=e.label,u=e.isCustom,c=e.isHidden,d=$g(e,Qg),p={value:r,title:t||s||l};return n&&(p.disabled=n),u&&(p.isCustom=u),c&&(p.isHidden=c),(o||i)&&(p.groupTitle=o||i),a&&(p.renderTitle=a),Zg(Zg({},p),d)},iv=function(e){var t,r=[],n=[],o=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Xg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Xg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(e);try{var i=function(){var e=t.value,o=function(e,t){if(e.findLastIndex)return e.findLastIndex(t);var r=Gn(e).reverse().findIndex(t);return-1==r?-1:e.length-1-r}(r,(function(t){var r,n;return(null!==(r=t.groupTitle)&&void 0!==r?r:"")==(null!==(n=e.groupTitle)&&void 0!==n?n:"")}));null==e.groupTitle||n.includes(e.groupTitle)||(n.push(e.groupTitle),1===n.length&&(r=r.map((function(e){return Zg(Zg({},e),{},{groupTitle:""})})))),null==e.groupTitle&&n.length&&(e=Zg(Zg({},e),{},{groupTitle:""})),-1!=o?r.splice(o+1,0,e):r.push(e)};for(o.s();!(t=o.n()).done;)i()}catch(e){o.e(e)}finally{o.f()}return r},av={label:"Now",returnType:"datetime",jsonLogic:"now",jsonLogicCustomOps:{now:{}},spelFunc:"T(java.time.LocalDateTime).now()",sqlFormatFunc:function(){return"NOW()"},mongoFormatFunc:function(){return new Date},formatFunc:function(){return"NOW"}},lv={label:"Relative",returnType:"datetime",renderBrackets:["",""],renderSeps:["","",""],spelFormatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim,i=r+(o.charAt(0).toUpperCase()+o.slice(1)+"s");return"".concat(t,".").concat(i,"(").concat(n,")")},spelImport:function(e){var t,r,n,o,i=null===(t=e.methodName)||void 0===t?void 0:t.match(/^(minus|plus)(\w+)s$/);if(i&&(o=i[2].toLowerCase(),r=i[1],["minus","plus"].includes(r)&&["day","week","month","year"].includes(o)))return r={type:"string",val:r},o={type:"string",val:o},n=e.args[0],{date:e.obj,op:r,val:n,dim:o}},jsonLogic:function(e){var t=e.date,r=e.op;return{date_add:[t,e.val*("minus"==r?-1:1),e.dim]}},jsonLogicImport:function(e){var t=e.date_add[0],r=Math.abs(e.date_add[1]);return[t,e.date_add[1]>=0?"plus":"minus",r,e.date_add[2]]},jsonLogicCustomOps:{date_add:{}},sqlFormatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim;return"DATE_ADD(".concat(t,", INTERVAL ").concat(parseInt(n)*("minus"==r?-1:1)," ").concat(o.replace(/^'|'$/g,""),")")},mongoFormatFunc:null,formatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim;return n?"".concat(t," ").concat("minus"==r?"-":"+"," ").concat(n," ").concat(o):t},args:{date:{label:"Date",type:"datetime",defaultValue:{func:"NOW",args:[]},valueSources:["func","field","value"],spelEscapeForFormat:!0},op:{label:"Op",type:"select",defaultValue:"plus",valueSources:["value"],mainWidgetProps:{customProps:{showSearch:!1}},fieldSettings:{listValues:{plus:"+",minus:"-"}},spelEscapeForFormat:!1},val:{label:"Value",type:"number",fieldSettings:{min:0},defaultValue:0,valueSources:["value"],spelEscapeForFormat:!1},dim:{label:"Dimension",type:"select",defaultValue:"day",valueSources:["value"],mainWidgetProps:{customProps:{showSearch:!1}},fieldSettings:{listValues:{day:"day",week:"week",month:"month",year:"year"}},spelEscapeForFormat:!1}}},sv={label:"Lowercase",mongoFunc:"$toLower",jsonLogic:"toLowerCase",spelFunc:"${str}.toLowerCase()",jsonLogicCustomOps:{toLowerCase:{}},returnType:"text",args:{str:{label:"String",type:"text",valueSources:["value","field","func"]}}},uv={label:"Uppercase",mongoFunc:"$toUpper",jsonLogic:"toUpperCase",spelFunc:"${str}.toUpperCase()",jsonLogicCustomOps:{toUpperCase:{}},returnType:"text",args:{str:{label:"String",type:"text",valueSources:["value","field","func"]}}},cv={label:"Linear regression",returnType:"number",formatFunc:function(e,t){var r=e.coef,n=e.bias,o=e.val;return"(".concat(r," * ").concat(o," + ").concat(n,")")},sqlFormatFunc:function(e){var t=e.coef,r=e.bias,n=e.val;return"(".concat(t," * ").concat(n," + ").concat(r,")")},spelFormatFunc:function(e){var t=e.coef,r=e.bias,n=e.val;return"(".concat(t," * ").concat(n," + ").concat(r,")")},spelImport:function(e){var t,r;if("op-plus"===e.type){var n=zn(e.children,2);if(r=n[0],t=n[1],"op-multiply"===r.type){var o=zn(r.children,2);return{coef:o[0],val:o[1],bias:t}}}},mongoFormatFunc:function(e){var t=e.coef,r=e.bias;return{$sum:[{$multiply:[t,e.val]},r]}},jsonLogic:function(e){var t=e.coef,r=e.bias;return{"+":[{"*":[t,e.val]},r]}},jsonLogicImport:function(e){return[e["+"][0]["*"][0],e["+"][0]["*"][1],e["+"][1]]},renderBrackets:["",""],renderSeps:[" * "," + "],args:{coef:{label:"Coef",type:"number",defaultValue:1,valueSources:["value"]},val:{label:"Value",type:"number",valueSources:["value","field"]},bias:{label:"Bias",type:"number",defaultValue:0,valueSources:["value"]}}},dv={utils:{SqlString:$u,moment:Cu(),mongoFormatOp1:function(e,t,r,n,o,i,a,l,s,u,c,d){var p="string"!=typeof n||n.startsWith("$")?n:"$"+n,f=t(i,d);if(void 0!==f)return r?a||e&&"$eq"!=e?a?{$not:Vn({},e,[p,f])}:Vn({},n,{$not:Vn({},e,f)}):Vn({},n,{$ne:f}):a||e&&"$eq"!=e?a?Vn({},e,[p,f]):Vn({},n,Vn({},e,f)):Vn({},n,f)},mongoFormatOp2:function(e,t,r,n,o,i,a,l,s,u,c){var d="string"!=typeof r||r.startsWith("$")?r:"$"+r;return t?i?{$not:{$and:[Vn({},e[0],[d,o[0]]),Vn({},e[1],[d,o[1]])]}}:Vn({},r,{$not:Vn(Vn({},e[0],o[0]),e[1],o[1])}):i?{$and:[Vn({},e[0],[d,o[0]]),Vn({},e[1],[d,o[1]])]}:Vn({},r,Vn(Vn({},e[0],o[0]),e[1],o[1]))},mongoEmptyValue:Qu,escapeRegExp:Rs,sqlEmptyValue:Yu,stringifyForDisplay:tc,getTitleInListValues:nu,spelEscape:Ju,spelFixList:Xu}};const pv=dv;function fv(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function hv(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function gv(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?hv(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):hv(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var vv={equal:{label:"==",labelForFormat:"==",sqlOp:"=",spelOp:"==",spelOps:["==","eq"],reversedOp:"not_equal",formatOp:function(e,t,r,n,o,i,a,l,s){var u=l?"=":i.label;return"boolean"==o&&l?"No"==r?"NOT ".concat(e):"".concat(e):"".concat(e," ").concat(u," ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},jsonLogic:"==",elasticSearchQueryType:"term"},not_equal:{isNotOp:!0,label:"!=",labelForFormat:"!=",sqlOp:"<>",spelOp:"!=",spelOps:["!=","ne"],reversedOp:"equal",formatOp:function(e,t,r,n,o,i,a,l,s){return"boolean"==o&&l?"No"==r?"".concat(e):"NOT ".concat(e):"".concat(e," ").concat(i.label," ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},jsonLogic:"!="},less:{label:"<",labelForFormat:"<",sqlOp:"<",spelOp:"<",spelOps:["<","lt"],reversedOp:"greater_or_equal",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$lt",function(e){return e},!1].concat(r))},jsonLogic:"<",elasticSearchQueryType:"range"},less_or_equal:{label:"<=",labelForFormat:"<=",sqlOp:"<=",spelOp:"<=",spelOps:["<=","le"],reversedOp:"greater",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$lte",function(e){return e},!1].concat(r))},jsonLogic:"<=",elasticSearchQueryType:"range"},greater:{label:">",labelForFormat:">",sqlOp:">",spelOp:">",spelOps:[">","gt"],reversedOp:"less_or_equal",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gt",function(e){return e},!1].concat(r))},jsonLogic:">",elasticSearchQueryType:"range"},greater_or_equal:{label:">=",labelForFormat:">=",sqlOp:">=",spelOp:">=",spelOps:[">=","ge"],reversedOp:"less",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gte",function(e){return e},!1].concat(r))},jsonLogic:">=",elasticSearchQueryType:"range"},like:{label:"Contains",labelForFormat:"Contains",reversedOp:"not_like",sqlOp:"LIKE",spelOp:"${0}.contains(${1})",valueTypes:["text"],mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e):void 0},!1].concat(n))},jsonLogic:"in",_jsonLogicIsRevArgs:!0,valueSources:["value"],elasticSearchQueryType:"regexp"},not_like:{isNotOp:!0,label:"Not contains",reversedOp:"like",labelForFormat:"Not Contains",sqlOp:"NOT LIKE",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e):void 0},!0].concat(n))},valueSources:["value"]},starts_with:{label:"Starts with",labelForFormat:"Starts with",sqlOp:"LIKE",spelOp:"${0}.startsWith(${1})",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?"^"+t.utils.escapeRegExp(e):void 0},!1].concat(n))},jsonLogic:void 0,valueSources:["value"]},ends_with:{label:"Ends with",labelForFormat:"Ends with",sqlOp:"LIKE",spelOp:"${0}.endsWith(${1})",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e)+"$":void 0},!1].concat(n))},jsonLogic:void 0,valueSources:["value"]},between:{label:"Between",labelForFormat:"BETWEEN",sqlOp:"BETWEEN",cardinality:2,formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1);return l?"".concat(e," BETWEEN ").concat(s," AND ").concat(u):"".concat(e," >= ").concat(s," && ").concat(e," <= ").concat(u)},spelFormatOp:function(e,t,r,n,o,i,a,l){var s=r[0],u=r[1];return"".concat(e," >= ").concat(s," && ").concat(e," <= ").concat(u)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp2.apply(e,[["$gte","$lte"],!1].concat(r))},valueLabels:["Value from","Value to"],textSeparators:[null,"and"],reversedOp:"not_between",jsonLogic:"<=",validateValues:function(e){return null!=e[0]&&null!=e[1]?e[0]<=e[1]:null},elasticSearchQueryType:function(e){return"time"===e?"filter":"range"}},not_between:{isNotOp:!0,label:"Not between",labelForFormat:"NOT BETWEEN",sqlOp:"NOT BETWEEN",cardinality:2,formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1);return l?"".concat(e," NOT BETWEEN ").concat(s," AND ").concat(u):"(".concat(e," < ").concat(s," || ").concat(e," > ").concat(u,")")},spelFormatOp:function(e,t,r,n,o,i,a,l){var s=r[0],u=r[1];return"(".concat(e," < ").concat(s," || ").concat(e," > ").concat(u,")")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp2.apply(e,[["$gte","$lte"],!0].concat(r))},valueLabels:["Value from","Value to"],textSeparators:[null,"and"],reversedOp:"between",validateValues:function(e){return null!=e[0]&&null!=e[1]?e[0]<=e[1]:null}},is_empty:{label:"Is empty",labelForFormat:"IS EMPTY",cardinality:0,reversedOp:"is_not_empty",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS EMPTY"):"!".concat(e)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this.utils.sqlEmptyValue(l);return"COALESCE(".concat(e,", ").concat(s,") = ").concat(s)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," <= ''")},mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e,r){return[t.utils.mongoEmptyValue(r),null]},!1].concat(n))},jsonLogic:"!"},is_not_empty:{isNotOp:!0,label:"Is not empty",labelForFormat:"IS NOT EMPTY",cardinality:0,reversedOp:"is_empty",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NOT EMPTY"):"!!".concat(e)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this.utils.sqlEmptyValue(l);return"COALESCE(".concat(e,", ").concat(s,") <> ").concat(s)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," > ''")},mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$nin",function(e,r){return[t.utils.mongoEmptyValue(r),null]},!1].concat(n))},jsonLogic:"!!",elasticSearchQueryType:"exists"},is_null:{label:"Is null",labelForFormat:"IS NULL",sqlOp:"IS NULL",cardinality:0,reversedOp:"is_not_null",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NULL"):"!".concat(e)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," == null")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return null},!1].concat(r))},jsonLogic:"=="},is_not_null:{label:"Is not null",labelForFormat:"IS NOT NULL",sqlOp:"IS NOT NULL",cardinality:0,reversedOp:"is_null",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NOT NULL"):"!!".concat(e)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," != null")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return null},!1].concat(r))},jsonLogic:"!=",elasticSearchQueryType:"exists"},select_equals:{label:"==",labelForFormat:"==",sqlOp:"=",formatOp:function(e,t,r,n,o,i,a,l){var s=l?"=":"==";return"".concat(e," ").concat(s," ").concat(r)},spelOp:"==",spelOps:["==","eq"],mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},reversedOp:"select_not_equals",jsonLogic:"==",elasticSearchQueryType:"term"},select_not_equals:{isNotOp:!0,label:"!=",labelForFormat:"!=",sqlOp:"<>",formatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," != ").concat(r)},spelOp:"!=",spelOps:["!=","ne"],mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},reversedOp:"select_equals",jsonLogic:"!="},select_any_in:{label:"Any in",labelForFormat:"IN",sqlOp:"IN",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," IN (").concat(r.join(", "),")"):"".concat(e," IN (").concat(r,")")},sqlFormatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," IN (").concat(r.join(", "),")"):void 0},valueTypes:["multiselect"],spelOp:"${1}.contains(${0})",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e){return e},!1].concat(r))},reversedOp:"select_not_any_in",jsonLogic:"in",elasticSearchQueryType:"term"},select_not_any_in:{isNotOp:!0,label:"Not in",labelForFormat:"NOT IN",sqlOp:"NOT IN",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT IN (").concat(r.join(", "),")"):"".concat(e," NOT IN (").concat(r,")")},sqlFormatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT IN (").concat(r.join(", "),")"):void 0},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$nin",function(e){return e},!1].concat(r))},reversedOp:"select_any_in"},multiselect_contains:{label:"Contains",labelForFormat:"CONTAINS",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," CONTAINS [").concat(r.join(", "),"]"):"".concat(e," CONTAINS ").concat(r)},reversedOp:"multiselect_not_contains",jsonLogic2:"some-in",jsonLogic:function(e,t,r){return{some:[e,{in:[{var:""},r]}]}},spelOp:"T(CollectionUtils).containsAny(${0}, ${1})",elasticSearchQueryType:"term",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e){return e},!1].concat(r))}},multiselect_not_contains:{isNotOp:!0,label:"Not contains",labelForFormat:"NOT CONTAINS",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT CONTAINS [").concat(r.join(", "),"]"):"".concat(e," NOT CONTAINS ").concat(r)},reversedOp:"multiselect_contains"},multiselect_equals:{label:"Equals",labelForFormat:"==",sqlOp:"=",formatOp:function(e,t,r,n,o,i,a,l){var s=l?"=":"==";return"value"==n?"".concat(e," ").concat(s," [").concat(r.join(", "),"]"):"".concat(e," ").concat(s," ").concat(r)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this;return"value"==n?"".concat(e," = '").concat(r.map((function(e){return s.utils.SqlString.trim(e)})).join(","),"'"):void 0},spelOp:"${0}.equals(${1})",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},reversedOp:"multiselect_not_equals",jsonLogic2:"all-in",jsonLogic:function(e,t,r){return{all:[e,{in:[{var:""},r]}]}},elasticSearchQueryType:"term"},multiselect_not_equals:{isNotOp:!0,label:"Not equals",labelForFormat:"!=",sqlOp:"<>",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," != [").concat(r.join(", "),"]"):"".concat(e," != ").concat(r)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this;return"value"==n?"".concat(e," != '").concat(r.map((function(e){return s.utils.SqlString.trim(e)})).join(","),"'"):void 0},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},reversedOp:"multiselect_equals"},proximity:{label:"Proximity search",cardinality:2,valueLabels:[{label:"Word 1",placeholder:"Enter first word"},{label:"Word 2",placeholder:"Enter second word"}],textSeparators:[],formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1),c=a.get("proximity");return"".concat(e," ").concat(s," NEAR/").concat(c," ").concat(u)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1),c=this.utils.SqlString.trim(s),d=this.utils.SqlString.trim(u),p=a.get("proximity");return"CONTAINS(".concat(e,", 'NEAR((").concat(c,", ").concat(d,"), ").concat(p,")')")},mongoFormatOp:void 0,jsonLogic:void 0,options:{optionLabel:"Near",optionTextBefore:"Near",optionPlaceholder:"Select words between",minProximity:2,maxProximity:10,defaults:{proximity:2}}},some:{label:"Some",labelForFormat:"SOME",cardinality:0,jsonLogic:"some",spelFormatOp:function(e){return"".concat(e," > 0")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gt",function(e){return 0},!1].concat(r))}},all:{label:"All",labelForFormat:"ALL",cardinality:0,jsonLogic:"all",spelFormatOp:function(e,t,r){return"".concat(e," == ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))}},none:{label:"None",labelForFormat:"NONE",cardinality:0,jsonLogic:"none",spelFormatOp:function(e){return"".concat(e," == 0")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return 0},!1].concat(r))}}},yv={text:{type:"text",jsType:"string",valueSrc:"value",valueLabel:"String",valuePlaceholder:"Enter string",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},spelFormatValue:function(e,t,r,n,o){return this.utils.spelEscape(e)},sqlFormatValue:function(e,t,r,n,o){return"LIKE"==o.sqlOp||"NOT LIKE"==o.sqlOp?this.utils.SqlString.escapeLike(e,"starts_with"!=n,"ends_with"!=n):this.utils.SqlString.escape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},textarea:{type:"text",jsType:"string",valueSrc:"value",valueLabel:"Text",valuePlaceholder:"Enter text",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return"LIKE"==o.sqlOp||"NOT LIKE"==o.sqlOp?this.utils.SqlString.escapeLike(e,"starts_with"!=n,"ends_with"!=n):this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e},fullWidth:!0},number:{type:"number",jsType:"number",valueSrc:"value",valueLabel:"Number",valuePlaceholder:"Enter number",valueLabels:[{label:"Number from",placeholder:"Enter number from"},{label:"Number to",placeholder:"Enter number to"}],formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e,t,r){var n=r.step&&!Number.isInteger(r.step);return this.utils.spelEscape(e,n)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},slider:{type:"number",jsType:"number",valueSrc:"value",valueLabel:"Number",valuePlaceholder:"Enter number or move slider",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},select:{type:"select",jsType:"string",valueSrc:"value",valueLabel:"Value",valuePlaceholder:"Select value",formatValue:function(e,t,r,n){var o=this.utils.getTitleInListValues(t.fieldSettings.listValues||t.asyncListValues,e);return n?this.utils.stringifyForDisplay(o):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},multiselect:{type:"multiselect",jsType:"array",valueSrc:"value",valueLabel:"Values",valuePlaceholder:"Select values",formatValue:function(e,t,r,n){var o=this,i=e.map((function(e){return o.utils.getTitleInListValues(t.fieldSettings.listValues||t.asyncListValues,e)}));return n?i.map(this.utils.stringifyForDisplay):e.map(JSON.stringify)},sqlFormatValue:function(e,t,r,n,o){var i=this;return e.map((function(e){return i.utils.SqlString.escape(e)}))},spelFormatValue:function(e,t,r,n,o){var i=o&&o.spelOp&&o.spelOp.startsWith("${1}"),a=this.utils.spelEscape(e);return i&&(a=this.utils.spelFixList(a)),a},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},date:{type:"date",jsType:"string",valueSrc:"value",dateFormat:"DD.MM.YYYY",valueFormat:"YYYY-MM-DD",valueLabel:"Date",valuePlaceholder:"Enter date",valueLabels:[{label:"Date from",placeholder:"Enter date from"},{label:"Date to",placeholder:"Enter date to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.dateFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.format("YYYY-MM-DD"))},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("YYYY-MM-DD");return"T(java.time.LocalDate).parse('".concat(i,"', T(java.time.format.DateTimeFormatter).ofPattern('").concat("yyyy-MM-dd","'))")},spelImportFuncs:[{obj:{cls:["java","time","LocalDate"]},methodName:"parse",args:[{var:"v"},{obj:{cls:["java","time","format","DateTimeFormatter"]},methodName:"ofPattern",args:[{var:"fmt"}]}]}],spelImportValue:function(e,t,r){var n,o,i,a;if(!t)return[void 0,"No widget def to get value format"];if(null!=r&&null!==(n=r.fmt)&&void 0!==n&&null!==(n=n.value)&&void 0!==n&&null!==(o=n.includes)&&void 0!==o&&o.call(n," ")||null!==(i=r.fmt)&&void 0!==i&&null!==(i=i.value)&&void 0!==i&&null!==(a=i.toLowerCase)&&void 0!==a&&a.call(i).includes("hh:mm"))return[void 0,"Invalid date format ".concat(JSON.stringify(r.fmt))];var l=this.utils.moment(e.value,this.utils.moment.ISO_8601);return l.isValid()?[l.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){return this.utils.moment(e,r.valueFormat).toDate()},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?r.toDate():void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return n.isValid()?n.toDate():void 0}},time:{type:"time",jsType:"string",valueSrc:"value",timeFormat:"HH:mm",valueFormat:"HH:mm:ss",use12Hours:!1,valueLabel:"Time",valuePlaceholder:"Enter time",valueLabels:[{label:"Time from",placeholder:"Enter time from"},{label:"Time to",placeholder:"Enter time to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.timeFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.format("HH:mm:ss"))},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("HH:mm:ss");return"T(java.time.LocalTime).parse('".concat(i,"')")},spelImportFuncs:["T(java.time.LocalTime).parse(${v})"],spelImportValue:function(e,t,r){var n,o,i;if(!t)return[void 0,"No widget def to get value format"];if(null!=r&&r.fmt&&(null===(n=r.fmt)||void 0===n||null===(n=n.value)||void 0===n||null===(o=n.toLowerCase)||void 0===o||!o.call(n).includes("hh:mm")||null!==(i=r.fmt)&&void 0!==i&&null!==(i=i.value)&&void 0!==i&&i.includes(" ")))return[void 0,"Invalid time format ".concat(JSON.stringify(r.fmt))];var a=this.utils.moment(e.value,"HH:mm:ss");return a.isValid()?[a.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return 60*n.get("hour")*60+60*n.get("minute")+n.get("second")},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?60*r.get("hour")*60+60*r.get("minute")+r.get("second"):void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return 60*n.get("hour")*60+60*n.get("minute")+n.get("second")},elasticSearchFormatValue:function(e,t,r,n){return{script:{script:{source:"doc[".concat(n,"][0].getHour() >== params.min && doc[").concat(n,"][0].getHour() <== params.max"),params:{min:t[0],max:t[1]}}}}}},datetime:{type:"datetime",jsType:"string",valueSrc:"value",timeFormat:"HH:mm",dateFormat:"DD.MM.YYYY",valueFormat:"YYYY-MM-DD HH:mm:ss",use12Hours:!1,valueLabel:"Datetime",valuePlaceholder:"Enter datetime",valueLabels:[{label:"Datetime from",placeholder:"Enter datetime from"},{label:"Datetime to",placeholder:"Enter datetime to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.dateFormat+" "+r.timeFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.toDate())},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("YYYY-MM-DD HH:mm:ss");return"T(java.time.LocalDateTime).parse('".concat(i,"', T(java.time.format.DateTimeFormatter).ofPattern('").concat("yyyy-MM-dd HH:mm:ss","'))")},spelImportFuncs:[{obj:{cls:["java","time","LocalDateTime"]},methodName:"parse",args:[{var:"v"},{obj:{cls:["java","time","format","DateTimeFormatter"]},methodName:"ofPattern",args:[{var:"fmt"}]}]}],spelImportValue:function(e,t,r){var n,o;if(!t)return[void 0,"No widget def to get value format"];if(null==r||null===(n=r.fmt)||void 0===n||null===(n=n.value)||void 0===n||null===(o=n.includes)||void 0===o||!o.call(n," "))return[void 0,"Invalid datetime format ".concat(JSON.stringify(r.fmt))];var i=this.utils.moment(e.value,this.utils.moment.ISO_8601);return i.isValid()?[i.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){return this.utils.moment(e,r.valueFormat).toDate()},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?r.toDate():void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return n.isValid()?n.toDate():void 0}},boolean:{type:"boolean",jsType:"boolean",valueSrc:"value",labelYes:"Yes",labelNo:"No",formatValue:function(e,t,r,n){return n?e?"Yes":"No":JSON.stringify(!!e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e,t,r,n,o){return this.utils.spelEscape(e)},defaultValue:!1,toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},field:{valueSrc:"field",formatValue:function(e,t,r,n,o,i,a){return n&&a.label||e},sqlFormatValue:function(e,t,r,n,o,i){return e},spelFormatValue:function(e,t,r,n,o){return e},valueLabel:"Field to compare",valuePlaceholder:"Select field to compare"},func:{valueSrc:"func",valueLabel:"Function",valuePlaceholder:"Select function"},case_value:{valueSrc:"value",type:"case_value",spelFormatValue:function(e){return this.utils.spelEscape(""===e?null:e)},spelImportValue:function(e){return[e.value,[]]}}},mv=gv(gv({},_h),{},{convertableWidgets:{number:["slider","rangeslider"],slider:["number","rangeslider"],rangeslider:["number","slider"],text:["textarea"],textarea:["text"]},formatSpelField:function(e,t,r,n,o,i){var a=this,l=n.map((function(e,t){var r=e.key,n=e.parent,o=e.fieldSeparator;return 0==t?"[map]"==n?"#this[".concat(a.utils.spelEscape(r),"]"):r:"map"==n||"[map]"==n?"[".concat(a.utils.spelEscape(r),"]"):"".concat(o).concat(r)})).join("");return o.fieldName&&(l=e),o.isSpelVariable&&(l="#"+l),l},sqlFormatReverse:function(e){if(null!=e)return"NOT("+e+")"},spelFormatReverse:function(e){if(null!=e)return"!("+e+")"},formatReverse:function(e,t,r,n,o,i){if(null!=e)return i?"NOT ("+e+")":"!("+e+")"},formatAggr:function(e,t,r,n,o,i,a,l,s,u){var c=a.labelForFormat,d=a.cardinality;if(0==d){var p=e?" HAVE ".concat(e):"";return"".concat(c," OF ").concat(t).concat(p)}if(null==d||1==d){var f=e?" WHERE ".concat(e):"";return"COUNT OF ".concat(t).concat(f," ").concat(c," ").concat(n)}if(2==d){var h=e?" WHERE ".concat(e):"",g=n.first(),v=n.get(1);return"COUNT OF ".concat(t).concat(h," ").concat(c," ").concat(g," AND ").concat(v)}},jsonLogic:{groupVarKey:"var",altVarKey:"var",lockedOp:"locked"},canCompareFieldWithField:function(e,t,r,n){return!0},valueSourcesInfo:{value:{label:"Value"},field:{label:"Field",widget:"field"},func:{label:"Function",widget:"func"}}}),bv=function(e,t){var r,n=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],o={rangeslider:Sv,treeselect:Tv,treemultiselect:_v,rangeable__date:Ov("date","date")},i=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return fv(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?fv(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(t);try{for(i.s();!(r=i.n()).done;){var a=r.value,l=o[a];if(!l)throw new Error("Can't ".concat(n?"add":"remove"," mixin ").concat(a));e=l(e,n)}}catch(e){i.e(e)}finally{i.f()}return e},Ev=function(e,t){return bv(e,t,!0)},Ov=function(e,t){return function(r){var n=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],o=r.types;return o=gv(gv({},o),{},Vn({},e,gv(gv({},o[e]),{},{widgets:gv({},o[e].widgets)}))),n?o[e].widgets[t]=gv({opProps:{between:{isSpecialRange:!0,textSeparators:[null,null]},not_between:{isSpecialRange:!0,textSeparators:[null,null]}}},o[e].widgets[t]):delete o[e].widgets[t],gv(gv({},r),{},{types:o})}},Sv=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=gv({},r),t?r.rangeslider=gv({type:"number",jsType:"number",valueSrc:"value",valueLabel:"Range",valuePlaceholder:"Select range",valueLabels:[{label:"Number from",placeholder:"Enter number from"},{label:"Number to",placeholder:"Enter number to"}],formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},singleWidget:"slider",toJS:function(e,t){return e}},r.rangeslider):delete r.rangeslider,n=gv(gv({},n),{},{number:gv(gv({},n.number),{},{widgets:gv({},n.number.widgets)})}),t?n.number.widgets.rangeslider=gv({opProps:{between:{isSpecialRange:!0},not_between:{isSpecialRange:!0}},operators:["between","not_between","is_null","is_not_null"]},n.number.widgets.rangeslider):delete n.number.widgets.rangeslider,gv(gv({},e),{},{widgets:r,types:n})},Tv=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=gv({},r),t?r.treeselect=gv({type:"treeselect",jsType:"string",valueSrc:"value",valueLabel:"Value",valuePlaceholder:"Select value",formatValue:function(e,t,r,n){var o=t.fieldSettings.treeValues||t.fieldSettings.listValues||t.asyncListValues,i=this.utils.getTitleInListValues(o,e);return n?this.utils.stringifyForDisplay(i):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e}},r.treeselect):delete r.treeselect,n=gv({},n),t?n.treeselect=gv({mainWidget:"treeselect",defaultOperator:"select_equals",widgets:{treeselect:{operators:["select_equals","select_not_equals"]},treemultiselect:{operators:["select_any_in","select_not_any_in"]}}},n.treeselect):delete n.treeselect,gv(gv({},e),{},{widgets:r,types:n})},_v=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=gv({},r),t?r.treemultiselect=gv({type:"treemultiselect",jsType:"array",valueSrc:"value",valueLabel:"Values",valuePlaceholder:"Select values",formatValue:function(e,t,r,n){var o=this,i=t.fieldSettings.treeValues||t.fieldSettings.listValues||t.asyncListValues,a=e.map((function(e){return o.utils.getTitleInListValues(i,e)}));return n?a.map(this.utils.stringifyForDisplay):e.map(JSON.stringify)},sqlFormatValue:function(e,t,r,n,o){var i=this;return e.map((function(e){return i.utils.SqlString.escape(e)}))},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e}},r.treemultiselect):delete r.treemultiselect,n=gv({},n),t?n.treemultiselect=gv({defaultOperator:"multiselect_equals",widgets:{treemultiselect:{operators:["multiselect_equals","multiselect_not_equals"]}}},n.treemultiselect):delete n.treemultiselect,gv(gv({},e),{},{widgets:r,types:n})},wv={addMixins:Ev,removeMixins:function(e,t){return bv(e,t,!1)}},Rv={conjunctions:{AND:{label:"And",mongoConj:"$and",jsonLogicConj:"and",sqlConj:"AND",spelConj:"and",spelConjs:["and","&&"],reversedConj:"OR",formatConj:function(e,t,r,n){return e.size>1?(r?"NOT ":"")+"("+e.join(" "+(n?"AND":"&&")+" ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},sqlFormatConj:function(e,t,r){return e.size>1?(r?"NOT ":"")+"("+e.join(" AND ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},spelFormatConj:function(e,t,r,n){return r&&(n=!1),e.size>1?(r?"!":"")+(n?"":"(")+e.join(" && ")+(n?"":")"):(r?"!(":"")+e.first()+(r?")":"")}},OR:{label:"Or",mongoConj:"$or",jsonLogicConj:"or",sqlConj:"OR",spelConj:"or",spelConjs:["or","||"],reversedConj:"AND",formatConj:function(e,t,r,n){return e.size>1?(r?"NOT ":"")+"("+e.join(" "+(n?"OR":"||")+" ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},sqlFormatConj:function(e,t,r){return e.size>1?(r?"NOT ":"")+"("+e.join(" OR ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},spelFormatConj:function(e,t,r,n){return r&&(n=!1),e.size>1?(r?"!":"")+(n?"":"(")+e.join(" || ")+(n?"":")"):(r?"!(":"")+e.first()+(r?")":"")}}},operators:vv,widgets:yv,types:{text:{defaultOperator:"equal",mainWidget:"text",widgets:{text:{operators:["equal","not_equal","like","not_like","starts_with","ends_with","proximity","is_empty","is_not_empty","is_null","is_not_null"],widgetProps:{},opProps:{}},textarea:{operators:["equal","not_equal","like","not_like","starts_with","ends_with","is_empty","is_not_empty","is_null","is_not_null"],widgetProps:{},opProps:{}},field:{operators:["equal","not_equal","proximity"]}}},number:{defaultOperator:"equal",mainWidget:"number",widgets:{number:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]},slider:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","is_null","is_not_null"]}}},date:{defaultOperator:"equal",widgets:{date:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},time:{defaultOperator:"equal",widgets:{time:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},datetime:{defaultOperator:"equal",widgets:{datetime:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},select:{mainWidget:"select",defaultOperator:"select_equals",widgets:{select:{operators:["select_equals","select_not_equals","is_null","is_not_null"]},multiselect:{operators:["select_any_in","select_not_any_in","is_null","is_not_null"]}}},multiselect:{defaultOperator:"multiselect_equals",widgets:{multiselect:{operators:["multiselect_contains","multiselect_not_contains","multiselect_equals","multiselect_not_equals","is_null","is_not_null"]}}},boolean:{defaultOperator:"equal",widgets:{boolean:{operators:["equal","not_equal","is_null","is_not_null"],widgetProps:{}},field:{operators:["equal","not_equal"]}}},"!group":{defaultOperator:"some",mainWidget:"number",widgets:{number:{widgetProps:{min:0},operators:["some","all","none","equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between"],opProps:{equal:{label:"Count =="},not_equal:{label:"Count !="},less:{label:"Count <"},less_or_equal:{label:"Count <="},greater:{label:"Count >"},greater_or_equal:{label:"Count >="},between:{label:"Count between"},not_between:{label:"Count not between"}}}}},case_value:{mainWidget:"case_value",widgets:{case_value:{}}}},settings:mv,ctx:pv};const Av=Rv=Ev(Rv,["rangeslider","treeselect","treemultiselect"]);var Iv="ADD_GROUP",Cv="ADD_CASE_GROUP",Nv="REMOVE_GROUP",Lv="SET_CONJUNCTION",Pv="SET_NOT",xv="ADD_RULE",kv="REMOVE_RULE",Fv="SET_FIELD",Dv="SET_FIELD_SRC",jv="SET_OPERATOR",Mv="SET_VALUE",Vv="SET_VALUE_SRC",Uv="SET_FUNC_VALUE",Bv="SET_OPERATOR_OPTION",qv="SET_LOCK",Gv="SET_TREE",Kv="MOVE_ITEM",Wv="after",zv="before",Hv="append",$v="prepend",Yv="SET_DRAG_PROGRESS",Qv="SET_DRAG_START",Xv="SET_DRAG_END",Jv=p(1612),Zv=p.n(Jv);function ey(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return ty(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?ty(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function ty(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function ry(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ny(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?ry(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):ry(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var oy=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,s=arguments.length>7&&void 0!==arguments[7]?arguments[7]:{},u=(null==o||null===(a=o.get)||void 0===a?void 0:a.call(o,"id"))||n,c=i.settings.shouldCreateEmptyGroup,d=t.push(u),p=!c,f=!(null==s||!s.isDefaultCase),h=e;return(e=ay(e,t,r,u,ad(i).merge(us(o)||{}),i,l))!==h&&(l||f||(e=e.setIn(su(d,"children1"),new ps.OrderedMap),p&&(e=ay(e,d,"rule",vs(),nd(i),i))),e=pu(e)),e},iy=function e(t,r,n){n&&Array.isArray(n)&&(r.children1=new ps.OrderedMap(n.reduce((function(r,n){var o,i=null!==(o=n.id)&&void 0!==o?o:vs(),a=ny(ny({},n),{},{properties:ld(t,n).merge(us(n.properties)||{}),id:i});return e(t,a,a.children1),ny(ny({},r),{},Vn({},i,new ps.Map(a)))}),{})))},ay=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,s=(null==o||null===(a=o.get)||void 0===a?void 0:a.call(o,"id"))||n;if("switch_group"==r)throw new Error("Can't add switch_group programmatically");var u,c,d=i.settings,p=d.maxNumberOfCases,f=d.maxNumberOfRules,h=d.maxNesting,g="switch_group"==e.get("type"),v=e.getIn(su(t)),y=g?e.getIn(su(t.take(2))):null,m=su(t,"children1"),b=e.getIn(m),E=!!b&&b.size,O=E?b.size:null;"case_group"==r?(u=O,c=p):"group"==r?(u=t.size,c=h):"rule_group"==(null==v?void 0:v.get("type"))||(u=vu(g?y:e),c=f);var S=!c||!u||u<c,T={type:r,id:s,properties:o};iy(i,T,l);var _="case_group"==r&&E&&null==b.last().get("children1");if(S){var w=new ps.OrderedMap(Vn({},s,new ps.Map(T)));if(E)if(_){var R=b.last(),A=new ps.OrderedMap(Vn(Vn({},s,new ps.Map(T)),R.get("id"),R));e=(e=e.deleteIn(su(m,"children1",R.get("id")))).mergeIn(m,A)}else e=e.mergeIn(m,w);else e=e.setIn(m,w);e=pu(e)}return e},ly=function(e,t){return e=e.deleteIn(su(t)),pu(e)},sy=function(e,t,r,n,o){var i,a,l,s,u,c,d,p=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{},f=p.__isInternal,h=p.isEndValue,g=p.canDropArgs;if(!r)return{tree:ly(e,t),isInternalValueChange:d};var v=n.settings,y=v.fieldSeparator,m=v.setOpOnChangeField,b=v.showErrorMessage;Array.isArray(r)&&(r=r.join(y));var E=e.getIn(su(t,"type")),O=e.getIn(su(t,"properties")),S="rule_group"==E,T=null==O?void 0:O.get("fieldSrc"),_=null==O?void 0:O.get("fieldError"),w=$h(n,r);if(!w)return console.warn("No config for LHS ".concat(r)),{tree:e,isInternalValueChange:d};var R=w.type;"!group"!==R&&"!struct"!==R||(R=null);var A=null==O?void 0:O.get("operator"),I=null==O?void 0:O.get("operatorOptions"),C=null==O?void 0:O.get("field"),N=null==O||null===(i=O.get("valueError"))||void 0===i||null===(a=i.join)||void 0===a?void 0:a.call(i,"|"),L="!group"==w.type,P=L&&"array"==w.mode,x=S!=L,k=w&&-1!==(null===(l=w.operators)||void 0===l?void 0:l.indexOf(A))?A:null,F="func"===T&&(null==C||null===(s=C.get)||void 0===s?void 0:s.call(C,"func"))===(null===(u=r)||void 0===u||null===(c=u.get)||void 0===c?void 0:c.call(u,"func"))&&!!k,D=null,j="func"===T?Af(n,R):If(n,r);if(j&&1==j.length)D=j[0];else if(F)D=k;else if(j&&j.length>1){var M,V=ey(m);try{for(V.s();!(M=V.n()).done;){var U=M.value;if("keep"!=U||x?"default"==U?D=td(n,r,!1):"first"==U&&(D=Cf(n,r)):D=k,D)break}}catch(e){V.e(e)}finally{V.f()}}if(!L&&!w.operators)return console.warn("Type ".concat(w.type," is not supported")),{tree:e,isInternalValueChange:d};S&&!L&&(e=(e=(e=e.setIn(su(t,"type"),"rule")).deleteIn(su(t,"children1"))).setIn(su(t,"properties"),new ps.OrderedMap)),O||(e=e.setIn(su(t,"properties"),new ps.OrderedMap));var B=!b;if(L){e=e.setIn(su(t,"type"),"rule_group");var q=vf(n,n,O,r,D,"field",B,h,g),G=(q.canReuseValue,q.newValue),K=q.newValueSrc,W=q.newValueType,z=q.operatorCardinality,H=ad(n,w).merge({field:r,fieldSrc:"field",mode:w.mode});P&&(H=H.merge({operator:D,value:G,valueSrc:K,valueType:W})),e=(e=e.setIn(su(t,"children1"),new ps.OrderedMap)).setIn(su(t,"properties"),H),w.initialEmptyWhere&&1==z||(e=ay(e,t,"rule",vs(),nd(n,r),n)),e=pu(e)}else e=e.updateIn(su(t,"properties"),(function(e){return e.withMutations((function(e){var t,o=vf(n,n,e,r,D,"field",B,h,g),i=o.canReuseValue,a=o.newValue,l=o.newValueSrc,s=o.newValueType,u=o.newValueError,c=o.newFieldError,p=o.fixedField,v=null==u||null===(t=u.join)||void 0===t?void 0:t.call(u,"|"),y=r,m=p!==r;m&&(y=p);var E=(b?_!=c:!!_!=!!c)||(b?N!=v:!!N!=!!v);d=!!f&&!E&&!m,(b||f&&E)&&(e=(e=e.set("fieldError",c)).set("valueError",u));var O=i?I:rd(n,D,y);return e=e.set("field",y).delete("fieldType").set("fieldSrc",T).set("operator",D).set("operatorOptions",O).set("value",a).set("valueSrc",l).set("valueType",s),i||(e=e.delete("asyncListValues")),e}))}));return{tree:e,isInternalValueChange:d}},uy=function(e,t,r,n,o,i,a){var l,s=arguments.length>7&&void 0!==arguments[7]?arguments[7]:{},u=s.__isInternal,c=s.canDropArgs,d=s.isEndValue,p=i.settings,f=p.fieldSeparator,h=p.showErrorMessage,g=e.getIn(su(t,"properties","valueSrc",r+""))||null;"field"===g&&Array.isArray(n)&&(n=n.join(f));var v=e.getIn(su(t,"properties","field"))||null,y=e.getIn(su(t,"properties","operator"))||null,m=Yh(i,y,v),b=y?Es(m):null,E=o||Nf(n,g,i),O=zn(df(i,v,v,y,n,E,g,a,!h,d,c),2),S=O[0],T=O[1],_=null==T?void 0:T.find((function(e){return!e.fixed&&!e.ignore})),w=_?$p(_):null,R=S!==n;R&&(n=S),e=cy(e,t,i,b);var A=Array.from({length:b},(function(o,i){return i==r?n:e.getIn(su(t,"properties","value",i+""))||null})),I=Array.from({length:b},(function(r,n){return e.getIn(su(t,"properties","valueSrc",n+""))||null})),C=gf(i,v,y,A,I),N=C?$p(C):null,L=!w&&!N,P=e.getIn(su(t,"properties","value",r)),x=e.getIn(su(t,"properties","valueError",r)),k=e.getIn(su(t,"properties","valueError",b)),F=(h?x!=w:!!x!=!!w)||(h?k!=N:!!k!=!!N);return l=!(!u||!!P!=!!n||F||R),(!!h||L||R)&&(e=e.deleteIn(su(t,"properties","asyncListValues")),void 0===n?e=(e=e.setIn(su(t,"properties","value",r),void 0)).setIn(su(t,"properties","valueType",r),null):(a&&(e=e.setIn(su(t,"properties","asyncListValues"),a)),e=(e=e.setIn(su(t,"properties","value",r),n)).setIn(su(t,"properties","valueType",r),E))),(h||u&&F)&&(e.getIn(su(t,"properties","valueError"))||(e=e.setIn(su(t,"properties","valueError"),new ps.List(new Array(b)))),e=e.setIn(su(t,"properties","valueError",r),w),b>=2&&(e=e.setIn(su(t,"properties","valueError",b),N))),{tree:e,isInternalValueChange:l}},cy=function(e,t,r,n){if(!n){var o=e.getIn(su(t,"properties","field"))||null,i=e.getIn(su(t,"properties","operator"))||null,a=Yh(r,i,o);n=i?Es(a):null}for(var l=0,s=["value","valueType","valueError","valueSrc"];l<s.length;l++){var u=s[l];e.getIn(su(t,"properties",u))||(e=e.setIn(su(t,"properties",u),new ps.List(n?Array.from({length:n}):[])))}return e},dy={dragging:{id:null,x:null,y:null,w:null,h:null},mousePos:{},dragStart:{id:null}},py=function(e,t){return{type:Gv,tree:t,config:e}},fy=function(e,t,r){var n=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null;return{type:xv,ruleType:arguments.length>3&&void 0!==arguments[3]?arguments[3]:"rule",children:arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,path:_s(t),id:vs(),properties:nd(e,n).merge(us(r)||{}),config:e}},hy=function(e,t){return{type:kv,path:_s(t),config:e}},gy=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:Cv,path:_s(t),children:n,id:vs(),properties:ad(e).merge(us(r)||{}),config:e,meta:{isDefaultCase:!0}}},vy=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:Cv,path:_s(t),children:n,id:vs(),properties:ad(e).merge(us(r)||{}),config:e}},yy=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:Iv,path:_s(t),children:n,id:vs(),properties:ad(e).merge(us(r)||{}),config:e}},my=function(e,t){return{type:Nv,path:_s(t),config:e}},by=function(e,t,r,n){return{type:Kv,fromPath:_s(t),toPath:_s(r),placement:n,config:e}},Ey=function(e,t,r){return{type:Lv,path:_s(t),conjunction:r}},Oy=function(e,t,r){return{type:Pv,path:_s(t),not:r}},Sy=function(e,t,r){return{type:qv,path:_s(t),lock:r}},Ty=function(e,t,r,n,o){return{type:Fv,path:_s(t),field:r,config:e,asyncListValues:n,_meta:o}},_y=function(e,t,r){return{type:Dv,path:_s(t),srcKey:r,config:e}},wy=function(e,t,r){return{type:jv,path:_s(t),operator:r,config:e}},Ry=function(e,t,r,n,o,i,a){return{type:Mv,path:_s(t),delta:r,value:n,valueType:o,asyncListValues:i,config:e,_meta:a}},Ay=function(e,t,r,n,o){return{type:Vv,path:_s(t),delta:r,srcKey:n,config:e,_meta:o}},Iy=function(e,t,r,n,o,i,a,l,s){return{type:Uv,path:_s(t),delta:r,parentFuncs:n,argKey:o,value:i,valueType:a,asyncListValues:l,config:e,_meta:s}},Cy=function(e,t,r,n){return{type:Bv,path:_s(t),name:r,value:n,config:e}};function Ny(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Ly(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Ny(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Ny(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Py=Ly(Ly(Ly({},h),{},{Export:c,Import:o,ConfigMixins:wv},c),o),xy=p(7028),ky=p.n(xy);const Fy=function(e,t,r,n,o){var i=ny({tree:t},dy);return function(){var t,a,l=arguments.length>0&&void 0!==arguments[0]?arguments[0]:i,s=arguments.length>1?arguments[1]:void 0,u=null!==(t=null!==(a=null==o?void 0:o())&&void 0!==a?a:s.config)&&void 0!==t?t:e,c={},d=function(e,t){if(!e||!e.type)return null;var r,n=[Gv,Qv,Yv,Xv],o=Zv()(hs()(e,["config","asyncListValues"]),ws),i=e.path&&function(e,t){return e.getIn(su(t,"properties","field"))||null}(t.tree,e.path)||e.field;return i&&(null!==(r=i)&&void 0!==r&&r.toJS&&(i=i.toJS()),o.affectedField=i),(n.includes(e.type)||0==e.type.indexOf("@@redux"))&&(o=null),o}(s,l);switch(null==s?void 0:s.type){case Gv:var p=r(u,s.tree);c.tree=p;break;case Cv:c.tree=oy(l.tree,s.path,"case_group",s.id,s.properties,u,s.children,s.meta);break;case Iv:c.tree=oy(l.tree,s.path,"group",s.id,s.properties,u,s.children,s.meta);break;case Nv:c.tree=function(e,t,r){e=ly(e,t);var n=r.settings.canLeaveEmptyGroup,o=t.slice(0,-1);return Eu(e,o)||n||(e=fu(e),!bu(e)||n)||(e=ay(e,new ps.List,"rule",vs(),nd(r,void 0,void 0,!1,!1),r)),pu(e)}(l.tree,s.path,u);break;case xv:c.tree=ay(l.tree,s.path,s.ruleType,s.id,s.properties,u,s.children);break;case kv:c.tree=function(e,t,r){e=ly(e,t);var n=r.settings.canLeaveEmptyGroup,o=t.pop(),i=e.getIn(su(o)),a=i.getIn(["properties","field"]),l=i.getIn(["properties","operator"]),s=(i.getIn(["properties","value",0]),a?$h(r,a):null),u=l?Yh(r,l,a):null,c=a&&l&&0!=u.cardinality,d="rule_group"==i.get("type"),p=!Eu(e,o),f=d?c&&s.initialEmptyWhere:n;return p&&!f&&(d&&(e=e.deleteIn(su(o))),e=fu(e),bu(e)&&!n)&&(e=ay(e,new ps.List,"rule",vs(),nd(r,void 0,void 0,!1,!1),r)),pu(e)}(l.tree,s.path,u);break;case Lv:c.tree=function(e,t,r){return e.setIn(su(t,"properties","conjunction"),r)}(l.tree,s.path,s.conjunction);break;case Pv:c.tree=function(e,t,r){return e.setIn(su(t,"properties","not"),r)}(l.tree,s.path,s.not);break;case Fv:var f=u.settings.optimizeRenderWithInternals,h=sy(l.tree,s.path,s.field,u,s.asyncListValues,s._meta),g=h.tree,v=h.isInternalValueChange;c.__isInternalValueChange=f&&v,c.tree=g;break;case Dv:c.tree=function(e,t,r,n){var o=n.settings.keepInputOnChangeFieldSrc,i=e.getIn(su(t)),a=(i.get("type"),i.get("properties")),l=null==a?void 0:a.get("field"),s=null==a?void 0:a.get("fieldType"),u=$h(n,l),c=(null==u?void 0:u.type)||s;c&&"!group"!==c&&"!struct"!==c||(c=null);var d=!Rf.includes(c);return(e=o&&!Bf(i,n)&&d?(e=(e=e.setIn(su(t,"properties","field"),null)).deleteIn(su(t,"properties","fieldError"))).setIn(su(t,"properties","fieldType"),c):e.setIn(su(t,"properties"),nd(n,null,null,!1))).setIn(su(t,"properties","fieldSrc"),r)}(l.tree,s.path,s.srcKey,u);break;case qv:c.tree=function(e,t,r){return du(e.setIn(su(t,"properties","isLocked"),r))}(l.tree,s.path,s.lock);break;case jv:c.tree=function(e,t,r,n){var o=n.settings.showErrorMessage,i=e.getIn(su(t,"properties")),a=e.getIn(su(t,"children1")),l=i.get("field"),s=(i.get("fieldSrc"),$h(n,l)),u="!group"==(null==s?void 0:s.type),c=Yh(n,r,l),d=c?Es(c):null;return e=e.updateIn(su(t,"properties"),(function(e){return e.withMutations((function(e){var t=e.get("field"),i=e.get("operatorOptions"),a=(e.get("value",new ps.List),e.get("valueSrc",new ps.List),e.get("operator"),vf(n,n,e,t,r,"operator",!0)),l=a.canReuseValue,s=a.newValue,u=a.newValueSrc,c=a.newValueType,d=a.newValueError;o&&(e=e.set("valueError",d));var p=l?i:rd(n,r,t);return l||(e=e.delete("asyncListValues")),e.set("operator",r).set("operatorOptions",p).set("value",s).set("valueSrc",u).set("valueType",c)}))})),u&&0==d&&0==a.size&&(e=ay(e,t,"rule",vs(),nd(n,l),n)),e}(l.tree,s.path,s.operator,u);break;case Mv:var y=u.settings.optimizeRenderWithInternals,m=uy(l.tree,s.path,s.delta,s.value,s.valueType,u,s.asyncListValues,s._meta),b=m.tree,E=m.isInternalValueChange;c.__isInternalValueChange=y&&E,c.tree=b;break;case Uv:var O=u.settings.optimizeRenderWithInternals,S=function(e,t,r,n,o,i,a,l,s){var u,c=arguments.length>9&&void 0!==arguments[9]?arguments[9]:{},d=(e.settings.showErrorMessage,-1===n),p=t.getIn(su(r,"properties")),f=p.get("field"),h=p.get("value"),g=[],v=d?f:h.getIn([n]),y=ey(o||[]);try{for(y.s();!(u=y.n()).done;){var m=zn(u.value,2),b=m[0],E=m[1];if(g.push([b,E,v]),b!==v.get("func")){var O=g.map((function(e){var t=zn(e,2),r=t[0],n=t[1];return"".concat(r,"(").concat(n,")")})).join("/")||"root";throw new Error("In ".concat(d?"LHS":"RHS"," for path ").concat(O," expected func key ").concat(b," but got ").concat(parent.get("func")))}v=v.getIn(["args",E,"value"])}}catch(e){y.e(e)}finally{y.f()}if(i){var S=v.get("func"),T=Bh(e,S).args[i];v="!valueSrc"===l?_f(v,i,a,T,e):Tf(v,i,a,T,e)}else v=bf(v,a,e,!0),c.canDropArgs=!0;for(var _=v;g.length;){var w=zn(g.pop(),3),R=w[0],A=w[1],I=w[2],C=Bh(e,R).args[A];_=Tf(I,A,_,C,e)}return d?sy(t,r,_,e,s,c):uy(t,r,n,_,void 0,e,s,c)}(u,l.tree,s.path,s.delta,s.parentFuncs,s.argKey,s.value,s.valueType,s.asyncListValues,s._meta),T=S.tree,_=S.isInternalValueChange;c.__isInternalValueChange=O&&_,c.tree=T;break;case Vv:c.tree=function(e,t,r,n,o){var i=o.settings.showErrorMessage,a=e.getIn(su(t,"properties","field"))||null,l=e.getIn(su(t,"properties","operator"))||null,s=Yh(o,l,a),u=l?Es(s):null;if(e=(e=(e=(e=cy(e,t,o,u)).setIn(su(t,"properties","value",r+""),void 0)).setIn(su(t,"properties","valueType",r+""),null)).deleteIn(su(t,"properties","asyncListValues")),i&&(e=e.setIn(su(t,"properties","valueError",r),null),s.validateValues&&(e=e.setIn(su(t,"properties","valueError",u),null))),e=void 0===n?e.setIn(su(t,"properties","valueSrc",r+""),null):e.setIn(su(t,"properties","valueSrc",r+""),n),n){var c=e.getIn(su(t,"properties")),d=vf(o,o,c,a,l,"valueSrc",!0),p=d.canReuseValue,f=d.newValue,h=d.newValueSrc,g=d.newValueType;d.newValueError,p||h.get(r)!=n||(e=(e=e.setIn(su(t,"properties","value",r+""),f.get(r))).setIn(su(t,"properties","valueType",r+""),g.get(r)))}return e}(l.tree,s.path,s.delta,s.srcKey,u,s._meta);break;case Bv:c.tree=function(e,t,r,n){return e.setIn(su(t,"properties","operatorOptions",r),n)}(l.tree,s.path,s.name,s.value);break;case Kv:c.tree=function(e,t,r,n,o){var i=cu(e,t),a=t.pop(),l=t.size>1?cu(e,a):null,s=l?l.get("children1"):null,u=cu(e,r),c=n==Hv||n==$v?r:r.pop(),d=n==Hv||n==$v?u:r.size>1?cu(e,c):null,p=d?d.get("children1"):null;if(!l||!d||!i)return e;var f=l.get("id")==d.get("id"),h=c.size<a.size&&Os(c.toArray(),a.toArray().slice(0,c.size)),g=c.size>a.size&&Os(a.toArray(),c.toArray().slice(0,a.size)),v=null,y=null;h?v=ps.List(a.toArray().slice(c.size)):g&&(y=ps.List(c.toArray().slice(a.size)));var m=p,b=s;return g||(b=b.delete(i.get("id"))),f?m=b:h&&(m=m.updateIn(uu(v,"children1"),(function(e){return b}))),n==zv||n==Wv?m=ps.OrderedMap().withMutations((function(e){var t,r=ey(m.entries());try{for(r.s();!(t=r.n()).done;){var o=zn(t.value,2),a=o[0],l=o[1];a==u.get("id")&&n==zv&&e.set(i.get("id"),i),e.set(a,l),a==u.get("id")&&n==Wv&&e.set(i.get("id"),i)}}catch(e){r.e(e)}finally{r.f()}})):n==Hv?m=m.merge(ps.OrderedMap(Vn({},i.get("id"),i))):n==$v&&(m=ps.OrderedMap(Vn({},i.get("id"),i)).merge(m)),g&&(b=(b=b.updateIn(uu(y,"children1"),(function(e){return m}))).delete(i.get("id"))),f||h||(e=e.updateIn(su(a,"children1"),(function(e){return b}))),g||(e=e.updateIn(su(c,"children1"),(function(e){return m}))),pu(e)}(l.tree,s.fromPath,s.toPath,s.placement);break;case Qv:c.dragStart=s.dragStart,c.dragging=s.dragging,c.mousePos=s.mousePos;break;case Yv:c.mousePos=s.mousePos,c.dragging=s.dragging;break;case Xv:c.tree=function(e,t){return t.settings.canLeaveEmptyGroup||(e=fu(e)),e}(l.tree,u),c=ny(ny({},c),dy)}return d&&(c.__lastAction=d),n&&c.tree&&l.tree&&n(l.tree),ny(ny(ny({},l),{__isInternalValueChange:void 0,__lastAction:void 0}),c)}},Dy=pe().createContext();var jy=p(7694),My=p(200),Vy="after",Uy="before",By="append",qy="prepend",Gy=function(e,t){return{type:"SET_DRAG_PROGRESS",mousePos:e,dragging:t}},Ky=function(e,t,r){return{type:"SET_DRAG_START",dragStart:e,dragging:t,mousePos:r}},Wy=function(){return{type:"SET_DRAG_END"}},zy=v,Hy=y,$y=m;function Yy(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Qy(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Qy(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Qy(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var Xy=Py.ConfigUtils,Jy=Xy.extendConfig,Zy=Xy.configKeys,em=function(){var e=new Map,t=0;return{getExtended:function(r){return n=function(e){return Ks()(e,Zy)}(r),function(t){var r,n=Yy(e.keys());try{var o,i=function(){var n=r.value;if(Zy.filter((function(e){return n[e]===t[e]})).length===Zy.length)return{v:e.get(n)}};for(n.s();!(r=n.n()).done;)if(o=i())return o.v}catch(e){n.e(e)}finally{n.f()}var a,l=Yy(e.values());try{var s,u=function(){var e=a.value;if(Zy.filter((function(r){return e[r]===t[r]})).length===Zy.length)return{v:e}};for(l.s();!(a=l.n()).done;)if(s=u())return s.v}catch(e){l.e(e)}finally{l.f()}return null}(n)||function(r){var n=Jy(r,++t);return e.size+1>2&&e.delete(e.keys().next().value),e.set(r,n),n}(n);var n},getBasic:function(t){var r,n=Yy(e.keys());try{var o,i=function(){var n=r.value,o=e.get(n);if(0===Zy.map((function(e){return o[e]===t[e]})).filter((function(e){return!e})).length)return{v:n}};for(n.s();!(r=n.n()).done;)if(o=i())return o.v}catch(e){n.e(e)}finally{n.f()}return t}}},tm=function(e,t,r){if(!t||!e||e.length<=t)return e;var n=e.substr(0,t-1);return(r?n.substr(0,n.lastIndexOf(" ")):n)+"..."},rm=function(e,t){return e===t||(null==e?void 0:e.equals(t))},nm=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return e===t||(Array.isArray(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=e.length;if(t.length!==n)return!1;for(var o=0;o<n;o++)if(!(r?nm(e[o],t[o],r):e[o]===t[o]))return!1;return!0}(e,t,r):e&&"function"==typeof e.equals?e.equals(t):"object"===Ln(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=Object.keys(e),o=Object.keys(t),i=n.length;if(o.length!==i)return!1;for(var a=0;a<i;a++){var l=n[a];if(!(r?nm(e[l],t[l],r):e[l]===t[l]))return!1}return!0}(e,t,r):e===t)},om=function(){var e=arguments.length>0&&void 0!==arguments[0]&&arguments[0];return(null!=e?e:("undefined"!=typeof process&&process.env,0))?console:{error:function(){},log:function(){},warn:function(){},debug:function(){},info:function(){}}}(),im=Py.Validation.validateAndFixTree,am=function e(t){if(t){var r,n=(r=t)._reactRootContainer?"root":Object.getOwnPropertyNames(r).filter((function(e){return e.startsWith("__reactContainer")})).length>0?"container":void 0;return void 0!==n?n:e(t.parentNode)}},lm=function(e){return"root"===am(e)},sm=function(e,t){return function(r,n){var o=e.props,i=e.state,a=r!=o||n!=i;if(a&&i==n&&o!=r){var l=[];for(var s in r){var u=r[s]!=o[s];u&&("ignore"==t[s]?u=!1:"shallow_deep"==t[s]?u=!nm(r[s],o[s],!0):"shallow"==t[s]?u=!nm(r[s],o[s]):"function"==typeof t[s]&&(u=t[s](r[s],o[s],n))),u&&l.push(s)}l.length||(a=!1)}return a}},um=function(e){return function(t,r){return!nm(e.props,t)||!nm(e.state,r)}},cm=function(e){if(e.shouldComponentUpdate||(e.shouldComponentUpdate=um(e)),16==(r=pe().version.split(".").map(parseInt.bind(null,10)))[0]&&r[1]<3||r[0]<16)e.componentWillReceiveProps=function(t){e.onPropsChanged(t)};else{var t=e.shouldComponentUpdate;e.shouldComponentUpdate=function(r,n){return!nm(e.props,r)&&e.onPropsChanged(r),t.call(e,r,n)}.bind(e)}var r},dm=function(e,t,r){return Zv()(e,(function(e){return function(){for(var n=arguments.length,o=new Array(n),i=0;i<n;i++)o[i]=arguments[i];return r(e.apply(void 0,[t].concat(o)))}}))};function pm(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function fm(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?pm(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):pm(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function hm(e,t,r){return t=Dn(t),Fn(e,gm()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function gm(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(gm=function(){return!!e})()}var vm=function(e){function t(e){var r;Nn(this,t),(r=hm(this,t,[e])).shouldComponentUpdate=sm(r,{tree:function(e){return e!==r.oldValidatedTree||r.oldValidatedTree!==r.validatedTree}}),cm(r),r._updateActions(e),r.validatedTree=e.getMemoizedTree(e.config,e.tree,void 0,e.sanitizeTree),r.oldValidatedTree=r.validatedTree;var n=e.getBasicConfig(e.config);return e.onInit&&e.onInit(r.validatedTree,n,void 0,r.actions),r}return Mn(t,e),kn(t,[{key:"_updateActions",value:function(e){var t=e.config,r=e.dispatch;this.actions=dm(fm(fm(fm({},zy),Hy),$y),t,r)}},{key:"onPropsChanged",value:function(e){var t=e.onChange,r=this.props.config,n=e.tree,o=(this.props.tree,e.config);if(this.oldValidatedTree=this.validatedTree,this.validatedTree=n,r!==o&&(this._updateActions(e),this.validatedTree=e.getMemoizedTree(o,n,r)),!rm(this.validatedTree,this.oldValidatedTree)){var i=e.getBasicConfig(o);t&&t(this.validatedTree,i,e.__lastAction,this.actions)}}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.renderBuilder,n=e.dispatch,o=e.__isInternalValueChange;return r({tree:this.validatedTree,actions:this.actions,config:t,dispatch:n,__isInternalValueChange:o})}}])}(de.Component);vm.propTypes={config:ky().object.isRequired,onChange:ky().func,onInit:ky().func,renderBuilder:ky().func,tree:ky().any};var ym=(0,My.connect)((function(e){return{tree:e.tree,__isInternalValueChange:e.__isInternalValueChange,__lastAction:e.__lastAction}}),null,null,{context:Dy})(vm);ym.displayName="ConnectedQuery";const mm=ym;function bm(e,t,r){return t=Dn(t),Fn(e,Em()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Em(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Em=function(){return!!e})()}var Om=Py.DefaultUtils.defaultRoot,Sm=function(e){function t(e,r){var n;Nn(this,t),(n=bm(this,t,[e,r])).setLastTree=function(e){n.prevTree&&(n.prevprevTree=n.prevTree),n.prevTree=e},n.getConfig=function(){return n.config},n.shouldComponentUpdate=sm(n,{value:function(e,t,r){return!1}}),cm(n);var o=em(),i=o.getExtended,a=o.getBasic;n.getMemoizedConfig=i,n.getBasicConfig=a,n.getMemoizedTree=function(){var e,t,r;return function(n,o){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:void 0,a=!(arguments.length>3&&void 0!==arguments[3])||arguments[3];return o?n.__configId===r&&(rm(o,e)||rm(o,t))?t:(r=n.__configId,e=o,t=!1===a?im(o,null,n,i||n,!1,!1,!1):im(o,null,n,i||n)):null}}();var l=n.getMemoizedConfig(e),s=l.settings.shouldCreateEmptyGroup,u=Om(l,!s),c=!!e.value,d=e.value||u,p=n.getMemoizedTree(l,d,void 0,c),f=Fy(l,p,n.getMemoizedTree,n.setLastTree,n.getConfig),h=(0,jy.createStore)(f);return n.config=l,n.state={store:h},n.QueryWrapper=function(e){return l.settings.renderProvider(e,l.ctx)},n}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=this.config,n=this.getMemoizedConfig(e),o=r!==n,i=this.state.store.getState().tree,a=!rm(e.value,this.props.value)&&!rm(e.value,i),l=a?e.value||Om(e):i,s=a&&!rm(e.value,this.prevTree)&&!rm(e.value,this.prevprevTree);if(this.sanitizeTree=s||o,o&&(t.settings.renderProvider!==e.settings.renderProvider&&(this.QueryWrapper=function(e){return n.settings.renderProvider(e,n.ctx)}),this.config=n),a||o){var u=this.getMemoizedTree(n,l,r,this.sanitizeTree);this.state.store.dispatch(zy.setTree(n,u))}}},{key:"render",value:function(){var e=this.props,t=e.renderBuilder,r=e.get_children,n=e.onChange,o=e.onInit,i=this.state.store,a=this.config,l=this.QueryWrapper;return pe().createElement(l,{config:a},pe().createElement(My.Provider,{store:i,context:Dy},pe().createElement(mm,{config:a,getMemoizedTree:this.getMemoizedTree,getBasicConfig:this.getBasicConfig,sanitizeTree:this.sanitizeTree,onChange:n,onInit:o,renderBuilder:t||r})))}}])}(de.Component);function Tm(){return Tm=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)({}).hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},Tm.apply(null,arguments)}Sm.propTypes={conjunctions:ky().object.isRequired,fields:ky().object.isRequired,types:ky().object.isRequired,operators:ky().object.isRequired,widgets:ky().object.isRequired,settings:ky().object.isRequired,ctx:ky().object.isRequired,onChange:ky().func,onInit:ky().func,renderBuilder:ky().func,value:ky().any};var _m=p(2584),wm=p.n(_m);function Rm(e,t,r){return t=Dn(t),Fn(e,Am()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Am(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Am=function(){return!!e})()}var Im=Py.ConfigUtils.getFieldConfig;function Cm(e,t,r){return t=Dn(t),Fn(e,Nm()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Nm(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Nm=function(){return!!e})()}var Lm=Py.clone,Pm=Py.TreeUtils.getFlatTree,xm=!1,km=["isDraggingTempo","isDraggingMe","dragging"];function Fm(e,t,r){return t=Dn(t),Fn(e,Dm()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Dm(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Dm=function(){return!!e})()}const jm=function(e){return function(t){var r;return r=function(r){function n(e){var t;return Nn(this,n),(t=Fm(this,n,[e])).handleDraggerMouseDown=function(e){var r=t.props.id,n=t.wrapper.current;t.props.onDragStart&&t.props.onDragStart(r,n,e)},t.wrapper=pe().createRef(),t}return Mn(n,r),kn(n,[{key:"render",value:function(){var r=this.props,n=r.isDraggingTempo,o=r.isDraggingMe,i=r.dragging,a=$g(r,km),l=a.isTrueLocked,s={};o&&n&&(xm||(s={top:i.y,left:i.x,width:i.w}));var u=wm()(e,"group-or-rule",o&&n?"qb-draggable":null,o&&!n?"qb-placeholder":null,l?"locked":null);return pe().createElement("div",{className:u,style:s,ref:this.wrapper,"data-id":this.props.id},pe().createElement(t,Tm({handleDraggerMouseDown:this.handleDraggerMouseDown,isDraggingMe:o,isDraggingTempo:n},a)))}}])}(de.PureComponent),r.propTypes={isDraggingTempo:ky().bool,isDraggingMe:ky().bool,onDragStart:ky().func,dragging:ky().object,isLocked:ky().bool,isTrueLocked:ky().bool},r}};var Mm=p(3790),Vm=p.n(Mm),Um=p(350),Bm=p.n(Um);function qm(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Gm(e,t,r){return t=Dn(t),Fn(e,Km()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Km(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Km=function(){return!!e})()}var Wm=Py.ConfigUtils,zm=Wm.getFieldConfig,Hm=Wm.getOperatorConfig,$m=function(e){function t(e){var r;return Nn(this,t),r=Gm(this,t,[e]),cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["config","selectedField","selectedFieldSrc","selectedFieldType","selectedOperator"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t,r=e.config,n=e.selectedField,o=e.selectedFieldType,i=e.selectedOperator,a=zm(r,n),l=Gn((null==a?void 0:a.operators)||(null===(t=r.types[o])||void 0===t?void 0:t.operators)||[]);n||l.includes(i)||l.push(i);var s=Zv()(Bm()(r.operators,(function(e,t){return-1!==(null==l?void 0:l.indexOf(t))})),(function(e,t){return Hm(r,t,n)})),u=this.buildOptions(r,s,l),c=s[i]||{},d=i?[i]:null;return{placeholder:this.props.config.settings.operatorPlaceholder,items:u,selectedKey:i,selectedKeys:d,selectedPath:d,selectedLabel:c.label,selectedOpts:c,fieldConfig:a}}},{key:"buildOptions",value:function(e,t,r){return t&&r?Vm()(t).sort((function(e,t){return r.indexOf(e)-r.indexOf(t)})).map((function(e){return{key:e,path:e,label:t[e].label}})):null}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setOperator,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderOperator,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?qm(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):qm(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({id:i,groupId:a,config:t,customProps:r,readonly:o,setField:n},this.meta);return s.items?l(s,t.ctx):null}}])}(de.Component);$m.propTypes={id:ky().string,groupId:ky().string,config:ky().object.isRequired,selectedField:ky().any,selectedFieldType:ky().string,selectedFieldSrc:ky().string,selectedOperator:ky().string,readonly:ky().bool,setOperator:ky().func.isRequired};var Ym=["children"],Qm=function(e){var t=e.children,r=$g(e,Ym);return pe().createElement("div",r,t)},Xm=function(){},Jm=function(){return pe().createElement("svg",{xmlns:"http://www.w3.org/2000/svg",viewBox:"0 0 24 24",fill:"gray",width:"18px",height:"18px"},pe().createElement("path",{d:"M0 0h24v24H0V0z",fill:"none"}),pe().createElement("path",{d:"M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"}))},Zm=function(e){return function(t){var r=t.config.settings.useConfirm,n=r?r.call(t.config.ctx,t.config.ctx):null;return pe().createElement(e,Tm({},t,{confirmFn:n}))}};function eb(e,t,r){return t=Dn(t),Fn(e,tb()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function tb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(tb=function(){return!!e})()}var rb=function(e){function t(){return Nn(this,t),eb(this,t,arguments)}return Mn(t,e),kn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.selectedOperator,a=e.setOperator,l=e.selectedFieldParts,s=e.showOperator,u=e.showOperatorLabel,c=e.selectedFieldWidgetConfig,d=e.readonly,p=e.id,f=e.groupId;return[s&&pe().createElement(Qm,{key:"operators-for-"+(l||[]).join("_"),className:"rule--operator"},t.settings.showLabels&&pe().createElement("label",{className:"rule--label"},t.settings.operatorLabel),pe().createElement($m,{key:"operator",config:t,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,selectedOperator:i,setOperator:a,readonly:d,id:p,groupId:f})),u&&pe().createElement(Qm,{key:"operators-for-"+(l||[]).join("_"),className:"rule--operator"},pe().createElement("div",{className:"rule--operator-wrapper"},t.settings.showLabels?pe().createElement("label",{className:"rule--label"}," "):null,pe().createElement("div",{className:"rule--operator-text-wrapper"},pe().createElement("span",{className:"rule--operator-text"},c.operatorInlineLabel))))]}}])}(de.PureComponent);function nb(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ob(e,t,r){return t=Dn(t),Fn(e,ib()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function ib(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(ib=function(){return!!e})()}var ab=Py.RuleUtils.getFieldPathLabels,lb=Py.ConfigUtils,sb=lb.getFieldConfig,ub=lb.getFieldParts,cb=lb.getFieldPathParts,db=function(e){function t(e){var r;return Nn(this,t),(r=ob(this,t,[e])).setField=function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=r.props.id;if(!n.widgetId){var i=[o,"L",-1].join(":");n.widgetId=i}r.props.setField(e,t,n)},cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["selectedField","selectedFieldSrc","selectedFieldType","config","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t=e.selectedField,r=e.selectedFieldType,n=e.config,o=e.parentField,i=t,a=n.settings,l=a.maxLabelsLength,s=a.fieldSeparatorDisplay,u=a.fieldPlaceholder,c=(a.fieldSeparator,!!t),d=c?null:tm(u,l),p=c?sb(n,i):null,f=p||{},h=cb(i,n),g=cb(i,n,!0),v=this.getFieldLabel(p,i,n),y=ab(i,n),m=y?y.join(s):null;(m==v||o)&&(m=null);var b=f.label2,E=ub(o,n),O=o?sb(n,o):null,S=o?O&&O.subfields:n.fields,T=!c&&r,_=this.buildOptions(E,n,S,T,E),w=T?"Please select field":null;return i&&"object"===Ln(i)&&(i=void 0),{placeholder:d,items:_,parentField:o,selectedKey:i,selectedKeys:h,selectedPath:g,selectedLabel:v,selectedOpts:f,selectedAltLabel:b,selectedFullLabel:m,errorText:w}}},{key:"getFieldLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=ub(t,r),i=(null==e?void 0:e.label)||$s()(o);return tm(i,n)}},{key:"buildOptions",value:function(e,t,r){var n=this,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:void 0,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,a=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null;if(!r)return null;var l=t.settings,s=l.fieldSeparator,u=l.fieldSeparatorDisplay,c=null!=i&&i.length?i.join(s)+s:"",d=function e(t){return Object.keys(t||{}).reduce((function(r,n){var i=t[n];return"!struct"===i.type?r+e(i.subfields):r+(i.type===o?1:0)}),0)};return Vm()(r).map((function(l){var s=[].concat(Gn(null!=i?i:[]),[l]),p=r[l],f=n.getFieldLabel(p,s,t),h=ab(s,t).join(u);(h==f||null!=e&&e.length)&&(h=null);var g=p.label2,v=p.tooltip,y=p.disabled;if(!p.hideForSelect){if("!struct"==p.type){var m=n.buildOptions(e,t,p.subfields,o,s,{label:f,tooltip:v}),b=d(p.subfields)>0;return{disabled:y,key:l,path:c+l,label:f,fullLabel:h,altLabel:g,tooltip:v,items:m,matchesType:b}}var E=void 0!==o?p.type===o:void 0;return{disabled:y,key:l,path:c+l,label:f,fullLabel:h,altLabel:g,tooltip:v,grouplabel:null==a?void 0:a.label,group:a,matchesType:E}}})).filter((function(e){return!!e}))}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setFieldSrc,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderField,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?nb(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):nb(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({id:i,groupId:a,config:t,customProps:r,readonly:o,setField:this.setField,setFieldSrc:n},this.meta);return l(s,t.ctx)}}])}(de.Component);function pb(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function fb(e,t,r){return t=Dn(t),Fn(e,hb()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function hb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(hb=function(){return!!e})()}db.propTypes={id:ky().string,groupId:ky().string,config:ky().object.isRequired,selectedField:ky().any,selectedFieldSrc:ky().string,selectedFieldType:ky().string,parentField:ky().string,customProps:ky().object,readonly:ky().bool,setField:ky().func.isRequired,setFieldSrc:ky().func};var gb=Py.clone,vb=Py.ConfigUtils,yb=vb.getFieldConfig,mb=vb.getFuncConfig,bb=vb.getFieldParts,Eb=vb.getFieldPathParts,Ob=Py.RuleUtils,Sb=Ob.getFuncPathLabels,Tb=Ob.getWidgetForFieldOp,_b=Py.OtherUtils.shallowEqual,wb=function(e){function t(e){var r;return Nn(this,t),r=fb(this,t,[e]),cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=!this.items||["config","field","fieldType","fieldSrc","operator","isFuncArg","isLHS","parentFuncs"].map((function(r){return"parentFuncs"===r?!_b(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0;(!this.meta||["config","field","fieldType","fieldSrc","value","isLHS"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e)),r&&(this.items=this.getItems(e,this.meta))}},{key:"getItems",value:function(e,t){var r=e.config,n=e.field,o=e.fieldType,i=e.isLHS,a=e.operator,l=e.parentFuncs,s=e.fieldDefinition,u=e.isFuncArg,c=t.lookingForFieldType,d=r.settings.canUseFuncForField,p=this.filterFuncs(r,r.funcs,n,o,i,a,d,l,u,s);return this.buildOptions(r,p,c)}},{key:"getMeta",value:function(e){var t=e.config,r=(e._field,e.fieldType),n=e.value,o=e.isLHS,i=e.isFuncArg,a=t.settings,l=a.funcPlaceholder,s=a.fieldSeparatorDisplay,u=n,c=!!n,d=c?null:l,p=c?mb(t,u):null,f=p||{},h=Eb(u,t),g=Eb(u,t,!0),v=this.getFuncLabel(p,u,t),y=Sb(u,t),m=y?y.join(s):null;m==v&&(m=null);var b=o&&!i&&!c&&r;return{placeholder:d,selectedKey:u,selectedKeys:h,selectedPath:g,selectedLabel:v,selectedOpts:f,selectedFullLabel:m,errorText:b?"Please select function":null,lookingForFieldType:b}}},{key:"filterFuncs",value:function(e,t,r,n,o,i,a,l,s,u){t=gb(t);var c,d=e.settings.fieldSeparator,p=yb(e,r),f=p,h=Tb(e,r,i,"value");return h&&e.widgets[h],s?(f=u,c=null==u?void 0:u.type):p?c=p.type:o||(c=n),function t(n,o){for(var s in n){var u=n[s].subfields,h=(o||[]).concat(s),g=h.join(d),v=mb(e,g);if("!struct"==v.type)0==t(u,h)&&delete n[s];else{var y,m=!c||v.returnType==c;null!==(y=f)&&void 0!==y&&y.funcs&&(m=m&&f.funcs.includes(g)),a&&(m=m&&a(r,p,g,v,i)),!v.allowSelfNesting&&l&&l.map((function(e){var t=zn(e,2),r=t[0];return t[1],r})).includes(g)&&(m=!1),m||delete n[s]}}return Vm()(n).length}(t,[]),t}},{key:"buildOptions",value:function(e,t){var r=this,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:void 0,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!t)return null;var a=e.settings,l=a.fieldSeparator,s=a.fieldSeparatorDisplay,u=null!=o&&o.length?o.join(l)+l:"",c=function e(t){return Object.keys(t||{}).reduce((function(r,o){var i=t[o];return"!struct"===i.type?r+e(i.subfields):r+(i.type===n?1:0)}),0)};return Vm()(t).map((function(a){var l=[].concat(Gn(null!=o?o:[]),[a]),d=t[a],p=r.getFuncLabel(d,l,e),f=Sb(l,e).join(s);f==p&&(f=null);var h=d.tooltip;if("!struct"==d.type){var g=r.buildOptions(e,d.subfields,n,l,{label:p,tooltip:h}),v=c(d.subfields)>0;return{key:a,path:u+a,label:p,fullLabel:f,tooltip:h,items:g,matchesType:v}}var y=void 0!==n?d.returnType===n:void 0;return{key:a,path:u+a,label:p,fullLabel:f,tooltip:h,grouplabel:null==i?void 0:i.label,group:i,matchesType:y}}))}},{key:"getFuncLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=bb(t,r),i=(null==e?void 0:e.label)||$s()(o);return tm(i,n)}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setValue,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderFunc,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?pb(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):pb(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({config:t,customProps:r,readonly:o,setField:n,items:this.items,id:i,groupId:a},this.meta);return l(s,t.ctx)}}])}(de.Component);wb.propTypes={id:ky().string,groupId:ky().string,config:ky().object.isRequired,field:ky().any,fieldType:ky().string,fieldSrc:ky().string,operator:ky().string,customProps:ky().object,value:ky().string,setValue:ky().func.isRequired,readonly:ky().bool,parentFuncs:ky().array,fieldDefinition:ky().object,isFuncArg:ky().bool,isLHS:ky().bool};var Rb=p(2285),Ab=p.n(Rb),Ib=["factory"];function Cb(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Nb(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Cb(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Cb(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Lb=Py.ListUtils.getTitleInListValues,Pb=Py.ConfigUtils._widgetDefKeysToOmit,xb=Py.TreeUtils._fixImmutableValue;const kb=function(e){var t=e.delta,r=e.isFuncArg,n=(e.valueSrc,e.value),o=e.valueError,i=e.fieldError,a=e.asyncListValues,l=e.isSpecialRange,s=e.fieldDefinition,u=(e.widget,e.widgetDefinition),c=e.widgetValueLabel,d=e.valueLabels,p=e.textSeparators,f=e.setValueHandler,h=e.setFuncValue,g=e.config,v=e.field,y=e.fieldSrc,m=e.fieldType,b=e.isLHS,E=e.operator,O=e.readonly,S=e.parentField,T=e.parentFuncs,_=e.id,w=e.groupId,R=e.widgetId,A=u.factory,I=$g(u,Ib),C=r&&s.valueSources&&1==s.valueSources.length&&"const"==s.valueSources[0],N=s.defaultValue;if(!A)return"?";var L=n?n.map((function(e){return xb(e)})):void 0,P=l?[null==L?void 0:L.get(0),null==L?void 0:L.get(1)]:L?L.get(t):void 0,x=(null==o?void 0:o.get)&&(l?[o.get(0),o.get(1),o.get(2)]:o.get(t))||null,k=b?i:x;l&&void 0===P[0]&&void 0===P[1]&&(P=void 0);var F=(s||{}).fieldSettings,D=hs()(Nb(Nb(Nb({},I),F),{},{config:g,field:v,fieldSrc:y,fieldType:m,isLHS:b,parentField:S,parentFuncs:T,fieldDefinition:s,operator:E,delta:t,isSpecialRange:l,isFuncArg:r,value:P,valueError:x,fieldError:i,errorMessage:k,label:c.label,placeholder:c.placeholder,placeholders:d?d.placeholder:null,textSeparators:p,setValue:f,setFuncValue:h,readonly:O,asyncListValues:a,id:_,groupId:w,widgetId:R}),[].concat(Gn(Pb),["toJS"]));if(C&&N){var j=(null==F?void 0:F.treeValues)||(null==F?void 0:F.listValues);return"boolean"==typeof N?N?D.labelYes||"YES":D.labelNo||"NO":j?Array.isArray(N)?N.map((function(e){return Lb(j,e)||e})).join(", "):Lb(j,N)||N:""+N}return A(D,g.ctx)};function Fb(e,t,r){return t=Dn(t),Fn(e,Db()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Db(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Db=function(){return!!e})()}var jb=Py.ConfigUtils,Mb=jb.getFieldConfig,Vb=jb.getOperatorConfig,Ub=jb.getFieldWidgetConfig,Bb=Py.RuleUtils,qb=Bb.getValueSourcesForFieldOp,Gb=Bb.getWidgetForFieldOp,Kb=Bb.getValueLabel,Wb=Py.DefaultUtils.createListFromArray,zb=Py.OtherUtils.shallowEqual,Hb={cardinality:1},$b=function(e){function t(e){var r;return Nn(this,t),(r=Fb(this,t,[e]))._setValue=function(e,t,n,o,i,a){var l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:{};if(l.widgetId||(l.widgetId=o),e&&Array.isArray(i)){var s=[r.props.value.get(0),r.props.value.get(1)];s[0]!=i[0]&&r.props.setValue(0,i[0],n,a,l),s[1]!=i[1]&&r.props.setValue(1,i[1],n,a,l)}else r.props.setValue(t,i,n,a,l)},r._setValueSrc=function(e,t,n){var o={widgetId:t};r.props.setValueSrc(e,n,o)},r.renderWidget=function(e,t,r){var n=r.config,o=r.isFuncArg,i=r.leftField,a=r.operator,l=r.value,s=r.valueError,u=r.fieldError,c=r.readonly,d=r.parentField,p=r.parentFuncs,f=r.id,h=r.groupId,g=r.fieldSrc,v=r.fieldType,y=r.isLHS,m=r.setFuncValue,b=n.settings,E=t.widgets,O=t.iValues,S=t.aField,T=t.valueSources,_=o?O:l,w=o?i:S,R=E[e],A=R.valueSrc,I=R.valueLabel,C=R.widgetId,N=T.length>1&&!c,L=b.showLabels?pe().createElement("label",{className:"rule--label"},I.label):null;return pe().createElement("div",{key:"widget-"+w+"-"+e,className:wm()("func"==A?"widget--func":"widget--widget",N?"widget--has-valuerscs":"widget--has-no-valuerscs")},"func"==A?null:L,pe().createElement(kb,Tm({id:f,groupId:h,widgetId:C,valueSrc:A,delta:e,value:_,valueError:s,fieldError:u,isFuncArg:o,isLHS:y},Ks()(t,["isSpecialRange","fieldDefinition","asyncListValues"]),Ks()(E[e],["widget","widgetDefinition","widgetValueLabel","valueLabels","textSeparators","setValueHandler"]),{setFuncValue:m,config:n,field:w,fieldSrc:g,fieldType:v,parentField:d,parentFuncs:p,operator:a,readonly:c})))},r.renderValueSources=function(e,t,r){var n=r.config,o=r.isFuncArg,i=r.leftField,a=r.operator,l=r.readonly,s=n.settings,u=t.valueSources,c=t.widgets,d=t.aField,p=o?i:d,f=c[e],h=f.valueSrc,g=f.setValueSrcHandler,v=s.valueSourcesInfo,y=s.renderValueSources,m=u.map((function(e){return[e,{label:v[e].label}]})),b=function(e){return y(e,n.ctx)},E=s.showLabels?pe().createElement("label",{className:"rule--label"}," "):null;return u.length>1&&!l&&pe().createElement("div",{key:"valuesrc-"+p+"-"+e,className:"widget--valuesrc"},E,pe().createElement(b,{key:"valuesrc-"+e,delta:e,valueSources:m,valueSrc:h,config:n,field:p,operator:a,setValueSrc:g,readonly:l,title:s.valueSourcesPopupTitle}))},r.renderSep=function(e,t,r){var n=r.config,o=t.widgets,i=n.settings,a=o[e].sepText,l=i.showLabels?pe().createElement("label",{className:"rule--label"}," "):null;return a&&pe().createElement("div",{key:"widget-separators-"+e,className:wm()("widget--sep",0==e&&"widget--sep-first")},l,pe().createElement("span",null,a))},r.renderWidgetDelta=function(e){return[r.renderSep(e,r.meta,r.props),r.renderValueSources(e,r.meta,r.props),r.renderWidget(e,r.meta,r.props)]},cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["config","id","parentFuncs","field","fieldSrc","fieldType","fieldFunc","fieldArg","leftField","operator","valueSrc","asyncListValues","isLHS","isFuncArg","isForRuleGroup","isCaseValue"].map((function(r){return"parentFuncs"===r?!zb(e[r],t[r],!0):"isFuncArg"===r?e[r]!==t[r]||e.isFuncArg&&e.value!==t.value:e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t,r,n=this,o=e.config,i=e.field,a=(e.fieldSrc,e.fieldType),l=e.fieldFunc,s=e.fieldArg,u=e.operator,c=e.valueSrc,d=e.value,p=e.isForRuleGroup,f=e.isCaseValue,h=e.isFuncArg,g=(e.leftField,e.asyncListValues),v=e.parentFuncs,y=e.isLHS,m=e.id,b=h?{func:l,arg:s}:i,E=!i&&a,O=c,S=d;(h||p||f)&&(O=Wb([c]),S=Wb([d]));var T=Mb(o,b);!T&&E&&(T=o.types[a]);var _,w=Gb(o,b,u);!w&&E&&(w=null===(_=o.types[a])||void 0===_?void 0:_.mainWidget);var R=h?Hb:Vb(o,u,b);if((null==T||null==R)&&!f)return null;var A,I,C=null==R?void 0:R.isSpecialRange,N=C&&("field"==(null===(t=O)||void 0===t?void 0:t.get(0))||"field"==(null===(r=O)||void 0===r?void 0:r.get(1))),L=C&&!N,P=L?1:null!==(I=null==(A=R)?void 0:A.cardinality)&&void 0!==I?I:1;if(0===P)return null;var x=qb(o,b,u,T);b||(x=Object.keys(o.settings.valueSourcesInfo));var k=Ab()(0,P).map((function(e){var t,r,i=(null===(t=O)||void 0===t?void 0:t.get(e))||null,a=Gb(o,b,u,i),l=Ub(o,b,u,a,i);N&&(a=l.singleWidget,l=Ub(o,b,u,a,i)),!l&&E&&(a=["func","field"].includes(i)?i:w,l=o.widgets[a]);var s=null===(r=l)||void 0===r?void 0:r.type,c=Kb(o,b,u,e,i,L),d=Kb(o,b,u,e,null,L),p=null!=R&&R.textSeparators?null==R?void 0:R.textSeparators[e]:null,f=null,h=null;C&&(f={placeholder:[(f=[Kb(o,b,u,0),Kb(o,b,u,1)])[0].placeholder,f[1].placeholder],label:[f[0].label,f[1].label]},h=null==R?void 0:R.textSeparators);var g=[m,y?"L":"R",y?-1:e||0,(v||[]).map((function(e){var t=zn(e,2),r=t[0],n=t[1];return"".concat(r,"(").concat(n,")")})).join("/")].join(":"),S=g+":VS";return{valueSrc:i,valueLabel:c,widget:a,sepText:p,widgetDefinition:l,widgetValueLabel:d,valueLabels:f,textSeparators:h,setValueSrcHandler:n._setValueSrc.bind(n,e,S),setValueHandler:n._setValue.bind(n,C,e,s,g),widgetId:g}}));return{defaultWidget:w,fieldDefinition:T,operatorDefinition:R,isSpecialRange:L,cardinality:P,valueSources:x,widgets:k,iValues:S,aField:b,asyncListValues:g}}},{key:"render",value:function(){if(!this.meta)return null;var e=this.meta,t=e.defaultWidget,r=e.cardinality;if(!t)return null;var n=t;return pe().createElement(Qm,{className:"rule--widget rule--widget--".concat(n.toUpperCase()),key:"widget-col-"+n},Ab()(0,r).map(this.renderWidgetDelta))}}])}(de.Component);function Yb(e,t,r){return t=Dn(t),Fn(e,Qb()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Qb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Qb=function(){return!!e})()}$b.propTypes={config:ky().object.isRequired,value:ky().any,valueSrc:ky().any,valueError:ky().any,fieldError:ky().string,field:ky().any,fieldSrc:ky().string,fieldType:ky().string,operator:ky().string,readonly:ky().bool,asyncListValues:ky().array,id:ky().string,groupId:ky().string,setValue:ky().func,setValueSrc:ky().func,setFuncValue:ky().func,isFuncArg:ky().bool,fieldFunc:ky().string,fieldArg:ky().string,leftField:ky().any,isForRuleGroup:ky().bool,parentField:ky().string,parentFuncs:ky().array,isLHS:ky().bool,isCaseValue:ky().bool};var Xb=Py.ConfigUtils.getFuncConfig,Jb=Py.FuncUtils,Zb=(Jb.setFunc,Jb.setArgValue,Jb.setArgValueSrc,Py.OtherUtils.shallowEqual),eE=function(e){function t(e){var r;return Nn(this,t),(r=Yb(this,t,[e])).setFunc=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=r.props,o=n.isLHS,i=n.delta,a=n.parentFuncs,l=n.id;if(!t.widgetId){var s=[l,o?"L":"R",o?-1:i||0,(a||[]).map((function(e){var t=zn(e,2),r=t[0],n=t[1];return"".concat(r,"(").concat(n,")")})).join("/"),"F"].join(":");t.widgetId=s}r.props.setFuncValue(o?-1:i||0,a,null,e,"!func",void 0,t)},r.setArgValue=function(e,t,n,o,i){var a=r.props,l=(a.config,a.delta),s=a.isLHS,u=a.parentFuncs;r.props.setFuncValue(s?-1:l||0,u,e,t,n,o,i)},r.setArgValueSrc=function(e,t,n){var o=r.props,i=(o.config,o.delta),a=o.isLHS,l=o.parentFuncs;r.props.setFuncValue(a?-1:i||0,l,e,t,"!valueSrc",void 0,n)},r.renderFuncSelect=function(){var e,t,n=r.props,o=n.config,i=n.field,a=n.fieldType,l=n.fieldSrc,s=n.isLHS,u=n.operator,c=n.customProps,d=n.value,p=n.readonly,f=n.parentFuncs,h=n.id,g=n.groupId,v=n.isFuncArg,y=n.fieldDefinition,m={value:null!==(e=null==d||null===(t=d.get)||void 0===t?void 0:t.call(d,"func"))&&void 0!==e?e:null,setValue:r.setFunc,config:o,field:i,fieldType:a,fieldSrc:l,isLHS:s,operator:u,customProps:c,readonly:p,parentFuncs:f,isFuncArg:v,fieldDefinition:y,id:h,groupId:g},b=o.settings,E=b.showLabels,O=b.funcLabel,S=E?pe().createElement("label",{className:"rule--label"},O):null;return pe().createElement(Qm,{key:"func",className:"rule--func"},S,pe().createElement(wb,m))},r.renderArgLabel=function(e,t){var n=t.valueSources,o=t.type,i=t.showPrefix,a=t.label,l=r.props.config,s=n&&1==n.length&&"const"==n[0];return l.settings.showLabels||"boolean"!=o&&!s||!i?null:pe().createElement(Qm,{className:"rule--func--arg-label"},a||e)},r.renderArgLabelSep=function(e,t){var n=t.valueSources,o=t.type,i=t.showPrefix,a=r.props.config,l=n&&1==n.length&&"const"==n[0];return a.settings.showLabels||"boolean"!=o&&!l||!i?null:pe().createElement(Qm,{className:"rule--func--arg-label-sep"},":")},r.renderArgVal=function(e,t,n){var o=r.props,i=o.config,a=o.field,l=o.fieldType,s=o.fieldSrc,u=o.isLHS,c=(o.operator,o.value),d=o.readonly,p=o.parentFuncs,f=o.id,h=o.groupId,g=o.fieldError,v=o.valueError,y=o.setFuncValue,m=c?c.getIn(["args",t]):null,b=m?m.get("value"):void 0,E=1==n.valueSources.length?n.valueSources[0]:void 0,O={config:i,fieldFunc:e,fieldArg:t,leftField:a,fieldType:l,fieldSrc:s,fieldError:g,valueError:v,isLHS:u,operator:null,value:b,valueSrc:m?m.get("valueSrc")||E||"value":E,setValue:r.setArgValue,setValueSrc:r.setArgValueSrc,setFuncValue:y,funcKey:e,argKey:t,argDefinition:n,readonly:d,parentFuncs:p,id:f,groupId:h};return pe().createElement(Qm,{className:"rule--func--arg-value"},pe().createElement(tE,O))},r.renderArgSep=function(e,t,r,n){var o=n.renderSeps;return r?pe().createElement(Qm,{className:"rule--func--arg-sep"},o?o[r-1]:", "):null},r.renderBracketBefore=function(e){var t=e.renderBrackets;return pe().createElement(Qm,{key:"before_args",className:"rule--func--bracket-before"},t?t[0]:"(")},r.renderBracketAfter=function(e){var t=e.renderBrackets;return pe().createElement(Qm,{key:"after_args",className:"rule--func--bracket-after"},t?t[1]:")")},r.renderFuncArgs=function(){var e=r.meta,t=e.funcDefinition,n=e.funcKey;if(!n)return null;var o=(t||{}).args;return o?pe().createElement(pe().Fragment,null,r.renderBracketBefore(t),pe().createElement(Qm,{key:"args-".concat(n),className:"rule--func--args rule--func--".concat(n,"--args")},Object.keys(o).map((function(e,i){return pe().createElement(Qm,{key:"arg-".concat(e,"-").concat(i),className:"rule--func--arg rule--func--".concat(n,"--arg--").concat(e)},r.renderArgSep(e,o[e],i,t),r.renderArgLabel(e,o[e]),r.renderArgLabelSep(e,o[e]),r.renderArgVal(n,e,o[e]))}))),r.renderBracketAfter(t)):null},cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["config","field","operator","value","fieldSrc","fieldType","isLHS"].map((function(r){return"parentFuncs"===r?!Zb(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t,r,n=e.config,o=(e.field,e.operator,e.value),i=null!==(t=null==o||null===(r=o.get)||void 0===r?void 0:r.call(o,"func"))&&void 0!==t?t:null;return{funcDefinition:i?Xb(n,i):null,funcKey:i}}},{key:"render",value:function(){var e=this.props.parentFuncs,t=e?e.map((function(e){var t=zn(e,2),r=t[0],n=t[1];return"".concat(r,"_").concat(n)})).join("-"):"root",r=(null==e?void 0:e.length)||0;return pe().createElement(Qm,{className:"rule--func--wrapper rule--func--wrapper--under-".concat(t," rule--func--wrapper--lev-").concat(r)},this.renderFuncSelect(),this.renderFuncArgs())}}])}(de.Component);eE.propTypes={id:ky().string,groupId:ky().string,config:ky().object.isRequired,field:ky().any,fieldSrc:ky().string,fieldType:ky().string,fieldError:ky().string,operator:ky().string,customProps:ky().object,value:ky().object,setValue:ky().func.isRequired,setFuncValue:ky().func,readonly:ky().bool,parentFuncs:ky().array,fieldDefinition:ky().object,isFuncArg:ky().bool,isLHS:ky().bool,valueError:ky().string};var tE=function(e){function t(e){var r;return Nn(this,t),(r=Yb(this,t,[e])).setValue=function(e,t,n,o,i){var a=r.props;(0,a.setValue)(a.argKey,t,n,o,i)},r.setValueSrc=function(e,t,n){var o=r.props;(0,o.setValueSrc)(o.argKey,t,n)},cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["parentFuncs","funcKey","argKey"].map((function(r){return"parentFuncs"===r?!Zb(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t=e.parentFuncs,r=e.funcKey,n=e.argKey;return{parentFuncs:[].concat(Gn(t||[]),[[r,n]])}}},{key:"render",value:function(){var e=this.meta.parentFuncs;return pe().createElement($b,Tm({},this.props,{setValue:this.setValue,setValueSrc:this.setValueSrc,isFuncArg:!0,parentFuncs:e}))}}])}(de.Component);function rE(e,t,r){return t=Dn(t),Fn(e,nE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function nE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(nE=function(){return!!e})()}tE.propTypes={funcKey:ky().string.isRequired,argKey:ky().string.isRequired,setValue:ky().func.isRequired,setValueSrc:ky().func.isRequired,readonly:ky().bool,isLHS:ky().bool,parentFuncs:ky().array,id:ky().string,groupId:ky().string};var oE=function(e){function t(){var e;Nn(this,t);for(var r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=rE(this,t,[].concat(n))).renderField=function(){var t=e.props,r=t.config,n=t.classname,o=t.selectedField,i=t.selectedFieldSrc,a=t.selectedFieldType,l=t.setField,s=t.setFuncValue,u=t.parentField,c=t.readonly,d=t.id,p=t.groupId,f=t.fieldError,h=t.valueError;if(!["func","field"].includes(i))return"?";var g="func"===i?pe().createElement(eE,{isLHS:!0,config:r,value:o,fieldSrc:i,fieldType:a,fieldError:f,valueError:h,parentField:u,setValue:l,setFuncValue:s,readonly:c,id:d,groupId:p,key:"field-func-"+d}):pe().createElement(db,{config:r,selectedField:o,selectedFieldSrc:i,selectedFieldType:a,parentField:u,setField:l,customProps:r.settings.customFieldSelectProps,readonly:c,id:d,groupId:p,key:"field-"+d}),v="func"===i?r.settings.funcLabel:r.settings.fieldLabel,y=r.settings.showLabels&&"func"!==i&&pe().createElement("label",{className:"rule--label"},v);return pe().createElement("div",{key:i,className:n},y,g)},e.renderFieldSources=function(){var t=e.props,r=t.config,n=t.readonly,o=t.selectedFieldSrc,i=t.setFieldSrc,a=t.id,l=r.settings,s=l.fieldSources,u=l.valueSourcesInfo,c=l.renderValueSources,d=s.map((function(e){return[e,{label:u[e].label}]})),p=function(e){return c(e,r.ctx)},f=l.showLabels?pe().createElement("label",{className:"rule--label"}," "):null;return s.length>1&&!n&&pe().createElement("div",{key:"fieldsrc",className:"rule--fieldsrc"},f,pe().createElement(p,{key:"fieldsrc-"+a,valueSources:d,valueSrc:o,config:r,setValueSrc:i,readonly:n,title:l.fieldSourcesPopupTitle}))},e}return Mn(t,e),kn(t,[{key:"render",value:function(){var e=this.props,t=(e.classname,e.canSelectFieldSource),r=t&&this.renderFieldSources(),n=this.renderField();return t?pe().createElement(Qm,{className:"rule--field-wrapper"},r,n):n}}])}(de.PureComponent),iE=["factory"];function aE(e,t,r){return t=Dn(t),Fn(e,lE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function lE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(lE=function(){return!!e})()}var sE=Py.ConfigUtils.getOperatorConfig,uE=function(e){function t(){return Nn(this,t),aE(this,t,arguments)}return Mn(t,e),kn(t,[{key:"render",value:function(){if(!this.props.selectedOperator)return null;var e=sE(this.props.config,this.props.selectedOperator,this.props.selectedField);if(void 0===e.options)return null;var t=e.options,r=t.factory,n=$g(t,iE),o=r(Object.assign({},n,{config:this.props.config,field:this.props.selectedField,fieldSrc:this.props.selectedFieldSrc,operator:this.props.selectedOperator,options:this.props.operatorOptions,setOption:this.props.setOperatorOption,readonly:this.props.readonly}),this.props.config.ctx),i=this.props.selectedOperator;return pe().createElement("div",{className:"rule--operator rule--operator--".concat(i.toUpperCase())},o)}}])}(de.PureComponent);function cE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function dE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?cE(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):cE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function pE(e,t,r){return t=Dn(t),Fn(e,fE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function fE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(fE=function(){return!!e})()}uE.propTypes={config:ky().object.isRequired,operatorOptions:ky().any.isRequired,selectedField:ky().any,selectedFieldSrc:ky().string,selectedOperator:ky().string.isRequired,readonly:ky().bool,setOperatorOption:ky().func.isRequired};var hE=Py.ConfigUtils,gE=hE.getFieldConfig,vE=hE.getOperatorConfig,yE=hE.getFieldWidgetConfig,mE=hE.getFieldParts,bE=Py.RuleUtils.isEmptyRuleProperties,EE=function(e){function t(e){var r;return Nn(this,t),r=pE(this,t,[e]),cm(r),r.removeSelf=r.removeSelf.bind(r),r.setLock=r.setLock.bind(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["selectedField","selectedFieldSrc","selectedFieldType","selectedOperator","config","reordableNodesCnt","isLocked"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t=e.selectedField,r=e.selectedFieldType,n=e.selectedOperator,o=e.config,i=e.reordableNodesCnt,a=e.isLocked,l=o.settings.keepInputOnChangeFieldSrc,s=mE(t,o),u=gE(o,t),c=u&&"!struct"==u.type,d=!!t||l&&r,p=d&&n,f=vE(o,n,t),h=f&&null!=f.options,g=yE(o,t,n,null,null)||{},v=g.hideOperator;return{selectedFieldParts:s,selectedFieldWidgetConfig:g,showDragIcon:o.settings.canReorder&&i>1&&!a,showOperator:d&&!v,showOperatorLabel:d&&v&&g.operatorInlineLabel,showWidget:p&&!c,showOperatorOptions:p&&h}}},{key:"setLock",value:function(e){this.props.setLock(e)}},{key:"removeSelf",value:function(){var e=this,t=this.props,r=t.confirmFn,n=t.config,o=n.settings,i=o.renderConfirm,a=o.removeRuleConfirmOptions,l=function(){e.props.removeSelf()};a&&!this.isEmptyCurrentRule()?i.call(n.ctx,dE(dE({},a),{},{onOk:l,onCancel:null,confirmFn:r}),n.ctx):l()}},{key:"_buildWidgetProps",value:function(e){return{field:e.selectedField,fieldSrc:e.selectedFieldSrc,fieldType:e.selectedFieldType,operator:e.selectedOperator,operatorOptions:e.operatorOptions,value:e.value,valueType:e.valueType,valueSrc:e.valueSrc,asyncListValues:e.asyncListValues,valueError:e.valueError,fieldError:e.fieldError,parentField:e.parentField}}},{key:"isEmptyCurrentRule",value:function(){var e=this.props.config,t=this._buildWidgetProps(this.props);return bE(t,e)}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.parentField,o=e.groupId,i=e.id,a=e.selectedFieldSrc,l=e.selectedField,s=e.selectedFieldType,u=e.setField,c=e.setFuncValue,d=e.setFieldSrc,p=e.fieldError,f=t.settings.immutableFieldsMode;return pe().createElement(oE,{key:"field",classname:wm()("func"==a?"rule--field--func":"rule--field"),config:t,canSelectFieldSource:!n,selectedField:l,selectedFieldSrc:a,selectedFieldType:s,fieldError:p,setField:f?Xm:u,setFuncValue:f?Xm:c,setFieldSrc:f?Xm:d,parentField:n,readonly:f||r,id:i,groupId:o})}},{key:"renderOperator",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=this.meta,o=n.selectedFieldParts,i=n.selectedFieldWidgetConfig,a=n.showOperator,l=n.showOperatorLabel,s=t.settings.immutableOpsMode;return pe().createElement(rb,{key:"operator",config:t,selectedField:this.props.selectedField,selectedFieldSrc:this.props.selectedFieldSrc,selectedFieldType:this.props.selectedFieldType,selectedOperator:this.props.selectedOperator,setOperator:s?Xm:this.props.setOperator,selectedFieldParts:o,showOperator:a,showOperatorLabel:l,selectedFieldWidgetConfig:i,readonly:s||r,id:this.props.id,groupId:this.props.groupId})}},{key:"renderWidget",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=this.meta.showWidget,o=t.settings.immutableValuesMode;if(!n)return null;var i=pe().createElement($b,Tm({key:"values"},this._buildWidgetProps(this.props),{config:t,setValue:o?Xm:this.props.setValue,setValueSrc:o?Xm:this.props.setValueSrc,setFuncValue:o?Xm:this.props.setFuncValue,readonly:o||r,id:this.props.id,groupId:this.props.groupId}));return pe().createElement(Qm,{key:"widget-for-"+this.props.selectedOperator,className:"rule--value"},i)}},{key:"renderOperatorOptions",value:function(){var e=this.props.config,t=this.meta.showOperatorOptions,r=e.settings,n=r.immutableOpsMode,o=r.immutableValuesMode;if(!t)return null;var i=pe().createElement(uE,{key:"operatorOptions",selectedField:this.props.selectedField,selectedOperator:this.props.selectedOperator,operatorOptions:this.props.operatorOptions,setOperatorOption:n?Xm:this.props.setOperatorOption,config:e,readonly:o});return pe().createElement(Qm,{key:"op-options-for-"+this.props.selectedOperator,className:"rule--operator-options"},i)}},{key:"renderBeforeWidget",value:function(){var e=this.props.config,t=e.settings.renderBeforeWidget;return t&&pe().createElement(Qm,{key:"before-widget-for-"+this.props.selectedOperator,className:"rule--before-widget"},"function"==typeof t?t(this.props,e.ctx):t)}},{key:"renderAfterWidget",value:function(){var e=this.props.config,t=e.settings.renderAfterWidget;return t&&pe().createElement(Qm,{key:"after-widget-for-"+this.props.selectedOperator,className:"rule--after-widget"},"function"==typeof t?t(this.props,e.ctx):t)}},{key:"renderError",value:function(){var e=this.props,t=e.config,r=e.valueError,n=e.fieldError,o=t.settings,i=o.renderRuleError,a=o.showErrorMessage,l=[n].concat(Gn((null==r?void 0:r.toArray())||[])).filter((function(e){return!!e})).shift()||null;return a&&l&&pe().createElement("div",{className:"rule--error"},i?i({error:l},t.ctx):l)}},{key:"renderDrag",value:function(){var e=this.props.handleDraggerMouseDown,t=this.props.config,r=this.meta.showDragIcon,n=t.settings.renderIcon,o=function(e){return null==n?void 0:n(e,t.ctx)},i=pe().createElement(o,{type:"drag"});return r&&pe().createElement("div",{key:"rule-drag-icon",onMouseDown:e,className:"qb-drag-handler rule--drag-handler"},i)}},{key:"renderDel",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=t.settings,o=n.deleteLabel,i=n.immutableGroupsMode,a=n.renderButton,l=n.renderIcon,s=n.canDeleteLocked,u=function(e){return a(e,t.ctx)};return!i&&(!r||r&&s)&&pe().createElement(u,{type:"delRule",onClick:this.removeSelf,label:o,config:t,renderIcon:function(e){return l(e,t.ctx)}})}},{key:"renderLock",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.isTrueLocked,o=e.id,i=t.settings,a=i.lockLabel,l=i.lockedLabel,s=i.showLock,u=i.renderSwitch,c=function(e){return u(e,t.ctx)};return s&&!(r&&!n)&&pe().createElement(c,{type:"lock",id:o,value:r,setValue:this.setLock,label:a,checkedLabel:l,hideLabel:!0,config:t})}},{key:"render",value:function(){var e=this.meta,t=e.showOperatorOptions,r=e.selectedFieldWidgetConfig,n=this.props,o=n.valueSrc,i=n.value,a=n.config,l="value"==(null==o?void 0:o.first())&&!t&&1==i.size&&r.fullWidth,s=a.settings.renderButtonGroup,u=function(e){return s(e,a.ctx)},c=[this.renderField(),this.renderOperator(),this.renderBeforeWidget(),this.renderWidget(),this.renderAfterWidget(),this.renderOperatorOptions()],d=pe().createElement("div",{key:"rule-body",className:wm()("rule--body",l&&"can--shrink--value")},c),p=this.renderError(),f=this.renderDrag(),h=this.renderLock(),g=this.renderDel();return pe().createElement(pe().Fragment,null,f,pe().createElement("div",{className:"rule--body--wrapper"},d,p),pe().createElement("div",{className:"rule--header"},pe().createElement(u,{config:a},h,g)))}}])}(de.Component);EE.propTypes={id:ky().string.isRequired,groupId:ky().string,selectedField:ky().any,selectedFieldSrc:ky().string,selectedFieldType:ky().string,selectedOperator:ky().string,operatorOptions:ky().object,config:ky().object.isRequired,value:ky().any,valueSrc:ky().any,valueType:ky().any,asyncListValues:ky().array,isDraggingMe:ky().bool,isDraggingTempo:ky().bool,parentField:ky().string,valueError:ky().any,fieldError:ky().string,isLocked:ky().bool,isTrueLocked:ky().bool,handleDraggerMouseDown:ky().func,setField:ky().func,setFieldSrc:ky().func,setOperator:ky().func,setOperatorOption:ky().func,setLock:ky().func,removeSelf:ky().func,setValue:ky().func,setValueSrc:ky().func,reordableNodesCnt:ky().number,totalRulesCnt:ky().number,parentReordableNodesCnt:ky().number};const OE=function(e){var t=(0,My.connect)((function(e){return{dragging:e.dragging}}),null,null,{context:Dy})(function(e){var t;return t=function(t){function r(e){var t;return Nn(this,r),(t=Rm(this,r,[e])).dummyFn=function(){},t.removeSelf=function(){t.props.actions.removeRule(t.props.path)},t.setLock=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;t.props.actions.setLock(t.props.path,e)},t.setField=function(e,r,n){t.props.actions.setField(t.props.path,e,r,n)},t.setFieldSrc=function(e){t.props.actions.setFieldSrc(t.props.path,e)},t.setOperator=function(e){t.props.actions.setOperator(t.props.path,e)},t.setOperatorOption=function(e,r){t.props.actions.setOperatorOption(t.props.path,e,r)},t.setValue=function(e,r,n,o,i){t.props.actions.setValue(t.props.path,e,r,n,o,i)},t.setValueSrc=function(e,r,n){t.props.actions.setValueSrc(t.props.path,e,r,n)},t.setFuncValue=function(e,r,n,o,i,a,l){t.props.actions.setFuncValue(t.props.path,e,r,n,o,i,a,l)},t.pureShouldComponentUpdate=um(t),t.dummyFn.isDummyFn=!0,t}return Mn(r,t),kn(r,[{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=(e.dragging.id||r.dragging.id)==e.id,a=[];for(var l in e){var s=e[l]!=r[l];"dragging"!=l||i||(s=!1),s&&a.push(l)}a.length||(o=!1)}return o}},{key:"render",value:function(){var t=this.props.dragging.id==this.props.id,r=Im(this.props.config,this.props.field),n=this.props.fieldType||(null==r?void 0:r.type)||null,o=this.props.config.settings.showErrorMessage,i=(r&&r.type,!t&&this.props.isDraggingTempo),a=this.props,l=a.valueError,s=null!=([a.fieldError].concat(Gn((null==l?void 0:l.toArray())||[])).filter((function(e){return!!e})).shift()||null)&&o;return pe().createElement("div",{className:wm()("group-or-rule-container","rule-container",s?"rule-with-error":null),"data-id":this.props.id},[t?pe().createElement(e,{key:"dragging",id:this.props.id,groupId:this.props.groupId,isDraggingMe:!0,isDraggingTempo:!0,dragging:this.props.dragging,setField:this.dummyFn,setFieldSrc:this.dummyFn,setFuncValue:this.dummyFn,setOperator:this.dummyFn,setOperatorOption:this.dummyFn,setLock:this.dummyFn,removeSelf:this.dummyFn,setValue:this.dummyFn,setValueSrc:this.dummyFn,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:n,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,value:this.props.value||null,valueSrc:this.props.valueSrc||null,valueType:this.props.valueType||null,valueError:this.props.valueError||null,fieldError:this.props.fieldError||null,operatorOptions:this.props.operatorOptions,config:this.props.config,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,asyncListValues:this.props.asyncListValues,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt}):null,pe().createElement(e,{key:this.props.id,id:this.props.id,groupId:this.props.groupId,isDraggingMe:t,isDraggingTempo:i,onDragStart:this.props.onDragStart,setLock:i?this.dummyFn:this.setLock,removeSelf:i?this.dummyFn:this.removeSelf,setField:i?this.dummyFn:this.setField,setFieldSrc:i?this.dummyFn:this.setFieldSrc,setFuncValue:i?this.dummyFn:this.setFuncValue,setOperator:i?this.dummyFn:this.setOperator,setOperatorOption:i?this.dummyFn:this.setOperatorOption,setValue:i?this.dummyFn:this.setValue,setValueSrc:i?this.dummyFn:this.setValueSrc,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:n,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,value:this.props.value||null,valueSrc:this.props.valueSrc||null,valueType:this.props.valueType||null,valueError:this.props.valueError||null,fieldError:this.props.fieldError||null,operatorOptions:this.props.operatorOptions,config:this.props.config,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,asyncListValues:this.props.asyncListValues,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt})])}}])}(de.Component),t.propTypes={id:ky().string.isRequired,groupId:ky().string,config:ky().object.isRequired,path:ky().any.isRequired,operator:ky().string,field:ky().any,fieldSrc:ky().string,fieldType:ky().string,actions:ky().object.isRequired,onDragStart:ky().func,value:ky().any,valueSrc:ky().any,asyncListValues:ky().array,valueError:ky().any,fieldError:ky().string,operatorOptions:ky().object,reordableNodesCnt:ky().number,parentField:ky().string,isLocked:ky().bool,isTrueLocked:ky().bool,dragging:ky().object,isDraggingTempo:ky().bool},t}(e));return t.displayName="ConnectedRuleContainer",t}(jm("rule")(Zm(EE)));var SE=p(3547),TE=p.n(SE);function _E(e,t,r){return t=Dn(t),Fn(e,wE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function wE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(wE=function(){return!!e})()}var RE=Py.DefaultUtils.defaultGroupConjunction;const AE=function(e,t){var r=(0,My.connect)((function(e){return{dragging:e.dragging}}),null,null,{context:Dy})(function(e,t){var r;return r=function(r){function n(e){var r;return Nn(this,n),(r=_E(this,n,[e]))._selectedConjunction=function(e){return(e=e||r.props).conjunction||RE(e.config,e.field)},r.setConjunction=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setConjunction(r.props.path,e)},r.setNot=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setNot(r.props.path,e)},r.setLock=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setLock(r.props.path,e)},r.dummyFn=function(){},r.removeSelf=function(){r.props.actions.removeGroup(r.props.path)},r.addGroup=function(){r.props.actions.addGroup(r.props.path)},r.addCaseGroup=function(){r.props.actions.addCaseGroup(r.props.path)},r.addDefaultCaseGroup=function(){r.props.actions.addDefaultCaseGroup(r.props.path)},r.addRule=function(){var e="rule_group"==t?r.props.field:null;r.props.actions.addRule(r.props.path,void 0,void 0,void 0,e)},r.setField=function(e,t,n){r.props.actions.setField(r.props.path,e,t,n)},r.setOperator=function(e){r.props.actions.setOperator(r.props.path,e)},r.setValue=function(e,t,n,o,i){r.props.actions.setValue(r.props.path,e,t,n,o,i)},r.setFuncValue=function(e,t,n,o,i,a,l){r.props.actions.setFuncValue(r.props.path,e,t,n,o,i,a,l)},r.pureShouldComponentUpdate=um(r),cm(r),r.selectedConjunction=r._selectedConjunction(e),r.conjunctionOptions=r._getConjunctionOptions(e),r.dummyFn.isDummyFn=!0,r}return Mn(n,r),kn(n,[{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=(e.dragging.id||r.dragging.id)==e.id,a=[];for(var l in e){var s=e[l]!=r[l];"dragging"!=l||i||(s=!1),s&&a.push(l)}a.length||(o=!1)}return o}},{key:"onPropsChanged",value:function(e){var t=e.config,r=(e.id,e.conjunction),n=this.props.config,o=this.props.conjunction;n==t&&o==r||(this.selectedConjunction=this._selectedConjunction(e),this.conjunctionOptions=this._getConjunctionOptions(e))}},{key:"_getConjunctionOptions",value:function(e){var t=this;return Zv()(e.config.conjunctions,(function(r,n){return{id:"conjunction-".concat(e.id,"-").concat(n),name:"conjunction[".concat(e.id,"]"),key:n,label:r.label,checked:n===t._selectedConjunction(e)}}))}},{key:"render",value:function(){var t=this.props.config.settings.showErrorMessage,r=this.props.dragging.id==this.props.id,n=this.props.path.size,o=this.props.config.settings.maxNesting,i=!r&&this.props.isDraggingTempo,a=this.props.fieldType||null,l=this.props.valueError,s=null!=(Gn((null==l?void 0:l.toArray())||[]).filter((function(e){return!!e})).shift()||null)&&t,u=void 0===o||n<o,c=1==n;return pe().createElement("div",{className:wm()("group-or-rule-container","group-container",s?"group-with-error":null),"data-id":this.props.id},[r?pe().createElement(e,{key:"dragging",id:this.props.id,groupId:this.props.groupId,isDraggingMe:!0,isDraggingTempo:!0,dragging:this.props.dragging,isRoot:c,allowFurtherNesting:u,conjunctionOptions:this.conjunctionOptions,not:this.props.not,selectedConjunction:this.selectedConjunction,setConjunction:this.dummyFn,setNot:this.dummyFn,setLock:this.dummyFn,removeSelf:this.dummyFn,addGroup:this.dummyFn,addCaseGroup:this.dummyFn,addDefaultCaseGroup:this.dummyFn,addRule:this.dummyFn,setField:this.dummyFn,setFuncValue:this.dummyFn,setOperator:this.dummyFn,setValue:this.dummyFn,value:this.props.value||null,valueError:this.props.valueError||null,config:this.props.config,children1:this.props.children1,actions:this.props.actions,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:a,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt}):null,pe().createElement(e,{key:this.props.id,id:this.props.id,groupId:this.props.groupId,isDraggingMe:r,isDraggingTempo:i,onDragStart:this.props.onDragStart,isRoot:c,allowFurtherNesting:u,conjunctionOptions:this.conjunctionOptions,not:this.props.not,selectedConjunction:this.selectedConjunction,setConjunction:i?this.dummyFn:this.setConjunction,setNot:i?this.dummyFn:this.setNot,setLock:i?this.dummyFn:this.setLock,removeSelf:i?this.dummyFn:this.removeSelf,addGroup:i?this.dummyFn:this.addGroup,addCaseGroup:i?this.dummyFn:this.addCaseGroup,addDefaultCaseGroup:i?this.dummyFn:this.addDefaultCaseGroup,addRule:i?this.dummyFn:this.addRule,setField:i?this.dummyFn:this.setField,setFuncValue:i?this.dummyFn:this.setFuncValue,setOperator:i?this.dummyFn:this.setOperator,setValue:i?this.dummyFn:this.setValue,value:this.props.value||null,valueError:this.props.valueError||null,config:this.props.config,children1:this.props.children1,actions:this.props.actions,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:a,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt})])}}])}(de.Component),r.propTypes={config:ky().object.isRequired,actions:ky().object.isRequired,path:ky().any.isRequired,id:ky().string.isRequired,groupId:ky().string,not:ky().bool,conjunction:ky().string,children1:ky().any,onDragStart:ky().func,reordableNodesCnt:ky().number,field:ky().any,fieldSrc:ky().string,fieldType:ky().string,parentField:ky().string,valueError:ky().any,isLocked:ky().bool,isTrueLocked:ky().bool,dragging:ky().object,isDraggingTempo:ky().bool},r}(e,t));return r.displayName="ConnectedGroupContainer",r};function IE(e,t,r){return t=Dn(t),Fn(e,CE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function CE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(CE=function(){return!!e})()}var NE={topLeft:"group--actions--tl",topCenter:"group--actions--tc",topRight:"group--actions--tr",bottomLeft:"group--actions--bl",bottomCenter:"group--actions--bc",bottomRight:"group--actions--br"},LE=function(e){function t(){return Nn(this,t),IE(this,t,arguments)}return Mn(t,e),kn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.addGroup,o=e.removeSelf,i=e.setLock,a=e.isLocked,l=e.isTrueLocked,s=e.id,u=e.canAddGroup,c=e.canAddRule,d=e.canDeleteGroup,p=t.settings,f=p.immutableGroupsMode,h=p.addRuleLabel,g=p.addGroupLabel,v=p.delGroupLabel,y=p.groupActionsPosition,m=p.renderButton,b=p.renderIcon,E=p.renderSwitch,O=p.renderButtonGroup,S=p.lockLabel,T=p.lockedLabel,_=p.showLock,w=p.canDeleteLocked,R=function(e){return b(e,t.ctx)},A=function(e){return m(e,t.ctx)},I=function(e){return E(e,t.ctx)},C=function(e){return O(e,t.ctx)},N=NE[y||"topRight"],L=_&&!(a&&!l)&&pe().createElement(I,{type:"lock",id:s,value:a,setValue:i,label:S,checkedLabel:T,config:t}),P=!f&&c&&!a&&pe().createElement(A,{type:"addRule",onClick:r,label:h,readonly:a,config:t,renderIcon:R}),x=!f&&u&&!a&&pe().createElement(A,{type:"addGroup",onClick:n,label:g,readonly:a,config:t,renderIcon:R}),k=!f&&d&&(!a||a&&w)&&pe().createElement(A,{type:"delGroup",onClick:o,label:v,config:t,renderIcon:R});return pe().createElement("div",{className:"group--actions ".concat(N)},pe().createElement(C,{config:t},L,P,x,k))}}])}(de.PureComponent);function PE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function xE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?PE(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):PE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function kE(e,t,r){return t=Dn(t),Fn(e,FE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function FE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(FE=function(){return!!e})()}var DE=Py.RuleUtils.isEmptyGroupChildren,jE=function(e){function t(e){var r;return Nn(this,t),(r=kE(this,t,[e])).childrenClassName=function(){return""},r.renderBeforeActions=function(){var e=r.props.config.settings.renderBeforeActions;return null==e?null:"function"==typeof e?e(r.props,r.props.config.ctx):e},r.renderAfterActions=function(){var e=r.props.config.settings.renderAfterActions;return null==e?null:"function"==typeof e?e(r.props,r.props.config.ctx):e},r.removeSelf=r.removeSelf.bind(r),r.setLock=r.setLock.bind(r),r.renderItem=r.renderItem.bind(r),r}return Mn(t,e),kn(t,[{key:"isGroupTopPosition",value:function(){return TE()(this.props.config.settings.groupActionsPosition||"topRight","top")}},{key:"setLock",value:function(e){this.props.setLock(e)}},{key:"removeSelf",value:function(){var e=this,t=this.props,r=t.confirmFn,n=t.config,o=n.settings,i=o.renderConfirm,a=o.removeGroupConfirmOptions,l=function(){e.props.removeSelf()};a&&!this.isEmptyCurrentGroup()?i.call(n.ctx,xE(xE({},a),{},{onOk:l,onCancel:null,confirmFn:r}),n.ctx):l()}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props,t=e.children1,r=e.config;return DE(t,r)}},{key:"render",value:function(){return pe().createElement(pe().Fragment,null,this.renderHeaderWrapper(),this.renderChildrenWrapper(),this.renderFooterWrapper())}},{key:"showNot",value:function(){return this.props.config.settings.showNot}},{key:"showConjs",value:function(){var e=this.props,t=e.conjunctionOptions;return e.children1,e.config,Object.keys(t).length>1||this.showNot()}},{key:"isNoChildren",value:function(){var e=this.props.children1;return!e||0==e.size}},{key:"isOneChild",value:function(){var e=this.props.children1;return!e||e.size<2}},{key:"renderChildrenWrapper",value:function(){return this.props.children1&&pe().createElement("div",{key:"group-children",className:wm()("group--children",this.showConjs()?"":"hide--conjs",this.isOneChild()?"hide--line":"",this.isOneChild()?"one--child":"",this.childrenClassName())},this.renderChildren())}},{key:"renderHeaderWrapper",value:function(){var e=this.isGroupTopPosition();return pe().createElement("div",{key:"group-header",className:wm()("group--header",this.isOneChild()?"one--child":"",this.showConjs()?"":"hide--conjs",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"")},this.renderHeader(),e&&this.renderBeforeActions(),e&&this.renderActions(),e&&this.renderAfterActions())}},{key:"renderFooterWrapper",value:function(){return!this.isGroupTopPosition()&&pe().createElement("div",{key:"group-footer",className:"group--footer"},this.renderBeforeActions(),this.renderActions(),this.renderAfterActions())}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.addGroup,o=e.isLocked,i=e.isTrueLocked,a=e.id;return pe().createElement(LE,{config:t,addRule:r,addGroup:n,canAddGroup:this.canAddGroup(),canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}},{key:"canAddGroup",value:function(){return this.props.allowFurtherNesting}},{key:"canAddRule",value:function(){var e=this.props.config.settings.maxNumberOfRules,t=this.props.totalRulesCnt;return!e||t<e}},{key:"canDeleteGroup",value:function(){return!this.props.isRoot}},{key:"renderChildren",value:function(){var e=this.props.children1;return e?e.valueSeq().map(this.renderItem).toArray():null}},{key:"renderItem",value:function(e){if(e){var t=this.props,r=t.config,n=t.actions,o=t.onDragStart,i=t.isLocked,a="group"==e.get("type")&&null!=e.getIn(["properties","field"])?"rule_group":e.get("type");return pe().createElement(kO,Tm({},this.extraPropsForItem(e),{key:e.get("id"),id:e.get("id"),groupId:t.id,path:e.get("path"),type:a,properties:e.get("properties"),config:r,actions:n,children1:e.get("children1"),reordableNodesCnt:this.reordableNodesCntForItem(e),totalRulesCnt:this.totalRulesCntForItem(e),parentReordableNodesCnt:this.reordableNodesCnt(),onDragStart:o,isDraggingTempo:this.props.isDraggingTempo,isParentLocked:i}))}}},{key:"extraPropsForItem",value:function(e){return{}}},{key:"reordableNodesCnt",value:function(){return this.props.isLocked?0:this.props.reordableNodesCnt}},{key:"totalRulesCntForItem",value:function(e){return this.props.totalRulesCnt}},{key:"reordableNodesCntForItem",value:function(e){return this.props.isLocked?0:this.reordableNodesCnt()}},{key:"showDragIcon",value:function(){var e=this.props,t=e.config,r=e.isRoot,n=e.isLocked,o=this.reordableNodesCnt();return t.settings.canReorder&&!r&&o>1&&!n}},{key:"renderDrag",value:function(){var e=this.props.handleDraggerMouseDown,t=this.props.config,r=t.settings.renderIcon,n=function(e){return null==r?void 0:r(e,t.ctx)},o=pe().createElement(n,{type:"drag"});return this.showDragIcon()&&pe().createElement("div",{key:"group-drag-icon",onMouseDown:e,className:"qb-drag-handler group--drag-handler"},o)}},{key:"conjunctionOptions",value:function(){return this.props.conjunctionOptions}},{key:"renderConjs",value:function(){var e=this.props,t=e.config,r=e.children1,n=e.id,o=e.selectedConjunction,i=e.setConjunction,a=e.not,l=e.setNot,s=e.isLocked,u=t.settings,c=u.immutableGroupsMode,d=u.renderConjs,p=(u.showNot,u.notLabel),f=this.conjunctionOptions();return this.showConjs()&&r&&r.size?d({disabled:this.isOneChild(),readonly:c||s,selectedConjunction:o,setConjunction:c?Xm:i,conjunctionOptions:f,config:t,not:a||!1,id:n,setNot:c?Xm:l,notLabel:p,showNot:this.showNot(),isLocked:s},t.ctx):null}},{key:"renderHeader",value:function(){return pe().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}}])}(de.Component);jE.propTypes={reordableNodesCnt:ky().number,conjunctionOptions:ky().object.isRequired,allowFurtherNesting:ky().bool.isRequired,isRoot:ky().bool.isRequired,not:ky().bool,selectedConjunction:ky().string,config:ky().object.isRequired,id:ky().string.isRequired,groupId:ky().string,path:ky().any,children1:ky().any,isDraggingMe:ky().bool,isDraggingTempo:ky().bool,isLocked:ky().bool,isTrueLocked:ky().bool,handleDraggerMouseDown:ky().func,onDragStart:ky().func,addRule:ky().func.isRequired,addGroup:ky().func.isRequired,removeSelf:ky().func.isRequired,setConjunction:ky().func.isRequired,setNot:ky().func.isRequired,setLock:ky().func.isRequired,actions:ky().object.isRequired};const ME=AE(jm("group")(Zm(jE)),"group");function VE(){return VE="undefined"!=typeof Reflect&&Reflect.get?Reflect.get.bind():function(e,t,r){var n=function(e,t){for(;!{}.hasOwnProperty.call(e,t)&&null!==(e=Dn(e)););return e}(e,t);if(n){var o=Object.getOwnPropertyDescriptor(n,t);return o.get?o.get.call(arguments.length<3?e:r):o.value}},VE.apply(null,arguments)}function UE(e,t,r){return t=Dn(t),Fn(e,BE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function BE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(BE=function(){return!!e})()}var qE=function(e){function t(){return Nn(this,t),UE(this,t,arguments)}return Mn(t,e),kn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.canAddRule,o=e.canDeleteGroup,i=e.removeSelf,a=e.setLock,l=e.isLocked,s=e.isTrueLocked,u=e.id,c=t.settings,d=c.immutableGroupsMode,p=c.addRuleLabel,f=c.delGroupLabel,h=c.renderButton,g=c.renderIcon,v=c.renderSwitch,y=c.renderButtonGroup,m=c.lockLabel,b=c.lockedLabel,E=c.showLock,O=c.canDeleteLocked,S=function(e){return g(e,t.ctx)},T=function(e){return h(e,t.ctx)},_=function(e){return v(e,t.ctx)},w=function(e){return y(e,t.ctx)},R=E&&!(l&&!s)&&pe().createElement(_,{type:"lock",id:u,value:l,setValue:a,label:m,checkedLabel:b,hideLabel:!0,config:t}),A=!d&&n&&!l&&pe().createElement(T,{type:"addRuleGroup",onClick:r,label:p,readonly:l,config:t,renderIcon:S}),I=!d&&o&&(!l||l&&O)&&pe().createElement(T,{type:"delRuleGroup",onClick:i,label:f,config:t,renderIcon:S});return pe().createElement("div",{className:"group--actions"},pe().createElement(w,{config:t},R,A,I))}}])}(de.PureComponent);function GE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function KE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?GE(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):GE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function WE(e,t,r){return t=Dn(t),Fn(e,zE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function zE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(zE=function(){return!!e})()}var HE=function(e){function t(e){var r;return Nn(this,t),(r=WE(this,t,[e])).childrenClassName=function(){return"rule_group--children"},r.renderHeaderWrapper=function(){return null},r.renderFooterWrapper=function(){return null},r.renderConjs=function(){return null},r.canAddGroup=function(){return!1},r.canAddRule=function(){return!0},r.canDeleteGroup=function(){return!1},cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){}},{key:"reordableNodesCntForItem",value:function(e){if(this.props.isLocked)return 0;var t=this.props.children1;return(null==t?void 0:t.size)||0}},{key:"renderChildrenWrapper",value:function(){return pe().createElement(pe().Fragment,null,this.renderDrag(),this.renderField(),this.renderActions(),VE(Dn(t.prototype),"renderChildrenWrapper",this).call(this))}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.setField,a=e.setFuncValue,l=e.setFieldSrc,s=e.parentField,u=e.id,c=e.groupId,d=e.isLocked,p=t.settings.immutableFieldsMode;return pe().createElement(oE,{key:"field",classname:"group--field",config:t,canSelectFieldSource:!1,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,setField:i,setFuncValue:a,setFieldSrc:l,parentField:s,readonly:p||d,id:u,groupId:c})}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.isLocked,o=e.isTrueLocked,i=e.id;return pe().createElement(qE,{config:t,addRule:r,canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:n,isTrueLocked:o,id:i})}},{key:"extraPropsForItem",value:function(e){return{parentField:this.props.selectedField}}}])}(jE);HE.propTypes=KE(KE({},jE.propTypes),{},{selectedField:ky().any,selectedFieldSrc:ky().string,parentField:ky().string,setField:ky().func,setFieldSrc:ky().func});const $E=AE(jm("group rule_group")(Zm(HE)),"rule_group");function YE(e,t,r){return t=Dn(t),Fn(e,QE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function QE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(QE=function(){return!!e})()}var XE=function(e){function t(){return Nn(this,t),YE(this,t,arguments)}return Mn(t,e),kn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.canAddRule,o=e.canDeleteGroup,i=e.removeSelf,a=e.setLock,l=e.isLocked,s=e.isTrueLocked,u=e.id,c=t.settings,d=c.immutableGroupsMode,p=c.addSubRuleLabel,f=c.delGroupLabel,h=c.renderButton,g=c.renderIcon,v=c.renderSwitch,y=c.renderButtonGroup,m=c.lockLabel,b=c.lockedLabel,E=c.showLock,O=c.canDeleteLocked,S=function(e){return g(e,t.ctx)},T=function(e){return h(e,t.ctx)},_=function(e){return v(e,t.ctx)},w=function(e){return y(e,t.ctx)},R=E&&!(l&&!s)&&pe().createElement(_,{type:"lock",id:u,value:l,setValue:a,label:m,checkedLabel:b,config:t}),A=!d&&n&&!l&&pe().createElement(T,{type:"addRuleGroupExt",onClick:r,label:p,readonly:l,config:t,renderIcon:S}),I=!d&&o&&(!l||l&&O)&&pe().createElement(T,{type:"delRuleGroup",onClick:i,label:f,config:t,renderIcon:S});return pe().createElement("div",{className:"group--actions group--actions--tr"},pe().createElement(w,{config:t},R,A,I))}}])}(de.PureComponent);function JE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ZE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?JE(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):JE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function eO(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function tO(e,t,r){return t=Dn(t),Fn(e,rO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function rO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(rO=function(){return!!e})()}var nO=Py.ConfigUtils,oO=nO.getFieldConfig,iO=nO.getFieldWidgetConfig,aO=Py.RuleUtils.isEmptyRuleGroupExtPropertiesAndChildren,lO=function(e){function t(e){var r;return Nn(this,t),(r=tO(this,t,[e])).childrenClassName=function(){return"rule_group_ext--children"},r.renderFooterWrapper=function(){return null},r.canAddGroup=function(){return!1},r.canAddRule=function(){return!0},r.canDeleteGroup=function(){return!0},cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){}},{key:"renderHeaderWrapper",value:function(){return pe().createElement("div",{key:"group-header",className:wm()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag",!this.showConjs()||this.isOneChild()&&!this.showNot()?"hide--conjs":"with--conjs")},this.renderHeader(),this.renderGroupField(),this.renderActions())}},{key:"renderHeader",value:function(){return pe().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"renderGroupField",value:function(){return pe().createElement("div",{className:"group--field--count--rule"},this.renderField(),this.renderOperator(),this.renderWidget(),this.renderError())}},{key:"renderError",value:function(){var e=this.props,t=e.config,r=e.valueError,n=t.settings,o=n.renderRuleError,i=n.showErrorMessage,a=Gn((null==r?void 0:r.toArray())||[]).filter((function(e){return!!e})).shift()||null;return i&&a&&pe().createElement("div",{className:"rule_group--error"},o?o({error:a},t.ctx):a)}},{key:"showNot",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=(e.selectedOperator,oO(t,r)||{});return null!=n.showNot?n.showNot:t.settings.showNot}},{key:"conjunctionOptions",value:function(){var e=this.props,r=e.config,n=e.selectedField,o=(e.selectedOperator,oO(r,n)||{}),i=VE(Dn(t.prototype),"conjunctionOptions",this).call(this);if(o.conjunctions){var a,l={},s=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return eO(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?eO(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(o.conjunctions);try{for(s.s();!(a=s.n()).done;){var u=a.value,c=i[u];c&&(l[u]=c)}}catch(e){s.e(e)}finally{s.f()}i=l}return i}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.setField,a=e.setFieldSrc,l=e.setFuncValue,s=e.parentField,u=e.id,c=e.groupId,d=e.isLocked,p=t.settings.immutableFieldsMode;return pe().createElement(oE,{key:"field",classname:"rule--field",config:t,canSelectFieldSource:!1,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,setField:i,setFuncValue:l,setFieldSrc:a,parentField:s,readonly:p||d,id:u,groupId:c})}},{key:"renderOperator",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedOperator,i=(e.setField,e.setOperator),a=e.isLocked,l=t.settings.immutableFieldsMode,s=iO(t,r,o)||{},u=s.hideOperator,c=r&&u&&s.operatorInlineLabel,d=r&&!u;return pe().createElement(rb,{key:"operator",classname:"group--operator",config:t,selectedField:r,selectedFieldSrc:n,selectedOperator:o,setOperator:i,selectedFieldPartsLabels:["group"],showOperator:d,showOperatorLabel:c,selectedFieldWidgetConfig:s,readonly:l||a,id:this.props.id,groupId:this.props.groupId})}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props,t=e.children1,r=e.config,n=this._buildWidgetProps(this.props);return aO(n,t,r)}},{key:"_buildWidgetProps",value:function(e){var t=e.selectedField,r=e.selectedFieldSrc,n=e.selectedFieldType,o=e.selectedOperator,i=e.operatorOptions,a=e.value,l=e.valueType,s=(e.valueSrc,e.asyncListValues,e.valueError);return e.fieldError,{field:t,fieldSrc:r,fieldType:n,operator:o,operatorOptions:i,value:a,valueType:l,valueSrc:["value"],valueError:s,fieldError:null,parentField:e.parentField}}},{key:"renderWidget",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedOperator,o=e.isLocked,i=t.settings.immutableValuesMode;if(!r||!n)return null;var a=pe().createElement($b,Tm({key:"values",isForRuleGroup:!0},this._buildWidgetProps(this.props),{config:t,setValue:i?Xm:this.props.setValue,setValueSrc:Xm,readonly:i||o,id:this.props.id,groupId:this.props.groupId}));return pe().createElement(Qm,{key:"widget-for-"+this.props.selectedOperator,className:"rule--value"},a)}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.isLocked,o=e.isTrueLocked,i=e.id;return pe().createElement(XE,{config:t,addRule:r,canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:n,isTrueLocked:o,id:i})}},{key:"reordableNodesCntForItem",value:function(e){if(this.props.isLocked)return 0;var t=this.props.children1;return(null==t?void 0:t.size)||0}},{key:"extraPropsForItem",value:function(e){return{parentField:this.props.selectedField}}}])}(jE);lO.propTypes=ZE(ZE({},jE.propTypes),{},{selectedField:ky().any,selectedFieldSrc:ky().string,selectedOperator:ky().string,value:ky().any,parentField:ky().string,setField:ky().func,setFieldSrc:ky().func,setOperator:ky().func,setValue:ky().func,valueError:ky().any});const sO=AE(jm("group rule_group_ext")(Zm(lO)),"rule_group");function uO(e,t,r){return t=Dn(t),Fn(e,cO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function cO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(cO=function(){return!!e})()}var dO={topLeft:"group--actions--tl",topCenter:"group--actions--tc",topRight:"group--actions--tr",bottomLeft:"group--actions--bl",bottomCenter:"group--actions--bc",bottomRight:"group--actions--br"},pO=function(e){function t(){return Nn(this,t),uO(this,t,arguments)}return Mn(t,e),kn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addCaseGroup,n=e.addDefaultCaseGroup,o=e.setLock,i=e.isLocked,a=e.isTrueLocked,l=e.id,s=e.canAddGroup,u=e.canAddDefault,c=t.settings,d=c.immutableGroupsMode,p=c.addCaseLabel,f=c.addDefaultCaseLabel,h=c.groupActionsPosition,g=c.renderButton,v=c.renderIcon,y=c.renderSwitch,m=c.renderButtonGroup,b=c.lockLabel,E=c.lockedLabel,O=c.showLock,S=function(e){return v(e,t.ctx)},T=function(e){return g(e,t.ctx)},_=function(e){return y(e,t.ctx)},w=function(e){return m(e,t.ctx)},R=dO[h||"topRight"],A=O&&!(i&&!a)&&pe().createElement(_,{type:"lock",id:l,value:i,setValue:o,label:b,checkedLabel:E,config:t}),I=!d&&s&&!i&&pe().createElement(T,{type:"addCaseGroup",onClick:r,label:p,readonly:i,config:t,renderIcon:S}),C=!d&&u&&!i&&pe().createElement(T,{type:"addDefaultCaseGroup",onClick:n,label:f,readonly:i,config:t,renderIcon:S});return pe().createElement("div",{className:"group--actions ".concat(R)},pe().createElement(w,{config:t},A,I,C))}}])}(de.PureComponent);function fO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function hO(e,t,r){return t=Dn(t),Fn(e,gO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function gO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(gO=function(){return!!e})()}var vO=Py.TreeUtils,yO=vO.getTotalReordableNodesCountInTree,mO=vO.getTotalRulesCountInTree,bO=function(e){function t(e){var r;return Nn(this,t),(r=hO(this,t,[e])).childrenClassName=function(){return"switch_group--children"},r.renderFooterWrapper=function(){return null},r.hasDefaultCase=function(){var e;return(null===(e=r.props.children1)||void 0===e?void 0:e.size)&&r.props.children1.filter((function(e){return null==e.get("children1")})).size>0},cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){}},{key:"canAddGroup",value:function(){var e,t=this.props.config.settings.maxNumberOfCases,r=(null===(e=this.props.children1)||void 0===e?void 0:e.size)||0;return!t||r<t}},{key:"canAddRule",value:function(){return!1}},{key:"reordableNodesCnt",value:function(){var e,t=(null===(e=this.props.children1)||void 0===e?void 0:e.size)||0;return this.hasDefaultCase()&&t--,t}},{key:"totalRulesCntForItem",value:function(e){return mO(e)}},{key:"reordableNodesCntForItem",value:function(e){var t;if(this.props.isLocked)return 0;var r=this.props.config.settings,n=r.canLeaveEmptyCase,o=r.canRegroupCases,i=(null===(t=this.props.children1)||void 0===t?void 0:t.size)||0;this.hasDefaultCase()&&i--;var a=yO(e);return 1==a&&o&&n&&i>1&&(a=111),a}},{key:"renderHeaderWrapper",value:function(){return pe().createElement("div",{key:"group-header",className:wm()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag")},this.renderHeader(),this.renderActions())}},{key:"renderHeader",value:function(){return pe().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"renderConjs",value:function(){return this.props.config.settings.renderSwitchPrefix||null}},{key:"showNot",value:function(){return!1}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addCaseGroup,n=e.addDefaultCaseGroup,o=e.isLocked,i=e.isTrueLocked,a=e.id;return pe().createElement(pO,{config:t,addCaseGroup:r,addDefaultCaseGroup:n,canAddDefault:!this.hasDefaultCase(),canAddGroup:this.canAddGroup(),setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}}])}(jE);bO.propTypes=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?fO(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):fO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({},jE.propTypes);const EO=AE(jm("group switch_group")(Zm(bO)),"switch_group");function OO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function SO(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?OO(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):OO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function TO(e,t,r){return t=Dn(t),Fn(e,_O()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function _O(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(_O=function(){return!!e})()}var wO=function(e){function t(e){var r;return Nn(this,t),(r=TO(this,t,[e])).childrenClassName=function(){return"case_group--children"},r.renderFooterWrapper=function(){return null},cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){}},{key:"isDefaultCase",value:function(){return null==this.props.children1}},{key:"reordableNodesCnt",value:function(){return this.props.parentReordableNodesCnt}},{key:"reordableNodesCntForItem",value:function(e){return this.props.isLocked?0:this.props.reordableNodesCnt}},{key:"totalRulesCntForItem",value:function(e){return this.props.totalRulesCnt}},{key:"showDragIcon",value:function(){return!this.isDefaultCase()&&VE(Dn(t.prototype),"showDragIcon",this).call(this)}},{key:"renderHeaderWrapper",value:function(){return pe().createElement("div",{key:"group-header",className:wm()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag",!this.showConjs()||this.isOneChild()&&!this.showNot()?"hide--conjs":"with--conjs")},this.renderHeaderLeft(),this.renderHeaderCenter(),this.renderActions())}},{key:"renderChildrenWrapper",value:function(){return this.isDefaultCase()?null:pe().createElement("div",{className:"case_group--body"},this.renderCondition(),this.renderValue())}},{key:"renderHeaderLeft",value:function(){return this.isDefaultCase()?this.props.config.settings.defaultCaseLabel||"":pe().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"renderCondition",value:function(){return this.isDefaultCase()?null:VE(Dn(t.prototype),"renderChildrenWrapper",this).call(this)}},{key:"renderHeaderCenter",value:function(){return this.isDefaultCase()?this.renderValue():null}},{key:"canAddGroup",value:function(){return!this.isDefaultCase()&&VE(Dn(t.prototype),"canAddGroup",this).call(this)}},{key:"canAddRule",value:function(){return!this.isDefaultCase()&&VE(Dn(t.prototype),"canAddRule",this).call(this)}},{key:"renderValue",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.value,o=e.setValue,i=e.id,a=t.settings.immutableValuesMode,l=pe().createElement($b,{key:"values",isCaseValue:!0,field:"!case_value",operator:null,value:n,valueSrc:"value",valueError:null,fieldError:null,config:t,setValue:a?Xm:o,setValueSrc:Xm,readonly:a||r,id:i,groupId:null});return pe().createElement(Qm,{className:"case_group--value"},l)}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addGroup,n=e.addRule,o=e.isLocked,i=e.isTrueLocked,a=e.id;return pe().createElement(LE,{config:t,addGroup:r,addRule:n,canAddRule:this.canAddRule(),canAddGroup:this.canAddGroup(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props.value,r=e&&e.size?e.get(0):null,n=null!=r&&(!Array.isArray(r)||r.length>0);return VE(Dn(t.prototype),"isEmptyCurrentGroup",this).call(this)&&!n}}])}(jE);wO.propTypes=SO(SO({},jE.propTypes),{},{parentReordableNodesCnt:ky().number,value:ky().any,setValue:ky().func});const RO=AE(jm("group case_group")(Zm(wO)),"case_group");var AO=["type"];function IO(e,t,r){return t=Dn(t),Fn(e,CO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function CO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(CO=function(){return!!e})()}function NO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function LO(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?NO(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):NO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var PO=function(e){var t,r=(null===(t=e.properties)||void 0===t?void 0:t.toObject())||{},n=LO({},r);return e.isParentLocked&&(n.isLocked=!0),r.isLocked&&(n.isTrueLocked=!0),n},xO={rule:function(e){return pe().createElement(OE,Tm({},PO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,config:e.config,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},group:function(e){return pe().createElement(ME,Tm({},PO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))},rule_group:function(e){return pe().createElement($E,Tm({},PO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},rule_group_ext:function(e){return pe().createElement(sO,Tm({},PO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},switch_group:function(e){return pe().createElement(EO,Tm({},PO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))},case_group:function(e){return pe().createElement(RO,Tm({},PO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))}},kO=function(e){function t(){return Nn(this,t),IO(this,t,arguments)}return Mn(t,e),kn(t,[{key:"render",value:function(){var e,t=this.props,r=t.type,n=$g(t,AO),o="array"==(null===(e=n.properties)||void 0===e?void 0:e.get("mode"))?"_ext":"",i=n.config.settings.renderItem,a=xO[r+o];return i?i(LO(LO({},n),{},{type:r,itemComponent:a}),n.config.ctx):a?a(n):null}}])}(de.PureComponent);function FO(e,t,r){return t=Dn(t),Fn(e,DO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function DO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(DO=function(){return!!e})()}kO.propTypes={config:ky().object.isRequired,id:ky().string.isRequired,groupId:ky().string,type:ky().oneOf(["rule","group","rule_group","switch_group","case_group"]).isRequired,path:ky().any.isRequired,properties:ky().any,children1:ky().any,actions:ky().object.isRequired,reordableNodesCnt:ky().number,onDragStart:ky().func,parentField:ky().string,isDraggingTempo:ky().bool,isParentLocked:ky().bool};var jO=Py.TreeUtils,MO=jO.getTotalReordableNodesCountInTree,VO=jO.getTotalRulesCountInTree,UO=Py.DefaultUtils,BO=UO.createListFromArray,qO=UO.emptyProperties,GO=function(e){function t(e){var r;return Nn(this,t),(r=FO(this,t,[e])).pureShouldComponentUpdate=um(r),r._updPath(e),r}return Mn(t,e),kn(t,[{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.pureShouldComponentUpdate(e,t);if(n){var o=[];for(var i in e)e[i]!==r[i]&&"__isInternalValueChange"!=i&&o.push(i);o.length||(n=!1),1==o.length&&"tree"==o[0]&&e.__isInternalValueChange&&(n=!1)}return n}},{key:"_updPath",value:function(e){var t=e.tree.get("id");this.path=BO([t])}},{key:"render",value:function(){var e=this.props,t=e.tree,r=e.config,n=e.actions,o=e.onDragStart,i=t.get("type"),a="switch_group"==i,l=a?null:MO(t),s=a?null:VO(t),u=t.get("id");return pe().createElement(kO,{key:u,id:u,path:this.path,type:i,properties:t.get("properties")||qO(),config:r,actions:n,children1:t.get("children1")||qO(),reordableNodesCnt:l,totalRulesCnt:s,parentReordableNodesCnt:0,onDragStart:o})}}])}(de.Component);GO.propTypes={tree:ky().any.isRequired,config:ky().object.isRequired,actions:ky().object.isRequired,onDragStart:ky().func};const KO=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=(0,My.connect)((function(e){return{dragging:e.dragging,dragStart:e.dragStart,mousePos:e.mousePos}}),{setDragStart:Ky,setDragProgress:Gy,setDragEnd:Wy},null,{context:Dy})(function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;return t=function(t){function n(e){var t;return Nn(this,n),(t=Cm(this,n,[e]))._getEventTarget=function(e,t){return e&&e.__mocked_window||document.body||window},t.onDragStart=function(e,r,n){var o=r.closest(".query-builder");void 0===t._isUsingLegacyReactDomRender&&(t._isUsingLegacyReactDomRender=lm(o)),document.body.classList.add("qb-dragging"),o.classList.add("qb-dragging");var i,a=o.closest(".query-builder-container")||o,l=(a=t._getScrollParent(a)||document.body).scrollTop,s=(t._getDraggableNodeEl(o),t._getPlaceholderNodeEl(o),o.querySelectorAll(".group--children")),u=s.length?s[0]:null;u&&(i=window.getComputedStyle(u,null).getPropertyValue("padding-left"),i=parseInt(i));var c={id:e,x:r.offsetLeft,y:r.offsetTop,w:r.offsetWidth,h:r.offsetHeight,itemInfo:t.tree.items[e],paddingLeft:i},d={id:e,x:r.offsetLeft,y:r.offsetTop,scrollTop:l,clientX:n.clientX,clientY:n.clientY,itemInfo:Lm(t.tree.items[e]),treeEl:o,treeElContainer:a},p={clientX:n.clientX,clientY:n.clientY},f=t._getEventTarget(n,d);t.eventTarget=f,f.addEventListener("mousemove",t.onDrag),f.addEventListener("mouseup",t.onDragEnd),t.props.setDragStart(d,c,p)},t.onDrag=function(e){var n=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],o=Object.assign({},t.props.dragging),i=t.props.dragStart,a=o.paddingLeft,l=i.treeElContainer.scrollTop;if(o.itemInfo=t.tree.items[o.id],o.itemInfo){var s={clientX:e.clientX,clientY:e.clientY},u={clientX:i.clientX,clientY:i.clientY};if(e.__mock_dom){var c=i.treeEl,d=t._getDraggableNodeEl(c),p=t._getPlaceholderNodeEl(c);e.__mock_dom({treeEl:c,dragEl:d,plhEl:p})}if(!i.plX){var f=i.treeEl,h=t._getPlaceholderNodeEl(f);h&&(i.plX=h.getBoundingClientRect().left+window.scrollX,i.plY=h.getBoundingClientRect().top+window.scrollY)}var g=i.x,v=i.y,y=i.clientX,m=i.clientY,b=i.scrollTop,E={x:g+(e.clientX-y),y:v+(e.clientY-m)+(l-b)};o.x=E.x,o.y=E.y,o.paddingLeft=a,o.mousePos=s,o.startMousePos=u,t.props.setDragProgress(s,o),n&&t.handleDrag(o,e,r)||e.preventDefault&&e.preventDefault()}},t.onDragEnd=function(){var e=t.props.dragStart.treeEl;t.props.setDragEnd(),e.classList.remove("qb-dragging"),document.body.classList.remove("qb-dragging"),t._cacheEls={};var r=t.eventTarget||t._getEventTarget();r.removeEventListener("mousemove",t.onDrag),r.removeEventListener("mouseup",t.onDragEnd)},t.pureShouldComponentUpdate=um(t),cm(t),t.onPropsChanged(e),t}return Mn(n,t),kn(n,[{key:"onPropsChanged",value:function(e){this.tree=Pm(e.tree)}},{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=[];for(var a in e)e[a]!=r[a]&&"dragging"!=a&&"mousePos"!=a&&i.push(a);i.length||(o=!1)}return o}},{key:"componentDidUpdate",value:function(e,t){var r=this.props.dragging,n=this.props.dragStart;if(xm=!1,n&&n.id&&(r.itemInfo=this.tree.items[r.id],r.itemInfo&&(r.itemInfo.index!=n.itemInfo.index||r.itemInfo.parent!=n.itemInfo.parent))){var o=n.treeEl,i=n.treeElContainer,a=this._getPlaceholderNodeEl(o,!0);if(a){var l=a.getBoundingClientRect().left+window.scrollX,s=a.getBoundingClientRect().top+window.scrollY,u=n.plX,c=n.plY,d=i.scrollTop;n.plX=l,n.plY=s,n.itemInfo=Lm(r.itemInfo),n.y=a.offsetTop,n.x=a.offsetLeft,n.clientY+=s-c,n.clientX+=l-u,i!=document.body&&(n.scrollTop=d),this.onDrag(this.props.mousePos,!1)}}}},{key:"_getNodeElById",value:function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(null==t)return null;this._cacheEls||(this._cacheEls={});var n=this._cacheEls[t];return n&&document.contains(n)&&!r||(n=e.querySelector('.group-or-rule-container[data-id="'+t+'"]'),this._cacheEls[t]=n),n}},{key:"_getDraggableNodeEl",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];this._cacheEls||(this._cacheEls={});var r=this._cacheEls.draggable;if(r&&document.contains(r)&&!t)return r;var n=e.getElementsByClassName("qb-draggable");return r=n.length?n[0]:null,this._cacheEls.draggable=r,r}},{key:"_getPlaceholderNodeEl",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];this._cacheEls||(this._cacheEls={});var r=this._cacheEls.placeholder;if(r&&document.contains(r)&&!t)return r;var n=e.getElementsByClassName("qb-placeholder");return r=n.length?n[0]:null,this._cacheEls.placeholder=r,r}},{key:"_isScrollable",value:function(e){var t=window.getComputedStyle(e)["overflow-y"];return("scroll"===t||"auto"===t)&&e.scrollHeight>e.offsetHeight}},{key:"_getScrollParent",value:function(e){return null==e?null:e===document.body||this._isScrollable(e)?e:this._getScrollParent(e.parentNode)}},{key:"handleDrag",value:function(e,t,r){var n,o,i,a,l=this,s=e.itemInfo,u=e.paddingLeft,c=null,d=this.props.dragStart.treeEl,p=e.id,f=this._getDraggableNodeEl(d),h=this._getPlaceholderNodeEl(d);if(f&&h){if(n=f.getBoundingClientRect(),!(o=h.getBoundingClientRect()).width)return;var g={hrz:0,vrt:0};n.top<o.top?g.vrt=-1:n.bottom>o.bottom&&(g.vrt=1),n.left>o.left?g.hrz=1:n.left<o.left&&(g.hrz=-1);var v,y={x:(a=d.getBoundingClientRect()).left+(a.right-a.left)/2,y:g.vrt>=0?n.bottom:n.top};if(t.__mocked_hov_container)v=t.__mocked_hov_container;else{var m=document.elementFromPoint(y.x,y.y-1);if(!(v=m?m.closest(".group-or-rule-container"):null)&&m&&m.classList.contains("query-builder-container")){var b,E=null==m||null===(b=m.firstChild)||void 0===b?void 0:b.firstChild;E&&E.classList.contains("group-or-rule-container")&&(v=E)}}if(v){var O=v.classList.contains("group-container"),S=v.getAttribute("data-id"),T=v,_=!1,w=!1;if(T){var R=(i=T.getBoundingClientRect()).bottom-i.top,A=this.tree.items[S];if(!A)throw new Error("There is an issue with rendering. If you use Next.js, please check getServerSideProps() method.");var I=null,C=null,N=null,L=null;if(0==g.vrt)N=s,(C=h)&&(I=C.getBoundingClientRect());else if(O){if(g.vrt>0){var P=v.getElementsByClassName("group--header"),x=P.length?P[0]:null;if(x){var k=x.getBoundingClientRect(),F=k.bottom-k.top;n.bottom-k.top>3*F/4&&A.top>e.itemInfo.top&&(N=A,I=k,C=x,w=!0)}}else g.vrt<0&&A.lev>=s.lev&&i.bottom-n.top>=2&&A.top<e.itemInfo.top&&(N=A,I=i,C=T,_=!0);(g.vrt<0?i.bottom-n.top>R-5:n.bottom-i.top>R-5)&&(w||_||(N=A,I=i,C=T),L=A)}else(g.vrt<0?i.bottom-n.top>R/2:n.bottom-i.top>R/2)&&(N=A,I=i,C=T);var D=N&&N.id==p;if(I){var j=n.left-a.left,M=(I.left,a.left,Math.max(0,Math.round(j/u))),V=[],U=[];if(D);else{if(O&&(_?V.push([By,N,N.lev+1]):w&&V.push([qy,N,N.lev+1]),L)){var B=0==L.lev,q="case_group"==L.type&&"case_group"!=s.type,G=L.prev&&this.tree.items[L.prev].caseId,K=L.next&&this.tree.items[L.next].caseId;s.caseId==G&&(G=null),s.caseId==K&&(K=null);var W=G&&this.tree.items[G],z=K&&this.tree.items[K];g.vrt>0?B?U.push([By,L,L.lev+1]):q&&z?U.push([qy,z,z.lev+1]):U.push([Vy,L,L.lev]):g.vrt<0&&(B?U.push([qy,L,L.lev+1]):q&&W?U.push([By,W,W.lev+1]):U.push([Uy,L,L.lev]))}_||w||(g.vrt<0?V.push([Uy,N,N.lev]):g.vrt>0&&V.push([Vy,N,N.lev]))}var H=function(e){var t=e[1],r=s.caseId?l.tree.items[s.caseId]:null,n=t.caseId?l.tree.items[t.caseId]:null;return[].concat(Gn(e),[r,n])};V=V.map(H),U=U.map(H);var $=null,Y=(V=V.filter((function(e){var t=e[0],r=e[1];if((t==Uy||t==Vy)&&null==r.parent)return!1;if(r.collapsed&&(t==By||t==qy))return!1;var n=r.id==s.id;if(!n)for(var o=r;o.parent;)if((o=l.tree.items[o.parent]).id==s.id){n=!0;break}return!n})).map((function(e){var t=e[0],r=e[1],n=(e[2],e[3],e[4],null);return(n=t==By||t==qy?r:l.tree.items[r.parent])&&null==n.parent&&(n=null),e[5]=n,e}))).filter((function(e){return l.canMove(s,e[1],e[0],e[3],e[4],e[5],r)}));0==Y.length&&U.length>0&&(Y=U.filter((function(e){return l.canMove(s,e[1],e[0],e[3],e[4],e[5],r)})));var Q=Y.map((function(e){return e[2]})),X=s.lev,J=Q.concat(X),Z=null;-1!=J.indexOf(M)?Z=M:M>Math.max.apply(Math,Gn(J))?Z=Math.max.apply(Math,Gn(J)):M<Math.min.apply(Math,Gn(J))&&(Z=Math.min.apply(Math,Gn(J))),$=Y.find((function(e){return e[2]==Z})),D||$||!Y.length||($=Y[0]),c=$}}}else om.log("out of tree bounds!")}return!!c&&(this.move(s,c[1],c[0],c[3]),!0)}},{key:"canMove",value:function(e,t,r,n,o,i,a){if(!e||!t)return!1;if(e.id===t.id)return!1;var l=this.props.config.settings,s=l.canRegroup,u=l.canRegroupCases,c=l.maxNesting,d=l.maxNumberOfRules,p=l.canLeaveEmptyCase,f=(i?i.lev+1:t.lev)+(e.depth||0),h=r==Uy||r==Vy,g=r==qy||r==By,v=h&&1==t.lev||g&&0==t.lev,y=e.parent!=t.parent,m=g||y,b="case_group"==e.type&&!v||"rule_group"==e.parentType||"rule_group"==t.type||"rule_group"==t.parentType||"case_group"!=e.type&&"case_group"==t.type&&h||"case_group"!=e.type&&"switch_group"==t.type||!u&&e.caseId!=t.caseId,E=t.isLocked||e.isLocked||i&&i.isLocked;if(c&&f>c)return!1;if(m&&(!s||b||E))return!1;if("case_group"!=e.type&&e.caseId!=t.caseId){var O=!!n&&2==n._height,S=o?o.atomicRulesCountInCase+1:0;if(d&&S>d)return!1;if(O&&!p)return!1}if("case_group"==e.type&&(e.isDefaultCase||t.isDefaultCase||"switch_group"==t.type&&r==By))return!1;var T=!0;return a&&(T=a(e.node.toJS(),t.node.toJS(),r,i?i.node.toJS():null)),T}},{key:"move",value:function(e,t,r,n){this._isUsingLegacyReactDomRender||(xm=!0),this.props.actions.moveItem(e.path,t.path,r)}},{key:"render",value:function(){return pe().createElement(e,Tm({},this.props,{onDragStart:this.onDragStart}))}}])}(de.Component),t.propTypes={tree:ky().any.isRequired,actions:ky().object.isRequired},t}(e,t));return r.displayName="ConnectedSortableContainer",r}(GO);function WO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function zO(e,t,r){return t=Dn(t),Fn(e,HO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function HO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(HO=function(){return!!e})()}var $O=Py.clone,YO=Py.ConfigUtils,QO=YO.getFieldConfig,XO=YO.getFieldParts,JO=YO.getFieldPathParts,ZO=Py.RuleUtils,eS=ZO.getFieldPathLabels,tS=ZO.getWidgetForFieldOp,rS=function(e){function t(e){var r;return Nn(this,t),r=zO(this,t,[e]),cm(r),r.onPropsChanged(e),r}return Mn(t,e),kn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=!this.items||["config","field","fieldSrc","fieldType","operator","isFuncArg","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0,n=!this.meta||["config","field","fieldSrc","fieldType","operator","value","placeholder","isFuncArg","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0;r&&(this.items=this.getItems(e)),n&&(this.meta=this.getMeta(e))}},{key:"getItems",value:function(e){var t=e.config,r=e.field,n=e.fieldType,o=e.operator,i=e.parentField,a=e.isFuncArg,l=e.fieldDefinition,s=t.settings.canCompareFieldWithField,u=(t.settings.fieldSeparator,XO(i,t)),c=i?QO(t,i):null,d=i?null==c?void 0:c.subfields:t.fields,p=this.filterFields(t,d,r,i,u,o,s,a,l,n);return this.buildOptions(u,t,p,u)}},{key:"getMeta",value:function(e){var t,r=e.config,n=e.field,o=(e.fieldType,e.operator,e.value),i=e.placeholder,a=e.isFuncArg,l=e.parentField,s=r.settings,u=s.fieldPlaceholder,c=s.fieldSeparatorDisplay,d=o,p=!!o,f=n?QO(r,n):{},h=null==f||null===(t=f.widgets)||void 0===t?void 0:t.field,g=(null==h?void 0:h.widgetProps)||{},v=p?null:a&&i||g.valuePlaceholder||u,y=p?QO(r,d):null,m=y||{},b=JO(d,r),E=JO(d,r,!0),O=this.getFieldLabel(y,d,r),S=eS(d,r),T=S?S.join(c):null;return(T==O||l)&&(T=null),{placeholder:v,selectedKey:d,selectedKeys:b,selectedPath:E,selectedLabel:O,selectedOpts:m,selectedAltLabel:m.label2,selectedFullLabel:T}}},{key:"filterFields",value:function(e,t,r,n,o,i,a,l,s,u){t=$O(t);var c,d=e.settings.fieldSeparator,p=QO(e,r),f=tS(e,r,i,"value");return e.widgets[f],c=l?null==s?void 0:s.type:p?p.type:u,function t(n,o){for(var s in n){var u=n[s].subfields,f=(o||[]).concat(s),h=f.join(d),g=QO(e,h);if(g)if("!struct"==g.type||"!group"==g.type)0==t(u,f)&&delete n[s];else{var v=!(c&&g.type!=c||!l&&h==r),y=a||e.settings.canCompareFieldWithField;y&&(v=v&&y(r,p,h,g,i)),v||delete n[s]}else delete n[s]}return Vm()(n).length}(t,o||[]),t}},{key:"buildOptions",value:function(e,t,r){var n=this,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!r)return null;var a=t.settings,l=a.fieldSeparator,s=a.fieldSeparatorDisplay,u=null!=o&&o.length?o.join(l)+l:"";return Vm()(r).map((function(a){var l=[].concat(Gn(null!=o?o:[]),[a]),c=r[a],d=n.getFieldLabel(c,l,t),p=eS(l,t).join(s);(p==d||e)&&(p=null);var f=c.label2,h=c.tooltip;if(!c.hideForCompare)return"!struct"==c.type||"!group"==c.type?{key:a,path:u+a,label:d,fullLabel:p,altLabel:f,tooltip:h,items:n.buildOptions(e,t,c.subfields,l,{label:d,tooltip:h})}:{key:a,path:u+a,label:d,fullLabel:p,altLabel:f,tooltip:h,grouplabel:null==i?void 0:i.label,group:i}})).filter((function(e){return!!e}))}},{key:"getFieldLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=XO(t,r),i=(null==e?void 0:e.label)||$s()(o);return tm(i,n)}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setValue,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderField,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?WO(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):WO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({isValueField:!0,config:t,customProps:r,setField:n,readonly:o,items:this.items,id:i,groupId:a},this.meta);return l(s,t.ctx)}}])}(de.Component);rS.propTypes={id:ky().string,groupId:ky().string,setValue:ky().func.isRequired,config:ky().object.isRequired,field:ky().any,fieldSrc:ky().string,fieldType:ky().string,value:ky().string,operator:ky().string,customProps:ky().object,readonly:ky().bool,parentField:ky().string,fieldDefinition:ky().object,isFuncArg:ky().bool};const nS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.labelYes),o=e.labelNo,i=e.readonly,a=(e.widgetId,e.customProps),l=void 0===a?{}:a,s=l.radioYes||{},u=l.radioNo||{},c=function(e){return r("true"==e.target.value)};return pe().createElement(pe().Fragment,null,pe().createElement("input",Tm({type:"radio",value:!0,checked:!!t,disabled:i,onChange:c},s))," ",n,pe().createElement("input",Tm({type:"radio",value:!1,checked:!t,disabled:i,onChange:c},u))," ",o)},oS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.placeholder,i=e.maxLength,a=e.customProps,l=t||"";return pe().createElement("input",Tm({type:"text",value:l,placeholder:o,disabled:n,onChange:function(e){var t=e.target.value;""===t&&(t=void 0),r(t)},maxLength:i},a))},iS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.placeholder,i=e.maxLength,a=(e.maxRows,e.fullWidth),l=e.customProps,s=t||"";return pe().createElement("textarea",Tm({value:s,placeholder:o,disabled:n,onChange:function(e){var t=e.target.value;""===t&&(t=void 0),r(t)},maxLength:i,style:{width:a?"100%":void 0}},l))};Py.moment;const aS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.valueFormat,e.readonly),o=e.customProps;return pe().createElement("input",Tm({type:"date",value:t||"",disabled:n,onChange:function(e){var t=e.target.value;""==t&&(t=void 0),r(t)}},o))},lS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.valueFormat,e.use12Hours,e.readonly),o=e.customProps;return pe().createElement("input",Tm({type:"time",value:t||"",disabled:n,onChange:function(e){var t=e.target.value;""==t&&(t=void 0),r(t)}},o))};var sS=Py.moment;const uS=function(e){var t,r=e.value,n=e.setValue,o=(e.config,e.valueFormat),i=(e.use12Hours,e.readonly),a=e.customProps;return t=r?sS(r).format("YYYY-MM-DDTHH:mm"):"",pe().createElement("input",Tm({type:"datetime-local",value:t,disabled:i,onChange:function(e){var t=e.target.value;t=""==t?void 0:sS(new Date(t)).format(o),n(t)}},a))};var cS=Py.ListUtils.mapListValues;const dS=function(e){var t=e.listValues,r=e.value,n=e.setValue,o=(e.allowCustomValues,e.readonly),i=e.customProps;return pe().createElement("select",Tm({multiple:!0,onChange:function(e){return n(function(e){for(var t=[],r=e.options,n=0;n<r.length;n++){var o=r[n];o.selected&&t.push(o.value)}return t.length||(t=void 0),t}(e.target))},value:r,disabled:o},hs()(i,["showSearch","input","showCheckboxes"])),cS(t,(function(e){var t=e.title,r=e.value;return pe().createElement("option",{key:r,value:r},t)})))};var pS=Py.ListUtils.mapListValues;const fS=function(e){var t=e.listValues,r=e.value,n=e.setValue,o=(e.allowCustomValues,e.readonly),i=e.customProps,a=null!=r;return pe().createElement("select",Tm({onChange:function(e){return n(e.target.value)},value:a?r:"",disabled:o},hs()(i,["showSearch","input"])),!a&&pe().createElement("option",{disabled:!0,value:""}),pS(t,(function(e){var t=e.title,r=e.value;return pe().createElement("option",{key:r,value:r},t)})))},hS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.min,i=e.max,a=e.step,l=e.placeholder,s=e.customProps,u=null==t?"":t;return pe().createElement("input",Tm({type:"number",value:u,placeholder:l,disabled:n,min:o,max:i,step:a,onChange:function(e){var t=e.target.value;t=""===t||null===t?void 0:Number(t),r(t)}},s))},gS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.min,i=e.max,a=e.step,l=e.placeholder,s=e.customProps,u=void 0===s?{}:s,c=u.input||{},d=u.slider||u,p=function(e){var t=e.target.value;t=""===t||null===t?void 0:Number(t),r(t)},f=null==t?"":t;return pe().createElement("div",{style:{display:"inline-flex"}},pe().createElement("input",Tm({key:"number",type:"number",value:f,placeholder:l,disabled:n,min:o,max:i,step:a,onChange:p},c)),pe().createElement("input",Tm({key:"range",type:"range",value:f,disabled:n,min:o,max:i,step:a,onChange:p},d)))},vS=function(e){var t=e.items,r=e.setField,n=e.selectedKey,o=e.readonly,i=e.errorText,a=null!=n;return pe().createElement("select",{onChange:function(e){return r(e.target.value)},value:a?n:"",disabled:o,style:{color:i?"red":null}},!a&&pe().createElement("option",{disabled:!0,value:""}),function e(t){return t.map((function(t){var r=t.items,n=t.path,o=t.label,i=t.disabled,a=t.matchesType;if(r)return pe().createElement("optgroup",{disabled:i,key:n,label:o},e(r));var l=a?{fontWeight:"bold"}:{};return pe().createElement("option",{disabled:i,key:n,value:n,style:l},o)}))}(t))},yS=function(e){var t,r=e.id,n=e.not,o=e.setNot,i=e.conjunctionOptions,a=e.setConjunction,l=e.disabled,s=e.readonly,u=e.config,c=e.showNot,d=e.notLabel,p=Object.keys(i).length,f=l,h=u.settings.forceShowConj||p>1&&!f,g=function(e){return a(e.target.value)};return[c&&(t="not",[pe().createElement("input",{key:r+t,type:"checkbox",id:r+t,checked:n,disabled:s,onChange:function(e){return o(e.target.checked)}}),pe().createElement("label",{key:r+t+"label",htmlFor:r+t},d||"NOT")]),h&&Object.keys(i).map((function(e){var t=i[e],r=t.id,n=t.name,o=t.label,u=t.checked,c=a.isDummyFn?"__dummy":"";return!s&&!l||u?[pe().createElement("input",{key:r+c,type:"radio",id:r+c,name:n+c,checked:u,disabled:s||l,value:e,onChange:g}),pe().createElement("label",{key:r+c+"label",htmlFor:r+c},o)]:null}))]};var mS={addRuleGroup:"+",addRuleGroupExt:"+",delGroup:"x",delRuleGroup:"x",delRule:"x"};const bS=function(e){var t=e.type,r=e.label,n=e.onClick,o=e.readonly,i=r||mS[t];return pe().createElement("button",{onClick:n,type:"button",disabled:o},i)},ES=function(e){var t=e.type,r={}[t]||null;return r||"drag"!==t||(r=pe().createElement(Jm,null)),r},OS=function(e){var t=e.children;return e.config,pe().createElement(pe().Fragment,null,t)},SS=function(e){e.config;var t=e.valueSources,r=e.valueSrc,n=(e.title,e.setValueSrc),o=e.readonly;return pe().createElement("select",{onChange:function(e){return n(e.target.value)},value:r||"",disabled:o},function(e){return e.map((function(e){var t=zn(e,2),r=t[0],n=t[1];return pe().createElement("option",{key:r,value:r},n.label)}))}(t))},TS=function(e){var t=e.value,r=e.setValue,n=e.label,o=e.id,i=(e.config,e.type);return[pe().createElement("input",{key:o+i,type:"checkbox",id:o+i,checked:!!t,onChange:function(e){return r(e.target.checked)}}),pe().createElement("label",{key:o+i+"label",htmlFor:o+i},n)]},_S=function(e){var t=e.onOk,r=(e.okText,e.cancelText,e.title);confirm(r)&&t()};var wS=function(e){return e.config,e.children};function RS(e,t,r){return t=Dn(t),Fn(e,AS()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function AS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(AS=function(){return!!e})()}var IS=function(e){function t(){var e;Nn(this,t);for(var r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=RS(this,t,[].concat(n))).handleChange=function(t){e.props.setOption("proximity",parseInt(t))},e}return Mn(t,e),kn(t,[{key:"render",value:function(){var e=this.props,t=e.defaults,r=e.options,n=e.config,o=e.optionLabel,i=e.optionPlaceholder,a=e.customProps,l=e.minProximity,s=e.maxProximity,u=e.optionTextBefore,c=e.readonly,d=n.settings,p=n.widgets,f=n.ctx,h=t?t.proximity:void 0,g=d.showLabels,v=r.get("proximity",h),y=Ab()(l,s+1).map((function(e){return{title:e,value:e}})),m=p.select.factory,b=function(e){return m(e,f)};return pe().createElement("div",{className:"operator--PROXIMITY"},pe().createElement("div",{className:"operator--options"},g&&pe().createElement("label",{className:"rule--label"},o),!g&&u&&pe().createElement("div",{className:"operator--options--sep"},pe().createElement("span",null,u)),pe().createElement(b,Tm({config:n,value:v,listValues:y,setValue:this.handleChange,readonly:c,placeholder:i},a))),pe().createElement("div",{className:"operator--widgets"},this.props.children))}}])}(de.PureComponent);function CS(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function NS(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?CS(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):CS(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}IS.propTypes={config:ky().object.isRequired,setOption:ky().func.isRequired,options:ky().any.isRequired,minProximity:ky().number,maxProximity:ky().number,optionPlaceholder:ky().string,optionTextBefore:ky().string,optionLabel:ky().string,customProps:ky().object,readonly:ky().bool},IS.defaultProps={customProps:{},minProximity:2,maxProximity:10,optionPlaceholder:"Select words between",optionLabel:"Words between",optionTextBefore:null};var LS={conjunctions:NS({},Av.conjunctions),operators:NS(NS({},Av.operators),{},{proximity:NS(NS({},Av.operators.proximity),{},{options:NS(NS({},Av.operators.proximity.options),{},{factory:function(e,t){return(0,t.RCE)(t.O.ProximityOperator,e)}})})}),widgets:{text:NS(NS({},Av.widgets.text),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextWidget,e)}}),textarea:NS(NS({},Av.widgets.textarea),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextAreaWidget,e)}}),number:NS(NS({},Av.widgets.number),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaNumberWidget,e)}}),slider:NS(NS({},Av.widgets.slider),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaSliderWidget,e)}}),select:NS(NS({},Av.widgets.select),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaSelectWidget,e)}}),multiselect:NS(NS({},Av.widgets.multiselect),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaMultiSelectWidget,e)}}),date:NS(NS({},Av.widgets.date),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaDateWidget,e)}}),time:NS(NS({},Av.widgets.time),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTimeWidget,e)}}),datetime:NS(NS({},Av.widgets.datetime),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaDateTimeWidget,e)}}),boolean:NS(NS({},Av.widgets.boolean),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaBooleanWidget,e)}}),field:NS(NS({},Av.widgets.field),{},{factory:function(e,t){return(0,t.RCE)(t.W.ValueFieldWidget,e)},customProps:{showSearch:!0}}),func:NS(NS({},Av.widgets.func),{},{factory:function(e,t){return(0,t.RCE)(t.W.FuncWidget,e)},customProps:{}}),case_value:NS(NS({},Av.widgets.case_value),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextWidget,e)}})},types:NS(NS({},Av.types),{},{select:NS(NS({},Av.types.select),{},{widgets:NS(NS({},Av.types.select.widgets),{},{select:NS(NS({},Av.types.select.widgets.select),{},{widgetProps:{customProps:{showSearch:!0}}})})})}),settings:NS(NS({},Av.settings),{},{renderField:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderOperator:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderFunc:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderConjs:function(e,t){return(0,t.RCE)(t.W.VanillaConjs,e)},renderSwitch:function(e,t){return(0,t.RCE)(t.W.VanillaSwitch,e)},renderButton:function(e,t){return(0,t.RCE)(t.W.VanillaButton,e)},renderIcon:function(e,t){return(0,t.RCE)(t.W.VanillaIcon,e)},renderButtonGroup:function(e,t){return(0,t.RCE)(t.W.VanillaButtonGroup,e)},renderProvider:function(e,t){return(0,t.RCE)(t.W.VanillaProvider,e)},renderValueSources:function(e,t){return(0,t.RCE)(t.W.VanillaValueSources,e)},renderFieldSources:function(e,t){return(0,t.RCE)(t.W.VanillaValueSources,e)},renderConfirm:function(e,t){return(0,t.W.vanillaConfirm)(e)},renderSwitchPrefix:"Conditions",customFieldSelectProps:{showSearch:!0},defaultSliderWidth:"200px",defaultSelectWidth:"200px",defaultSearchWidth:"100px",defaultMaxRows:5,renderSize:"small",maxLabelsLength:100,showLock:!1,showNot:!0,forceShowConj:!1,groupActionsPosition:"topRight"}),ctx:NS(NS({},Av.ctx),{},{W:NS({},E),O:NS({},O),RCE:function(e,t){return pe().createElement(e,t)}})};const PS=LS=Py.ConfigMixins.removeMixins(LS,["rangeslider","treeselect","treemultiselect"]);p(9517);var xS=Py.Autocomplete,kS=(xS.mergeListValues,xS.listValueToOption,xS.optionToListValue,xS.optionsToListValues,xS.fixListValuesGroupOrder,Py.ListUtils);function FS(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function DS(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?FS(Object(r),!0).forEach((function(t){Vn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):FS(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}kS.mapListValues,kS.listValuesToArray,kS.getListValue,kS.makeCustomListValue,kS.searchListValue,kS.getItemInListValues;const jS=DS(DS({},Py),{},{ReactUtils:b,DragIcon:Jm});function MS(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function VS(){return VS=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},VS.apply(this,arguments)}function US(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){MS(e,t,r[t])}))}return e}function BS(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const qS={id:jS.uuid(),type:"group"},GS="timeFilter",KS=[GS],WS=BS(US({},PS.widgets),{text:BS(US({},PS.widgets.text),{factory:function(e){return pe().createElement(me.Input,{value:(null==e?void 0:e.value)||"",placeholder:null==e?void 0:e.placeholder,onChange:t=>null==e?void 0:e.setValue(t.currentTarget.value)})}}),number:BS(US({},PS.widgets.number),{factory:function(e){return pe().createElement(me.Input,{value:null==e?void 0:e.value,placeholder:null==e?void 0:e.placeholder,type:"number",onChange:t=>null==e?void 0:e.setValue(Number.parseInt(t.currentTarget.value,10))})}}),datetime:BS(US({},PS.widgets.datetime),{factory:function(e){if("macros"===(null==e?void 0:e.operator))return pe().createElement(me.Select,{id:e.id,"aria-label":"Macros value selector",menuShouldPortal:!0,options:KS.map(T.toOption),value:null==e?void 0:e.value,onChange:t=>e.setValue(t.value)});const t=(0,T.dateTime)(null==e?void 0:e.value).isValid()?(0,T.dateTime)(null==e?void 0:e.value).utc():void 0;return pe().createElement(me.DateTimePicker,{onChange:t=>{null==e||e.setValue(null==t?void 0:t.format(PS.widgets.datetime.valueFormat))},date:t})},sqlFormatValue:(e,t,r,n,o,i)=>{if("macros"===n)return KS.includes(e)?e:void 0;if("string"==typeof PS.widgets.datetime.sqlFormatValue||"object"==typeof PS.widgets.datetime.sqlFormatValue)return;const a=PS.widgets.datetime.sqlFormatValue;return(null==a?void 0:a.call(PS.ctx,e,t,r,n,o,i))||""}})}),zS=BS(US({},PS.settings),{canRegroup:!1,maxNesting:1,canReorder:!1,showNot:!1,addRuleLabel:"Add",deleteLabel:"Remove",renderConjs:function(e){return pe().createElement(me.Select,{id:null==e?void 0:e.id,"aria-label":"Conjunction","data-testid":Ie.components.SQLQueryEditor.filterConjunction,menuShouldPortal:!0,options:(null==e?void 0:e.conjunctionOptions)?Object.keys(null==e?void 0:e.conjunctionOptions).map(T.toOption):void 0,value:null==e?void 0:e.selectedConjunction,onChange:t=>null==e?void 0:e.setConjunction(t.value)})},renderField:function(e){var t;const r=(null==e||null===(t=e.config)||void 0===t?void 0:t.fields)||{};return pe().createElement(me.Select,{id:null==e?void 0:e.id,width:25,"aria-label":"Field","data-testid":Ie.components.SQLQueryEditor.filterField,menuShouldPortal:!0,options:null==e?void 0:e.items.map((e=>{var t,n;const o=null===(n=r[e.key].mainWidgetProps)||void 0===n||null===(t=n.customProps)||void 0===t?void 0:t.icon;return{label:e.label,value:e.key,icon:o}})),value:null==e?void 0:e.selectedKey,onChange:t=>{null==e||e.setField(t.label)}})},renderButton:function(e){return pe().createElement(me.Button,{type:"button",title:`${null==e?void 0:e.label} filter`,onClick:null==e?void 0:e.onClick,variant:"secondary",size:"md",icon:"Add"===(null==e?void 0:e.label)?"plus":"times"})},renderOperator:function(e){return pe().createElement(me.Select,{options:null==e?void 0:e.items.map((e=>({label:e.label,value:e.key}))),"aria-label":"Operator","data-testid":Ie.components.SQLQueryEditor.filterOperator,menuShouldPortal:!0,value:null==e?void 0:e.selectedKey,onChange:t=>{null==e||e.setField(t.value||"")}})}}),HS=function(e){const t=VS({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(e.operators));return BS(US({},t),{select_any_in:BS(US({},t.select_any_in),{sqlFormatOp:(e,r,n,o,i,a,l,s)=>(()=>{const e=t.select_any_in.sqlFormatOp;return eT(e)?e:ZS})()(e,r,tT(n),o,i,a,l,s)}),select_not_any_in:BS(US({},t.select_not_any_in),{sqlFormatOp:(e,r,n,o,i,a,l,s)=>(()=>{const e=t.select_not_any_in.sqlFormatOp;return eT(e)?e:ZS})()(e,r,tT(n),o,i,a,l,s)}),macros:{label:"Macros",sqlFormatOp:(e,t,r)=>r===GS?`$__timeFilter(${e})`:r}})}(PS),$S=PS.types.text.widgets.text,YS=[...$S.operators||[],"select_any_in","select_not_any_in"],QS=BS(US({},$S),{operators:YS}),XS=BS(US({},PS.types),{text:BS(US({},PS.types.text),{widgets:BS(US({},PS.types.text.widgets),{text:QS})}),datetime:BS(US({},PS.types.datetime),{widgets:BS(US({},PS.types.datetime.widgets),{datetime:BS(US({},PS.types.datetime.widgets.datetime),{operators:["macros",...PS.types.datetime.widgets.datetime.operators||[]]})})})}),JS=BS(US({},PS),{widgets:WS,settings:zS,operators:HS,types:XS}),ZS=()=>"",eT=e=>"function"==typeof e;function tT(e){return(0,ue.isString)(e)?e.split(","):e}function rT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function nT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){rT(e,t,r[t])}))}return e}function oT(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function iT({sql:e,config:t,onSqlChange:r}){const[n,o]=(0,de.useState)(),i=(0,de.useMemo)((()=>nT({},JS,t)),[t]);(0,de.useEffect)((()=>{if(!n){var t;const r=jS.checkTree(jS.loadTree(null!==(t=e.whereJsonTree)&&void 0!==t?t:qS),i);o(r)}}),[i,e.whereJsonTree,n]),(0,de.useEffect)((()=>{e.whereJsonTree||o(jS.checkTree(jS.loadTree(qS),i))}),[i,e.whereJsonTree]);const a=(0,de.useCallback)(((t,n)=>{o(t);const i=oT(nT({},e),{whereJsonTree:jS.getTree(t),whereString:jS.sqlFormat(t,n)});r(i)}),[r,e]);return n?pe().createElement(Sm,oT(nT({},i),{value:n,onChange:a,renderBuilder:e=>pe().createElement(KO,e)})):null}function aT(e){return`\n    display: flex;\n    gap: 8px;\n    flex-direction: ${e};`}function lT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function sT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){lT(i,n,o,a,l,"next",e)}function l(e){lT(i,n,o,a,l,"throw",e)}a(void 0)}))}}function uT({query:e,fields:t,onQueryChange:r,db:n}){const o=(0,Cn.A)(sT((function*(){return function(e){const t={};for(const r of e)t[r.value]={type:r.raqbFieldType||"text",valueSources:["value"],mainWidgetProps:{customProps:{icon:r.icon}}};return t}(t)})),[t]),{onSqlChange:i}=$r({query:e,onQueryChange:r,db:n});return pe().createElement(iT,{key:JSON.stringify(o.value),config:{fields:o.value||{}},sql:e.sql,onSqlChange:e=>{!function(e,t){var r,n;t.some((t=>(t=>{var r,n;return"multi"in t&&t.multi&&((null===(r=e.whereString)||void 0===r?void 0:r.includes(`\${${t.name}}`))||(null===(n=e.whereString)||void 0===n?void 0:n.includes(`$${t.name}`)))})(t)))&&(e.whereString=null===(r=e.whereString)||void 0===r?void 0:r.replaceAll("')",")"),e.whereString=null===(n=e.whereString)||void 0===n?void 0:n.replaceAll("('","("))}(e,(0,se.getTemplateSrv)().getVariables()),i(e)}})}function cT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function dT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){cT(i,n,o,a,l,"next",e)}function l(e){cT(i,n,o,a,l,"throw",e)}a(void 0)}))}}Ce.injectGlobal`
  .group--header {
    ${aT("row")}
  }

  .group-or-rule {
    ${aT("column")}
    .rule {
      flex-direction: row;
    }
  }

  .rule--body {
    ${aT("row")}
  }

  .group--children {
    ${aT("column")}
  }

  .group--conjunctions:empty {
    display: none;
  }
`;const pT=({query:e,db:t,queryRowFilter:r,onChange:n,onValidate:o,range:i})=>{var a;const l=ge(dT((function*(){return yield t.fields(e)})),[t,e.dataset,e.table]);return pe().createElement(pe().Fragment,null,pe().createElement(qr,null,pe().createElement(Je,null,pe().createElement(In,{fields:l.value||[],query:e,onQueryChange:n,db:t})),r.filter&&pe().createElement(Je,null,pe().createElement(lt,{label:"Filter by column value",optional:!0},pe().createElement(uT,{fields:l.value||[],query:e,onQueryChange:n,db:t}))),r.group&&pe().createElement(Je,null,pe().createElement(lt,{label:"Group by column"},pe().createElement(pn,{fields:l.value||[],query:e,onQueryChange:n,db:t}))),r.order&&pe().createElement(Je,null,pe().createElement(mn,{fields:l.value||[],query:e,onQueryChange:n,db:t})),r.preview&&e.rawSql&&pe().createElement(Je,null,pe().createElement(Wr,{rawSql:e.rawSql,datasourceType:null===(a=e.datasource)||void 0===a?void 0:a.type}))),pe().createElement(Vr,{db:t,query:e,onValidate:o,range:i}))};function fT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function hT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){fT(i,n,o,a,l,"next",e)}function l(e){fT(i,n,o,a,l,"throw",e)}a(void 0)}))}}function gT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function vT({datasource:e,query:t,onChange:r,onRunQuery:n,range:o,queryHeaderProps:i}){var a,l,s,u,c,d;const[p,f]=(0,de.useState)(!0),h=e.getDB(),{preconfiguredDatabase:g}=e;var v;const y=null!==(v=null==i?void 0:i.dialect)&&void 0!==v?v:"other",{loading:m,error:b}=ge(hT((function*(){return()=>{void 0!==e.getDB(e.id).init&&e.getDB(e.id).init()}})),[e]),E=Te(t),[O,S]=(0,de.useState)({filter:!!(null===(a=E.sql)||void 0===a?void 0:a.whereString),group:!!(null===(u=E.sql)||void 0===u||null===(s=u.groupBy)||void 0===s||null===(l=s[0])||void 0===l?void 0:l.property.name),order:!!(null===(d=E.sql)||void 0===d||null===(c=d.orderBy)||void 0===c?void 0:c.property.name),preview:!0}),[T,_]=(0,de.useState)(E);(0,de.useEffect)((()=>()=>{void 0!==e.getDB(e.id).dispose&&e.getDB(e.id).dispose()}),[e]);const w=(0,de.useCallback)((e=>{yT(e)&&n&&n()}),[n]),R=(e,t=!0)=>{var n,o,i,a;_(e),r(e),be(null===(n=e.sql)||void 0===n?void 0:n.columns)&&(null===(o=e.sql)||void 0===o?void 0:o.columns.some((e=>e.name)))&&!O.group&&S((i=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){gT(e,t,r[t])}))}return e}({},O),a=null!=(a={group:!0})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i)),t&&w(e)};return m||b?null:pe().createElement(pe().Fragment,null,pe().createElement(Ot,{db:h,preconfiguredDataset:g,onChange:e=>{_(e),r(e)},onRunQuery:n,onQueryRowChange:S,queryRowFilter:O,query:E,isQueryRunnable:p,dialect:y}),pe().createElement(me.Space,{v:.5}),E.editorMode!==le.Code&&pe().createElement(pT,{db:h,query:E,onChange:e=>R(e,!1),queryRowFilter:O,onValidate:f,range:o}),E.editorMode===le.Code&&pe().createElement(Ur,{db:h,query:E,queryToValidate:T,onChange:R,onRunQuery:n,onValidate:f,range:o}))}const yT=e=>Boolean(e.rawSql);function mT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function bT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){mT(e,t,r[t])}))}return e}function ET(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function OT(e){const t="string"==typeof e.rawQuery?e.rawQuery:null;if(!t)return e;var r;const n=Te(ET(bT({refId:"Annotation"},null!==(r=e.target)&&void 0!==r?r:{}),{rawSql:t}));return ET(bT({},e),{rawQuery:void 0,workspace:void 0,subscription:void 0,queryType:void 0,target:n})}function ST(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function TT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){ST(i,n,o,a,l,"next",e)}function l(e){ST(i,n,o,a,l,"throw",e)}a(void 0)}))}}function _T(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function wT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){_T(e,t,r[t])}))}return e}function RT(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class AT extends se.DataSourceWithBackend{getResponseParser(){return this.responseParser}interpolateVariablesInQueries(e,t){let r=e;return e&&e.length>0&&(r=e.map((e=>RT(wT({},e),{datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),rawQuery:!0})))),r}filterQuery(e){return!e.hide}applyTemplateVariables(e,t){return{refId:e.refId,datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),format:e.format}}query(e){if(ct()){const t=this.checkForDatabaseIssue(e);if(t){const e=new Error(t);return(0,R.throwError)((()=>e))}}return e.targets.forEach((t=>{var r;e.app!==T.CoreApp.Dashboard&&e.app!==T.CoreApp.PanelViewer&&(0,se.reportInteraction)("grafana_sql_query_executed",{datasource:null===(r=t.datasource)||void 0===r?void 0:r.type,editorMode:t.editorMode,format:t.format,app:e.app})})),super.query(e)}checkForDatabaseIssue(e){if("postgres"===this.type&&!this.preconfiguredDatabase)return"You do not currently have a default database configured for this data source. Postgres requires a default\n             database with which to connect. Please configure one through the Data Sources Configuration page, or if you\n             are using a provisioning file, update that configuration file with a default database.";if(e.app!==T.CoreApp.Explore&&this.preconfiguredDatabase)for(const t of e.targets)if(t.editorMode===le.Builder&&t.dataset!==this.preconfiguredDatabase)return"The configuration for this panel's data source has been modified. The previous database used in this panel's\n                   saved query is no longer available. Please update the query to use the new database option.\n                   Previous query parameters will be preserved until the query is updated."}metricFindQuery(e,t){var r=this;return TT((function*(){const n=null==t?void 0:t.range;if(null==n)return[];let o="tempvar";t&&t.variable&&t.variable.name&&(o=t.variable.name);const i=wT({},null==t?void 0:t.scopedVars,(0,T.getSearchFilterScopedVar)({query:e,wildcardChar:"%",options:t})),a=r.templateSrv.replace(e,i,r.interpolateVariable),l={refId:o,datasource:r.getRef(),rawSql:a,format:S.Table};let s;try{s=yield r.runMetaQuery(l,n)}catch(e){throw console.error(e),new Error("error when executing the sql query")}return r.getResponseParser().transformMetricFindResponse(s)}))()}runSql(e,t){var r=this;return TT((function*(){const n=(0,T.getDefaultTimeRange)(),o=yield r.runMetaQuery({rawSql:e,format:S.Table,refId:null==t?void 0:t.refId},n);return new T.DataFrameView(o)}))()}runMetaQuery(e,t){const r=e.refId||"meta",n=[RT(wT({},e),{datasource:e.datasource||this.getRef(),refId:r})];return(0,R.lastValueFrom)((0,se.getBackendSrv)().fetch({url:"/api/ds/query",method:"POST",headers:this.getRequestHeaders(),data:{from:t.from.valueOf().toString(),to:t.to.valueOf().toString(),queries:n},requestId:r}).pipe(J((e=>{var t;return null!==(t=(0,se.toDataQueryResponse)(e,n).data[0])&&void 0!==t?t:{fields:[]}}))))}targetContainsTemplate(e){let t=e.rawSql;return En.forEach((e=>{t=(null==t?void 0:t.replace(e,""))||""})),this.templateSrv.containsTemplate(t)}constructor(e,t=(0,se.getTemplateSrv)()){super(e),_T(this,"templateSrv",void 0),_T(this,"id",void 0),_T(this,"responseParser",void 0),_T(this,"name",void 0),_T(this,"interval",void 0),_T(this,"db",void 0),_T(this,"preconfiguredDatabase",void 0),_T(this,"interpolateVariable",void 0),this.templateSrv=t,this.interpolateVariable=(e,t)=>"string"==typeof e?t.multi||t.includeAll?this.getQueryModel().quoteLiteral(e):String(e).replace(/'/g,"''"):"number"==typeof e?e:Array.isArray(e)?e.map((e=>this.getQueryModel().quoteLiteral(e))).join(","):e,this.name=e.name,this.responseParser=new ce,this.id=e.id;const r=e.jsonData||{};var n;this.interval=r.timeInterval||"1m",this.db=this.getDB(),this.preconfiguredDatabase=null!==(n=r.database)&&void 0!==n?n:"",this.annotations={prepareAnnotation:OT,QueryEditor:vT}}}var IT=Object.defineProperty,CT=Object.defineProperties,NT=Object.getOwnPropertyDescriptors,LT=Object.getOwnPropertySymbols,PT=Object.prototype.hasOwnProperty,xT=Object.prototype.propertyIsEnumerable,kT=(e,t,r)=>t in e?IT(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,FT=(e,t)=>{for(var r in t||(t={}))PT.call(t,r)&&kT(e,r,t[r]);if(LT)for(var r of LT(t))xT.call(t,r)&&kT(e,r,t[r]);return e};const DT=({children:e,title:t,description:r,isCollapsible:n=!1,isInitiallyOpen:o=!0,kind:i="section",className:a})=>{const{colors:l,typography:s,spacing:u}=(0,me.useTheme2)(),[c,d]=(0,de.useState)(!n||o),p=c?"angle-up":"angle-down",f="sub-section"===i,h=`${c?"Collapse":"Expand"} section ${t}`,g={header:(0,Ce.css)({display:"flex",justifyContent:"space-between",alignItems:"center"}),title:(0,Ce.css)({margin:0}),subtitle:(0,Ce.css)({margin:0,fontWeight:s.fontWeightRegular}),descriptionText:(0,Ce.css)((v=FT({marginTop:u(f?.25:.5),marginBottom:0},s.bodySmall),y={color:l.text.secondary},CT(v,NT(y)))),content:(0,Ce.css)({marginTop:u(2)})};var v,y;return pe().createElement("div",{className:a},pe().createElement("div",{className:g.header},"section"===i?pe().createElement("h3",{className:g.title},t):pe().createElement("h6",{className:g.subtitle},t),n&&pe().createElement(me.IconButton,{name:p,onClick:()=>d(!c),type:"button",size:"xl","aria-label":h})),r&&pe().createElement("p",{className:g.descriptionText},r),c&&pe().createElement("div",{className:g.content},e))};var jT=Object.defineProperty,MT=Object.defineProperties,VT=Object.getOwnPropertyDescriptors,UT=Object.getOwnPropertySymbols,BT=Object.prototype.hasOwnProperty,qT=Object.prototype.propertyIsEnumerable,GT=(e,t,r)=>t in e?jT(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const KT=e=>{var t,r=e,{children:n}=r,o=((e,t)=>{var r={};for(var n in e)BT.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&UT)for(var n of UT(e))t.indexOf(n)<0&&qT.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return pe().createElement(DT,(t=((e,t)=>{for(var r in t||(t={}))BT.call(t,r)&&GT(e,r,t[r]);if(UT)for(var r of UT(t))qT.call(t,r)&&GT(e,r,t[r]);return e})({},o),MT(t,VT({kind:"sub-section"}))),n)};var WT=p(8145),zT=(p(9874),p(3238)),HT=p.n(zT);let $T=null;const YT=new WeakMap;function QT(){return(0,de.useContext)($T||T.ThemeContext)}function XT(e,...t){const r=QT();let n=YT.get(e);return n||(n=HT()(e,{maxSize:10}),YT.set(e,n)),n(r,...t)}function JT(e){return JT="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},JT(e)}var ZT=/^\s+/,e_=/\s+$/;function t_(e,t){if(t=t||{},(e=e||"")instanceof t_)return e;if(!(this instanceof t_))return new t_(e,t);var r=function(e){var t,r,n,o={r:0,g:0,b:0},i=1,a=null,l=null,s=null,u=!1,c=!1;return"string"==typeof e&&(e=function(e){e=e.replace(ZT,"").replace(e_,"").toLowerCase();var t,r=!1;if(m_[e])e=m_[e],r=!0;else if("transparent"==e)return{r:0,g:0,b:0,a:0,format:"name"};return(t=L_.rgb.exec(e))?{r:t[1],g:t[2],b:t[3]}:(t=L_.rgba.exec(e))?{r:t[1],g:t[2],b:t[3],a:t[4]}:(t=L_.hsl.exec(e))?{h:t[1],s:t[2],l:t[3]}:(t=L_.hsla.exec(e))?{h:t[1],s:t[2],l:t[3],a:t[4]}:(t=L_.hsv.exec(e))?{h:t[1],s:t[2],v:t[3]}:(t=L_.hsva.exec(e))?{h:t[1],s:t[2],v:t[3],a:t[4]}:(t=L_.hex8.exec(e))?{r:T_(t[1]),g:T_(t[2]),b:T_(t[3]),a:A_(t[4]),format:r?"name":"hex8"}:(t=L_.hex6.exec(e))?{r:T_(t[1]),g:T_(t[2]),b:T_(t[3]),format:r?"name":"hex"}:(t=L_.hex4.exec(e))?{r:T_(t[1]+""+t[1]),g:T_(t[2]+""+t[2]),b:T_(t[3]+""+t[3]),a:A_(t[4]+""+t[4]),format:r?"name":"hex8"}:!!(t=L_.hex3.exec(e))&&{r:T_(t[1]+""+t[1]),g:T_(t[2]+""+t[2]),b:T_(t[3]+""+t[3]),format:r?"name":"hex"}}(e)),"object"==JT(e)&&(P_(e.r)&&P_(e.g)&&P_(e.b)?(t=e.r,r=e.g,n=e.b,o={r:255*O_(t,255),g:255*O_(r,255),b:255*O_(n,255)},u=!0,c="%"===String(e.r).substr(-1)?"prgb":"rgb"):P_(e.h)&&P_(e.s)&&P_(e.v)?(a=w_(e.s),l=w_(e.v),o=function(e,t,r){e=6*O_(e,360),t=O_(t,100),r=O_(r,100);var n=Math.floor(e),o=e-n,i=r*(1-t),a=r*(1-o*t),l=r*(1-(1-o)*t),s=n%6;return{r:255*[r,a,i,i,l,r][s],g:255*[l,r,r,a,i,i][s],b:255*[i,i,l,r,r,a][s]}}(e.h,a,l),u=!0,c="hsv"):P_(e.h)&&P_(e.s)&&P_(e.l)&&(a=w_(e.s),s=w_(e.l),o=function(e,t,r){var n,o,i;function a(e,t,r){return r<0&&(r+=1),r>1&&(r-=1),r<1/6?e+6*(t-e)*r:r<.5?t:r<2/3?e+(t-e)*(2/3-r)*6:e}if(e=O_(e,360),t=O_(t,100),r=O_(r,100),0===t)n=o=i=r;else{var l=r<.5?r*(1+t):r+t-r*t,s=2*r-l;n=a(s,l,e+1/3),o=a(s,l,e),i=a(s,l,e-1/3)}return{r:255*n,g:255*o,b:255*i}}(e.h,a,s),u=!0,c="hsl"),e.hasOwnProperty("a")&&(i=e.a)),i=E_(i),{ok:u,format:e.format||c,r:Math.min(255,Math.max(o.r,0)),g:Math.min(255,Math.max(o.g,0)),b:Math.min(255,Math.max(o.b,0)),a:i}}(e);this._originalInput=e,this._r=r.r,this._g=r.g,this._b=r.b,this._a=r.a,this._roundA=Math.round(100*this._a)/100,this._format=t.format||r.format,this._gradientType=t.gradientType,this._r<1&&(this._r=Math.round(this._r)),this._g<1&&(this._g=Math.round(this._g)),this._b<1&&(this._b=Math.round(this._b)),this._ok=r.ok}function r_(e,t,r){e=O_(e,255),t=O_(t,255),r=O_(r,255);var n,o,i=Math.max(e,t,r),a=Math.min(e,t,r),l=(i+a)/2;if(i==a)n=o=0;else{var s=i-a;switch(o=l>.5?s/(2-i-a):s/(i+a),i){case e:n=(t-r)/s+(t<r?6:0);break;case t:n=(r-e)/s+2;break;case r:n=(e-t)/s+4}n/=6}return{h:n,s:o,l}}function n_(e,t,r){e=O_(e,255),t=O_(t,255),r=O_(r,255);var n,o,i=Math.max(e,t,r),a=Math.min(e,t,r),l=i,s=i-a;if(o=0===i?0:s/i,i==a)n=0;else{switch(i){case e:n=(t-r)/s+(t<r?6:0);break;case t:n=(r-e)/s+2;break;case r:n=(e-t)/s+4}n/=6}return{h:n,s:o,v:l}}function o_(e,t,r,n){var o=[__(Math.round(e).toString(16)),__(Math.round(t).toString(16)),__(Math.round(r).toString(16))];return n&&o[0].charAt(0)==o[0].charAt(1)&&o[1].charAt(0)==o[1].charAt(1)&&o[2].charAt(0)==o[2].charAt(1)?o[0].charAt(0)+o[1].charAt(0)+o[2].charAt(0):o.join("")}function i_(e,t,r,n){return[__(R_(n)),__(Math.round(e).toString(16)),__(Math.round(t).toString(16)),__(Math.round(r).toString(16))].join("")}function a_(e,t){t=0===t?0:t||10;var r=t_(e).toHsl();return r.s-=t/100,r.s=S_(r.s),t_(r)}function l_(e,t){t=0===t?0:t||10;var r=t_(e).toHsl();return r.s+=t/100,r.s=S_(r.s),t_(r)}function s_(e){return t_(e).desaturate(100)}function u_(e,t){t=0===t?0:t||10;var r=t_(e).toHsl();return r.l+=t/100,r.l=S_(r.l),t_(r)}function c_(e,t){t=0===t?0:t||10;var r=t_(e).toRgb();return r.r=Math.max(0,Math.min(255,r.r-Math.round(-t/100*255))),r.g=Math.max(0,Math.min(255,r.g-Math.round(-t/100*255))),r.b=Math.max(0,Math.min(255,r.b-Math.round(-t/100*255))),t_(r)}function d_(e,t){t=0===t?0:t||10;var r=t_(e).toHsl();return r.l-=t/100,r.l=S_(r.l),t_(r)}function p_(e,t){var r=t_(e).toHsl(),n=(r.h+t)%360;return r.h=n<0?360+n:n,t_(r)}function f_(e){var t=t_(e).toHsl();return t.h=(t.h+180)%360,t_(t)}function h_(e,t){if(isNaN(t)||t<=0)throw new Error("Argument to polyad must be a positive number");for(var r=t_(e).toHsl(),n=[t_(e)],o=360/t,i=1;i<t;i++)n.push(t_({h:(r.h+i*o)%360,s:r.s,l:r.l}));return n}function g_(e){var t=t_(e).toHsl(),r=t.h;return[t_(e),t_({h:(r+72)%360,s:t.s,l:t.l}),t_({h:(r+216)%360,s:t.s,l:t.l})]}function v_(e,t,r){t=t||6,r=r||30;var n=t_(e).toHsl(),o=360/r,i=[t_(e)];for(n.h=(n.h-(o*t>>1)+720)%360;--t;)n.h=(n.h+o)%360,i.push(t_(n));return i}function y_(e,t){t=t||6;for(var r=t_(e).toHsv(),n=r.h,o=r.s,i=r.v,a=[],l=1/t;t--;)a.push(t_({h:n,s:o,v:i})),i=(i+l)%1;return a}t_.prototype={isDark:function(){return this.getBrightness()<128},isLight:function(){return!this.isDark()},isValid:function(){return this._ok},getOriginalInput:function(){return this._originalInput},getFormat:function(){return this._format},getAlpha:function(){return this._a},getBrightness:function(){var e=this.toRgb();return(299*e.r+587*e.g+114*e.b)/1e3},getLuminance:function(){var e,t,r,n=this.toRgb();return e=n.r/255,t=n.g/255,r=n.b/255,.2126*(e<=.03928?e/12.92:Math.pow((e+.055)/1.055,2.4))+.7152*(t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4))+.0722*(r<=.03928?r/12.92:Math.pow((r+.055)/1.055,2.4))},setAlpha:function(e){return this._a=E_(e),this._roundA=Math.round(100*this._a)/100,this},toHsv:function(){var e=n_(this._r,this._g,this._b);return{h:360*e.h,s:e.s,v:e.v,a:this._a}},toHsvString:function(){var e=n_(this._r,this._g,this._b),t=Math.round(360*e.h),r=Math.round(100*e.s),n=Math.round(100*e.v);return 1==this._a?"hsv("+t+", "+r+"%, "+n+"%)":"hsva("+t+", "+r+"%, "+n+"%, "+this._roundA+")"},toHsl:function(){var e=r_(this._r,this._g,this._b);return{h:360*e.h,s:e.s,l:e.l,a:this._a}},toHslString:function(){var e=r_(this._r,this._g,this._b),t=Math.round(360*e.h),r=Math.round(100*e.s),n=Math.round(100*e.l);return 1==this._a?"hsl("+t+", "+r+"%, "+n+"%)":"hsla("+t+", "+r+"%, "+n+"%, "+this._roundA+")"},toHex:function(e){return o_(this._r,this._g,this._b,e)},toHexString:function(e){return"#"+this.toHex(e)},toHex8:function(e){return function(e,t,r,n,o){var i=[__(Math.round(e).toString(16)),__(Math.round(t).toString(16)),__(Math.round(r).toString(16)),__(R_(n))];return o&&i[0].charAt(0)==i[0].charAt(1)&&i[1].charAt(0)==i[1].charAt(1)&&i[2].charAt(0)==i[2].charAt(1)&&i[3].charAt(0)==i[3].charAt(1)?i[0].charAt(0)+i[1].charAt(0)+i[2].charAt(0)+i[3].charAt(0):i.join("")}(this._r,this._g,this._b,this._a,e)},toHex8String:function(e){return"#"+this.toHex8(e)},toRgb:function(){return{r:Math.round(this._r),g:Math.round(this._g),b:Math.round(this._b),a:this._a}},toRgbString:function(){return 1==this._a?"rgb("+Math.round(this._r)+", "+Math.round(this._g)+", "+Math.round(this._b)+")":"rgba("+Math.round(this._r)+", "+Math.round(this._g)+", "+Math.round(this._b)+", "+this._roundA+")"},toPercentageRgb:function(){return{r:Math.round(100*O_(this._r,255))+"%",g:Math.round(100*O_(this._g,255))+"%",b:Math.round(100*O_(this._b,255))+"%",a:this._a}},toPercentageRgbString:function(){return 1==this._a?"rgb("+Math.round(100*O_(this._r,255))+"%, "+Math.round(100*O_(this._g,255))+"%, "+Math.round(100*O_(this._b,255))+"%)":"rgba("+Math.round(100*O_(this._r,255))+"%, "+Math.round(100*O_(this._g,255))+"%, "+Math.round(100*O_(this._b,255))+"%, "+this._roundA+")"},toName:function(){return 0===this._a?"transparent":!(this._a<1)&&(b_[o_(this._r,this._g,this._b,!0)]||!1)},toFilter:function(e){var t="#"+i_(this._r,this._g,this._b,this._a),r=t,n=this._gradientType?"GradientType = 1, ":"";if(e){var o=t_(e);r="#"+i_(o._r,o._g,o._b,o._a)}return"progid:DXImageTransform.Microsoft.gradient("+n+"startColorstr="+t+",endColorstr="+r+")"},toString:function(e){var t=!!e;e=e||this._format;var r=!1,n=this._a<1&&this._a>=0;return t||!n||"hex"!==e&&"hex6"!==e&&"hex3"!==e&&"hex4"!==e&&"hex8"!==e&&"name"!==e?("rgb"===e&&(r=this.toRgbString()),"prgb"===e&&(r=this.toPercentageRgbString()),"hex"!==e&&"hex6"!==e||(r=this.toHexString()),"hex3"===e&&(r=this.toHexString(!0)),"hex4"===e&&(r=this.toHex8String(!0)),"hex8"===e&&(r=this.toHex8String()),"name"===e&&(r=this.toName()),"hsl"===e&&(r=this.toHslString()),"hsv"===e&&(r=this.toHsvString()),r||this.toHexString()):"name"===e&&0===this._a?this.toName():this.toRgbString()},clone:function(){return t_(this.toString())},_applyModification:function(e,t){var r=e.apply(null,[this].concat([].slice.call(t)));return this._r=r._r,this._g=r._g,this._b=r._b,this.setAlpha(r._a),this},lighten:function(){return this._applyModification(u_,arguments)},brighten:function(){return this._applyModification(c_,arguments)},darken:function(){return this._applyModification(d_,arguments)},desaturate:function(){return this._applyModification(a_,arguments)},saturate:function(){return this._applyModification(l_,arguments)},greyscale:function(){return this._applyModification(s_,arguments)},spin:function(){return this._applyModification(p_,arguments)},_applyCombination:function(e,t){return e.apply(null,[this].concat([].slice.call(t)))},analogous:function(){return this._applyCombination(v_,arguments)},complement:function(){return this._applyCombination(f_,arguments)},monochromatic:function(){return this._applyCombination(y_,arguments)},splitcomplement:function(){return this._applyCombination(g_,arguments)},triad:function(){return this._applyCombination(h_,[3])},tetrad:function(){return this._applyCombination(h_,[4])}},t_.fromRatio=function(e,t){if("object"==JT(e)){var r={};for(var n in e)e.hasOwnProperty(n)&&(r[n]="a"===n?e[n]:w_(e[n]));e=r}return t_(e,t)},t_.equals=function(e,t){return!(!e||!t)&&t_(e).toRgbString()==t_(t).toRgbString()},t_.random=function(){return t_.fromRatio({r:Math.random(),g:Math.random(),b:Math.random()})},t_.mix=function(e,t,r){r=0===r?0:r||50;var n=t_(e).toRgb(),o=t_(t).toRgb(),i=r/100;return t_({r:(o.r-n.r)*i+n.r,g:(o.g-n.g)*i+n.g,b:(o.b-n.b)*i+n.b,a:(o.a-n.a)*i+n.a})},t_.readability=function(e,t){var r=t_(e),n=t_(t);return(Math.max(r.getLuminance(),n.getLuminance())+.05)/(Math.min(r.getLuminance(),n.getLuminance())+.05)},t_.isReadable=function(e,t,r){var n,o,i,a,l,s=t_.readability(e,t);switch(o=!1,(i=r,"AA"!==(a=((i=i||{level:"AA",size:"small"}).level||"AA").toUpperCase())&&"AAA"!==a&&(a="AA"),"small"!==(l=(i.size||"small").toLowerCase())&&"large"!==l&&(l="small"),n={level:a,size:l}).level+n.size){case"AAsmall":case"AAAlarge":o=s>=4.5;break;case"AAlarge":o=s>=3;break;case"AAAsmall":o=s>=7}return o},t_.mostReadable=function(e,t,r){var n,o,i,a,l=null,s=0;o=(r=r||{}).includeFallbackColors,i=r.level,a=r.size;for(var u=0;u<t.length;u++)(n=t_.readability(e,t[u]))>s&&(s=n,l=t_(t[u]));return t_.isReadable(e,l,{level:i,size:a})||!o?l:(r.includeFallbackColors=!1,t_.mostReadable(e,["#fff","#000"],r))};var m_=t_.names={aliceblue:"f0f8ff",antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",darkkhaki:"bdb76b",darkmagenta:"8b008b",darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",gray:"808080",green:"008000",greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",lightsteelblue:"b0c4de",lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",orangered:"ff4500",orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",rebeccapurple:"663399",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",springgreen:"00ff7f",steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},b_=t_.hexNames=function(e){var t={};for(var r in e)e.hasOwnProperty(r)&&(t[e[r]]=r);return t}(m_);function E_(e){return e=parseFloat(e),(isNaN(e)||e<0||e>1)&&(e=1),e}function O_(e,t){(function(e){return"string"==typeof e&&-1!=e.indexOf(".")&&1===parseFloat(e)})(e)&&(e="100%");var r=function(e){return"string"==typeof e&&-1!=e.indexOf("%")}(e);return e=Math.min(t,Math.max(0,parseFloat(e))),r&&(e=parseInt(e*t,10)/100),Math.abs(e-t)<1e-6?1:e%t/parseFloat(t)}function S_(e){return Math.min(1,Math.max(0,e))}function T_(e){return parseInt(e,16)}function __(e){return 1==e.length?"0"+e:""+e}function w_(e){return e<=1&&(e=100*e+"%"),e}function R_(e){return Math.round(255*parseFloat(e)).toString(16)}function A_(e){return T_(e)/255}var I_,C_,N_,L_=(C_="[\\s|\\(]+("+(I_="(?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?)")+")[,|\\s]+("+I_+")[,|\\s]+("+I_+")\\s*\\)?",N_="[\\s|\\(]+("+I_+")[,|\\s]+("+I_+")[,|\\s]+("+I_+")[,|\\s]+("+I_+")\\s*\\)?",{CSS_UNIT:new RegExp(I_),rgb:new RegExp("rgb"+C_),rgba:new RegExp("rgba"+N_),hsl:new RegExp("hsl"+C_),hsla:new RegExp("hsla"+N_),hsv:new RegExp("hsv"+C_),hsva:new RegExp("hsva"+N_),hex3:/^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,hex4:/^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex8:/^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/});function P_(e){return!!L_.CSS_UNIT.exec(e)}function x_(e){return{outline:"2px dotted transparent",outlineOffset:"2px",boxShadow:`0 0 0 2px ${e.colors.background.canvas}, 0 0 0px 4px ${e.colors.primary.main}`,transitionTimingFunction:"cubic-bezier(0.19, 1, 0.22, 1)",transitionDuration:"0.2s",transitionProperty:"outline, outline-offset, box-shadow"}}const k_=e=>(0,Ce.css)({"&:focus":x_(e)}),F_=(e,t=!1)=>{const r=t?e.colors.error.border:e.components.input.borderColor,n=t?e.colors.error.shade:e.components.input.borderHover,o=e.components.input.background,i=e.components.input.text,a=e.isDark?"#2e2f35":"#bab4ca";return(0,Ce.cx)(D_(e),(0,Ce.css)({background:o,lineHeight:e.typography.body.lineHeight,fontSize:e.typography.size.md,color:i,border:`1px solid ${r}`,"&:-webkit-autofill, &:-webkit-autofill:hover":{boxShadow:`inset 0 0 0 1px rgba(255, 255, 255, 0), inset 0 0 0 100px ${o}!important`,WebkitTextFillColor:`${i} !important`,borderColor:a},"&:-webkit-autofill:focus":{boxShadow:`0 0 0 2px ${e.colors.background.primary}, 0 0 0px 4px ${e.colors.primary.main}, inset 0 0 0 1px rgba(255, 255, 255, 0), inset 0 0 0 100px ${o}!important`,WebkitTextFillColor:`${i} !important`},"&:hover":{borderColor:n},"&:focus":{outline:"none"},"&:disabled":{backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,border:`1px solid ${e.colors.action.disabledBackground}`,"&:hover":{borderColor:r}},"&::placeholder":{color:e.colors.text.disabled,opacity:1}}))},D_=e=>(0,Ce.css)({padding:e.spacing(0,1,0,1)});var j_=function(e){return e.split(/ ?; ?/).reduce((function(e,t){var r=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a}(t.split(/ ?: ?/),2),n=r[0],o=r[1];return n&&o&&(e[n.replace(/-(\w)/g,(function(e,t){return t.toUpperCase()}))]=Number.isNaN(Number(o))?o:Number(o)),e}),{})},M_=["br","col","colgroup","dl","hr","iframe","img","input","link","menuitem","meta","ol","param","select","table","tbody","tfoot","thead","tr","ul","wbr"],V_={"accept-charset":"acceptCharset",acceptcharset:"acceptCharset",accesskey:"accessKey",allowfullscreen:"allowFullScreen",autocapitalize:"autoCapitalize",autocomplete:"autoComplete",autocorrect:"autoCorrect",autofocus:"autoFocus",autoplay:"autoPlay",autosave:"autoSave",cellpadding:"cellPadding",cellspacing:"cellSpacing",charset:"charSet",class:"className",classid:"classID",classname:"className",colspan:"colSpan",contenteditable:"contentEditable",contextmenu:"contextMenu",controlslist:"controlsList",crossorigin:"crossOrigin",dangerouslysetinnerhtml:"dangerouslySetInnerHTML",datetime:"dateTime",defaultchecked:"defaultChecked",defaultvalue:"defaultValue",enctype:"encType",for:"htmlFor",formmethod:"formMethod",formaction:"formAction",formenctype:"formEncType",formnovalidate:"formNoValidate",formtarget:"formTarget",frameborder:"frameBorder",hreflang:"hrefLang",htmlfor:"htmlFor",httpequiv:"httpEquiv","http-equiv":"httpEquiv",icon:"icon",innerhtml:"innerHTML",inputmode:"inputMode",itemid:"itemID",itemprop:"itemProp",itemref:"itemRef",itemscope:"itemScope",itemtype:"itemType",keyparams:"keyParams",keytype:"keyType",marginwidth:"marginWidth",marginheight:"marginHeight",maxlength:"maxLength",mediagroup:"mediaGroup",minlength:"minLength",nomodule:"noModule",novalidate:"noValidate",playsinline:"playsInline",radiogroup:"radioGroup",readonly:"readOnly",referrerpolicy:"referrerPolicy",rowspan:"rowSpan",spellcheck:"spellCheck",srcdoc:"srcDoc",srclang:"srcLang",srcset:"srcSet",tabindex:"tabIndex",typemustmatch:"typeMustMatch",usemap:"useMap",accentheight:"accentHeight","accent-height":"accentHeight",alignmentbaseline:"alignmentBaseline","alignment-baseline":"alignmentBaseline",allowreorder:"allowReorder",arabicform:"arabicForm","arabic-form":"arabicForm",attributename:"attributeName",attributetype:"attributeType",autoreverse:"autoReverse",basefrequency:"baseFrequency",baselineshift:"baselineShift","baseline-shift":"baselineShift",baseprofile:"baseProfile",calcmode:"calcMode",capheight:"capHeight","cap-height":"capHeight",clippath:"clipPath","clip-path":"clipPath",clippathunits:"clipPathUnits",cliprule:"clipRule","clip-rule":"clipRule",colorinterpolation:"colorInterpolation","color-interpolation":"colorInterpolation",colorinterpolationfilters:"colorInterpolationFilters","color-interpolation-filters":"colorInterpolationFilters",colorprofile:"colorProfile","color-profile":"colorProfile",colorrendering:"colorRendering","color-rendering":"colorRendering",contentscripttype:"contentScriptType",contentstyletype:"contentStyleType",diffuseconstant:"diffuseConstant",dominantbaseline:"dominantBaseline","dominant-baseline":"dominantBaseline",edgemode:"edgeMode",enablebackground:"enableBackground","enable-background":"enableBackground",externalresourcesrequired:"externalResourcesRequired",fillopacity:"fillOpacity","fill-opacity":"fillOpacity",fillrule:"fillRule","fill-rule":"fillRule",filterres:"filterRes",filterunits:"filterUnits",floodopacity:"floodOpacity","flood-opacity":"floodOpacity",floodcolor:"floodColor","flood-color":"floodColor",fontfamily:"fontFamily","font-family":"fontFamily",fontsize:"fontSize","font-size":"fontSize",fontsizeadjust:"fontSizeAdjust","font-size-adjust":"fontSizeAdjust",fontstretch:"fontStretch","font-stretch":"fontStretch",fontstyle:"fontStyle","font-style":"fontStyle",fontvariant:"fontVariant","font-variant":"fontVariant",fontweight:"fontWeight","font-weight":"fontWeight",glyphname:"glyphName","glyph-name":"glyphName",glyphorientationhorizontal:"glyphOrientationHorizontal","glyph-orientation-horizontal":"glyphOrientationHorizontal",glyphorientationvertical:"glyphOrientationVertical","glyph-orientation-vertical":"glyphOrientationVertical",glyphref:"glyphRef",gradienttransform:"gradientTransform",gradientunits:"gradientUnits",horizadvx:"horizAdvX","horiz-adv-x":"horizAdvX",horizoriginx:"horizOriginX","horiz-origin-x":"horizOriginX",imagerendering:"imageRendering","image-rendering":"imageRendering",kernelmatrix:"kernelMatrix",kernelunitlength:"kernelUnitLength",keypoints:"keyPoints",keysplines:"keySplines",keytimes:"keyTimes",lengthadjust:"lengthAdjust",letterspacing:"letterSpacing","letter-spacing":"letterSpacing",lightingcolor:"lightingColor","lighting-color":"lightingColor",limitingconeangle:"limitingConeAngle",markerend:"markerEnd","marker-end":"markerEnd",markerheight:"markerHeight",markermid:"markerMid","marker-mid":"markerMid",markerstart:"markerStart","marker-start":"markerStart",markerunits:"markerUnits",markerwidth:"markerWidth",maskcontentunits:"maskContentUnits",maskunits:"maskUnits",numoctaves:"numOctaves",overlineposition:"overlinePosition","overline-position":"overlinePosition",overlinethickness:"overlineThickness","overline-thickness":"overlineThickness",paintorder:"paintOrder","paint-order":"paintOrder","panose-1":"panose1",pathlength:"pathLength",patterncontentunits:"patternContentUnits",patterntransform:"patternTransform",patternunits:"patternUnits",pointerevents:"pointerEvents","pointer-events":"pointerEvents",pointsatx:"pointsAtX",pointsaty:"pointsAtY",pointsatz:"pointsAtZ",preservealpha:"preserveAlpha",preserveaspectratio:"preserveAspectRatio",primitiveunits:"primitiveUnits",refx:"refX",refy:"refY",renderingintent:"renderingIntent","rendering-intent":"renderingIntent",repeatcount:"repeatCount",repeatdur:"repeatDur",requiredextensions:"requiredExtensions",requiredfeatures:"requiredFeatures",shaperendering:"shapeRendering","shape-rendering":"shapeRendering",specularconstant:"specularConstant",specularexponent:"specularExponent",spreadmethod:"spreadMethod",startoffset:"startOffset",stddeviation:"stdDeviation",stitchtiles:"stitchTiles",stopcolor:"stopColor","stop-color":"stopColor",stopopacity:"stopOpacity","stop-opacity":"stopOpacity",strikethroughposition:"strikethroughPosition","strikethrough-position":"strikethroughPosition",strikethroughthickness:"strikethroughThickness","strikethrough-thickness":"strikethroughThickness",strokedasharray:"strokeDasharray","stroke-dasharray":"strokeDasharray",strokedashoffset:"strokeDashoffset","stroke-dashoffset":"strokeDashoffset",strokelinecap:"strokeLinecap","stroke-linecap":"strokeLinecap",strokelinejoin:"strokeLinejoin","stroke-linejoin":"strokeLinejoin",strokemiterlimit:"strokeMiterlimit","stroke-miterlimit":"strokeMiterlimit",strokewidth:"strokeWidth","stroke-width":"strokeWidth",strokeopacity:"strokeOpacity","stroke-opacity":"strokeOpacity",suppresscontenteditablewarning:"suppressContentEditableWarning",suppresshydrationwarning:"suppressHydrationWarning",surfacescale:"surfaceScale",systemlanguage:"systemLanguage",tablevalues:"tableValues",targetx:"targetX",targety:"targetY",textanchor:"textAnchor","text-anchor":"textAnchor",textdecoration:"textDecoration","text-decoration":"textDecoration",textlength:"textLength",textrendering:"textRendering","text-rendering":"textRendering",underlineposition:"underlinePosition","underline-position":"underlinePosition",underlinethickness:"underlineThickness","underline-thickness":"underlineThickness",unicodebidi:"unicodeBidi","unicode-bidi":"unicodeBidi",unicoderange:"unicodeRange","unicode-range":"unicodeRange",unitsperem:"unitsPerEm","units-per-em":"unitsPerEm",unselectable:"unselectable",valphabetic:"vAlphabetic","v-alphabetic":"vAlphabetic",vectoreffect:"vectorEffect","vector-effect":"vectorEffect",vertadvy:"vertAdvY","vert-adv-y":"vertAdvY",vertoriginx:"vertOriginX","vert-origin-x":"vertOriginX",vertoriginy:"vertOriginY","vert-origin-y":"vertOriginY",vhanging:"vHanging","v-hanging":"vHanging",videographic:"vIdeographic","v-ideographic":"vIdeographic",viewbox:"viewBox",viewtarget:"viewTarget",vmathematical:"vMathematical","v-mathematical":"vMathematical",wordspacing:"wordSpacing","word-spacing":"wordSpacing",writingmode:"writingMode","writing-mode":"writingMode",xchannelselector:"xChannelSelector",xheight:"xHeight","x-height":"xHeight",xlinkactuate:"xlinkActuate","xlink:actuate":"xlinkActuate",xlinkarcrole:"xlinkArcrole","xlink:arcrole":"xlinkArcrole",xlinkhref:"xlinkHref","xlink:href":"xlinkHref",xlinkrole:"xlinkRole","xlink:role":"xlinkRole",xlinkshow:"xlinkShow","xlink:show":"xlinkShow",xlinktitle:"xlinkTitle","xlink:title":"xlinkTitle",xlinktype:"xlinkType","xlink:type":"xlinkType",xmlbase:"xmlBase","xml:base":"xmlBase",xmllang:"xmlLang","xml:lang":"xmlLang","xml:space":"xmlSpace",xmlnsxlink:"xmlnsXlink","xmlns:xlink":"xmlnsXlink",xmlspace:"xmlSpace",ychannelselector:"yChannelSelector",zoomandpan:"zoomAndPan",onblur:"onBlur",onchange:"onChange",onclick:"onClick",oncontextmenu:"onContextMenu",ondoubleclick:"onDoubleClick",ondrag:"onDrag",ondragend:"onDragEnd",ondragenter:"onDragEnter",ondragexit:"onDragExit",ondragleave:"onDragLeave",ondragover:"onDragOver",ondragstart:"onDragStart",ondrop:"onDrop",onerror:"onError",onfocus:"onFocus",oninput:"onInput",oninvalid:"onInvalid",onkeydown:"onKeyDown",onkeypress:"onKeyPress",onkeyup:"onKeyUp",onload:"onLoad",onmousedown:"onMouseDown",onmouseenter:"onMouseEnter",onmouseleave:"onMouseLeave",onmousemove:"onMouseMove",onmouseout:"onMouseOut",onmouseover:"onMouseOver",onmouseup:"onMouseUp",onscroll:"onScroll",onsubmit:"onSubmit",ontouchcancel:"onTouchCancel",ontouchend:"onTouchEnd",ontouchmove:"onTouchMove",ontouchstart:"onTouchStart",onwheel:"onWheel"},U_=function(){return U_=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},U_.apply(this,arguments)},B_=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a},q_=function(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))};function G_(e,t){var r;if(void 0===t&&(t={}),!(e&&e instanceof Node))return null;var n,o=t.actions,i=void 0===o?[]:o,a=t.index,l=void 0===a?0:a,s=t.level,u=void 0===s?0:s,c=t.randomKey,d=e,p="".concat(u,"-").concat(l),f=[];if(c&&0===u&&(p="".concat(function(e){void 0===e&&(e=6);for(var t="",r=e;r>0;--r)t+="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"[Math.round(61*Math.random())];return t}(),"-").concat(p)),Array.isArray(i)&&i.forEach((function(t){t.condition(d,p,u)&&("function"==typeof t.pre&&((d=t.pre(d,p,u))instanceof Node||(d=e)),"function"==typeof t.post&&f.push(t.post(d,p,u)))})),f.length)return f;switch(d.nodeType){case 1:return de.createElement((n=d.nodeName,/[a-z]+[A-Z]+[a-z]+/.test(n)?n:n.toLowerCase()),function(e,t){var r={key:t};if(e instanceof Element){var n=e.getAttribute("class");n&&(r.className=n),q_([],B_(e.attributes),!1).forEach((function(e){switch(e.name){case"class":break;case"style":r[e.name]=j_(e.value);break;case"allowfullscreen":case"allowpaymentrequest":case"async":case"autofocus":case"autoplay":case"checked":case"controls":case"default":case"defer":case"disabled":case"formnovalidate":case"hidden":case"ismap":case"itemscope":case"loop":case"multiple":case"muted":case"nomodule":case"novalidate":case"open":case"readonly":case"required":case"reversed":case"selected":case"typemustmatch":r[V_[e.name]||e.name]=!0;break;default:r[V_[e.name]||e.name]=e.value}}))}return r}(d,p),function(e,t,r){var n=q_([],B_(e),!1).map((function(e,n){return G_(e,U_(U_({},r),{index:n,level:t+1}))})).filter(Boolean);return n.length?n:null}(d.childNodes,u,t));case 3:var h=(null===(r=d.nodeValue)||void 0===r?void 0:r.toString())||"";if(/^\s+$/.test(h)&&!/[\u00A0\u202F]/.test(h))return null;if(!d.parentNode)return h;var g=d.parentNode.nodeName.toLowerCase();return M_.includes(g)?(/\S/.test(h)&&console.warn("A textNode is not allowed inside '".concat(g,"'. Your text \"").concat(h,'" will be ignored')),null):h;default:return null}}function K_(e,t){return void 0===t&&(t={}),"string"==typeof e?function(e,t){if(void 0===t&&(t={}),!e||"string"!=typeof e)return null;var r=t.nodeOnly,n=void 0!==r&&r,o=t.selector,i=void 0===o?"body > *":o,a=t.type,l=void 0===a?"text/html":a;try{var s=(new DOMParser).parseFromString(e,l).querySelector(i);if(!(s instanceof Node))throw new TypeError("Error parsing input");return n?s:G_(s,t)}catch(e){}return null}(e,t):e instanceof Node?G_(e,t):null}var W_=p(9083),z_={FAILED:"failed",LOADED:"loaded",LOADING:"loading",PENDING:"pending",READY:"ready",UNSUPPORTED:"unsupported"};function H_(){return W_.canUseDOM}var $_,Y_=($_=function(e,t){return $_=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])},$_(e,t)},function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function r(){this.constructor=e}$_(e,t),e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)}),Q_=function(){return Q_=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},Q_.apply(this,arguments)},X_=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a},J_=Object.create(null),Z_=function(e){function t(t){var r=e.call(this,t)||this;return Object.defineProperty(r,"isInitialized",{enumerable:!0,configurable:!0,writable:!0,value:!1}),Object.defineProperty(r,"isActive",{enumerable:!0,configurable:!0,writable:!0,value:!1}),Object.defineProperty(r,"hash",{enumerable:!0,configurable:!0,writable:!0,value:void 0}),Object.defineProperty(r,"handleLoad",{enumerable:!0,configurable:!0,writable:!0,value:function(e,t){void 0===t&&(t=!1),r.isActive&&r.setState({content:e,hasCache:t,status:z_.LOADED},r.getElement)}}),Object.defineProperty(r,"handleError",{enumerable:!0,configurable:!0,writable:!0,value:function(e){var t=r.props.onError,n="Browser does not support SVG"===e.message?z_.UNSUPPORTED:z_.FAILED;r.isActive&&r.setState({status:n},(function(){"function"==typeof t&&t(e)}))}}),Object.defineProperty(r,"request",{enumerable:!0,configurable:!0,writable:!0,value:function(){var e=r.props,t=e.cacheRequests,n=e.fetchOptions,o=e.src;try{return t&&(J_[o]={content:"",status:z_.LOADING}),fetch(o,n).then((function(e){var t=e.headers.get("content-type"),r=X_((t||"").split(/ ?; ?/),1)[0];if(e.status>299)throw new Error("Not found");if(!["image/svg+xml","text/plain"].some((function(e){return r.includes(e)})))throw new Error("Content type isn't valid: ".concat(r));return e.text()})).then((function(e){var n=r.props.src;if(o===n){if(r.handleLoad(e),t){var i=J_[o];i&&(i.content=e,i.status=z_.LOADED)}}else J_[o].status===z_.LOADING&&delete J_[o]})).catch((function(e){r.handleError(e),t&&J_[o]&&delete J_[o]}))}catch(e){return r.handleError(new Error(e.message))}}}),r.state={content:"",element:null,hasCache:!!t.cacheRequests&&!!J_[t.src],status:z_.PENDING},r.hash=t.uniqueHash||function(e){for(var t,r="abcdefghijklmnopqrstuvwxyz",n="".concat(r).concat(r.toUpperCase()).concat("1234567890"),o="",i=0;i<8;i++)o+=(t=n)[Math.floor(Math.random()*t.length)];return o}(),r}return Y_(t,e),Object.defineProperty(t.prototype,"componentDidMount",{enumerable:!1,configurable:!0,writable:!0,value:function(){if(this.isActive=!0,H_()&&!this.isInitialized){var e=this.state.status,t=this.props.src;try{if(e===z_.PENDING){if(!function(){if(!document)return!1;var e=document.createElement("div");e.innerHTML="<svg />";var t=e.firstChild;return!!t&&"http://www.w3.org/2000/svg"===t.namespaceURI}()||"undefined"==typeof window||null===window)throw new Error("Browser does not support SVG");if(!t)throw new Error("Missing src");this.load()}}catch(e){this.handleError(e)}this.isInitialized=!0}}}),Object.defineProperty(t.prototype,"componentDidUpdate",{enumerable:!1,configurable:!0,writable:!0,value:function(e,t){if(H_()){var r=this.state,n=r.hasCache,o=r.status,i=this.props,a=i.onLoad,l=i.src;if(t.status!==z_.READY&&o===z_.READY&&a&&a(l,n),e.src!==l){if(!l)return void this.handleError(new Error("Missing src"));this.load()}}}}),Object.defineProperty(t.prototype,"componentWillUnmount",{enumerable:!1,configurable:!0,writable:!0,value:function(){this.isActive=!1}}),Object.defineProperty(t.prototype,"getNode",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.props,t=e.description,r=e.title;try{var n=K_(this.processSVG(),{nodeOnly:!0});if(!(n&&n instanceof SVGSVGElement))throw new Error("Could not convert the src to a DOM Node");var o=this.updateSVGAttributes(n);if(t){var i=o.querySelector("desc");i&&i.parentNode&&i.parentNode.removeChild(i);var a=document.createElementNS("http://www.w3.org/2000/svg","desc");a.innerHTML=t,o.prepend(a)}if(void 0!==r){var l=o.querySelector("title");if(l&&l.parentNode&&l.parentNode.removeChild(l),r){var s=document.createElementNS("http://www.w3.org/2000/svg","title");s.innerHTML=r,o.prepend(s)}}return o}catch(e){return this.handleError(e)}}}),Object.defineProperty(t.prototype,"getElement",{enumerable:!1,configurable:!0,writable:!0,value:function(){try{var e=K_(this.getNode());if(!e||!de.isValidElement(e))throw new Error("Could not convert the src to a React element");this.setState({element:e,status:z_.READY})}catch(e){this.handleError(new Error(e.message))}}}),Object.defineProperty(t.prototype,"load",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this;this.isActive&&this.setState({content:"",element:null,hasCache:!1,status:z_.LOADING},(function(){var t=e.props,r=t.cacheRequests,n=t.src,o=r&&J_[n];if(o&&o.status===z_.LOADED)e.handleLoad(o.content,!0);else{var i,a=n.match(/data:image\/svg[^,]*?(;base64)?,(.*)/);a?i=a[1]?window.atob(a[2]):decodeURIComponent(a[2]):n.includes("<svg")&&(i=n),i?e.handleLoad(i):e.request()}}))}}),Object.defineProperty(t.prototype,"updateSVGAttributes",{enumerable:!1,configurable:!0,writable:!0,value:function(e){var t=this,r=this.props,n=r.baseURL,o=void 0===n?"":n,i=r.uniquifyIDs,a=["id","href","xlink:href","xlink:role","xlink:arcrole"],l=["href","xlink:href"];return i?(function(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))}([],X_(e.children),!1).map((function(e){if(e.attributes&&e.attributes.length){var r=Object.values(e.attributes).map((function(e){var r=e,n=e.value.match(/url\((.*?)\)/);return n&&n[1]&&(r.value=e.value.replace(n[0],"url(".concat(o).concat(n[1],"__").concat(t.hash,")"))),r}));a.forEach((function(e){var n,o,i=r.find((function(t){return t.name===e}));i&&(n=e,o=i.value,!l.includes(n)||!o||o.includes("#"))&&(i.value="".concat(i.value,"__").concat(t.hash))}))}return e.children.length?t.updateSVGAttributes(e):e})),e):e}}),Object.defineProperty(t.prototype,"processSVG",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.state.content,t=this.props.preProcessor;return t?t(e):e}}),Object.defineProperty(t.prototype,"render",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.state,t=e.element,r=e.status,n=this.props,o=n.children,i=void 0===o?null:o,a=n.innerRef,l=n.loader,s=void 0===l?null:l,u=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];var n={};for(var o in e)({}).hasOwnProperty.call(e,o)&&(t.includes(o)||(n[o]=e[o]));return n}(this.props,"baseURL","cacheRequests","children","description","fetchOptions","innerRef","loader","onError","onLoad","preProcessor","src","title","uniqueHash","uniquifyIDs");return H_()?t?de.cloneElement(t,Q_({ref:a},u)):[z_.UNSUPPORTED,z_.FAILED].includes(r)?i:s:s}}),Object.defineProperty(t,"defaultProps",{enumerable:!0,configurable:!0,writable:!0,value:{cacheRequests:!0,uniquifyIDs:!1}}),t}(de.PureComponent);const ew=Z_;p(627),Object.create(null);const tw=/&(?:amp|#38|lt|#60|gt|#62|apos|#39|quot|#34|nbsp|#160|copy|#169|reg|#174|hellip|#8230|#x2F|#47);/g,rw={"&amp;":"&","&#38;":"&","&lt;":"<","&#60;":"<","&gt;":">","&#62;":">","&apos;":"'","&#39;":"'","&quot;":'"',"&#34;":'"',"&nbsp;":" ","&#160;":" ","&copy;":"©","&#169;":"©","&reg;":"®","&#174;":"®","&hellip;":"…","&#8230;":"…","&#x2F;":"/","&#47;":"/"},nw=e=>rw[e];let ow,iw={bindI18n:"languageChanged",bindI18nStore:"",transEmptyNodeValue:"",transSupportBasicHtmlNodes:!0,transWrapTextNodes:"",transKeepBasicHtmlNodesFor:["br","strong","i","p"],useSuspense:!0,unescape:e=>e.replace(tw,nw)};const aw={type:"3rdParty",init(e){!function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};iw={...iw,...e}}(e.options.react),function(e){ow=e}(e)}};(0,de.createContext)();const lw=qp.t,sw=["grafana","favorite","heart-break","heart","panel-add","library-panel","circle-mono"];function uw(e,t){return(null==e?void 0:e.startsWith("gf-"))?"custom":sw.includes(e)?"mono":"default"===t?"unicons":"solid"===t?"solid":"mono"}let cw;function dw(){if(cw)return cw;const e="undefined"!=typeof window&&window.__grafana_public_path__;return cw=e?e+"img/icons/":"public/img/icons/",cw}function pw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const fw=e=>({icon:(0,Ce.css)({display:"inline-block",fill:"currentColor",flexShrink:0,label:"Icon",lineHeight:0,verticalAlign:"middle"}),orange:(0,Ce.css)({fill:e.v1.palette.orange})}),hw=pe().forwardRef(((e,t)=>{var{size:r="md",type:n="default",name:o,className:i,style:a,title:l=""}=e,s=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["size","type","name","className","style","title"]);const u=XT(fw);(0,T.isIconName)(o)||console.warn("Icon component passed an invalid icon name",o);const c="fa fa-spinner"===o?"spinner":o,d=dw(),p=function(e){switch(e){case"xs":return 12;case"sm":return 14;case"md":return 16;case"lg":return 18;case"xl":return 24;case"xxl":return 36;case"xxxl":return 48}}(r),f=p,h=o.startsWith("gf-bar-align")?16:o.startsWith("gf-interp")?30:p,g=`${d}${uw(c,n)}/${c}.svg`,v=(0,Ce.cx)(u.icon,i,"mono"===n?{[u.orange]:"favorite"===o}:"","spinner"===c&&"fa-spin");return pe().createElement(ew,function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){pw(e,t,r[t])}))}return e}({"aria-hidden":!(void 0!==s.tabIndex||l||s["aria-label"]||s["aria-labelledby"]||s["aria-describedby"]),innerRef:t,src:g,width:h,height:f,title:l,className:v,style:a},s))}));hw.displayName="Icon";const gw=({className:e,inline:t=!1,iconClassName:r,style:n,size:o="md"})=>{const i=XT(vw),a=XT(yw,o),l=window.matchMedia("(prefers-reduced-motion: reduce)").matches,s=l?"hourglass":"spinner";if("string"!=typeof o||!["xs","sm","md","lg","xl","xxl","xxxl"].includes(o)){const r="spinner",l=`${dw()}${uw(r,"default")}/${r}.svg`;return pe().createElement("div",{"data-testid":"Spinner",style:n,className:(0,Ce.cx)({[i.inline]:t},a.wrapper,e)},pe().createElement(ew,{src:l,width:o,height:o,className:(0,Ce.cx)("fa-spin",a.icon,e),style:n}))}return pe().createElement("div",{"data-testid":"Spinner",style:n,className:(0,Ce.cx)({[i.inline]:t},e)},pe().createElement(hw,{className:(0,Ce.cx)({"fa-spin":!l},r),name:s,size:o,"aria-label":("grafana-ui.spinner.aria-label","Loading","object"!=typeof qp.options.resources&&qp.use(aw).init({resources:{},returnEmptyString:!1,lng:"en-US"}),lw("grafana-ui.spinner.aria-label","Loading",undefined))}))},vw=e=>({inline:(0,Ce.css)({display:"inline-block"})}),yw=(e,t)=>({wrapper:(0,Ce.css)({fontSize:"string"==typeof t?t:`${t}px`}),icon:(0,Ce.css)({display:"inline-block",fill:"currentColor",flexShrink:0,label:"Icon",lineHeight:0,verticalAlign:"middle"})});function mw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const bw=pe().forwardRef(((e,t)=>{const{className:r,addonAfter:n,addonBefore:o,prefix:i,suffix:a,invalid:l,loading:s,width:u=0}=e,c=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["className","addonAfter","addonBefore","prefix","suffix","invalid","loading","width"]),[d,p]=(0,WT.A)(),[f,h]=(0,WT.A)(),g=QT(),v=Ew({theme:g,invalid:!!l,width:u});return pe().createElement("div",{className:(0,Ce.cx)(v.wrapper,r),"data-testid":"input-wrapper"},!!o&&pe().createElement("div",{className:v.addon},o),pe().createElement("div",{className:v.inputWrapper},i&&pe().createElement("div",{className:v.prefix,ref:d},i),pe().createElement("input",(y=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){mw(e,t,r[t])}))}return e}({ref:t,className:v.input},c),m=null!=(m={style:{paddingLeft:i?p.width+12:void 0,paddingRight:a||s?h.width+12:void 0}})?m:{},Object.getOwnPropertyDescriptors?Object.defineProperties(y,Object.getOwnPropertyDescriptors(m)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(m)).forEach((function(e){Object.defineProperty(y,e,Object.getOwnPropertyDescriptor(m,e))})),y)),(a||s)&&pe().createElement("div",{className:v.suffix,ref:f},s&&pe().createElement(gw,{className:v.loadingIndicator,inline:!0}),a)),!!n&&pe().createElement("div",{className:v.addon},n));var y,m}));bw.displayName="Input";const Ew=(Ow=({theme:e,invalid:t=!1,width:r})=>{const n="28px",o=(0,Ce.css)({position:"absolute",top:0,zIndex:1,display:"flex",alignItems:"center",justifyContent:"center",flexGrow:0,flexShrink:0,fontSize:e.typography.size.md,height:"100%",minWidth:n,color:e.colors.text.secondary});return{wrapper:(0,Ce.cx)((0,Ce.css)({label:"input-wrapper",display:"flex",width:r?e.spacing(r):"100%",height:e.spacing(e.components.height.md),borderRadius:e.shape.radius.default,"&:hover":{"> .prefix, .suffix, .input":{borderColor:t?e.colors.error.border:e.colors.primary.border},"input[type='number']":{appearance:"textfield"},"input[type='number']::-webkit-inner-spin-button, input[type='number']::-webkit-outer-spin-button":{WebkitAppearance:"inner-spin-button !important",opacity:1}}})),inputWrapper:(0,Ce.css)({label:"input-inputWrapper",position:"relative",flexGrow:1,zIndex:1,"&:not(:first-child):last-child":{"> input":{borderLeft:"none",borderTopLeftRadius:0,borderBottomLeftRadius:0}},"&:first-child:not(:last-child)":{"> input":{borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0}},"&:not(:first-child):not(:last-child)":{"> input":{borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0,borderTopLeftRadius:0,borderBottomLeftRadius:0}},input:{"&:not(:first-child)":{paddingLeft:n},"&:not(:last-child)":{paddingRight:n},"&[readonly]":{cursor:"default"}}}),input:(0,Ce.cx)(k_(e),F_(e,t),(0,Ce.css)({label:"input-input",position:"relative",zIndex:0,flexGrow:1,borderRadius:e.shape.radius.default,height:"100%",width:"100%"})),inputDisabled:(0,Ce.css)({backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,border:`1px solid ${e.colors.action.disabledBackground}`,"&:focus":{boxShadow:"none"}}),addon:(0,Ce.css)({label:"input-addon",display:"flex",justifyContent:"center",alignItems:"center",flexGrow:0,flexShrink:0,position:"relative","&:first-child":{borderTopRightRadius:0,borderBottomRightRadius:0,"> :last-child":{borderTopRightRadius:0,borderBottomRightRadius:0}},"&:last-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0,"> :first-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0}},"> *:focus":{zIndex:2}}),prefix:(0,Ce.cx)(o,(0,Ce.css)({label:"input-prefix",paddingLeft:e.spacing(1),paddingRight:e.spacing(.5),borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0})),suffix:(0,Ce.cx)(o,(0,Ce.css)({label:"input-suffix",paddingLeft:e.spacing(1),paddingRight:e.spacing(1),marginBottom:"-2px",borderLeft:"none",borderTopLeftRadius:0,borderBottomLeftRadius:0,right:0})),loadingIndicator:(0,Ce.css)({"& + *":{marginLeft:e.spacing(.5)}})}},HT()(Ow));var Ow;function Sw({value:e,defaultValue:t,onChange:r,width:n}){const[o,i]=pe().useState(!1);return pe().createElement(bw,{type:"number",placeholder:String(t),value:o?"":e,onChange:e=>{var n;if(""===(null===(n=e.currentTarget.value)||void 0===n?void 0:n.trim()))i(!0),r(t);else{i(!1);const t=Number(e.currentTarget.value);Number.isNaN(t)||r(t)}},width:n})}function Tw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function _w(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Tw(e,t,r[t])}))}return e}const ww=e=>{const{onOptionsChange:t,options:r}=e,n=r.jsonData,o=void 0!==n.maxIdleConnsAuto&&n.maxIdleConnsAuto,i=e=>{const o=(i=_w({},r),a=null!=(a={jsonData:_w({},n,e)})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;return t(o)},a=e=>t=>{i({[e]:t})};return pe().createElement(KT,{title:"Connection limits"},pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(Qe,{gap:.5},pe().createElement("span",null,"Max open"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"The maximum number of open connections to the database. If ",pe().createElement("i",null,"Max idle connections")," is greater than 0 and the ",pe().createElement("i",null,"Max open connections")," is less than ",pe().createElement("i",null,"Max idle connections"),", then",pe().createElement("i",null,"Max idle connections")," will be reduced to match the ",pe().createElement("i",null,"Max open connections")," limit. If set to 0, there is no limit on the number of open connections.")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"}))))},pe().createElement(Sw,{value:n.maxOpenConns,defaultValue:se.config.sqlConnectionLimits.maxOpenConns,onChange:e=>{var t;t=e,i(o&&t?{maxOpenConns:t,maxIdleConns:t}:{maxOpenConns:t})},width:40})),pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(Qe,{gap:.5},pe().createElement("span",null,"Auto max idle"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"If enabled, automatically set the number of ",pe().createElement("i",null,"Maximum idle connections")," to the same value as",pe().createElement("i",null," Max open connections"),". If the number of maximum open connections is not set it will be set to the default (",se.config.sqlConnectionLimits.maxIdleConns,").")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"}))))},pe().createElement(me.Switch,{value:o,onChange:()=>{let e,t;o?(t=n.maxOpenConns,e=n.maxIdleConns):void 0!==n.maxOpenConns&&(t=n.maxOpenConns,e=n.maxOpenConns),i({maxIdleConnsAuto:!o,maxIdleConns:e,maxOpenConns:t})}})),pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(Qe,{gap:.5},pe().createElement("span",null,"Max idle"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"The maximum number of connections in the idle connection pool.If ",pe().createElement("i",null,"Max open connections")," is greater than 0 but less than the ",pe().createElement("i",null,"Max idle connections"),", then the ",pe().createElement("i",null,"Max idle connections")," ","will be reduced to match the ",pe().createElement("i",null,"Max open connections")," limit. If set to 0, no idle connections are retained.")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"}))))},o?pe().createElement(me.InlineLabel,{width:40},r.jsonData.maxIdleConns):pe().createElement(Sw,{value:n.maxIdleConns,defaultValue:se.config.sqlConnectionLimits.maxIdleConns,onChange:e=>{a("maxIdleConns")(e)},width:40})),pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(Qe,{gap:.5},pe().createElement("span",null,"Max lifetime"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"The maximum amount of time in seconds a connection may be reused. If set to 0, connections are reused forever.")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"}))))},pe().createElement(Sw,{value:n.connMaxLifetime,defaultValue:se.config.sqlConnectionLimits.connMaxLifetime,onChange:e=>{a("connMaxLifetime")(e)},width:40})))},Rw=()=>{const e=(0,me.useStyles2)(Aw);return pe().createElement("hr",{className:e.horizontalDivider})},Aw=e=>({horizontalDivider:(0,Ce.css)({borderTop:`1px solid ${e.colors.border.weak}`,margin:e.spacing(2,0),width:"100%"})}),Iw=e=>{const{editorProps:t,showCACert:r,showKeyPair:n=!0}=e,{secureJsonFields:o}=t.options;return pe().createElement(pe().Fragment,null,n?pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(me.Stack,{gap:.5},pe().createElement("span",null,"TLS/SSL Client Certificate"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"To authenticate with an TLS/SSL client certificate, provide the client certificate here.")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"}))))},pe().createElement(me.SecretTextArea,{placeholder:"-----BEGIN CERTIFICATE-----",cols:45,rows:7,isConfigured:o&&o.tlsClientCert,onChange:(0,T.onUpdateDatasourceSecureJsonDataOption)(t,"tlsClientCert"),onReset:()=>{(0,T.updateDatasourcePluginResetOption)(t,"tlsClientCert")}})):null,r?pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(me.Stack,{gap:.5},pe().createElement("span",null,"TLS/SSL Root Certificate"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"If the selected TLS/SSL mode requires a server root certificate, provide it here.")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"}))))},pe().createElement(me.SecretTextArea,{placeholder:"-----BEGIN CERTIFICATE-----",cols:45,rows:7,isConfigured:o&&o.tlsCACert,onChange:(0,T.onUpdateDatasourceSecureJsonDataOption)(t,"tlsCACert"),onReset:()=>{(0,T.updateDatasourcePluginResetOption)(t,"tlsCACert")}})):null,n?pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(me.Stack,{gap:.5},pe().createElement("span",null,"TLS/SSL Client Key"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"To authenticate with a client TLS/SSL certificate, provide the key here.")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"}))))},pe().createElement(me.SecretTextArea,{placeholder:"-----BEGIN RSA PRIVATE KEY-----",cols:45,rows:7,isConfigured:o&&o.tlsClientKey,onChange:(0,T.onUpdateDatasourceSecureJsonDataOption)(t,"tlsClientKey"),onReset:()=>{(0,T.updateDatasourcePluginResetOption)(t,"tlsClientKey")}})):null)},Cw=(0,se.createMonitoringLogger)("features.plugins.sql");function Nw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Lw(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Nw(e,t,r[t])}))}return e}function Pw(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function xw(e){return{ulPadding:(0,Ce.css)({margin:e.spacing(1,0),paddingLeft:e.spacing(5)})}}function kw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Fw(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){kw(e,t,r[t])}))}return e}function Dw(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function jw(e){switch(e){case"TIME":case"DATETIME":case"TIMESTAMP":return"clock-nine";case"BOOLEAN":return"toggle-off";case"INTEGER":case"FLOAT":case"FLOAT64":case"INT":case"SMALLINT":case"BIGINT":case"TINYINT":case"BYTEINT":case"INT64":case"NUMERIC":case"DECIMAL":return"calculator-alt";case"CHAR":case"VARCHAR":case"STRING":case"BYTES":case"TEXT":case"TINYTEXT":case"MEDIUMTEXT":case"LONGTEXT":return"text";case"GEOGRAPHY":return"map";default:return}}function Mw({sql:e,dataset:t,table:r}){var n,o,i,a;let l="";return e&&be(e.columns)?(l+=`SELECT ${e.columns.map((e=>{let t="";var r;if(e.name&&e.alias)t+=`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>`${e.name}`))}) AS ${e.alias}`;else if(e.name){var n;t+=`${e.name}(${null===(n=e.parameters)||void 0===n?void 0:n.map((e=>`${e.name}`))})`}else if(e.alias){var o;t+=`${null===(o=e.parameters)||void 0===o?void 0:o.map((e=>`${e.name}`))} AS ${e.alias}`}else{var i;t+=`${null===(i=e.parameters)||void 0===i?void 0:i.map((e=>`${e.name}`))}`}return t})).join(", ")} `,t&&r&&(l+=`FROM ${t}.${r} `),e.whereString&&(l+=`WHERE ${e.whereString} `),(null===(o=e.groupBy)||void 0===o||null===(n=o[0])||void 0===n?void 0:n.property.name)&&(l+=`GROUP BY ${e.groupBy.map((e=>e.property.name)).filter((e=>!(0,ue.isEmpty)(e))).join(", ")} `),(null===(i=e.orderBy)||void 0===i?void 0:i.property.name)&&(l+=`ORDER BY ${e.orderBy.property.name} `),(null===(a=e.orderBy)||void 0===a?void 0:a.property.name)&&e.orderByDirection&&(l+=`${e.orderByDirection} `),void 0!==e.limit&&e.limit>=0&&(l+=`LIMIT ${e.limit} `),l):l}function Vw(e){return function(e){const t=/^[a-zA-Z_][a-zA-Z0-9_$]*$/g.test(e);return!Bw.includes(e.toUpperCase())&&t}(e)?e:`\`${e}\``}function Uw(e){return"'"+e.replace(/'/g,"''")+"'"}const Bw=["ACCESSIBLE","ADD","ALL","ALTER","ANALYZE","AND","AS","ASC","ASENSITIVE","BEFORE","BETWEEN","BIGINT","BINARY","BLOB","BOTH","BY","CALL","CASCADE","CASE","CHANGE","CHAR","CHARACTER","CHECK","COLLATE","COLUMN","CONDITION","CONSTRAINT","CONTINUE","CONVERT","CREATE","CROSS","CUBE","CUME_DIST","CURRENT_DATE","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_USER","CURSOR","DATABASE","DATABASES","DAY_HOUR","DAY_MICROSECOND","DAY_MINUTE","DAY_SECOND","DEC","DECIMAL","DECLARE","DEFAULT","DELAYED","DELETE","DENSE_RANK","DESC","DESCRIBE","DETERMINISTIC","DISTINCT","DISTINCTROW","DIV","DOUBLE","DROP","DUAL","EACH","ELSE","ELSEIF","EMPTY","ENCLOSED","ESCAPED","EXCEPT","EXISTS","EXIT","EXPLAIN","FALSE","FETCH","FIRST_VALUE","FLOAT","FLOAT4","FLOAT8","FOR","FORCE","FOREIGN","FROM","FULLTEXT","FUNCTION","GENERATED","GET","GRANT","GROUP","GROUPING","GROUPS","HAVING","HIGH_PRIORITY","HOUR_MICROSECOND","HOUR_MINUTE","HOUR_SECOND","IF","IGNORE","IN","INDEX","INFILE","INNER","INOUT","INSENSITIVE","INSERT","INT","INT1","INT2","INT3","INT4","INT8","INTEGER","INTERSECT","INTERVAL","INTO","IO_AFTER_GTIDS","IO_BEFORE_GTIDS","IS","ITERATE","JOIN","JSON_TABLE","KEY","KEYS","KILL","LAG","LAST_VALUE","LATERAL","LEAD","LEADING","LEAVE","LEFT","LIKE","LIMIT","LINEAR","LINES","LOAD","LOCALTIME","LOCALTIMESTAMP","LOCK","LONG","LONGBLOB","LONGTEXT","LOOP","LOW_PRIORITY","MASTER_BIND","MASTER_SSL_VERIFY_SERVER_CERT","MATCH","MAXVALUE","MEDIUMBLOB","MEDIUMINT","MEDIUMTEXT","MIDDLEINT","MINUTE_MICROSECOND","MINUTE_SECOND","MOD","MODIFIES","NATURAL","NOT","NO_WRITE_TO_BINLOG","NTH_VALUE","NTILE","NULL","NUMERIC","OF","ON","OPTIMIZE","OPTIMIZER_COSTS","OPTION","OPTIONALLY","OR","ORDER","OUT","OUTER","OUTFILE","OVER","PARTITION","PERCENT_RANK","PRECISION","PRIMARY","PROCEDURE","PURGE","RANGE","RANK","READ","READS","READ_WRITE","REAL","RECURSIVE","REFERENCES","REGEXP","RELEASE","RENAME","REPEAT","REPLACE","REQUIRE","RESIGNAL","RESTRICT","RETURN","REVOKE","RIGHT","RLIKE","ROW","ROWS","ROW_NUMBER","SCHEMA","SCHEMAS","SECOND_MICROSECOND","SELECT","SENSITIVE","SEPARATOR","SET","SHOW","SIGNAL","SMALLINT","SPATIAL","SPECIFIC","SQL","SQLEXCEPTION","SQLSTATE","SQLWARNING","SQL_BIG_RESULT","SQL_CALC_FOUND_ROWS","SQL_SMALL_RESULT","SSL","STARTING","STORED","STRAIGHT_JOIN","SYSTEM","TABLE","TERMINATED","THEN","TINYBLOB","TINYINT","TINYTEXT","TO","TRAILING","TRIGGER","TRUE","UNDO","UNION","UNIQUE","UNLOCK","UNSIGNED","UPDATE","USAGE","USE","USING","UTC_DATE","UTC_TIME","UTC_TIMESTAMP","VALUES","VARBINARY","VARCHAR","VARCHARACTER","VARYING","VIRTUAL","WHEN","WHERE","WHILE","WINDOW","WITH","WRITE","XOR","YEAR_MONTH","ZEROFILL"];function qw(e){return Uw(function(e){return'"'===e[0]&&'"'===e[e.length-1]?e.substring(1,e.length-1).replace(/""/g,'"'):"`"===e[0]&&"`"===e[e.length-1]?e.substring(1,e.length-1):e}(e))}function Gw(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function Kw(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){Gw(i,n,o,a,l,"next",e)}function l(e){Gw(i,n,o,a,l,"throw",e)}a(void 0)}))}}function Ww(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function zw(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ww(e,t,r[t])}))}return e}function Hw(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const $w=({getMeta:e})=>(t,r)=>Hw(zw({},r&&yr(0,r)),{customStatementPlacement:Xw,customSuggestionKinds:Jw(e)}),Yw="afterDatabase",Qw="FROM",Xw=()=>[{id:Yw,resolve:(e,t,r)=>{var n;return Boolean((null==e?void 0:e.is(te.Delimiter,"."))&&(null==t?void 0:t.value)===Qw&&((null==r?void 0:r.is(te.IdentifierQuote))||(null==r?void 0:r.isIdentifier()))&&1===(null==e||null===(n=e.getPreviousUntil(te.Keyword,[te.IdentifierQuote],Qw))||void 0===n?void 0:n.filter((e=>e.isIdentifier())).length))}}],Jw=e=>()=>{return[{id:ne.Tables,overrideDefault:!0,suggestionsResolver:(t=Kw((function*(t){const r=eR(t.currentToken);return(yield e({schema:r})).map(Zw(t))})),function(e){return t.apply(this,arguments)})},{id:ne.Columns,overrideDefault:!0,suggestionsResolver:function(){var t=Kw((function*(t){const r=tR(t.currentToken),n=eR(r),o=function(e){const t=null==e?void 0:e.getNextOfType(te.Identifier);return null==t?void 0:t.value}(r);return n&&o?(yield e({schema:n,table:o})).map(Zw(t)):[]}));return function(e){return t.apply(this,arguments)}}()},{id:"tablesWithinDatabase",applyTo:[Yw],suggestionsResolver:function(){var t=Kw((function*(t){const r=eR(t.currentToken);return(yield e({schema:r})).map(Zw(t))}));return function(e){return t.apply(this,arguments)}}()}];var t};function Zw(e){return function(t){var r;return{label:t.name,insertText:null!==(r=t.completion)&&void 0!==r?r:t.name,command:{id:"editor.action.triggerSuggest",title:""},kind:ie.Field,sortText:oe.High,range:Hw(zw({},e.range),{startColumn:e.range.endColumn,endColumn:e.range.endColumn})}}}function eR(e){return(null==e?void 0:e.isIdentifier())&&"."!==e.value[e.value.length-1]?e.value:(null==e?void 0:e.is(te.Delimiter,"."))?null===(t=e.getPreviousOfType(te.Identifier))||void 0===t?void 0:t.value:(null==e?void 0:e.is(te.IdentifierQuote))?(null===(r=e.getPreviousOfType(te.Identifier))||void 0===r?void 0:r.value)||(null===(n=e.getNextOfType(te.Identifier))||void 0===n?void 0:n.value):void 0;var t,r,n}const tR=e=>{var t;const r=(e=>{var t;const r=null!==(t=null==e?void 0:e.getPreviousOfType(te.Keyword,"SELECT"))&&void 0!==t?t:null;return null==r?void 0:r.getNextOfType(te.Keyword,Qw)})(e),n=null==r?void 0:r.getNextOfType(te.Identifier);return(null==n?void 0:n.isKeyword())&&(null===(t=n.next)||void 0===t?void 0:t.is(te.Parenthesis,"("))?null:n};function rR(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function nR(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){rR(i,n,o,a,l,"next",e)}function l(e){rR(i,n,o,a,l,"throw",e)}a(void 0)}))}}function oR(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}var iR=Object.defineProperty,aR=Object.defineProperties,lR=Object.getOwnPropertyDescriptors,sR=Object.getOwnPropertySymbols,uR=Object.prototype.hasOwnProperty,cR=Object.prototype.propertyIsEnumerable,dR=(e,t,r)=>t in e?iR(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,pR=(e,t)=>{for(var r in t||(t={}))uR.call(t,r)&&dR(e,r,t[r]);if(sR)for(var r of sR(t))cR.call(t,r)&&dR(e,r,t[r]);return e};const fR=({dataSourceName:e,docsLink:t,hasRequiredFields:r=!0,className:n})=>{const o=(0,me.useTheme2)(),i={container:(0,Ce.css)({p:{margin:0},"p + p":{marginTop:o.spacing(2)}}),text:(0,Ce.css)((a=pR({},o.typography.body),l={color:o.colors.text.secondary,a:(0,Ce.css)({color:o.colors.text.link,textDecoration:"underline","&:hover":{textDecoration:"none"}})},aR(a,lR(l))))};var a,l;return pe().createElement("div",{className:(0,Ce.cx)(i.container,n)},pe().createElement("p",{className:i.text},"Before you can use the ",e," data source, you must configure it below or in the config file. For detailed instructions,"," ",pe().createElement("a",{href:t,target:"_blank",rel:"noreferrer"},"view the documentation"),"."),r&&pe().createElement("p",{className:i.text},pe().createElement("i",null,"Fields marked with * are required")))};var hR=Object.defineProperty,gR=Object.defineProperties,vR=Object.getOwnPropertyDescriptors,yR=Object.getOwnPropertySymbols,mR=Object.prototype.hasOwnProperty,bR=Object.prototype.propertyIsEnumerable,ER=(e,t,r)=>t in e?hR(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const OR=e=>{var t,r=e,{children:n}=r,o=((e,t)=>{var r={};for(var n in e)mR.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&yR)for(var n of yR(e))t.indexOf(n)<0&&bR.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return pe().createElement(DT,(t=((e,t)=>{for(var r in t||(t={}))mR.call(t,r)&&ER(e,r,t[r]);if(yR)for(var r of yR(t))bR.call(t,r)&&ER(e,r,t[r]);return e})({},o),gR(t,vR({kind:"section"}))),n)};function SR(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const TR=new T.DataSourcePlugin(class extends AT{getQueryModel(){return{quoteLiteral:Uw}}getSqlLanguageDefinition(){if(void 0!==this.sqlLanguageDefinition)return this.sqlLanguageDefinition;const e={getMeta:e=>this.fetchMeta(e)};return this.sqlLanguageDefinition={id:"mysql",completionProvider:$w(e),formatter:Kr},this.sqlLanguageDefinition}fetchDatasets(){var e=this;return nR((function*(){return(yield e.runSql("SELECT DISTINCT TABLE_SCHEMA from information_schema.TABLES where TABLE_TYPE != 'SYSTEM VIEW' ORDER BY TABLE_SCHEMA",{refId:"datasets"})).map((e=>Vw(e[0])))}))()}fetchTables(e){var t=this;return nR((function*(){const r=yield t.runSql(function(e){return`SELECT table_name FROM information_schema.tables WHERE table_schema = ${void 0!==e?qw(e):"database()"} ORDER BY table_name`}(e),{refId:"tables"});return r.map((e=>Vw(e[0])))}))()}fetchFields(e){var t=this;return nR((function*(){if(!e.dataset||!e.table)return[];const r=function(e,t){let r="SELECT column_name, data_type FROM information_schema.columns WHERE ";return r+=function(e,t){let r="";if(e.includes(".")){const t=e.split(".");return r="table_schema = "+qw(t[0]),r+=" AND table_name = "+qw(t[1]),r}return r=`table_schema = ${void 0!==t?qw(t):"database()"} AND table_name = `+qw(e),r}(e,t),r+=" ORDER BY column_name",r}(e.table,e.dataset);return function(e){const t=[];for(const n of e){var r;let e="text";switch(null===(r=n.type)||void 0===r?void 0:r.toUpperCase()){case"BOOLEAN":case"BOOL":e="boolean";break;case"BYTES":case"VARCHAR":case"GEOGRAPHY":e="text";break;case"FLOAT":case"FLOAT64":case"INT":case"INTEGER":case"INT64":case"NUMERIC":case"BIGNUMERIC":e="number";break;case"DATE":e="date";break;case"DATETIME":case"TIMESTAMP":e="datetime";break;case"TIME":e="time"}t.push(Dw(Fw({},n),{raqbFieldType:e,icon:jw(n.type.toUpperCase())}))}return t}((yield t.runSql(r,{refId:"fields"})).map((e=>({name:e[0],text:e[0],value:Vw(e[0]),type:e[1],label:e[0]}))))}))()}fetchMeta(e){var t=this;return nR((function*(){const r=t.instanceSettings.jsonData.database;return!(null==e?void 0:e.schema)&&r?(yield t.fetchTables(r)).map((e=>({name:e,completion:`${r}.${e}`,kind:ie.Class}))):(null==e?void 0:e.schema)||r?(null==e?void 0:e.table)||r&&!(null==e?void 0:e.schema)?(null==e?void 0:e.table)&&e.schema?(yield t.fetchFields({dataset:e.schema,table:e.table})).map((e=>({name:e.name,completion:e.value,kind:ie.Field}))):[]:(yield t.fetchTables(null==e?void 0:e.schema)).map((e=>({name:e,completion:e,kind:ie.Class}))):(yield t.fetchDatasets()).map((e=>({name:e,completion:`${e}.`,kind:ie.Module})))}))()}getDB(){return void 0!==this.db?this.db:{datasets:()=>this.fetchDatasets(),tables:e=>this.fetchTables(e),fields:e=>this.fetchFields(e),validateQuery:(e,t)=>Promise.resolve({query:e,error:"",isError:!1,isValid:!0}),dsID:()=>this.id,toRawSql:Mw,functions:()=>["VARIANCE","STDDEV"],getEditorLanguageDefinition:()=>this.getSqlLanguageDefinition()}}constructor(e){super(e),oR(this,"instanceSettings",void 0),oR(this,"sqlLanguageDefinition",void 0),this.instanceSettings=e}}).setQueryEditor(vT).setQueryEditorHelp((function(){const e=(0,me.useStyles2)(xw);return pe().createElement("div",null,pe().createElement("h2",null,"MySQL cheat sheet"),"Time series:",pe().createElement("ul",{className:e.ulPadding},pe().createElement("li",null,"return column named time or time_sec (in UTC), as a unix time stamp or any sql native date data type. You can use the macros below."),pe().createElement("li",null,"return column(s) with numeric datatype as values")),"Optional:",pe().createElement("ul",{className:e.ulPadding},pe().createElement("li",null,"return column named ",pe().createElement("i",null,"metric")," to represent the series name."),pe().createElement("li",null,"If multiple value columns are returned the metric column is used as prefix."),pe().createElement("li",null,"If no column named metric is found the column name of the value column is used as series name")),pe().createElement("p",null,"Resultsets of time series queries need to be sorted by time."),"Table:",pe().createElement("ul",{className:e.ulPadding},pe().createElement("li",null,"return any set of columns")),"Macros:",pe().createElement("ul",{className:e.ulPadding},pe().createElement("li",null,"$__time(column) -> UNIX_TIMESTAMP(column) as time_sec"),pe().createElement("li",null,"$__timeEpoch(column) -> UNIX_TIMESTAMP(column) as time_sec"),pe().createElement("li",null,"$__timeFilter(column) -> column BETWEEN FROM_UNIXTIME(1492750877) AND FROM_UNIXTIME(1492750877)"),pe().createElement("li",null,"$__unixEpochFilter(column) -> time_unix_epoch > 1492750877 AND time_unix_epoch < 1492750877"),pe().createElement("li",null,"$__unixEpochNanoFilter(column) -> column >= 1494410783152415214 AND column <= 1494497183142514872"),pe().createElement("li",null,"$__timeGroup(column,'5m'[, fillvalue]) -> cast(cast(UNIX_TIMESTAMP(column)/(300) as signed)*300 as signed) by setting fillvalue grafana will fill in missing values according to the interval fillvalue can be either a literal value, NULL or previous; previous will fill in the previous seen value or NULL if none has been seen yet"),pe().createElement("li",null,"$__timeGroupAlias(column,'5m') -> cast(cast(UNIX_TIMESTAMP(column)/(300) as signed)*300 as signed) AS \"time\""),pe().createElement("li",null,"$__unixEpochGroup(column,'5m') -> column DIV 300 * 300"),pe().createElement("li",null,"$__unixEpochGroupAlias(column,'5m') -> column DIV 300 * 300 AS \"time\"")),pe().createElement("p",null,"Example of group by and order by with $__timeGroup:"),pe().createElement("pre",null,pe().createElement("code",null,"$__timeGroupAlias(timestamp_col, '1h'), sum(value_double) as value",pe().createElement("br",null),"FROM yourtable",pe().createElement("br",null),"GROUP BY 1",pe().createElement("br",null),"ORDER BY 1",pe().createElement("br",null))),"Or build your own conditionals using these macros which just return the values:",pe().createElement("ul",{className:e.ulPadding},pe().createElement("li",null,"$__timeFrom() -> FROM_UNIXTIME(1492750877)"),pe().createElement("li",null,"$__timeTo() -> FROM_UNIXTIME(1492750877)"),pe().createElement("li",null,"$__unixEpochFrom() -> 1492750877"),pe().createElement("li",null,"$__unixEpochTo() -> 1492750877"),pe().createElement("li",null,"$__unixEpochNanoFrom() -> 1494410783152415214"),pe().createElement("li",null,"$__unixEpochNanoTo() -> 1494497183142514872")))})).setConfigEditor((e=>{const[t,r]=(0,de.useState)(!0),{options:n,onOptionsChange:o}=e,i=n.jsonData;!function({onOptionsChange:e,options:t}){(0,de.useEffect)((()=>{const r=t.jsonData;let n=Lw({},t),o=!1;if(t.database&&(Cw.logDebug(`Migrating from options.database with value ${t.database} for ${t.name}`),n.database="",n.jsonData=Pw(Lw({},r),{database:t.database}),o=!0),void 0===r.maxOpenConns&&void 0===r.maxIdleConns&&void 0===r.maxIdleConnsAuto){const{maxOpenConns:e,maxIdleConns:t}=se.config.sqlConnectionLimits;Cw.logDebug(`Setting default max open connections to ${e} and setting max idle connection to ${t}`),n.jsonData=Pw(Lw({},n.jsonData),{maxOpenConns:e,maxIdleConns:t,maxIdleConnsAuto:!0}),o=!0}if(void 0===r.connMaxLifetime){const{connMaxLifetime:e}=se.config.sqlConnectionLimits;n.jsonData=Pw(Lw({},n.jsonData),{connMaxLifetime:e}),o=!0}o&&e(n)}),[e,t])}(e);const a=e=>t=>{o(function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){SR(e,t,r[t])}))}return e}({},n,{[e]:t.currentTarget.value}))},l=t=>r=>{(0,T.updateDatasourcePluginJsonDataOption)(e,t,r.currentTarget.checked)},s=40;return pe().createElement(pe().Fragment,null,pe().createElement(fR,{dataSourceName:"MySQL",docsLink:"https://grafana.com/docs/grafana/latest/datasources/mysql/",hasRequiredFields:!0}),pe().createElement(Rw,null),pe().createElement(me.Collapse,{collapsible:!0,label:"User Permission",isOpen:t,onToggle:()=>r((e=>!e))},"The database user should only be granted SELECT permissions on the specified database & tables you want to query. ",pe().createElement("br",null),"Grafana does not validate that queries are safe so queries can contain any SQL statement. For example, statements like ",pe().createElement("code",null,"USE otherdb;")," and ",pe().createElement("code",null,"DROP TABLE user;")," would be executed. ",pe().createElement("br",null),"To protect against this we ",pe().createElement("strong",null,"Highly")," recommend you create a specific MySQL user with restricted permissions. Check out the docs for more information."),pe().createElement(Rw,null),pe().createElement(OR,{title:"Connection"},pe().createElement(me.Field,{label:"Host URL",required:!0},pe().createElement(me.Input,{width:s,name:"host",type:"text",value:n.url||"",placeholder:"localhost:3306",onChange:a("url")})),pe().createElement(me.Field,{label:"Database name"},pe().createElement(me.Input,{width:s,name:"database",value:i.database||"",placeholder:"Database",onChange:(0,T.onUpdateDatasourceJsonDataOption)(e,"database")}))),pe().createElement(Rw,null),pe().createElement(OR,{title:"Authentication"},pe().createElement(me.Field,{label:"Username",required:!0},pe().createElement(me.Input,{width:s,value:n.user||"",placeholder:"Username",onChange:a("user")})),pe().createElement(me.Field,{label:"Password"},pe().createElement(me.SecretInput,{width:s,placeholder:"Password",isConfigured:n.secureJsonFields&&n.secureJsonFields.password,onReset:()=>{(0,T.updateDatasourcePluginResetOption)(e,"password")},onBlur:(0,T.onUpdateDatasourceSecureJsonDataOption)(e,"password")})),pe().createElement(me.Field,{label:"Use TLS Client Auth",description:"Enables TLS authentication using client cert configured in secure json data."},pe().createElement(me.Switch,{onChange:l("tlsAuth"),value:i.tlsAuth||!1})),pe().createElement(me.Field,{label:"With CA Cert",description:"Needed for verifying self-signed TLS Certs."},pe().createElement(me.Switch,{onChange:l("tlsAuthWithCACert"),value:i.tlsAuthWithCACert||!1})),pe().createElement(me.Field,{label:"Skip TLS Verification",description:"When enabled, skips verification of the MySQL server's TLS certificate chain and host name."},pe().createElement(me.Switch,{onChange:l("tlsSkipVerify"),value:i.tlsSkipVerify||!1})),pe().createElement(me.Field,{label:"Allow Cleartext Passwords",description:"Allows using the cleartext client side plugin if required by an account."},pe().createElement(me.Switch,{onChange:l("allowCleartextPasswords"),value:i.allowCleartextPasswords||!1}))),i.tlsAuth||i.tlsAuthWithCACert?pe().createElement(pe().Fragment,null,pe().createElement(Rw,null),pe().createElement(OR,{title:"TLS/SSL Auth Details"},i.tlsAuth||i.tlsAuthWithCACert?pe().createElement(Iw,{showCACert:i.tlsAuthWithCACert,showKeyPair:i.tlsAuth,editorProps:e,labelWidth:s}):null)):null,pe().createElement(Rw,null),pe().createElement(OR,{title:"Additional settings",isCollapsible:!0},pe().createElement(KT,{title:"MySQL Options"},pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(Qe,{gap:.5},pe().createElement("span",null,"Session timezone"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"Specify the timezone used in the database session, such as ",pe().createElement("code",null,"Europe/Berlin")," or",pe().createElement("code",null,"+02:00"),". Required if the timezone of the database (or the host of the database) is set to something other than UTC. Set this to ",pe().createElement("code",null,"+00:00")," so Grafana can handle times properly. Set the value used in the session with ",pe().createElement("code",null,"SET time_zone='...'"),". If you leave this field empty, the timezone will not be updated. You can find more information in the MySQL documentation.")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"}))))},pe().createElement(me.Input,{width:s,value:i.timezone||"",onChange:(0,T.onUpdateDatasourceJsonDataOption)(e,"timezone"),placeholder:"Europe/Berlin or +02:00"})),pe().createElement(me.Field,{label:pe().createElement(me.Label,null,pe().createElement(Qe,{gap:.5},pe().createElement("span",null,"Min time interval"),pe().createElement(me.Tooltip,{content:pe().createElement("span",null,"A lower limit for the auto group by time interval. Recommended to be set to write frequency, for example",pe().createElement("code",null,"1m")," if your data is written every minute.")},pe().createElement(me.Icon,{name:"info-circle",size:"sm"})))),description:"A lower limit for the auto group by time interval. Recommended to be set to write frequency, for example 1m if your data is written every minute."},pe().createElement(me.Input,{width:s,placeholder:"1m",value:i.timeInterval||"",onChange:(0,T.onUpdateDatasourceJsonDataOption)(e,"timeInterval")}))),pe().createElement(ww,{options:n,onOptionsChange:o}),se.config.secureSocksDSProxyEnabled&&pe().createElement(me.SecureSocksProxySettings,{options:n,onOptionsChange:o})))}))})(),f})()));
//# sourceMappingURL=module.js.map